! --------------------------------------------------
! Fast and Accurate Motorola 68000 Emulation Library
! FAME SH4 version 2.0 (11-01-2006)
! Oscar Orallo Pelaez
! Assembly file generated on Feb 16 2006 01:49:10
! --------------------------------------------------
! Opciones de generacion empleadas:
! - Formato de generacion SH4 (compilador GNU)
! - Bus de direcciones de 24 bits
! - Emulacion de lecturas tontas (OFF)
! - Emulacion de comportamiento no documentado (OFF)
! - Espacio de memoria unico (supervisor)
! - Emulacion de excepciones del grupo 0 (OFF)
! - Prefijo del nombre de las funciones: m68k
! - Realizar calculo preciso de ciclos de reloj (ON)
! - Cachear descriptores de mapas de memoria (ON)
! - Realizar cuenta interna de ciclos de reloj (ON)
! - Emular bit 0 de execinfo (ON)
! - Emular excepcion de traza (ON)
! - Emular accesos en dos regiones de memoria (ON)
! - Contar ciclos de generacion de las IRQs (OFF)
! - Chequear errores de direccion en saltos (ON)
! ---------------------------------------------------
.data
.align 5
.global _m68kcontext
.global _io_cycle_counter
_m68kcontext:
contextbegin:
fetch:     .long 0
readbyte:  .long 0
readword:  .long 0
writebyte: .long 0
writeword: .long 0
s_fetch:     .long 0
s_readbyte:  .long 0
s_readword:  .long 0
s_writebyte: .long 0
s_writeword: .long 0
u_fetch:     .long 0
u_readbyte:  .long 0
u_readword:  .long 0
u_writebyte: .long 0
u_writeword: .long 0
resethandler: .long 0
iackhandler:  .long 0
icusthandler: .long 0
reg:
dreg: .long 0,0,0,0,0,0,0,0
areg: .long 0,0,0,0,0,0,0
a7:   .long 0
asp:  .long 0
pc:   .long 0
cycles_counter: .long 0
interrupts: .byte 0,0,0,0,0,0,0,0
sreg: .word 0
execinfo: .word 0
contextend:
execexit_addr: .long execexit
cycles_needed:    .long 0
_io_cycle_counter: .long -1
io_fetchbase:     .long 0
io_fetchbased_pc: .long 0
fetch_vector:	    .long sfmhtbl, srwmhtbl
fetch_idx:        .long 0
readbyte_idx:     .long 0
readword_idx:     .long 0
writebyte_idx:    .long 0
writeword_idx:    .long 0
decode_extw_addr: .long decode_extw
g0_spec_info: .byte 0
filler:       .byte 0,0,0
rb_addr: .long readmemorybyte
rw_addr: .long readmemoryword
rl_addr: .long readmemorydword
wb_addr: .long writememorybyte
ww_addr: .long writememoryword
wl_addr: .long writememorydword
sfmhtbl:
.rept 4096
 .long 0
 .endr
srbmhtbl:
.rept 4096
 .long 0
 .endr
srwmhtbl:
.rept 4096
 .long 0
 .endr
swbmhtbl:
.rept 4096
 .long 0
 .endr
swwmhtbl:
.rept 4096
 .long 0
 .endr
excep_ptr:  .long 0
inst_reg:   .word 0
filler2:    .word 0
.text
top:
.align 5
.global _m68k_init
_m68k_init:
rts
mov #0,r0
.align 5
.global _m68k_emulate
_m68k_emulate:
mov.l execinfo_addr,r1
mov.w @r1,r0
tst #0x80,r0
bt notstopped
mov.l cycles_counter_addr,r0
mov.l @r0,r1
add r4,r1
mov.l r1,@r0
rts
mov #0,r0
.align 5
notstopped:
mov.l r8,@-r15
mov r4,r7
mov.l r9,@-r15
mov.l r10,@-r15
mov.l r11,@-r15
mov.l r12,@-r15
mov.l fetch_idx_addr,r11
mov.l r13,@-r15
mov.l jmptbl_addr,r12
mov.l r14,@-r15
mov.l reg_addr,r13
sts.l pr,@-r15
mov.l excep_ptr_addr,r2
mov.l r15,@r2
mov.l areg_addr,r14
or #1,r0
mov.w r0,@r1
mov r0,r2
mov.l sreg_addr1,r1
mov.w @r1,r0
mov r0,r10
shlr8 r10
mov #3,r8
and r0,r8
mov r0,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov.l pc_addr,r1
mov.l r4,@(cycles_needed-pc,r1)
mov.l @r1,r6
mov r2,r0
tst #0xA,r0
bf execbase
flush_irqs:
mov.l interrupts_addr,r0
mov #7,r5
mov r5,r1
mov.b @r0,r2
and r10,r1
sub r1,r5
mov #7,r1
shll16 r2
shll8 r2
.loop:
shll r2
bt .int
dt r5
cmp/pl r5
bt/s .loop
dt r1
bra .noint
mov #0,r0
.align 5
.int:
mov.b @r0,r2
mov r1,r5
mov #1,r1
shld r5,r1
xor r1,r2
mov.l r5,@-r15
mov.b r2,@r0
mov.b @(r0,r5),r4
mov #0,r5
mov.l g1_exception_addr,r0
jsr @r0
shll2 r4
mov #0xf8,r0
mov.l @r15+,r5
and r0,r10
mov.l iackhandler_addr,r0
mov.l @r0,r1
or r5,r10
tst r1,r1
bt .intdone
mov.l r3,@-r15
mov.l _io_cycle_counter_addr1,r0
mov.l r7,@r0
mov.l r5,@(io_fetchbase-_io_cycle_counter,r0)
mov.l r6,@(io_fetchbased_pc-_io_cycle_counter,r0)
jsr @r1
nop
mov.l _io_cycle_counter_addr1,r0
mov.l @r0,r7
mov.l @(io_fetchbase-_io_cycle_counter,r0),r5
mov.l @(io_fetchbased_pc-_io_cycle_counter,r0),r6
mov.l @r15+,r3
.intdone:
mov #1,r0
.noint:
tst r0,r0
bf execbase
test_trace:
mov #0x80,r2
tst r2,r10
bt execbase
trace_excep:
mov.l execinfo_addr,r1
mov.w @r1,r0
or #0x8,r0
mov.l cycle_needed_addr,r2
mov.w r0,@r1
mov.l r7,@r2
mov #0,r7
execbase:
bsr basefunction
pref @r13
add r5,r6
execloop:
mov.w @r6+,r0
shll2 r0
mov.l @(r0,r12),r4
jmp @r4
mov #0x1C,r2
.align 5
execexit:
add #-2,r6
mov.l execinfo_addr,r1
mov.w @r1,r0
tst #0x8,r0
bt cont_execexit
mov.l cycle_needed_addr,r4
and #0xF7,r0
mov.l @r4,r7
or #16,r0
mov.w r0,@r1
mov.l g1_exception_addr,r0
jsr @r0
mov #0x24,r4
add #-34,r7
cmp/pl r7
bt execbase
mov #0,r5
cont_execexit:
mov.l pc_addr,r2
sub r5,r6
mov r8,r0
shlr r0
addc r9,r9
tst r3,r3
addc r9,r9
and #3,r0
shll2 r9
or r0,r9
shll8 r10
mov.l sreg_addr1,r0
or r10,r9
mov.w r9,@r0
mov.l r6,@r2
mov.l @(cycles_needed-pc,r2),r4
sub r7,r4
mov.l @(cycles_counter-pc,r2),r6
add r4,r6
mov.l r6,@(cycles_counter-pc,r2)
mov.l execinfo_addr,r1
mov.w @r1,r0
xor #1,r0
mov.w r0,@r1
lds.l	@r15+,pr
mov.l @r15+,r14
mov.l @r15+,r13
mov.l @r15+,r12
mov.l @r15+,r11
mov.l @r15+,r10
mov.l @r15+,r9
rts
mov.l @r15+,r8
.align 2
excep_ptr_addr: .long excep_ptr
interrupts_addr: .long interrupts
pc_addr: .long pc
reg_addr: .long reg
areg_addr: .long areg
fetch_vector_addr: .long fetch_vector
sreg_addr1: .long sreg
jmptbl_addr: .long jmptbl
cycle_needed_addr: .long cycles_needed
cycles_counter_addr: .long cycles_counter
execinfo_addr: .long execinfo
fetch_idx_addr: .long fetch_idx
g1_exception_addr: .long group_1_exception
basefunction_addr: .long basefunction
iackhandler_addr: .long iackhandler
_io_cycle_counter_addr1: .long _io_cycle_counter
.align 5
.global _m68k_reset
_m68k_reset:
mov.l r11,@-r15
mov.l fetchidx_addr,r11
mov #1,r0
mov.l execinfo_addr2,r2
mov.w @r2,r1
tst r1,r0
bf return
mov.l sup_fetch_addr,r0
mov.l @r0,r1
mov #2,r0
tst r1,r1
bt return
mov.l reg_addr2,r0
mov #64,r1
add r1,r0
shlr2 r1
xor r4,r4
gp:
mov.l r4,@-r0
dt r1
bf gp
mov.l asp_addr2,r2
mov.l r4,@r2
mov.l interrupts_addr2,r2
mov.b @r2,r0
and #1,r0
mov.b r0,@r2
mov.l execinfo_addr2,r2
mov.w r4,@r2
mov.l sreg_addr2,r2
mov #0x27,r4
shll8 r4
mov.w r4,@r2
mov.l sfmhtbl_addr2,r0
mov.l fetch_idx_addr2,r1
mov.l r0,@r1
mov.l srbmhtbl_addr2,r0
mov.l r0,@(4,r1)
mov.l srwmhtbl_addr2,r0
mov.l r0,@(8,r1)
mov.l swbmhtbl_addr2,r0
mov.l r0,@(12,r1)
mov.l swwmhtbl_addr2,r0
mov.l r0,@(16,r1)
sts pr,r4
bsr basefunction
xor r6,r6
lds r4,pr
add r5,r6
mov.l @r6+,r0
swap.w r0,r0
mov.l a7_addr2,r2
mov.l r0,@r2
mov.l @r6,r0
swap.w r0,r0
mov.l pc_addr2,r2
mov.l r0,@r2
mov #0,r0
return:
rts
mov.l @r15+,r11
.align 2
reg_addr2: .long reg
execinfo_addr2: .long execinfo
interrupts_addr2: .long interrupts
pc_addr2: .long pc
sreg_addr2: .long sreg
a7_addr2: .long a7
asp_addr2: .long asp
sup_fetch_addr: .long s_fetch
sup_readbyte: .long s_readbyte
sup_readword: .long s_readword
sup_writebyte: .long s_writebyte
sup_writeword: .long s_writeword
act_fetch: .long fetch
act_readbyte: .long readbyte
act_readword: .long readword
act_writebyte: .long writebyte
act_writeword: .long writeword
fetchidx_addr: .long fetch_idx
sfmhtbl_addr2: .long sfmhtbl
srbmhtbl_addr2: .long srbmhtbl
srwmhtbl_addr2: .long srwmhtbl
swbmhtbl_addr2: .long swbmhtbl
swwmhtbl_addr2: .long swwmhtbl
fetch_idx_addr2: .long fetch_idx
.align 5
.global _m68k_raise_irq
_m68k_raise_irq:
mov r4,r0
and #7,r0
tst r0,r0
bt badinput
mov #0xff,r4
extu.b r4,r4
cmp/gt r4,r5
bt badinput
mov #-2,r4
cmp/ge r4,r5
bf badinput
cmp/eq r5,r4
bf notspurious
bra notauto
mov #0x18,r5
notspurious:
mov #-1,r4
cmp/eq r5,r4
bf notauto
mov #0x18,r5
add r0,r5
notauto:
mov #1,r4
shld r0,r4
mov.l interrupts_addr3,r1
mov.b @r1,r6
tst r6,r4
bf failure
or r4,r6
mov.b r5,@(r0,r1)
mov.b r6,@r1
mov #0x80,r1
mov.l execinfo_addr3,r6
extu.b r1,r1
mov.w @r6,r7
tst r1,r7
bt .notstopped
mov.l sreg_addr3,r1
mov.w @r1,r5
shlr8 r5
mov #7,r1
cmp/eq r1,r0
movt r4
and r1,r5
add r4,r0
cmp/hs r0,r5
movt r2
mov #0x7f,r0
shld r1,r2
and r0,r7
or r2,r7
mov.w r7,@r6
.notstopped:
rts
mov #0,r0
failure:
rts
mov #-1,r0
badinput:
rts
mov #-2,r0
.align 2
interrupts_addr3: .long interrupts
execinfo_addr3: .long execinfo
sreg_addr3: .long sreg
.align 5
.global _m68k_lower_irq
_m68k_lower_irq:
mov #6,r1
cmp/gt r1,r4
bt .badlevel
tst r4,r4
bt .badlevel
mov #1,r1
shld r4,r1
mov.l interrupts_addr4,r2
mov.b @r2,r3
tst r3,r1
bt .failstat
not r1,r1
and r1,r3
mov.b r3,@r2
rts
mov #0,r0
.failstat:
rts
mov #-1,r0
.badlevel:
rts
mov #-2,r0
.align 2
interrupts_addr4: .long interrupts
.align 5
.global _m68k_set_irq_type
_m68k_set_irq_type:
mov #1,r0
and r0,r5
tst r4,r4
bt .si_irq
mov #interrupts-contextbegin,r0
mov.b @(r0,r4),r1
shlr r1
shll r1
or r5,r1
mov.b r1,@(r0,r4)
rts
mov #0,r0
.si_irq:
mov.l interrupts_addr5,r1
mov.b @r1,r0
and #0xFE,r0
or r5,r0
mov.b r0,@r1
rts
mov #0,r0
.align 2
interrupts_addr5: .long interrupts
.align 5
.global _m68k_get_irq_vector
_m68k_get_irq_vector:
mov r4,r0
and #7,r0
tst r0,r0
bt badlev
mov #1,r1
shld r0,r1
mov.l interrupts_addr6,r2
mov.b @r2,r3
tst r3,r1
bt notraised
mov.b @(r0,r2),r0
rts
extu.b r0,r0
notraised:
rts
mov #-1,r0
badlev:
rts
mov #-2,r0
.align 2
interrupts_addr6: .long interrupts
.align 5
.global _m68k_change_irq_vector
_m68k_change_irq_vector:
mov r4,r0
and #7,r0
tst r0,r0
bt .badin
mov #1,r1
shld r0,r1
mov.l interrupts_addr7,r7
mov.b @r7,r3
tst r3,r1
bt .nraised
mov #255,r4
extu.b r4,r4
cmp/gt r4,r5
bt .badin
mov #-2,r4
cmp/gt r5,r4
bt .badin
cmp/eq r5,r4
bf .notspurious
bra .notauto
mov #0x18,r5
.notspurious:
dt r4
cmp/eq r5,r4
bf .notauto
mov #0x18,r5
add r0,r5
.notauto:
mov.b r5,@(r0,r7)
rts
mov #0,r0
.nraised:
rts
mov #-1,r0
.badin:
rts
mov #-2,r0
.align 2
interrupts_addr7: .long interrupts
.align 5
.global _m68k_get_context_size
_m68k_get_context_size:
mov.l contextend_addr8,r0
mov.l contextbegin_addr8,r1
rts
sub r1,r0
.align 2
contextbegin_addr8: .long contextbegin
contextend_addr8: .long contextend
.align 5
.global _m68k_get_context
_m68k_get_context:
mov.l contextbegin_addr9,r2
mov.l contextend_addr9,r1
loopgc:
mov.l @r2+,r0
mov.l r0,@r4
add #4,r4
cmp/eq r2,r1
bf loopgc
rts
mov #0,r0
.align 2
contextbegin_addr9: .long contextbegin
contextend_addr9: .long contextend
.align 5
.global _m68k_set_context
_m68k_set_context:
mov.l contxtb,r2
mov.l contxte,r1
lloop:
mov.l @r4+,r0
mov.l r0,@r2
add #4,r2
cmp/eq r2,r1
bf lloop
mov.l idxtbl_size,r1
mov.l sfmhtbl_addr,r2
mov #0,r0
mloop:
mov.l r0,@r2
add #4,r2
dt r1
bf mloop
mov.l sfmhtbl_addr,r4
mov.l s_fetch_addr,r1
mov #-12,r3
mov #4,r6
mov.l @r1,r1
begincmm0:
mov.l @r1,r0
cmp/eq #-1,r0
bt endcmm0
mov.l @r1,r0
mov.l @(4,r1),r2
shld r3,r0
shld r3,r2
sub r0,r2
add #1,r2
shll2 r0
add r4,r0
loop0:
mov.l r1,@r0
add r6,r0
dt r2
bf loop0
bra begincmm0
add #12,r1
endcmm0:
mov.l srbmhtbl_addr,r4
mov.l s_readbyte_addr,r1
mov #-12,r3
mov #4,r6
mov.l @r1,r1
begincmm1:
mov.l @r1,r0
cmp/eq #-1,r0
bt endcmm1
mov.l @r1,r0
mov.l @(4,r1),r2
shld r3,r0
shld r3,r2
sub r0,r2
add #1,r2
shll2 r0
add r4,r0
loop1:
mov.l r1,@r0
add r6,r0
dt r2
bf loop1
bra begincmm1
add #16,r1
endcmm1:
mov.l srwmhtbl_addr,r4
mov.l s_readword_addr,r1
mov #-12,r3
mov #4,r6
mov.l @r1,r1
begincmm2:
mov.l @r1,r0
cmp/eq #-1,r0
bt endcmm2
mov.l @r1,r0
mov.l @(4,r1),r2
shld r3,r0
shld r3,r2
sub r0,r2
add #1,r2
shll2 r0
add r4,r0
loop2:
mov.l r1,@r0
add r6,r0
dt r2
bf loop2
bra begincmm2
add #16,r1
endcmm2:
mov.l swbmhtbl_addr,r4
mov.l s_writebyte_addr,r1
mov #-12,r3
mov #4,r6
mov.l @r1,r1
begincmm3:
mov.l @r1,r0
cmp/eq #-1,r0
bt endcmm3
mov.l @r1,r0
mov.l @(4,r1),r2
shld r3,r0
shld r3,r2
sub r0,r2
add #1,r2
shll2 r0
add r4,r0
loop3:
mov.l r1,@r0
add r6,r0
dt r2
bf loop3
bra begincmm3
add #16,r1
endcmm3:
mov.l swwmhtbl_addr,r4
mov.l s_writeword_addr,r1
mov #-12,r3
mov #4,r6
mov.l @r1,r1
begincmm4:
mov.l @r1,r0
cmp/eq #-1,r0
bt endcmm4
mov.l @r1,r0
mov.l @(4,r1),r2
shld r3,r0
shld r3,r2
sub r0,r2
add #1,r2
shll2 r0
add r4,r0
loop4:
mov.l r1,@r0
add r6,r0
dt r2
bf loop4
bra begincmm4
add #16,r1
endcmm4:
rts
mov #0,r0
.align 2
interrupts_addr10: .long interrupts
idxtbl_size: .long 20480
contxte: .long contextend
contxtb: .long contextbegin
sfmhtbl_addr: .long sfmhtbl
srbmhtbl_addr: .long srbmhtbl
swbmhtbl_addr: .long swbmhtbl
srwmhtbl_addr: .long srwmhtbl
swwmhtbl_addr: .long swwmhtbl
s_fetch_addr: .long s_fetch
s_readbyte_addr: .long s_readbyte
s_writebyte_addr: .long s_writebyte
s_readword_addr: .long s_readword
s_writeword_addr: .long s_writeword
.align 5
.global _m68k_get_register
_m68k_get_register:
mov #17,r0
cmp/gt r0,r4
bt cont_get
mov #16,r0
cmp/gt r0,r4
bf .set_dareg
bra _m68k_get_pc
nop
.set_dareg:
mov.l reg_addr11,r0
shll2 r4
rts
mov.l @(r0,r4),r0
cont_get:
mov #18,r0
cmp/eq r0,r4
bf inv_idx
mov.l sreg_addr11,r0
mov.w @r0,r0
rts
extu.w r0,r0
inv_idx:
rts
mov #-1,r0
.align 2
sreg_addr11: .long sreg
reg_addr11: .long reg
.align 5
.global _m68k_get_pc
_m68k_get_pc:
mov.l execinfo_addr12,r0
mov.w @r0,r0
tst #1,r0
bf running
mov.l pc_addr12,r0
rts
mov.l @r0,r0
running:
mov.l io_fetchbased_pc_addr12,r0
mov.l @r0,r0
mov.l io_fetchbase_addr12,r1
mov.l @r1,r1
rts
sub r1,r0
.align 2
pc_addr12: .long pc
execinfo_addr12: .long execinfo
io_fetchbase_addr12: .long io_fetchbase
io_fetchbased_pc_addr12: .long io_fetchbased_pc
.align 5
.global _m68k_set_register
_m68k_set_register:
mov #17,r0
cmp/gt r0,r4
bt .cont_set
mov #16,r0
cmp/gt r0,r4
bt .set_pc
mov.l reg_addr13,r0
shll2 r4
mov.l r5,@(r0,r4)
rts
mov #0,r0
.set_pc:
shll8 r5
shlr8 r5
mov.l execinfo_addr13,r0
mov #1,r2
mov.b @r0,r1
tst r2,r1
bf .cpulive
mov.l pc_addr13,r0
mov.l r5,@r0
rts
mov #0,r0
.cpulive:
mov.l io_fetchbase_addr13,r0
mov.l @r0,r1
mov.l io_fetchbased_pc_addr13,r2
add r5,r1
mov.l r1,@r2
rts
mov #0,r0
.cont_set:
mov #18,r0
cmp/eq r0,r4
bf .inv_idx
mov.l sreg_addr13,r0
mov.w r5,@r0
rts
mov #0,r0
.inv_idx:
rts
mov #-1,r0
.align 2
sreg_addr13: .long sreg
reg_addr13: .long reg
execinfo_addr13: .long execinfo
pc_addr13: .long pc
io_fetchbase_addr13: .long io_fetchbase
io_fetchbased_pc_addr13: .long io_fetchbased_pc
.align 5
.global _m68k_fetch
_m68k_fetch:
mov #3,r0
and r0,r5
mov r4,r2
mov #-12,r0
shld r0,r4
mov.l fetch_vector_addr14,r0
shll2 r5
mov.l @(r0,r5),r0
shll2 r4
mov.l @(r0,r4),r0
mov r2,r4
tst r0,r0
bt .outofrange
mov #4,r1
tst r1,r5
bt .base_prg
bra .base_dat
nop
.outofrange:
rts
mov #-1,r0
.base_prg:
mov.l @(8,r0),r0
mov.w @(r0,r4),r0
rts
extu.w r0,r0
.base_dat:
mov.l @(8,r0),r1
tst r1,r1
bf .callio
mov.l @(12,r0),r0
mov.w @(r0,r4),r0
rts
extu.w r0,r0
.callio:
sts.l	pr,@-r15
jsr @r1
nop
lds.l	@r15+,pr
rts
extu.w r0,r0
.align 2
fetch_vector_addr14: .long fetch_vector
.align 5
.global _m68k_get_cycles_counter
_m68k_get_cycles_counter:
mov.l cycles_needed_addr15,r2
mov.l @r2,r1
mov.l execinfo_addr15,r0
mov.w @r0,r0
tst #1,r0
bt cpuidle
mov.l _io_cycle_counter_addr15,r0
mov.l @r0,r0
sub r0,r1
cpuidle:
mov.l cycles_counter_addr15,r0
mov.l @r0,r0
rts
add r1,r0
.align 2
execinfo_addr15: .long execinfo
cycles_counter_addr15: .long cycles_counter
cycles_needed_addr15: .long cycles_needed
_io_cycle_counter_addr15: .long _io_cycle_counter
.align 5
.global _m68k_control_cycles_counter
_m68k_control_cycles_counter:
tst r4,r4
bf _m68k_trip_cycles_counter
bra _m68k_get_cycles_counter
nop
rts
nop
.align 5
.global _m68k_trip_cycles_counter
_m68k_trip_cycles_counter:
mov.l cycles_needed_addr16,r4
mov.l @r4,r3
mov.l execinfo_addr16,r5
mov.b @r5,r0
tst #1,r0
bt .cpuidle
mov.l _io_cycle_counter_addr16,r1
mov.l @r1,r7
sub r7,r3
.cpuidle:
mov.l cycles_counter_addr16,r2
mov.l @r2,r6
add r3,r6
mov.l r6,@r2
tst #1,r0
bt .cpuidle2
mov.l @r1,r3
.cpuidle2:
mov.l r3,@r4
mov.l @r2,r0
xor r1,r1
rts
mov.l r1,@r2
.align 2
execinfo_addr16: .long execinfo
cycles_needed_addr16: .long cycles_needed
_io_cycle_counter_addr16: .long _io_cycle_counter
cycles_counter_addr16: .long cycles_counter
.align 5
.global _m68k_release_timeslice
_m68k_release_timeslice:
mov.l execinfo_addr17,r0
mov.w @r0,r0
tst #1,r0
bt cpu_idle
mov.l cycles_needed_addr17,r1
mov.l @r1,r0
mov.l _io_cycle_counter_addr17,r2
mov.l @r2,r3
sub r0,r3
mov.l r3,@r2
cpu_idle:
mov.l cycles_needed_addr17,r1
mov #0,r0
rts
mov.l r0,@r1
.align 2
execinfo_addr17: .long execinfo
cycles_needed_addr17: .long cycles_needed
_io_cycle_counter_addr17: .long _io_cycle_counter
.align 5
.global _m68k_add_cycles
_m68k_add_cycles:
mov.l cycles_counter_addr18,r0
mov.l @r0,r1
add r4,r1
mov.l r1,@r0
rts
mov #0,r0
.align 2
cycles_counter_addr18: .long cycles_counter
.align 5
.global _m68k_release_cycles
_m68k_release_cycles:
mov.l cycles_counter_addr19,r0
mov.l @r0,r1
sub r4,r1
mov.l r1,@r0
rts
mov #0,r0
.align 2
cycles_counter_addr19: .long cycles_counter
.align 5
.global _m68k_get_cpu_state
_m68k_get_cpu_state:
mov.l execinfo_addr20,r0
mov.w @r0,r0
rts
extu.w r0,r0
.align 2
execinfo_addr20: .long execinfo
.align 5
basefunction:
shll8 r6
shlr8 r6
mov r6,r0
mov #-12,r1
shld r1,r0
mov.l @r11,r1
shll2 r0
mov.l @(r0,r1),r0
tst r0,r0
bt outofrange
rts
mov.l @(8,r0),r5
outofrange:
xor r5,r5
mov.l execinfo_addr21,r1
mov.w @r1,r0
or #2,r0
rts
mov.w r0,@r1
.align 2
execinfo_addr21: .long execinfo
.align 5
readmemorybyte:
mov.l r4,@-r15
shll8 r4
shlr8 r4
mov #-12,r1
mov r4,r0
shld r1,r0
mov.l @(readbyte_idx-fetch_idx,r11),r1
shll2 r0
mov.l @(r0,r1),r0
tst r0,r0
bt readb_outofrange
mov.l @(8,r0),r1
tst r1,r1
bf readb_callio
mov.l @(12,r0),r0
add r4,r0
xor #1,r0
mov.b @r0,r3
rts
mov.l @r15+,r4
.align 5
readb_callio:
mov.l r2,@-r15
mov.l _io_cycle_counter_addr22,r0
mov.l r7,@r0
mov.l r5,@(io_fetchbase-_io_cycle_counter,r0)
mov.l r6,@(io_fetchbased_pc-_io_cycle_counter,r0)
sts.l	pr,@-r15
jsr @r1
nop
exts.b r0,r3
lds.l	@r15+,pr
mov.l _io_cycle_counter_addr22,r0
mov.l @r0,r7
mov.l @(io_fetchbase-_io_cycle_counter,r0),r5
mov.l @(io_fetchbased_pc-_io_cycle_counter,r0),r6
mov.l @r15+,r2
rts
mov.l @r15+,r4
readb_outofrange:
bra readw_outofrange
nop
.align 2
_io_cycle_counter_addr22: .long _io_cycle_counter
.align 5
readmemoryword:
mov.l r4,@-r15
shll8 r4
shlr8 r4
mov #-12,r1
mov r4,r0
shld r1,r0
mov.l @(readword_idx-fetch_idx,r11),r1
shll2 r0
mov.l @(r0,r1),r0
tst r0,r0
bt readw_outofrange
mov.l @(8,r0),r1
tst r1,r1
bf readw_callio
mov.l @(12,r0),r0
mov.w @(r0,r4),r3
rts
mov.l @r15+,r4
.align 5
readw_callio:
mov.l r2,@-r15
mov.l _io_cycle_counter_addr24,r0
mov.l r7,@r0
mov.l r5,@(io_fetchbase-_io_cycle_counter,r0)
mov.l r6,@(io_fetchbased_pc-_io_cycle_counter,r0)
sts.l	pr,@-r15
jsr @r1
nop
exts.w r0,r3
lds.l	@r15+,pr
mov.l _io_cycle_counter_addr24,r0
mov.l @r0,r7
mov.l @(io_fetchbase-_io_cycle_counter,r0),r5
mov.l @(io_fetchbased_pc-_io_cycle_counter,r0),r6
mov.l @r15+,r2
rts
mov.l @r15+,r4
readw_outofrange:
mov #-1,r3
rts
mov.l @r15+,r4
.align 2
_io_cycle_counter_addr24: .long _io_cycle_counter
.align 5
readmemorydword:
mov.l r4,@-r15
shll8 r4
shlr8 r4
mov #-12,r1
mov r4,r0
shld r1,r0
mov.l @(readword_idx-fetch_idx,r11),r1
shll2 r0
mov.l @(r0,r1),r0
tst r0,r0
bt readl_outofrange
mov.l @(8,r0),r1
tst r1,r1
bf readl_callio
mov.l @(4,r0),r3
add #-2,r3
cmp/hi r3,r4
bt readl_split
mov.l @(12,r0),r1
add r1,r4
mov.w @r4+,r0
mov.w @r4,r3
shll16 r3
xtrct r0,r3
rts
mov.l @r15+,r4
readl_outofrange:
bra readw_outofrange
nop
.align 5
readl_callio:
mov.l @(4,r0),r3
add #-2,r3
cmp/hi r3,r4
bt readl_iosplit
mov.l r2,@-r15
sts.l	pr,@-r15
mov.l r4,@-r15
mov.l r1,@-r15
mov.l _io_cycle_counter_addr26,r0
mov.l r7,@r0
mov.l r5,@(io_fetchbase-_io_cycle_counter,r0)
mov.l r6,@(io_fetchbased_pc-_io_cycle_counter,r0)
jsr @r1
nop
mov.l @r15+,r1
mov.l @r15+,r4
mov.l r0,@-r15
jsr @r1
add #2,r4
mov.l @r15+,r3
lds.l	@r15+,pr
shll16 r3
extu.w r0,r0
mov.l @r15+,r2
or r0,r3
mov.l _io_cycle_counter_addr26,r0
mov.l @r0,r7
mov.l @(io_fetchbase-_io_cycle_counter,r0),r5
mov.l @(io_fetchbased_pc-_io_cycle_counter,r0),r6
rts
mov.l @r15+,r4
.align 5
readl_split:
mov.l @(12,r0),r0
mov.w @(r0,r4),r3
add #2,r4
mov #-12,r1
mov r4,r0
shld r1,r0
mov.l @(readword_idx-fetch_idx,r11),r1
shll2 r0
mov.l @(r0,r1),r0
tst r0,r0
bt readl_outofrange
mov.l @(8,r0),r1
tst r1,r1
bf readlower_callio
mov.l @(12,r0),r0
readlower_direct:
shll16 r3
mov.w @(r0,r4),r1
extu.w r1,r1
or r1,r3
rts
mov.l @r15+,r4
.align 5
readl_iosplit:
mov.l r2,@-r15
mov.l _io_cycle_counter_addr26,r0
mov.l r7,@r0
mov.l r5,@(io_fetchbase-_io_cycle_counter,r0)
mov.l r6,@(io_fetchbased_pc-_io_cycle_counter,r0)
sts.l	pr,@-r15
jsr @r1
nop
lds.l	@r15+,pr
mov.l _io_cycle_counter_addr26,r0
mov.l r7,@r0
mov.l r5,@(io_fetchbase-_io_cycle_counter,r0)
mov.l r6,@(io_fetchbased_pc-_io_cycle_counter,r0)
mov r0,r3
mov.l @r15+,r2
mov #-12,r1
mov r4,r0
shld r1,r0
mov.l @(readword_idx-fetch_idx,r11),r1
shll2 r0
mov.l @(r0,r1),r0
tst r0,r0
bt readl_outofrange
mov.l @(8,r0),r1
tst r1,r1
bf readlower_callio
bra readlower_direct
mov.l @(12,r0),r0
.align 5
readlower_callio:
mov.l r2,@-r15
mov.l r3,@-r15
mov.l _io_cycle_counter_addr26,r0
mov.l r7,@r0
mov.l r5,@(io_fetchbase-_io_cycle_counter,r0)
mov.l r6,@(io_fetchbased_pc-_io_cycle_counter,r0)
sts.l	pr,@-r15
jsr @r1
nop
lds.l	@r15+,pr
mov.l _io_cycle_counter_addr26,r0
mov.l r7,@r0
mov.l r5,@(io_fetchbase-_io_cycle_counter,r0)
mov.l r6,@(io_fetchbased_pc-_io_cycle_counter,r0)
mov.l @r15+,r2
extu.w r0,r3
mov.l @r15+,r1
shll16 r1
or r1,r3
rts
mov.l @r15+,r4
.align 2
_io_cycle_counter_addr26: .long _io_cycle_counter
.align 5
writememorybyte:
mov.l r4,@-r15
shll8 r4
shlr8 r4
mov #-12,r1
mov r4,r0
shld r1,r0
mov.l @(writebyte_idx-fetch_idx,r11),r1
shll2 r0
mov.l @(r0,r1),r0
tst r0,r0
bt writeb_outofrange
mov.l @(8,r0),r1
tst r1,r1
bf writeb_callio
mov.l @(12,r0),r0
add r4,r0
xor #1,r0
mov.b r3,@r0
rts
mov.l @r15+,r4
writeb_outofrange:
bra writew_outofrange
nop
.align 5
writeb_callio:
mov.l r2,@-r15
mov.l r3,@-r15
mov.l _io_cycle_counter_addr30,r0
mov.l r7,@r0
mov.l r5,@(io_fetchbase-_io_cycle_counter,r0)
mov.l r6,@(io_fetchbased_pc-_io_cycle_counter,r0)
sts.l	pr,@-r15
jsr @r1
extu.b r3,r5
lds.l	@r15+,pr
mov.l _io_cycle_counter_addr30,r0
mov.l @r0,r7
mov.l @(io_fetchbase-_io_cycle_counter,r0),r5
mov.l @(io_fetchbased_pc-_io_cycle_counter,r0),r6
mov.l @r15+,r3
mov.l @r15+,r2
rts
mov.l @r15+,r4
.align 2
_io_cycle_counter_addr30: .long _io_cycle_counter
.align 5
writememoryword:
mov.l r4,@-r15
shll8 r4
shlr8 r4
mov #-12,r1
mov r4,r0
shld r1,r0
mov.l @(writeword_idx-fetch_idx,r11),r1
shll2 r0
mov.l @(r0,r1),r0
tst r0,r0
bt writew_outofrange
mov.l @(8,r0),r1
tst r1,r1
bf writew_callio
mov.l @(12,r0),r0
mov.w r3,@(r0,r4)
rts
mov.l @r15+,r4
writew_outofrange:
rts
mov.l @r15+,r4
.align 5
writew_callio:
mov.l r2,@-r15
mov.l r3,@-r15
mov.l _io_cycle_counter_addr32,r0
mov.l r7,@r0
mov.l r5,@(io_fetchbase-_io_cycle_counter,r0)
mov.l r6,@(io_fetchbased_pc-_io_cycle_counter,r0)
sts.l	pr,@-r15
jsr @r1
extu.w r3,r5
lds.l	@r15+,pr
mov.l _io_cycle_counter_addr32,r0
mov.l @r0,r7
mov.l @(io_fetchbase-_io_cycle_counter,r0),r5
mov.l @(io_fetchbased_pc-_io_cycle_counter,r0),r6
mov.l @r15+,r3
mov.l @r15+,r2
rts
mov.l @r15+,r4
.align 2
_io_cycle_counter_addr32: .long _io_cycle_counter
.align 5
writememorydword:
mov.l r4,@-r15
shll8 r4
shlr8 r4
mov #-12,r1
mov r4,r0
shld r1,r0
mov.l @(writeword_idx-fetch_idx,r11),r1
shll2 r0
mov.l @(r0,r1),r0
tst r0,r0
bt writel_outofrange
mov.l @(8,r0),r1
tst r1,r1
bf writel_callio
mov.l @(4,r0),r1
add #-2,r1
cmp/hi r1,r4
bt writel_split
mov.l @(12,r0),r0
mov r3,r1
shlr16 r1
mov.w r1,@(r0,r4)
add #2,r4
mov.w r3,@(r0,r4)
rts
mov.l @r15+,r4
writel_outofrange:
bra readw_outofrange
nop
.align 5
writel_callio:
mov.l @(4,r0),r1
add #-2,r1
cmp/hi r1,r4
bt writel_iosplit
mov.l @(8,r0),r1
mov.l _io_cycle_counter_addr34,r0
mov.l r7,@r0
mov.l r5,@(io_fetchbase-_io_cycle_counter,r0)
mov.l r6,@(io_fetchbased_pc-_io_cycle_counter,r0)
mov.l r2,@-r15
mov.l r3,@-r15
sts.l	pr,@-r15
mov.l r4,@-r15
mov.l r1,@-r15
mov r3,r5
jsr @r1
shlr16 r5
mov.l @r15+,r1
mov.l @r15+,r4
mov.l @(4,r15),r5
add #2,r4
jsr @r1
extu.w r5,r5
lds.l	@r15+,pr
mov.l @r15+,r3
mov.l @r15+,r2
mov.l _io_cycle_counter_addr34,r0
mov.l @r0,r7
mov.l @(io_fetchbase-_io_cycle_counter,r0),r5
mov.l @(io_fetchbased_pc-_io_cycle_counter,r0),r6
rts
mov.l @r15+,r4
.align 5
writel_split:
mov.l @(12,r0),r0
mov r3,r1
shlr16 r1
mov.w r1,@(r0,r4)
add #2,r4
mov #-12,r1
mov r4,r0
shld r1,r0
mov.l @(writeword_idx-fetch_idx,r11),r1
shll2 r0
mov.l @(r0,r1),r0
tst r0,r0
bt writel_outofrange
mov.l @(8,r0),r1
tst r1,r1
bf writelower_callio
mov.l @(12,r0),r0
writelower_direct:
mov.w r3,@(r0,r4)
rts
mov.l @r15+,r4
.align 5
writel_iosplit:
mov.l @(8,r0),r1
mov.l _io_cycle_counter_addr34,r0
mov.l r7,@r0
mov.l r5,@(io_fetchbase-_io_cycle_counter,r0)
mov.l r6,@(io_fetchbased_pc-_io_cycle_counter,r0)
mov.l @r15,r5
mov.l r2,@-r15
mov.l r3,@-r15
mov.l r4,@-r15
sts.l	pr,@-r15
mov r3,r5
jsr @r1
shlr16 r5
lds.l	@r15+,pr
mov.l @r15+,r4
mov.l @r15+,r3
add #2,r4
mov.l @r15+,r2
mov.l _io_cycle_counter_addr34,r0
mov.l @r0,r7
mov.l @(io_fetchbase-_io_cycle_counter,r0),r5
mov.l @(io_fetchbased_pc-_io_cycle_counter,r0),r6
mov #-12,r1
mov r4,r0
shld r1,r0
mov.l @(writeword_idx-fetch_idx,r11),r1
shll2 r0
mov.l @(r0,r1),r0
tst r0,r0
bt writel_outofrange
mov.l @(8,r0),r1
tst r1,r1
bf writelower_callio
bra writelower_direct
mov.l @(12,r0),r0
.align 5
writelower_callio:
mov.l _io_cycle_counter_addr34,r0
mov.l r7,@r0
mov.l r5,@(io_fetchbase-_io_cycle_counter,r0)
mov.l r6,@(io_fetchbased_pc-_io_cycle_counter,r0)
mov.l r2,@-r15
mov.l r3,@-r15
sts.l	pr,@-r15
jsr @r1
extu.w r3,r5
lds.l	@r15+,pr
mov.l @r15+,r3
mov.l @r15+,r2
mov.l _io_cycle_counter_addr34,r0
mov.l @r0,r7
mov.l @(io_fetchbase-_io_cycle_counter,r0),r5
mov.l @(io_fetchbased_pc-_io_cycle_counter,r0),r6
rts
mov.l @r15+,r4
.align 2
_io_cycle_counter_addr34: .long _io_cycle_counter
.align 5
decode_extw:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #0x02,r0
and #0x3c,r0
bf/s longwd
mov.l @(r0,r13),r0
exts.w r0,r0
longwd:
rts
add r0,r4
.align 5
group_0_exception:
mov.l execinfo_addr38,r2
mov.w @r2,r0
tst #2,r0
bt/s .excflow
add #-50,r7
mov.l @(execexit_addr-areg,r14),r1
or #4,r0
mov.w r0,@r2
jmp @r1
add #2,r6
.align 5
.excflow:
or #2,r0
and #0x7F,r0
mov.w r0,@r2
mov.l r3,@-r15
mov.l readmemorydword_addr38,r1
jsr @r1
nop
mov r3,r2
mov.l @r15+,r3
mov.l r3,@-r15
mov.l r2,@-r15
mov r8,r0
mov r9,r1
shlr r0
addc r1,r1
tst r3,r3
addc r1,r1
and #3,r0
mov r1,r3
shll2 r3
or r0,r3
mov r10,r0
shll8 r0
or r0,r3
mov.l r3,@-r15
mov #0x20,r0
tst r0,r10
bf ln39
or r0,r10
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln39:
mov #0x27,r0
mov.l execinfo_addr38,r1
and r0,r10
mov.w @r1,r0
tst #0x20,r0
bt .bus_error
mov r6,r3
sub r5,r3
.bus_error:
mov.l @(60,r13),r4
mov.l writememorydword_addr38,r0
jsr @r0
add #-4,r4
mov.l @r15+,r3
mov.l writememoryword_addr38,r0
jsr @r0
add #-2,r4
mov.l inst_reg_addr38,r0
mov.w @r0,r3
mov.l writememoryword_addr38,r0
jsr @r0
add #-2,r4
mov r6,r3
mov.l writememorydword_addr38,r0
jsr @r0
add #-4,r4
mov.l g0_spec_info_addr38,r0
mov.b @r0,r3
mov.l writememoryword_addr38,r0
jsr @r0
add #-2,r4
mov.l r4,@(60,r13)
mov.l @r15+,r6
mov.l @r15+,r3
mov.l basefunction_addr38,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
shll2 r0
cmp/pl r7
bt/s fdl40
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl40:
jmp @r4
mov #0x1C,r2
.align 2
execinfo_addr38: .long execinfo
readmemoryword_addr38: .long readmemoryword
readmemorydword_addr38: .long readmemorydword
writememoryword_addr38: .long writememoryword
writememorydword_addr38: .long writememorydword
io_fetchbase_addr38: .long io_fetchbase
io_fetchbased_pc_addr38: .long io_fetchbased_pc
inst_reg_addr38: .long inst_reg
g0_spec_info_addr38: .long g0_spec_info
basefunction_addr38: .long basefunction
.align 5
group_1_exception:
group_2_exception:
mov.l execinfo_addr41,r1
mov.w @r1,r0
and #0x7F,r0
mov.w r0,@r1
mov.l icusthandler_addr41,r0
mov.l @r0,r0
tst r0,r0
bt .vect_except
mov r4,r1
shll2 r1
mov.l @(r0,r1),r1
tst r1,r1
bt .vect_except
mov.l r3,@-r15
mov r8,r0
shlr r0
addc r9,r9
tst r3,r3
addc r9,r9
and #3,r0
shll2 r9
or r0,r9
shll8 r10
mov.l sreg_addr41,r0
or r10,r9
mov.w r9,@r0
mov.l _io_cycle_counter_addr41,r0
mov.l r7,@r0
mov.l r5,@(io_fetchbase-_io_cycle_counter,r0)
mov.l r6,@(io_fetchbased_pc-_io_cycle_counter,r0)
sts.l	pr,@-r15
jsr @r1
nop
lds.l	@r15+,pr
mov.l _io_cycle_counter_addr41,r0
mov.l @r0,r7
mov.l @(io_fetchbase-_io_cycle_counter,r0),r5
mov.l @(io_fetchbased_pc-_io_cycle_counter,r0),r6
mov.l @r15+,r3
mov.l sreg_addr41,r1
mov.w @r1,r0
mov r0,r10
shlr8 r10
mov #3,r8
and r0,r8
mov r0,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
rts
sub r5,r6
.align 5
.vect_except:
sts.l	pr,@-r15
mov.l r3,@-r15
mov.l readmemorydword_addr41,r0
jsr @r0
sub r5,r6
mov r3,r2
mov.l @r15,r3
mov r8,r0
mov r9,r1
shlr r0
addc r1,r1
tst r3,r3
addc r1,r1
and #3,r0
mov r1,r3
shll2 r3
or r0,r3
mov r10,r0
shll8 r0
or r0,r3
mov r3,r5
mov #0x20,r0
tst r0,r10
bf ln42
or r0,r10
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln42:
mov #0x27,r0
mov r6,r3
and r0,r10
mov.l @(60,r13),r4
mov.l writememorydword_addr41,r0
jsr @r0
add #-4,r4
mov r5,r3
mov.l writememoryword_addr41,r0
jsr @r0
add #-2,r4
mov.l @r15+,r3
mov.l r4,@(60,r13)
lds.l	@r15+,pr
rts
mov r2,r6
.align 2
readmemoryword_addr41: .long readmemoryword
readmemorydword_addr41: .long readmemorydword
writememoryword_addr41: .long writememoryword
writememorydword_addr41: .long writememorydword
icusthandler_addr41: .long icusthandler
_io_cycle_counter_addr41: .long _io_cycle_counter
execinfo_addr41: .long execinfo
sreg_addr41: .long sreg
.align 5
privilege_violation:
add #-2,r6
bsr group_1_exception
mov #0x20,r4
mov.l bf_addr43,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-34,r7
shll2 r0
cmp/pl r7
bt/s fdl44
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl44:
jmp @r4
mov #0x1C,r2
.align 2
bf_addr43: .long basefunction
! Opcodes 0000 - 0007
K000:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
add r13,r2
mov.b @r2,r3
or r1,r3
mov.b r3,@r2
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl45
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl45:
jmp @r4
mov #0x1C,r2
! Opcodes 0010 - 0017
K010:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl46
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl46:
jmp @r4
mov #0x1C,r2
! Opcodes 0018 - 001F
K018:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl47
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl47:
jmp @r4
mov #0x1C,r2
! Opcodes 0020 - 0027
K020:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl48
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl48:
jmp @r4
mov #0x1C,r2
! Opcodes 0028 - 002F
K028:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl49
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl49:
jmp @r4
mov #0x1C,r2
! Opcodes 0030 - 0037
K030:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl50
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl50:
jmp @r4
mov #0x1C,r2
! Opcode 0038
K038:
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl51
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl51:
jmp @r4
mov #0x1C,r2
! Opcode 0039
K039:
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl52
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl52:
jmp @r4
mov #0x1C,r2
! Opcode 003C
K03C:
mov.w @r6+,r2
mov r8,r0
mov r9,r1
shlr r0
addc r1,r1
tst r3,r3
addc r1,r1
and #3,r0
mov r1,r3
shll2 r3
or r0,r3
or r2,r3
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl53
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl53:
jmp @r4
mov #0x1C,r2
! Opcodes 0040 - 0047
K040:
and r0,r2
mov.w @r6+,r1
add r13,r2
mov.w @r2,r3
or r1,r3
mov.w r3,@r2
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl54
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl54:
jmp @r4
mov #0x1C,r2
! Opcodes 0050 - 0057
K050:
and r0,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl55
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl55:
jmp @r4
mov #0x1C,r2
! Opcodes 0058 - 005F
K058:
and r0,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl56
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl56:
jmp @r4
mov #0x1C,r2
! Opcodes 0060 - 0067
K060:
and r0,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl57
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl57:
jmp @r4
mov #0x1C,r2
! Opcodes 0068 - 006F
K068:
and r0,r2
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl58
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl58:
jmp @r4
mov #0x1C,r2
! Opcodes 0070 - 0077
K070:
and r0,r2
mov.w @r6+,r1
mov r1,r8
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl59
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl59:
jmp @r4
mov #0x1C,r2
! Opcode 0078
K078:
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl60
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl60:
jmp @r4
mov #0x1C,r2
! Opcode 0079
K079:
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl61
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl61:
jmp @r4
mov #0x1C,r2
! Opcode 007C
K07C:
mov r10,r0
tst #0x20,r0
bf pcheck_ok62
mov.l priviolation_addr62,r0
jmp @r0
nop
.align 2
priviolation_addr62: .long privilege_violation
pcheck_ok62:
mov.w @r6+,r2
mov r8,r0
mov r9,r1
shlr r0
addc r1,r1
tst r3,r3
addc r1,r1
and #3,r0
mov r1,r3
shll2 r3
or r0,r3
mov r10,r0
shll8 r0
or r0,r3
or r2,r3
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln63
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln63:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s continue65
mov.l @(r0,r12),r4
bra fdl65
mov.l @(execexit_addr-areg,r14),r4
continue65:
lds r0,MACL
mov r10,r0
tst #0x80,r0
bt fde65
mov.l execinfo_ptr65,r1
mov.w @r1,r0
mov.l trace_excep_ptr65,r2
sub r5,r6
jmp @r2
add #-2,r6
fde65:
sts MACL,r0
fdl65:
jmp @r4
mov #0x1C,r2
.align 2
execinfo_ptr65: .long execinfo
trace_excep_ptr65: .long trace_excep
! Opcodes 0080 - 0087
K080:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
add r13,r2
mov.l @r2,r3
or r1,r3
mov.l r3,@r2
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl66
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl66:
jmp @r4
mov #0x1C,r2
! Opcodes 0090 - 0097
K090:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl67
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl67:
jmp @r4
mov #0x1C,r2
! Opcodes 0098 - 009F
K098:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl68
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl68:
jmp @r4
mov #0x1C,r2
! Opcodes 00A0 - 00A7
K0A0:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl69
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl69:
jmp @r4
mov #0x1C,r2
! Opcodes 00A8 - 00AF
K0A8:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl70
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl70:
jmp @r4
mov #0x1C,r2
! Opcodes 00B0 - 00B7
K0B0:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-34,r7
shll2 r0
cmp/pl r7
bt/s fdl71
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl71:
jmp @r4
mov #0x1C,r2
! Opcode 00B8
K0B8:
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl72
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl72:
jmp @r4
mov #0x1C,r2
! Opcode 00B9
K0B9:
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-36,r7
shll2 r0
cmp/pl r7
bt/s fdl73
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl73:
jmp @r4
mov #0x1C,r2
! Opcodes 0100 - 0107
K100:
and r0,r2
mov.b @r13,r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl74
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl74:
jmp @r4
mov #0x1C,r2
! Opcodes 0108 - 010F
K108:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov.w r2,@r13
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl75
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl75:
jmp @r4
mov #0x1C,r2
! Opcodes 0110 - 0117
K110:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl76
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl76:
jmp @r4
mov #0x1C,r2
! Opcodes 0118 - 011F
K118:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl77
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl77:
jmp @r4
mov #0x1C,r2
! Opcodes 0120 - 0127
K120:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl78
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl78:
jmp @r4
mov #0x1C,r2
! Opcodes 0128 - 012F
K128:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl79
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl79:
jmp @r4
mov #0x1C,r2
! Opcodes 0130 - 0137
K130:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl80
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl80:
jmp @r4
mov #0x1C,r2
! Opcode 0138
K138:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl81
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl81:
jmp @r4
mov #0x1C,r2
! Opcode 0139
K139:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl82
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl82:
jmp @r4
mov #0x1C,r2
! Opcode 013A
K13A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl83
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl83:
jmp @r4
mov #0x1C,r2
! Opcode 013B
K13B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl84
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl84:
jmp @r4
mov #0x1C,r2
! Opcode 013C
K13C:
mov.b @r6,r3
add #2,r6
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl85
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl85:
jmp @r4
mov #0x1C,r2
! Opcodes 0140 - 0147
K140:
and r0,r2
mov.b @r13,r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
xor r4,r1
mov.l r1,@r2
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl86
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl86:
jmp @r4
mov #0x1C,r2
! Opcodes 0148 - 014F
K148:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
shll8 r2
extu.b r3,r3
or r3,r2
mov.l r2,@r13
mov.l @r15+,r3
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl87
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl87:
jmp @r4
mov #0x1C,r2
! Opcodes 0150 - 0157
K150:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl88
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl88:
jmp @r4
mov #0x1C,r2
! Opcodes 0158 - 015F
K158:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl89
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl89:
jmp @r4
mov #0x1C,r2
! Opcodes 0160 - 0167
K160:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl90
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl90:
jmp @r4
mov #0x1C,r2
! Opcodes 0168 - 016F
K168:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl91
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl91:
jmp @r4
mov #0x1C,r2
! Opcodes 0170 - 0177
K170:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl92
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl92:
jmp @r4
mov #0x1C,r2
! Opcode 0178
K178:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl93
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl93:
jmp @r4
mov #0x1C,r2
! Opcode 0179
K179:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl94
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl94:
jmp @r4
mov #0x1C,r2
! Opcodes 0180 - 0187
K180:
and r0,r2
mov.b @r13,r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
not r4,r4
and r4,r1
mov.l r1,@r2
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl95
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl95:
jmp @r4
mov #0x1C,r2
! Opcodes 0188 - 018F
K188:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @r13,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl96
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl96:
jmp @r4
mov #0x1C,r2
! Opcodes 0190 - 0197
K190:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl97
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl97:
jmp @r4
mov #0x1C,r2
! Opcodes 0198 - 019F
K198:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl98
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl98:
jmp @r4
mov #0x1C,r2
! Opcodes 01A0 - 01A7
K1A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl99
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl99:
jmp @r4
mov #0x1C,r2
! Opcodes 01A8 - 01AF
K1A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl100
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl100:
jmp @r4
mov #0x1C,r2
! Opcodes 01B0 - 01B7
K1B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl101
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl101:
jmp @r4
mov #0x1C,r2
! Opcode 01B8
K1B8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl102
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl102:
jmp @r4
mov #0x1C,r2
! Opcode 01B9
K1B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl103
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl103:
jmp @r4
mov #0x1C,r2
! Opcodes 01C0 - 01C7
K1C0:
and r0,r2
mov.b @r13,r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
or r4,r1
mov.l r1,@r2
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl104
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl104:
jmp @r4
mov #0x1C,r2
! Opcodes 01C8 - 01CF
K1C8:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @r13,r2
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
add #2,r4
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.l @r15+,r3
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl105
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl105:
jmp @r4
mov #0x1C,r2
! Opcodes 01D0 - 01D7
K1D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl106
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl106:
jmp @r4
mov #0x1C,r2
! Opcodes 01D8 - 01DF
K1D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl107
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl107:
jmp @r4
mov #0x1C,r2
! Opcodes 01E0 - 01E7
K1E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl108
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl108:
jmp @r4
mov #0x1C,r2
! Opcodes 01E8 - 01EF
K1E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl109
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl109:
jmp @r4
mov #0x1C,r2
! Opcodes 01F0 - 01F7
K1F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl110
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl110:
jmp @r4
mov #0x1C,r2
! Opcode 01F8
K1F8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl111
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl111:
jmp @r4
mov #0x1C,r2
! Opcode 01F9
K1F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl112
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl112:
jmp @r4
mov #0x1C,r2
! Opcodes 0200 - 0207
K200:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
add r13,r2
mov.b @r2,r3
and r1,r3
mov.b r3,@r2
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl113
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl113:
jmp @r4
mov #0x1C,r2
! Opcodes 0210 - 0217
K210:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl114
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl114:
jmp @r4
mov #0x1C,r2
! Opcodes 0218 - 021F
K218:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl115
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl115:
jmp @r4
mov #0x1C,r2
! Opcodes 0220 - 0227
K220:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl116
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl116:
jmp @r4
mov #0x1C,r2
! Opcodes 0228 - 022F
K228:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl117
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl117:
jmp @r4
mov #0x1C,r2
! Opcodes 0230 - 0237
K230:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl118
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl118:
jmp @r4
mov #0x1C,r2
! Opcode 0238
K238:
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl119
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl119:
jmp @r4
mov #0x1C,r2
! Opcode 0239
K239:
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl120
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl120:
jmp @r4
mov #0x1C,r2
! Opcode 023C
K23C:
mov.w @r6+,r2
mov r8,r0
mov r9,r1
shlr r0
addc r1,r1
tst r3,r3
addc r1,r1
and #3,r0
mov r1,r3
shll2 r3
or r0,r3
and r2,r3
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl121
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl121:
jmp @r4
mov #0x1C,r2
! Opcodes 0240 - 0247
K240:
and r0,r2
mov.w @r6+,r1
add r13,r2
mov.w @r2,r3
and r1,r3
mov.w r3,@r2
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl122
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl122:
jmp @r4
mov #0x1C,r2
! Opcodes 0250 - 0257
K250:
and r0,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl123
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl123:
jmp @r4
mov #0x1C,r2
! Opcodes 0258 - 025F
K258:
and r0,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl124
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl124:
jmp @r4
mov #0x1C,r2
! Opcodes 0260 - 0267
K260:
and r0,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl125
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl125:
jmp @r4
mov #0x1C,r2
! Opcodes 0268 - 026F
K268:
and r0,r2
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl126
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl126:
jmp @r4
mov #0x1C,r2
! Opcodes 0270 - 0277
K270:
and r0,r2
mov.w @r6+,r1
mov r1,r8
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl127
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl127:
jmp @r4
mov #0x1C,r2
! Opcode 0278
K278:
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl128
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl128:
jmp @r4
mov #0x1C,r2
! Opcode 0279
K279:
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl129
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl129:
jmp @r4
mov #0x1C,r2
! Opcode 027C
K27C:
mov r10,r0
tst #0x20,r0
bf pcheck_ok130
mov.l priviolation_addr130,r0
jmp @r0
nop
.align 2
priviolation_addr130: .long privilege_violation
pcheck_ok130:
mov.w @r6+,r2
mov r8,r0
mov r9,r1
shlr r0
addc r1,r1
tst r3,r3
addc r1,r1
and #3,r0
mov r1,r3
shll2 r3
or r0,r3
mov r10,r0
shll8 r0
or r0,r3
and r2,r3
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln131
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln131:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s continue133
mov.l @(r0,r12),r4
bra fdl133
mov.l @(execexit_addr-areg,r14),r4
continue133:
lds r0,MACL
mov r10,r0
tst #0x80,r0
bt fde133
mov.l execinfo_ptr133,r1
mov.w @r1,r0
mov.l trace_excep_ptr133,r2
sub r5,r6
jmp @r2
add #-2,r6
fde133:
sts MACL,r0
fdl133:
jmp @r4
mov #0x1C,r2
.align 2
execinfo_ptr133: .long execinfo
trace_excep_ptr133: .long trace_excep
! Opcodes 0280 - 0287
K280:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
add r13,r2
mov.l @r2,r3
and r1,r3
mov.l r3,@r2
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl134
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl134:
jmp @r4
mov #0x1C,r2
! Opcodes 0290 - 0297
K290:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl135
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl135:
jmp @r4
mov #0x1C,r2
! Opcodes 0298 - 029F
K298:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl136
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl136:
jmp @r4
mov #0x1C,r2
! Opcodes 02A0 - 02A7
K2A0:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl137
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl137:
jmp @r4
mov #0x1C,r2
! Opcodes 02A8 - 02AF
K2A8:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl138
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl138:
jmp @r4
mov #0x1C,r2
! Opcodes 02B0 - 02B7
K2B0:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-34,r7
shll2 r0
cmp/pl r7
bt/s fdl139
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl139:
jmp @r4
mov #0x1C,r2
! Opcode 02B8
K2B8:
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl140
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl140:
jmp @r4
mov #0x1C,r2
! Opcode 02B9
K2B9:
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-36,r7
shll2 r0
cmp/pl r7
bt/s fdl141
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl141:
jmp @r4
mov #0x1C,r2
! Opcodes 0300 - 0307
K300:
and r0,r2
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl142
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl142:
jmp @r4
mov #0x1C,r2
! Opcodes 0308 - 030F
K308:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov #4,r0
mov.w r2,@(r0,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl143
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl143:
jmp @r4
mov #0x1C,r2
! Opcodes 0310 - 0317
K310:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl144
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl144:
jmp @r4
mov #0x1C,r2
! Opcodes 0318 - 031F
K318:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl145
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl145:
jmp @r4
mov #0x1C,r2
! Opcodes 0320 - 0327
K320:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl146
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl146:
jmp @r4
mov #0x1C,r2
! Opcodes 0328 - 032F
K328:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl147
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl147:
jmp @r4
mov #0x1C,r2
! Opcodes 0330 - 0337
K330:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl148
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl148:
jmp @r4
mov #0x1C,r2
! Opcode 0338
K338:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl149
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl149:
jmp @r4
mov #0x1C,r2
! Opcode 0339
K339:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl150
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl150:
jmp @r4
mov #0x1C,r2
! Opcode 033A
K33A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl151
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl151:
jmp @r4
mov #0x1C,r2
! Opcode 033B
K33B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl152
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl152:
jmp @r4
mov #0x1C,r2
! Opcode 033C
K33C:
mov.b @r6,r3
add #2,r6
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl153
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl153:
jmp @r4
mov #0x1C,r2
! Opcodes 0340 - 0347
K340:
and r0,r2
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
xor r4,r1
mov.l r1,@r2
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl154
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl154:
jmp @r4
mov #0x1C,r2
! Opcodes 0348 - 034F
K348:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
shll8 r2
extu.b r3,r3
or r3,r2
mov.l r2,@(4,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl155
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl155:
jmp @r4
mov #0x1C,r2
! Opcodes 0350 - 0357
K350:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl156
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl156:
jmp @r4
mov #0x1C,r2
! Opcodes 0358 - 035F
K358:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl157
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl157:
jmp @r4
mov #0x1C,r2
! Opcodes 0360 - 0367
K360:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl158
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl158:
jmp @r4
mov #0x1C,r2
! Opcodes 0368 - 036F
K368:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl159
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl159:
jmp @r4
mov #0x1C,r2
! Opcodes 0370 - 0377
K370:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl160
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl160:
jmp @r4
mov #0x1C,r2
! Opcode 0378
K378:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl161
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl161:
jmp @r4
mov #0x1C,r2
! Opcode 0379
K379:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl162
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl162:
jmp @r4
mov #0x1C,r2
! Opcodes 0380 - 0387
K380:
and r0,r2
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
not r4,r4
and r4,r1
mov.l r1,@r2
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl163
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl163:
jmp @r4
mov #0x1C,r2
! Opcodes 0388 - 038F
K388:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(4,r13),r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl164
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl164:
jmp @r4
mov #0x1C,r2
! Opcodes 0390 - 0397
K390:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl165
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl165:
jmp @r4
mov #0x1C,r2
! Opcodes 0398 - 039F
K398:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl166
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl166:
jmp @r4
mov #0x1C,r2
! Opcodes 03A0 - 03A7
K3A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl167
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl167:
jmp @r4
mov #0x1C,r2
! Opcodes 03A8 - 03AF
K3A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl168
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl168:
jmp @r4
mov #0x1C,r2
! Opcodes 03B0 - 03B7
K3B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl169
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl169:
jmp @r4
mov #0x1C,r2
! Opcode 03B8
K3B8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl170
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl170:
jmp @r4
mov #0x1C,r2
! Opcode 03B9
K3B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl171
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl171:
jmp @r4
mov #0x1C,r2
! Opcodes 03C0 - 03C7
K3C0:
and r0,r2
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
or r4,r1
mov.l r1,@r2
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl172
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl172:
jmp @r4
mov #0x1C,r2
! Opcodes 03C8 - 03CF
K3C8:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(4,r13),r2
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
add #2,r4
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.l @r15+,r3
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl173
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl173:
jmp @r4
mov #0x1C,r2
! Opcodes 03D0 - 03D7
K3D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl174
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl174:
jmp @r4
mov #0x1C,r2
! Opcodes 03D8 - 03DF
K3D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl175
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl175:
jmp @r4
mov #0x1C,r2
! Opcodes 03E0 - 03E7
K3E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl176
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl176:
jmp @r4
mov #0x1C,r2
! Opcodes 03E8 - 03EF
K3E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl177
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl177:
jmp @r4
mov #0x1C,r2
! Opcodes 03F0 - 03F7
K3F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl178
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl178:
jmp @r4
mov #0x1C,r2
! Opcode 03F8
K3F8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl179
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl179:
jmp @r4
mov #0x1C,r2
! Opcode 03F9
K3F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl180
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl180:
jmp @r4
mov #0x1C,r2
! Opcodes 0400 - 0407
K400:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
add r13,r2
mov.b @r2,r3
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl181
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl181:
jmp @r4
mov #0x1C,r2
! Opcodes 0410 - 0417
K410:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl182
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl182:
jmp @r4
mov #0x1C,r2
! Opcodes 0418 - 041F
K418:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl183
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl183:
jmp @r4
mov #0x1C,r2
! Opcodes 0420 - 0427
K420:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl184
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl184:
jmp @r4
mov #0x1C,r2
! Opcodes 0428 - 042F
K428:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl185
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl185:
jmp @r4
mov #0x1C,r2
! Opcodes 0430 - 0437
K430:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl186
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl186:
jmp @r4
mov #0x1C,r2
! Opcode 0438
K438:
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl187
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl187:
jmp @r4
mov #0x1C,r2
! Opcode 0439
K439:
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl188
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl188:
jmp @r4
mov #0x1C,r2
! Opcodes 0440 - 0447
K440:
and r0,r2
mov.w @r6+,r1
add r13,r2
mov.w @r2,r3
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl189
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl189:
jmp @r4
mov #0x1C,r2
! Opcodes 0450 - 0457
K450:
and r0,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl190
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl190:
jmp @r4
mov #0x1C,r2
! Opcodes 0458 - 045F
K458:
and r0,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl191
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl191:
jmp @r4
mov #0x1C,r2
! Opcodes 0460 - 0467
K460:
and r0,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl192
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl192:
jmp @r4
mov #0x1C,r2
! Opcodes 0468 - 046F
K468:
and r0,r2
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl193
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl193:
jmp @r4
mov #0x1C,r2
! Opcodes 0470 - 0477
K470:
and r0,r2
mov.w @r6+,r1
mov r1,r8
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl194
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl194:
jmp @r4
mov #0x1C,r2
! Opcode 0478
K478:
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl195
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl195:
jmp @r4
mov #0x1C,r2
! Opcode 0479
K479:
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl196
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl196:
jmp @r4
mov #0x1C,r2
! Opcodes 0480 - 0487
K480:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
add r13,r2
mov.l @r2,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl197
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl197:
jmp @r4
mov #0x1C,r2
! Opcodes 0490 - 0497
K490:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl198
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl198:
jmp @r4
mov #0x1C,r2
! Opcodes 0498 - 049F
K498:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl199
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl199:
jmp @r4
mov #0x1C,r2
! Opcodes 04A0 - 04A7
K4A0:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl200
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl200:
jmp @r4
mov #0x1C,r2
! Opcodes 04A8 - 04AF
K4A8:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl201
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl201:
jmp @r4
mov #0x1C,r2
! Opcodes 04B0 - 04B7
K4B0:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-34,r7
shll2 r0
cmp/pl r7
bt/s fdl202
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl202:
jmp @r4
mov #0x1C,r2
! Opcode 04B8
K4B8:
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl203
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl203:
jmp @r4
mov #0x1C,r2
! Opcode 04B9
K4B9:
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-36,r7
shll2 r0
cmp/pl r7
bt/s fdl204
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl204:
jmp @r4
mov #0x1C,r2
! Opcodes 0500 - 0507
K500:
and r0,r2
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl205
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl205:
jmp @r4
mov #0x1C,r2
! Opcodes 0508 - 050F
K508:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov #8,r0
mov.w r2,@(r0,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl206
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl206:
jmp @r4
mov #0x1C,r2
! Opcodes 0510 - 0517
K510:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl207
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl207:
jmp @r4
mov #0x1C,r2
! Opcodes 0518 - 051F
K518:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl208
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl208:
jmp @r4
mov #0x1C,r2
! Opcodes 0520 - 0527
K520:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl209
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl209:
jmp @r4
mov #0x1C,r2
! Opcodes 0528 - 052F
K528:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl210
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl210:
jmp @r4
mov #0x1C,r2
! Opcodes 0530 - 0537
K530:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl211
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl211:
jmp @r4
mov #0x1C,r2
! Opcode 0538
K538:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl212
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl212:
jmp @r4
mov #0x1C,r2
! Opcode 0539
K539:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl213
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl213:
jmp @r4
mov #0x1C,r2
! Opcode 053A
K53A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl214
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl214:
jmp @r4
mov #0x1C,r2
! Opcode 053B
K53B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl215
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl215:
jmp @r4
mov #0x1C,r2
! Opcode 053C
K53C:
mov.b @r6,r3
add #2,r6
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl216
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl216:
jmp @r4
mov #0x1C,r2
! Opcodes 0540 - 0547
K540:
and r0,r2
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
xor r4,r1
mov.l r1,@r2
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl217
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl217:
jmp @r4
mov #0x1C,r2
! Opcodes 0548 - 054F
K548:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
shll8 r2
extu.b r3,r3
or r3,r2
mov.l r2,@(8,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl218
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl218:
jmp @r4
mov #0x1C,r2
! Opcodes 0550 - 0557
K550:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl219
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl219:
jmp @r4
mov #0x1C,r2
! Opcodes 0558 - 055F
K558:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl220
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl220:
jmp @r4
mov #0x1C,r2
! Opcodes 0560 - 0567
K560:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl221
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl221:
jmp @r4
mov #0x1C,r2
! Opcodes 0568 - 056F
K568:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl222
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl222:
jmp @r4
mov #0x1C,r2
! Opcodes 0570 - 0577
K570:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl223
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl223:
jmp @r4
mov #0x1C,r2
! Opcode 0578
K578:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl224
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl224:
jmp @r4
mov #0x1C,r2
! Opcode 0579
K579:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl225
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl225:
jmp @r4
mov #0x1C,r2
! Opcodes 0580 - 0587
K580:
and r0,r2
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
not r4,r4
and r4,r1
mov.l r1,@r2
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl226
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl226:
jmp @r4
mov #0x1C,r2
! Opcodes 0588 - 058F
K588:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(8,r13),r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl227
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl227:
jmp @r4
mov #0x1C,r2
! Opcodes 0590 - 0597
K590:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl228
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl228:
jmp @r4
mov #0x1C,r2
! Opcodes 0598 - 059F
K598:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl229
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl229:
jmp @r4
mov #0x1C,r2
! Opcodes 05A0 - 05A7
K5A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl230
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl230:
jmp @r4
mov #0x1C,r2
! Opcodes 05A8 - 05AF
K5A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl231
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl231:
jmp @r4
mov #0x1C,r2
! Opcodes 05B0 - 05B7
K5B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl232
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl232:
jmp @r4
mov #0x1C,r2
! Opcode 05B8
K5B8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl233
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl233:
jmp @r4
mov #0x1C,r2
! Opcode 05B9
K5B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl234
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl234:
jmp @r4
mov #0x1C,r2
! Opcodes 05C0 - 05C7
K5C0:
and r0,r2
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
or r4,r1
mov.l r1,@r2
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl235
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl235:
jmp @r4
mov #0x1C,r2
! Opcodes 05C8 - 05CF
K5C8:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(8,r13),r2
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
add #2,r4
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.l @r15+,r3
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl236
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl236:
jmp @r4
mov #0x1C,r2
! Opcodes 05D0 - 05D7
K5D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl237
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl237:
jmp @r4
mov #0x1C,r2
! Opcodes 05D8 - 05DF
K5D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl238
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl238:
jmp @r4
mov #0x1C,r2
! Opcodes 05E0 - 05E7
K5E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl239
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl239:
jmp @r4
mov #0x1C,r2
! Opcodes 05E8 - 05EF
K5E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl240
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl240:
jmp @r4
mov #0x1C,r2
! Opcodes 05F0 - 05F7
K5F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl241
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl241:
jmp @r4
mov #0x1C,r2
! Opcode 05F8
K5F8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl242
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl242:
jmp @r4
mov #0x1C,r2
! Opcode 05F9
K5F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl243
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl243:
jmp @r4
mov #0x1C,r2
! Opcodes 0600 - 0607
K600:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
add r13,r2
mov.b @r2,r3
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl244
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl244:
jmp @r4
mov #0x1C,r2
! Opcodes 0610 - 0617
K610:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl245
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl245:
jmp @r4
mov #0x1C,r2
! Opcodes 0618 - 061F
K618:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl246
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl246:
jmp @r4
mov #0x1C,r2
! Opcodes 0620 - 0627
K620:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl247
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl247:
jmp @r4
mov #0x1C,r2
! Opcodes 0628 - 062F
K628:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl248
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl248:
jmp @r4
mov #0x1C,r2
! Opcodes 0630 - 0637
K630:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl249
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl249:
jmp @r4
mov #0x1C,r2
! Opcode 0638
K638:
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl250
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl250:
jmp @r4
mov #0x1C,r2
! Opcode 0639
K639:
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl251
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl251:
jmp @r4
mov #0x1C,r2
! Opcodes 0640 - 0647
K640:
and r0,r2
mov.w @r6+,r1
add r13,r2
mov.w @r2,r3
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl252
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl252:
jmp @r4
mov #0x1C,r2
! Opcodes 0650 - 0657
K650:
and r0,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl253
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl253:
jmp @r4
mov #0x1C,r2
! Opcodes 0658 - 065F
K658:
and r0,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl254
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl254:
jmp @r4
mov #0x1C,r2
! Opcodes 0660 - 0667
K660:
and r0,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl255
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl255:
jmp @r4
mov #0x1C,r2
! Opcodes 0668 - 066F
K668:
and r0,r2
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl256
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl256:
jmp @r4
mov #0x1C,r2
! Opcodes 0670 - 0677
K670:
and r0,r2
mov.w @r6+,r1
mov r1,r8
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl257
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl257:
jmp @r4
mov #0x1C,r2
! Opcode 0678
K678:
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl258
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl258:
jmp @r4
mov #0x1C,r2
! Opcode 0679
K679:
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl259
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl259:
jmp @r4
mov #0x1C,r2
! Opcodes 0680 - 0687
K680:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
add r13,r2
mov.l @r2,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl260
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl260:
jmp @r4
mov #0x1C,r2
! Opcodes 0690 - 0697
K690:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl261
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl261:
jmp @r4
mov #0x1C,r2
! Opcodes 0698 - 069F
K698:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl262
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl262:
jmp @r4
mov #0x1C,r2
! Opcodes 06A0 - 06A7
K6A0:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl263
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl263:
jmp @r4
mov #0x1C,r2
! Opcodes 06A8 - 06AF
K6A8:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl264
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl264:
jmp @r4
mov #0x1C,r2
! Opcodes 06B0 - 06B7
K6B0:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-34,r7
shll2 r0
cmp/pl r7
bt/s fdl265
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl265:
jmp @r4
mov #0x1C,r2
! Opcode 06B8
K6B8:
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl266
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl266:
jmp @r4
mov #0x1C,r2
! Opcode 06B9
K6B9:
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-36,r7
shll2 r0
cmp/pl r7
bt/s fdl267
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl267:
jmp @r4
mov #0x1C,r2
! Opcodes 0700 - 0707
K700:
and r0,r2
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl268
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl268:
jmp @r4
mov #0x1C,r2
! Opcodes 0708 - 070F
K708:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov #12,r0
mov.w r2,@(r0,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl269
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl269:
jmp @r4
mov #0x1C,r2
! Opcodes 0710 - 0717
K710:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl270
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl270:
jmp @r4
mov #0x1C,r2
! Opcodes 0718 - 071F
K718:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl271
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl271:
jmp @r4
mov #0x1C,r2
! Opcodes 0720 - 0727
K720:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl272
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl272:
jmp @r4
mov #0x1C,r2
! Opcodes 0728 - 072F
K728:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl273
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl273:
jmp @r4
mov #0x1C,r2
! Opcodes 0730 - 0737
K730:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl274
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl274:
jmp @r4
mov #0x1C,r2
! Opcode 0738
K738:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl275
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl275:
jmp @r4
mov #0x1C,r2
! Opcode 0739
K739:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl276
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl276:
jmp @r4
mov #0x1C,r2
! Opcode 073A
K73A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl277
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl277:
jmp @r4
mov #0x1C,r2
! Opcode 073B
K73B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl278
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl278:
jmp @r4
mov #0x1C,r2
! Opcode 073C
K73C:
mov.b @r6,r3
add #2,r6
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl279
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl279:
jmp @r4
mov #0x1C,r2
! Opcodes 0740 - 0747
K740:
and r0,r2
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
xor r4,r1
mov.l r1,@r2
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl280
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl280:
jmp @r4
mov #0x1C,r2
! Opcodes 0748 - 074F
K748:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
shll8 r2
extu.b r3,r3
or r3,r2
mov.l r2,@(12,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl281
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl281:
jmp @r4
mov #0x1C,r2
! Opcodes 0750 - 0757
K750:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl282
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl282:
jmp @r4
mov #0x1C,r2
! Opcodes 0758 - 075F
K758:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl283
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl283:
jmp @r4
mov #0x1C,r2
! Opcodes 0760 - 0767
K760:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl284
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl284:
jmp @r4
mov #0x1C,r2
! Opcodes 0768 - 076F
K768:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl285
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl285:
jmp @r4
mov #0x1C,r2
! Opcodes 0770 - 0777
K770:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl286
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl286:
jmp @r4
mov #0x1C,r2
! Opcode 0778
K778:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl287
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl287:
jmp @r4
mov #0x1C,r2
! Opcode 0779
K779:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl288
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl288:
jmp @r4
mov #0x1C,r2
! Opcodes 0780 - 0787
K780:
and r0,r2
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
not r4,r4
and r4,r1
mov.l r1,@r2
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl289
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl289:
jmp @r4
mov #0x1C,r2
! Opcodes 0788 - 078F
K788:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(12,r13),r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl290
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl290:
jmp @r4
mov #0x1C,r2
! Opcodes 0790 - 0797
K790:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl291
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl291:
jmp @r4
mov #0x1C,r2
! Opcodes 0798 - 079F
K798:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl292
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl292:
jmp @r4
mov #0x1C,r2
! Opcodes 07A0 - 07A7
K7A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl293
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl293:
jmp @r4
mov #0x1C,r2
! Opcodes 07A8 - 07AF
K7A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl294
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl294:
jmp @r4
mov #0x1C,r2
! Opcodes 07B0 - 07B7
K7B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl295
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl295:
jmp @r4
mov #0x1C,r2
! Opcode 07B8
K7B8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl296
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl296:
jmp @r4
mov #0x1C,r2
! Opcode 07B9
K7B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl297
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl297:
jmp @r4
mov #0x1C,r2
! Opcodes 07C0 - 07C7
K7C0:
and r0,r2
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
or r4,r1
mov.l r1,@r2
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl298
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl298:
jmp @r4
mov #0x1C,r2
! Opcodes 07C8 - 07CF
K7C8:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(12,r13),r2
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
add #2,r4
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.l @r15+,r3
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl299
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl299:
jmp @r4
mov #0x1C,r2
! Opcodes 07D0 - 07D7
K7D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl300
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl300:
jmp @r4
mov #0x1C,r2
! Opcodes 07D8 - 07DF
K7D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl301
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl301:
jmp @r4
mov #0x1C,r2
! Opcodes 07E0 - 07E7
K7E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl302
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl302:
jmp @r4
mov #0x1C,r2
! Opcodes 07E8 - 07EF
K7E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl303
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl303:
jmp @r4
mov #0x1C,r2
! Opcodes 07F0 - 07F7
K7F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl304
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl304:
jmp @r4
mov #0x1C,r2
! Opcode 07F8
K7F8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl305
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl305:
jmp @r4
mov #0x1C,r2
! Opcode 07F9
K7F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl306
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl306:
jmp @r4
mov #0x1C,r2
! Opcodes 0800 - 0807
K800:
and r0,r2
mov.w @r6+,r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl307
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl307:
jmp @r4
mov #0x1C,r2
! Opcodes 0810 - 0817
K810:
and r0,r2
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl308
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl308:
jmp @r4
mov #0x1C,r2
! Opcodes 0818 - 081F
K818:
and r0,r2
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl309
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl309:
jmp @r4
mov #0x1C,r2
! Opcodes 0820 - 0827
K820:
and r0,r2
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl310
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl310:
jmp @r4
mov #0x1C,r2
! Opcodes 0828 - 082F
K828:
and r0,r2
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl311
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl311:
jmp @r4
mov #0x1C,r2
! Opcodes 0830 - 0837
K830:
and r0,r2
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl312
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl312:
jmp @r4
mov #0x1C,r2
! Opcode 0838
K838:
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl313
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl313:
jmp @r4
mov #0x1C,r2
! Opcode 0839
K839:
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl314
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl314:
jmp @r4
mov #0x1C,r2
! Opcode 083A
K83A:
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl315
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl315:
jmp @r4
mov #0x1C,r2
! Opcode 083B
K83B:
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl316
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl316:
jmp @r4
mov #0x1C,r2
! Opcode 083C
K83C:
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.b @r6,r3
add #2,r6
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl317
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl317:
jmp @r4
mov #0x1C,r2
! Opcodes 0840 - 0847
K840:
and r0,r2
mov.w @r6+,r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
xor r4,r1
mov.l r1,@r2
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl318
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl318:
jmp @r4
mov #0x1C,r2
! Opcodes 0850 - 0857
K850:
and r0,r2
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl319
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl319:
jmp @r4
mov #0x1C,r2
! Opcodes 0858 - 085F
K858:
and r0,r2
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl320
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl320:
jmp @r4
mov #0x1C,r2
! Opcodes 0860 - 0867
K860:
and r0,r2
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl321
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl321:
jmp @r4
mov #0x1C,r2
! Opcodes 0868 - 086F
K868:
and r0,r2
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl322
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl322:
jmp @r4
mov #0x1C,r2
! Opcodes 0870 - 0877
K870:
and r0,r2
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl323
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl323:
jmp @r4
mov #0x1C,r2
! Opcode 0878
K878:
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl324
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl324:
jmp @r4
mov #0x1C,r2
! Opcode 0879
K879:
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl325
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl325:
jmp @r4
mov #0x1C,r2
! Opcodes 0880 - 0887
K880:
and r0,r2
mov.w @r6+,r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
not r4,r4
and r4,r1
mov.l r1,@r2
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl326
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl326:
jmp @r4
mov #0x1C,r2
! Opcodes 0890 - 0897
K890:
and r0,r2
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl327
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl327:
jmp @r4
mov #0x1C,r2
! Opcodes 0898 - 089F
K898:
and r0,r2
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl328
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl328:
jmp @r4
mov #0x1C,r2
! Opcodes 08A0 - 08A7
K8A0:
and r0,r2
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl329
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl329:
jmp @r4
mov #0x1C,r2
! Opcodes 08A8 - 08AF
K8A8:
and r0,r2
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl330
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl330:
jmp @r4
mov #0x1C,r2
! Opcodes 08B0 - 08B7
K8B0:
and r0,r2
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl331
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl331:
jmp @r4
mov #0x1C,r2
! Opcode 08B8
K8B8:
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl332
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl332:
jmp @r4
mov #0x1C,r2
! Opcode 08B9
K8B9:
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl333
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl333:
jmp @r4
mov #0x1C,r2
! Opcodes 08C0 - 08C7
K8C0:
and r0,r2
mov.w @r6+,r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
or r4,r1
mov.l r1,@r2
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl334
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl334:
jmp @r4
mov #0x1C,r2
! Opcodes 08D0 - 08D7
K8D0:
and r0,r2
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl335
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl335:
jmp @r4
mov #0x1C,r2
! Opcodes 08D8 - 08DF
K8D8:
and r0,r2
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl336
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl336:
jmp @r4
mov #0x1C,r2
! Opcodes 08E0 - 08E7
K8E0:
and r0,r2
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl337
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl337:
jmp @r4
mov #0x1C,r2
! Opcodes 08E8 - 08EF
K8E8:
and r0,r2
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl338
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl338:
jmp @r4
mov #0x1C,r2
! Opcodes 08F0 - 08F7
K8F0:
and r0,r2
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl339
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl339:
jmp @r4
mov #0x1C,r2
! Opcode 08F8
K8F8:
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl340
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl340:
jmp @r4
mov #0x1C,r2
! Opcode 08F9
K8F9:
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl341
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl341:
jmp @r4
mov #0x1C,r2
! Opcodes 0900 - 0907
K900:
and r0,r2
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl342
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl342:
jmp @r4
mov #0x1C,r2
! Opcodes 0908 - 090F
K908:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov #16,r0
mov.w r2,@(r0,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl343
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl343:
jmp @r4
mov #0x1C,r2
! Opcodes 0910 - 0917
K910:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl344
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl344:
jmp @r4
mov #0x1C,r2
! Opcodes 0918 - 091F
K918:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl345
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl345:
jmp @r4
mov #0x1C,r2
! Opcodes 0920 - 0927
K920:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl346
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl346:
jmp @r4
mov #0x1C,r2
! Opcodes 0928 - 092F
K928:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl347
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl347:
jmp @r4
mov #0x1C,r2
! Opcodes 0930 - 0937
K930:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl348
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl348:
jmp @r4
mov #0x1C,r2
! Opcode 0938
K938:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl349
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl349:
jmp @r4
mov #0x1C,r2
! Opcode 0939
K939:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl350
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl350:
jmp @r4
mov #0x1C,r2
! Opcode 093A
K93A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl351
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl351:
jmp @r4
mov #0x1C,r2
! Opcode 093B
K93B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl352
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl352:
jmp @r4
mov #0x1C,r2
! Opcode 093C
K93C:
mov.b @r6,r3
add #2,r6
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl353
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl353:
jmp @r4
mov #0x1C,r2
! Opcodes 0940 - 0947
K940:
and r0,r2
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
xor r4,r1
mov.l r1,@r2
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl354
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl354:
jmp @r4
mov #0x1C,r2
! Opcodes 0948 - 094F
K948:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
shll8 r2
extu.b r3,r3
or r3,r2
mov.l r2,@(16,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl355
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl355:
jmp @r4
mov #0x1C,r2
! Opcodes 0950 - 0957
K950:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl356
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl356:
jmp @r4
mov #0x1C,r2
! Opcodes 0958 - 095F
K958:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl357
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl357:
jmp @r4
mov #0x1C,r2
! Opcodes 0960 - 0967
K960:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl358
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl358:
jmp @r4
mov #0x1C,r2
! Opcodes 0968 - 096F
K968:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl359
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl359:
jmp @r4
mov #0x1C,r2
! Opcodes 0970 - 0977
K970:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl360
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl360:
jmp @r4
mov #0x1C,r2
! Opcode 0978
K978:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl361
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl361:
jmp @r4
mov #0x1C,r2
! Opcode 0979
K979:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl362
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl362:
jmp @r4
mov #0x1C,r2
! Opcodes 0980 - 0987
K980:
and r0,r2
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
not r4,r4
and r4,r1
mov.l r1,@r2
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl363
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl363:
jmp @r4
mov #0x1C,r2
! Opcodes 0988 - 098F
K988:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(16,r13),r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl364
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl364:
jmp @r4
mov #0x1C,r2
! Opcodes 0990 - 0997
K990:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl365
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl365:
jmp @r4
mov #0x1C,r2
! Opcodes 0998 - 099F
K998:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl366
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl366:
jmp @r4
mov #0x1C,r2
! Opcodes 09A0 - 09A7
K9A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl367
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl367:
jmp @r4
mov #0x1C,r2
! Opcodes 09A8 - 09AF
K9A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl368
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl368:
jmp @r4
mov #0x1C,r2
! Opcodes 09B0 - 09B7
K9B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl369
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl369:
jmp @r4
mov #0x1C,r2
! Opcode 09B8
K9B8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl370
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl370:
jmp @r4
mov #0x1C,r2
! Opcode 09B9
K9B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl371
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl371:
jmp @r4
mov #0x1C,r2
! Opcodes 09C0 - 09C7
K9C0:
and r0,r2
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
or r4,r1
mov.l r1,@r2
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl372
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl372:
jmp @r4
mov #0x1C,r2
! Opcodes 09C8 - 09CF
K9C8:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(16,r13),r2
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
add #2,r4
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.l @r15+,r3
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl373
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl373:
jmp @r4
mov #0x1C,r2
! Opcodes 09D0 - 09D7
K9D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl374
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl374:
jmp @r4
mov #0x1C,r2
! Opcodes 09D8 - 09DF
K9D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl375
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl375:
jmp @r4
mov #0x1C,r2
! Opcodes 09E0 - 09E7
K9E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl376
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl376:
jmp @r4
mov #0x1C,r2
! Opcodes 09E8 - 09EF
K9E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl377
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl377:
jmp @r4
mov #0x1C,r2
! Opcodes 09F0 - 09F7
K9F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl378
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl378:
jmp @r4
mov #0x1C,r2
! Opcode 09F8
K9F8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl379
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl379:
jmp @r4
mov #0x1C,r2
! Opcode 09F9
K9F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl380
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl380:
jmp @r4
mov #0x1C,r2
! Opcodes 0A00 - 0A07
KA00:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
add r13,r2
mov.b @r2,r3
xor r1,r3
mov.b r3,@r2
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl381
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl381:
jmp @r4
mov #0x1C,r2
! Opcodes 0A10 - 0A17
KA10:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl382
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl382:
jmp @r4
mov #0x1C,r2
! Opcodes 0A18 - 0A1F
KA18:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl383
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl383:
jmp @r4
mov #0x1C,r2
! Opcodes 0A20 - 0A27
KA20:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl384
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl384:
jmp @r4
mov #0x1C,r2
! Opcodes 0A28 - 0A2F
KA28:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl385
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl385:
jmp @r4
mov #0x1C,r2
! Opcodes 0A30 - 0A37
KA30:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl386
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl386:
jmp @r4
mov #0x1C,r2
! Opcode 0A38
KA38:
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl387
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl387:
jmp @r4
mov #0x1C,r2
! Opcode 0A39
KA39:
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl388
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl388:
jmp @r4
mov #0x1C,r2
! Opcode 0A3C
KA3C:
mov.w @r6+,r2
mov r8,r0
mov r9,r1
shlr r0
addc r1,r1
tst r3,r3
addc r1,r1
and #3,r0
mov r1,r3
shll2 r3
or r0,r3
xor r2,r3
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl389
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl389:
jmp @r4
mov #0x1C,r2
! Opcodes 0A40 - 0A47
KA40:
and r0,r2
mov.w @r6+,r1
add r13,r2
mov.w @r2,r3
xor r1,r3
mov.w r3,@r2
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl390
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl390:
jmp @r4
mov #0x1C,r2
! Opcodes 0A50 - 0A57
KA50:
and r0,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl391
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl391:
jmp @r4
mov #0x1C,r2
! Opcodes 0A58 - 0A5F
KA58:
and r0,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl392
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl392:
jmp @r4
mov #0x1C,r2
! Opcodes 0A60 - 0A67
KA60:
and r0,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl393
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl393:
jmp @r4
mov #0x1C,r2
! Opcodes 0A68 - 0A6F
KA68:
and r0,r2
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl394
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl394:
jmp @r4
mov #0x1C,r2
! Opcodes 0A70 - 0A77
KA70:
and r0,r2
mov.w @r6+,r1
mov r1,r8
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl395
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl395:
jmp @r4
mov #0x1C,r2
! Opcode 0A78
KA78:
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl396
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl396:
jmp @r4
mov #0x1C,r2
! Opcode 0A79
KA79:
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl397
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl397:
jmp @r4
mov #0x1C,r2
! Opcode 0A7C
KA7C:
mov r10,r0
tst #0x20,r0
bf pcheck_ok398
mov.l priviolation_addr398,r0
jmp @r0
nop
.align 2
priviolation_addr398: .long privilege_violation
pcheck_ok398:
mov.w @r6+,r2
mov r8,r0
mov r9,r1
shlr r0
addc r1,r1
tst r3,r3
addc r1,r1
and #3,r0
mov r1,r3
shll2 r3
or r0,r3
mov r10,r0
shll8 r0
or r0,r3
xor r2,r3
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln399
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln399:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s continue401
mov.l @(r0,r12),r4
bra fdl401
mov.l @(execexit_addr-areg,r14),r4
continue401:
lds r0,MACL
mov r10,r0
tst #0x80,r0
bt fde401
mov.l execinfo_ptr401,r1
mov.w @r1,r0
mov.l trace_excep_ptr401,r2
sub r5,r6
jmp @r2
add #-2,r6
fde401:
sts MACL,r0
fdl401:
jmp @r4
mov #0x1C,r2
.align 2
execinfo_ptr401: .long execinfo
trace_excep_ptr401: .long trace_excep
! Opcodes 0A80 - 0A87
KA80:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
add r13,r2
mov.l @r2,r3
xor r1,r3
mov.l r3,@r2
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl402
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl402:
jmp @r4
mov #0x1C,r2
! Opcodes 0A90 - 0A97
KA90:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl403
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl403:
jmp @r4
mov #0x1C,r2
! Opcodes 0A98 - 0A9F
KA98:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl404
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl404:
jmp @r4
mov #0x1C,r2
! Opcodes 0AA0 - 0AA7
KAA0:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl405
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl405:
jmp @r4
mov #0x1C,r2
! Opcodes 0AA8 - 0AAF
KAA8:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl406
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl406:
jmp @r4
mov #0x1C,r2
! Opcodes 0AB0 - 0AB7
KAB0:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-34,r7
shll2 r0
cmp/pl r7
bt/s fdl407
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl407:
jmp @r4
mov #0x1C,r2
! Opcode 0AB8
KAB8:
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl408
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl408:
jmp @r4
mov #0x1C,r2
! Opcode 0AB9
KAB9:
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-36,r7
shll2 r0
cmp/pl r7
bt/s fdl409
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl409:
jmp @r4
mov #0x1C,r2
! Opcodes 0B00 - 0B07
KB00:
and r0,r2
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl410
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl410:
jmp @r4
mov #0x1C,r2
! Opcodes 0B08 - 0B0F
KB08:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov #20,r0
mov.w r2,@(r0,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl411
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl411:
jmp @r4
mov #0x1C,r2
! Opcodes 0B10 - 0B17
KB10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl412
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl412:
jmp @r4
mov #0x1C,r2
! Opcodes 0B18 - 0B1F
KB18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl413
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl413:
jmp @r4
mov #0x1C,r2
! Opcodes 0B20 - 0B27
KB20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl414
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl414:
jmp @r4
mov #0x1C,r2
! Opcodes 0B28 - 0B2F
KB28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl415
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl415:
jmp @r4
mov #0x1C,r2
! Opcodes 0B30 - 0B37
KB30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl416
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl416:
jmp @r4
mov #0x1C,r2
! Opcode 0B38
KB38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl417
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl417:
jmp @r4
mov #0x1C,r2
! Opcode 0B39
KB39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl418
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl418:
jmp @r4
mov #0x1C,r2
! Opcode 0B3A
KB3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl419
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl419:
jmp @r4
mov #0x1C,r2
! Opcode 0B3B
KB3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl420
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl420:
jmp @r4
mov #0x1C,r2
! Opcode 0B3C
KB3C:
mov.b @r6,r3
add #2,r6
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl421
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl421:
jmp @r4
mov #0x1C,r2
! Opcodes 0B40 - 0B47
KB40:
and r0,r2
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
xor r4,r1
mov.l r1,@r2
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl422
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl422:
jmp @r4
mov #0x1C,r2
! Opcodes 0B48 - 0B4F
KB48:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
shll8 r2
extu.b r3,r3
or r3,r2
mov.l r2,@(20,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl423
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl423:
jmp @r4
mov #0x1C,r2
! Opcodes 0B50 - 0B57
KB50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl424
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl424:
jmp @r4
mov #0x1C,r2
! Opcodes 0B58 - 0B5F
KB58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl425
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl425:
jmp @r4
mov #0x1C,r2
! Opcodes 0B60 - 0B67
KB60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl426
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl426:
jmp @r4
mov #0x1C,r2
! Opcodes 0B68 - 0B6F
KB68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl427
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl427:
jmp @r4
mov #0x1C,r2
! Opcodes 0B70 - 0B77
KB70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl428
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl428:
jmp @r4
mov #0x1C,r2
! Opcode 0B78
KB78:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl429
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl429:
jmp @r4
mov #0x1C,r2
! Opcode 0B79
KB79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl430
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl430:
jmp @r4
mov #0x1C,r2
! Opcodes 0B80 - 0B87
KB80:
and r0,r2
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
not r4,r4
and r4,r1
mov.l r1,@r2
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl431
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl431:
jmp @r4
mov #0x1C,r2
! Opcodes 0B88 - 0B8F
KB88:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(20,r13),r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl432
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl432:
jmp @r4
mov #0x1C,r2
! Opcodes 0B90 - 0B97
KB90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl433
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl433:
jmp @r4
mov #0x1C,r2
! Opcodes 0B98 - 0B9F
KB98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl434
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl434:
jmp @r4
mov #0x1C,r2
! Opcodes 0BA0 - 0BA7
KBA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl435
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl435:
jmp @r4
mov #0x1C,r2
! Opcodes 0BA8 - 0BAF
KBA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl436
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl436:
jmp @r4
mov #0x1C,r2
! Opcodes 0BB0 - 0BB7
KBB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl437
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl437:
jmp @r4
mov #0x1C,r2
! Opcode 0BB8
KBB8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl438
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl438:
jmp @r4
mov #0x1C,r2
! Opcode 0BB9
KBB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl439
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl439:
jmp @r4
mov #0x1C,r2
! Opcodes 0BC0 - 0BC7
KBC0:
and r0,r2
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
or r4,r1
mov.l r1,@r2
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl440
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl440:
jmp @r4
mov #0x1C,r2
! Opcodes 0BC8 - 0BCF
KBC8:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(20,r13),r2
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
add #2,r4
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.l @r15+,r3
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl441
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl441:
jmp @r4
mov #0x1C,r2
! Opcodes 0BD0 - 0BD7
KBD0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl442
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl442:
jmp @r4
mov #0x1C,r2
! Opcodes 0BD8 - 0BDF
KBD8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl443
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl443:
jmp @r4
mov #0x1C,r2
! Opcodes 0BE0 - 0BE7
KBE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl444
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl444:
jmp @r4
mov #0x1C,r2
! Opcodes 0BE8 - 0BEF
KBE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl445
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl445:
jmp @r4
mov #0x1C,r2
! Opcodes 0BF0 - 0BF7
KBF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl446
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl446:
jmp @r4
mov #0x1C,r2
! Opcode 0BF8
KBF8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl447
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl447:
jmp @r4
mov #0x1C,r2
! Opcode 0BF9
KBF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl448
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl448:
jmp @r4
mov #0x1C,r2
! Opcodes 0C00 - 0C07
KC00:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
add r13,r2
mov.b @r2,r3
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl449
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl449:
jmp @r4
mov #0x1C,r2
! Opcodes 0C10 - 0C17
KC10:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl450
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl450:
jmp @r4
mov #0x1C,r2
! Opcodes 0C18 - 0C1F
KC18:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl451
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl451:
jmp @r4
mov #0x1C,r2
! Opcodes 0C20 - 0C27
KC20:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl452
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl452:
jmp @r4
mov #0x1C,r2
! Opcodes 0C28 - 0C2F
KC28:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl453
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl453:
jmp @r4
mov #0x1C,r2
! Opcodes 0C30 - 0C37
KC30:
and r0,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl454
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl454:
jmp @r4
mov #0x1C,r2
! Opcode 0C38
KC38:
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl455
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl455:
jmp @r4
mov #0x1C,r2
! Opcode 0C39
KC39:
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl456
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl456:
jmp @r4
mov #0x1C,r2
! Opcodes 0C40 - 0C47
KC40:
and r0,r2
mov.w @r6+,r1
add r13,r2
mov.w @r2,r3
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl457
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl457:
jmp @r4
mov #0x1C,r2
! Opcodes 0C50 - 0C57
KC50:
and r0,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl458
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl458:
jmp @r4
mov #0x1C,r2
! Opcodes 0C58 - 0C5F
KC58:
and r0,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl459
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl459:
jmp @r4
mov #0x1C,r2
! Opcodes 0C60 - 0C67
KC60:
and r0,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl460
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl460:
jmp @r4
mov #0x1C,r2
! Opcodes 0C68 - 0C6F
KC68:
and r0,r2
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl461
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl461:
jmp @r4
mov #0x1C,r2
! Opcodes 0C70 - 0C77
KC70:
and r0,r2
mov.w @r6+,r1
mov r1,r8
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl462
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl462:
jmp @r4
mov #0x1C,r2
! Opcode 0C78
KC78:
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl463
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl463:
jmp @r4
mov #0x1C,r2
! Opcode 0C79
KC79:
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl464
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl464:
jmp @r4
mov #0x1C,r2
! Opcodes 0C80 - 0C87
KC80:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
add r13,r2
mov.l @r2,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl465
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl465:
jmp @r4
mov #0x1C,r2
! Opcodes 0C90 - 0C97
KC90:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl466
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl466:
jmp @r4
mov #0x1C,r2
! Opcodes 0C98 - 0C9F
KC98:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r8,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl467
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl467:
jmp @r4
mov #0x1C,r2
! Opcodes 0CA0 - 0CA7
KCA0:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r8,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl468
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl468:
jmp @r4
mov #0x1C,r2
! Opcodes 0CA8 - 0CAF
KCA8:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl469
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl469:
jmp @r4
mov #0x1C,r2
! Opcodes 0CB0 - 0CB7
KCB0:
and r0,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl470
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl470:
jmp @r4
mov #0x1C,r2
! Opcode 0CB8
KCB8:
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl471
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl471:
jmp @r4
mov #0x1C,r2
! Opcode 0CB9
KCB9:
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl472
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl472:
jmp @r4
mov #0x1C,r2
! Opcodes 0D00 - 0D07
KD00:
and r0,r2
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl473
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl473:
jmp @r4
mov #0x1C,r2
! Opcodes 0D08 - 0D0F
KD08:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov #24,r0
mov.w r2,@(r0,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl474
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl474:
jmp @r4
mov #0x1C,r2
! Opcodes 0D10 - 0D17
KD10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl475
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl475:
jmp @r4
mov #0x1C,r2
! Opcodes 0D18 - 0D1F
KD18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl476
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl476:
jmp @r4
mov #0x1C,r2
! Opcodes 0D20 - 0D27
KD20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl477
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl477:
jmp @r4
mov #0x1C,r2
! Opcodes 0D28 - 0D2F
KD28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl478
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl478:
jmp @r4
mov #0x1C,r2
! Opcodes 0D30 - 0D37
KD30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl479
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl479:
jmp @r4
mov #0x1C,r2
! Opcode 0D38
KD38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl480
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl480:
jmp @r4
mov #0x1C,r2
! Opcode 0D39
KD39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl481
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl481:
jmp @r4
mov #0x1C,r2
! Opcode 0D3A
KD3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl482
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl482:
jmp @r4
mov #0x1C,r2
! Opcode 0D3B
KD3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl483
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl483:
jmp @r4
mov #0x1C,r2
! Opcode 0D3C
KD3C:
mov.b @r6,r3
add #2,r6
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl484
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl484:
jmp @r4
mov #0x1C,r2
! Opcodes 0D40 - 0D47
KD40:
and r0,r2
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
xor r4,r1
mov.l r1,@r2
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl485
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl485:
jmp @r4
mov #0x1C,r2
! Opcodes 0D48 - 0D4F
KD48:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
shll8 r2
extu.b r3,r3
or r3,r2
mov.l r2,@(24,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl486
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl486:
jmp @r4
mov #0x1C,r2
! Opcodes 0D50 - 0D57
KD50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl487
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl487:
jmp @r4
mov #0x1C,r2
! Opcodes 0D58 - 0D5F
KD58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl488
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl488:
jmp @r4
mov #0x1C,r2
! Opcodes 0D60 - 0D67
KD60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl489
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl489:
jmp @r4
mov #0x1C,r2
! Opcodes 0D68 - 0D6F
KD68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl490
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl490:
jmp @r4
mov #0x1C,r2
! Opcodes 0D70 - 0D77
KD70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl491
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl491:
jmp @r4
mov #0x1C,r2
! Opcode 0D78
KD78:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl492
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl492:
jmp @r4
mov #0x1C,r2
! Opcode 0D79
KD79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl493
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl493:
jmp @r4
mov #0x1C,r2
! Opcodes 0D80 - 0D87
KD80:
and r0,r2
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
not r4,r4
and r4,r1
mov.l r1,@r2
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl494
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl494:
jmp @r4
mov #0x1C,r2
! Opcodes 0D88 - 0D8F
KD88:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(24,r13),r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl495
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl495:
jmp @r4
mov #0x1C,r2
! Opcodes 0D90 - 0D97
KD90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl496
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl496:
jmp @r4
mov #0x1C,r2
! Opcodes 0D98 - 0D9F
KD98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl497
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl497:
jmp @r4
mov #0x1C,r2
! Opcodes 0DA0 - 0DA7
KDA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl498
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl498:
jmp @r4
mov #0x1C,r2
! Opcodes 0DA8 - 0DAF
KDA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl499
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl499:
jmp @r4
mov #0x1C,r2
! Opcodes 0DB0 - 0DB7
KDB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl500
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl500:
jmp @r4
mov #0x1C,r2
! Opcode 0DB8
KDB8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl501
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl501:
jmp @r4
mov #0x1C,r2
! Opcode 0DB9
KDB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl502
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl502:
jmp @r4
mov #0x1C,r2
! Opcodes 0DC0 - 0DC7
KDC0:
and r0,r2
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
or r4,r1
mov.l r1,@r2
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl503
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl503:
jmp @r4
mov #0x1C,r2
! Opcodes 0DC8 - 0DCF
KDC8:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(24,r13),r2
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
add #2,r4
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.l @r15+,r3
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl504
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl504:
jmp @r4
mov #0x1C,r2
! Opcodes 0DD0 - 0DD7
KDD0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl505
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl505:
jmp @r4
mov #0x1C,r2
! Opcodes 0DD8 - 0DDF
KDD8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl506
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl506:
jmp @r4
mov #0x1C,r2
! Opcodes 0DE0 - 0DE7
KDE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl507
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl507:
jmp @r4
mov #0x1C,r2
! Opcodes 0DE8 - 0DEF
KDE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl508
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl508:
jmp @r4
mov #0x1C,r2
! Opcodes 0DF0 - 0DF7
KDF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl509
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl509:
jmp @r4
mov #0x1C,r2
! Opcode 0DF8
KDF8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl510
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl510:
jmp @r4
mov #0x1C,r2
! Opcode 0DF9
KDF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl511
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl511:
jmp @r4
mov #0x1C,r2
! Opcodes 0F00 - 0F07
KF00:
and r0,r2
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl512
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl512:
jmp @r4
mov #0x1C,r2
! Opcodes 0F08 - 0F0F
KF08:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov #28,r0
mov.w r2,@(r0,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl513
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl513:
jmp @r4
mov #0x1C,r2
! Opcodes 0F10 - 0F17
KF10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl514
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl514:
jmp @r4
mov #0x1C,r2
! Opcodes 0F18 - 0F1F
KF18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl515
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl515:
jmp @r4
mov #0x1C,r2
! Opcodes 0F20 - 0F27
KF20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl516
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl516:
jmp @r4
mov #0x1C,r2
! Opcodes 0F28 - 0F2F
KF28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl517
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl517:
jmp @r4
mov #0x1C,r2
! Opcodes 0F30 - 0F37
KF30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl518
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl518:
jmp @r4
mov #0x1C,r2
! Opcode 0F38
KF38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl519
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl519:
jmp @r4
mov #0x1C,r2
! Opcode 0F39
KF39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl520
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl520:
jmp @r4
mov #0x1C,r2
! Opcode 0F3A
KF3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl521
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl521:
jmp @r4
mov #0x1C,r2
! Opcode 0F3B
KF3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl522
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl522:
jmp @r4
mov #0x1C,r2
! Opcode 0F3C
KF3C:
mov.b @r6,r3
add #2,r6
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl523
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl523:
jmp @r4
mov #0x1C,r2
! Opcodes 0F40 - 0F47
KF40:
and r0,r2
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
xor r4,r1
mov.l r1,@r2
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl524
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl524:
jmp @r4
mov #0x1C,r2
! Opcodes 0F48 - 0F4F
KF48:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
shll8 r2
extu.b r3,r3
or r3,r2
mov.l r2,@(28,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl525
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl525:
jmp @r4
mov #0x1C,r2
! Opcodes 0F50 - 0F57
KF50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl526
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl526:
jmp @r4
mov #0x1C,r2
! Opcodes 0F58 - 0F5F
KF58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl527
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl527:
jmp @r4
mov #0x1C,r2
! Opcodes 0F60 - 0F67
KF60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl528
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl528:
jmp @r4
mov #0x1C,r2
! Opcodes 0F68 - 0F6F
KF68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl529
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl529:
jmp @r4
mov #0x1C,r2
! Opcodes 0F70 - 0F77
KF70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl530
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl530:
jmp @r4
mov #0x1C,r2
! Opcode 0F78
KF78:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl531
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl531:
jmp @r4
mov #0x1C,r2
! Opcode 0F79
KF79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl532
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl532:
jmp @r4
mov #0x1C,r2
! Opcodes 0F80 - 0F87
KF80:
and r0,r2
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
not r4,r4
and r4,r1
mov.l r1,@r2
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl533
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl533:
jmp @r4
mov #0x1C,r2
! Opcodes 0F88 - 0F8F
KF88:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(28,r13),r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl534
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl534:
jmp @r4
mov #0x1C,r2
! Opcodes 0F90 - 0F97
KF90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl535
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl535:
jmp @r4
mov #0x1C,r2
! Opcodes 0F98 - 0F9F
KF98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl536
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl536:
jmp @r4
mov #0x1C,r2
! Opcodes 0FA0 - 0FA7
KFA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl537
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl537:
jmp @r4
mov #0x1C,r2
! Opcodes 0FA8 - 0FAF
KFA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl538
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl538:
jmp @r4
mov #0x1C,r2
! Opcodes 0FB0 - 0FB7
KFB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl539
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl539:
jmp @r4
mov #0x1C,r2
! Opcode 0FB8
KFB8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl540
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl540:
jmp @r4
mov #0x1C,r2
! Opcode 0FB9
KFB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl541
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl541:
jmp @r4
mov #0x1C,r2
! Opcodes 0FC0 - 0FC7
KFC0:
and r0,r2
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r4
and #31,r0
add r13,r2
mov.l @r2,r1
shld r0,r4
tst r4,r1
movt r3
dt r3
or r4,r1
mov.l r1,@r2
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl542
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl542:
jmp @r4
mov #0x1C,r2
! Opcodes 0FC8 - 0FCF
KFC8:
mov.l r3,@-r15
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(28,r13),r2
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
add #2,r4
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.l @r15+,r3
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl543
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl543:
jmp @r4
mov #0x1C,r2
! Opcodes 0FD0 - 0FD7
KFD0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl544
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl544:
jmp @r4
mov #0x1C,r2
! Opcodes 0FD8 - 0FDF
KFD8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl545
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl545:
jmp @r4
mov #0x1C,r2
! Opcodes 0FE0 - 0FE7
KFE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl546
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl546:
jmp @r4
mov #0x1C,r2
! Opcodes 0FE8 - 0FEF
KFE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl547
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl547:
jmp @r4
mov #0x1C,r2
! Opcodes 0FF0 - 0FF7
KFF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl548
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl548:
jmp @r4
mov #0x1C,r2
! Opcode 0FF8
KFF8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl549
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl549:
jmp @r4
mov #0x1C,r2
! Opcode 0FF9
KFF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
mov #1,r1
and #7,r0
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r8
movt r3
dt r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl550
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl550:
jmp @r4
mov #0x1C,r2
! Opcodes 1000 - 1007
L000:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.b r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl551
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl551:
jmp @r4
mov #0x1C,r2
! Opcodes 1008 - 100F
L008:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.b r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl552
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl552:
jmp @r4
mov #0x1C,r2
! Opcodes 1010 - 1017
L010:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl553
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl553:
jmp @r4
mov #0x1C,r2
! Opcodes 1018 - 101F
L018:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.b r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl554
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl554:
jmp @r4
mov #0x1C,r2
! Opcodes 1020 - 1027
L020:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.b r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl555
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl555:
jmp @r4
mov #0x1C,r2
! Opcodes 1028 - 102F
L028:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl556
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl556:
jmp @r4
mov #0x1C,r2
! Opcodes 1030 - 1037
L030:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl557
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl557:
jmp @r4
mov #0x1C,r2
! Opcode 1038
L038:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl558
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl558:
jmp @r4
mov #0x1C,r2
! Opcode 1039
L039:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl559
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl559:
jmp @r4
mov #0x1C,r2
! Opcode 103A
L03A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl560
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl560:
jmp @r4
mov #0x1C,r2
! Opcode 103B
L03B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl561
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl561:
jmp @r4
mov #0x1C,r2
! Opcode 103C
L03C:
mov.b @r6,r3
add #2,r6
mov.b r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl562
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl562:
jmp @r4
mov #0x1C,r2
! Opcodes 1080 - 1087
L080:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl563
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl563:
jmp @r4
mov #0x1C,r2
! Opcodes 1088 - 108F
L088:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl564
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl564:
jmp @r4
mov #0x1C,r2
! Opcodes 1090 - 1097
L090:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl565
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl565:
jmp @r4
mov #0x1C,r2
! Opcodes 1098 - 109F
L098:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl566
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl566:
jmp @r4
mov #0x1C,r2
! Opcodes 10A0 - 10A7
L0A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl567
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl567:
jmp @r4
mov #0x1C,r2
! Opcodes 10A8 - 10AF
L0A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl568
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl568:
jmp @r4
mov #0x1C,r2
! Opcodes 10B0 - 10B7
L0B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl569
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl569:
jmp @r4
mov #0x1C,r2
! Opcode 10B8
L0B8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl570
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl570:
jmp @r4
mov #0x1C,r2
! Opcode 10B9
L0B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl571
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl571:
jmp @r4
mov #0x1C,r2
! Opcode 10BA
L0BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl572
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl572:
jmp @r4
mov #0x1C,r2
! Opcode 10BB
L0BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl573
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl573:
jmp @r4
mov #0x1C,r2
! Opcode 10BC
L0BC:
mov.b @r6,r3
add #2,r6
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl574
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl574:
jmp @r4
mov #0x1C,r2
! Opcodes 10C0 - 10C7
L0C0:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl575
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl575:
jmp @r4
mov #0x1C,r2
! Opcodes 10C8 - 10CF
L0C8:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl576
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl576:
jmp @r4
mov #0x1C,r2
! Opcodes 10D0 - 10D7
L0D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl577
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl577:
jmp @r4
mov #0x1C,r2
! Opcodes 10D8 - 10DF
L0D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl578
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl578:
jmp @r4
mov #0x1C,r2
! Opcodes 10E0 - 10E7
L0E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl579
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl579:
jmp @r4
mov #0x1C,r2
! Opcodes 10E8 - 10EF
L0E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl580
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl580:
jmp @r4
mov #0x1C,r2
! Opcodes 10F0 - 10F7
L0F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl581
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl581:
jmp @r4
mov #0x1C,r2
! Opcode 10F8
L0F8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl582
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl582:
jmp @r4
mov #0x1C,r2
! Opcode 10F9
L0F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl583
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl583:
jmp @r4
mov #0x1C,r2
! Opcode 10FA
L0FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl584
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl584:
jmp @r4
mov #0x1C,r2
! Opcode 10FB
L0FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl585
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl585:
jmp @r4
mov #0x1C,r2
! Opcode 10FC
L0FC:
mov.b @r6,r3
add #2,r6
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl586
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl586:
jmp @r4
mov #0x1C,r2
! Opcodes 1100 - 1107
L100:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(32,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl587
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl587:
jmp @r4
mov #0x1C,r2
! Opcodes 1108 - 110F
L108:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(32,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl588
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl588:
jmp @r4
mov #0x1C,r2
! Opcodes 1110 - 1117
L110:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl589
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl589:
jmp @r4
mov #0x1C,r2
! Opcodes 1118 - 111F
L118:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl590
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl590:
jmp @r4
mov #0x1C,r2
! Opcodes 1120 - 1127
L120:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl591
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl591:
jmp @r4
mov #0x1C,r2
! Opcodes 1128 - 112F
L128:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl592
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl592:
jmp @r4
mov #0x1C,r2
! Opcodes 1130 - 1137
L130:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl593
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl593:
jmp @r4
mov #0x1C,r2
! Opcode 1138
L138:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl594
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl594:
jmp @r4
mov #0x1C,r2
! Opcode 1139
L139:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl595
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl595:
jmp @r4
mov #0x1C,r2
! Opcode 113A
L13A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl596
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl596:
jmp @r4
mov #0x1C,r2
! Opcode 113B
L13B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl597
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl597:
jmp @r4
mov #0x1C,r2
! Opcode 113C
L13C:
mov.b @r6,r3
add #2,r6
mov.l @(32,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl598
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl598:
jmp @r4
mov #0x1C,r2
! Opcodes 1140 - 1147
L140:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl599
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl599:
jmp @r4
mov #0x1C,r2
! Opcodes 1148 - 114F
L148:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl600
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl600:
jmp @r4
mov #0x1C,r2
! Opcodes 1150 - 1157
L150:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl601
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl601:
jmp @r4
mov #0x1C,r2
! Opcodes 1158 - 115F
L158:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl602
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl602:
jmp @r4
mov #0x1C,r2
! Opcodes 1160 - 1167
L160:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl603
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl603:
jmp @r4
mov #0x1C,r2
! Opcodes 1168 - 116F
L168:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl604
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl604:
jmp @r4
mov #0x1C,r2
! Opcodes 1170 - 1177
L170:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl605
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl605:
jmp @r4
mov #0x1C,r2
! Opcode 1178
L178:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl606
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl606:
jmp @r4
mov #0x1C,r2
! Opcode 1179
L179:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl607
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl607:
jmp @r4
mov #0x1C,r2
! Opcode 117A
L17A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl608
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl608:
jmp @r4
mov #0x1C,r2
! Opcode 117B
L17B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl609
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl609:
jmp @r4
mov #0x1C,r2
! Opcode 117C
L17C:
mov.b @r6,r3
add #2,r6
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl610
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl610:
jmp @r4
mov #0x1C,r2
! Opcodes 1180 - 1187
L180:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl611
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl611:
jmp @r4
mov #0x1C,r2
! Opcodes 1188 - 118F
L188:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl612
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl612:
jmp @r4
mov #0x1C,r2
! Opcodes 1190 - 1197
L190:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl613
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl613:
jmp @r4
mov #0x1C,r2
! Opcodes 1198 - 119F
L198:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl614
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl614:
jmp @r4
mov #0x1C,r2
! Opcodes 11A0 - 11A7
L1A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl615
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl615:
jmp @r4
mov #0x1C,r2
! Opcodes 11A8 - 11AF
L1A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl616
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl616:
jmp @r4
mov #0x1C,r2
! Opcodes 11B0 - 11B7
L1B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl617
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl617:
jmp @r4
mov #0x1C,r2
! Opcode 11B8
L1B8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl618
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl618:
jmp @r4
mov #0x1C,r2
! Opcode 11B9
L1B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl619
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl619:
jmp @r4
mov #0x1C,r2
! Opcode 11BA
L1BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl620
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl620:
jmp @r4
mov #0x1C,r2
! Opcode 11BB
L1BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl621
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl621:
jmp @r4
mov #0x1C,r2
! Opcode 11BC
L1BC:
mov.b @r6,r3
add #2,r6
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl622
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl622:
jmp @r4
mov #0x1C,r2
! Opcodes 11C0 - 11C7
L1C0:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl623
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl623:
jmp @r4
mov #0x1C,r2
! Opcodes 11C8 - 11CF
L1C8:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl624
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl624:
jmp @r4
mov #0x1C,r2
! Opcodes 11D0 - 11D7
L1D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl625
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl625:
jmp @r4
mov #0x1C,r2
! Opcodes 11D8 - 11DF
L1D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl626
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl626:
jmp @r4
mov #0x1C,r2
! Opcodes 11E0 - 11E7
L1E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl627
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl627:
jmp @r4
mov #0x1C,r2
! Opcodes 11E8 - 11EF
L1E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl628
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl628:
jmp @r4
mov #0x1C,r2
! Opcodes 11F0 - 11F7
L1F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl629
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl629:
jmp @r4
mov #0x1C,r2
! Opcode 11F8
L1F8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl630
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl630:
jmp @r4
mov #0x1C,r2
! Opcode 11F9
L1F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl631
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl631:
jmp @r4
mov #0x1C,r2
! Opcode 11FA
L1FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl632
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl632:
jmp @r4
mov #0x1C,r2
! Opcode 11FB
L1FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl633
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl633:
jmp @r4
mov #0x1C,r2
! Opcode 11FC
L1FC:
mov.b @r6,r3
add #2,r6
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl634
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl634:
jmp @r4
mov #0x1C,r2
! Opcodes 1200 - 1207
L200:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl635
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl635:
jmp @r4
mov #0x1C,r2
! Opcodes 1208 - 120F
L208:
and r0,r2
add r14,r2
mov.b @r2,r3
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl636
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl636:
jmp @r4
mov #0x1C,r2
! Opcodes 1210 - 1217
L210:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl637
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl637:
jmp @r4
mov #0x1C,r2
! Opcodes 1218 - 121F
L218:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl638
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl638:
jmp @r4
mov #0x1C,r2
! Opcodes 1220 - 1227
L220:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl639
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl639:
jmp @r4
mov #0x1C,r2
! Opcodes 1228 - 122F
L228:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl640
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl640:
jmp @r4
mov #0x1C,r2
! Opcodes 1230 - 1237
L230:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl641
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl641:
jmp @r4
mov #0x1C,r2
! Opcode 1238
L238:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl642
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl642:
jmp @r4
mov #0x1C,r2
! Opcode 1239
L239:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl643
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl643:
jmp @r4
mov #0x1C,r2
! Opcode 123A
L23A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl644
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl644:
jmp @r4
mov #0x1C,r2
! Opcode 123B
L23B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl645
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl645:
jmp @r4
mov #0x1C,r2
! Opcode 123C
L23C:
mov.b @r6,r3
add #2,r6
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl646
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl646:
jmp @r4
mov #0x1C,r2
! Opcodes 1280 - 1287
L280:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl647
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl647:
jmp @r4
mov #0x1C,r2
! Opcodes 1288 - 128F
L288:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl648
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl648:
jmp @r4
mov #0x1C,r2
! Opcodes 1290 - 1297
L290:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl649
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl649:
jmp @r4
mov #0x1C,r2
! Opcodes 1298 - 129F
L298:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl650
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl650:
jmp @r4
mov #0x1C,r2
! Opcodes 12A0 - 12A7
L2A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl651
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl651:
jmp @r4
mov #0x1C,r2
! Opcodes 12A8 - 12AF
L2A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl652
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl652:
jmp @r4
mov #0x1C,r2
! Opcodes 12B0 - 12B7
L2B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl653
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl653:
jmp @r4
mov #0x1C,r2
! Opcode 12B8
L2B8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl654
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl654:
jmp @r4
mov #0x1C,r2
! Opcode 12B9
L2B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl655
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl655:
jmp @r4
mov #0x1C,r2
! Opcode 12BA
L2BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl656
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl656:
jmp @r4
mov #0x1C,r2
! Opcode 12BB
L2BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl657
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl657:
jmp @r4
mov #0x1C,r2
! Opcode 12BC
L2BC:
mov.b @r6,r3
add #2,r6
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl658
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl658:
jmp @r4
mov #0x1C,r2
! Opcodes 12C0 - 12C7
L2C0:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl659
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl659:
jmp @r4
mov #0x1C,r2
! Opcodes 12C8 - 12CF
L2C8:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl660
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl660:
jmp @r4
mov #0x1C,r2
! Opcodes 12D0 - 12D7
L2D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl661
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl661:
jmp @r4
mov #0x1C,r2
! Opcodes 12D8 - 12DF
L2D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl662
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl662:
jmp @r4
mov #0x1C,r2
! Opcodes 12E0 - 12E7
L2E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl663
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl663:
jmp @r4
mov #0x1C,r2
! Opcodes 12E8 - 12EF
L2E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl664
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl664:
jmp @r4
mov #0x1C,r2
! Opcodes 12F0 - 12F7
L2F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl665
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl665:
jmp @r4
mov #0x1C,r2
! Opcode 12F8
L2F8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl666
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl666:
jmp @r4
mov #0x1C,r2
! Opcode 12F9
L2F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl667
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl667:
jmp @r4
mov #0x1C,r2
! Opcode 12FA
L2FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl668
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl668:
jmp @r4
mov #0x1C,r2
! Opcode 12FB
L2FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl669
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl669:
jmp @r4
mov #0x1C,r2
! Opcode 12FC
L2FC:
mov.b @r6,r3
add #2,r6
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl670
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl670:
jmp @r4
mov #0x1C,r2
! Opcodes 1300 - 1307
L300:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(36,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl671
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl671:
jmp @r4
mov #0x1C,r2
! Opcodes 1308 - 130F
L308:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(36,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl672
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl672:
jmp @r4
mov #0x1C,r2
! Opcodes 1310 - 1317
L310:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl673
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl673:
jmp @r4
mov #0x1C,r2
! Opcodes 1318 - 131F
L318:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl674
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl674:
jmp @r4
mov #0x1C,r2
! Opcodes 1320 - 1327
L320:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl675
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl675:
jmp @r4
mov #0x1C,r2
! Opcodes 1328 - 132F
L328:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl676
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl676:
jmp @r4
mov #0x1C,r2
! Opcodes 1330 - 1337
L330:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl677
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl677:
jmp @r4
mov #0x1C,r2
! Opcode 1338
L338:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl678
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl678:
jmp @r4
mov #0x1C,r2
! Opcode 1339
L339:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl679
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl679:
jmp @r4
mov #0x1C,r2
! Opcode 133A
L33A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl680
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl680:
jmp @r4
mov #0x1C,r2
! Opcode 133B
L33B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl681
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl681:
jmp @r4
mov #0x1C,r2
! Opcode 133C
L33C:
mov.b @r6,r3
add #2,r6
mov.l @(36,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl682
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl682:
jmp @r4
mov #0x1C,r2
! Opcodes 1340 - 1347
L340:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl683
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl683:
jmp @r4
mov #0x1C,r2
! Opcodes 1348 - 134F
L348:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl684
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl684:
jmp @r4
mov #0x1C,r2
! Opcodes 1350 - 1357
L350:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl685
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl685:
jmp @r4
mov #0x1C,r2
! Opcodes 1358 - 135F
L358:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl686
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl686:
jmp @r4
mov #0x1C,r2
! Opcodes 1360 - 1367
L360:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl687
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl687:
jmp @r4
mov #0x1C,r2
! Opcodes 1368 - 136F
L368:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl688
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl688:
jmp @r4
mov #0x1C,r2
! Opcodes 1370 - 1377
L370:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl689
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl689:
jmp @r4
mov #0x1C,r2
! Opcode 1378
L378:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl690
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl690:
jmp @r4
mov #0x1C,r2
! Opcode 1379
L379:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl691
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl691:
jmp @r4
mov #0x1C,r2
! Opcode 137A
L37A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl692
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl692:
jmp @r4
mov #0x1C,r2
! Opcode 137B
L37B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl693
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl693:
jmp @r4
mov #0x1C,r2
! Opcode 137C
L37C:
mov.b @r6,r3
add #2,r6
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl694
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl694:
jmp @r4
mov #0x1C,r2
! Opcodes 1380 - 1387
L380:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl695
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl695:
jmp @r4
mov #0x1C,r2
! Opcodes 1388 - 138F
L388:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl696
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl696:
jmp @r4
mov #0x1C,r2
! Opcodes 1390 - 1397
L390:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl697
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl697:
jmp @r4
mov #0x1C,r2
! Opcodes 1398 - 139F
L398:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl698
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl698:
jmp @r4
mov #0x1C,r2
! Opcodes 13A0 - 13A7
L3A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl699
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl699:
jmp @r4
mov #0x1C,r2
! Opcodes 13A8 - 13AF
L3A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl700
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl700:
jmp @r4
mov #0x1C,r2
! Opcodes 13B0 - 13B7
L3B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl701
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl701:
jmp @r4
mov #0x1C,r2
! Opcode 13B8
L3B8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl702
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl702:
jmp @r4
mov #0x1C,r2
! Opcode 13B9
L3B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl703
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl703:
jmp @r4
mov #0x1C,r2
! Opcode 13BA
L3BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl704
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl704:
jmp @r4
mov #0x1C,r2
! Opcode 13BB
L3BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl705
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl705:
jmp @r4
mov #0x1C,r2
! Opcode 13BC
L3BC:
mov.b @r6,r3
add #2,r6
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl706
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl706:
jmp @r4
mov #0x1C,r2
! Opcodes 13C0 - 13C7
L3C0:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl707
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl707:
jmp @r4
mov #0x1C,r2
! Opcodes 13C8 - 13CF
L3C8:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl708
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl708:
jmp @r4
mov #0x1C,r2
! Opcodes 13D0 - 13D7
L3D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl709
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl709:
jmp @r4
mov #0x1C,r2
! Opcodes 13D8 - 13DF
L3D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl710
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl710:
jmp @r4
mov #0x1C,r2
! Opcodes 13E0 - 13E7
L3E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl711
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl711:
jmp @r4
mov #0x1C,r2
! Opcodes 13E8 - 13EF
L3E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl712
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl712:
jmp @r4
mov #0x1C,r2
! Opcodes 13F0 - 13F7
L3F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl713
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl713:
jmp @r4
mov #0x1C,r2
! Opcode 13F8
L3F8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl714
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl714:
jmp @r4
mov #0x1C,r2
! Opcode 13F9
L3F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl715
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl715:
jmp @r4
mov #0x1C,r2
! Opcode 13FA
L3FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl716
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl716:
jmp @r4
mov #0x1C,r2
! Opcode 13FB
L3FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl717
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl717:
jmp @r4
mov #0x1C,r2
! Opcode 13FC
L3FC:
mov.b @r6,r3
add #2,r6
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl718
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl718:
jmp @r4
mov #0x1C,r2
! Opcodes 1400 - 1407
L400:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl719
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl719:
jmp @r4
mov #0x1C,r2
! Opcodes 1408 - 140F
L408:
and r0,r2
add r14,r2
mov.b @r2,r3
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl720
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl720:
jmp @r4
mov #0x1C,r2
! Opcodes 1410 - 1417
L410:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl721
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl721:
jmp @r4
mov #0x1C,r2
! Opcodes 1418 - 141F
L418:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl722
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl722:
jmp @r4
mov #0x1C,r2
! Opcodes 1420 - 1427
L420:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl723
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl723:
jmp @r4
mov #0x1C,r2
! Opcodes 1428 - 142F
L428:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl724
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl724:
jmp @r4
mov #0x1C,r2
! Opcodes 1430 - 1437
L430:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl725
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl725:
jmp @r4
mov #0x1C,r2
! Opcode 1438
L438:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl726
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl726:
jmp @r4
mov #0x1C,r2
! Opcode 1439
L439:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl727
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl727:
jmp @r4
mov #0x1C,r2
! Opcode 143A
L43A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl728
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl728:
jmp @r4
mov #0x1C,r2
! Opcode 143B
L43B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl729
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl729:
jmp @r4
mov #0x1C,r2
! Opcode 143C
L43C:
mov.b @r6,r3
add #2,r6
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl730
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl730:
jmp @r4
mov #0x1C,r2
! Opcodes 1480 - 1487
L480:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl731
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl731:
jmp @r4
mov #0x1C,r2
! Opcodes 1488 - 148F
L488:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl732
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl732:
jmp @r4
mov #0x1C,r2
! Opcodes 1490 - 1497
L490:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl733
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl733:
jmp @r4
mov #0x1C,r2
! Opcodes 1498 - 149F
L498:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl734
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl734:
jmp @r4
mov #0x1C,r2
! Opcodes 14A0 - 14A7
L4A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl735
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl735:
jmp @r4
mov #0x1C,r2
! Opcodes 14A8 - 14AF
L4A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl736
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl736:
jmp @r4
mov #0x1C,r2
! Opcodes 14B0 - 14B7
L4B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl737
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl737:
jmp @r4
mov #0x1C,r2
! Opcode 14B8
L4B8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl738
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl738:
jmp @r4
mov #0x1C,r2
! Opcode 14B9
L4B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl739
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl739:
jmp @r4
mov #0x1C,r2
! Opcode 14BA
L4BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl740
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl740:
jmp @r4
mov #0x1C,r2
! Opcode 14BB
L4BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl741
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl741:
jmp @r4
mov #0x1C,r2
! Opcode 14BC
L4BC:
mov.b @r6,r3
add #2,r6
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl742
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl742:
jmp @r4
mov #0x1C,r2
! Opcodes 14C0 - 14C7
L4C0:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl743
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl743:
jmp @r4
mov #0x1C,r2
! Opcodes 14C8 - 14CF
L4C8:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl744
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl744:
jmp @r4
mov #0x1C,r2
! Opcodes 14D0 - 14D7
L4D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl745
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl745:
jmp @r4
mov #0x1C,r2
! Opcodes 14D8 - 14DF
L4D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl746
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl746:
jmp @r4
mov #0x1C,r2
! Opcodes 14E0 - 14E7
L4E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl747
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl747:
jmp @r4
mov #0x1C,r2
! Opcodes 14E8 - 14EF
L4E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl748
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl748:
jmp @r4
mov #0x1C,r2
! Opcodes 14F0 - 14F7
L4F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl749
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl749:
jmp @r4
mov #0x1C,r2
! Opcode 14F8
L4F8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl750
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl750:
jmp @r4
mov #0x1C,r2
! Opcode 14F9
L4F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl751
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl751:
jmp @r4
mov #0x1C,r2
! Opcode 14FA
L4FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl752
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl752:
jmp @r4
mov #0x1C,r2
! Opcode 14FB
L4FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl753
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl753:
jmp @r4
mov #0x1C,r2
! Opcode 14FC
L4FC:
mov.b @r6,r3
add #2,r6
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl754
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl754:
jmp @r4
mov #0x1C,r2
! Opcodes 1500 - 1507
L500:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(40,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl755
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl755:
jmp @r4
mov #0x1C,r2
! Opcodes 1508 - 150F
L508:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(40,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl756
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl756:
jmp @r4
mov #0x1C,r2
! Opcodes 1510 - 1517
L510:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl757
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl757:
jmp @r4
mov #0x1C,r2
! Opcodes 1518 - 151F
L518:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl758
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl758:
jmp @r4
mov #0x1C,r2
! Opcodes 1520 - 1527
L520:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl759
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl759:
jmp @r4
mov #0x1C,r2
! Opcodes 1528 - 152F
L528:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl760
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl760:
jmp @r4
mov #0x1C,r2
! Opcodes 1530 - 1537
L530:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl761
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl761:
jmp @r4
mov #0x1C,r2
! Opcode 1538
L538:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl762
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl762:
jmp @r4
mov #0x1C,r2
! Opcode 1539
L539:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl763
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl763:
jmp @r4
mov #0x1C,r2
! Opcode 153A
L53A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl764
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl764:
jmp @r4
mov #0x1C,r2
! Opcode 153B
L53B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl765
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl765:
jmp @r4
mov #0x1C,r2
! Opcode 153C
L53C:
mov.b @r6,r3
add #2,r6
mov.l @(40,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl766
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl766:
jmp @r4
mov #0x1C,r2
! Opcodes 1540 - 1547
L540:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl767
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl767:
jmp @r4
mov #0x1C,r2
! Opcodes 1548 - 154F
L548:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl768
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl768:
jmp @r4
mov #0x1C,r2
! Opcodes 1550 - 1557
L550:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl769
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl769:
jmp @r4
mov #0x1C,r2
! Opcodes 1558 - 155F
L558:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl770
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl770:
jmp @r4
mov #0x1C,r2
! Opcodes 1560 - 1567
L560:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl771
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl771:
jmp @r4
mov #0x1C,r2
! Opcodes 1568 - 156F
L568:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl772
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl772:
jmp @r4
mov #0x1C,r2
! Opcodes 1570 - 1577
L570:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl773
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl773:
jmp @r4
mov #0x1C,r2
! Opcode 1578
L578:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl774
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl774:
jmp @r4
mov #0x1C,r2
! Opcode 1579
L579:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl775
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl775:
jmp @r4
mov #0x1C,r2
! Opcode 157A
L57A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl776
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl776:
jmp @r4
mov #0x1C,r2
! Opcode 157B
L57B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl777
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl777:
jmp @r4
mov #0x1C,r2
! Opcode 157C
L57C:
mov.b @r6,r3
add #2,r6
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl778
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl778:
jmp @r4
mov #0x1C,r2
! Opcodes 1580 - 1587
L580:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl779
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl779:
jmp @r4
mov #0x1C,r2
! Opcodes 1588 - 158F
L588:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl780
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl780:
jmp @r4
mov #0x1C,r2
! Opcodes 1590 - 1597
L590:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl781
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl781:
jmp @r4
mov #0x1C,r2
! Opcodes 1598 - 159F
L598:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl782
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl782:
jmp @r4
mov #0x1C,r2
! Opcodes 15A0 - 15A7
L5A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl783
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl783:
jmp @r4
mov #0x1C,r2
! Opcodes 15A8 - 15AF
L5A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl784
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl784:
jmp @r4
mov #0x1C,r2
! Opcodes 15B0 - 15B7
L5B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl785
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl785:
jmp @r4
mov #0x1C,r2
! Opcode 15B8
L5B8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl786
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl786:
jmp @r4
mov #0x1C,r2
! Opcode 15B9
L5B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl787
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl787:
jmp @r4
mov #0x1C,r2
! Opcode 15BA
L5BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl788
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl788:
jmp @r4
mov #0x1C,r2
! Opcode 15BB
L5BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl789
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl789:
jmp @r4
mov #0x1C,r2
! Opcode 15BC
L5BC:
mov.b @r6,r3
add #2,r6
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl790
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl790:
jmp @r4
mov #0x1C,r2
! Opcodes 1600 - 1607
L600:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl791
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl791:
jmp @r4
mov #0x1C,r2
! Opcodes 1608 - 160F
L608:
and r0,r2
add r14,r2
mov.b @r2,r3
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl792
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl792:
jmp @r4
mov #0x1C,r2
! Opcodes 1610 - 1617
L610:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl793
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl793:
jmp @r4
mov #0x1C,r2
! Opcodes 1618 - 161F
L618:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl794
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl794:
jmp @r4
mov #0x1C,r2
! Opcodes 1620 - 1627
L620:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl795
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl795:
jmp @r4
mov #0x1C,r2
! Opcodes 1628 - 162F
L628:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl796
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl796:
jmp @r4
mov #0x1C,r2
! Opcodes 1630 - 1637
L630:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl797
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl797:
jmp @r4
mov #0x1C,r2
! Opcode 1638
L638:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl798
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl798:
jmp @r4
mov #0x1C,r2
! Opcode 1639
L639:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl799
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl799:
jmp @r4
mov #0x1C,r2
! Opcode 163A
L63A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl800
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl800:
jmp @r4
mov #0x1C,r2
! Opcode 163B
L63B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl801
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl801:
jmp @r4
mov #0x1C,r2
! Opcode 163C
L63C:
mov.b @r6,r3
add #2,r6
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl802
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl802:
jmp @r4
mov #0x1C,r2
! Opcodes 1680 - 1687
L680:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl803
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl803:
jmp @r4
mov #0x1C,r2
! Opcodes 1688 - 168F
L688:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl804
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl804:
jmp @r4
mov #0x1C,r2
! Opcodes 1690 - 1697
L690:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl805
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl805:
jmp @r4
mov #0x1C,r2
! Opcodes 1698 - 169F
L698:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl806
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl806:
jmp @r4
mov #0x1C,r2
! Opcodes 16A0 - 16A7
L6A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl807
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl807:
jmp @r4
mov #0x1C,r2
! Opcodes 16A8 - 16AF
L6A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl808
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl808:
jmp @r4
mov #0x1C,r2
! Opcodes 16B0 - 16B7
L6B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl809
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl809:
jmp @r4
mov #0x1C,r2
! Opcode 16B8
L6B8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl810
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl810:
jmp @r4
mov #0x1C,r2
! Opcode 16B9
L6B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl811
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl811:
jmp @r4
mov #0x1C,r2
! Opcode 16BA
L6BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl812
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl812:
jmp @r4
mov #0x1C,r2
! Opcode 16BB
L6BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl813
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl813:
jmp @r4
mov #0x1C,r2
! Opcode 16BC
L6BC:
mov.b @r6,r3
add #2,r6
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl814
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl814:
jmp @r4
mov #0x1C,r2
! Opcodes 16C0 - 16C7
L6C0:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl815
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl815:
jmp @r4
mov #0x1C,r2
! Opcodes 16C8 - 16CF
L6C8:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl816
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl816:
jmp @r4
mov #0x1C,r2
! Opcodes 16D0 - 16D7
L6D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl817
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl817:
jmp @r4
mov #0x1C,r2
! Opcodes 16D8 - 16DF
L6D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl818
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl818:
jmp @r4
mov #0x1C,r2
! Opcodes 16E0 - 16E7
L6E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl819
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl819:
jmp @r4
mov #0x1C,r2
! Opcodes 16E8 - 16EF
L6E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl820
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl820:
jmp @r4
mov #0x1C,r2
! Opcodes 16F0 - 16F7
L6F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl821
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl821:
jmp @r4
mov #0x1C,r2
! Opcode 16F8
L6F8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl822
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl822:
jmp @r4
mov #0x1C,r2
! Opcode 16F9
L6F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl823
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl823:
jmp @r4
mov #0x1C,r2
! Opcode 16FA
L6FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl824
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl824:
jmp @r4
mov #0x1C,r2
! Opcode 16FB
L6FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl825
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl825:
jmp @r4
mov #0x1C,r2
! Opcode 16FC
L6FC:
mov.b @r6,r3
add #2,r6
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl826
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl826:
jmp @r4
mov #0x1C,r2
! Opcodes 1700 - 1707
L700:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(44,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl827
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl827:
jmp @r4
mov #0x1C,r2
! Opcodes 1708 - 170F
L708:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(44,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl828
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl828:
jmp @r4
mov #0x1C,r2
! Opcodes 1710 - 1717
L710:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl829
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl829:
jmp @r4
mov #0x1C,r2
! Opcodes 1718 - 171F
L718:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl830
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl830:
jmp @r4
mov #0x1C,r2
! Opcodes 1720 - 1727
L720:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl831
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl831:
jmp @r4
mov #0x1C,r2
! Opcodes 1728 - 172F
L728:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl832
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl832:
jmp @r4
mov #0x1C,r2
! Opcodes 1730 - 1737
L730:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl833
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl833:
jmp @r4
mov #0x1C,r2
! Opcode 1738
L738:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl834
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl834:
jmp @r4
mov #0x1C,r2
! Opcode 1739
L739:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl835
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl835:
jmp @r4
mov #0x1C,r2
! Opcode 173A
L73A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl836
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl836:
jmp @r4
mov #0x1C,r2
! Opcode 173B
L73B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl837
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl837:
jmp @r4
mov #0x1C,r2
! Opcode 173C
L73C:
mov.b @r6,r3
add #2,r6
mov.l @(44,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl838
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl838:
jmp @r4
mov #0x1C,r2
! Opcodes 1740 - 1747
L740:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl839
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl839:
jmp @r4
mov #0x1C,r2
! Opcodes 1748 - 174F
L748:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl840
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl840:
jmp @r4
mov #0x1C,r2
! Opcodes 1750 - 1757
L750:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl841
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl841:
jmp @r4
mov #0x1C,r2
! Opcodes 1758 - 175F
L758:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl842
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl842:
jmp @r4
mov #0x1C,r2
! Opcodes 1760 - 1767
L760:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl843
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl843:
jmp @r4
mov #0x1C,r2
! Opcodes 1768 - 176F
L768:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl844
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl844:
jmp @r4
mov #0x1C,r2
! Opcodes 1770 - 1777
L770:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl845
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl845:
jmp @r4
mov #0x1C,r2
! Opcode 1778
L778:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl846
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl846:
jmp @r4
mov #0x1C,r2
! Opcode 1779
L779:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl847
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl847:
jmp @r4
mov #0x1C,r2
! Opcode 177A
L77A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl848
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl848:
jmp @r4
mov #0x1C,r2
! Opcode 177B
L77B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl849
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl849:
jmp @r4
mov #0x1C,r2
! Opcode 177C
L77C:
mov.b @r6,r3
add #2,r6
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl850
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl850:
jmp @r4
mov #0x1C,r2
! Opcodes 1780 - 1787
L780:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl851
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl851:
jmp @r4
mov #0x1C,r2
! Opcodes 1788 - 178F
L788:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl852
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl852:
jmp @r4
mov #0x1C,r2
! Opcodes 1790 - 1797
L790:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl853
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl853:
jmp @r4
mov #0x1C,r2
! Opcodes 1798 - 179F
L798:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl854
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl854:
jmp @r4
mov #0x1C,r2
! Opcodes 17A0 - 17A7
L7A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl855
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl855:
jmp @r4
mov #0x1C,r2
! Opcodes 17A8 - 17AF
L7A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl856
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl856:
jmp @r4
mov #0x1C,r2
! Opcodes 17B0 - 17B7
L7B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl857
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl857:
jmp @r4
mov #0x1C,r2
! Opcode 17B8
L7B8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl858
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl858:
jmp @r4
mov #0x1C,r2
! Opcode 17B9
L7B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl859
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl859:
jmp @r4
mov #0x1C,r2
! Opcode 17BA
L7BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl860
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl860:
jmp @r4
mov #0x1C,r2
! Opcode 17BB
L7BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl861
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl861:
jmp @r4
mov #0x1C,r2
! Opcode 17BC
L7BC:
mov.b @r6,r3
add #2,r6
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl862
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl862:
jmp @r4
mov #0x1C,r2
! Opcodes 1800 - 1807
L800:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl863
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl863:
jmp @r4
mov #0x1C,r2
! Opcodes 1808 - 180F
L808:
and r0,r2
add r14,r2
mov.b @r2,r3
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl864
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl864:
jmp @r4
mov #0x1C,r2
! Opcodes 1810 - 1817
L810:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl865
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl865:
jmp @r4
mov #0x1C,r2
! Opcodes 1818 - 181F
L818:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl866
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl866:
jmp @r4
mov #0x1C,r2
! Opcodes 1820 - 1827
L820:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl867
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl867:
jmp @r4
mov #0x1C,r2
! Opcodes 1828 - 182F
L828:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl868
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl868:
jmp @r4
mov #0x1C,r2
! Opcodes 1830 - 1837
L830:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl869
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl869:
jmp @r4
mov #0x1C,r2
! Opcode 1838
L838:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl870
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl870:
jmp @r4
mov #0x1C,r2
! Opcode 1839
L839:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl871
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl871:
jmp @r4
mov #0x1C,r2
! Opcode 183A
L83A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl872
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl872:
jmp @r4
mov #0x1C,r2
! Opcode 183B
L83B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl873
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl873:
jmp @r4
mov #0x1C,r2
! Opcode 183C
L83C:
mov.b @r6,r3
add #2,r6
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl874
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl874:
jmp @r4
mov #0x1C,r2
! Opcodes 1880 - 1887
L880:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl875
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl875:
jmp @r4
mov #0x1C,r2
! Opcodes 1888 - 188F
L888:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl876
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl876:
jmp @r4
mov #0x1C,r2
! Opcodes 1890 - 1897
L890:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl877
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl877:
jmp @r4
mov #0x1C,r2
! Opcodes 1898 - 189F
L898:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl878
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl878:
jmp @r4
mov #0x1C,r2
! Opcodes 18A0 - 18A7
L8A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl879
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl879:
jmp @r4
mov #0x1C,r2
! Opcodes 18A8 - 18AF
L8A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl880
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl880:
jmp @r4
mov #0x1C,r2
! Opcodes 18B0 - 18B7
L8B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl881
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl881:
jmp @r4
mov #0x1C,r2
! Opcode 18B8
L8B8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl882
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl882:
jmp @r4
mov #0x1C,r2
! Opcode 18B9
L8B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl883
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl883:
jmp @r4
mov #0x1C,r2
! Opcode 18BA
L8BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl884
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl884:
jmp @r4
mov #0x1C,r2
! Opcode 18BB
L8BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl885
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl885:
jmp @r4
mov #0x1C,r2
! Opcode 18BC
L8BC:
mov.b @r6,r3
add #2,r6
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl886
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl886:
jmp @r4
mov #0x1C,r2
! Opcodes 18C0 - 18C7
L8C0:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl887
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl887:
jmp @r4
mov #0x1C,r2
! Opcodes 18C8 - 18CF
L8C8:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl888
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl888:
jmp @r4
mov #0x1C,r2
! Opcodes 18D0 - 18D7
L8D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl889
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl889:
jmp @r4
mov #0x1C,r2
! Opcodes 18D8 - 18DF
L8D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl890
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl890:
jmp @r4
mov #0x1C,r2
! Opcodes 18E0 - 18E7
L8E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl891
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl891:
jmp @r4
mov #0x1C,r2
! Opcodes 18E8 - 18EF
L8E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl892
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl892:
jmp @r4
mov #0x1C,r2
! Opcodes 18F0 - 18F7
L8F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl893
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl893:
jmp @r4
mov #0x1C,r2
! Opcode 18F8
L8F8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl894
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl894:
jmp @r4
mov #0x1C,r2
! Opcode 18F9
L8F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl895
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl895:
jmp @r4
mov #0x1C,r2
! Opcode 18FA
L8FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl896
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl896:
jmp @r4
mov #0x1C,r2
! Opcode 18FB
L8FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl897
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl897:
jmp @r4
mov #0x1C,r2
! Opcode 18FC
L8FC:
mov.b @r6,r3
add #2,r6
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl898
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl898:
jmp @r4
mov #0x1C,r2
! Opcodes 1900 - 1907
L900:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(48,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl899
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl899:
jmp @r4
mov #0x1C,r2
! Opcodes 1908 - 190F
L908:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(48,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl900
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl900:
jmp @r4
mov #0x1C,r2
! Opcodes 1910 - 1917
L910:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl901
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl901:
jmp @r4
mov #0x1C,r2
! Opcodes 1918 - 191F
L918:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl902
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl902:
jmp @r4
mov #0x1C,r2
! Opcodes 1920 - 1927
L920:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl903
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl903:
jmp @r4
mov #0x1C,r2
! Opcodes 1928 - 192F
L928:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl904
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl904:
jmp @r4
mov #0x1C,r2
! Opcodes 1930 - 1937
L930:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl905
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl905:
jmp @r4
mov #0x1C,r2
! Opcode 1938
L938:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl906
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl906:
jmp @r4
mov #0x1C,r2
! Opcode 1939
L939:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl907
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl907:
jmp @r4
mov #0x1C,r2
! Opcode 193A
L93A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl908
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl908:
jmp @r4
mov #0x1C,r2
! Opcode 193B
L93B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl909
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl909:
jmp @r4
mov #0x1C,r2
! Opcode 193C
L93C:
mov.b @r6,r3
add #2,r6
mov.l @(48,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl910
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl910:
jmp @r4
mov #0x1C,r2
! Opcodes 1940 - 1947
L940:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl911
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl911:
jmp @r4
mov #0x1C,r2
! Opcodes 1948 - 194F
L948:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl912
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl912:
jmp @r4
mov #0x1C,r2
! Opcodes 1950 - 1957
L950:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl913
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl913:
jmp @r4
mov #0x1C,r2
! Opcodes 1958 - 195F
L958:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl914
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl914:
jmp @r4
mov #0x1C,r2
! Opcodes 1960 - 1967
L960:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl915
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl915:
jmp @r4
mov #0x1C,r2
! Opcodes 1968 - 196F
L968:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl916
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl916:
jmp @r4
mov #0x1C,r2
! Opcodes 1970 - 1977
L970:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl917
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl917:
jmp @r4
mov #0x1C,r2
! Opcode 1978
L978:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl918
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl918:
jmp @r4
mov #0x1C,r2
! Opcode 1979
L979:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl919
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl919:
jmp @r4
mov #0x1C,r2
! Opcode 197A
L97A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl920
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl920:
jmp @r4
mov #0x1C,r2
! Opcode 197B
L97B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl921
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl921:
jmp @r4
mov #0x1C,r2
! Opcode 197C
L97C:
mov.b @r6,r3
add #2,r6
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl922
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl922:
jmp @r4
mov #0x1C,r2
! Opcodes 1980 - 1987
L980:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl923
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl923:
jmp @r4
mov #0x1C,r2
! Opcodes 1988 - 198F
L988:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl924
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl924:
jmp @r4
mov #0x1C,r2
! Opcodes 1990 - 1997
L990:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl925
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl925:
jmp @r4
mov #0x1C,r2
! Opcodes 1998 - 199F
L998:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl926
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl926:
jmp @r4
mov #0x1C,r2
! Opcodes 19A0 - 19A7
L9A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl927
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl927:
jmp @r4
mov #0x1C,r2
! Opcodes 19A8 - 19AF
L9A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl928
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl928:
jmp @r4
mov #0x1C,r2
! Opcodes 19B0 - 19B7
L9B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl929
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl929:
jmp @r4
mov #0x1C,r2
! Opcode 19B8
L9B8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl930
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl930:
jmp @r4
mov #0x1C,r2
! Opcode 19B9
L9B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl931
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl931:
jmp @r4
mov #0x1C,r2
! Opcode 19BA
L9BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl932
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl932:
jmp @r4
mov #0x1C,r2
! Opcode 19BB
L9BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl933
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl933:
jmp @r4
mov #0x1C,r2
! Opcode 19BC
L9BC:
mov.b @r6,r3
add #2,r6
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl934
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl934:
jmp @r4
mov #0x1C,r2
! Opcodes 1A00 - 1A07
LA00:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl935
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl935:
jmp @r4
mov #0x1C,r2
! Opcodes 1A08 - 1A0F
LA08:
and r0,r2
add r14,r2
mov.b @r2,r3
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl936
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl936:
jmp @r4
mov #0x1C,r2
! Opcodes 1A10 - 1A17
LA10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl937
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl937:
jmp @r4
mov #0x1C,r2
! Opcodes 1A18 - 1A1F
LA18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl938
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl938:
jmp @r4
mov #0x1C,r2
! Opcodes 1A20 - 1A27
LA20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl939
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl939:
jmp @r4
mov #0x1C,r2
! Opcodes 1A28 - 1A2F
LA28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl940
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl940:
jmp @r4
mov #0x1C,r2
! Opcodes 1A30 - 1A37
LA30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl941
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl941:
jmp @r4
mov #0x1C,r2
! Opcode 1A38
LA38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl942
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl942:
jmp @r4
mov #0x1C,r2
! Opcode 1A39
LA39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl943
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl943:
jmp @r4
mov #0x1C,r2
! Opcode 1A3A
LA3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl944
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl944:
jmp @r4
mov #0x1C,r2
! Opcode 1A3B
LA3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl945
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl945:
jmp @r4
mov #0x1C,r2
! Opcode 1A3C
LA3C:
mov.b @r6,r3
add #2,r6
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl946
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl946:
jmp @r4
mov #0x1C,r2
! Opcodes 1A80 - 1A87
LA80:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl947
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl947:
jmp @r4
mov #0x1C,r2
! Opcodes 1A88 - 1A8F
LA88:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl948
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl948:
jmp @r4
mov #0x1C,r2
! Opcodes 1A90 - 1A97
LA90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl949
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl949:
jmp @r4
mov #0x1C,r2
! Opcodes 1A98 - 1A9F
LA98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl950
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl950:
jmp @r4
mov #0x1C,r2
! Opcodes 1AA0 - 1AA7
LAA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl951
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl951:
jmp @r4
mov #0x1C,r2
! Opcodes 1AA8 - 1AAF
LAA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl952
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl952:
jmp @r4
mov #0x1C,r2
! Opcodes 1AB0 - 1AB7
LAB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl953
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl953:
jmp @r4
mov #0x1C,r2
! Opcode 1AB8
LAB8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl954
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl954:
jmp @r4
mov #0x1C,r2
! Opcode 1AB9
LAB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl955
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl955:
jmp @r4
mov #0x1C,r2
! Opcode 1ABA
LABA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl956
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl956:
jmp @r4
mov #0x1C,r2
! Opcode 1ABB
LABB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl957
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl957:
jmp @r4
mov #0x1C,r2
! Opcode 1ABC
LABC:
mov.b @r6,r3
add #2,r6
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl958
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl958:
jmp @r4
mov #0x1C,r2
! Opcodes 1AC0 - 1AC7
LAC0:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl959
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl959:
jmp @r4
mov #0x1C,r2
! Opcodes 1AC8 - 1ACF
LAC8:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl960
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl960:
jmp @r4
mov #0x1C,r2
! Opcodes 1AD0 - 1AD7
LAD0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl961
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl961:
jmp @r4
mov #0x1C,r2
! Opcodes 1AD8 - 1ADF
LAD8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl962
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl962:
jmp @r4
mov #0x1C,r2
! Opcodes 1AE0 - 1AE7
LAE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl963
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl963:
jmp @r4
mov #0x1C,r2
! Opcodes 1AE8 - 1AEF
LAE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl964
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl964:
jmp @r4
mov #0x1C,r2
! Opcodes 1AF0 - 1AF7
LAF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl965
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl965:
jmp @r4
mov #0x1C,r2
! Opcode 1AF8
LAF8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl966
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl966:
jmp @r4
mov #0x1C,r2
! Opcode 1AF9
LAF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl967
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl967:
jmp @r4
mov #0x1C,r2
! Opcode 1AFA
LAFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl968
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl968:
jmp @r4
mov #0x1C,r2
! Opcode 1AFB
LAFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl969
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl969:
jmp @r4
mov #0x1C,r2
! Opcode 1AFC
LAFC:
mov.b @r6,r3
add #2,r6
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl970
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl970:
jmp @r4
mov #0x1C,r2
! Opcodes 1B00 - 1B07
LB00:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(52,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl971
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl971:
jmp @r4
mov #0x1C,r2
! Opcodes 1B08 - 1B0F
LB08:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(52,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl972
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl972:
jmp @r4
mov #0x1C,r2
! Opcodes 1B10 - 1B17
LB10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl973
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl973:
jmp @r4
mov #0x1C,r2
! Opcodes 1B18 - 1B1F
LB18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl974
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl974:
jmp @r4
mov #0x1C,r2
! Opcodes 1B20 - 1B27
LB20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl975
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl975:
jmp @r4
mov #0x1C,r2
! Opcodes 1B28 - 1B2F
LB28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl976
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl976:
jmp @r4
mov #0x1C,r2
! Opcodes 1B30 - 1B37
LB30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl977
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl977:
jmp @r4
mov #0x1C,r2
! Opcode 1B38
LB38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl978
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl978:
jmp @r4
mov #0x1C,r2
! Opcode 1B39
LB39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl979
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl979:
jmp @r4
mov #0x1C,r2
! Opcode 1B3A
LB3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl980
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl980:
jmp @r4
mov #0x1C,r2
! Opcode 1B3B
LB3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl981
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl981:
jmp @r4
mov #0x1C,r2
! Opcode 1B3C
LB3C:
mov.b @r6,r3
add #2,r6
mov.l @(52,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl982
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl982:
jmp @r4
mov #0x1C,r2
! Opcodes 1B40 - 1B47
LB40:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl983
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl983:
jmp @r4
mov #0x1C,r2
! Opcodes 1B48 - 1B4F
LB48:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl984
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl984:
jmp @r4
mov #0x1C,r2
! Opcodes 1B50 - 1B57
LB50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl985
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl985:
jmp @r4
mov #0x1C,r2
! Opcodes 1B58 - 1B5F
LB58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl986
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl986:
jmp @r4
mov #0x1C,r2
! Opcodes 1B60 - 1B67
LB60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl987
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl987:
jmp @r4
mov #0x1C,r2
! Opcodes 1B68 - 1B6F
LB68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl988
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl988:
jmp @r4
mov #0x1C,r2
! Opcodes 1B70 - 1B77
LB70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl989
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl989:
jmp @r4
mov #0x1C,r2
! Opcode 1B78
LB78:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl990
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl990:
jmp @r4
mov #0x1C,r2
! Opcode 1B79
LB79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl991
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl991:
jmp @r4
mov #0x1C,r2
! Opcode 1B7A
LB7A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl992
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl992:
jmp @r4
mov #0x1C,r2
! Opcode 1B7B
LB7B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl993
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl993:
jmp @r4
mov #0x1C,r2
! Opcode 1B7C
LB7C:
mov.b @r6,r3
add #2,r6
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl994
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl994:
jmp @r4
mov #0x1C,r2
! Opcodes 1B80 - 1B87
LB80:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl995
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl995:
jmp @r4
mov #0x1C,r2
! Opcodes 1B88 - 1B8F
LB88:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl996
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl996:
jmp @r4
mov #0x1C,r2
! Opcodes 1B90 - 1B97
LB90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl997
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl997:
jmp @r4
mov #0x1C,r2
! Opcodes 1B98 - 1B9F
LB98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl998
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl998:
jmp @r4
mov #0x1C,r2
! Opcodes 1BA0 - 1BA7
LBA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl999
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl999:
jmp @r4
mov #0x1C,r2
! Opcodes 1BA8 - 1BAF
LBA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1000
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1000:
jmp @r4
mov #0x1C,r2
! Opcodes 1BB0 - 1BB7
LBB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1001
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1001:
jmp @r4
mov #0x1C,r2
! Opcode 1BB8
LBB8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1002
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1002:
jmp @r4
mov #0x1C,r2
! Opcode 1BB9
LBB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1003
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1003:
jmp @r4
mov #0x1C,r2
! Opcode 1BBA
LBBA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1004
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1004:
jmp @r4
mov #0x1C,r2
! Opcode 1BBB
LBBB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1005
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1005:
jmp @r4
mov #0x1C,r2
! Opcode 1BBC
LBBC:
mov.b @r6,r3
add #2,r6
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1006
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1006:
jmp @r4
mov #0x1C,r2
! Opcodes 1C00 - 1C07
LC00:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1007
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1007:
jmp @r4
mov #0x1C,r2
! Opcodes 1C08 - 1C0F
LC08:
and r0,r2
add r14,r2
mov.b @r2,r3
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1008
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1008:
jmp @r4
mov #0x1C,r2
! Opcodes 1C10 - 1C17
LC10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1009
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1009:
jmp @r4
mov #0x1C,r2
! Opcodes 1C18 - 1C1F
LC18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1010
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1010:
jmp @r4
mov #0x1C,r2
! Opcodes 1C20 - 1C27
LC20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl1011
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1011:
jmp @r4
mov #0x1C,r2
! Opcodes 1C28 - 1C2F
LC28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1012
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1012:
jmp @r4
mov #0x1C,r2
! Opcodes 1C30 - 1C37
LC30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1013
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1013:
jmp @r4
mov #0x1C,r2
! Opcode 1C38
LC38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1014
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1014:
jmp @r4
mov #0x1C,r2
! Opcode 1C39
LC39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1015
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1015:
jmp @r4
mov #0x1C,r2
! Opcode 1C3A
LC3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1016
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1016:
jmp @r4
mov #0x1C,r2
! Opcode 1C3B
LC3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1017
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1017:
jmp @r4
mov #0x1C,r2
! Opcode 1C3C
LC3C:
mov.b @r6,r3
add #2,r6
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1018
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1018:
jmp @r4
mov #0x1C,r2
! Opcodes 1C80 - 1C87
LC80:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1019
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1019:
jmp @r4
mov #0x1C,r2
! Opcodes 1C88 - 1C8F
LC88:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1020
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1020:
jmp @r4
mov #0x1C,r2
! Opcodes 1C90 - 1C97
LC90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1021
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1021:
jmp @r4
mov #0x1C,r2
! Opcodes 1C98 - 1C9F
LC98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1022
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1022:
jmp @r4
mov #0x1C,r2
! Opcodes 1CA0 - 1CA7
LCA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1023
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1023:
jmp @r4
mov #0x1C,r2
! Opcodes 1CA8 - 1CAF
LCA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1024
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1024:
jmp @r4
mov #0x1C,r2
! Opcodes 1CB0 - 1CB7
LCB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1025
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1025:
jmp @r4
mov #0x1C,r2
! Opcode 1CB8
LCB8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1026
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1026:
jmp @r4
mov #0x1C,r2
! Opcode 1CB9
LCB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1027
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1027:
jmp @r4
mov #0x1C,r2
! Opcode 1CBA
LCBA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1028
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1028:
jmp @r4
mov #0x1C,r2
! Opcode 1CBB
LCBB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1029
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1029:
jmp @r4
mov #0x1C,r2
! Opcode 1CBC
LCBC:
mov.b @r6,r3
add #2,r6
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1030
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1030:
jmp @r4
mov #0x1C,r2
! Opcodes 1CC0 - 1CC7
LCC0:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1031
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1031:
jmp @r4
mov #0x1C,r2
! Opcodes 1CC8 - 1CCF
LCC8:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1032
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1032:
jmp @r4
mov #0x1C,r2
! Opcodes 1CD0 - 1CD7
LCD0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1033
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1033:
jmp @r4
mov #0x1C,r2
! Opcodes 1CD8 - 1CDF
LCD8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1034
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1034:
jmp @r4
mov #0x1C,r2
! Opcodes 1CE0 - 1CE7
LCE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1035
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1035:
jmp @r4
mov #0x1C,r2
! Opcodes 1CE8 - 1CEF
LCE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1036
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1036:
jmp @r4
mov #0x1C,r2
! Opcodes 1CF0 - 1CF7
LCF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1037
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1037:
jmp @r4
mov #0x1C,r2
! Opcode 1CF8
LCF8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1038
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1038:
jmp @r4
mov #0x1C,r2
! Opcode 1CF9
LCF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1039
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1039:
jmp @r4
mov #0x1C,r2
! Opcode 1CFA
LCFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1040
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1040:
jmp @r4
mov #0x1C,r2
! Opcode 1CFB
LCFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1041
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1041:
jmp @r4
mov #0x1C,r2
! Opcode 1CFC
LCFC:
mov.b @r6,r3
add #2,r6
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1042
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1042:
jmp @r4
mov #0x1C,r2
! Opcodes 1D00 - 1D07
LD00:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(56,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1043
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1043:
jmp @r4
mov #0x1C,r2
! Opcodes 1D08 - 1D0F
LD08:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(56,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1044
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1044:
jmp @r4
mov #0x1C,r2
! Opcodes 1D10 - 1D17
LD10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1045
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1045:
jmp @r4
mov #0x1C,r2
! Opcodes 1D18 - 1D1F
LD18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1046
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1046:
jmp @r4
mov #0x1C,r2
! Opcodes 1D20 - 1D27
LD20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1047
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1047:
jmp @r4
mov #0x1C,r2
! Opcodes 1D28 - 1D2F
LD28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1048
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1048:
jmp @r4
mov #0x1C,r2
! Opcodes 1D30 - 1D37
LD30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1049
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1049:
jmp @r4
mov #0x1C,r2
! Opcode 1D38
LD38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1050
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1050:
jmp @r4
mov #0x1C,r2
! Opcode 1D39
LD39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1051
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1051:
jmp @r4
mov #0x1C,r2
! Opcode 1D3A
LD3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1052
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1052:
jmp @r4
mov #0x1C,r2
! Opcode 1D3B
LD3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1053
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1053:
jmp @r4
mov #0x1C,r2
! Opcode 1D3C
LD3C:
mov.b @r6,r3
add #2,r6
mov.l @(56,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1054
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1054:
jmp @r4
mov #0x1C,r2
! Opcodes 1D40 - 1D47
LD40:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1055
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1055:
jmp @r4
mov #0x1C,r2
! Opcodes 1D48 - 1D4F
LD48:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1056
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1056:
jmp @r4
mov #0x1C,r2
! Opcodes 1D50 - 1D57
LD50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1057
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1057:
jmp @r4
mov #0x1C,r2
! Opcodes 1D58 - 1D5F
LD58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1058
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1058:
jmp @r4
mov #0x1C,r2
! Opcodes 1D60 - 1D67
LD60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1059
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1059:
jmp @r4
mov #0x1C,r2
! Opcodes 1D68 - 1D6F
LD68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1060
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1060:
jmp @r4
mov #0x1C,r2
! Opcodes 1D70 - 1D77
LD70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1061
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1061:
jmp @r4
mov #0x1C,r2
! Opcode 1D78
LD78:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1062
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1062:
jmp @r4
mov #0x1C,r2
! Opcode 1D79
LD79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1063
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1063:
jmp @r4
mov #0x1C,r2
! Opcode 1D7A
LD7A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1064
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1064:
jmp @r4
mov #0x1C,r2
! Opcode 1D7B
LD7B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1065
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1065:
jmp @r4
mov #0x1C,r2
! Opcode 1D7C
LD7C:
mov.b @r6,r3
add #2,r6
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1066
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1066:
jmp @r4
mov #0x1C,r2
! Opcodes 1D80 - 1D87
LD80:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1067
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1067:
jmp @r4
mov #0x1C,r2
! Opcodes 1D88 - 1D8F
LD88:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1068
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1068:
jmp @r4
mov #0x1C,r2
! Opcodes 1D90 - 1D97
LD90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1069
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1069:
jmp @r4
mov #0x1C,r2
! Opcodes 1D98 - 1D9F
LD98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1070
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1070:
jmp @r4
mov #0x1C,r2
! Opcodes 1DA0 - 1DA7
LDA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1071
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1071:
jmp @r4
mov #0x1C,r2
! Opcodes 1DA8 - 1DAF
LDA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1072
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1072:
jmp @r4
mov #0x1C,r2
! Opcodes 1DB0 - 1DB7
LDB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1073
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1073:
jmp @r4
mov #0x1C,r2
! Opcode 1DB8
LDB8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1074
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1074:
jmp @r4
mov #0x1C,r2
! Opcode 1DB9
LDB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1075
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1075:
jmp @r4
mov #0x1C,r2
! Opcode 1DBA
LDBA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1076
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1076:
jmp @r4
mov #0x1C,r2
! Opcode 1DBB
LDBB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1077
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1077:
jmp @r4
mov #0x1C,r2
! Opcode 1DBC
LDBC:
mov.b @r6,r3
add #2,r6
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1078
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1078:
jmp @r4
mov #0x1C,r2
! Opcodes 1E00 - 1E07
LE00:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1079
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1079:
jmp @r4
mov #0x1C,r2
! Opcodes 1E08 - 1E0F
LE08:
and r0,r2
add r14,r2
mov.b @r2,r3
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1080
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1080:
jmp @r4
mov #0x1C,r2
! Opcodes 1E10 - 1E17
LE10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1081
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1081:
jmp @r4
mov #0x1C,r2
! Opcodes 1E18 - 1E1F
LE18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1082
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1082:
jmp @r4
mov #0x1C,r2
! Opcodes 1E20 - 1E27
LE20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl1083
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1083:
jmp @r4
mov #0x1C,r2
! Opcodes 1E28 - 1E2F
LE28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1084
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1084:
jmp @r4
mov #0x1C,r2
! Opcodes 1E30 - 1E37
LE30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1085
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1085:
jmp @r4
mov #0x1C,r2
! Opcode 1E38
LE38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1086
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1086:
jmp @r4
mov #0x1C,r2
! Opcode 1E39
LE39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1087
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1087:
jmp @r4
mov #0x1C,r2
! Opcode 1E3A
LE3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1088
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1088:
jmp @r4
mov #0x1C,r2
! Opcode 1E3B
LE3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1089
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1089:
jmp @r4
mov #0x1C,r2
! Opcode 1E3C
LE3C:
mov.b @r6,r3
add #2,r6
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1090
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1090:
jmp @r4
mov #0x1C,r2
! Opcodes 1E80 - 1E87
LE80:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1091
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1091:
jmp @r4
mov #0x1C,r2
! Opcodes 1E88 - 1E8F
LE88:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1092
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1092:
jmp @r4
mov #0x1C,r2
! Opcodes 1E90 - 1E97
LE90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1093
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1093:
jmp @r4
mov #0x1C,r2
! Opcodes 1E98 - 1E9F
LE98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1094
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1094:
jmp @r4
mov #0x1C,r2
! Opcodes 1EA0 - 1EA7
LEA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1095
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1095:
jmp @r4
mov #0x1C,r2
! Opcodes 1EA8 - 1EAF
LEA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1096
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1096:
jmp @r4
mov #0x1C,r2
! Opcodes 1EB0 - 1EB7
LEB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1097
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1097:
jmp @r4
mov #0x1C,r2
! Opcode 1EB8
LEB8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1098
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1098:
jmp @r4
mov #0x1C,r2
! Opcode 1EB9
LEB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1099
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1099:
jmp @r4
mov #0x1C,r2
! Opcode 1EBA
LEBA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1100
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1100:
jmp @r4
mov #0x1C,r2
! Opcode 1EBB
LEBB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1101
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1101:
jmp @r4
mov #0x1C,r2
! Opcode 1EBC
LEBC:
mov.b @r6,r3
add #2,r6
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1102
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1102:
jmp @r4
mov #0x1C,r2
! Opcodes 1EC0 - 1EC7
LEC0:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1103
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1103:
jmp @r4
mov #0x1C,r2
! Opcodes 1EC8 - 1ECF
LEC8:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1104
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1104:
jmp @r4
mov #0x1C,r2
! Opcodes 1ED0 - 1ED7
LED0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1105
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1105:
jmp @r4
mov #0x1C,r2
! Opcodes 1ED8 - 1EDF
LED8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1106
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1106:
jmp @r4
mov #0x1C,r2
! Opcodes 1EE0 - 1EE7
LEE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1107
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1107:
jmp @r4
mov #0x1C,r2
! Opcodes 1EE8 - 1EEF
LEE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1108
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1108:
jmp @r4
mov #0x1C,r2
! Opcodes 1EF0 - 1EF7
LEF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1109
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1109:
jmp @r4
mov #0x1C,r2
! Opcode 1EF8
LEF8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1110
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1110:
jmp @r4
mov #0x1C,r2
! Opcode 1EF9
LEF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1111
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1111:
jmp @r4
mov #0x1C,r2
! Opcode 1EFA
LEFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1112
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1112:
jmp @r4
mov #0x1C,r2
! Opcode 1EFB
LEFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1113
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1113:
jmp @r4
mov #0x1C,r2
! Opcode 1EFC
LEFC:
mov.b @r6,r3
add #2,r6
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1114
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1114:
jmp @r4
mov #0x1C,r2
! Opcodes 1F00 - 1F07
LF00:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(60,r13),r4
add #-2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1115
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1115:
jmp @r4
mov #0x1C,r2
! Opcodes 1F08 - 1F0F
LF08:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(60,r13),r4
add #-2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1116
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1116:
jmp @r4
mov #0x1C,r2
! Opcodes 1F10 - 1F17
LF10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1117
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1117:
jmp @r4
mov #0x1C,r2
! Opcodes 1F18 - 1F1F
LF18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
add #-2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1118
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1118:
jmp @r4
mov #0x1C,r2
! Opcodes 1F20 - 1F27
LF20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
add #-2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1119
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1119:
jmp @r4
mov #0x1C,r2
! Opcodes 1F28 - 1F2F
LF28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1120
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1120:
jmp @r4
mov #0x1C,r2
! Opcodes 1F30 - 1F37
LF30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1121
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1121:
jmp @r4
mov #0x1C,r2
! Opcode 1F38
LF38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1122
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1122:
jmp @r4
mov #0x1C,r2
! Opcode 1F39
LF39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1123
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1123:
jmp @r4
mov #0x1C,r2
! Opcode 1F3A
LF3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1124
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1124:
jmp @r4
mov #0x1C,r2
! Opcode 1F3B
LF3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1125
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1125:
jmp @r4
mov #0x1C,r2
! Opcode 1F3C
LF3C:
mov.b @r6,r3
add #2,r6
mov.l @(60,r13),r4
add #-2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1126
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1126:
jmp @r4
mov #0x1C,r2
! Opcodes 1F40 - 1F47
LF40:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1127
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1127:
jmp @r4
mov #0x1C,r2
! Opcodes 1F48 - 1F4F
LF48:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1128
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1128:
jmp @r4
mov #0x1C,r2
! Opcodes 1F50 - 1F57
LF50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1129
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1129:
jmp @r4
mov #0x1C,r2
! Opcodes 1F58 - 1F5F
LF58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1130
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1130:
jmp @r4
mov #0x1C,r2
! Opcodes 1F60 - 1F67
LF60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1131
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1131:
jmp @r4
mov #0x1C,r2
! Opcodes 1F68 - 1F6F
LF68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1132
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1132:
jmp @r4
mov #0x1C,r2
! Opcodes 1F70 - 1F77
LF70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1133
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1133:
jmp @r4
mov #0x1C,r2
! Opcode 1F78
LF78:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1134
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1134:
jmp @r4
mov #0x1C,r2
! Opcode 1F79
LF79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1135
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1135:
jmp @r4
mov #0x1C,r2
! Opcode 1F7A
LF7A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1136
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1136:
jmp @r4
mov #0x1C,r2
! Opcode 1F7B
LF7B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1137
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1137:
jmp @r4
mov #0x1C,r2
! Opcode 1F7C
LF7C:
mov.b @r6,r3
add #2,r6
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1138
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1138:
jmp @r4
mov #0x1C,r2
! Opcodes 1F80 - 1F87
LF80:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1139
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1139:
jmp @r4
mov #0x1C,r2
! Opcodes 1F88 - 1F8F
LF88:
and r0,r2
add r14,r2
mov.b @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1140
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1140:
jmp @r4
mov #0x1C,r2
! Opcodes 1F90 - 1F97
LF90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1141
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1141:
jmp @r4
mov #0x1C,r2
! Opcodes 1F98 - 1F9F
LF98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1142
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1142:
jmp @r4
mov #0x1C,r2
! Opcodes 1FA0 - 1FA7
LFA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1143
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1143:
jmp @r4
mov #0x1C,r2
! Opcodes 1FA8 - 1FAF
LFA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1144
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1144:
jmp @r4
mov #0x1C,r2
! Opcodes 1FB0 - 1FB7
LFB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1145
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1145:
jmp @r4
mov #0x1C,r2
! Opcode 1FB8
LFB8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1146
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1146:
jmp @r4
mov #0x1C,r2
! Opcode 1FB9
LFB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1147
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1147:
jmp @r4
mov #0x1C,r2
! Opcode 1FBA
LFBA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1148
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1148:
jmp @r4
mov #0x1C,r2
! Opcode 1FBB
LFBB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1149
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1149:
jmp @r4
mov #0x1C,r2
! Opcode 1FBC
LFBC:
mov.b @r6,r3
add #2,r6
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1150
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1150:
jmp @r4
mov #0x1C,r2
! Opcodes 2000 - 2007
M000:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1151
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1151:
jmp @r4
mov #0x1C,r2
! Opcodes 2008 - 200F
M008:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1152
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1152:
jmp @r4
mov #0x1C,r2
! Opcodes 2010 - 2017
M010:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1153
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1153:
jmp @r4
mov #0x1C,r2
! Opcodes 2018 - 201F
M018:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1154
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1154:
jmp @r4
mov #0x1C,r2
! Opcodes 2020 - 2027
M020:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1155
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1155:
jmp @r4
mov #0x1C,r2
! Opcodes 2028 - 202F
M028:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1156
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1156:
jmp @r4
mov #0x1C,r2
! Opcodes 2030 - 2037
M030:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1157
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1157:
jmp @r4
mov #0x1C,r2
! Opcode 2038
M038:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1158
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1158:
jmp @r4
mov #0x1C,r2
! Opcode 2039
M039:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1159
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1159:
jmp @r4
mov #0x1C,r2
! Opcode 203A
M03A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1160
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1160:
jmp @r4
mov #0x1C,r2
! Opcode 203B
M03B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1161
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1161:
jmp @r4
mov #0x1C,r2
! Opcode 203C
M03C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1162
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1162:
jmp @r4
mov #0x1C,r2
! Opcodes 2040 - 2047
M040:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r13),r3
mov.l r3,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1163
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1163:
jmp @r4
mov #0x1C,r2
! Opcodes 2048 - 204F
M048:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.l @r2,r3
mov.l r3,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1164
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1164:
jmp @r4
mov #0x1C,r2
! Opcodes 2050 - 2057
M050:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1165
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1165:
jmp @r4
mov #0x1C,r2
! Opcodes 2058 - 205F
M058:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1166
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1166:
jmp @r4
mov #0x1C,r2
! Opcodes 2060 - 2067
M060:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1167
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1167:
jmp @r4
mov #0x1C,r2
! Opcodes 2068 - 206F
M068:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1168
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1168:
jmp @r4
mov #0x1C,r2
! Opcodes 2070 - 2077
M070:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1169
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1169:
jmp @r4
mov #0x1C,r2
! Opcode 2078
M078:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1170
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1170:
jmp @r4
mov #0x1C,r2
! Opcode 2079
M079:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1171
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1171:
jmp @r4
mov #0x1C,r2
! Opcode 207A
M07A:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1172
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1172:
jmp @r4
mov #0x1C,r2
! Opcode 207B
M07B:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1173
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1173:
jmp @r4
mov #0x1C,r2
! Opcode 207C
M07C:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1174
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1174:
jmp @r4
mov #0x1C,r2
! Opcodes 2080 - 2087
M080:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1175
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1175:
jmp @r4
mov #0x1C,r2
! Opcodes 2088 - 208F
M088:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1176
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1176:
jmp @r4
mov #0x1C,r2
! Opcodes 2090 - 2097
M090:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1177
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1177:
jmp @r4
mov #0x1C,r2
! Opcodes 2098 - 209F
M098:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1178
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1178:
jmp @r4
mov #0x1C,r2
! Opcodes 20A0 - 20A7
M0A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1179
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1179:
jmp @r4
mov #0x1C,r2
! Opcodes 20A8 - 20AF
M0A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1180
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1180:
jmp @r4
mov #0x1C,r2
! Opcodes 20B0 - 20B7
M0B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1181
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1181:
jmp @r4
mov #0x1C,r2
! Opcode 20B8
M0B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1182
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1182:
jmp @r4
mov #0x1C,r2
! Opcode 20B9
M0B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1183
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1183:
jmp @r4
mov #0x1C,r2
! Opcode 20BA
M0BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1184
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1184:
jmp @r4
mov #0x1C,r2
! Opcode 20BB
M0BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1185
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1185:
jmp @r4
mov #0x1C,r2
! Opcode 20BC
M0BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1186
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1186:
jmp @r4
mov #0x1C,r2
! Opcodes 20C0 - 20C7
M0C0:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1187
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1187:
jmp @r4
mov #0x1C,r2
! Opcodes 20C8 - 20CF
M0C8:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1188
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1188:
jmp @r4
mov #0x1C,r2
! Opcodes 20D0 - 20D7
M0D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1189
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1189:
jmp @r4
mov #0x1C,r2
! Opcodes 20D8 - 20DF
M0D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1190
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1190:
jmp @r4
mov #0x1C,r2
! Opcodes 20E0 - 20E7
M0E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1191
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1191:
jmp @r4
mov #0x1C,r2
! Opcodes 20E8 - 20EF
M0E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1192
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1192:
jmp @r4
mov #0x1C,r2
! Opcodes 20F0 - 20F7
M0F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1193
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1193:
jmp @r4
mov #0x1C,r2
! Opcode 20F8
M0F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1194
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1194:
jmp @r4
mov #0x1C,r2
! Opcode 20F9
M0F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1195
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1195:
jmp @r4
mov #0x1C,r2
! Opcode 20FA
M0FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1196
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1196:
jmp @r4
mov #0x1C,r2
! Opcode 20FB
M0FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1197
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1197:
jmp @r4
mov #0x1C,r2
! Opcode 20FC
M0FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1198
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1198:
jmp @r4
mov #0x1C,r2
! Opcodes 2100 - 2107
M100:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(32,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1199
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1199:
jmp @r4
mov #0x1C,r2
! Opcodes 2108 - 210F
M108:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(32,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1200
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1200:
jmp @r4
mov #0x1C,r2
! Opcodes 2110 - 2117
M110:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1201
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1201:
jmp @r4
mov #0x1C,r2
! Opcodes 2118 - 211F
M118:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1202
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1202:
jmp @r4
mov #0x1C,r2
! Opcodes 2120 - 2127
M120:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1203
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1203:
jmp @r4
mov #0x1C,r2
! Opcodes 2128 - 212F
M128:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1204
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1204:
jmp @r4
mov #0x1C,r2
! Opcodes 2130 - 2137
M130:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1205
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1205:
jmp @r4
mov #0x1C,r2
! Opcode 2138
M138:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1206
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1206:
jmp @r4
mov #0x1C,r2
! Opcode 2139
M139:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1207
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1207:
jmp @r4
mov #0x1C,r2
! Opcode 213A
M13A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1208
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1208:
jmp @r4
mov #0x1C,r2
! Opcode 213B
M13B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1209
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1209:
jmp @r4
mov #0x1C,r2
! Opcode 213C
M13C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(32,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1210
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1210:
jmp @r4
mov #0x1C,r2
! Opcodes 2140 - 2147
M140:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1211
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1211:
jmp @r4
mov #0x1C,r2
! Opcodes 2148 - 214F
M148:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1212
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1212:
jmp @r4
mov #0x1C,r2
! Opcodes 2150 - 2157
M150:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1213
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1213:
jmp @r4
mov #0x1C,r2
! Opcodes 2158 - 215F
M158:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1214
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1214:
jmp @r4
mov #0x1C,r2
! Opcodes 2160 - 2167
M160:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1215
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1215:
jmp @r4
mov #0x1C,r2
! Opcodes 2168 - 216F
M168:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1216
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1216:
jmp @r4
mov #0x1C,r2
! Opcodes 2170 - 2177
M170:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1217
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1217:
jmp @r4
mov #0x1C,r2
! Opcode 2178
M178:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1218
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1218:
jmp @r4
mov #0x1C,r2
! Opcode 2179
M179:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl1219
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1219:
jmp @r4
mov #0x1C,r2
! Opcode 217A
M17A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1220
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1220:
jmp @r4
mov #0x1C,r2
! Opcode 217B
M17B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1221
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1221:
jmp @r4
mov #0x1C,r2
! Opcode 217C
M17C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1222
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1222:
jmp @r4
mov #0x1C,r2
! Opcodes 2180 - 2187
M180:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1223
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1223:
jmp @r4
mov #0x1C,r2
! Opcodes 2188 - 218F
M188:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1224
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1224:
jmp @r4
mov #0x1C,r2
! Opcodes 2190 - 2197
M190:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1225
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1225:
jmp @r4
mov #0x1C,r2
! Opcodes 2198 - 219F
M198:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1226
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1226:
jmp @r4
mov #0x1C,r2
! Opcodes 21A0 - 21A7
M1A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1227
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1227:
jmp @r4
mov #0x1C,r2
! Opcodes 21A8 - 21AF
M1A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1228
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1228:
jmp @r4
mov #0x1C,r2
! Opcodes 21B0 - 21B7
M1B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl1229
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1229:
jmp @r4
mov #0x1C,r2
! Opcode 21B8
M1B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1230
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1230:
jmp @r4
mov #0x1C,r2
! Opcode 21B9
M1B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-34,r7
shll2 r0
cmp/pl r7
bt/s fdl1231
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1231:
jmp @r4
mov #0x1C,r2
! Opcode 21BA
M1BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1232
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1232:
jmp @r4
mov #0x1C,r2
! Opcode 21BB
M1BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl1233
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1233:
jmp @r4
mov #0x1C,r2
! Opcode 21BC
M1BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1234
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1234:
jmp @r4
mov #0x1C,r2
! Opcodes 21C0 - 21C7
M1C0:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1235
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1235:
jmp @r4
mov #0x1C,r2
! Opcodes 21C8 - 21CF
M1C8:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1236
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1236:
jmp @r4
mov #0x1C,r2
! Opcodes 21D0 - 21D7
M1D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1237
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1237:
jmp @r4
mov #0x1C,r2
! Opcodes 21D8 - 21DF
M1D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1238
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1238:
jmp @r4
mov #0x1C,r2
! Opcodes 21E0 - 21E7
M1E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1239
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1239:
jmp @r4
mov #0x1C,r2
! Opcodes 21E8 - 21EF
M1E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1240
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1240:
jmp @r4
mov #0x1C,r2
! Opcodes 21F0 - 21F7
M1F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1241
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1241:
jmp @r4
mov #0x1C,r2
! Opcode 21F8
M1F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1242
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1242:
jmp @r4
mov #0x1C,r2
! Opcode 21F9
M1F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl1243
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1243:
jmp @r4
mov #0x1C,r2
! Opcode 21FA
M1FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1244
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1244:
jmp @r4
mov #0x1C,r2
! Opcode 21FB
M1FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1245
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1245:
jmp @r4
mov #0x1C,r2
! Opcode 21FC
M1FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.w @r6+,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1246
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1246:
jmp @r4
mov #0x1C,r2
! Opcodes 2200 - 2207
M200:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1247
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1247:
jmp @r4
mov #0x1C,r2
! Opcodes 2208 - 220F
M208:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1248
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1248:
jmp @r4
mov #0x1C,r2
! Opcodes 2210 - 2217
M210:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1249
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1249:
jmp @r4
mov #0x1C,r2
! Opcodes 2218 - 221F
M218:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1250
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1250:
jmp @r4
mov #0x1C,r2
! Opcodes 2220 - 2227
M220:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1251
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1251:
jmp @r4
mov #0x1C,r2
! Opcodes 2228 - 222F
M228:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1252
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1252:
jmp @r4
mov #0x1C,r2
! Opcodes 2230 - 2237
M230:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1253
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1253:
jmp @r4
mov #0x1C,r2
! Opcode 2238
M238:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1254
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1254:
jmp @r4
mov #0x1C,r2
! Opcode 2239
M239:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1255
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1255:
jmp @r4
mov #0x1C,r2
! Opcode 223A
M23A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1256
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1256:
jmp @r4
mov #0x1C,r2
! Opcode 223B
M23B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1257
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1257:
jmp @r4
mov #0x1C,r2
! Opcode 223C
M23C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1258
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1258:
jmp @r4
mov #0x1C,r2
! Opcodes 2240 - 2247
M240:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r13),r3
mov.l r3,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1259
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1259:
jmp @r4
mov #0x1C,r2
! Opcodes 2248 - 224F
M248:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.l @r2,r3
mov.l r3,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1260
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1260:
jmp @r4
mov #0x1C,r2
! Opcodes 2250 - 2257
M250:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1261
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1261:
jmp @r4
mov #0x1C,r2
! Opcodes 2258 - 225F
M258:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1262
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1262:
jmp @r4
mov #0x1C,r2
! Opcodes 2260 - 2267
M260:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1263
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1263:
jmp @r4
mov #0x1C,r2
! Opcodes 2268 - 226F
M268:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1264
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1264:
jmp @r4
mov #0x1C,r2
! Opcodes 2270 - 2277
M270:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1265
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1265:
jmp @r4
mov #0x1C,r2
! Opcode 2278
M278:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1266
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1266:
jmp @r4
mov #0x1C,r2
! Opcode 2279
M279:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1267
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1267:
jmp @r4
mov #0x1C,r2
! Opcode 227A
M27A:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1268
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1268:
jmp @r4
mov #0x1C,r2
! Opcode 227B
M27B:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1269
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1269:
jmp @r4
mov #0x1C,r2
! Opcode 227C
M27C:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1270
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1270:
jmp @r4
mov #0x1C,r2
! Opcodes 2280 - 2287
M280:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1271
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1271:
jmp @r4
mov #0x1C,r2
! Opcodes 2288 - 228F
M288:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1272
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1272:
jmp @r4
mov #0x1C,r2
! Opcodes 2290 - 2297
M290:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1273
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1273:
jmp @r4
mov #0x1C,r2
! Opcodes 2298 - 229F
M298:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1274
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1274:
jmp @r4
mov #0x1C,r2
! Opcodes 22A0 - 22A7
M2A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1275
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1275:
jmp @r4
mov #0x1C,r2
! Opcodes 22A8 - 22AF
M2A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1276
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1276:
jmp @r4
mov #0x1C,r2
! Opcodes 22B0 - 22B7
M2B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1277
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1277:
jmp @r4
mov #0x1C,r2
! Opcode 22B8
M2B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1278
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1278:
jmp @r4
mov #0x1C,r2
! Opcode 22B9
M2B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1279
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1279:
jmp @r4
mov #0x1C,r2
! Opcode 22BA
M2BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1280
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1280:
jmp @r4
mov #0x1C,r2
! Opcode 22BB
M2BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1281
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1281:
jmp @r4
mov #0x1C,r2
! Opcode 22BC
M2BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1282
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1282:
jmp @r4
mov #0x1C,r2
! Opcodes 22C0 - 22C7
M2C0:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1283
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1283:
jmp @r4
mov #0x1C,r2
! Opcodes 22C8 - 22CF
M2C8:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1284
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1284:
jmp @r4
mov #0x1C,r2
! Opcodes 22D0 - 22D7
M2D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1285
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1285:
jmp @r4
mov #0x1C,r2
! Opcodes 22D8 - 22DF
M2D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1286
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1286:
jmp @r4
mov #0x1C,r2
! Opcodes 22E0 - 22E7
M2E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1287
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1287:
jmp @r4
mov #0x1C,r2
! Opcodes 22E8 - 22EF
M2E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1288
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1288:
jmp @r4
mov #0x1C,r2
! Opcodes 22F0 - 22F7
M2F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1289
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1289:
jmp @r4
mov #0x1C,r2
! Opcode 22F8
M2F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1290
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1290:
jmp @r4
mov #0x1C,r2
! Opcode 22F9
M2F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1291
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1291:
jmp @r4
mov #0x1C,r2
! Opcode 22FA
M2FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1292
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1292:
jmp @r4
mov #0x1C,r2
! Opcode 22FB
M2FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1293
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1293:
jmp @r4
mov #0x1C,r2
! Opcode 22FC
M2FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1294
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1294:
jmp @r4
mov #0x1C,r2
! Opcodes 2300 - 2307
M300:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(36,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1295
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1295:
jmp @r4
mov #0x1C,r2
! Opcodes 2308 - 230F
M308:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(36,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1296
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1296:
jmp @r4
mov #0x1C,r2
! Opcodes 2310 - 2317
M310:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1297
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1297:
jmp @r4
mov #0x1C,r2
! Opcodes 2318 - 231F
M318:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1298
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1298:
jmp @r4
mov #0x1C,r2
! Opcodes 2320 - 2327
M320:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1299
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1299:
jmp @r4
mov #0x1C,r2
! Opcodes 2328 - 232F
M328:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1300
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1300:
jmp @r4
mov #0x1C,r2
! Opcodes 2330 - 2337
M330:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1301
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1301:
jmp @r4
mov #0x1C,r2
! Opcode 2338
M338:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1302
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1302:
jmp @r4
mov #0x1C,r2
! Opcode 2339
M339:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1303
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1303:
jmp @r4
mov #0x1C,r2
! Opcode 233A
M33A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1304
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1304:
jmp @r4
mov #0x1C,r2
! Opcode 233B
M33B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1305
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1305:
jmp @r4
mov #0x1C,r2
! Opcode 233C
M33C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(36,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1306
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1306:
jmp @r4
mov #0x1C,r2
! Opcodes 2340 - 2347
M340:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1307
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1307:
jmp @r4
mov #0x1C,r2
! Opcodes 2348 - 234F
M348:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1308
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1308:
jmp @r4
mov #0x1C,r2
! Opcodes 2350 - 2357
M350:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1309
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1309:
jmp @r4
mov #0x1C,r2
! Opcodes 2358 - 235F
M358:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1310
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1310:
jmp @r4
mov #0x1C,r2
! Opcodes 2360 - 2367
M360:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1311
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1311:
jmp @r4
mov #0x1C,r2
! Opcodes 2368 - 236F
M368:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1312
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1312:
jmp @r4
mov #0x1C,r2
! Opcodes 2370 - 2377
M370:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1313
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1313:
jmp @r4
mov #0x1C,r2
! Opcode 2378
M378:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1314
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1314:
jmp @r4
mov #0x1C,r2
! Opcode 2379
M379:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl1315
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1315:
jmp @r4
mov #0x1C,r2
! Opcode 237A
M37A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1316
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1316:
jmp @r4
mov #0x1C,r2
! Opcode 237B
M37B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1317
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1317:
jmp @r4
mov #0x1C,r2
! Opcode 237C
M37C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1318
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1318:
jmp @r4
mov #0x1C,r2
! Opcodes 2380 - 2387
M380:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1319
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1319:
jmp @r4
mov #0x1C,r2
! Opcodes 2388 - 238F
M388:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1320
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1320:
jmp @r4
mov #0x1C,r2
! Opcodes 2390 - 2397
M390:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1321
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1321:
jmp @r4
mov #0x1C,r2
! Opcodes 2398 - 239F
M398:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1322
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1322:
jmp @r4
mov #0x1C,r2
! Opcodes 23A0 - 23A7
M3A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1323
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1323:
jmp @r4
mov #0x1C,r2
! Opcodes 23A8 - 23AF
M3A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1324
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1324:
jmp @r4
mov #0x1C,r2
! Opcodes 23B0 - 23B7
M3B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl1325
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1325:
jmp @r4
mov #0x1C,r2
! Opcode 23B8
M3B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1326
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1326:
jmp @r4
mov #0x1C,r2
! Opcode 23B9
M3B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-34,r7
shll2 r0
cmp/pl r7
bt/s fdl1327
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1327:
jmp @r4
mov #0x1C,r2
! Opcode 23BA
M3BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1328
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1328:
jmp @r4
mov #0x1C,r2
! Opcode 23BB
M3BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl1329
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1329:
jmp @r4
mov #0x1C,r2
! Opcode 23BC
M3BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1330
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1330:
jmp @r4
mov #0x1C,r2
! Opcodes 23C0 - 23C7
M3C0:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1331
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1331:
jmp @r4
mov #0x1C,r2
! Opcodes 23C8 - 23CF
M3C8:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1332
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1332:
jmp @r4
mov #0x1C,r2
! Opcodes 23D0 - 23D7
M3D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1333
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1333:
jmp @r4
mov #0x1C,r2
! Opcodes 23D8 - 23DF
M3D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1334
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1334:
jmp @r4
mov #0x1C,r2
! Opcodes 23E0 - 23E7
M3E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1335
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1335:
jmp @r4
mov #0x1C,r2
! Opcodes 23E8 - 23EF
M3E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl1336
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1336:
jmp @r4
mov #0x1C,r2
! Opcodes 23F0 - 23F7
M3F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-34,r7
shll2 r0
cmp/pl r7
bt/s fdl1337
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1337:
jmp @r4
mov #0x1C,r2
! Opcode 23F8
M3F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl1338
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1338:
jmp @r4
mov #0x1C,r2
! Opcode 23F9
M3F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-36,r7
shll2 r0
cmp/pl r7
bt/s fdl1339
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1339:
jmp @r4
mov #0x1C,r2
! Opcode 23FA
M3FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl1340
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1340:
jmp @r4
mov #0x1C,r2
! Opcode 23FB
M3FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-34,r7
shll2 r0
cmp/pl r7
bt/s fdl1341
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1341:
jmp @r4
mov #0x1C,r2
! Opcode 23FC
M3FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1342
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1342:
jmp @r4
mov #0x1C,r2
! Opcodes 2400 - 2407
M400:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1343
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1343:
jmp @r4
mov #0x1C,r2
! Opcodes 2408 - 240F
M408:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1344
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1344:
jmp @r4
mov #0x1C,r2
! Opcodes 2410 - 2417
M410:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1345
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1345:
jmp @r4
mov #0x1C,r2
! Opcodes 2418 - 241F
M418:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1346
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1346:
jmp @r4
mov #0x1C,r2
! Opcodes 2420 - 2427
M420:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1347
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1347:
jmp @r4
mov #0x1C,r2
! Opcodes 2428 - 242F
M428:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1348
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1348:
jmp @r4
mov #0x1C,r2
! Opcodes 2430 - 2437
M430:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1349
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1349:
jmp @r4
mov #0x1C,r2
! Opcode 2438
M438:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1350
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1350:
jmp @r4
mov #0x1C,r2
! Opcode 2439
M439:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1351
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1351:
jmp @r4
mov #0x1C,r2
! Opcode 243A
M43A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1352
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1352:
jmp @r4
mov #0x1C,r2
! Opcode 243B
M43B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1353
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1353:
jmp @r4
mov #0x1C,r2
! Opcode 243C
M43C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1354
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1354:
jmp @r4
mov #0x1C,r2
! Opcodes 2440 - 2447
M440:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r13),r3
mov.l r3,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1355
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1355:
jmp @r4
mov #0x1C,r2
! Opcodes 2448 - 244F
M448:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.l @r2,r3
mov.l r3,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1356
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1356:
jmp @r4
mov #0x1C,r2
! Opcodes 2450 - 2457
M450:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1357
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1357:
jmp @r4
mov #0x1C,r2
! Opcodes 2458 - 245F
M458:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1358
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1358:
jmp @r4
mov #0x1C,r2
! Opcodes 2460 - 2467
M460:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1359
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1359:
jmp @r4
mov #0x1C,r2
! Opcodes 2468 - 246F
M468:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1360
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1360:
jmp @r4
mov #0x1C,r2
! Opcodes 2470 - 2477
M470:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1361
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1361:
jmp @r4
mov #0x1C,r2
! Opcode 2478
M478:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1362
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1362:
jmp @r4
mov #0x1C,r2
! Opcode 2479
M479:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1363
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1363:
jmp @r4
mov #0x1C,r2
! Opcode 247A
M47A:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1364
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1364:
jmp @r4
mov #0x1C,r2
! Opcode 247B
M47B:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1365
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1365:
jmp @r4
mov #0x1C,r2
! Opcode 247C
M47C:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1366
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1366:
jmp @r4
mov #0x1C,r2
! Opcodes 2480 - 2487
M480:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1367
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1367:
jmp @r4
mov #0x1C,r2
! Opcodes 2488 - 248F
M488:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1368
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1368:
jmp @r4
mov #0x1C,r2
! Opcodes 2490 - 2497
M490:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1369
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1369:
jmp @r4
mov #0x1C,r2
! Opcodes 2498 - 249F
M498:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1370
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1370:
jmp @r4
mov #0x1C,r2
! Opcodes 24A0 - 24A7
M4A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1371
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1371:
jmp @r4
mov #0x1C,r2
! Opcodes 24A8 - 24AF
M4A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1372
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1372:
jmp @r4
mov #0x1C,r2
! Opcodes 24B0 - 24B7
M4B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1373
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1373:
jmp @r4
mov #0x1C,r2
! Opcode 24B8
M4B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1374
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1374:
jmp @r4
mov #0x1C,r2
! Opcode 24B9
M4B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1375
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1375:
jmp @r4
mov #0x1C,r2
! Opcode 24BA
M4BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1376
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1376:
jmp @r4
mov #0x1C,r2
! Opcode 24BB
M4BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1377
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1377:
jmp @r4
mov #0x1C,r2
! Opcode 24BC
M4BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1378
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1378:
jmp @r4
mov #0x1C,r2
! Opcodes 24C0 - 24C7
M4C0:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1379
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1379:
jmp @r4
mov #0x1C,r2
! Opcodes 24C8 - 24CF
M4C8:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1380
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1380:
jmp @r4
mov #0x1C,r2
! Opcodes 24D0 - 24D7
M4D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1381
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1381:
jmp @r4
mov #0x1C,r2
! Opcodes 24D8 - 24DF
M4D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1382
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1382:
jmp @r4
mov #0x1C,r2
! Opcodes 24E0 - 24E7
M4E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1383
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1383:
jmp @r4
mov #0x1C,r2
! Opcodes 24E8 - 24EF
M4E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1384
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1384:
jmp @r4
mov #0x1C,r2
! Opcodes 24F0 - 24F7
M4F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1385
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1385:
jmp @r4
mov #0x1C,r2
! Opcode 24F8
M4F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1386
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1386:
jmp @r4
mov #0x1C,r2
! Opcode 24F9
M4F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1387
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1387:
jmp @r4
mov #0x1C,r2
! Opcode 24FA
M4FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1388
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1388:
jmp @r4
mov #0x1C,r2
! Opcode 24FB
M4FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1389
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1389:
jmp @r4
mov #0x1C,r2
! Opcode 24FC
M4FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1390
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1390:
jmp @r4
mov #0x1C,r2
! Opcodes 2500 - 2507
M500:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(40,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1391
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1391:
jmp @r4
mov #0x1C,r2
! Opcodes 2508 - 250F
M508:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(40,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1392
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1392:
jmp @r4
mov #0x1C,r2
! Opcodes 2510 - 2517
M510:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1393
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1393:
jmp @r4
mov #0x1C,r2
! Opcodes 2518 - 251F
M518:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1394
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1394:
jmp @r4
mov #0x1C,r2
! Opcodes 2520 - 2527
M520:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1395
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1395:
jmp @r4
mov #0x1C,r2
! Opcodes 2528 - 252F
M528:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1396
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1396:
jmp @r4
mov #0x1C,r2
! Opcodes 2530 - 2537
M530:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1397
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1397:
jmp @r4
mov #0x1C,r2
! Opcode 2538
M538:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1398
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1398:
jmp @r4
mov #0x1C,r2
! Opcode 2539
M539:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1399
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1399:
jmp @r4
mov #0x1C,r2
! Opcode 253A
M53A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1400
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1400:
jmp @r4
mov #0x1C,r2
! Opcode 253B
M53B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1401
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1401:
jmp @r4
mov #0x1C,r2
! Opcode 253C
M53C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(40,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1402
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1402:
jmp @r4
mov #0x1C,r2
! Opcodes 2540 - 2547
M540:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1403
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1403:
jmp @r4
mov #0x1C,r2
! Opcodes 2548 - 254F
M548:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1404
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1404:
jmp @r4
mov #0x1C,r2
! Opcodes 2550 - 2557
M550:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1405
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1405:
jmp @r4
mov #0x1C,r2
! Opcodes 2558 - 255F
M558:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1406
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1406:
jmp @r4
mov #0x1C,r2
! Opcodes 2560 - 2567
M560:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1407
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1407:
jmp @r4
mov #0x1C,r2
! Opcodes 2568 - 256F
M568:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1408
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1408:
jmp @r4
mov #0x1C,r2
! Opcodes 2570 - 2577
M570:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1409
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1409:
jmp @r4
mov #0x1C,r2
! Opcode 2578
M578:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1410
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1410:
jmp @r4
mov #0x1C,r2
! Opcode 2579
M579:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl1411
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1411:
jmp @r4
mov #0x1C,r2
! Opcode 257A
M57A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1412
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1412:
jmp @r4
mov #0x1C,r2
! Opcode 257B
M57B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1413
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1413:
jmp @r4
mov #0x1C,r2
! Opcode 257C
M57C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1414
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1414:
jmp @r4
mov #0x1C,r2
! Opcodes 2580 - 2587
M580:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1415
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1415:
jmp @r4
mov #0x1C,r2
! Opcodes 2588 - 258F
M588:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1416
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1416:
jmp @r4
mov #0x1C,r2
! Opcodes 2590 - 2597
M590:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1417
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1417:
jmp @r4
mov #0x1C,r2
! Opcodes 2598 - 259F
M598:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1418
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1418:
jmp @r4
mov #0x1C,r2
! Opcodes 25A0 - 25A7
M5A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1419
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1419:
jmp @r4
mov #0x1C,r2
! Opcodes 25A8 - 25AF
M5A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1420
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1420:
jmp @r4
mov #0x1C,r2
! Opcodes 25B0 - 25B7
M5B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl1421
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1421:
jmp @r4
mov #0x1C,r2
! Opcode 25B8
M5B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1422
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1422:
jmp @r4
mov #0x1C,r2
! Opcode 25B9
M5B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-34,r7
shll2 r0
cmp/pl r7
bt/s fdl1423
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1423:
jmp @r4
mov #0x1C,r2
! Opcode 25BA
M5BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1424
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1424:
jmp @r4
mov #0x1C,r2
! Opcode 25BB
M5BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl1425
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1425:
jmp @r4
mov #0x1C,r2
! Opcode 25BC
M5BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1426
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1426:
jmp @r4
mov #0x1C,r2
! Opcodes 2600 - 2607
M600:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1427
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1427:
jmp @r4
mov #0x1C,r2
! Opcodes 2608 - 260F
M608:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1428
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1428:
jmp @r4
mov #0x1C,r2
! Opcodes 2610 - 2617
M610:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1429
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1429:
jmp @r4
mov #0x1C,r2
! Opcodes 2618 - 261F
M618:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1430
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1430:
jmp @r4
mov #0x1C,r2
! Opcodes 2620 - 2627
M620:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1431
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1431:
jmp @r4
mov #0x1C,r2
! Opcodes 2628 - 262F
M628:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1432
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1432:
jmp @r4
mov #0x1C,r2
! Opcodes 2630 - 2637
M630:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1433
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1433:
jmp @r4
mov #0x1C,r2
! Opcode 2638
M638:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1434
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1434:
jmp @r4
mov #0x1C,r2
! Opcode 2639
M639:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1435
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1435:
jmp @r4
mov #0x1C,r2
! Opcode 263A
M63A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1436
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1436:
jmp @r4
mov #0x1C,r2
! Opcode 263B
M63B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1437
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1437:
jmp @r4
mov #0x1C,r2
! Opcode 263C
M63C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1438
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1438:
jmp @r4
mov #0x1C,r2
! Opcodes 2640 - 2647
M640:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r13),r3
mov.l r3,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1439
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1439:
jmp @r4
mov #0x1C,r2
! Opcodes 2648 - 264F
M648:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.l @r2,r3
mov.l r3,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1440
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1440:
jmp @r4
mov #0x1C,r2
! Opcodes 2650 - 2657
M650:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1441
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1441:
jmp @r4
mov #0x1C,r2
! Opcodes 2658 - 265F
M658:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1442
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1442:
jmp @r4
mov #0x1C,r2
! Opcodes 2660 - 2667
M660:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1443
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1443:
jmp @r4
mov #0x1C,r2
! Opcodes 2668 - 266F
M668:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1444
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1444:
jmp @r4
mov #0x1C,r2
! Opcodes 2670 - 2677
M670:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1445
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1445:
jmp @r4
mov #0x1C,r2
! Opcode 2678
M678:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1446
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1446:
jmp @r4
mov #0x1C,r2
! Opcode 2679
M679:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1447
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1447:
jmp @r4
mov #0x1C,r2
! Opcode 267A
M67A:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1448
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1448:
jmp @r4
mov #0x1C,r2
! Opcode 267B
M67B:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1449
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1449:
jmp @r4
mov #0x1C,r2
! Opcode 267C
M67C:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1450
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1450:
jmp @r4
mov #0x1C,r2
! Opcodes 2680 - 2687
M680:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1451
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1451:
jmp @r4
mov #0x1C,r2
! Opcodes 2688 - 268F
M688:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1452
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1452:
jmp @r4
mov #0x1C,r2
! Opcodes 2690 - 2697
M690:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1453
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1453:
jmp @r4
mov #0x1C,r2
! Opcodes 2698 - 269F
M698:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1454
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1454:
jmp @r4
mov #0x1C,r2
! Opcodes 26A0 - 26A7
M6A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1455
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1455:
jmp @r4
mov #0x1C,r2
! Opcodes 26A8 - 26AF
M6A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1456
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1456:
jmp @r4
mov #0x1C,r2
! Opcodes 26B0 - 26B7
M6B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1457
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1457:
jmp @r4
mov #0x1C,r2
! Opcode 26B8
M6B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1458
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1458:
jmp @r4
mov #0x1C,r2
! Opcode 26B9
M6B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1459
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1459:
jmp @r4
mov #0x1C,r2
! Opcode 26BA
M6BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1460
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1460:
jmp @r4
mov #0x1C,r2
! Opcode 26BB
M6BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1461
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1461:
jmp @r4
mov #0x1C,r2
! Opcode 26BC
M6BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1462
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1462:
jmp @r4
mov #0x1C,r2
! Opcodes 26C0 - 26C7
M6C0:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1463
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1463:
jmp @r4
mov #0x1C,r2
! Opcodes 26C8 - 26CF
M6C8:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1464
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1464:
jmp @r4
mov #0x1C,r2
! Opcodes 26D0 - 26D7
M6D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1465
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1465:
jmp @r4
mov #0x1C,r2
! Opcodes 26D8 - 26DF
M6D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1466
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1466:
jmp @r4
mov #0x1C,r2
! Opcodes 26E0 - 26E7
M6E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1467
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1467:
jmp @r4
mov #0x1C,r2
! Opcodes 26E8 - 26EF
M6E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1468
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1468:
jmp @r4
mov #0x1C,r2
! Opcodes 26F0 - 26F7
M6F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1469
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1469:
jmp @r4
mov #0x1C,r2
! Opcode 26F8
M6F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1470
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1470:
jmp @r4
mov #0x1C,r2
! Opcode 26F9
M6F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1471
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1471:
jmp @r4
mov #0x1C,r2
! Opcode 26FA
M6FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1472
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1472:
jmp @r4
mov #0x1C,r2
! Opcode 26FB
M6FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1473
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1473:
jmp @r4
mov #0x1C,r2
! Opcode 26FC
M6FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1474
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1474:
jmp @r4
mov #0x1C,r2
! Opcodes 2700 - 2707
M700:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(44,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1475
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1475:
jmp @r4
mov #0x1C,r2
! Opcodes 2708 - 270F
M708:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(44,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1476
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1476:
jmp @r4
mov #0x1C,r2
! Opcodes 2710 - 2717
M710:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1477
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1477:
jmp @r4
mov #0x1C,r2
! Opcodes 2718 - 271F
M718:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1478
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1478:
jmp @r4
mov #0x1C,r2
! Opcodes 2720 - 2727
M720:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1479
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1479:
jmp @r4
mov #0x1C,r2
! Opcodes 2728 - 272F
M728:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1480
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1480:
jmp @r4
mov #0x1C,r2
! Opcodes 2730 - 2737
M730:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1481
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1481:
jmp @r4
mov #0x1C,r2
! Opcode 2738
M738:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1482
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1482:
jmp @r4
mov #0x1C,r2
! Opcode 2739
M739:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1483
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1483:
jmp @r4
mov #0x1C,r2
! Opcode 273A
M73A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1484
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1484:
jmp @r4
mov #0x1C,r2
! Opcode 273B
M73B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1485
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1485:
jmp @r4
mov #0x1C,r2
! Opcode 273C
M73C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(44,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1486
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1486:
jmp @r4
mov #0x1C,r2
! Opcodes 2740 - 2747
M740:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1487
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1487:
jmp @r4
mov #0x1C,r2
! Opcodes 2748 - 274F
M748:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1488
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1488:
jmp @r4
mov #0x1C,r2
! Opcodes 2750 - 2757
M750:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1489
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1489:
jmp @r4
mov #0x1C,r2
! Opcodes 2758 - 275F
M758:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1490
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1490:
jmp @r4
mov #0x1C,r2
! Opcodes 2760 - 2767
M760:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1491
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1491:
jmp @r4
mov #0x1C,r2
! Opcodes 2768 - 276F
M768:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1492
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1492:
jmp @r4
mov #0x1C,r2
! Opcodes 2770 - 2777
M770:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1493
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1493:
jmp @r4
mov #0x1C,r2
! Opcode 2778
M778:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1494
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1494:
jmp @r4
mov #0x1C,r2
! Opcode 2779
M779:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl1495
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1495:
jmp @r4
mov #0x1C,r2
! Opcode 277A
M77A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1496
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1496:
jmp @r4
mov #0x1C,r2
! Opcode 277B
M77B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1497
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1497:
jmp @r4
mov #0x1C,r2
! Opcode 277C
M77C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1498
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1498:
jmp @r4
mov #0x1C,r2
! Opcodes 2780 - 2787
M780:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1499
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1499:
jmp @r4
mov #0x1C,r2
! Opcodes 2788 - 278F
M788:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1500
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1500:
jmp @r4
mov #0x1C,r2
! Opcodes 2790 - 2797
M790:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1501
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1501:
jmp @r4
mov #0x1C,r2
! Opcodes 2798 - 279F
M798:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1502
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1502:
jmp @r4
mov #0x1C,r2
! Opcodes 27A0 - 27A7
M7A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1503
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1503:
jmp @r4
mov #0x1C,r2
! Opcodes 27A8 - 27AF
M7A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1504
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1504:
jmp @r4
mov #0x1C,r2
! Opcodes 27B0 - 27B7
M7B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl1505
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1505:
jmp @r4
mov #0x1C,r2
! Opcode 27B8
M7B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1506
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1506:
jmp @r4
mov #0x1C,r2
! Opcode 27B9
M7B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-34,r7
shll2 r0
cmp/pl r7
bt/s fdl1507
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1507:
jmp @r4
mov #0x1C,r2
! Opcode 27BA
M7BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1508
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1508:
jmp @r4
mov #0x1C,r2
! Opcode 27BB
M7BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl1509
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1509:
jmp @r4
mov #0x1C,r2
! Opcode 27BC
M7BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1510
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1510:
jmp @r4
mov #0x1C,r2
! Opcodes 2800 - 2807
M800:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1511
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1511:
jmp @r4
mov #0x1C,r2
! Opcodes 2808 - 280F
M808:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1512
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1512:
jmp @r4
mov #0x1C,r2
! Opcodes 2810 - 2817
M810:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1513
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1513:
jmp @r4
mov #0x1C,r2
! Opcodes 2818 - 281F
M818:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1514
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1514:
jmp @r4
mov #0x1C,r2
! Opcodes 2820 - 2827
M820:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1515
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1515:
jmp @r4
mov #0x1C,r2
! Opcodes 2828 - 282F
M828:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1516
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1516:
jmp @r4
mov #0x1C,r2
! Opcodes 2830 - 2837
M830:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1517
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1517:
jmp @r4
mov #0x1C,r2
! Opcode 2838
M838:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1518
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1518:
jmp @r4
mov #0x1C,r2
! Opcode 2839
M839:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1519
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1519:
jmp @r4
mov #0x1C,r2
! Opcode 283A
M83A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1520
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1520:
jmp @r4
mov #0x1C,r2
! Opcode 283B
M83B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1521
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1521:
jmp @r4
mov #0x1C,r2
! Opcode 283C
M83C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1522
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1522:
jmp @r4
mov #0x1C,r2
! Opcodes 2840 - 2847
M840:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r13),r3
mov.l r3,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1523
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1523:
jmp @r4
mov #0x1C,r2
! Opcodes 2848 - 284F
M848:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.l @r2,r3
mov.l r3,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1524
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1524:
jmp @r4
mov #0x1C,r2
! Opcodes 2850 - 2857
M850:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1525
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1525:
jmp @r4
mov #0x1C,r2
! Opcodes 2858 - 285F
M858:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1526
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1526:
jmp @r4
mov #0x1C,r2
! Opcodes 2860 - 2867
M860:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1527
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1527:
jmp @r4
mov #0x1C,r2
! Opcodes 2868 - 286F
M868:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1528
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1528:
jmp @r4
mov #0x1C,r2
! Opcodes 2870 - 2877
M870:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1529
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1529:
jmp @r4
mov #0x1C,r2
! Opcode 2878
M878:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1530
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1530:
jmp @r4
mov #0x1C,r2
! Opcode 2879
M879:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1531
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1531:
jmp @r4
mov #0x1C,r2
! Opcode 287A
M87A:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1532
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1532:
jmp @r4
mov #0x1C,r2
! Opcode 287B
M87B:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1533
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1533:
jmp @r4
mov #0x1C,r2
! Opcode 287C
M87C:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1534
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1534:
jmp @r4
mov #0x1C,r2
! Opcodes 2880 - 2887
M880:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1535
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1535:
jmp @r4
mov #0x1C,r2
! Opcodes 2888 - 288F
M888:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1536
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1536:
jmp @r4
mov #0x1C,r2
! Opcodes 2890 - 2897
M890:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1537
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1537:
jmp @r4
mov #0x1C,r2
! Opcodes 2898 - 289F
M898:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1538
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1538:
jmp @r4
mov #0x1C,r2
! Opcodes 28A0 - 28A7
M8A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1539
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1539:
jmp @r4
mov #0x1C,r2
! Opcodes 28A8 - 28AF
M8A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1540
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1540:
jmp @r4
mov #0x1C,r2
! Opcodes 28B0 - 28B7
M8B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1541
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1541:
jmp @r4
mov #0x1C,r2
! Opcode 28B8
M8B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1542
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1542:
jmp @r4
mov #0x1C,r2
! Opcode 28B9
M8B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1543
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1543:
jmp @r4
mov #0x1C,r2
! Opcode 28BA
M8BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1544
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1544:
jmp @r4
mov #0x1C,r2
! Opcode 28BB
M8BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1545
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1545:
jmp @r4
mov #0x1C,r2
! Opcode 28BC
M8BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1546
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1546:
jmp @r4
mov #0x1C,r2
! Opcodes 28C0 - 28C7
M8C0:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1547
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1547:
jmp @r4
mov #0x1C,r2
! Opcodes 28C8 - 28CF
M8C8:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1548
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1548:
jmp @r4
mov #0x1C,r2
! Opcodes 28D0 - 28D7
M8D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1549
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1549:
jmp @r4
mov #0x1C,r2
! Opcodes 28D8 - 28DF
M8D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1550
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1550:
jmp @r4
mov #0x1C,r2
! Opcodes 28E0 - 28E7
M8E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1551
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1551:
jmp @r4
mov #0x1C,r2
! Opcodes 28E8 - 28EF
M8E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1552
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1552:
jmp @r4
mov #0x1C,r2
! Opcodes 28F0 - 28F7
M8F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1553
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1553:
jmp @r4
mov #0x1C,r2
! Opcode 28F8
M8F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1554
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1554:
jmp @r4
mov #0x1C,r2
! Opcode 28F9
M8F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1555
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1555:
jmp @r4
mov #0x1C,r2
! Opcode 28FA
M8FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1556
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1556:
jmp @r4
mov #0x1C,r2
! Opcode 28FB
M8FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1557
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1557:
jmp @r4
mov #0x1C,r2
! Opcode 28FC
M8FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1558
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1558:
jmp @r4
mov #0x1C,r2
! Opcodes 2900 - 2907
M900:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(48,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1559
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1559:
jmp @r4
mov #0x1C,r2
! Opcodes 2908 - 290F
M908:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(48,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1560
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1560:
jmp @r4
mov #0x1C,r2
! Opcodes 2910 - 2917
M910:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1561
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1561:
jmp @r4
mov #0x1C,r2
! Opcodes 2918 - 291F
M918:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1562
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1562:
jmp @r4
mov #0x1C,r2
! Opcodes 2920 - 2927
M920:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1563
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1563:
jmp @r4
mov #0x1C,r2
! Opcodes 2928 - 292F
M928:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1564
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1564:
jmp @r4
mov #0x1C,r2
! Opcodes 2930 - 2937
M930:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1565
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1565:
jmp @r4
mov #0x1C,r2
! Opcode 2938
M938:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1566
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1566:
jmp @r4
mov #0x1C,r2
! Opcode 2939
M939:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1567
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1567:
jmp @r4
mov #0x1C,r2
! Opcode 293A
M93A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1568
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1568:
jmp @r4
mov #0x1C,r2
! Opcode 293B
M93B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1569
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1569:
jmp @r4
mov #0x1C,r2
! Opcode 293C
M93C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(48,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1570
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1570:
jmp @r4
mov #0x1C,r2
! Opcodes 2940 - 2947
M940:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1571
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1571:
jmp @r4
mov #0x1C,r2
! Opcodes 2948 - 294F
M948:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1572
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1572:
jmp @r4
mov #0x1C,r2
! Opcodes 2950 - 2957
M950:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1573
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1573:
jmp @r4
mov #0x1C,r2
! Opcodes 2958 - 295F
M958:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1574
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1574:
jmp @r4
mov #0x1C,r2
! Opcodes 2960 - 2967
M960:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1575
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1575:
jmp @r4
mov #0x1C,r2
! Opcodes 2968 - 296F
M968:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1576
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1576:
jmp @r4
mov #0x1C,r2
! Opcodes 2970 - 2977
M970:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1577
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1577:
jmp @r4
mov #0x1C,r2
! Opcode 2978
M978:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1578
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1578:
jmp @r4
mov #0x1C,r2
! Opcode 2979
M979:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl1579
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1579:
jmp @r4
mov #0x1C,r2
! Opcode 297A
M97A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1580
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1580:
jmp @r4
mov #0x1C,r2
! Opcode 297B
M97B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1581
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1581:
jmp @r4
mov #0x1C,r2
! Opcode 297C
M97C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1582
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1582:
jmp @r4
mov #0x1C,r2
! Opcodes 2980 - 2987
M980:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1583
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1583:
jmp @r4
mov #0x1C,r2
! Opcodes 2988 - 298F
M988:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1584
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1584:
jmp @r4
mov #0x1C,r2
! Opcodes 2990 - 2997
M990:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1585
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1585:
jmp @r4
mov #0x1C,r2
! Opcodes 2998 - 299F
M998:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1586
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1586:
jmp @r4
mov #0x1C,r2
! Opcodes 29A0 - 29A7
M9A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1587
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1587:
jmp @r4
mov #0x1C,r2
! Opcodes 29A8 - 29AF
M9A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1588
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1588:
jmp @r4
mov #0x1C,r2
! Opcodes 29B0 - 29B7
M9B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl1589
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1589:
jmp @r4
mov #0x1C,r2
! Opcode 29B8
M9B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1590
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1590:
jmp @r4
mov #0x1C,r2
! Opcode 29B9
M9B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-34,r7
shll2 r0
cmp/pl r7
bt/s fdl1591
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1591:
jmp @r4
mov #0x1C,r2
! Opcode 29BA
M9BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1592
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1592:
jmp @r4
mov #0x1C,r2
! Opcode 29BB
M9BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl1593
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1593:
jmp @r4
mov #0x1C,r2
! Opcode 29BC
M9BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1594
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1594:
jmp @r4
mov #0x1C,r2
! Opcodes 2A00 - 2A07
MA00:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1595
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1595:
jmp @r4
mov #0x1C,r2
! Opcodes 2A08 - 2A0F
MA08:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1596
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1596:
jmp @r4
mov #0x1C,r2
! Opcodes 2A10 - 2A17
MA10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1597
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1597:
jmp @r4
mov #0x1C,r2
! Opcodes 2A18 - 2A1F
MA18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1598
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1598:
jmp @r4
mov #0x1C,r2
! Opcodes 2A20 - 2A27
MA20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1599
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1599:
jmp @r4
mov #0x1C,r2
! Opcodes 2A28 - 2A2F
MA28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1600
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1600:
jmp @r4
mov #0x1C,r2
! Opcodes 2A30 - 2A37
MA30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1601
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1601:
jmp @r4
mov #0x1C,r2
! Opcode 2A38
MA38:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1602
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1602:
jmp @r4
mov #0x1C,r2
! Opcode 2A39
MA39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1603
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1603:
jmp @r4
mov #0x1C,r2
! Opcode 2A3A
MA3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1604
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1604:
jmp @r4
mov #0x1C,r2
! Opcode 2A3B
MA3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1605
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1605:
jmp @r4
mov #0x1C,r2
! Opcode 2A3C
MA3C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1606
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1606:
jmp @r4
mov #0x1C,r2
! Opcodes 2A40 - 2A47
MA40:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r13),r3
mov.l r3,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1607
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1607:
jmp @r4
mov #0x1C,r2
! Opcodes 2A48 - 2A4F
MA48:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.l @r2,r3
mov.l r3,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1608
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1608:
jmp @r4
mov #0x1C,r2
! Opcodes 2A50 - 2A57
MA50:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1609
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1609:
jmp @r4
mov #0x1C,r2
! Opcodes 2A58 - 2A5F
MA58:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1610
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1610:
jmp @r4
mov #0x1C,r2
! Opcodes 2A60 - 2A67
MA60:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1611
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1611:
jmp @r4
mov #0x1C,r2
! Opcodes 2A68 - 2A6F
MA68:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1612
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1612:
jmp @r4
mov #0x1C,r2
! Opcodes 2A70 - 2A77
MA70:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1613
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1613:
jmp @r4
mov #0x1C,r2
! Opcode 2A78
MA78:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1614
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1614:
jmp @r4
mov #0x1C,r2
! Opcode 2A79
MA79:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1615
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1615:
jmp @r4
mov #0x1C,r2
! Opcode 2A7A
MA7A:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1616
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1616:
jmp @r4
mov #0x1C,r2
! Opcode 2A7B
MA7B:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1617
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1617:
jmp @r4
mov #0x1C,r2
! Opcode 2A7C
MA7C:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1618
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1618:
jmp @r4
mov #0x1C,r2
! Opcodes 2A80 - 2A87
MA80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1619
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1619:
jmp @r4
mov #0x1C,r2
! Opcodes 2A88 - 2A8F
MA88:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1620
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1620:
jmp @r4
mov #0x1C,r2
! Opcodes 2A90 - 2A97
MA90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1621
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1621:
jmp @r4
mov #0x1C,r2
! Opcodes 2A98 - 2A9F
MA98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1622
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1622:
jmp @r4
mov #0x1C,r2
! Opcodes 2AA0 - 2AA7
MAA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1623
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1623:
jmp @r4
mov #0x1C,r2
! Opcodes 2AA8 - 2AAF
MAA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1624
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1624:
jmp @r4
mov #0x1C,r2
! Opcodes 2AB0 - 2AB7
MAB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1625
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1625:
jmp @r4
mov #0x1C,r2
! Opcode 2AB8
MAB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1626
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1626:
jmp @r4
mov #0x1C,r2
! Opcode 2AB9
MAB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1627
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1627:
jmp @r4
mov #0x1C,r2
! Opcode 2ABA
MABA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1628
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1628:
jmp @r4
mov #0x1C,r2
! Opcode 2ABB
MABB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1629
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1629:
jmp @r4
mov #0x1C,r2
! Opcode 2ABC
MABC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1630
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1630:
jmp @r4
mov #0x1C,r2
! Opcodes 2AC0 - 2AC7
MAC0:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1631
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1631:
jmp @r4
mov #0x1C,r2
! Opcodes 2AC8 - 2ACF
MAC8:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1632
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1632:
jmp @r4
mov #0x1C,r2
! Opcodes 2AD0 - 2AD7
MAD0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1633
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1633:
jmp @r4
mov #0x1C,r2
! Opcodes 2AD8 - 2ADF
MAD8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1634
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1634:
jmp @r4
mov #0x1C,r2
! Opcodes 2AE0 - 2AE7
MAE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1635
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1635:
jmp @r4
mov #0x1C,r2
! Opcodes 2AE8 - 2AEF
MAE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1636
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1636:
jmp @r4
mov #0x1C,r2
! Opcodes 2AF0 - 2AF7
MAF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1637
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1637:
jmp @r4
mov #0x1C,r2
! Opcode 2AF8
MAF8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1638
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1638:
jmp @r4
mov #0x1C,r2
! Opcode 2AF9
MAF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1639
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1639:
jmp @r4
mov #0x1C,r2
! Opcode 2AFA
MAFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1640
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1640:
jmp @r4
mov #0x1C,r2
! Opcode 2AFB
MAFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1641
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1641:
jmp @r4
mov #0x1C,r2
! Opcode 2AFC
MAFC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1642
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1642:
jmp @r4
mov #0x1C,r2
! Opcodes 2B00 - 2B07
MB00:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(52,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1643
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1643:
jmp @r4
mov #0x1C,r2
! Opcodes 2B08 - 2B0F
MB08:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(52,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1644
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1644:
jmp @r4
mov #0x1C,r2
! Opcodes 2B10 - 2B17
MB10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1645
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1645:
jmp @r4
mov #0x1C,r2
! Opcodes 2B18 - 2B1F
MB18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1646
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1646:
jmp @r4
mov #0x1C,r2
! Opcodes 2B20 - 2B27
MB20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1647
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1647:
jmp @r4
mov #0x1C,r2
! Opcodes 2B28 - 2B2F
MB28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1648
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1648:
jmp @r4
mov #0x1C,r2
! Opcodes 2B30 - 2B37
MB30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1649
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1649:
jmp @r4
mov #0x1C,r2
! Opcode 2B38
MB38:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1650
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1650:
jmp @r4
mov #0x1C,r2
! Opcode 2B39
MB39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1651
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1651:
jmp @r4
mov #0x1C,r2
! Opcode 2B3A
MB3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1652
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1652:
jmp @r4
mov #0x1C,r2
! Opcode 2B3B
MB3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1653
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1653:
jmp @r4
mov #0x1C,r2
! Opcode 2B3C
MB3C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(52,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1654
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1654:
jmp @r4
mov #0x1C,r2
! Opcodes 2B40 - 2B47
MB40:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1655
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1655:
jmp @r4
mov #0x1C,r2
! Opcodes 2B48 - 2B4F
MB48:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1656
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1656:
jmp @r4
mov #0x1C,r2
! Opcodes 2B50 - 2B57
MB50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1657
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1657:
jmp @r4
mov #0x1C,r2
! Opcodes 2B58 - 2B5F
MB58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1658
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1658:
jmp @r4
mov #0x1C,r2
! Opcodes 2B60 - 2B67
MB60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1659
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1659:
jmp @r4
mov #0x1C,r2
! Opcodes 2B68 - 2B6F
MB68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1660
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1660:
jmp @r4
mov #0x1C,r2
! Opcodes 2B70 - 2B77
MB70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1661
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1661:
jmp @r4
mov #0x1C,r2
! Opcode 2B78
MB78:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1662
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1662:
jmp @r4
mov #0x1C,r2
! Opcode 2B79
MB79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl1663
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1663:
jmp @r4
mov #0x1C,r2
! Opcode 2B7A
MB7A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1664
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1664:
jmp @r4
mov #0x1C,r2
! Opcode 2B7B
MB7B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1665
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1665:
jmp @r4
mov #0x1C,r2
! Opcode 2B7C
MB7C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1666
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1666:
jmp @r4
mov #0x1C,r2
! Opcodes 2B80 - 2B87
MB80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1667
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1667:
jmp @r4
mov #0x1C,r2
! Opcodes 2B88 - 2B8F
MB88:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1668
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1668:
jmp @r4
mov #0x1C,r2
! Opcodes 2B90 - 2B97
MB90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1669
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1669:
jmp @r4
mov #0x1C,r2
! Opcodes 2B98 - 2B9F
MB98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1670
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1670:
jmp @r4
mov #0x1C,r2
! Opcodes 2BA0 - 2BA7
MBA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1671
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1671:
jmp @r4
mov #0x1C,r2
! Opcodes 2BA8 - 2BAF
MBA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1672
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1672:
jmp @r4
mov #0x1C,r2
! Opcodes 2BB0 - 2BB7
MBB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl1673
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1673:
jmp @r4
mov #0x1C,r2
! Opcode 2BB8
MBB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1674
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1674:
jmp @r4
mov #0x1C,r2
! Opcode 2BB9
MBB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-34,r7
shll2 r0
cmp/pl r7
bt/s fdl1675
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1675:
jmp @r4
mov #0x1C,r2
! Opcode 2BBA
MBBA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1676
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1676:
jmp @r4
mov #0x1C,r2
! Opcode 2BBB
MBBB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl1677
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1677:
jmp @r4
mov #0x1C,r2
! Opcode 2BBC
MBBC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1678
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1678:
jmp @r4
mov #0x1C,r2
! Opcodes 2C00 - 2C07
MC00:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1679
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1679:
jmp @r4
mov #0x1C,r2
! Opcodes 2C08 - 2C0F
MC08:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1680
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1680:
jmp @r4
mov #0x1C,r2
! Opcodes 2C10 - 2C17
MC10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1681
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1681:
jmp @r4
mov #0x1C,r2
! Opcodes 2C18 - 2C1F
MC18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1682
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1682:
jmp @r4
mov #0x1C,r2
! Opcodes 2C20 - 2C27
MC20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1683
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1683:
jmp @r4
mov #0x1C,r2
! Opcodes 2C28 - 2C2F
MC28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1684
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1684:
jmp @r4
mov #0x1C,r2
! Opcodes 2C30 - 2C37
MC30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1685
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1685:
jmp @r4
mov #0x1C,r2
! Opcode 2C38
MC38:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1686
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1686:
jmp @r4
mov #0x1C,r2
! Opcode 2C39
MC39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1687
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1687:
jmp @r4
mov #0x1C,r2
! Opcode 2C3A
MC3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1688
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1688:
jmp @r4
mov #0x1C,r2
! Opcode 2C3B
MC3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1689
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1689:
jmp @r4
mov #0x1C,r2
! Opcode 2C3C
MC3C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1690
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1690:
jmp @r4
mov #0x1C,r2
! Opcodes 2C40 - 2C47
MC40:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r13),r3
mov.l r3,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1691
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1691:
jmp @r4
mov #0x1C,r2
! Opcodes 2C48 - 2C4F
MC48:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.l @r2,r3
mov.l r3,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1692
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1692:
jmp @r4
mov #0x1C,r2
! Opcodes 2C50 - 2C57
MC50:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1693
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1693:
jmp @r4
mov #0x1C,r2
! Opcodes 2C58 - 2C5F
MC58:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1694
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1694:
jmp @r4
mov #0x1C,r2
! Opcodes 2C60 - 2C67
MC60:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1695
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1695:
jmp @r4
mov #0x1C,r2
! Opcodes 2C68 - 2C6F
MC68:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1696
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1696:
jmp @r4
mov #0x1C,r2
! Opcodes 2C70 - 2C77
MC70:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1697
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1697:
jmp @r4
mov #0x1C,r2
! Opcode 2C78
MC78:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1698
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1698:
jmp @r4
mov #0x1C,r2
! Opcode 2C79
MC79:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1699
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1699:
jmp @r4
mov #0x1C,r2
! Opcode 2C7A
MC7A:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1700
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1700:
jmp @r4
mov #0x1C,r2
! Opcode 2C7B
MC7B:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1701
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1701:
jmp @r4
mov #0x1C,r2
! Opcode 2C7C
MC7C:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1702
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1702:
jmp @r4
mov #0x1C,r2
! Opcodes 2C80 - 2C87
MC80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1703
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1703:
jmp @r4
mov #0x1C,r2
! Opcodes 2C88 - 2C8F
MC88:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1704
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1704:
jmp @r4
mov #0x1C,r2
! Opcodes 2C90 - 2C97
MC90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1705
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1705:
jmp @r4
mov #0x1C,r2
! Opcodes 2C98 - 2C9F
MC98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1706
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1706:
jmp @r4
mov #0x1C,r2
! Opcodes 2CA0 - 2CA7
MCA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1707
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1707:
jmp @r4
mov #0x1C,r2
! Opcodes 2CA8 - 2CAF
MCA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1708
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1708:
jmp @r4
mov #0x1C,r2
! Opcodes 2CB0 - 2CB7
MCB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1709
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1709:
jmp @r4
mov #0x1C,r2
! Opcode 2CB8
MCB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1710
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1710:
jmp @r4
mov #0x1C,r2
! Opcode 2CB9
MCB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1711
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1711:
jmp @r4
mov #0x1C,r2
! Opcode 2CBA
MCBA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1712
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1712:
jmp @r4
mov #0x1C,r2
! Opcode 2CBB
MCBB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1713
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1713:
jmp @r4
mov #0x1C,r2
! Opcode 2CBC
MCBC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1714
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1714:
jmp @r4
mov #0x1C,r2
! Opcodes 2CC0 - 2CC7
MCC0:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1715
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1715:
jmp @r4
mov #0x1C,r2
! Opcodes 2CC8 - 2CCF
MCC8:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1716
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1716:
jmp @r4
mov #0x1C,r2
! Opcodes 2CD0 - 2CD7
MCD0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1717
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1717:
jmp @r4
mov #0x1C,r2
! Opcodes 2CD8 - 2CDF
MCD8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1718
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1718:
jmp @r4
mov #0x1C,r2
! Opcodes 2CE0 - 2CE7
MCE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1719
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1719:
jmp @r4
mov #0x1C,r2
! Opcodes 2CE8 - 2CEF
MCE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1720
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1720:
jmp @r4
mov #0x1C,r2
! Opcodes 2CF0 - 2CF7
MCF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1721
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1721:
jmp @r4
mov #0x1C,r2
! Opcode 2CF8
MCF8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1722
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1722:
jmp @r4
mov #0x1C,r2
! Opcode 2CF9
MCF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1723
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1723:
jmp @r4
mov #0x1C,r2
! Opcode 2CFA
MCFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1724
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1724:
jmp @r4
mov #0x1C,r2
! Opcode 2CFB
MCFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1725
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1725:
jmp @r4
mov #0x1C,r2
! Opcode 2CFC
MCFC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1726
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1726:
jmp @r4
mov #0x1C,r2
! Opcodes 2D00 - 2D07
MD00:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(56,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1727
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1727:
jmp @r4
mov #0x1C,r2
! Opcodes 2D08 - 2D0F
MD08:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(56,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1728
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1728:
jmp @r4
mov #0x1C,r2
! Opcodes 2D10 - 2D17
MD10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1729
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1729:
jmp @r4
mov #0x1C,r2
! Opcodes 2D18 - 2D1F
MD18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1730
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1730:
jmp @r4
mov #0x1C,r2
! Opcodes 2D20 - 2D27
MD20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1731
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1731:
jmp @r4
mov #0x1C,r2
! Opcodes 2D28 - 2D2F
MD28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1732
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1732:
jmp @r4
mov #0x1C,r2
! Opcodes 2D30 - 2D37
MD30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1733
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1733:
jmp @r4
mov #0x1C,r2
! Opcode 2D38
MD38:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1734
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1734:
jmp @r4
mov #0x1C,r2
! Opcode 2D39
MD39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1735
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1735:
jmp @r4
mov #0x1C,r2
! Opcode 2D3A
MD3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1736
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1736:
jmp @r4
mov #0x1C,r2
! Opcode 2D3B
MD3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1737
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1737:
jmp @r4
mov #0x1C,r2
! Opcode 2D3C
MD3C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(56,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1738
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1738:
jmp @r4
mov #0x1C,r2
! Opcodes 2D40 - 2D47
MD40:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1739
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1739:
jmp @r4
mov #0x1C,r2
! Opcodes 2D48 - 2D4F
MD48:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1740
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1740:
jmp @r4
mov #0x1C,r2
! Opcodes 2D50 - 2D57
MD50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1741
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1741:
jmp @r4
mov #0x1C,r2
! Opcodes 2D58 - 2D5F
MD58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1742
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1742:
jmp @r4
mov #0x1C,r2
! Opcodes 2D60 - 2D67
MD60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1743
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1743:
jmp @r4
mov #0x1C,r2
! Opcodes 2D68 - 2D6F
MD68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1744
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1744:
jmp @r4
mov #0x1C,r2
! Opcodes 2D70 - 2D77
MD70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1745
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1745:
jmp @r4
mov #0x1C,r2
! Opcode 2D78
MD78:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1746
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1746:
jmp @r4
mov #0x1C,r2
! Opcode 2D79
MD79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl1747
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1747:
jmp @r4
mov #0x1C,r2
! Opcode 2D7A
MD7A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1748
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1748:
jmp @r4
mov #0x1C,r2
! Opcode 2D7B
MD7B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1749
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1749:
jmp @r4
mov #0x1C,r2
! Opcode 2D7C
MD7C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1750
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1750:
jmp @r4
mov #0x1C,r2
! Opcodes 2D80 - 2D87
MD80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1751
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1751:
jmp @r4
mov #0x1C,r2
! Opcodes 2D88 - 2D8F
MD88:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1752
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1752:
jmp @r4
mov #0x1C,r2
! Opcodes 2D90 - 2D97
MD90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1753
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1753:
jmp @r4
mov #0x1C,r2
! Opcodes 2D98 - 2D9F
MD98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1754
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1754:
jmp @r4
mov #0x1C,r2
! Opcodes 2DA0 - 2DA7
MDA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1755
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1755:
jmp @r4
mov #0x1C,r2
! Opcodes 2DA8 - 2DAF
MDA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1756
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1756:
jmp @r4
mov #0x1C,r2
! Opcodes 2DB0 - 2DB7
MDB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl1757
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1757:
jmp @r4
mov #0x1C,r2
! Opcode 2DB8
MDB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1758
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1758:
jmp @r4
mov #0x1C,r2
! Opcode 2DB9
MDB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-34,r7
shll2 r0
cmp/pl r7
bt/s fdl1759
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1759:
jmp @r4
mov #0x1C,r2
! Opcode 2DBA
MDBA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1760
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1760:
jmp @r4
mov #0x1C,r2
! Opcode 2DBB
MDBB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl1761
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1761:
jmp @r4
mov #0x1C,r2
! Opcode 2DBC
MDBC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1762
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1762:
jmp @r4
mov #0x1C,r2
! Opcodes 2E00 - 2E07
ME00:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1763
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1763:
jmp @r4
mov #0x1C,r2
! Opcodes 2E08 - 2E0F
ME08:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1764
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1764:
jmp @r4
mov #0x1C,r2
! Opcodes 2E10 - 2E17
ME10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1765
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1765:
jmp @r4
mov #0x1C,r2
! Opcodes 2E18 - 2E1F
ME18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1766
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1766:
jmp @r4
mov #0x1C,r2
! Opcodes 2E20 - 2E27
ME20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1767
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1767:
jmp @r4
mov #0x1C,r2
! Opcodes 2E28 - 2E2F
ME28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1768
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1768:
jmp @r4
mov #0x1C,r2
! Opcodes 2E30 - 2E37
ME30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1769
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1769:
jmp @r4
mov #0x1C,r2
! Opcode 2E38
ME38:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1770
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1770:
jmp @r4
mov #0x1C,r2
! Opcode 2E39
ME39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1771
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1771:
jmp @r4
mov #0x1C,r2
! Opcode 2E3A
ME3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1772
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1772:
jmp @r4
mov #0x1C,r2
! Opcode 2E3B
ME3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1773
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1773:
jmp @r4
mov #0x1C,r2
! Opcode 2E3C
ME3C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1774
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1774:
jmp @r4
mov #0x1C,r2
! Opcodes 2E40 - 2E47
ME40:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r13),r3
mov.l r3,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1775
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1775:
jmp @r4
mov #0x1C,r2
! Opcodes 2E48 - 2E4F
ME48:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.l @r2,r3
mov.l r3,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1776
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1776:
jmp @r4
mov #0x1C,r2
! Opcodes 2E50 - 2E57
ME50:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1777
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1777:
jmp @r4
mov #0x1C,r2
! Opcodes 2E58 - 2E5F
ME58:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1778
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1778:
jmp @r4
mov #0x1C,r2
! Opcodes 2E60 - 2E67
ME60:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1779
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1779:
jmp @r4
mov #0x1C,r2
! Opcodes 2E68 - 2E6F
ME68:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1780
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1780:
jmp @r4
mov #0x1C,r2
! Opcodes 2E70 - 2E77
ME70:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1781
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1781:
jmp @r4
mov #0x1C,r2
! Opcode 2E78
ME78:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1782
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1782:
jmp @r4
mov #0x1C,r2
! Opcode 2E79
ME79:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1783
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1783:
jmp @r4
mov #0x1C,r2
! Opcode 2E7A
ME7A:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1784
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1784:
jmp @r4
mov #0x1C,r2
! Opcode 2E7B
ME7B:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1785
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1785:
jmp @r4
mov #0x1C,r2
! Opcode 2E7C
ME7C:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1786
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1786:
jmp @r4
mov #0x1C,r2
! Opcodes 2E80 - 2E87
ME80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1787
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1787:
jmp @r4
mov #0x1C,r2
! Opcodes 2E88 - 2E8F
ME88:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1788
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1788:
jmp @r4
mov #0x1C,r2
! Opcodes 2E90 - 2E97
ME90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1789
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1789:
jmp @r4
mov #0x1C,r2
! Opcodes 2E98 - 2E9F
ME98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1790
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1790:
jmp @r4
mov #0x1C,r2
! Opcodes 2EA0 - 2EA7
MEA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1791
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1791:
jmp @r4
mov #0x1C,r2
! Opcodes 2EA8 - 2EAF
MEA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1792
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1792:
jmp @r4
mov #0x1C,r2
! Opcodes 2EB0 - 2EB7
MEB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1793
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1793:
jmp @r4
mov #0x1C,r2
! Opcode 2EB8
MEB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1794
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1794:
jmp @r4
mov #0x1C,r2
! Opcode 2EB9
MEB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1795
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1795:
jmp @r4
mov #0x1C,r2
! Opcode 2EBA
MEBA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1796
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1796:
jmp @r4
mov #0x1C,r2
! Opcode 2EBB
MEBB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1797
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1797:
jmp @r4
mov #0x1C,r2
! Opcode 2EBC
MEBC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1798
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1798:
jmp @r4
mov #0x1C,r2
! Opcodes 2EC0 - 2EC7
MEC0:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1799
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1799:
jmp @r4
mov #0x1C,r2
! Opcodes 2EC8 - 2ECF
MEC8:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1800
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1800:
jmp @r4
mov #0x1C,r2
! Opcodes 2ED0 - 2ED7
MED0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1801
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1801:
jmp @r4
mov #0x1C,r2
! Opcodes 2ED8 - 2EDF
MED8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1802
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1802:
jmp @r4
mov #0x1C,r2
! Opcodes 2EE0 - 2EE7
MEE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1803
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1803:
jmp @r4
mov #0x1C,r2
! Opcodes 2EE8 - 2EEF
MEE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1804
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1804:
jmp @r4
mov #0x1C,r2
! Opcodes 2EF0 - 2EF7
MEF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1805
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1805:
jmp @r4
mov #0x1C,r2
! Opcode 2EF8
MEF8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1806
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1806:
jmp @r4
mov #0x1C,r2
! Opcode 2EF9
MEF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1807
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1807:
jmp @r4
mov #0x1C,r2
! Opcode 2EFA
MEFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1808
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1808:
jmp @r4
mov #0x1C,r2
! Opcode 2EFB
MEFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1809
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1809:
jmp @r4
mov #0x1C,r2
! Opcode 2EFC
MEFC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1810
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1810:
jmp @r4
mov #0x1C,r2
! Opcodes 2F00 - 2F07
MF00:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1811
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1811:
jmp @r4
mov #0x1C,r2
! Opcodes 2F08 - 2F0F
MF08:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1812
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1812:
jmp @r4
mov #0x1C,r2
! Opcodes 2F10 - 2F17
MF10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1813
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1813:
jmp @r4
mov #0x1C,r2
! Opcodes 2F18 - 2F1F
MF18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1814
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1814:
jmp @r4
mov #0x1C,r2
! Opcodes 2F20 - 2F27
MF20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1815
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1815:
jmp @r4
mov #0x1C,r2
! Opcodes 2F28 - 2F2F
MF28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1816
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1816:
jmp @r4
mov #0x1C,r2
! Opcodes 2F30 - 2F37
MF30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1817
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1817:
jmp @r4
mov #0x1C,r2
! Opcode 2F38
MF38:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1818
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1818:
jmp @r4
mov #0x1C,r2
! Opcode 2F39
MF39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1819
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1819:
jmp @r4
mov #0x1C,r2
! Opcode 2F3A
MF3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1820
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1820:
jmp @r4
mov #0x1C,r2
! Opcode 2F3B
MF3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1821
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1821:
jmp @r4
mov #0x1C,r2
! Opcode 2F3C
MF3C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1822
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1822:
jmp @r4
mov #0x1C,r2
! Opcodes 2F40 - 2F47
MF40:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1823
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1823:
jmp @r4
mov #0x1C,r2
! Opcodes 2F48 - 2F4F
MF48:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1824
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1824:
jmp @r4
mov #0x1C,r2
! Opcodes 2F50 - 2F57
MF50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1825
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1825:
jmp @r4
mov #0x1C,r2
! Opcodes 2F58 - 2F5F
MF58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1826
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1826:
jmp @r4
mov #0x1C,r2
! Opcodes 2F60 - 2F67
MF60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1827
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1827:
jmp @r4
mov #0x1C,r2
! Opcodes 2F68 - 2F6F
MF68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1828
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1828:
jmp @r4
mov #0x1C,r2
! Opcodes 2F70 - 2F77
MF70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1829
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1829:
jmp @r4
mov #0x1C,r2
! Opcode 2F78
MF78:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1830
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1830:
jmp @r4
mov #0x1C,r2
! Opcode 2F79
MF79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl1831
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1831:
jmp @r4
mov #0x1C,r2
! Opcode 2F7A
MF7A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1832
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1832:
jmp @r4
mov #0x1C,r2
! Opcode 2F7B
MF7B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1833
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1833:
jmp @r4
mov #0x1C,r2
! Opcode 2F7C
MF7C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1834
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1834:
jmp @r4
mov #0x1C,r2
! Opcodes 2F80 - 2F87
MF80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1835
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1835:
jmp @r4
mov #0x1C,r2
! Opcodes 2F88 - 2F8F
MF88:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1836
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1836:
jmp @r4
mov #0x1C,r2
! Opcodes 2F90 - 2F97
MF90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1837
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1837:
jmp @r4
mov #0x1C,r2
! Opcodes 2F98 - 2F9F
MF98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1838
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1838:
jmp @r4
mov #0x1C,r2
! Opcodes 2FA0 - 2FA7
MFA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl1839
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1839:
jmp @r4
mov #0x1C,r2
! Opcodes 2FA8 - 2FAF
MFA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1840
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1840:
jmp @r4
mov #0x1C,r2
! Opcodes 2FB0 - 2FB7
MFB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl1841
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1841:
jmp @r4
mov #0x1C,r2
! Opcode 2FB8
MFB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1842
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1842:
jmp @r4
mov #0x1C,r2
! Opcode 2FB9
MFB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-34,r7
shll2 r0
cmp/pl r7
bt/s fdl1843
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1843:
jmp @r4
mov #0x1C,r2
! Opcode 2FBA
MFBA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl1844
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1844:
jmp @r4
mov #0x1C,r2
! Opcode 2FBB
MFBB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-32,r7
shll2 r0
cmp/pl r7
bt/s fdl1845
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1845:
jmp @r4
mov #0x1C,r2
! Opcode 2FBC
MFBC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1846
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1846:
jmp @r4
mov #0x1C,r2
! Opcodes 3000 - 3007
N000:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.w r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1847
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1847:
jmp @r4
mov #0x1C,r2
! Opcodes 3008 - 300F
N008:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.w r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1848
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1848:
jmp @r4
mov #0x1C,r2
! Opcodes 3010 - 3017
N010:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1849
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1849:
jmp @r4
mov #0x1C,r2
! Opcodes 3018 - 301F
N018:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1850
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1850:
jmp @r4
mov #0x1C,r2
! Opcodes 3020 - 3027
N020:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl1851
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1851:
jmp @r4
mov #0x1C,r2
! Opcodes 3028 - 302F
N028:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1852
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1852:
jmp @r4
mov #0x1C,r2
! Opcodes 3030 - 3037
N030:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1853
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1853:
jmp @r4
mov #0x1C,r2
! Opcode 3038
N038:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1854
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1854:
jmp @r4
mov #0x1C,r2
! Opcode 3039
N039:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1855
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1855:
jmp @r4
mov #0x1C,r2
! Opcode 303A
N03A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1856
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1856:
jmp @r4
mov #0x1C,r2
! Opcode 303B
N03B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1857
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1857:
jmp @r4
mov #0x1C,r2
! Opcode 303C
N03C:
mov.w @r6+,r3
mov.w r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1858
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1858:
jmp @r4
mov #0x1C,r2
! Opcodes 3040 - 3047
N040:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.w @(r0,r13),r3
mov.l r3,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1859
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1859:
jmp @r4
mov #0x1C,r2
! Opcodes 3048 - 304F
N048:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.w @r2,r3
mov.l r3,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1860
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1860:
jmp @r4
mov #0x1C,r2
! Opcodes 3050 - 3057
N050:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1861
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1861:
jmp @r4
mov #0x1C,r2
! Opcodes 3058 - 305F
N058:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1862
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1862:
jmp @r4
mov #0x1C,r2
! Opcodes 3060 - 3067
N060:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl1863
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1863:
jmp @r4
mov #0x1C,r2
! Opcodes 3068 - 306F
N068:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1864
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1864:
jmp @r4
mov #0x1C,r2
! Opcodes 3070 - 3077
N070:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1865
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1865:
jmp @r4
mov #0x1C,r2
! Opcode 3078
N078:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1866
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1866:
jmp @r4
mov #0x1C,r2
! Opcode 3079
N079:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1867
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1867:
jmp @r4
mov #0x1C,r2
! Opcode 307A
N07A:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1868
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1868:
jmp @r4
mov #0x1C,r2
! Opcode 307B
N07B:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1869
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1869:
jmp @r4
mov #0x1C,r2
! Opcode 307C
N07C:
mov.l r3,@-r15
mov.w @r6+,r3
mov.l r3,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1870
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1870:
jmp @r4
mov #0x1C,r2
! Opcodes 3080 - 3087
N080:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1871
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1871:
jmp @r4
mov #0x1C,r2
! Opcodes 3088 - 308F
N088:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1872
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1872:
jmp @r4
mov #0x1C,r2
! Opcodes 3090 - 3097
N090:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1873
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1873:
jmp @r4
mov #0x1C,r2
! Opcodes 3098 - 309F
N098:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1874
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1874:
jmp @r4
mov #0x1C,r2
! Opcodes 30A0 - 30A7
N0A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1875
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1875:
jmp @r4
mov #0x1C,r2
! Opcodes 30A8 - 30AF
N0A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1876
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1876:
jmp @r4
mov #0x1C,r2
! Opcodes 30B0 - 30B7
N0B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1877
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1877:
jmp @r4
mov #0x1C,r2
! Opcode 30B8
N0B8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1878
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1878:
jmp @r4
mov #0x1C,r2
! Opcode 30B9
N0B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1879
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1879:
jmp @r4
mov #0x1C,r2
! Opcode 30BA
N0BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1880
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1880:
jmp @r4
mov #0x1C,r2
! Opcode 30BB
N0BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1881
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1881:
jmp @r4
mov #0x1C,r2
! Opcode 30BC
N0BC:
mov.w @r6+,r3
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1882
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1882:
jmp @r4
mov #0x1C,r2
! Opcodes 30C0 - 30C7
N0C0:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1883
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1883:
jmp @r4
mov #0x1C,r2
! Opcodes 30C8 - 30CF
N0C8:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1884
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1884:
jmp @r4
mov #0x1C,r2
! Opcodes 30D0 - 30D7
N0D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1885
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1885:
jmp @r4
mov #0x1C,r2
! Opcodes 30D8 - 30DF
N0D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1886
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1886:
jmp @r4
mov #0x1C,r2
! Opcodes 30E0 - 30E7
N0E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1887
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1887:
jmp @r4
mov #0x1C,r2
! Opcodes 30E8 - 30EF
N0E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1888
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1888:
jmp @r4
mov #0x1C,r2
! Opcodes 30F0 - 30F7
N0F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1889
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1889:
jmp @r4
mov #0x1C,r2
! Opcode 30F8
N0F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1890
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1890:
jmp @r4
mov #0x1C,r2
! Opcode 30F9
N0F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1891
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1891:
jmp @r4
mov #0x1C,r2
! Opcode 30FA
N0FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1892
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1892:
jmp @r4
mov #0x1C,r2
! Opcode 30FB
N0FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1893
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1893:
jmp @r4
mov #0x1C,r2
! Opcode 30FC
N0FC:
mov.w @r6+,r3
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1894
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1894:
jmp @r4
mov #0x1C,r2
! Opcodes 3100 - 3107
N100:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(32,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1895
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1895:
jmp @r4
mov #0x1C,r2
! Opcodes 3108 - 310F
N108:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(32,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1896
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1896:
jmp @r4
mov #0x1C,r2
! Opcodes 3110 - 3117
N110:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1897
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1897:
jmp @r4
mov #0x1C,r2
! Opcodes 3118 - 311F
N118:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1898
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1898:
jmp @r4
mov #0x1C,r2
! Opcodes 3120 - 3127
N120:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1899
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1899:
jmp @r4
mov #0x1C,r2
! Opcodes 3128 - 312F
N128:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1900
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1900:
jmp @r4
mov #0x1C,r2
! Opcodes 3130 - 3137
N130:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1901
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1901:
jmp @r4
mov #0x1C,r2
! Opcode 3138
N138:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1902
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1902:
jmp @r4
mov #0x1C,r2
! Opcode 3139
N139:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1903
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1903:
jmp @r4
mov #0x1C,r2
! Opcode 313A
N13A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1904
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1904:
jmp @r4
mov #0x1C,r2
! Opcode 313B
N13B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1905
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1905:
jmp @r4
mov #0x1C,r2
! Opcode 313C
N13C:
mov.w @r6+,r3
mov.l @(32,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1906
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1906:
jmp @r4
mov #0x1C,r2
! Opcodes 3140 - 3147
N140:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1907
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1907:
jmp @r4
mov #0x1C,r2
! Opcodes 3148 - 314F
N148:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1908
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1908:
jmp @r4
mov #0x1C,r2
! Opcodes 3150 - 3157
N150:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1909
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1909:
jmp @r4
mov #0x1C,r2
! Opcodes 3158 - 315F
N158:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1910
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1910:
jmp @r4
mov #0x1C,r2
! Opcodes 3160 - 3167
N160:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1911
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1911:
jmp @r4
mov #0x1C,r2
! Opcodes 3168 - 316F
N168:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1912
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1912:
jmp @r4
mov #0x1C,r2
! Opcodes 3170 - 3177
N170:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1913
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1913:
jmp @r4
mov #0x1C,r2
! Opcode 3178
N178:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1914
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1914:
jmp @r4
mov #0x1C,r2
! Opcode 3179
N179:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1915
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1915:
jmp @r4
mov #0x1C,r2
! Opcode 317A
N17A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1916
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1916:
jmp @r4
mov #0x1C,r2
! Opcode 317B
N17B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1917
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1917:
jmp @r4
mov #0x1C,r2
! Opcode 317C
N17C:
mov.w @r6+,r3
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1918
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1918:
jmp @r4
mov #0x1C,r2
! Opcodes 3180 - 3187
N180:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1919
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1919:
jmp @r4
mov #0x1C,r2
! Opcodes 3188 - 318F
N188:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1920
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1920:
jmp @r4
mov #0x1C,r2
! Opcodes 3190 - 3197
N190:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1921
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1921:
jmp @r4
mov #0x1C,r2
! Opcodes 3198 - 319F
N198:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1922
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1922:
jmp @r4
mov #0x1C,r2
! Opcodes 31A0 - 31A7
N1A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1923
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1923:
jmp @r4
mov #0x1C,r2
! Opcodes 31A8 - 31AF
N1A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1924
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1924:
jmp @r4
mov #0x1C,r2
! Opcodes 31B0 - 31B7
N1B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1925
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1925:
jmp @r4
mov #0x1C,r2
! Opcode 31B8
N1B8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1926
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1926:
jmp @r4
mov #0x1C,r2
! Opcode 31B9
N1B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl1927
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1927:
jmp @r4
mov #0x1C,r2
! Opcode 31BA
N1BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1928
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1928:
jmp @r4
mov #0x1C,r2
! Opcode 31BB
N1BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1929
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1929:
jmp @r4
mov #0x1C,r2
! Opcode 31BC
N1BC:
mov.w @r6+,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1930
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1930:
jmp @r4
mov #0x1C,r2
! Opcodes 31C0 - 31C7
N1C0:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1931
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1931:
jmp @r4
mov #0x1C,r2
! Opcodes 31C8 - 31CF
N1C8:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1932
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1932:
jmp @r4
mov #0x1C,r2
! Opcodes 31D0 - 31D7
N1D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1933
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1933:
jmp @r4
mov #0x1C,r2
! Opcodes 31D8 - 31DF
N1D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1934
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1934:
jmp @r4
mov #0x1C,r2
! Opcodes 31E0 - 31E7
N1E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1935
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1935:
jmp @r4
mov #0x1C,r2
! Opcodes 31E8 - 31EF
N1E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1936
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1936:
jmp @r4
mov #0x1C,r2
! Opcodes 31F0 - 31F7
N1F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1937
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1937:
jmp @r4
mov #0x1C,r2
! Opcode 31F8
N1F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1938
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1938:
jmp @r4
mov #0x1C,r2
! Opcode 31F9
N1F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl1939
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1939:
jmp @r4
mov #0x1C,r2
! Opcode 31FA
N1FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1940
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1940:
jmp @r4
mov #0x1C,r2
! Opcode 31FB
N1FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl1941
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1941:
jmp @r4
mov #0x1C,r2
! Opcode 31FC
N1FC:
mov.w @r6+,r3
mov.w @r6+,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1942
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1942:
jmp @r4
mov #0x1C,r2
! Opcodes 3200 - 3207
N200:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #4,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1943
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1943:
jmp @r4
mov #0x1C,r2
! Opcodes 3208 - 320F
N208:
and r0,r2
add r14,r2
mov.w @r2,r3
mov #4,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1944
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1944:
jmp @r4
mov #0x1C,r2
! Opcodes 3210 - 3217
N210:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1945
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1945:
jmp @r4
mov #0x1C,r2
! Opcodes 3218 - 321F
N218:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1946
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1946:
jmp @r4
mov #0x1C,r2
! Opcodes 3220 - 3227
N220:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl1947
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1947:
jmp @r4
mov #0x1C,r2
! Opcodes 3228 - 322F
N228:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1948
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1948:
jmp @r4
mov #0x1C,r2
! Opcodes 3230 - 3237
N230:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1949
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1949:
jmp @r4
mov #0x1C,r2
! Opcode 3238
N238:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1950
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1950:
jmp @r4
mov #0x1C,r2
! Opcode 3239
N239:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1951
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1951:
jmp @r4
mov #0x1C,r2
! Opcode 323A
N23A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1952
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1952:
jmp @r4
mov #0x1C,r2
! Opcode 323B
N23B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1953
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1953:
jmp @r4
mov #0x1C,r2
! Opcode 323C
N23C:
mov.w @r6+,r3
mov #4,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1954
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1954:
jmp @r4
mov #0x1C,r2
! Opcodes 3240 - 3247
N240:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.w @(r0,r13),r3
mov.l r3,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1955
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1955:
jmp @r4
mov #0x1C,r2
! Opcodes 3248 - 324F
N248:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.w @r2,r3
mov.l r3,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl1956
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1956:
jmp @r4
mov #0x1C,r2
! Opcodes 3250 - 3257
N250:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1957
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1957:
jmp @r4
mov #0x1C,r2
! Opcodes 3258 - 325F
N258:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1958
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1958:
jmp @r4
mov #0x1C,r2
! Opcodes 3260 - 3267
N260:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl1959
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1959:
jmp @r4
mov #0x1C,r2
! Opcodes 3268 - 326F
N268:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1960
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1960:
jmp @r4
mov #0x1C,r2
! Opcodes 3270 - 3277
N270:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1961
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1961:
jmp @r4
mov #0x1C,r2
! Opcode 3278
N278:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1962
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1962:
jmp @r4
mov #0x1C,r2
! Opcode 3279
N279:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1963
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1963:
jmp @r4
mov #0x1C,r2
! Opcode 327A
N27A:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1964
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1964:
jmp @r4
mov #0x1C,r2
! Opcode 327B
N27B:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1965
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1965:
jmp @r4
mov #0x1C,r2
! Opcode 327C
N27C:
mov.l r3,@-r15
mov.w @r6+,r3
mov.l r3,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1966
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1966:
jmp @r4
mov #0x1C,r2
! Opcodes 3280 - 3287
N280:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1967
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1967:
jmp @r4
mov #0x1C,r2
! Opcodes 3288 - 328F
N288:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1968
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1968:
jmp @r4
mov #0x1C,r2
! Opcodes 3290 - 3297
N290:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1969
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1969:
jmp @r4
mov #0x1C,r2
! Opcodes 3298 - 329F
N298:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1970
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1970:
jmp @r4
mov #0x1C,r2
! Opcodes 32A0 - 32A7
N2A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1971
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1971:
jmp @r4
mov #0x1C,r2
! Opcodes 32A8 - 32AF
N2A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1972
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1972:
jmp @r4
mov #0x1C,r2
! Opcodes 32B0 - 32B7
N2B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1973
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1973:
jmp @r4
mov #0x1C,r2
! Opcode 32B8
N2B8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1974
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1974:
jmp @r4
mov #0x1C,r2
! Opcode 32B9
N2B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1975
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1975:
jmp @r4
mov #0x1C,r2
! Opcode 32BA
N2BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1976
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1976:
jmp @r4
mov #0x1C,r2
! Opcode 32BB
N2BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1977
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1977:
jmp @r4
mov #0x1C,r2
! Opcode 32BC
N2BC:
mov.w @r6+,r3
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1978
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1978:
jmp @r4
mov #0x1C,r2
! Opcodes 32C0 - 32C7
N2C0:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1979
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1979:
jmp @r4
mov #0x1C,r2
! Opcodes 32C8 - 32CF
N2C8:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1980
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1980:
jmp @r4
mov #0x1C,r2
! Opcodes 32D0 - 32D7
N2D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1981
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1981:
jmp @r4
mov #0x1C,r2
! Opcodes 32D8 - 32DF
N2D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1982
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1982:
jmp @r4
mov #0x1C,r2
! Opcodes 32E0 - 32E7
N2E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1983
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1983:
jmp @r4
mov #0x1C,r2
! Opcodes 32E8 - 32EF
N2E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1984
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1984:
jmp @r4
mov #0x1C,r2
! Opcodes 32F0 - 32F7
N2F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1985
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1985:
jmp @r4
mov #0x1C,r2
! Opcode 32F8
N2F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1986
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1986:
jmp @r4
mov #0x1C,r2
! Opcode 32F9
N2F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1987
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1987:
jmp @r4
mov #0x1C,r2
! Opcode 32FA
N2FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1988
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1988:
jmp @r4
mov #0x1C,r2
! Opcode 32FB
N2FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1989
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1989:
jmp @r4
mov #0x1C,r2
! Opcode 32FC
N2FC:
mov.w @r6+,r3
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1990
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1990:
jmp @r4
mov #0x1C,r2
! Opcodes 3300 - 3307
N300:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(36,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1991
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1991:
jmp @r4
mov #0x1C,r2
! Opcodes 3308 - 330F
N308:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(36,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl1992
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1992:
jmp @r4
mov #0x1C,r2
! Opcodes 3310 - 3317
N310:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1993
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1993:
jmp @r4
mov #0x1C,r2
! Opcodes 3318 - 331F
N318:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl1994
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1994:
jmp @r4
mov #0x1C,r2
! Opcodes 3320 - 3327
N320:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl1995
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1995:
jmp @r4
mov #0x1C,r2
! Opcodes 3328 - 332F
N328:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1996
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1996:
jmp @r4
mov #0x1C,r2
! Opcodes 3330 - 3337
N330:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl1997
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1997:
jmp @r4
mov #0x1C,r2
! Opcode 3338
N338:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl1998
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1998:
jmp @r4
mov #0x1C,r2
! Opcode 3339
N339:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl1999
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl1999:
jmp @r4
mov #0x1C,r2
! Opcode 333A
N33A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2000
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2000:
jmp @r4
mov #0x1C,r2
! Opcode 333B
N33B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2001
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2001:
jmp @r4
mov #0x1C,r2
! Opcode 333C
N33C:
mov.w @r6+,r3
mov.l @(36,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2002
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2002:
jmp @r4
mov #0x1C,r2
! Opcodes 3340 - 3347
N340:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2003
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2003:
jmp @r4
mov #0x1C,r2
! Opcodes 3348 - 334F
N348:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2004
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2004:
jmp @r4
mov #0x1C,r2
! Opcodes 3350 - 3357
N350:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2005
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2005:
jmp @r4
mov #0x1C,r2
! Opcodes 3358 - 335F
N358:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2006
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2006:
jmp @r4
mov #0x1C,r2
! Opcodes 3360 - 3367
N360:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2007
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2007:
jmp @r4
mov #0x1C,r2
! Opcodes 3368 - 336F
N368:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2008
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2008:
jmp @r4
mov #0x1C,r2
! Opcodes 3370 - 3377
N370:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2009
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2009:
jmp @r4
mov #0x1C,r2
! Opcode 3378
N378:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2010
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2010:
jmp @r4
mov #0x1C,r2
! Opcode 3379
N379:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2011
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2011:
jmp @r4
mov #0x1C,r2
! Opcode 337A
N37A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2012
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2012:
jmp @r4
mov #0x1C,r2
! Opcode 337B
N37B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2013
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2013:
jmp @r4
mov #0x1C,r2
! Opcode 337C
N37C:
mov.w @r6+,r3
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2014
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2014:
jmp @r4
mov #0x1C,r2
! Opcodes 3380 - 3387
N380:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2015
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2015:
jmp @r4
mov #0x1C,r2
! Opcodes 3388 - 338F
N388:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2016
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2016:
jmp @r4
mov #0x1C,r2
! Opcodes 3390 - 3397
N390:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2017
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2017:
jmp @r4
mov #0x1C,r2
! Opcodes 3398 - 339F
N398:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2018
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2018:
jmp @r4
mov #0x1C,r2
! Opcodes 33A0 - 33A7
N3A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2019
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2019:
jmp @r4
mov #0x1C,r2
! Opcodes 33A8 - 33AF
N3A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2020
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2020:
jmp @r4
mov #0x1C,r2
! Opcodes 33B0 - 33B7
N3B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2021
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2021:
jmp @r4
mov #0x1C,r2
! Opcode 33B8
N3B8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2022
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2022:
jmp @r4
mov #0x1C,r2
! Opcode 33B9
N3B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl2023
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2023:
jmp @r4
mov #0x1C,r2
! Opcode 33BA
N3BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2024
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2024:
jmp @r4
mov #0x1C,r2
! Opcode 33BB
N3BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2025
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2025:
jmp @r4
mov #0x1C,r2
! Opcode 33BC
N3BC:
mov.w @r6+,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2026
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2026:
jmp @r4
mov #0x1C,r2
! Opcodes 33C0 - 33C7
N3C0:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2027
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2027:
jmp @r4
mov #0x1C,r2
! Opcodes 33C8 - 33CF
N3C8:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2028
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2028:
jmp @r4
mov #0x1C,r2
! Opcodes 33D0 - 33D7
N3D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2029
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2029:
jmp @r4
mov #0x1C,r2
! Opcodes 33D8 - 33DF
N3D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2030
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2030:
jmp @r4
mov #0x1C,r2
! Opcodes 33E0 - 33E7
N3E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2031
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2031:
jmp @r4
mov #0x1C,r2
! Opcodes 33E8 - 33EF
N3E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2032
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2032:
jmp @r4
mov #0x1C,r2
! Opcodes 33F0 - 33F7
N3F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl2033
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2033:
jmp @r4
mov #0x1C,r2
! Opcode 33F8
N3F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2034
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2034:
jmp @r4
mov #0x1C,r2
! Opcode 33F9
N3F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl2035
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2035:
jmp @r4
mov #0x1C,r2
! Opcode 33FA
N3FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2036
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2036:
jmp @r4
mov #0x1C,r2
! Opcode 33FB
N3FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl2037
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2037:
jmp @r4
mov #0x1C,r2
! Opcode 33FC
N3FC:
mov.w @r6+,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2038
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2038:
jmp @r4
mov #0x1C,r2
! Opcodes 3400 - 3407
N400:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #8,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2039
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2039:
jmp @r4
mov #0x1C,r2
! Opcodes 3408 - 340F
N408:
and r0,r2
add r14,r2
mov.w @r2,r3
mov #8,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2040
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2040:
jmp @r4
mov #0x1C,r2
! Opcodes 3410 - 3417
N410:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2041
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2041:
jmp @r4
mov #0x1C,r2
! Opcodes 3418 - 341F
N418:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2042
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2042:
jmp @r4
mov #0x1C,r2
! Opcodes 3420 - 3427
N420:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl2043
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2043:
jmp @r4
mov #0x1C,r2
! Opcodes 3428 - 342F
N428:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2044
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2044:
jmp @r4
mov #0x1C,r2
! Opcodes 3430 - 3437
N430:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2045
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2045:
jmp @r4
mov #0x1C,r2
! Opcode 3438
N438:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2046
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2046:
jmp @r4
mov #0x1C,r2
! Opcode 3439
N439:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2047
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2047:
jmp @r4
mov #0x1C,r2
! Opcode 343A
N43A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2048
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2048:
jmp @r4
mov #0x1C,r2
! Opcode 343B
N43B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2049
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2049:
jmp @r4
mov #0x1C,r2
! Opcode 343C
N43C:
mov.w @r6+,r3
mov #8,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2050
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2050:
jmp @r4
mov #0x1C,r2
! Opcodes 3440 - 3447
N440:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.w @(r0,r13),r3
mov.l r3,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2051
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2051:
jmp @r4
mov #0x1C,r2
! Opcodes 3448 - 344F
N448:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.w @r2,r3
mov.l r3,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2052
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2052:
jmp @r4
mov #0x1C,r2
! Opcodes 3450 - 3457
N450:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2053
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2053:
jmp @r4
mov #0x1C,r2
! Opcodes 3458 - 345F
N458:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2054
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2054:
jmp @r4
mov #0x1C,r2
! Opcodes 3460 - 3467
N460:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl2055
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2055:
jmp @r4
mov #0x1C,r2
! Opcodes 3468 - 346F
N468:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2056
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2056:
jmp @r4
mov #0x1C,r2
! Opcodes 3470 - 3477
N470:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2057
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2057:
jmp @r4
mov #0x1C,r2
! Opcode 3478
N478:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2058
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2058:
jmp @r4
mov #0x1C,r2
! Opcode 3479
N479:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2059
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2059:
jmp @r4
mov #0x1C,r2
! Opcode 347A
N47A:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2060
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2060:
jmp @r4
mov #0x1C,r2
! Opcode 347B
N47B:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2061
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2061:
jmp @r4
mov #0x1C,r2
! Opcode 347C
N47C:
mov.l r3,@-r15
mov.w @r6+,r3
mov.l r3,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2062
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2062:
jmp @r4
mov #0x1C,r2
! Opcodes 3480 - 3487
N480:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2063
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2063:
jmp @r4
mov #0x1C,r2
! Opcodes 3488 - 348F
N488:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2064
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2064:
jmp @r4
mov #0x1C,r2
! Opcodes 3490 - 3497
N490:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2065
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2065:
jmp @r4
mov #0x1C,r2
! Opcodes 3498 - 349F
N498:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2066
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2066:
jmp @r4
mov #0x1C,r2
! Opcodes 34A0 - 34A7
N4A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2067
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2067:
jmp @r4
mov #0x1C,r2
! Opcodes 34A8 - 34AF
N4A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2068
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2068:
jmp @r4
mov #0x1C,r2
! Opcodes 34B0 - 34B7
N4B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2069
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2069:
jmp @r4
mov #0x1C,r2
! Opcode 34B8
N4B8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2070
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2070:
jmp @r4
mov #0x1C,r2
! Opcode 34B9
N4B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2071
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2071:
jmp @r4
mov #0x1C,r2
! Opcode 34BA
N4BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2072
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2072:
jmp @r4
mov #0x1C,r2
! Opcode 34BB
N4BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2073
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2073:
jmp @r4
mov #0x1C,r2
! Opcode 34BC
N4BC:
mov.w @r6+,r3
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2074
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2074:
jmp @r4
mov #0x1C,r2
! Opcodes 34C0 - 34C7
N4C0:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2075
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2075:
jmp @r4
mov #0x1C,r2
! Opcodes 34C8 - 34CF
N4C8:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2076
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2076:
jmp @r4
mov #0x1C,r2
! Opcodes 34D0 - 34D7
N4D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2077
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2077:
jmp @r4
mov #0x1C,r2
! Opcodes 34D8 - 34DF
N4D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2078
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2078:
jmp @r4
mov #0x1C,r2
! Opcodes 34E0 - 34E7
N4E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2079
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2079:
jmp @r4
mov #0x1C,r2
! Opcodes 34E8 - 34EF
N4E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2080
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2080:
jmp @r4
mov #0x1C,r2
! Opcodes 34F0 - 34F7
N4F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2081
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2081:
jmp @r4
mov #0x1C,r2
! Opcode 34F8
N4F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2082
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2082:
jmp @r4
mov #0x1C,r2
! Opcode 34F9
N4F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2083
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2083:
jmp @r4
mov #0x1C,r2
! Opcode 34FA
N4FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2084
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2084:
jmp @r4
mov #0x1C,r2
! Opcode 34FB
N4FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2085
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2085:
jmp @r4
mov #0x1C,r2
! Opcode 34FC
N4FC:
mov.w @r6+,r3
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2086
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2086:
jmp @r4
mov #0x1C,r2
! Opcodes 3500 - 3507
N500:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(40,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2087
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2087:
jmp @r4
mov #0x1C,r2
! Opcodes 3508 - 350F
N508:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(40,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2088
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2088:
jmp @r4
mov #0x1C,r2
! Opcodes 3510 - 3517
N510:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2089
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2089:
jmp @r4
mov #0x1C,r2
! Opcodes 3518 - 351F
N518:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2090
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2090:
jmp @r4
mov #0x1C,r2
! Opcodes 3520 - 3527
N520:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2091
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2091:
jmp @r4
mov #0x1C,r2
! Opcodes 3528 - 352F
N528:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2092
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2092:
jmp @r4
mov #0x1C,r2
! Opcodes 3530 - 3537
N530:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2093
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2093:
jmp @r4
mov #0x1C,r2
! Opcode 3538
N538:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2094
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2094:
jmp @r4
mov #0x1C,r2
! Opcode 3539
N539:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2095
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2095:
jmp @r4
mov #0x1C,r2
! Opcode 353A
N53A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2096
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2096:
jmp @r4
mov #0x1C,r2
! Opcode 353B
N53B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2097
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2097:
jmp @r4
mov #0x1C,r2
! Opcode 353C
N53C:
mov.w @r6+,r3
mov.l @(40,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2098
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2098:
jmp @r4
mov #0x1C,r2
! Opcodes 3540 - 3547
N540:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2099
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2099:
jmp @r4
mov #0x1C,r2
! Opcodes 3548 - 354F
N548:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2100
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2100:
jmp @r4
mov #0x1C,r2
! Opcodes 3550 - 3557
N550:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2101
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2101:
jmp @r4
mov #0x1C,r2
! Opcodes 3558 - 355F
N558:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2102
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2102:
jmp @r4
mov #0x1C,r2
! Opcodes 3560 - 3567
N560:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2103
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2103:
jmp @r4
mov #0x1C,r2
! Opcodes 3568 - 356F
N568:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2104
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2104:
jmp @r4
mov #0x1C,r2
! Opcodes 3570 - 3577
N570:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2105
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2105:
jmp @r4
mov #0x1C,r2
! Opcode 3578
N578:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2106
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2106:
jmp @r4
mov #0x1C,r2
! Opcode 3579
N579:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2107
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2107:
jmp @r4
mov #0x1C,r2
! Opcode 357A
N57A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2108
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2108:
jmp @r4
mov #0x1C,r2
! Opcode 357B
N57B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2109
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2109:
jmp @r4
mov #0x1C,r2
! Opcode 357C
N57C:
mov.w @r6+,r3
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2110
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2110:
jmp @r4
mov #0x1C,r2
! Opcodes 3580 - 3587
N580:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2111
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2111:
jmp @r4
mov #0x1C,r2
! Opcodes 3588 - 358F
N588:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2112
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2112:
jmp @r4
mov #0x1C,r2
! Opcodes 3590 - 3597
N590:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2113
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2113:
jmp @r4
mov #0x1C,r2
! Opcodes 3598 - 359F
N598:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2114
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2114:
jmp @r4
mov #0x1C,r2
! Opcodes 35A0 - 35A7
N5A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2115
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2115:
jmp @r4
mov #0x1C,r2
! Opcodes 35A8 - 35AF
N5A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2116
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2116:
jmp @r4
mov #0x1C,r2
! Opcodes 35B0 - 35B7
N5B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2117
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2117:
jmp @r4
mov #0x1C,r2
! Opcode 35B8
N5B8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2118
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2118:
jmp @r4
mov #0x1C,r2
! Opcode 35B9
N5B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl2119
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2119:
jmp @r4
mov #0x1C,r2
! Opcode 35BA
N5BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2120
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2120:
jmp @r4
mov #0x1C,r2
! Opcode 35BB
N5BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2121
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2121:
jmp @r4
mov #0x1C,r2
! Opcode 35BC
N5BC:
mov.w @r6+,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2122
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2122:
jmp @r4
mov #0x1C,r2
! Opcodes 3600 - 3607
N600:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #12,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2123
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2123:
jmp @r4
mov #0x1C,r2
! Opcodes 3608 - 360F
N608:
and r0,r2
add r14,r2
mov.w @r2,r3
mov #12,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2124
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2124:
jmp @r4
mov #0x1C,r2
! Opcodes 3610 - 3617
N610:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2125
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2125:
jmp @r4
mov #0x1C,r2
! Opcodes 3618 - 361F
N618:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2126
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2126:
jmp @r4
mov #0x1C,r2
! Opcodes 3620 - 3627
N620:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl2127
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2127:
jmp @r4
mov #0x1C,r2
! Opcodes 3628 - 362F
N628:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2128
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2128:
jmp @r4
mov #0x1C,r2
! Opcodes 3630 - 3637
N630:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2129
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2129:
jmp @r4
mov #0x1C,r2
! Opcode 3638
N638:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2130
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2130:
jmp @r4
mov #0x1C,r2
! Opcode 3639
N639:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2131
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2131:
jmp @r4
mov #0x1C,r2
! Opcode 363A
N63A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2132
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2132:
jmp @r4
mov #0x1C,r2
! Opcode 363B
N63B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2133
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2133:
jmp @r4
mov #0x1C,r2
! Opcode 363C
N63C:
mov.w @r6+,r3
mov #12,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2134
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2134:
jmp @r4
mov #0x1C,r2
! Opcodes 3640 - 3647
N640:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.w @(r0,r13),r3
mov.l r3,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2135
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2135:
jmp @r4
mov #0x1C,r2
! Opcodes 3648 - 364F
N648:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.w @r2,r3
mov.l r3,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2136
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2136:
jmp @r4
mov #0x1C,r2
! Opcodes 3650 - 3657
N650:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2137
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2137:
jmp @r4
mov #0x1C,r2
! Opcodes 3658 - 365F
N658:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2138
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2138:
jmp @r4
mov #0x1C,r2
! Opcodes 3660 - 3667
N660:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl2139
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2139:
jmp @r4
mov #0x1C,r2
! Opcodes 3668 - 366F
N668:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2140
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2140:
jmp @r4
mov #0x1C,r2
! Opcodes 3670 - 3677
N670:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2141
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2141:
jmp @r4
mov #0x1C,r2
! Opcode 3678
N678:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2142
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2142:
jmp @r4
mov #0x1C,r2
! Opcode 3679
N679:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2143
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2143:
jmp @r4
mov #0x1C,r2
! Opcode 367A
N67A:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2144
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2144:
jmp @r4
mov #0x1C,r2
! Opcode 367B
N67B:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2145
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2145:
jmp @r4
mov #0x1C,r2
! Opcode 367C
N67C:
mov.l r3,@-r15
mov.w @r6+,r3
mov.l r3,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2146
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2146:
jmp @r4
mov #0x1C,r2
! Opcodes 3680 - 3687
N680:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2147
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2147:
jmp @r4
mov #0x1C,r2
! Opcodes 3688 - 368F
N688:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2148
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2148:
jmp @r4
mov #0x1C,r2
! Opcodes 3690 - 3697
N690:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2149
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2149:
jmp @r4
mov #0x1C,r2
! Opcodes 3698 - 369F
N698:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2150
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2150:
jmp @r4
mov #0x1C,r2
! Opcodes 36A0 - 36A7
N6A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2151
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2151:
jmp @r4
mov #0x1C,r2
! Opcodes 36A8 - 36AF
N6A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2152
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2152:
jmp @r4
mov #0x1C,r2
! Opcodes 36B0 - 36B7
N6B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2153
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2153:
jmp @r4
mov #0x1C,r2
! Opcode 36B8
N6B8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2154
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2154:
jmp @r4
mov #0x1C,r2
! Opcode 36B9
N6B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2155
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2155:
jmp @r4
mov #0x1C,r2
! Opcode 36BA
N6BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2156
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2156:
jmp @r4
mov #0x1C,r2
! Opcode 36BB
N6BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2157
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2157:
jmp @r4
mov #0x1C,r2
! Opcode 36BC
N6BC:
mov.w @r6+,r3
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2158
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2158:
jmp @r4
mov #0x1C,r2
! Opcodes 36C0 - 36C7
N6C0:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2159
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2159:
jmp @r4
mov #0x1C,r2
! Opcodes 36C8 - 36CF
N6C8:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2160
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2160:
jmp @r4
mov #0x1C,r2
! Opcodes 36D0 - 36D7
N6D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2161
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2161:
jmp @r4
mov #0x1C,r2
! Opcodes 36D8 - 36DF
N6D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2162
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2162:
jmp @r4
mov #0x1C,r2
! Opcodes 36E0 - 36E7
N6E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2163
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2163:
jmp @r4
mov #0x1C,r2
! Opcodes 36E8 - 36EF
N6E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2164
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2164:
jmp @r4
mov #0x1C,r2
! Opcodes 36F0 - 36F7
N6F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2165
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2165:
jmp @r4
mov #0x1C,r2
! Opcode 36F8
N6F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2166
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2166:
jmp @r4
mov #0x1C,r2
! Opcode 36F9
N6F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2167
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2167:
jmp @r4
mov #0x1C,r2
! Opcode 36FA
N6FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2168
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2168:
jmp @r4
mov #0x1C,r2
! Opcode 36FB
N6FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2169
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2169:
jmp @r4
mov #0x1C,r2
! Opcode 36FC
N6FC:
mov.w @r6+,r3
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2170
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2170:
jmp @r4
mov #0x1C,r2
! Opcodes 3700 - 3707
N700:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(44,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2171
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2171:
jmp @r4
mov #0x1C,r2
! Opcodes 3708 - 370F
N708:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(44,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2172
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2172:
jmp @r4
mov #0x1C,r2
! Opcodes 3710 - 3717
N710:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2173
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2173:
jmp @r4
mov #0x1C,r2
! Opcodes 3718 - 371F
N718:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2174
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2174:
jmp @r4
mov #0x1C,r2
! Opcodes 3720 - 3727
N720:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2175
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2175:
jmp @r4
mov #0x1C,r2
! Opcodes 3728 - 372F
N728:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2176
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2176:
jmp @r4
mov #0x1C,r2
! Opcodes 3730 - 3737
N730:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2177
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2177:
jmp @r4
mov #0x1C,r2
! Opcode 3738
N738:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2178
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2178:
jmp @r4
mov #0x1C,r2
! Opcode 3739
N739:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2179
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2179:
jmp @r4
mov #0x1C,r2
! Opcode 373A
N73A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2180
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2180:
jmp @r4
mov #0x1C,r2
! Opcode 373B
N73B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2181
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2181:
jmp @r4
mov #0x1C,r2
! Opcode 373C
N73C:
mov.w @r6+,r3
mov.l @(44,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2182
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2182:
jmp @r4
mov #0x1C,r2
! Opcodes 3740 - 3747
N740:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2183
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2183:
jmp @r4
mov #0x1C,r2
! Opcodes 3748 - 374F
N748:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2184
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2184:
jmp @r4
mov #0x1C,r2
! Opcodes 3750 - 3757
N750:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2185
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2185:
jmp @r4
mov #0x1C,r2
! Opcodes 3758 - 375F
N758:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2186
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2186:
jmp @r4
mov #0x1C,r2
! Opcodes 3760 - 3767
N760:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2187
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2187:
jmp @r4
mov #0x1C,r2
! Opcodes 3768 - 376F
N768:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2188
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2188:
jmp @r4
mov #0x1C,r2
! Opcodes 3770 - 3777
N770:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2189
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2189:
jmp @r4
mov #0x1C,r2
! Opcode 3778
N778:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2190
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2190:
jmp @r4
mov #0x1C,r2
! Opcode 3779
N779:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2191
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2191:
jmp @r4
mov #0x1C,r2
! Opcode 377A
N77A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2192
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2192:
jmp @r4
mov #0x1C,r2
! Opcode 377B
N77B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2193
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2193:
jmp @r4
mov #0x1C,r2
! Opcode 377C
N77C:
mov.w @r6+,r3
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2194
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2194:
jmp @r4
mov #0x1C,r2
! Opcodes 3780 - 3787
N780:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2195
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2195:
jmp @r4
mov #0x1C,r2
! Opcodes 3788 - 378F
N788:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2196
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2196:
jmp @r4
mov #0x1C,r2
! Opcodes 3790 - 3797
N790:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2197
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2197:
jmp @r4
mov #0x1C,r2
! Opcodes 3798 - 379F
N798:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2198
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2198:
jmp @r4
mov #0x1C,r2
! Opcodes 37A0 - 37A7
N7A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2199
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2199:
jmp @r4
mov #0x1C,r2
! Opcodes 37A8 - 37AF
N7A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2200
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2200:
jmp @r4
mov #0x1C,r2
! Opcodes 37B0 - 37B7
N7B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2201
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2201:
jmp @r4
mov #0x1C,r2
! Opcode 37B8
N7B8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2202
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2202:
jmp @r4
mov #0x1C,r2
! Opcode 37B9
N7B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl2203
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2203:
jmp @r4
mov #0x1C,r2
! Opcode 37BA
N7BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2204
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2204:
jmp @r4
mov #0x1C,r2
! Opcode 37BB
N7BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2205
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2205:
jmp @r4
mov #0x1C,r2
! Opcode 37BC
N7BC:
mov.w @r6+,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2206
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2206:
jmp @r4
mov #0x1C,r2
! Opcodes 3800 - 3807
N800:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #16,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2207
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2207:
jmp @r4
mov #0x1C,r2
! Opcodes 3808 - 380F
N808:
and r0,r2
add r14,r2
mov.w @r2,r3
mov #16,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2208
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2208:
jmp @r4
mov #0x1C,r2
! Opcodes 3810 - 3817
N810:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2209
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2209:
jmp @r4
mov #0x1C,r2
! Opcodes 3818 - 381F
N818:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2210
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2210:
jmp @r4
mov #0x1C,r2
! Opcodes 3820 - 3827
N820:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl2211
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2211:
jmp @r4
mov #0x1C,r2
! Opcodes 3828 - 382F
N828:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2212
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2212:
jmp @r4
mov #0x1C,r2
! Opcodes 3830 - 3837
N830:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2213
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2213:
jmp @r4
mov #0x1C,r2
! Opcode 3838
N838:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2214
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2214:
jmp @r4
mov #0x1C,r2
! Opcode 3839
N839:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2215
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2215:
jmp @r4
mov #0x1C,r2
! Opcode 383A
N83A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2216
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2216:
jmp @r4
mov #0x1C,r2
! Opcode 383B
N83B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2217
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2217:
jmp @r4
mov #0x1C,r2
! Opcode 383C
N83C:
mov.w @r6+,r3
mov #16,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2218
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2218:
jmp @r4
mov #0x1C,r2
! Opcodes 3840 - 3847
N840:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.w @(r0,r13),r3
mov.l r3,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2219
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2219:
jmp @r4
mov #0x1C,r2
! Opcodes 3848 - 384F
N848:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.w @r2,r3
mov.l r3,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2220
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2220:
jmp @r4
mov #0x1C,r2
! Opcodes 3850 - 3857
N850:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2221
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2221:
jmp @r4
mov #0x1C,r2
! Opcodes 3858 - 385F
N858:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2222
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2222:
jmp @r4
mov #0x1C,r2
! Opcodes 3860 - 3867
N860:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl2223
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2223:
jmp @r4
mov #0x1C,r2
! Opcodes 3868 - 386F
N868:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2224
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2224:
jmp @r4
mov #0x1C,r2
! Opcodes 3870 - 3877
N870:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2225
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2225:
jmp @r4
mov #0x1C,r2
! Opcode 3878
N878:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2226
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2226:
jmp @r4
mov #0x1C,r2
! Opcode 3879
N879:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2227
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2227:
jmp @r4
mov #0x1C,r2
! Opcode 387A
N87A:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2228
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2228:
jmp @r4
mov #0x1C,r2
! Opcode 387B
N87B:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2229
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2229:
jmp @r4
mov #0x1C,r2
! Opcode 387C
N87C:
mov.l r3,@-r15
mov.w @r6+,r3
mov.l r3,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2230
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2230:
jmp @r4
mov #0x1C,r2
! Opcodes 3880 - 3887
N880:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2231
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2231:
jmp @r4
mov #0x1C,r2
! Opcodes 3888 - 388F
N888:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2232
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2232:
jmp @r4
mov #0x1C,r2
! Opcodes 3890 - 3897
N890:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2233
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2233:
jmp @r4
mov #0x1C,r2
! Opcodes 3898 - 389F
N898:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2234
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2234:
jmp @r4
mov #0x1C,r2
! Opcodes 38A0 - 38A7
N8A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2235
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2235:
jmp @r4
mov #0x1C,r2
! Opcodes 38A8 - 38AF
N8A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2236
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2236:
jmp @r4
mov #0x1C,r2
! Opcodes 38B0 - 38B7
N8B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2237
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2237:
jmp @r4
mov #0x1C,r2
! Opcode 38B8
N8B8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2238
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2238:
jmp @r4
mov #0x1C,r2
! Opcode 38B9
N8B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2239
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2239:
jmp @r4
mov #0x1C,r2
! Opcode 38BA
N8BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2240
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2240:
jmp @r4
mov #0x1C,r2
! Opcode 38BB
N8BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2241
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2241:
jmp @r4
mov #0x1C,r2
! Opcode 38BC
N8BC:
mov.w @r6+,r3
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2242
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2242:
jmp @r4
mov #0x1C,r2
! Opcodes 38C0 - 38C7
N8C0:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2243
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2243:
jmp @r4
mov #0x1C,r2
! Opcodes 38C8 - 38CF
N8C8:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2244
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2244:
jmp @r4
mov #0x1C,r2
! Opcodes 38D0 - 38D7
N8D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2245
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2245:
jmp @r4
mov #0x1C,r2
! Opcodes 38D8 - 38DF
N8D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2246
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2246:
jmp @r4
mov #0x1C,r2
! Opcodes 38E0 - 38E7
N8E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2247
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2247:
jmp @r4
mov #0x1C,r2
! Opcodes 38E8 - 38EF
N8E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2248
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2248:
jmp @r4
mov #0x1C,r2
! Opcodes 38F0 - 38F7
N8F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2249
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2249:
jmp @r4
mov #0x1C,r2
! Opcode 38F8
N8F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2250
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2250:
jmp @r4
mov #0x1C,r2
! Opcode 38F9
N8F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2251
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2251:
jmp @r4
mov #0x1C,r2
! Opcode 38FA
N8FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2252
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2252:
jmp @r4
mov #0x1C,r2
! Opcode 38FB
N8FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2253
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2253:
jmp @r4
mov #0x1C,r2
! Opcode 38FC
N8FC:
mov.w @r6+,r3
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2254
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2254:
jmp @r4
mov #0x1C,r2
! Opcodes 3900 - 3907
N900:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(48,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2255
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2255:
jmp @r4
mov #0x1C,r2
! Opcodes 3908 - 390F
N908:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(48,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2256
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2256:
jmp @r4
mov #0x1C,r2
! Opcodes 3910 - 3917
N910:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2257
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2257:
jmp @r4
mov #0x1C,r2
! Opcodes 3918 - 391F
N918:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2258
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2258:
jmp @r4
mov #0x1C,r2
! Opcodes 3920 - 3927
N920:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2259
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2259:
jmp @r4
mov #0x1C,r2
! Opcodes 3928 - 392F
N928:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2260
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2260:
jmp @r4
mov #0x1C,r2
! Opcodes 3930 - 3937
N930:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2261
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2261:
jmp @r4
mov #0x1C,r2
! Opcode 3938
N938:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2262
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2262:
jmp @r4
mov #0x1C,r2
! Opcode 3939
N939:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2263
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2263:
jmp @r4
mov #0x1C,r2
! Opcode 393A
N93A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2264
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2264:
jmp @r4
mov #0x1C,r2
! Opcode 393B
N93B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2265
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2265:
jmp @r4
mov #0x1C,r2
! Opcode 393C
N93C:
mov.w @r6+,r3
mov.l @(48,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2266
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2266:
jmp @r4
mov #0x1C,r2
! Opcodes 3940 - 3947
N940:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2267
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2267:
jmp @r4
mov #0x1C,r2
! Opcodes 3948 - 394F
N948:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2268
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2268:
jmp @r4
mov #0x1C,r2
! Opcodes 3950 - 3957
N950:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2269
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2269:
jmp @r4
mov #0x1C,r2
! Opcodes 3958 - 395F
N958:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2270
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2270:
jmp @r4
mov #0x1C,r2
! Opcodes 3960 - 3967
N960:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2271
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2271:
jmp @r4
mov #0x1C,r2
! Opcodes 3968 - 396F
N968:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2272
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2272:
jmp @r4
mov #0x1C,r2
! Opcodes 3970 - 3977
N970:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2273
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2273:
jmp @r4
mov #0x1C,r2
! Opcode 3978
N978:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2274
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2274:
jmp @r4
mov #0x1C,r2
! Opcode 3979
N979:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2275
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2275:
jmp @r4
mov #0x1C,r2
! Opcode 397A
N97A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2276
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2276:
jmp @r4
mov #0x1C,r2
! Opcode 397B
N97B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2277
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2277:
jmp @r4
mov #0x1C,r2
! Opcode 397C
N97C:
mov.w @r6+,r3
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2278
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2278:
jmp @r4
mov #0x1C,r2
! Opcodes 3980 - 3987
N980:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2279
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2279:
jmp @r4
mov #0x1C,r2
! Opcodes 3988 - 398F
N988:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2280
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2280:
jmp @r4
mov #0x1C,r2
! Opcodes 3990 - 3997
N990:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2281
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2281:
jmp @r4
mov #0x1C,r2
! Opcodes 3998 - 399F
N998:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2282
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2282:
jmp @r4
mov #0x1C,r2
! Opcodes 39A0 - 39A7
N9A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2283
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2283:
jmp @r4
mov #0x1C,r2
! Opcodes 39A8 - 39AF
N9A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2284
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2284:
jmp @r4
mov #0x1C,r2
! Opcodes 39B0 - 39B7
N9B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2285
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2285:
jmp @r4
mov #0x1C,r2
! Opcode 39B8
N9B8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2286
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2286:
jmp @r4
mov #0x1C,r2
! Opcode 39B9
N9B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl2287
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2287:
jmp @r4
mov #0x1C,r2
! Opcode 39BA
N9BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2288
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2288:
jmp @r4
mov #0x1C,r2
! Opcode 39BB
N9BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2289
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2289:
jmp @r4
mov #0x1C,r2
! Opcode 39BC
N9BC:
mov.w @r6+,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2290
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2290:
jmp @r4
mov #0x1C,r2
! Opcodes 3A00 - 3A07
NA00:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #20,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2291
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2291:
jmp @r4
mov #0x1C,r2
! Opcodes 3A08 - 3A0F
NA08:
and r0,r2
add r14,r2
mov.w @r2,r3
mov #20,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2292
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2292:
jmp @r4
mov #0x1C,r2
! Opcodes 3A10 - 3A17
NA10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2293
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2293:
jmp @r4
mov #0x1C,r2
! Opcodes 3A18 - 3A1F
NA18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2294
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2294:
jmp @r4
mov #0x1C,r2
! Opcodes 3A20 - 3A27
NA20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl2295
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2295:
jmp @r4
mov #0x1C,r2
! Opcodes 3A28 - 3A2F
NA28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2296
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2296:
jmp @r4
mov #0x1C,r2
! Opcodes 3A30 - 3A37
NA30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2297
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2297:
jmp @r4
mov #0x1C,r2
! Opcode 3A38
NA38:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2298
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2298:
jmp @r4
mov #0x1C,r2
! Opcode 3A39
NA39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2299
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2299:
jmp @r4
mov #0x1C,r2
! Opcode 3A3A
NA3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2300
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2300:
jmp @r4
mov #0x1C,r2
! Opcode 3A3B
NA3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2301
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2301:
jmp @r4
mov #0x1C,r2
! Opcode 3A3C
NA3C:
mov.w @r6+,r3
mov #20,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2302
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2302:
jmp @r4
mov #0x1C,r2
! Opcodes 3A40 - 3A47
NA40:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.w @(r0,r13),r3
mov.l r3,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2303
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2303:
jmp @r4
mov #0x1C,r2
! Opcodes 3A48 - 3A4F
NA48:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.w @r2,r3
mov.l r3,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2304
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2304:
jmp @r4
mov #0x1C,r2
! Opcodes 3A50 - 3A57
NA50:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2305
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2305:
jmp @r4
mov #0x1C,r2
! Opcodes 3A58 - 3A5F
NA58:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2306
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2306:
jmp @r4
mov #0x1C,r2
! Opcodes 3A60 - 3A67
NA60:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl2307
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2307:
jmp @r4
mov #0x1C,r2
! Opcodes 3A68 - 3A6F
NA68:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2308
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2308:
jmp @r4
mov #0x1C,r2
! Opcodes 3A70 - 3A77
NA70:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2309
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2309:
jmp @r4
mov #0x1C,r2
! Opcode 3A78
NA78:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2310
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2310:
jmp @r4
mov #0x1C,r2
! Opcode 3A79
NA79:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2311
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2311:
jmp @r4
mov #0x1C,r2
! Opcode 3A7A
NA7A:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2312
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2312:
jmp @r4
mov #0x1C,r2
! Opcode 3A7B
NA7B:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2313
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2313:
jmp @r4
mov #0x1C,r2
! Opcode 3A7C
NA7C:
mov.l r3,@-r15
mov.w @r6+,r3
mov.l r3,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2314
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2314:
jmp @r4
mov #0x1C,r2
! Opcodes 3A80 - 3A87
NA80:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2315
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2315:
jmp @r4
mov #0x1C,r2
! Opcodes 3A88 - 3A8F
NA88:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2316
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2316:
jmp @r4
mov #0x1C,r2
! Opcodes 3A90 - 3A97
NA90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2317
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2317:
jmp @r4
mov #0x1C,r2
! Opcodes 3A98 - 3A9F
NA98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2318
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2318:
jmp @r4
mov #0x1C,r2
! Opcodes 3AA0 - 3AA7
NAA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2319
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2319:
jmp @r4
mov #0x1C,r2
! Opcodes 3AA8 - 3AAF
NAA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2320
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2320:
jmp @r4
mov #0x1C,r2
! Opcodes 3AB0 - 3AB7
NAB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2321
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2321:
jmp @r4
mov #0x1C,r2
! Opcode 3AB8
NAB8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2322
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2322:
jmp @r4
mov #0x1C,r2
! Opcode 3AB9
NAB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2323
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2323:
jmp @r4
mov #0x1C,r2
! Opcode 3ABA
NABA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2324
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2324:
jmp @r4
mov #0x1C,r2
! Opcode 3ABB
NABB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2325
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2325:
jmp @r4
mov #0x1C,r2
! Opcode 3ABC
NABC:
mov.w @r6+,r3
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2326
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2326:
jmp @r4
mov #0x1C,r2
! Opcodes 3AC0 - 3AC7
NAC0:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2327
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2327:
jmp @r4
mov #0x1C,r2
! Opcodes 3AC8 - 3ACF
NAC8:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2328
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2328:
jmp @r4
mov #0x1C,r2
! Opcodes 3AD0 - 3AD7
NAD0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2329
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2329:
jmp @r4
mov #0x1C,r2
! Opcodes 3AD8 - 3ADF
NAD8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2330
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2330:
jmp @r4
mov #0x1C,r2
! Opcodes 3AE0 - 3AE7
NAE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2331
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2331:
jmp @r4
mov #0x1C,r2
! Opcodes 3AE8 - 3AEF
NAE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2332
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2332:
jmp @r4
mov #0x1C,r2
! Opcodes 3AF0 - 3AF7
NAF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2333
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2333:
jmp @r4
mov #0x1C,r2
! Opcode 3AF8
NAF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2334
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2334:
jmp @r4
mov #0x1C,r2
! Opcode 3AF9
NAF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2335
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2335:
jmp @r4
mov #0x1C,r2
! Opcode 3AFA
NAFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2336
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2336:
jmp @r4
mov #0x1C,r2
! Opcode 3AFB
NAFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2337
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2337:
jmp @r4
mov #0x1C,r2
! Opcode 3AFC
NAFC:
mov.w @r6+,r3
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2338
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2338:
jmp @r4
mov #0x1C,r2
! Opcodes 3B00 - 3B07
NB00:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(52,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2339
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2339:
jmp @r4
mov #0x1C,r2
! Opcodes 3B08 - 3B0F
NB08:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(52,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2340
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2340:
jmp @r4
mov #0x1C,r2
! Opcodes 3B10 - 3B17
NB10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2341
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2341:
jmp @r4
mov #0x1C,r2
! Opcodes 3B18 - 3B1F
NB18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2342
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2342:
jmp @r4
mov #0x1C,r2
! Opcodes 3B20 - 3B27
NB20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2343
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2343:
jmp @r4
mov #0x1C,r2
! Opcodes 3B28 - 3B2F
NB28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2344
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2344:
jmp @r4
mov #0x1C,r2
! Opcodes 3B30 - 3B37
NB30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2345
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2345:
jmp @r4
mov #0x1C,r2
! Opcode 3B38
NB38:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2346
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2346:
jmp @r4
mov #0x1C,r2
! Opcode 3B39
NB39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2347
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2347:
jmp @r4
mov #0x1C,r2
! Opcode 3B3A
NB3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2348
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2348:
jmp @r4
mov #0x1C,r2
! Opcode 3B3B
NB3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2349
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2349:
jmp @r4
mov #0x1C,r2
! Opcode 3B3C
NB3C:
mov.w @r6+,r3
mov.l @(52,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2350
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2350:
jmp @r4
mov #0x1C,r2
! Opcodes 3B40 - 3B47
NB40:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2351
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2351:
jmp @r4
mov #0x1C,r2
! Opcodes 3B48 - 3B4F
NB48:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2352
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2352:
jmp @r4
mov #0x1C,r2
! Opcodes 3B50 - 3B57
NB50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2353
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2353:
jmp @r4
mov #0x1C,r2
! Opcodes 3B58 - 3B5F
NB58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2354
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2354:
jmp @r4
mov #0x1C,r2
! Opcodes 3B60 - 3B67
NB60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2355
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2355:
jmp @r4
mov #0x1C,r2
! Opcodes 3B68 - 3B6F
NB68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2356
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2356:
jmp @r4
mov #0x1C,r2
! Opcodes 3B70 - 3B77
NB70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2357
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2357:
jmp @r4
mov #0x1C,r2
! Opcode 3B78
NB78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2358
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2358:
jmp @r4
mov #0x1C,r2
! Opcode 3B79
NB79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2359
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2359:
jmp @r4
mov #0x1C,r2
! Opcode 3B7A
NB7A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2360
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2360:
jmp @r4
mov #0x1C,r2
! Opcode 3B7B
NB7B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2361
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2361:
jmp @r4
mov #0x1C,r2
! Opcode 3B7C
NB7C:
mov.w @r6+,r3
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2362
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2362:
jmp @r4
mov #0x1C,r2
! Opcodes 3B80 - 3B87
NB80:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2363
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2363:
jmp @r4
mov #0x1C,r2
! Opcodes 3B88 - 3B8F
NB88:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2364
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2364:
jmp @r4
mov #0x1C,r2
! Opcodes 3B90 - 3B97
NB90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2365
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2365:
jmp @r4
mov #0x1C,r2
! Opcodes 3B98 - 3B9F
NB98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2366
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2366:
jmp @r4
mov #0x1C,r2
! Opcodes 3BA0 - 3BA7
NBA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2367
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2367:
jmp @r4
mov #0x1C,r2
! Opcodes 3BA8 - 3BAF
NBA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2368
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2368:
jmp @r4
mov #0x1C,r2
! Opcodes 3BB0 - 3BB7
NBB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2369
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2369:
jmp @r4
mov #0x1C,r2
! Opcode 3BB8
NBB8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2370
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2370:
jmp @r4
mov #0x1C,r2
! Opcode 3BB9
NBB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl2371
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2371:
jmp @r4
mov #0x1C,r2
! Opcode 3BBA
NBBA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2372
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2372:
jmp @r4
mov #0x1C,r2
! Opcode 3BBB
NBBB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2373
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2373:
jmp @r4
mov #0x1C,r2
! Opcode 3BBC
NBBC:
mov.w @r6+,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2374
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2374:
jmp @r4
mov #0x1C,r2
! Opcodes 3C00 - 3C07
NC00:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #24,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2375
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2375:
jmp @r4
mov #0x1C,r2
! Opcodes 3C08 - 3C0F
NC08:
and r0,r2
add r14,r2
mov.w @r2,r3
mov #24,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2376
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2376:
jmp @r4
mov #0x1C,r2
! Opcodes 3C10 - 3C17
NC10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2377
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2377:
jmp @r4
mov #0x1C,r2
! Opcodes 3C18 - 3C1F
NC18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2378
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2378:
jmp @r4
mov #0x1C,r2
! Opcodes 3C20 - 3C27
NC20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl2379
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2379:
jmp @r4
mov #0x1C,r2
! Opcodes 3C28 - 3C2F
NC28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2380
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2380:
jmp @r4
mov #0x1C,r2
! Opcodes 3C30 - 3C37
NC30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2381
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2381:
jmp @r4
mov #0x1C,r2
! Opcode 3C38
NC38:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2382
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2382:
jmp @r4
mov #0x1C,r2
! Opcode 3C39
NC39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2383
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2383:
jmp @r4
mov #0x1C,r2
! Opcode 3C3A
NC3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2384
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2384:
jmp @r4
mov #0x1C,r2
! Opcode 3C3B
NC3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2385
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2385:
jmp @r4
mov #0x1C,r2
! Opcode 3C3C
NC3C:
mov.w @r6+,r3
mov #24,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2386
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2386:
jmp @r4
mov #0x1C,r2
! Opcodes 3C40 - 3C47
NC40:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.w @(r0,r13),r3
mov.l r3,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2387
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2387:
jmp @r4
mov #0x1C,r2
! Opcodes 3C48 - 3C4F
NC48:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.w @r2,r3
mov.l r3,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2388
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2388:
jmp @r4
mov #0x1C,r2
! Opcodes 3C50 - 3C57
NC50:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2389
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2389:
jmp @r4
mov #0x1C,r2
! Opcodes 3C58 - 3C5F
NC58:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2390
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2390:
jmp @r4
mov #0x1C,r2
! Opcodes 3C60 - 3C67
NC60:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl2391
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2391:
jmp @r4
mov #0x1C,r2
! Opcodes 3C68 - 3C6F
NC68:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2392
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2392:
jmp @r4
mov #0x1C,r2
! Opcodes 3C70 - 3C77
NC70:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2393
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2393:
jmp @r4
mov #0x1C,r2
! Opcode 3C78
NC78:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2394
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2394:
jmp @r4
mov #0x1C,r2
! Opcode 3C79
NC79:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2395
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2395:
jmp @r4
mov #0x1C,r2
! Opcode 3C7A
NC7A:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2396
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2396:
jmp @r4
mov #0x1C,r2
! Opcode 3C7B
NC7B:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2397
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2397:
jmp @r4
mov #0x1C,r2
! Opcode 3C7C
NC7C:
mov.l r3,@-r15
mov.w @r6+,r3
mov.l r3,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2398
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2398:
jmp @r4
mov #0x1C,r2
! Opcodes 3C80 - 3C87
NC80:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2399
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2399:
jmp @r4
mov #0x1C,r2
! Opcodes 3C88 - 3C8F
NC88:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2400
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2400:
jmp @r4
mov #0x1C,r2
! Opcodes 3C90 - 3C97
NC90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2401
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2401:
jmp @r4
mov #0x1C,r2
! Opcodes 3C98 - 3C9F
NC98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2402
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2402:
jmp @r4
mov #0x1C,r2
! Opcodes 3CA0 - 3CA7
NCA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2403
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2403:
jmp @r4
mov #0x1C,r2
! Opcodes 3CA8 - 3CAF
NCA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2404
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2404:
jmp @r4
mov #0x1C,r2
! Opcodes 3CB0 - 3CB7
NCB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2405
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2405:
jmp @r4
mov #0x1C,r2
! Opcode 3CB8
NCB8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2406
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2406:
jmp @r4
mov #0x1C,r2
! Opcode 3CB9
NCB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2407
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2407:
jmp @r4
mov #0x1C,r2
! Opcode 3CBA
NCBA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2408
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2408:
jmp @r4
mov #0x1C,r2
! Opcode 3CBB
NCBB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2409
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2409:
jmp @r4
mov #0x1C,r2
! Opcode 3CBC
NCBC:
mov.w @r6+,r3
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2410
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2410:
jmp @r4
mov #0x1C,r2
! Opcodes 3CC0 - 3CC7
NCC0:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2411
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2411:
jmp @r4
mov #0x1C,r2
! Opcodes 3CC8 - 3CCF
NCC8:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2412
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2412:
jmp @r4
mov #0x1C,r2
! Opcodes 3CD0 - 3CD7
NCD0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2413
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2413:
jmp @r4
mov #0x1C,r2
! Opcodes 3CD8 - 3CDF
NCD8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2414
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2414:
jmp @r4
mov #0x1C,r2
! Opcodes 3CE0 - 3CE7
NCE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2415
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2415:
jmp @r4
mov #0x1C,r2
! Opcodes 3CE8 - 3CEF
NCE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2416
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2416:
jmp @r4
mov #0x1C,r2
! Opcodes 3CF0 - 3CF7
NCF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2417
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2417:
jmp @r4
mov #0x1C,r2
! Opcode 3CF8
NCF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2418
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2418:
jmp @r4
mov #0x1C,r2
! Opcode 3CF9
NCF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2419
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2419:
jmp @r4
mov #0x1C,r2
! Opcode 3CFA
NCFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2420
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2420:
jmp @r4
mov #0x1C,r2
! Opcode 3CFB
NCFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2421
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2421:
jmp @r4
mov #0x1C,r2
! Opcode 3CFC
NCFC:
mov.w @r6+,r3
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2422
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2422:
jmp @r4
mov #0x1C,r2
! Opcodes 3D00 - 3D07
ND00:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(56,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2423
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2423:
jmp @r4
mov #0x1C,r2
! Opcodes 3D08 - 3D0F
ND08:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(56,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2424
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2424:
jmp @r4
mov #0x1C,r2
! Opcodes 3D10 - 3D17
ND10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2425
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2425:
jmp @r4
mov #0x1C,r2
! Opcodes 3D18 - 3D1F
ND18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2426
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2426:
jmp @r4
mov #0x1C,r2
! Opcodes 3D20 - 3D27
ND20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2427
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2427:
jmp @r4
mov #0x1C,r2
! Opcodes 3D28 - 3D2F
ND28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2428
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2428:
jmp @r4
mov #0x1C,r2
! Opcodes 3D30 - 3D37
ND30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2429
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2429:
jmp @r4
mov #0x1C,r2
! Opcode 3D38
ND38:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2430
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2430:
jmp @r4
mov #0x1C,r2
! Opcode 3D39
ND39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2431
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2431:
jmp @r4
mov #0x1C,r2
! Opcode 3D3A
ND3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2432
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2432:
jmp @r4
mov #0x1C,r2
! Opcode 3D3B
ND3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2433
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2433:
jmp @r4
mov #0x1C,r2
! Opcode 3D3C
ND3C:
mov.w @r6+,r3
mov.l @(56,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2434
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2434:
jmp @r4
mov #0x1C,r2
! Opcodes 3D40 - 3D47
ND40:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2435
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2435:
jmp @r4
mov #0x1C,r2
! Opcodes 3D48 - 3D4F
ND48:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2436
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2436:
jmp @r4
mov #0x1C,r2
! Opcodes 3D50 - 3D57
ND50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2437
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2437:
jmp @r4
mov #0x1C,r2
! Opcodes 3D58 - 3D5F
ND58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2438
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2438:
jmp @r4
mov #0x1C,r2
! Opcodes 3D60 - 3D67
ND60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2439
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2439:
jmp @r4
mov #0x1C,r2
! Opcodes 3D68 - 3D6F
ND68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2440
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2440:
jmp @r4
mov #0x1C,r2
! Opcodes 3D70 - 3D77
ND70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2441
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2441:
jmp @r4
mov #0x1C,r2
! Opcode 3D78
ND78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2442
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2442:
jmp @r4
mov #0x1C,r2
! Opcode 3D79
ND79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2443
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2443:
jmp @r4
mov #0x1C,r2
! Opcode 3D7A
ND7A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2444
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2444:
jmp @r4
mov #0x1C,r2
! Opcode 3D7B
ND7B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2445
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2445:
jmp @r4
mov #0x1C,r2
! Opcode 3D7C
ND7C:
mov.w @r6+,r3
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2446
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2446:
jmp @r4
mov #0x1C,r2
! Opcodes 3D80 - 3D87
ND80:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2447
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2447:
jmp @r4
mov #0x1C,r2
! Opcodes 3D88 - 3D8F
ND88:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2448
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2448:
jmp @r4
mov #0x1C,r2
! Opcodes 3D90 - 3D97
ND90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2449
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2449:
jmp @r4
mov #0x1C,r2
! Opcodes 3D98 - 3D9F
ND98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2450
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2450:
jmp @r4
mov #0x1C,r2
! Opcodes 3DA0 - 3DA7
NDA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2451
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2451:
jmp @r4
mov #0x1C,r2
! Opcodes 3DA8 - 3DAF
NDA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2452
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2452:
jmp @r4
mov #0x1C,r2
! Opcodes 3DB0 - 3DB7
NDB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2453
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2453:
jmp @r4
mov #0x1C,r2
! Opcode 3DB8
NDB8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2454
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2454:
jmp @r4
mov #0x1C,r2
! Opcode 3DB9
NDB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl2455
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2455:
jmp @r4
mov #0x1C,r2
! Opcode 3DBA
NDBA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2456
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2456:
jmp @r4
mov #0x1C,r2
! Opcode 3DBB
NDBB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2457
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2457:
jmp @r4
mov #0x1C,r2
! Opcode 3DBC
NDBC:
mov.w @r6+,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2458
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2458:
jmp @r4
mov #0x1C,r2
! Opcodes 3E00 - 3E07
NE00:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #28,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2459
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2459:
jmp @r4
mov #0x1C,r2
! Opcodes 3E08 - 3E0F
NE08:
and r0,r2
add r14,r2
mov.w @r2,r3
mov #28,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2460
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2460:
jmp @r4
mov #0x1C,r2
! Opcodes 3E10 - 3E17
NE10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2461
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2461:
jmp @r4
mov #0x1C,r2
! Opcodes 3E18 - 3E1F
NE18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2462
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2462:
jmp @r4
mov #0x1C,r2
! Opcodes 3E20 - 3E27
NE20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl2463
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2463:
jmp @r4
mov #0x1C,r2
! Opcodes 3E28 - 3E2F
NE28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2464
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2464:
jmp @r4
mov #0x1C,r2
! Opcodes 3E30 - 3E37
NE30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2465
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2465:
jmp @r4
mov #0x1C,r2
! Opcode 3E38
NE38:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2466
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2466:
jmp @r4
mov #0x1C,r2
! Opcode 3E39
NE39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2467
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2467:
jmp @r4
mov #0x1C,r2
! Opcode 3E3A
NE3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2468
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2468:
jmp @r4
mov #0x1C,r2
! Opcode 3E3B
NE3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2469
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2469:
jmp @r4
mov #0x1C,r2
! Opcode 3E3C
NE3C:
mov.w @r6+,r3
mov #28,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2470
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2470:
jmp @r4
mov #0x1C,r2
! Opcodes 3E40 - 3E47
NE40:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.w @(r0,r13),r3
mov.l r3,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2471
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2471:
jmp @r4
mov #0x1C,r2
! Opcodes 3E48 - 3E4F
NE48:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.w @r2,r3
mov.l r3,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2472
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2472:
jmp @r4
mov #0x1C,r2
! Opcodes 3E50 - 3E57
NE50:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2473
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2473:
jmp @r4
mov #0x1C,r2
! Opcodes 3E58 - 3E5F
NE58:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2474
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2474:
jmp @r4
mov #0x1C,r2
! Opcodes 3E60 - 3E67
NE60:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl2475
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2475:
jmp @r4
mov #0x1C,r2
! Opcodes 3E68 - 3E6F
NE68:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2476
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2476:
jmp @r4
mov #0x1C,r2
! Opcodes 3E70 - 3E77
NE70:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2477
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2477:
jmp @r4
mov #0x1C,r2
! Opcode 3E78
NE78:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2478
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2478:
jmp @r4
mov #0x1C,r2
! Opcode 3E79
NE79:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2479
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2479:
jmp @r4
mov #0x1C,r2
! Opcode 3E7A
NE7A:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2480
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2480:
jmp @r4
mov #0x1C,r2
! Opcode 3E7B
NE7B:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2481
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2481:
jmp @r4
mov #0x1C,r2
! Opcode 3E7C
NE7C:
mov.l r3,@-r15
mov.w @r6+,r3
mov.l r3,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2482
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2482:
jmp @r4
mov #0x1C,r2
! Opcodes 3E80 - 3E87
NE80:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2483
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2483:
jmp @r4
mov #0x1C,r2
! Opcodes 3E88 - 3E8F
NE88:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2484
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2484:
jmp @r4
mov #0x1C,r2
! Opcodes 3E90 - 3E97
NE90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2485
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2485:
jmp @r4
mov #0x1C,r2
! Opcodes 3E98 - 3E9F
NE98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2486
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2486:
jmp @r4
mov #0x1C,r2
! Opcodes 3EA0 - 3EA7
NEA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2487
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2487:
jmp @r4
mov #0x1C,r2
! Opcodes 3EA8 - 3EAF
NEA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2488
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2488:
jmp @r4
mov #0x1C,r2
! Opcodes 3EB0 - 3EB7
NEB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2489
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2489:
jmp @r4
mov #0x1C,r2
! Opcode 3EB8
NEB8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2490
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2490:
jmp @r4
mov #0x1C,r2
! Opcode 3EB9
NEB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2491
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2491:
jmp @r4
mov #0x1C,r2
! Opcode 3EBA
NEBA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2492
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2492:
jmp @r4
mov #0x1C,r2
! Opcode 3EBB
NEBB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2493
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2493:
jmp @r4
mov #0x1C,r2
! Opcode 3EBC
NEBC:
mov.w @r6+,r3
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2494
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2494:
jmp @r4
mov #0x1C,r2
! Opcodes 3EC0 - 3EC7
NEC0:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2495
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2495:
jmp @r4
mov #0x1C,r2
! Opcodes 3EC8 - 3ECF
NEC8:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2496
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2496:
jmp @r4
mov #0x1C,r2
! Opcodes 3ED0 - 3ED7
NED0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2497
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2497:
jmp @r4
mov #0x1C,r2
! Opcodes 3ED8 - 3EDF
NED8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2498
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2498:
jmp @r4
mov #0x1C,r2
! Opcodes 3EE0 - 3EE7
NEE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2499
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2499:
jmp @r4
mov #0x1C,r2
! Opcodes 3EE8 - 3EEF
NEE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2500
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2500:
jmp @r4
mov #0x1C,r2
! Opcodes 3EF0 - 3EF7
NEF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2501
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2501:
jmp @r4
mov #0x1C,r2
! Opcode 3EF8
NEF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2502
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2502:
jmp @r4
mov #0x1C,r2
! Opcode 3EF9
NEF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2503
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2503:
jmp @r4
mov #0x1C,r2
! Opcode 3EFA
NEFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2504
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2504:
jmp @r4
mov #0x1C,r2
! Opcode 3EFB
NEFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2505
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2505:
jmp @r4
mov #0x1C,r2
! Opcode 3EFC
NEFC:
mov.w @r6+,r3
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2506
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2506:
jmp @r4
mov #0x1C,r2
! Opcodes 3F00 - 3F07
NF00:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(60,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2507
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2507:
jmp @r4
mov #0x1C,r2
! Opcodes 3F08 - 3F0F
NF08:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(60,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2508
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2508:
jmp @r4
mov #0x1C,r2
! Opcodes 3F10 - 3F17
NF10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2509
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2509:
jmp @r4
mov #0x1C,r2
! Opcodes 3F18 - 3F1F
NF18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2510
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2510:
jmp @r4
mov #0x1C,r2
! Opcodes 3F20 - 3F27
NF20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2511
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2511:
jmp @r4
mov #0x1C,r2
! Opcodes 3F28 - 3F2F
NF28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2512
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2512:
jmp @r4
mov #0x1C,r2
! Opcodes 3F30 - 3F37
NF30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2513
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2513:
jmp @r4
mov #0x1C,r2
! Opcode 3F38
NF38:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2514
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2514:
jmp @r4
mov #0x1C,r2
! Opcode 3F39
NF39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2515
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2515:
jmp @r4
mov #0x1C,r2
! Opcode 3F3A
NF3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2516
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2516:
jmp @r4
mov #0x1C,r2
! Opcode 3F3B
NF3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2517
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2517:
jmp @r4
mov #0x1C,r2
! Opcode 3F3C
NF3C:
mov.w @r6+,r3
mov.l @(60,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2518
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2518:
jmp @r4
mov #0x1C,r2
! Opcodes 3F40 - 3F47
NF40:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2519
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2519:
jmp @r4
mov #0x1C,r2
! Opcodes 3F48 - 3F4F
NF48:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2520
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2520:
jmp @r4
mov #0x1C,r2
! Opcodes 3F50 - 3F57
NF50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2521
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2521:
jmp @r4
mov #0x1C,r2
! Opcodes 3F58 - 3F5F
NF58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2522
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2522:
jmp @r4
mov #0x1C,r2
! Opcodes 3F60 - 3F67
NF60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2523
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2523:
jmp @r4
mov #0x1C,r2
! Opcodes 3F68 - 3F6F
NF68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2524
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2524:
jmp @r4
mov #0x1C,r2
! Opcodes 3F70 - 3F77
NF70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2525
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2525:
jmp @r4
mov #0x1C,r2
! Opcode 3F78
NF78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2526
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2526:
jmp @r4
mov #0x1C,r2
! Opcode 3F79
NF79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2527
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2527:
jmp @r4
mov #0x1C,r2
! Opcode 3F7A
NF7A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2528
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2528:
jmp @r4
mov #0x1C,r2
! Opcode 3F7B
NF7B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2529
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2529:
jmp @r4
mov #0x1C,r2
! Opcode 3F7C
NF7C:
mov.w @r6+,r3
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2530
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2530:
jmp @r4
mov #0x1C,r2
! Opcodes 3F80 - 3F87
NF80:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2531
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2531:
jmp @r4
mov #0x1C,r2
! Opcodes 3F88 - 3F8F
NF88:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2532
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2532:
jmp @r4
mov #0x1C,r2
! Opcodes 3F90 - 3F97
NF90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2533
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2533:
jmp @r4
mov #0x1C,r2
! Opcodes 3F98 - 3F9F
NF98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2534
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2534:
jmp @r4
mov #0x1C,r2
! Opcodes 3FA0 - 3FA7
NFA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2535
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2535:
jmp @r4
mov #0x1C,r2
! Opcodes 3FA8 - 3FAF
NFA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2536
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2536:
jmp @r4
mov #0x1C,r2
! Opcodes 3FB0 - 3FB7
NFB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2537
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2537:
jmp @r4
mov #0x1C,r2
! Opcode 3FB8
NFB8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2538
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2538:
jmp @r4
mov #0x1C,r2
! Opcode 3FB9
NFB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl2539
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2539:
jmp @r4
mov #0x1C,r2
! Opcode 3FBA
NFBA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2540
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2540:
jmp @r4
mov #0x1C,r2
! Opcode 3FBB
NFBB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2541
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2541:
jmp @r4
mov #0x1C,r2
! Opcode 3FBC
NFBC:
mov.w @r6+,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2542
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2542:
jmp @r4
mov #0x1C,r2
! Opcodes 4000 - 4007
O000:
and r0,r2
mov.l r3,@-r15
add r13,r2
mov.b @r2,r3
mov #24,r0
shld r0,r3
mov r3,r1
shlr r9
movt r8
negc r3,r3
movt r9
mov #0,r0
subv r8,r0
movt r3
subv r1,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.b r3,@r2
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2543
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2543:
jmp @r4
mov #0x1C,r2
! Opcodes 4010 - 4017
O010:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
shld r0,r3
mov r3,r1
shlr r9
movt r8
negc r3,r3
movt r9
mov #0,r0
subv r8,r0
movt r3
subv r1,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2544
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2544:
jmp @r4
mov #0x1C,r2
! Opcodes 4018 - 401F
O018:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
shld r0,r3
mov r3,r1
shlr r9
movt r8
negc r3,r3
movt r9
mov #0,r0
subv r8,r0
movt r3
subv r1,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2545
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2545:
jmp @r4
mov #0x1C,r2
! Opcodes 4020 - 4027
O020:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
shld r0,r3
mov r3,r1
shlr r9
movt r8
negc r3,r3
movt r9
mov #0,r0
subv r8,r0
movt r3
subv r1,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2546
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2546:
jmp @r4
mov #0x1C,r2
! Opcodes 4028 - 402F
O028:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
shld r0,r3
mov r3,r1
shlr r9
movt r8
negc r3,r3
movt r9
mov #0,r0
subv r8,r0
movt r3
subv r1,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2547
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2547:
jmp @r4
mov #0x1C,r2
! Opcodes 4030 - 4037
O030:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
shld r0,r3
mov r3,r1
shlr r9
movt r8
negc r3,r3
movt r9
mov #0,r0
subv r8,r0
movt r3
subv r1,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2548
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2548:
jmp @r4
mov #0x1C,r2
! Opcode 4038
O038:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
shld r0,r3
mov r3,r1
shlr r9
movt r8
negc r3,r3
movt r9
mov #0,r0
subv r8,r0
movt r3
subv r1,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2549
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2549:
jmp @r4
mov #0x1C,r2
! Opcode 4039
O039:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
shld r0,r3
mov r3,r1
shlr r9
movt r8
negc r3,r3
movt r9
mov #0,r0
subv r8,r0
movt r3
subv r1,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2550
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2550:
jmp @r4
mov #0x1C,r2
! Opcodes 4040 - 4047
O040:
and r0,r2
mov.l r3,@-r15
add r13,r2
mov.w @r2,r3
shll16 r3
mov r3,r1
shlr r9
movt r8
negc r3,r3
movt r9
mov #0,r0
subv r8,r0
movt r3
subv r1,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.w r3,@r2
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2551
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2551:
jmp @r4
mov #0x1C,r2
! Opcodes 4050 - 4057
O050:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov r3,r1
shlr r9
movt r8
negc r3,r3
movt r9
mov #0,r0
subv r8,r0
movt r3
subv r1,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2552
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2552:
jmp @r4
mov #0x1C,r2
! Opcodes 4058 - 405F
O058:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov r3,r1
shlr r9
movt r8
negc r3,r3
movt r9
mov #0,r0
subv r8,r0
movt r3
subv r1,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2553
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2553:
jmp @r4
mov #0x1C,r2
! Opcodes 4060 - 4067
O060:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov r3,r1
shlr r9
movt r8
negc r3,r3
movt r9
mov #0,r0
subv r8,r0
movt r3
subv r1,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2554
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2554:
jmp @r4
mov #0x1C,r2
! Opcodes 4068 - 406F
O068:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov r3,r1
shlr r9
movt r8
negc r3,r3
movt r9
mov #0,r0
subv r8,r0
movt r3
subv r1,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2555
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2555:
jmp @r4
mov #0x1C,r2
! Opcodes 4070 - 4077
O070:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov r3,r1
shlr r9
movt r8
negc r3,r3
movt r9
mov #0,r0
subv r8,r0
movt r3
subv r1,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2556
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2556:
jmp @r4
mov #0x1C,r2
! Opcode 4078
O078:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov r3,r1
shlr r9
movt r8
negc r3,r3
movt r9
mov #0,r0
subv r8,r0
movt r3
subv r1,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2557
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2557:
jmp @r4
mov #0x1C,r2
! Opcode 4079
O079:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov r3,r1
shlr r9
movt r8
negc r3,r3
movt r9
mov #0,r0
subv r8,r0
movt r3
subv r1,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2558
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2558:
jmp @r4
mov #0x1C,r2
! Opcodes 4080 - 4087
O080:
and r0,r2
mov.l r3,@-r15
add r13,r2
mov.l @r2,r3
mov r3,r1
shlr r9
movt r8
negc r3,r3
movt r9
mov #0,r0
subv r8,r0
movt r3
subv r1,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l r3,@r2
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl2559
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2559:
jmp @r4
mov #0x1C,r2
! Opcodes 4090 - 4097
O090:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
shlr r9
movt r8
negc r3,r3
movt r9
mov #0,r0
subv r8,r0
movt r3
subv r1,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2560
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2560:
jmp @r4
mov #0x1C,r2
! Opcodes 4098 - 409F
O098:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
shlr r9
movt r8
negc r3,r3
movt r9
mov #0,r0
subv r8,r0
movt r3
subv r1,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2561
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2561:
jmp @r4
mov #0x1C,r2
! Opcodes 40A0 - 40A7
O0A0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
shlr r9
movt r8
negc r3,r3
movt r9
mov #0,r0
subv r8,r0
movt r3
subv r1,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2562
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2562:
jmp @r4
mov #0x1C,r2
! Opcodes 40A8 - 40AF
O0A8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
shlr r9
movt r8
negc r3,r3
movt r9
mov #0,r0
subv r8,r0
movt r3
subv r1,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2563
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2563:
jmp @r4
mov #0x1C,r2
! Opcodes 40B0 - 40B7
O0B0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
shlr r9
movt r8
negc r3,r3
movt r9
mov #0,r0
subv r8,r0
movt r3
subv r1,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl2564
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2564:
jmp @r4
mov #0x1C,r2
! Opcode 40B8
O0B8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
shlr r9
movt r8
negc r3,r3
movt r9
mov #0,r0
subv r8,r0
movt r3
subv r1,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2565
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2565:
jmp @r4
mov #0x1C,r2
! Opcode 40B9
O0B9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
shlr r9
movt r8
negc r3,r3
movt r9
mov #0,r0
subv r8,r0
movt r3
subv r1,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl2566
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2566:
jmp @r4
mov #0x1C,r2
! Opcodes 40C0 - 40C7
O0C0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
mov r9,r1
shlr r0
addc r1,r1
tst r3,r3
addc r1,r1
and #3,r0
mov r1,r3
shll2 r3
or r0,r3
mov r10,r0
shll8 r0
or r0,r3
mov r2,r0
mov.w r3,@(r0,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl2567
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2567:
jmp @r4
mov #0x1C,r2
! Opcodes 40D0 - 40D7
O0D0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
mov r9,r1
shlr r0
addc r1,r1
tst r3,r3
addc r1,r1
and #3,r0
mov r1,r3
shll2 r3
or r0,r3
mov r10,r0
shll8 r0
or r0,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2568
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2568:
jmp @r4
mov #0x1C,r2
! Opcodes 40D8 - 40DF
O0D8:
and r0,r2
mov.l r3,@-r15
mov r8,r0
mov r9,r1
shlr r0
addc r1,r1
tst r3,r3
addc r1,r1
and #3,r0
mov r1,r3
shll2 r3
or r0,r3
mov r10,r0
shll8 r0
or r0,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2569
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2569:
jmp @r4
mov #0x1C,r2
! Opcodes 40E0 - 40E7
O0E0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
mov r9,r1
shlr r0
addc r1,r1
tst r3,r3
addc r1,r1
and #3,r0
mov r1,r3
shll2 r3
or r0,r3
mov r10,r0
shll8 r0
or r0,r3
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2570
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2570:
jmp @r4
mov #0x1C,r2
! Opcodes 40E8 - 40EF
O0E8:
and r0,r2
mov.l r3,@-r15
mov r8,r0
mov r9,r1
shlr r0
addc r1,r1
tst r3,r3
addc r1,r1
and #3,r0
mov r1,r3
shll2 r3
or r0,r3
mov r10,r0
shll8 r0
or r0,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2571
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2571:
jmp @r4
mov #0x1C,r2
! Opcodes 40F0 - 40F7
O0F0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
mov r9,r1
shlr r0
addc r1,r1
tst r3,r3
addc r1,r1
and #3,r0
mov r1,r3
shll2 r3
or r0,r3
mov r10,r0
shll8 r0
or r0,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2572
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2572:
jmp @r4
mov #0x1C,r2
! Opcode 40F8
O0F8:
mov.l r3,@-r15
mov r8,r0
mov r9,r1
shlr r0
addc r1,r1
tst r3,r3
addc r1,r1
and #3,r0
mov r1,r3
shll2 r3
or r0,r3
mov r10,r0
shll8 r0
or r0,r3
mov.w @r6+,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2573
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2573:
jmp @r4
mov #0x1C,r2
! Opcode 40F9
O0F9:
mov.l r3,@-r15
mov r8,r0
mov r9,r1
shlr r0
addc r1,r1
tst r3,r3
addc r1,r1
and #3,r0
mov r1,r3
shll2 r3
or r0,r3
mov r10,r0
shll8 r0
or r0,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2574
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2574:
jmp @r4
mov #0x1C,r2
! Opcodes 4180 - 4187
O180:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.w @r13,r1
extu.w r1,r1
cmp/pz r1
bf setn2575
mov #0,r8
cmp/hi r3,r1
bt ln2575
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl2576
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2576:
jmp @r4
mov #0x1C,r2
.align 5
setn2575:
mov #1,r8
ln2575:
mov.l r1,@-r15
mov.l g2_except_ptr2575,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2575,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl2577
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2577:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2575: .long group_2_exception
bf_addr2575: .long basefunction
! Opcodes 4190 - 4197
O190:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
extu.w r1,r1
cmp/pz r1
bf setn2578
mov #0,r8
cmp/hi r3,r1
bt ln2578
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2579
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2579:
jmp @r4
mov #0x1C,r2
.align 5
setn2578:
mov #1,r8
ln2578:
mov.l r1,@-r15
mov.l g2_except_ptr2578,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2578,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
shll2 r0
cmp/pl r7
bt/s fdl2580
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2580:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2578: .long group_2_exception
bf_addr2578: .long basefunction
! Opcodes 4198 - 419F
O198:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r13,r1
extu.w r1,r1
cmp/pz r1
bf setn2581
mov #0,r8
cmp/hi r3,r1
bt ln2581
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2582
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2582:
jmp @r4
mov #0x1C,r2
.align 5
setn2581:
mov #1,r8
ln2581:
mov.l r1,@-r15
mov.l g2_except_ptr2581,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2581,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
shll2 r0
cmp/pl r7
bt/s fdl2583
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2583:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2581: .long group_2_exception
bf_addr2581: .long basefunction
! Opcodes 41A0 - 41A7
O1A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r13,r1
extu.w r1,r1
cmp/pz r1
bf setn2584
mov #0,r8
cmp/hi r3,r1
bt ln2584
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2585
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2585:
jmp @r4
mov #0x1C,r2
.align 5
setn2584:
mov #1,r8
ln2584:
mov.l r1,@-r15
mov.l g2_except_ptr2584,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2584,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-56,r7
shll2 r0
cmp/pl r7
bt/s fdl2586
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2586:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2584: .long group_2_exception
bf_addr2584: .long basefunction
! Opcodes 41A8 - 41AF
O1A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
extu.w r1,r1
cmp/pz r1
bf setn2587
mov #0,r8
cmp/hi r3,r1
bt ln2587
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2588
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2588:
jmp @r4
mov #0x1C,r2
.align 5
setn2587:
mov #1,r8
ln2587:
mov.l r1,@-r15
mov.l g2_except_ptr2587,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2587,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
shll2 r0
cmp/pl r7
bt/s fdl2589
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2589:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2587: .long group_2_exception
bf_addr2587: .long basefunction
! Opcodes 41B0 - 41B7
O1B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
extu.w r1,r1
cmp/pz r1
bf setn2590
mov #0,r8
cmp/hi r3,r1
bt ln2590
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2591
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2591:
jmp @r4
mov #0x1C,r2
.align 5
setn2590:
mov #1,r8
ln2590:
mov.l r1,@-r15
mov.l g2_except_ptr2590,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2590,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
shll2 r0
cmp/pl r7
bt/s fdl2592
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2592:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2590: .long group_2_exception
bf_addr2590: .long basefunction
! Opcode 41B8
O1B8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
extu.w r1,r1
cmp/pz r1
bf setn2593
mov #0,r8
cmp/hi r3,r1
bt ln2593
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2594
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2594:
jmp @r4
mov #0x1C,r2
.align 5
setn2593:
mov #1,r8
ln2593:
mov.l r1,@-r15
mov.l g2_except_ptr2593,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2593,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
shll2 r0
cmp/pl r7
bt/s fdl2595
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2595:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2593: .long group_2_exception
bf_addr2593: .long basefunction
! Opcode 41B9
O1B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
extu.w r1,r1
cmp/pz r1
bf setn2596
mov #0,r8
cmp/hi r3,r1
bt ln2596
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2597
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2597:
jmp @r4
mov #0x1C,r2
.align 5
setn2596:
mov #1,r8
ln2596:
mov.l r1,@-r15
mov.l g2_except_ptr2596,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2596,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-62,r7
shll2 r0
cmp/pl r7
bt/s fdl2598
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2598:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2596: .long group_2_exception
bf_addr2596: .long basefunction
! Opcode 41BA
O1BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
extu.w r1,r1
cmp/pz r1
bf setn2599
mov #0,r8
cmp/hi r3,r1
bt ln2599
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2600
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2600:
jmp @r4
mov #0x1C,r2
.align 5
setn2599:
mov #1,r8
ln2599:
mov.l r1,@-r15
mov.l g2_except_ptr2599,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2599,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
shll2 r0
cmp/pl r7
bt/s fdl2601
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2601:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2599: .long group_2_exception
bf_addr2599: .long basefunction
! Opcode 41BB
O1BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
extu.w r1,r1
cmp/pz r1
bf setn2602
mov #0,r8
cmp/hi r3,r1
bt ln2602
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2603
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2603:
jmp @r4
mov #0x1C,r2
.align 5
setn2602:
mov #1,r8
ln2602:
mov.l r1,@-r15
mov.l g2_except_ptr2602,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2602,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
shll2 r0
cmp/pl r7
bt/s fdl2604
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2604:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2602: .long group_2_exception
bf_addr2602: .long basefunction
! Opcode 41BC
O1BC:
mov.w @r6+,r3
mov.w @r13,r1
extu.w r1,r1
cmp/pz r1
bf setn2605
mov #0,r8
cmp/hi r3,r1
bt ln2605
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2606
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2606:
jmp @r4
mov #0x1C,r2
.align 5
setn2605:
mov #1,r8
ln2605:
mov.l r1,@-r15
mov.l g2_except_ptr2605,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2605,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
shll2 r0
cmp/pl r7
bt/s fdl2607
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2607:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2605: .long group_2_exception
bf_addr2605: .long basefunction
! Opcodes 41D0 - 41D7
O1D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l r4,@(32,r13)
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2608
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2608:
jmp @r4
mov #0x1C,r2
! Opcodes 41E8 - 41EF
O1E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(32,r13)
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2609
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2609:
jmp @r4
mov #0x1C,r2
! Opcodes 41F0 - 41F7
O1F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(32,r13)
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2610
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2610:
jmp @r4
mov #0x1C,r2
! Opcode 41F8
O1F8:
mov.w @r6+,r4
mov.l r4,@(32,r13)
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2611
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2611:
jmp @r4
mov #0x1C,r2
! Opcode 41F9
O1F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l r4,@(32,r13)
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2612
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2612:
jmp @r4
mov #0x1C,r2
! Opcode 41FA
O1FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l r4,@(32,r13)
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2613
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2613:
jmp @r4
mov #0x1C,r2
! Opcode 41FB
O1FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l r4,@(32,r13)
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2614
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2614:
jmp @r4
mov #0x1C,r2
! Opcodes 4200 - 4207
O200:
and r0,r2
mov #0,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov r3,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2615
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2615:
jmp @r4
mov #0x1C,r2
! Opcodes 4210 - 4217
O210:
and r0,r2
mov #0,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2616
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2616:
jmp @r4
mov #0x1C,r2
! Opcodes 4218 - 421F
O218:
and r0,r2
mov #0,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2617
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2617:
jmp @r4
mov #0x1C,r2
! Opcodes 4220 - 4227
O220:
and r0,r2
mov #0,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2618
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2618:
jmp @r4
mov #0x1C,r2
! Opcodes 4228 - 422F
O228:
and r0,r2
mov #0,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2619
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2619:
jmp @r4
mov #0x1C,r2
! Opcodes 4230 - 4237
O230:
and r0,r2
mov #0,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2620
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2620:
jmp @r4
mov #0x1C,r2
! Opcode 4238
O238:
mov #0,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2621
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2621:
jmp @r4
mov #0x1C,r2
! Opcode 4239
O239:
mov #0,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2622
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2622:
jmp @r4
mov #0x1C,r2
! Opcodes 4240 - 4247
O240:
and r0,r2
mov #0,r3
mov r2,r0
mov.w r3,@(r0,r13)
mov r3,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2623
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2623:
jmp @r4
mov #0x1C,r2
! Opcodes 4250 - 4257
O250:
and r0,r2
mov #0,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2624
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2624:
jmp @r4
mov #0x1C,r2
! Opcodes 4258 - 425F
O258:
and r0,r2
mov #0,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2625
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2625:
jmp @r4
mov #0x1C,r2
! Opcodes 4260 - 4267
O260:
and r0,r2
mov #0,r3
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2626
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2626:
jmp @r4
mov #0x1C,r2
! Opcodes 4268 - 426F
O268:
and r0,r2
mov #0,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2627
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2627:
jmp @r4
mov #0x1C,r2
! Opcodes 4270 - 4277
O270:
and r0,r2
mov #0,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2628
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2628:
jmp @r4
mov #0x1C,r2
! Opcode 4278
O278:
mov #0,r3
mov.w @r6+,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2629
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2629:
jmp @r4
mov #0x1C,r2
! Opcode 4279
O279:
mov #0,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2630
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2630:
jmp @r4
mov #0x1C,r2
! Opcodes 4280 - 4287
O280:
and r0,r2
mov #0,r3
mov r2,r0
mov.l r3,@(r0,r13)
mov r3,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl2631
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2631:
jmp @r4
mov #0x1C,r2
! Opcodes 4290 - 4297
O290:
and r0,r2
mov #0,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2632
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2632:
jmp @r4
mov #0x1C,r2
! Opcodes 4298 - 429F
O298:
and r0,r2
mov #0,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2633
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2633:
jmp @r4
mov #0x1C,r2
! Opcodes 42A0 - 42A7
O2A0:
and r0,r2
mov #0,r3
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2634
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2634:
jmp @r4
mov #0x1C,r2
! Opcodes 42A8 - 42AF
O2A8:
and r0,r2
mov #0,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2635
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2635:
jmp @r4
mov #0x1C,r2
! Opcodes 42B0 - 42B7
O2B0:
and r0,r2
mov #0,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2636
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2636:
jmp @r4
mov #0x1C,r2
! Opcode 42B8
O2B8:
mov #0,r3
mov.w @r6+,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2637
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2637:
jmp @r4
mov #0x1C,r2
! Opcode 42B9
O2B9:
mov #0,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2638
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2638:
jmp @r4
mov #0x1C,r2
! Opcodes 4380 - 4387
O380:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #4,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2639
mov #0,r8
cmp/hi r3,r1
bt ln2639
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl2640
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2640:
jmp @r4
mov #0x1C,r2
.align 5
setn2639:
mov #1,r8
ln2639:
mov.l r1,@-r15
mov.l g2_except_ptr2639,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2639,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl2641
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2641:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2639: .long group_2_exception
bf_addr2639: .long basefunction
! Opcodes 4390 - 4397
O390:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2642
mov #0,r8
cmp/hi r3,r1
bt ln2642
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2643
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2643:
jmp @r4
mov #0x1C,r2
.align 5
setn2642:
mov #1,r8
ln2642:
mov.l r1,@-r15
mov.l g2_except_ptr2642,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2642,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
shll2 r0
cmp/pl r7
bt/s fdl2644
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2644:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2642: .long group_2_exception
bf_addr2642: .long basefunction
! Opcodes 4398 - 439F
O398:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2645
mov #0,r8
cmp/hi r3,r1
bt ln2645
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2646
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2646:
jmp @r4
mov #0x1C,r2
.align 5
setn2645:
mov #1,r8
ln2645:
mov.l r1,@-r15
mov.l g2_except_ptr2645,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2645,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
shll2 r0
cmp/pl r7
bt/s fdl2647
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2647:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2645: .long group_2_exception
bf_addr2645: .long basefunction
! Opcodes 43A0 - 43A7
O3A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2648
mov #0,r8
cmp/hi r3,r1
bt ln2648
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2649
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2649:
jmp @r4
mov #0x1C,r2
.align 5
setn2648:
mov #1,r8
ln2648:
mov.l r1,@-r15
mov.l g2_except_ptr2648,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2648,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-56,r7
shll2 r0
cmp/pl r7
bt/s fdl2650
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2650:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2648: .long group_2_exception
bf_addr2648: .long basefunction
! Opcodes 43A8 - 43AF
O3A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2651
mov #0,r8
cmp/hi r3,r1
bt ln2651
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2652
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2652:
jmp @r4
mov #0x1C,r2
.align 5
setn2651:
mov #1,r8
ln2651:
mov.l r1,@-r15
mov.l g2_except_ptr2651,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2651,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
shll2 r0
cmp/pl r7
bt/s fdl2653
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2653:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2651: .long group_2_exception
bf_addr2651: .long basefunction
! Opcodes 43B0 - 43B7
O3B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2654
mov #0,r8
cmp/hi r3,r1
bt ln2654
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2655
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2655:
jmp @r4
mov #0x1C,r2
.align 5
setn2654:
mov #1,r8
ln2654:
mov.l r1,@-r15
mov.l g2_except_ptr2654,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2654,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
shll2 r0
cmp/pl r7
bt/s fdl2656
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2656:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2654: .long group_2_exception
bf_addr2654: .long basefunction
! Opcode 43B8
O3B8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2657
mov #0,r8
cmp/hi r3,r1
bt ln2657
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2658
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2658:
jmp @r4
mov #0x1C,r2
.align 5
setn2657:
mov #1,r8
ln2657:
mov.l r1,@-r15
mov.l g2_except_ptr2657,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2657,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
shll2 r0
cmp/pl r7
bt/s fdl2659
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2659:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2657: .long group_2_exception
bf_addr2657: .long basefunction
! Opcode 43B9
O3B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2660
mov #0,r8
cmp/hi r3,r1
bt ln2660
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2661
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2661:
jmp @r4
mov #0x1C,r2
.align 5
setn2660:
mov #1,r8
ln2660:
mov.l r1,@-r15
mov.l g2_except_ptr2660,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2660,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-62,r7
shll2 r0
cmp/pl r7
bt/s fdl2662
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2662:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2660: .long group_2_exception
bf_addr2660: .long basefunction
! Opcode 43BA
O3BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2663
mov #0,r8
cmp/hi r3,r1
bt ln2663
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2664
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2664:
jmp @r4
mov #0x1C,r2
.align 5
setn2663:
mov #1,r8
ln2663:
mov.l r1,@-r15
mov.l g2_except_ptr2663,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2663,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
shll2 r0
cmp/pl r7
bt/s fdl2665
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2665:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2663: .long group_2_exception
bf_addr2663: .long basefunction
! Opcode 43BB
O3BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2666
mov #0,r8
cmp/hi r3,r1
bt ln2666
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2667
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2667:
jmp @r4
mov #0x1C,r2
.align 5
setn2666:
mov #1,r8
ln2666:
mov.l r1,@-r15
mov.l g2_except_ptr2666,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2666,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
shll2 r0
cmp/pl r7
bt/s fdl2668
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2668:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2666: .long group_2_exception
bf_addr2666: .long basefunction
! Opcode 43BC
O3BC:
mov.w @r6+,r3
mov #4,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2669
mov #0,r8
cmp/hi r3,r1
bt ln2669
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2670
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2670:
jmp @r4
mov #0x1C,r2
.align 5
setn2669:
mov #1,r8
ln2669:
mov.l r1,@-r15
mov.l g2_except_ptr2669,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2669,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
shll2 r0
cmp/pl r7
bt/s fdl2671
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2671:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2669: .long group_2_exception
bf_addr2669: .long basefunction
! Opcodes 43D0 - 43D7
O3D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l r4,@(36,r13)
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2672
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2672:
jmp @r4
mov #0x1C,r2
! Opcodes 43E8 - 43EF
O3E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(36,r13)
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2673
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2673:
jmp @r4
mov #0x1C,r2
! Opcodes 43F0 - 43F7
O3F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(36,r13)
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2674
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2674:
jmp @r4
mov #0x1C,r2
! Opcode 43F8
O3F8:
mov.w @r6+,r4
mov.l r4,@(36,r13)
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2675
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2675:
jmp @r4
mov #0x1C,r2
! Opcode 43F9
O3F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l r4,@(36,r13)
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2676
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2676:
jmp @r4
mov #0x1C,r2
! Opcode 43FA
O3FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l r4,@(36,r13)
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2677
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2677:
jmp @r4
mov #0x1C,r2
! Opcode 43FB
O3FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l r4,@(36,r13)
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2678
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2678:
jmp @r4
mov #0x1C,r2
! Opcodes 4400 - 4407
O400:
and r0,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2679
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2679:
jmp @r4
mov #0x1C,r2
! Opcodes 4410 - 4417
O410:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
shll8 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2680
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2680:
jmp @r4
mov #0x1C,r2
! Opcodes 4418 - 441F
O418:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
shll8 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2681
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2681:
jmp @r4
mov #0x1C,r2
! Opcodes 4420 - 4427
O420:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
shll8 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2682
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2682:
jmp @r4
mov #0x1C,r2
! Opcodes 4428 - 442F
O428:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
shll8 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2683
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2683:
jmp @r4
mov #0x1C,r2
! Opcodes 4430 - 4437
O430:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
shll8 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2684
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2684:
jmp @r4
mov #0x1C,r2
! Opcode 4438
O438:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
shll8 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2685
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2685:
jmp @r4
mov #0x1C,r2
! Opcode 4439
O439:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
shll8 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2686
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2686:
jmp @r4
mov #0x1C,r2
! Opcodes 4440 - 4447
O440:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2687
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2687:
jmp @r4
mov #0x1C,r2
! Opcodes 4450 - 4457
O450:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2688
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2688:
jmp @r4
mov #0x1C,r2
! Opcodes 4458 - 445F
O458:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2689
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2689:
jmp @r4
mov #0x1C,r2
! Opcodes 4460 - 4467
O460:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2690
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2690:
jmp @r4
mov #0x1C,r2
! Opcodes 4468 - 446F
O468:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2691
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2691:
jmp @r4
mov #0x1C,r2
! Opcodes 4470 - 4477
O470:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2692
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2692:
jmp @r4
mov #0x1C,r2
! Opcode 4478
O478:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2693
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2693:
jmp @r4
mov #0x1C,r2
! Opcode 4479
O479:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2694
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2694:
jmp @r4
mov #0x1C,r2
! Opcodes 4480 - 4487
O480:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl2695
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2695:
jmp @r4
mov #0x1C,r2
! Opcodes 4490 - 4497
O490:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2696
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2696:
jmp @r4
mov #0x1C,r2
! Opcodes 4498 - 449F
O498:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2697
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2697:
jmp @r4
mov #0x1C,r2
! Opcodes 44A0 - 44A7
O4A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2698
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2698:
jmp @r4
mov #0x1C,r2
! Opcodes 44A8 - 44AF
O4A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2699
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2699:
jmp @r4
mov #0x1C,r2
! Opcodes 44B0 - 44B7
O4B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl2700
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2700:
jmp @r4
mov #0x1C,r2
! Opcode 44B8
O4B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2701
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2701:
jmp @r4
mov #0x1C,r2
! Opcode 44B9
O4B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl2702
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2702:
jmp @r4
mov #0x1C,r2
! Opcodes 44C0 - 44C7
O4C0:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2703
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2703:
jmp @r4
mov #0x1C,r2
! Opcodes 44D0 - 44D7
O4D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2704
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2704:
jmp @r4
mov #0x1C,r2
! Opcodes 44D8 - 44DF
O4D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2705
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2705:
jmp @r4
mov #0x1C,r2
! Opcodes 44E0 - 44E7
O4E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2706
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2706:
jmp @r4
mov #0x1C,r2
! Opcodes 44E8 - 44EF
O4E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2707
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2707:
jmp @r4
mov #0x1C,r2
! Opcodes 44F0 - 44F7
O4F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2708
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2708:
jmp @r4
mov #0x1C,r2
! Opcode 44F8
O4F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2709
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2709:
jmp @r4
mov #0x1C,r2
! Opcode 44F9
O4F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2710
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2710:
jmp @r4
mov #0x1C,r2
! Opcode 44FA
O4FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2711
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2711:
jmp @r4
mov #0x1C,r2
! Opcode 44FB
O4FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2712
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2712:
jmp @r4
mov #0x1C,r2
! Opcode 44FC
O4FC:
mov.w @r6+,r3
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2713
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2713:
jmp @r4
mov #0x1C,r2
! Opcodes 4580 - 4587
O580:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #8,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2714
mov #0,r8
cmp/hi r3,r1
bt ln2714
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl2715
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2715:
jmp @r4
mov #0x1C,r2
.align 5
setn2714:
mov #1,r8
ln2714:
mov.l r1,@-r15
mov.l g2_except_ptr2714,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2714,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl2716
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2716:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2714: .long group_2_exception
bf_addr2714: .long basefunction
! Opcodes 4590 - 4597
O590:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2717
mov #0,r8
cmp/hi r3,r1
bt ln2717
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2718
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2718:
jmp @r4
mov #0x1C,r2
.align 5
setn2717:
mov #1,r8
ln2717:
mov.l r1,@-r15
mov.l g2_except_ptr2717,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2717,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
shll2 r0
cmp/pl r7
bt/s fdl2719
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2719:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2717: .long group_2_exception
bf_addr2717: .long basefunction
! Opcodes 4598 - 459F
O598:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2720
mov #0,r8
cmp/hi r3,r1
bt ln2720
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2721
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2721:
jmp @r4
mov #0x1C,r2
.align 5
setn2720:
mov #1,r8
ln2720:
mov.l r1,@-r15
mov.l g2_except_ptr2720,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2720,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
shll2 r0
cmp/pl r7
bt/s fdl2722
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2722:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2720: .long group_2_exception
bf_addr2720: .long basefunction
! Opcodes 45A0 - 45A7
O5A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2723
mov #0,r8
cmp/hi r3,r1
bt ln2723
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2724
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2724:
jmp @r4
mov #0x1C,r2
.align 5
setn2723:
mov #1,r8
ln2723:
mov.l r1,@-r15
mov.l g2_except_ptr2723,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2723,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-56,r7
shll2 r0
cmp/pl r7
bt/s fdl2725
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2725:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2723: .long group_2_exception
bf_addr2723: .long basefunction
! Opcodes 45A8 - 45AF
O5A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2726
mov #0,r8
cmp/hi r3,r1
bt ln2726
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2727
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2727:
jmp @r4
mov #0x1C,r2
.align 5
setn2726:
mov #1,r8
ln2726:
mov.l r1,@-r15
mov.l g2_except_ptr2726,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2726,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
shll2 r0
cmp/pl r7
bt/s fdl2728
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2728:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2726: .long group_2_exception
bf_addr2726: .long basefunction
! Opcodes 45B0 - 45B7
O5B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2729
mov #0,r8
cmp/hi r3,r1
bt ln2729
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2730
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2730:
jmp @r4
mov #0x1C,r2
.align 5
setn2729:
mov #1,r8
ln2729:
mov.l r1,@-r15
mov.l g2_except_ptr2729,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2729,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
shll2 r0
cmp/pl r7
bt/s fdl2731
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2731:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2729: .long group_2_exception
bf_addr2729: .long basefunction
! Opcode 45B8
O5B8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2732
mov #0,r8
cmp/hi r3,r1
bt ln2732
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2733
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2733:
jmp @r4
mov #0x1C,r2
.align 5
setn2732:
mov #1,r8
ln2732:
mov.l r1,@-r15
mov.l g2_except_ptr2732,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2732,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
shll2 r0
cmp/pl r7
bt/s fdl2734
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2734:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2732: .long group_2_exception
bf_addr2732: .long basefunction
! Opcode 45B9
O5B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2735
mov #0,r8
cmp/hi r3,r1
bt ln2735
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2736
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2736:
jmp @r4
mov #0x1C,r2
.align 5
setn2735:
mov #1,r8
ln2735:
mov.l r1,@-r15
mov.l g2_except_ptr2735,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2735,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-62,r7
shll2 r0
cmp/pl r7
bt/s fdl2737
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2737:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2735: .long group_2_exception
bf_addr2735: .long basefunction
! Opcode 45BA
O5BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2738
mov #0,r8
cmp/hi r3,r1
bt ln2738
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2739
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2739:
jmp @r4
mov #0x1C,r2
.align 5
setn2738:
mov #1,r8
ln2738:
mov.l r1,@-r15
mov.l g2_except_ptr2738,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2738,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
shll2 r0
cmp/pl r7
bt/s fdl2740
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2740:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2738: .long group_2_exception
bf_addr2738: .long basefunction
! Opcode 45BB
O5BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2741
mov #0,r8
cmp/hi r3,r1
bt ln2741
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2742
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2742:
jmp @r4
mov #0x1C,r2
.align 5
setn2741:
mov #1,r8
ln2741:
mov.l r1,@-r15
mov.l g2_except_ptr2741,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2741,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
shll2 r0
cmp/pl r7
bt/s fdl2743
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2743:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2741: .long group_2_exception
bf_addr2741: .long basefunction
! Opcode 45BC
O5BC:
mov.w @r6+,r3
mov #8,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2744
mov #0,r8
cmp/hi r3,r1
bt ln2744
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2745
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2745:
jmp @r4
mov #0x1C,r2
.align 5
setn2744:
mov #1,r8
ln2744:
mov.l r1,@-r15
mov.l g2_except_ptr2744,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2744,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
shll2 r0
cmp/pl r7
bt/s fdl2746
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2746:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2744: .long group_2_exception
bf_addr2744: .long basefunction
! Opcodes 45D0 - 45D7
O5D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l r4,@(40,r13)
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2747
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2747:
jmp @r4
mov #0x1C,r2
! Opcodes 45E8 - 45EF
O5E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(40,r13)
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2748
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2748:
jmp @r4
mov #0x1C,r2
! Opcodes 45F0 - 45F7
O5F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(40,r13)
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2749
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2749:
jmp @r4
mov #0x1C,r2
! Opcode 45F8
O5F8:
mov.w @r6+,r4
mov.l r4,@(40,r13)
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2750
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2750:
jmp @r4
mov #0x1C,r2
! Opcode 45F9
O5F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l r4,@(40,r13)
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2751
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2751:
jmp @r4
mov #0x1C,r2
! Opcode 45FA
O5FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l r4,@(40,r13)
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2752
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2752:
jmp @r4
mov #0x1C,r2
! Opcode 45FB
O5FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l r4,@(40,r13)
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2753
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2753:
jmp @r4
mov #0x1C,r2
! Opcodes 4600 - 4607
O600:
and r0,r2
add r13,r2
mov.b @r2,r3
not r3,r3
mov.b r3,@r2
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2754
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2754:
jmp @r4
mov #0x1C,r2
! Opcodes 4610 - 4617
O610:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2755
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2755:
jmp @r4
mov #0x1C,r2
! Opcodes 4618 - 461F
O618:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2756
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2756:
jmp @r4
mov #0x1C,r2
! Opcodes 4620 - 4627
O620:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2757
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2757:
jmp @r4
mov #0x1C,r2
! Opcodes 4628 - 462F
O628:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2758
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2758:
jmp @r4
mov #0x1C,r2
! Opcodes 4630 - 4637
O630:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2759
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2759:
jmp @r4
mov #0x1C,r2
! Opcode 4638
O638:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2760
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2760:
jmp @r4
mov #0x1C,r2
! Opcode 4639
O639:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2761
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2761:
jmp @r4
mov #0x1C,r2
! Opcodes 4640 - 4647
O640:
and r0,r2
add r13,r2
mov.w @r2,r3
not r3,r3
mov.w r3,@r2
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2762
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2762:
jmp @r4
mov #0x1C,r2
! Opcodes 4650 - 4657
O650:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2763
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2763:
jmp @r4
mov #0x1C,r2
! Opcodes 4658 - 465F
O658:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2764
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2764:
jmp @r4
mov #0x1C,r2
! Opcodes 4660 - 4667
O660:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2765
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2765:
jmp @r4
mov #0x1C,r2
! Opcodes 4668 - 466F
O668:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2766
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2766:
jmp @r4
mov #0x1C,r2
! Opcodes 4670 - 4677
O670:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2767
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2767:
jmp @r4
mov #0x1C,r2
! Opcode 4678
O678:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2768
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2768:
jmp @r4
mov #0x1C,r2
! Opcode 4679
O679:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2769
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2769:
jmp @r4
mov #0x1C,r2
! Opcodes 4680 - 4687
O680:
and r0,r2
add r13,r2
mov.l @r2,r3
not r3,r3
mov.l r3,@r2
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl2770
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2770:
jmp @r4
mov #0x1C,r2
! Opcodes 4690 - 4697
O690:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2771
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2771:
jmp @r4
mov #0x1C,r2
! Opcodes 4698 - 469F
O698:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2772
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2772:
jmp @r4
mov #0x1C,r2
! Opcodes 46A0 - 46A7
O6A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2773
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2773:
jmp @r4
mov #0x1C,r2
! Opcodes 46A8 - 46AF
O6A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2774
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2774:
jmp @r4
mov #0x1C,r2
! Opcodes 46B0 - 46B7
O6B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl2775
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2775:
jmp @r4
mov #0x1C,r2
! Opcode 46B8
O6B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl2776
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2776:
jmp @r4
mov #0x1C,r2
! Opcode 46B9
O6B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl2777
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2777:
jmp @r4
mov #0x1C,r2
! Opcodes 46C0 - 46C7
O6C0:
and r0,r2
mov r10,r0
tst #0x20,r0
bf pcheck_ok2778
mov.l priviolation_addr2778,r0
jmp @r0
nop
.align 2
priviolation_addr2778: .long privilege_violation
pcheck_ok2778:
mov r2,r0
mov.w @(r0,r13),r3
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln2779
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln2779:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s continue2781
mov.l @(r0,r12),r4
bra fdl2781
mov.l @(execexit_addr-areg,r14),r4
continue2781:
lds r0,MACL
mov r10,r0
tst #0x80,r0
bt fde2781
mov.l execinfo_ptr2781,r1
mov.w @r1,r0
mov.l trace_excep_ptr2781,r2
sub r5,r6
jmp @r2
add #-2,r6
fde2781:
sts MACL,r0
fdl2781:
jmp @r4
mov #0x1C,r2
.align 2
execinfo_ptr2781: .long execinfo
trace_excep_ptr2781: .long trace_excep
! Opcodes 46D0 - 46D7
O6D0:
and r0,r2
mov r10,r0
tst #0x20,r0
bf pcheck_ok2782
mov.l priviolation_addr2782,r0
jmp @r0
nop
.align 2
priviolation_addr2782: .long privilege_violation
pcheck_ok2782:
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln2783
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln2783:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s continue2785
mov.l @(r0,r12),r4
bra fdl2785
mov.l @(execexit_addr-areg,r14),r4
continue2785:
lds r0,MACL
mov r10,r0
tst #0x80,r0
bt fde2785
mov.l execinfo_ptr2785,r1
mov.w @r1,r0
mov.l trace_excep_ptr2785,r2
sub r5,r6
jmp @r2
add #-2,r6
fde2785:
sts MACL,r0
fdl2785:
jmp @r4
mov #0x1C,r2
.align 2
execinfo_ptr2785: .long execinfo
trace_excep_ptr2785: .long trace_excep
! Opcodes 46D8 - 46DF
O6D8:
and r0,r2
mov r10,r0
tst #0x20,r0
bf pcheck_ok2786
mov.l priviolation_addr2786,r0
jmp @r0
nop
.align 2
priviolation_addr2786: .long privilege_violation
pcheck_ok2786:
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln2787
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln2787:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s continue2789
mov.l @(r0,r12),r4
bra fdl2789
mov.l @(execexit_addr-areg,r14),r4
continue2789:
lds r0,MACL
mov r10,r0
tst #0x80,r0
bt fde2789
mov.l execinfo_ptr2789,r1
mov.w @r1,r0
mov.l trace_excep_ptr2789,r2
sub r5,r6
jmp @r2
add #-2,r6
fde2789:
sts MACL,r0
fdl2789:
jmp @r4
mov #0x1C,r2
.align 2
execinfo_ptr2789: .long execinfo
trace_excep_ptr2789: .long trace_excep
! Opcodes 46E0 - 46E7
O6E0:
and r0,r2
mov r10,r0
tst #0x20,r0
bf pcheck_ok2790
mov.l priviolation_addr2790,r0
jmp @r0
nop
.align 2
priviolation_addr2790: .long privilege_violation
pcheck_ok2790:
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln2791
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln2791:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s continue2793
mov.l @(r0,r12),r4
bra fdl2793
mov.l @(execexit_addr-areg,r14),r4
continue2793:
lds r0,MACL
mov r10,r0
tst #0x80,r0
bt fde2793
mov.l execinfo_ptr2793,r1
mov.w @r1,r0
mov.l trace_excep_ptr2793,r2
sub r5,r6
jmp @r2
add #-2,r6
fde2793:
sts MACL,r0
fdl2793:
jmp @r4
mov #0x1C,r2
.align 2
execinfo_ptr2793: .long execinfo
trace_excep_ptr2793: .long trace_excep
! Opcodes 46E8 - 46EF
O6E8:
and r0,r2
mov r10,r0
tst #0x20,r0
bf pcheck_ok2794
mov.l priviolation_addr2794,r0
jmp @r0
nop
.align 2
priviolation_addr2794: .long privilege_violation
pcheck_ok2794:
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln2795
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln2795:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s continue2797
mov.l @(r0,r12),r4
bra fdl2797
mov.l @(execexit_addr-areg,r14),r4
continue2797:
lds r0,MACL
mov r10,r0
tst #0x80,r0
bt fde2797
mov.l execinfo_ptr2797,r1
mov.w @r1,r0
mov.l trace_excep_ptr2797,r2
sub r5,r6
jmp @r2
add #-2,r6
fde2797:
sts MACL,r0
fdl2797:
jmp @r4
mov #0x1C,r2
.align 2
execinfo_ptr2797: .long execinfo
trace_excep_ptr2797: .long trace_excep
! Opcodes 46F0 - 46F7
O6F0:
and r0,r2
mov r10,r0
tst #0x20,r0
bf pcheck_ok2798
mov.l priviolation_addr2798,r0
jmp @r0
nop
.align 2
priviolation_addr2798: .long privilege_violation
pcheck_ok2798:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln2799
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln2799:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s continue2801
mov.l @(r0,r12),r4
bra fdl2801
mov.l @(execexit_addr-areg,r14),r4
continue2801:
lds r0,MACL
mov r10,r0
tst #0x80,r0
bt fde2801
mov.l execinfo_ptr2801,r1
mov.w @r1,r0
mov.l trace_excep_ptr2801,r2
sub r5,r6
jmp @r2
add #-2,r6
fde2801:
sts MACL,r0
fdl2801:
jmp @r4
mov #0x1C,r2
.align 2
execinfo_ptr2801: .long execinfo
trace_excep_ptr2801: .long trace_excep
! Opcode 46F8
O6F8:
mov r10,r0
tst #0x20,r0
bf pcheck_ok2802
mov.l priviolation_addr2802,r0
jmp @r0
nop
.align 2
priviolation_addr2802: .long privilege_violation
pcheck_ok2802:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln2803
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln2803:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s continue2805
mov.l @(r0,r12),r4
bra fdl2805
mov.l @(execexit_addr-areg,r14),r4
continue2805:
lds r0,MACL
mov r10,r0
tst #0x80,r0
bt fde2805
mov.l execinfo_ptr2805,r1
mov.w @r1,r0
mov.l trace_excep_ptr2805,r2
sub r5,r6
jmp @r2
add #-2,r6
fde2805:
sts MACL,r0
fdl2805:
jmp @r4
mov #0x1C,r2
.align 2
execinfo_ptr2805: .long execinfo
trace_excep_ptr2805: .long trace_excep
! Opcode 46F9
O6F9:
mov r10,r0
tst #0x20,r0
bf pcheck_ok2806
mov.l priviolation_addr2806,r0
jmp @r0
nop
.align 2
priviolation_addr2806: .long privilege_violation
pcheck_ok2806:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln2807
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln2807:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s continue2809
mov.l @(r0,r12),r4
bra fdl2809
mov.l @(execexit_addr-areg,r14),r4
continue2809:
lds r0,MACL
mov r10,r0
tst #0x80,r0
bt fde2809
mov.l execinfo_ptr2809,r1
mov.w @r1,r0
mov.l trace_excep_ptr2809,r2
sub r5,r6
jmp @r2
add #-2,r6
fde2809:
sts MACL,r0
fdl2809:
jmp @r4
mov #0x1C,r2
.align 2
execinfo_ptr2809: .long execinfo
trace_excep_ptr2809: .long trace_excep
! Opcode 46FA
O6FA:
mov r10,r0
tst #0x20,r0
bf pcheck_ok2810
mov.l priviolation_addr2810,r0
jmp @r0
nop
.align 2
priviolation_addr2810: .long privilege_violation
pcheck_ok2810:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln2811
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln2811:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s continue2813
mov.l @(r0,r12),r4
bra fdl2813
mov.l @(execexit_addr-areg,r14),r4
continue2813:
lds r0,MACL
mov r10,r0
tst #0x80,r0
bt fde2813
mov.l execinfo_ptr2813,r1
mov.w @r1,r0
mov.l trace_excep_ptr2813,r2
sub r5,r6
jmp @r2
add #-2,r6
fde2813:
sts MACL,r0
fdl2813:
jmp @r4
mov #0x1C,r2
.align 2
execinfo_ptr2813: .long execinfo
trace_excep_ptr2813: .long trace_excep
! Opcode 46FB
O6FB:
mov r10,r0
tst #0x20,r0
bf pcheck_ok2814
mov.l priviolation_addr2814,r0
jmp @r0
nop
.align 2
priviolation_addr2814: .long privilege_violation
pcheck_ok2814:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln2815
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln2815:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s continue2817
mov.l @(r0,r12),r4
bra fdl2817
mov.l @(execexit_addr-areg,r14),r4
continue2817:
lds r0,MACL
mov r10,r0
tst #0x80,r0
bt fde2817
mov.l execinfo_ptr2817,r1
mov.w @r1,r0
mov.l trace_excep_ptr2817,r2
sub r5,r6
jmp @r2
add #-2,r6
fde2817:
sts MACL,r0
fdl2817:
jmp @r4
mov #0x1C,r2
.align 2
execinfo_ptr2817: .long execinfo
trace_excep_ptr2817: .long trace_excep
! Opcode 46FC
O6FC:
mov r10,r0
tst #0x20,r0
bf pcheck_ok2818
mov.l priviolation_addr2818,r0
jmp @r0
nop
.align 2
priviolation_addr2818: .long privilege_violation
pcheck_ok2818:
mov.w @r6+,r3
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln2819
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln2819:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s continue2821
mov.l @(r0,r12),r4
bra fdl2821
mov.l @(execexit_addr-areg,r14),r4
continue2821:
lds r0,MACL
mov r10,r0
tst #0x80,r0
bt fde2821
mov.l execinfo_ptr2821,r1
mov.w @r1,r0
mov.l trace_excep_ptr2821,r2
sub r5,r6
jmp @r2
add #-2,r6
fde2821:
sts MACL,r0
fdl2821:
jmp @r4
mov #0x1C,r2
.align 2
execinfo_ptr2821: .long execinfo
trace_excep_ptr2821: .long trace_excep
! Opcodes 4780 - 4787
O780:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #12,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2822
mov #0,r8
cmp/hi r3,r1
bt ln2822
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl2823
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2823:
jmp @r4
mov #0x1C,r2
.align 5
setn2822:
mov #1,r8
ln2822:
mov.l r1,@-r15
mov.l g2_except_ptr2822,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2822,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl2824
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2824:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2822: .long group_2_exception
bf_addr2822: .long basefunction
! Opcodes 4790 - 4797
O790:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2825
mov #0,r8
cmp/hi r3,r1
bt ln2825
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2826
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2826:
jmp @r4
mov #0x1C,r2
.align 5
setn2825:
mov #1,r8
ln2825:
mov.l r1,@-r15
mov.l g2_except_ptr2825,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2825,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
shll2 r0
cmp/pl r7
bt/s fdl2827
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2827:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2825: .long group_2_exception
bf_addr2825: .long basefunction
! Opcodes 4798 - 479F
O798:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2828
mov #0,r8
cmp/hi r3,r1
bt ln2828
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2829
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2829:
jmp @r4
mov #0x1C,r2
.align 5
setn2828:
mov #1,r8
ln2828:
mov.l r1,@-r15
mov.l g2_except_ptr2828,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2828,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
shll2 r0
cmp/pl r7
bt/s fdl2830
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2830:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2828: .long group_2_exception
bf_addr2828: .long basefunction
! Opcodes 47A0 - 47A7
O7A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2831
mov #0,r8
cmp/hi r3,r1
bt ln2831
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2832
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2832:
jmp @r4
mov #0x1C,r2
.align 5
setn2831:
mov #1,r8
ln2831:
mov.l r1,@-r15
mov.l g2_except_ptr2831,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2831,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-56,r7
shll2 r0
cmp/pl r7
bt/s fdl2833
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2833:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2831: .long group_2_exception
bf_addr2831: .long basefunction
! Opcodes 47A8 - 47AF
O7A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2834
mov #0,r8
cmp/hi r3,r1
bt ln2834
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2835
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2835:
jmp @r4
mov #0x1C,r2
.align 5
setn2834:
mov #1,r8
ln2834:
mov.l r1,@-r15
mov.l g2_except_ptr2834,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2834,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
shll2 r0
cmp/pl r7
bt/s fdl2836
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2836:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2834: .long group_2_exception
bf_addr2834: .long basefunction
! Opcodes 47B0 - 47B7
O7B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2837
mov #0,r8
cmp/hi r3,r1
bt ln2837
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2838
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2838:
jmp @r4
mov #0x1C,r2
.align 5
setn2837:
mov #1,r8
ln2837:
mov.l r1,@-r15
mov.l g2_except_ptr2837,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2837,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
shll2 r0
cmp/pl r7
bt/s fdl2839
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2839:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2837: .long group_2_exception
bf_addr2837: .long basefunction
! Opcode 47B8
O7B8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2840
mov #0,r8
cmp/hi r3,r1
bt ln2840
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2841
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2841:
jmp @r4
mov #0x1C,r2
.align 5
setn2840:
mov #1,r8
ln2840:
mov.l r1,@-r15
mov.l g2_except_ptr2840,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2840,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
shll2 r0
cmp/pl r7
bt/s fdl2842
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2842:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2840: .long group_2_exception
bf_addr2840: .long basefunction
! Opcode 47B9
O7B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2843
mov #0,r8
cmp/hi r3,r1
bt ln2843
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2844
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2844:
jmp @r4
mov #0x1C,r2
.align 5
setn2843:
mov #1,r8
ln2843:
mov.l r1,@-r15
mov.l g2_except_ptr2843,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2843,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-62,r7
shll2 r0
cmp/pl r7
bt/s fdl2845
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2845:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2843: .long group_2_exception
bf_addr2843: .long basefunction
! Opcode 47BA
O7BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2846
mov #0,r8
cmp/hi r3,r1
bt ln2846
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2847
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2847:
jmp @r4
mov #0x1C,r2
.align 5
setn2846:
mov #1,r8
ln2846:
mov.l r1,@-r15
mov.l g2_except_ptr2846,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2846,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
shll2 r0
cmp/pl r7
bt/s fdl2848
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2848:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2846: .long group_2_exception
bf_addr2846: .long basefunction
! Opcode 47BB
O7BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2849
mov #0,r8
cmp/hi r3,r1
bt ln2849
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2850
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2850:
jmp @r4
mov #0x1C,r2
.align 5
setn2849:
mov #1,r8
ln2849:
mov.l r1,@-r15
mov.l g2_except_ptr2849,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2849,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
shll2 r0
cmp/pl r7
bt/s fdl2851
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2851:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2849: .long group_2_exception
bf_addr2849: .long basefunction
! Opcode 47BC
O7BC:
mov.w @r6+,r3
mov #12,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2852
mov #0,r8
cmp/hi r3,r1
bt ln2852
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2853
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2853:
jmp @r4
mov #0x1C,r2
.align 5
setn2852:
mov #1,r8
ln2852:
mov.l r1,@-r15
mov.l g2_except_ptr2852,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2852,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
shll2 r0
cmp/pl r7
bt/s fdl2854
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2854:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2852: .long group_2_exception
bf_addr2852: .long basefunction
! Opcodes 47D0 - 47D7
O7D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l r4,@(44,r13)
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2855
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2855:
jmp @r4
mov #0x1C,r2
! Opcodes 47E8 - 47EF
O7E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(44,r13)
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2856
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2856:
jmp @r4
mov #0x1C,r2
! Opcodes 47F0 - 47F7
O7F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(44,r13)
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2857
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2857:
jmp @r4
mov #0x1C,r2
! Opcode 47F8
O7F8:
mov.w @r6+,r4
mov.l r4,@(44,r13)
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2858
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2858:
jmp @r4
mov #0x1C,r2
! Opcode 47F9
O7F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l r4,@(44,r13)
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2859
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2859:
jmp @r4
mov #0x1C,r2
! Opcode 47FA
O7FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l r4,@(44,r13)
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2860
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2860:
jmp @r4
mov #0x1C,r2
! Opcode 47FB
O7FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l r4,@(44,r13)
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2861
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2861:
jmp @r4
mov #0x1C,r2
! Opcodes 4800 - 4807
O800:
and r0,r2
mov.l r3,@-r15
add r13,r2
mov.b @r2,r3
mov r3,r1
mov #0,r3
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd2863
add #-6,r8
.nonibadd2863:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop2863
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop2863:
exts.b r3,r3
mov r9,r8
mov.b r3,@r2
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl2864
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2864:
jmp @r4
mov #0x1C,r2
! Opcodes 4810 - 4817
O810:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
mov #0,r3
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd2866
add #-6,r8
.nonibadd2866:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop2866
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop2866:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2867
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2867:
jmp @r4
mov #0x1C,r2
! Opcodes 4818 - 481F
O818:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
mov #0,r3
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd2869
add #-6,r8
.nonibadd2869:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop2869
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop2869:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2870
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2870:
jmp @r4
mov #0x1C,r2
! Opcodes 4820 - 4827
O820:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
mov #0,r3
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd2872
add #-6,r8
.nonibadd2872:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop2872
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop2872:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2873
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2873:
jmp @r4
mov #0x1C,r2
! Opcodes 4828 - 482F
O828:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
mov #0,r3
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd2875
add #-6,r8
.nonibadd2875:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop2875
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop2875:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2876
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2876:
jmp @r4
mov #0x1C,r2
! Opcodes 4830 - 4837
O830:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
mov #0,r3
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd2878
add #-6,r8
.nonibadd2878:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop2878
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop2878:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2879
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2879:
jmp @r4
mov #0x1C,r2
! Opcode 4838
O838:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
mov #0,r3
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd2881
add #-6,r8
.nonibadd2881:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop2881
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop2881:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2882
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2882:
jmp @r4
mov #0x1C,r2
! Opcode 4839
O839:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
mov #0,r3
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd2884
add #-6,r8
.nonibadd2884:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop2884
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop2884:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2885
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2885:
jmp @r4
mov #0x1C,r2
! Opcodes 4840 - 4847
O840:
and r0,r2
add r13,r2
mov.l @r2,r3
swap.w r3,r3
mov.l r3,@r2
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2886
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2886:
jmp @r4
mov #0x1C,r2
! Opcodes 4850 - 4857
O850:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov r3,r2
mov r4,r3
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov r2,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2887
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2887:
jmp @r4
mov #0x1C,r2
! Opcodes 4868 - 486F
O868:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov r3,r2
mov r4,r3
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov r2,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2888
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2888:
jmp @r4
mov #0x1C,r2
! Opcodes 4870 - 4877
O870:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov r3,r2
mov r4,r3
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov r2,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2889
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2889:
jmp @r4
mov #0x1C,r2
! Opcode 4878
O878:
mov.w @r6+,r4
mov r3,r2
mov r4,r3
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov r2,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2890
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2890:
jmp @r4
mov #0x1C,r2
! Opcode 4879
O879:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov r3,r2
mov r4,r3
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov r2,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2891
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2891:
jmp @r4
mov #0x1C,r2
! Opcode 487A
O87A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov r3,r2
mov r4,r3
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov r2,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2892
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2892:
jmp @r4
mov #0x1C,r2
! Opcode 487B
O87B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov r3,r2
mov r4,r3
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov r2,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2893
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2893:
jmp @r4
mov #0x1C,r2
! Opcodes 4880 - 4887
O880:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.w r3,@r2
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2894
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2894:
jmp @r4
mov #0x1C,r2
! Opcodes 4890 - 4897
O890:
mov.l r3,@-r15
and r0,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov r2,r0
mov.l @(r0,r14),r4
mov #0,r2
ln2895:
shlr r10
bf ln2896
mov r13,r0
mov.l @(r0,r2),r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
add #-4,r7
add #2,r4
ln2896:
add #4,r2
mov #64,r0
tst r0,r2
bt ln2895
mov.l @r15+,r10
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2897
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2897:
jmp @r4
mov #0x1C,r2
! Opcodes 48A0 - 48A7
O8A0:
mov.l r3,@-r15
and r0,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov r2,r0
mov.l @(r0,r14),r4
mov.l r2,@-r15
mov #60,r2
ln2898:
shlr r10
bf ln2899
mov r13,r0
add #-2,r4
mov.l @(r0,r2),r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
add #-4,r7
ln2899:
add #-4,r2
cmp/pz r2
bt ln2898
mov.l @r15+,r2
mov.l @r15+,r10
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2900
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2900:
jmp @r4
mov #0x1C,r2
! Opcodes 48A8 - 48AF
O8A8:
mov.l r3,@-r15
and r0,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov #0,r2
ln2901:
shlr r10
bf ln2902
mov r13,r0
mov.l @(r0,r2),r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
add #-4,r7
add #2,r4
ln2902:
add #4,r2
mov #64,r0
tst r0,r2
bt ln2901
mov.l @r15+,r10
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2903
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2903:
jmp @r4
mov #0x1C,r2
! Opcodes 48B0 - 48B7
O8B0:
mov.l r3,@-r15
and r0,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov #0,r2
ln2904:
shlr r10
bf ln2905
mov r13,r0
mov.l @(r0,r2),r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
add #-4,r7
add #2,r4
ln2905:
add #4,r2
mov #64,r0
tst r0,r2
bt ln2904
mov.l @r15+,r10
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2906
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2906:
jmp @r4
mov #0x1C,r2
! Opcode 48B8
O8B8:
mov.l r3,@-r15
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6+,r4
mov #0,r2
ln2907:
shlr r10
bf ln2908
mov r13,r0
mov.l @(r0,r2),r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
add #-4,r7
add #2,r4
ln2908:
add #4,r2
mov #64,r0
tst r0,r2
bt ln2907
mov.l @r15+,r10
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2909
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2909:
jmp @r4
mov #0x1C,r2
! Opcode 48B9
O8B9:
mov.l r3,@-r15
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov #0,r2
ln2910:
shlr r10
bf ln2911
mov r13,r0
mov.l @(r0,r2),r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
add #-4,r7
add #2,r4
ln2911:
add #4,r2
mov #64,r0
tst r0,r2
bt ln2910
mov.l @r15+,r10
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2912
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2912:
jmp @r4
mov #0x1C,r2
! Opcodes 48C0 - 48C7
O8C0:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l r3,@r2
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2913
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2913:
jmp @r4
mov #0x1C,r2
! Opcodes 48D0 - 48D7
O8D0:
mov.l r3,@-r15
and r0,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov r2,r0
mov.l @(r0,r14),r4
mov #0,r2
ln2914:
shlr r10
bf ln2915
mov r13,r0
mov.l @(r0,r2),r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
add #-8,r7
add #4,r4
ln2915:
add #4,r2
mov #64,r0
tst r0,r2
bt ln2914
mov.l @r15+,r10
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2916
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2916:
jmp @r4
mov #0x1C,r2
! Opcodes 48E0 - 48E7
O8E0:
mov.l r3,@-r15
and r0,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov r2,r0
mov.l @(r0,r14),r4
mov.l r2,@-r15
mov #60,r2
ln2917:
shlr r10
bf ln2918
mov r13,r0
add #-4,r4
mov.l @(r0,r2),r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
add #-8,r7
ln2918:
add #-4,r2
cmp/pz r2
bt ln2917
mov.l @r15+,r2
mov.l @r15+,r10
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2919
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2919:
jmp @r4
mov #0x1C,r2
! Opcodes 48E8 - 48EF
O8E8:
mov.l r3,@-r15
and r0,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov #0,r2
ln2920:
shlr r10
bf ln2921
mov r13,r0
mov.l @(r0,r2),r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
add #-8,r7
add #4,r4
ln2921:
add #4,r2
mov #64,r0
tst r0,r2
bt ln2920
mov.l @r15+,r10
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2922
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2922:
jmp @r4
mov #0x1C,r2
! Opcodes 48F0 - 48F7
O8F0:
mov.l r3,@-r15
and r0,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov #0,r2
ln2923:
shlr r10
bf ln2924
mov r13,r0
mov.l @(r0,r2),r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
add #-8,r7
add #4,r4
ln2924:
add #4,r2
mov #64,r0
tst r0,r2
bt ln2923
mov.l @r15+,r10
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2925
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2925:
jmp @r4
mov #0x1C,r2
! Opcode 48F8
O8F8:
mov.l r3,@-r15
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6+,r4
mov #0,r2
ln2926:
shlr r10
bf ln2927
mov r13,r0
mov.l @(r0,r2),r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
add #-8,r7
add #4,r4
ln2927:
add #4,r2
mov #64,r0
tst r0,r2
bt ln2926
mov.l @r15+,r10
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2928
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2928:
jmp @r4
mov #0x1C,r2
! Opcode 48F9
O8F9:
mov.l r3,@-r15
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov #0,r2
ln2929:
shlr r10
bf ln2930
mov r13,r0
mov.l @(r0,r2),r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
add #-8,r7
add #4,r4
ln2930:
add #4,r2
mov #64,r0
tst r0,r2
bt ln2929
mov.l @r15+,r10
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2931
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2931:
jmp @r4
mov #0x1C,r2
! Opcodes 4980 - 4987
O980:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #16,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2932
mov #0,r8
cmp/hi r3,r1
bt ln2932
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl2933
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2933:
jmp @r4
mov #0x1C,r2
.align 5
setn2932:
mov #1,r8
ln2932:
mov.l r1,@-r15
mov.l g2_except_ptr2932,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2932,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl2934
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2934:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2932: .long group_2_exception
bf_addr2932: .long basefunction
! Opcodes 4990 - 4997
O990:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2935
mov #0,r8
cmp/hi r3,r1
bt ln2935
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2936
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2936:
jmp @r4
mov #0x1C,r2
.align 5
setn2935:
mov #1,r8
ln2935:
mov.l r1,@-r15
mov.l g2_except_ptr2935,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2935,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
shll2 r0
cmp/pl r7
bt/s fdl2937
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2937:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2935: .long group_2_exception
bf_addr2935: .long basefunction
! Opcodes 4998 - 499F
O998:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2938
mov #0,r8
cmp/hi r3,r1
bt ln2938
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2939
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2939:
jmp @r4
mov #0x1C,r2
.align 5
setn2938:
mov #1,r8
ln2938:
mov.l r1,@-r15
mov.l g2_except_ptr2938,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2938,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
shll2 r0
cmp/pl r7
bt/s fdl2940
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2940:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2938: .long group_2_exception
bf_addr2938: .long basefunction
! Opcodes 49A0 - 49A7
O9A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2941
mov #0,r8
cmp/hi r3,r1
bt ln2941
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2942
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2942:
jmp @r4
mov #0x1C,r2
.align 5
setn2941:
mov #1,r8
ln2941:
mov.l r1,@-r15
mov.l g2_except_ptr2941,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2941,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-56,r7
shll2 r0
cmp/pl r7
bt/s fdl2943
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2943:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2941: .long group_2_exception
bf_addr2941: .long basefunction
! Opcodes 49A8 - 49AF
O9A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2944
mov #0,r8
cmp/hi r3,r1
bt ln2944
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2945
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2945:
jmp @r4
mov #0x1C,r2
.align 5
setn2944:
mov #1,r8
ln2944:
mov.l r1,@-r15
mov.l g2_except_ptr2944,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2944,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
shll2 r0
cmp/pl r7
bt/s fdl2946
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2946:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2944: .long group_2_exception
bf_addr2944: .long basefunction
! Opcodes 49B0 - 49B7
O9B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2947
mov #0,r8
cmp/hi r3,r1
bt ln2947
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2948
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2948:
jmp @r4
mov #0x1C,r2
.align 5
setn2947:
mov #1,r8
ln2947:
mov.l r1,@-r15
mov.l g2_except_ptr2947,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2947,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
shll2 r0
cmp/pl r7
bt/s fdl2949
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2949:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2947: .long group_2_exception
bf_addr2947: .long basefunction
! Opcode 49B8
O9B8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2950
mov #0,r8
cmp/hi r3,r1
bt ln2950
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2951
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2951:
jmp @r4
mov #0x1C,r2
.align 5
setn2950:
mov #1,r8
ln2950:
mov.l r1,@-r15
mov.l g2_except_ptr2950,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2950,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
shll2 r0
cmp/pl r7
bt/s fdl2952
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2952:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2950: .long group_2_exception
bf_addr2950: .long basefunction
! Opcode 49B9
O9B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2953
mov #0,r8
cmp/hi r3,r1
bt ln2953
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl2954
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2954:
jmp @r4
mov #0x1C,r2
.align 5
setn2953:
mov #1,r8
ln2953:
mov.l r1,@-r15
mov.l g2_except_ptr2953,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2953,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-62,r7
shll2 r0
cmp/pl r7
bt/s fdl2955
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2955:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2953: .long group_2_exception
bf_addr2953: .long basefunction
! Opcode 49BA
O9BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2956
mov #0,r8
cmp/hi r3,r1
bt ln2956
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2957
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2957:
jmp @r4
mov #0x1C,r2
.align 5
setn2956:
mov #1,r8
ln2956:
mov.l r1,@-r15
mov.l g2_except_ptr2956,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2956,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
shll2 r0
cmp/pl r7
bt/s fdl2958
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2958:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2956: .long group_2_exception
bf_addr2956: .long basefunction
! Opcode 49BB
O9BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2959
mov #0,r8
cmp/hi r3,r1
bt ln2959
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2960
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2960:
jmp @r4
mov #0x1C,r2
.align 5
setn2959:
mov #1,r8
ln2959:
mov.l r1,@-r15
mov.l g2_except_ptr2959,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2959,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
shll2 r0
cmp/pl r7
bt/s fdl2961
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2961:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2959: .long group_2_exception
bf_addr2959: .long basefunction
! Opcode 49BC
O9BC:
mov.w @r6+,r3
mov #16,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn2962
mov #0,r8
cmp/hi r3,r1
bt ln2962
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2963
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2963:
jmp @r4
mov #0x1C,r2
.align 5
setn2962:
mov #1,r8
ln2962:
mov.l r1,@-r15
mov.l g2_except_ptr2962,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr2962,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
shll2 r0
cmp/pl r7
bt/s fdl2964
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2964:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr2962: .long group_2_exception
bf_addr2962: .long basefunction
! Opcodes 49D0 - 49D7
O9D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l r4,@(48,r13)
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2965
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2965:
jmp @r4
mov #0x1C,r2
! Opcodes 49E8 - 49EF
O9E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(48,r13)
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2966
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2966:
jmp @r4
mov #0x1C,r2
! Opcodes 49F0 - 49F7
O9F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(48,r13)
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2967
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2967:
jmp @r4
mov #0x1C,r2
! Opcode 49F8
O9F8:
mov.w @r6+,r4
mov.l r4,@(48,r13)
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2968
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2968:
jmp @r4
mov #0x1C,r2
! Opcode 49F9
O9F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l r4,@(48,r13)
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2969
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2969:
jmp @r4
mov #0x1C,r2
! Opcode 49FA
O9FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l r4,@(48,r13)
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2970
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2970:
jmp @r4
mov #0x1C,r2
! Opcode 49FB
O9FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l r4,@(48,r13)
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2971
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2971:
jmp @r4
mov #0x1C,r2
! Opcodes 4A00 - 4A07
OA00:
and r0,r2
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2972
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2972:
jmp @r4
mov #0x1C,r2
! Opcodes 4A10 - 4A17
OA10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2973
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2973:
jmp @r4
mov #0x1C,r2
! Opcodes 4A18 - 4A1F
OA18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2974
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2974:
jmp @r4
mov #0x1C,r2
! Opcodes 4A20 - 4A27
OA20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl2975
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2975:
jmp @r4
mov #0x1C,r2
! Opcodes 4A28 - 4A2F
OA28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2976
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2976:
jmp @r4
mov #0x1C,r2
! Opcodes 4A30 - 4A37
OA30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2977
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2977:
jmp @r4
mov #0x1C,r2
! Opcode 4A38
OA38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2978
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2978:
jmp @r4
mov #0x1C,r2
! Opcode 4A39
OA39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2979
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2979:
jmp @r4
mov #0x1C,r2
! Opcodes 4A40 - 4A47
OA40:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2980
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2980:
jmp @r4
mov #0x1C,r2
! Opcodes 4A50 - 4A57
OA50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2981
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2981:
jmp @r4
mov #0x1C,r2
! Opcodes 4A58 - 4A5F
OA58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl2982
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2982:
jmp @r4
mov #0x1C,r2
! Opcodes 4A60 - 4A67
OA60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl2983
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2983:
jmp @r4
mov #0x1C,r2
! Opcodes 4A68 - 4A6F
OA68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2984
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2984:
jmp @r4
mov #0x1C,r2
! Opcodes 4A70 - 4A77
OA70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2985
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2985:
jmp @r4
mov #0x1C,r2
! Opcode 4A78
OA78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2986
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2986:
jmp @r4
mov #0x1C,r2
! Opcode 4A79
OA79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2987
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2987:
jmp @r4
mov #0x1C,r2
! Opcodes 4A80 - 4A87
OA80:
and r0,r2
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2988
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2988:
jmp @r4
mov #0x1C,r2
! Opcodes 4A90 - 4A97
OA90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2989
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2989:
jmp @r4
mov #0x1C,r2
! Opcodes 4A98 - 4A9F
OA98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl2990
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2990:
jmp @r4
mov #0x1C,r2
! Opcodes 4AA0 - 4AA7
OAA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl2991
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2991:
jmp @r4
mov #0x1C,r2
! Opcodes 4AA8 - 4AAF
OAA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2992
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2992:
jmp @r4
mov #0x1C,r2
! Opcodes 4AB0 - 4AB7
OAB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2993
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2993:
jmp @r4
mov #0x1C,r2
! Opcode 4AB8
OAB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl2994
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2994:
jmp @r4
mov #0x1C,r2
! Opcode 4AB9
OAB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2995
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2995:
jmp @r4
mov #0x1C,r2
! Opcodes 4AC0 - 4AC7
OAC0:
and r0,r2
mov r2,r0
mov.b @(r0,r13),r3
mov r3,r1
mov.l r3,@-r15
rotl r3
movt r8
mov r1,r0
or #0x80,r0
mov r0,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl2996
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2996:
jmp @r4
mov #0x1C,r2
! Opcodes 4AD0 - 4AD7
OAD0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
mov.l r3,@-r15
rotl r3
movt r8
mov r1,r0
or #0x80,r0
mov r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2997
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2997:
jmp @r4
mov #0x1C,r2
! Opcodes 4AD8 - 4ADF
OAD8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
mov.l r3,@-r15
rotl r3
movt r8
mov r1,r0
or #0x80,r0
mov r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl2998
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2998:
jmp @r4
mov #0x1C,r2
! Opcodes 4AE0 - 4AE7
OAE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
mov.l r3,@-r15
rotl r3
movt r8
mov r1,r0
or #0x80,r0
mov r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl2999
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl2999:
jmp @r4
mov #0x1C,r2
! Opcodes 4AE8 - 4AEF
OAE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
mov.l r3,@-r15
rotl r3
movt r8
mov r1,r0
or #0x80,r0
mov r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl3000
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3000:
jmp @r4
mov #0x1C,r2
! Opcodes 4AF0 - 4AF7
OAF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
mov.l r3,@-r15
rotl r3
movt r8
mov r1,r0
or #0x80,r0
mov r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3001
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3001:
jmp @r4
mov #0x1C,r2
! Opcode 4AF8
OAF8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
mov.l r3,@-r15
rotl r3
movt r8
mov r1,r0
or #0x80,r0
mov r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl3002
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3002:
jmp @r4
mov #0x1C,r2
! Opcode 4AF9
OAF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
mov.l r3,@-r15
rotl r3
movt r8
mov r1,r0
or #0x80,r0
mov r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl3003
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3003:
jmp @r4
mov #0x1C,r2
! Opcode 4AFA
OAFA:
r_illegal:
mov.l r3,@-r15
mov.l g1_except_addr3004,r0
add #-2,r6
jsr @r0
mov #0x10,r4
mov.l bf_addr3004,r0
jsr @r0
nop
add r5,r6
mov.l @r15+,r3
mov.w @r6+,r0
add #-34,r7
shll2 r0
cmp/pl r7
bt/s fdl3005
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3005:
jmp @r4
mov #0x1C,r2
.align 2
g1_except_addr3004: .long group_1_exception
bf_addr3004: .long basefunction
! Opcode 4AFB
OAFB:
mov.l r3,@-r15
mov.l g1_except_addr3006,r0
add #-2,r6
jsr @r0
mov #0x10,r4
mov.l bf_addr3006,r0
jsr @r0
nop
add r5,r6
mov.l @r15+,r3
mov.w @r6+,r0
add #-34,r7
shll2 r0
cmp/pl r7
bt/s fdl3007
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3007:
jmp @r4
mov #0x1C,r2
.align 2
g1_except_addr3006: .long group_1_exception
bf_addr3006: .long basefunction
! Opcode 4AFC
OAFC:
mov.l r3,@-r15
mov.l g1_except_addr3008,r0
add #-2,r6
jsr @r0
mov #0x10,r4
mov.l bf_addr3008,r0
jsr @r0
nop
add r5,r6
mov.l @r15+,r3
mov.w @r6+,r0
add #-34,r7
shll2 r0
cmp/pl r7
bt/s fdl3009
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3009:
jmp @r4
mov #0x1C,r2
.align 2
g1_except_addr3008: .long group_1_exception
bf_addr3008: .long basefunction
! Opcodes 4B80 - 4B87
OB80:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #20,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3010
mov #0,r8
cmp/hi r3,r1
bt ln3010
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3011
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3011:
jmp @r4
mov #0x1C,r2
.align 5
setn3010:
mov #1,r8
ln3010:
mov.l r1,@-r15
mov.l g2_except_ptr3010,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3010,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl3012
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3012:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3010: .long group_2_exception
bf_addr3010: .long basefunction
! Opcodes 4B90 - 4B97
OB90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3013
mov #0,r8
cmp/hi r3,r1
bt ln3013
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3014
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3014:
jmp @r4
mov #0x1C,r2
.align 5
setn3013:
mov #1,r8
ln3013:
mov.l r1,@-r15
mov.l g2_except_ptr3013,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3013,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
shll2 r0
cmp/pl r7
bt/s fdl3015
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3015:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3013: .long group_2_exception
bf_addr3013: .long basefunction
! Opcodes 4B98 - 4B9F
OB98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3016
mov #0,r8
cmp/hi r3,r1
bt ln3016
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3017
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3017:
jmp @r4
mov #0x1C,r2
.align 5
setn3016:
mov #1,r8
ln3016:
mov.l r1,@-r15
mov.l g2_except_ptr3016,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3016,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
shll2 r0
cmp/pl r7
bt/s fdl3018
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3018:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3016: .long group_2_exception
bf_addr3016: .long basefunction
! Opcodes 4BA0 - 4BA7
OBA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3019
mov #0,r8
cmp/hi r3,r1
bt ln3019
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3020
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3020:
jmp @r4
mov #0x1C,r2
.align 5
setn3019:
mov #1,r8
ln3019:
mov.l r1,@-r15
mov.l g2_except_ptr3019,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3019,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-56,r7
shll2 r0
cmp/pl r7
bt/s fdl3021
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3021:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3019: .long group_2_exception
bf_addr3019: .long basefunction
! Opcodes 4BA8 - 4BAF
OBA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3022
mov #0,r8
cmp/hi r3,r1
bt ln3022
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3023
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3023:
jmp @r4
mov #0x1C,r2
.align 5
setn3022:
mov #1,r8
ln3022:
mov.l r1,@-r15
mov.l g2_except_ptr3022,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3022,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
shll2 r0
cmp/pl r7
bt/s fdl3024
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3024:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3022: .long group_2_exception
bf_addr3022: .long basefunction
! Opcodes 4BB0 - 4BB7
OBB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3025
mov #0,r8
cmp/hi r3,r1
bt ln3025
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3026
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3026:
jmp @r4
mov #0x1C,r2
.align 5
setn3025:
mov #1,r8
ln3025:
mov.l r1,@-r15
mov.l g2_except_ptr3025,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3025,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
shll2 r0
cmp/pl r7
bt/s fdl3027
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3027:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3025: .long group_2_exception
bf_addr3025: .long basefunction
! Opcode 4BB8
OBB8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3028
mov #0,r8
cmp/hi r3,r1
bt ln3028
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3029
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3029:
jmp @r4
mov #0x1C,r2
.align 5
setn3028:
mov #1,r8
ln3028:
mov.l r1,@-r15
mov.l g2_except_ptr3028,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3028,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
shll2 r0
cmp/pl r7
bt/s fdl3030
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3030:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3028: .long group_2_exception
bf_addr3028: .long basefunction
! Opcode 4BB9
OBB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3031
mov #0,r8
cmp/hi r3,r1
bt ln3031
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl3032
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3032:
jmp @r4
mov #0x1C,r2
.align 5
setn3031:
mov #1,r8
ln3031:
mov.l r1,@-r15
mov.l g2_except_ptr3031,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3031,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-62,r7
shll2 r0
cmp/pl r7
bt/s fdl3033
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3033:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3031: .long group_2_exception
bf_addr3031: .long basefunction
! Opcode 4BBA
OBBA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3034
mov #0,r8
cmp/hi r3,r1
bt ln3034
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3035
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3035:
jmp @r4
mov #0x1C,r2
.align 5
setn3034:
mov #1,r8
ln3034:
mov.l r1,@-r15
mov.l g2_except_ptr3034,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3034,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
shll2 r0
cmp/pl r7
bt/s fdl3036
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3036:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3034: .long group_2_exception
bf_addr3034: .long basefunction
! Opcode 4BBB
OBBB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3037
mov #0,r8
cmp/hi r3,r1
bt ln3037
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3038
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3038:
jmp @r4
mov #0x1C,r2
.align 5
setn3037:
mov #1,r8
ln3037:
mov.l r1,@-r15
mov.l g2_except_ptr3037,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3037,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
shll2 r0
cmp/pl r7
bt/s fdl3039
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3039:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3037: .long group_2_exception
bf_addr3037: .long basefunction
! Opcode 4BBC
OBBC:
mov.w @r6+,r3
mov #20,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3040
mov #0,r8
cmp/hi r3,r1
bt ln3040
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3041
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3041:
jmp @r4
mov #0x1C,r2
.align 5
setn3040:
mov #1,r8
ln3040:
mov.l r1,@-r15
mov.l g2_except_ptr3040,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3040,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
shll2 r0
cmp/pl r7
bt/s fdl3042
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3042:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3040: .long group_2_exception
bf_addr3040: .long basefunction
! Opcodes 4BD0 - 4BD7
OBD0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l r4,@(52,r13)
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3043
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3043:
jmp @r4
mov #0x1C,r2
! Opcodes 4BE8 - 4BEF
OBE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(52,r13)
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3044
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3044:
jmp @r4
mov #0x1C,r2
! Opcodes 4BF0 - 4BF7
OBF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(52,r13)
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3045
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3045:
jmp @r4
mov #0x1C,r2
! Opcode 4BF8
OBF8:
mov.w @r6+,r4
mov.l r4,@(52,r13)
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3046
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3046:
jmp @r4
mov #0x1C,r2
! Opcode 4BF9
OBF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l r4,@(52,r13)
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3047
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3047:
jmp @r4
mov #0x1C,r2
! Opcode 4BFA
OBFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l r4,@(52,r13)
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3048
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3048:
jmp @r4
mov #0x1C,r2
! Opcode 4BFB
OBFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l r4,@(52,r13)
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3049
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3049:
jmp @r4
mov #0x1C,r2
! Opcodes 4C90 - 4C97
OC90:
mov.l r3,@-r15
and r0,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov r2,r0
mov.l @(r0,r14),r4
mov #0,r2
ln3050:
shlr r10
bf ln3051
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
add #-4,r7
mov r13,r0
mov.l r3,@(r0,r2)
add #2,r4
ln3051:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3050
mov.l @r15+,r10
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3052
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3052:
jmp @r4
mov #0x1C,r2
! Opcodes 4C98 - 4C9F
OC98:
mov.l r3,@-r15
and r0,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov r2,r0
mov.l @(r0,r14),r4
mov.l r2,@-r15
mov #0,r2
ln3053:
shlr r10
bf ln3054
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
add #-4,r7
mov r13,r0
add #2,r4
mov.l r3,@(r0,r2)
ln3054:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3053
mov.l @r15+,r2
mov.l @r15+,r10
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3055
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3055:
jmp @r4
mov #0x1C,r2
! Opcodes 4CA8 - 4CAF
OCA8:
mov.l r3,@-r15
and r0,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov #0,r2
ln3056:
shlr r10
bf ln3057
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
add #-4,r7
mov r13,r0
mov.l r3,@(r0,r2)
add #2,r4
ln3057:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3056
mov.l @r15+,r10
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3058
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3058:
jmp @r4
mov #0x1C,r2
! Opcodes 4CB0 - 4CB7
OCB0:
mov.l r3,@-r15
and r0,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov #0,r2
ln3059:
shlr r10
bf ln3060
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
add #-4,r7
mov r13,r0
mov.l r3,@(r0,r2)
add #2,r4
ln3060:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3059
mov.l @r15+,r10
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3061
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3061:
jmp @r4
mov #0x1C,r2
! Opcode 4CB8
OCB8:
mov.l r3,@-r15
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6+,r4
mov #0,r2
ln3062:
shlr r10
bf ln3063
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
add #-4,r7
mov r13,r0
mov.l r3,@(r0,r2)
add #2,r4
ln3063:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3062
mov.l @r15+,r10
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3064
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3064:
jmp @r4
mov #0x1C,r2
! Opcode 4CB9
OCB9:
mov.l r3,@-r15
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov #0,r2
ln3065:
shlr r10
bf ln3066
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
add #-4,r7
mov r13,r0
mov.l r3,@(r0,r2)
add #2,r4
ln3066:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3065
mov.l @r15+,r10
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3067
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3067:
jmp @r4
mov #0x1C,r2
! Opcode 4CBA
OCBA:
mov.l r3,@-r15
mov.l r10,@-r15
mov.w @r6+,r10
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov #0,r2
ln3068:
shlr r10
bf ln3069
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
add #-4,r7
mov r13,r0
mov.l r3,@(r0,r2)
add #2,r4
ln3069:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3068
mov.l @r15+,r10
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3070
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3070:
jmp @r4
mov #0x1C,r2
! Opcode 4CBB
OCBB:
mov.l r3,@-r15
mov.l r10,@-r15
mov.w @r6+,r10
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov #0,r2
ln3071:
shlr r10
bf ln3072
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
add #-4,r7
mov r13,r0
mov.l r3,@(r0,r2)
add #2,r4
ln3072:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3071
mov.l @r15+,r10
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3073
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3073:
jmp @r4
mov #0x1C,r2
! Opcodes 4CD0 - 4CD7
OCD0:
mov.l r3,@-r15
and r0,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov r2,r0
mov.l @(r0,r14),r4
mov #0,r2
ln3074:
shlr r10
bf ln3075
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
add #-8,r7
mov r13,r0
mov.l r3,@(r0,r2)
add #4,r4
ln3075:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3074
mov.l @r15+,r10
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3076
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3076:
jmp @r4
mov #0x1C,r2
! Opcodes 4CD8 - 4CDF
OCD8:
mov.l r3,@-r15
and r0,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov r2,r0
mov.l @(r0,r14),r4
mov.l r2,@-r15
mov #0,r2
ln3077:
shlr r10
bf ln3078
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
add #-8,r7
mov r13,r0
add #4,r4
mov.l r3,@(r0,r2)
ln3078:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3077
mov.l @r15+,r2
mov.l @r15+,r10
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3079
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3079:
jmp @r4
mov #0x1C,r2
! Opcodes 4CE8 - 4CEF
OCE8:
mov.l r3,@-r15
and r0,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov #0,r2
ln3080:
shlr r10
bf ln3081
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
add #-8,r7
mov r13,r0
mov.l r3,@(r0,r2)
add #4,r4
ln3081:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3080
mov.l @r15+,r10
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3082
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3082:
jmp @r4
mov #0x1C,r2
! Opcodes 4CF0 - 4CF7
OCF0:
mov.l r3,@-r15
and r0,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov #0,r2
ln3083:
shlr r10
bf ln3084
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
add #-8,r7
mov r13,r0
mov.l r3,@(r0,r2)
add #4,r4
ln3084:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3083
mov.l @r15+,r10
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3085
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3085:
jmp @r4
mov #0x1C,r2
! Opcode 4CF8
OCF8:
mov.l r3,@-r15
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6+,r4
mov #0,r2
ln3086:
shlr r10
bf ln3087
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
add #-8,r7
mov r13,r0
mov.l r3,@(r0,r2)
add #4,r4
ln3087:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3086
mov.l @r15+,r10
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3088
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3088:
jmp @r4
mov #0x1C,r2
! Opcode 4CF9
OCF9:
mov.l r3,@-r15
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov #0,r2
ln3089:
shlr r10
bf ln3090
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
add #-8,r7
mov r13,r0
mov.l r3,@(r0,r2)
add #4,r4
ln3090:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3089
mov.l @r15+,r10
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3091
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3091:
jmp @r4
mov #0x1C,r2
! Opcode 4CFA
OCFA:
mov.l r3,@-r15
mov.l r10,@-r15
mov.w @r6+,r10
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov #0,r2
ln3092:
shlr r10
bf ln3093
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
add #-8,r7
mov r13,r0
mov.l r3,@(r0,r2)
add #4,r4
ln3093:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3092
mov.l @r15+,r10
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3094
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3094:
jmp @r4
mov #0x1C,r2
! Opcode 4CFB
OCFB:
mov.l r3,@-r15
mov.l r10,@-r15
mov.w @r6+,r10
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov #0,r2
ln3095:
shlr r10
bf ln3096
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
add #-8,r7
mov r13,r0
mov.l r3,@(r0,r2)
add #4,r4
ln3096:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3095
mov.l @r15+,r10
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3097
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3097:
jmp @r4
mov #0x1C,r2
! Opcodes 4D80 - 4D87
OD80:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #24,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3098
mov #0,r8
cmp/hi r3,r1
bt ln3098
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3099
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3099:
jmp @r4
mov #0x1C,r2
.align 5
setn3098:
mov #1,r8
ln3098:
mov.l r1,@-r15
mov.l g2_except_ptr3098,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3098,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl3100
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3100:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3098: .long group_2_exception
bf_addr3098: .long basefunction
! Opcodes 4D90 - 4D97
OD90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3101
mov #0,r8
cmp/hi r3,r1
bt ln3101
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3102
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3102:
jmp @r4
mov #0x1C,r2
.align 5
setn3101:
mov #1,r8
ln3101:
mov.l r1,@-r15
mov.l g2_except_ptr3101,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3101,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
shll2 r0
cmp/pl r7
bt/s fdl3103
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3103:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3101: .long group_2_exception
bf_addr3101: .long basefunction
! Opcodes 4D98 - 4D9F
OD98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3104
mov #0,r8
cmp/hi r3,r1
bt ln3104
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3105
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3105:
jmp @r4
mov #0x1C,r2
.align 5
setn3104:
mov #1,r8
ln3104:
mov.l r1,@-r15
mov.l g2_except_ptr3104,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3104,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
shll2 r0
cmp/pl r7
bt/s fdl3106
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3106:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3104: .long group_2_exception
bf_addr3104: .long basefunction
! Opcodes 4DA0 - 4DA7
ODA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3107
mov #0,r8
cmp/hi r3,r1
bt ln3107
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3108
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3108:
jmp @r4
mov #0x1C,r2
.align 5
setn3107:
mov #1,r8
ln3107:
mov.l r1,@-r15
mov.l g2_except_ptr3107,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3107,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-56,r7
shll2 r0
cmp/pl r7
bt/s fdl3109
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3109:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3107: .long group_2_exception
bf_addr3107: .long basefunction
! Opcodes 4DA8 - 4DAF
ODA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3110
mov #0,r8
cmp/hi r3,r1
bt ln3110
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3111
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3111:
jmp @r4
mov #0x1C,r2
.align 5
setn3110:
mov #1,r8
ln3110:
mov.l r1,@-r15
mov.l g2_except_ptr3110,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3110,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
shll2 r0
cmp/pl r7
bt/s fdl3112
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3112:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3110: .long group_2_exception
bf_addr3110: .long basefunction
! Opcodes 4DB0 - 4DB7
ODB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3113
mov #0,r8
cmp/hi r3,r1
bt ln3113
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3114
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3114:
jmp @r4
mov #0x1C,r2
.align 5
setn3113:
mov #1,r8
ln3113:
mov.l r1,@-r15
mov.l g2_except_ptr3113,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3113,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
shll2 r0
cmp/pl r7
bt/s fdl3115
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3115:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3113: .long group_2_exception
bf_addr3113: .long basefunction
! Opcode 4DB8
ODB8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3116
mov #0,r8
cmp/hi r3,r1
bt ln3116
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3117
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3117:
jmp @r4
mov #0x1C,r2
.align 5
setn3116:
mov #1,r8
ln3116:
mov.l r1,@-r15
mov.l g2_except_ptr3116,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3116,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
shll2 r0
cmp/pl r7
bt/s fdl3118
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3118:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3116: .long group_2_exception
bf_addr3116: .long basefunction
! Opcode 4DB9
ODB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3119
mov #0,r8
cmp/hi r3,r1
bt ln3119
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl3120
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3120:
jmp @r4
mov #0x1C,r2
.align 5
setn3119:
mov #1,r8
ln3119:
mov.l r1,@-r15
mov.l g2_except_ptr3119,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3119,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-62,r7
shll2 r0
cmp/pl r7
bt/s fdl3121
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3121:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3119: .long group_2_exception
bf_addr3119: .long basefunction
! Opcode 4DBA
ODBA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3122
mov #0,r8
cmp/hi r3,r1
bt ln3122
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3123
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3123:
jmp @r4
mov #0x1C,r2
.align 5
setn3122:
mov #1,r8
ln3122:
mov.l r1,@-r15
mov.l g2_except_ptr3122,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3122,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
shll2 r0
cmp/pl r7
bt/s fdl3124
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3124:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3122: .long group_2_exception
bf_addr3122: .long basefunction
! Opcode 4DBB
ODBB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3125
mov #0,r8
cmp/hi r3,r1
bt ln3125
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3126
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3126:
jmp @r4
mov #0x1C,r2
.align 5
setn3125:
mov #1,r8
ln3125:
mov.l r1,@-r15
mov.l g2_except_ptr3125,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3125,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
shll2 r0
cmp/pl r7
bt/s fdl3127
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3127:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3125: .long group_2_exception
bf_addr3125: .long basefunction
! Opcode 4DBC
ODBC:
mov.w @r6+,r3
mov #24,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3128
mov #0,r8
cmp/hi r3,r1
bt ln3128
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3129
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3129:
jmp @r4
mov #0x1C,r2
.align 5
setn3128:
mov #1,r8
ln3128:
mov.l r1,@-r15
mov.l g2_except_ptr3128,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3128,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
shll2 r0
cmp/pl r7
bt/s fdl3130
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3130:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3128: .long group_2_exception
bf_addr3128: .long basefunction
! Opcodes 4DD0 - 4DD7
ODD0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l r4,@(56,r13)
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3131
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3131:
jmp @r4
mov #0x1C,r2
! Opcodes 4DE8 - 4DEF
ODE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(56,r13)
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3132
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3132:
jmp @r4
mov #0x1C,r2
! Opcodes 4DF0 - 4DF7
ODF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(56,r13)
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3133
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3133:
jmp @r4
mov #0x1C,r2
! Opcode 4DF8
ODF8:
mov.w @r6+,r4
mov.l r4,@(56,r13)
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3134
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3134:
jmp @r4
mov #0x1C,r2
! Opcode 4DF9
ODF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l r4,@(56,r13)
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3135
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3135:
jmp @r4
mov #0x1C,r2
! Opcode 4DFA
ODFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l r4,@(56,r13)
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3136
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3136:
jmp @r4
mov #0x1C,r2
! Opcode 4DFB
ODFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l r4,@(56,r13)
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3137
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3137:
jmp @r4
mov #0x1C,r2
! Opcodes 4E40 - 4E4F
OE40:
mov #0x80,r4
and #0x3C,r0
extu.b r4,r4
mov.l g2_exception_addr,r1
jsr @r1
add r0,r4
mov.l bf_addr3138,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-34,r7
shll2 r0
cmp/pl r7
bt/s fdl3139
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3139:
jmp @r4
mov #0x1C,r2
.align 2
g2_exception_addr: .long group_2_exception
bf_addr3138: .long basefunction
! Opcodes 4E50 - 4E57
OE50:
mov.l r3,@-r15
and r0,r2
mov r2,r0
mov.l @(r0,r14),r3
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov.l @(60,r13),r3
mov r2,r0
mov.l r3,@(r0,r14)
mov.w @r6+,r4
add r4,r3
mov.l r3,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3140
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3140:
jmp @r4
mov #0x1C,r2
! Opcodes 4E58 - 4E5F
OE58:
mov.l r3,@-r15
and r0,r2
mov r2,r0
mov.l @(r0,r14),r3
mov.l r3,@(60,r13)
mov.l @(60,r13),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
mov r2,r0
mov.l r3,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3141
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3141:
jmp @r4
mov #0x1C,r2
! Opcodes 4E60 - 4E67
OE60:
and r0,r2
mov r10,r0
tst #0x20,r0
bf pcheck_ok3142
mov.l priviolation_addr3142,r0
jmp @r0
nop
.align 2
priviolation_addr3142: .long privilege_violation
pcheck_ok3142:
mov r2,r0
mov.l @(r0,r14),r1
mov.l r1,@(32,r14)
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3143
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3143:
jmp @r4
mov #0x1C,r2
! Opcodes 4E68 - 4E6F
OE68:
and r0,r2
mov r10,r0
tst #0x20,r0
bf pcheck_ok3144
mov.l priviolation_addr3144,r0
jmp @r0
nop
.align 2
priviolation_addr3144: .long privilege_violation
pcheck_ok3144:
mov.l @(32,r14),r1
mov r2,r0
mov.l r1,@(r0,r14)
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3145
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3145:
jmp @r4
mov #0x1C,r2
! Opcode 4E70
OE70:
mov r10,r0
tst #0x20,r0
bf pcheck_ok3147
mov.l priviolation_addr3147,r0
jmp @r0
nop
.align 2
priviolation_addr3147: .long privilege_violation
pcheck_ok3147:
mov.l resethandler_addr3146,r0
mov.l @r0,r1
tst r1,r1
bt r_done
mov.l r3,@-r15
mov.l _io_cycle_counter_addr3146,r0
mov.l r7,@r0
mov.l r5,@(io_fetchbase-_io_cycle_counter,r0)
mov.l r6,@(io_fetchbased_pc-_io_cycle_counter,r0)
sts.l	pr,@-r15
jsr @r1
nop
lds.l	@r15+,pr
mov.l _io_cycle_counter_addr3146,r0
mov.l @r0,r7
mov.l @(io_fetchbase-_io_cycle_counter,r0),r5
mov.l @(io_fetchbased_pc-_io_cycle_counter,r0),r6
mov.l @r15+,r3
r_done:
mov.w @r6+,r0
add #-128,r7
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3148
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3148:
jmp @r4
mov #0x1C,r2
.align 2
_io_cycle_counter_addr3146: .long _io_cycle_counter
resethandler_addr3146: .long resethandler
! Opcode 4E71
OE71:
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3149
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3149:
jmp @r4
mov #0x1C,r2
! Opcode 4E72
OE72:
mov r10,r0
tst #0x20,r0
bf pcheck_ok3150
mov.l priviolation_addr3150,r0
jmp @r0
nop
.align 2
priviolation_addr3150: .long privilege_violation
pcheck_ok3150:
mov.w @r6+,r3
mov.l execinfo_addr3150,r2
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln3151
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln3151:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov.w @r2,r0
mov #0x80,r1
extu.b r1,r1
or r1,r0
mov.w r0,@r2
mov.l @(execexit_addr-areg,r14),r0
add #2,r6
jmp @r0
add #-4,r7
.align 2
execinfo_addr3150: .long execinfo
! Opcode 4E73
OE73:
mov r10,r0
tst #0x20,r0
bf pcheck_ok3154
mov.l priviolation_addr3154,r0
jmp @r0
nop
.align 2
priviolation_addr3154: .long privilege_violation
pcheck_ok3154:
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
mov.l @(60,r13),r4
add #2,r4
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln3155
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln3155:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov r10,r0
tst #0x20,r0
movt r2
mov.l r3,@-r15
shll2 r2
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
add #28,r2
add r14,r2
mov.l @r2,r4
add #6,r4
mov.l r4,@r2
mov.l execinfo_addr3153,r1
mov.w @r1,r0
and #0xE5,r0
mov.w r0,@r1
mov r3,r6
mov.l bf_addr3153,r0
jsr @r0
nop
add r5,r6
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s continue3157
mov.l @(r0,r12),r4
bra fdl3157
mov.l @(execexit_addr-areg,r14),r4
continue3157:
lds r0,MACL
mov r10,r0
tst #0x80,r0
bt fde3157
mov.l execinfo_ptr3157,r1
mov.w @r1,r0
mov.l trace_excep_ptr3157,r2
sub r5,r6
jmp @r2
add #-2,r6
fde3157:
sts MACL,r0
fdl3157:
jmp @r4
mov #0x1C,r2
.align 2
execinfo_ptr3157: .long execinfo
trace_excep_ptr3157: .long trace_excep
.align 2
bf_addr3153: .long basefunction
execinfo_addr3153: .long execinfo
! Opcode 4E75
OE75:
mov r3,r2
mov.l @(60,r13),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
mov r3,r6
mov.l bf_addr3158,r0
jsr @r0
nop
add r5,r6
mov r2,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3159
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3159:
jmp @r4
mov #0x1C,r2
.align 2
bf_addr3158: .long basefunction
! Opcode 4E76
OE76:
mov r8,r0
tst #0x4,r0
bf ln3160
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3161
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3161:
jmp @r4
mov #0x1C,r2
.align 5
ln3160:
mov.l g2_exception_ptr,r0
jsr @r0
mov #0x1C,r4
mov.l bf_addr3160,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl3162
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3162:
jmp @r4
mov #0x1C,r2
.align 2
g2_exception_ptr: .long group_2_exception
bf_addr3160: .long basefunction
! Opcode 4E77
OE77:
mov.l @(60,r13),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
mov #3,r8
and r3,r8
mov r3,r9
shlr2 r9
not r9,r3
shlr r9
mov #1,r0
shlr r9
addc r8,r8
and r0,r9
and r0,r3
mov r3,r2
mov.l @(60,r13),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
mov r3,r6
mov.l bf_addr3163,r0
jsr @r0
nop
add r5,r6
mov r2,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3164
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3164:
jmp @r4
mov #0x1C,r2
.align 2
bf_addr3163: .long basefunction
! Opcodes 4E90 - 4E97
OE90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov r3,r2
mov r6,r3
sub r5,r3
mov r4,r6
mov.l bf_addr3165,r0
jsr @r0
nop
add r5,r6
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov r2,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3166
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3166:
jmp @r4
mov #0x1C,r2
.align 2
bf_addr3165: .long basefunction
! Opcodes 4EA8 - 4EAF
OEA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov r3,r2
mov r6,r3
sub r5,r3
mov r4,r6
mov.l bf_addr3167,r0
jsr @r0
nop
add r5,r6
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3168
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3168:
jmp @r4
mov #0x1C,r2
.align 2
bf_addr3167: .long basefunction
! Opcodes 4EB0 - 4EB7
OEB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov r3,r2
mov r6,r3
sub r5,r3
mov r4,r6
mov.l bf_addr3169,r0
jsr @r0
nop
add r5,r6
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov r2,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl3170
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3170:
jmp @r4
mov #0x1C,r2
.align 2
bf_addr3169: .long basefunction
! Opcode 4EB8
OEB8:
mov.w @r6+,r4
mov r3,r2
mov r6,r3
sub r5,r3
mov r4,r6
mov.l bf_addr3171,r0
jsr @r0
nop
add r5,r6
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3172
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3172:
jmp @r4
mov #0x1C,r2
.align 2
bf_addr3171: .long basefunction
! Opcode 4EB9
OEB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov r3,r2
mov r6,r3
sub r5,r3
mov r4,r6
mov.l bf_addr3173,r0
jsr @r0
nop
add r5,r6
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov r2,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3174
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3174:
jmp @r4
mov #0x1C,r2
.align 2
bf_addr3173: .long basefunction
! Opcode 4EBA
OEBA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov r3,r2
mov r6,r3
sub r5,r3
mov r4,r6
mov.l bf_addr3175,r0
jsr @r0
nop
add r5,r6
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3176
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3176:
jmp @r4
mov #0x1C,r2
.align 2
bf_addr3175: .long basefunction
! Opcode 4EBB
OEBB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov r3,r2
mov r6,r3
sub r5,r3
mov r4,r6
mov.l bf_addr3177,r0
jsr @r0
nop
add r5,r6
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov r2,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl3178
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3178:
jmp @r4
mov #0x1C,r2
.align 2
bf_addr3177: .long basefunction
! Opcodes 4ED0 - 4ED7
OED0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov r4,r6
mov.l bf_addr3179,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3180
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3180:
jmp @r4
mov #0x1C,r2
.align 2
bf_addr3179: .long basefunction
! Opcodes 4EE8 - 4EEF
OEE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov r4,r6
mov.l bf_addr3181,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3182
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3182:
jmp @r4
mov #0x1C,r2
.align 2
bf_addr3181: .long basefunction
! Opcodes 4EF0 - 4EF7
OEF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov r4,r6
mov.l bf_addr3183,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3184
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3184:
jmp @r4
mov #0x1C,r2
.align 2
bf_addr3183: .long basefunction
! Opcode 4EF8
OEF8:
mov.w @r6+,r4
mov r4,r6
mov.l bf_addr3185,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3186
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3186:
jmp @r4
mov #0x1C,r2
.align 2
bf_addr3185: .long basefunction
! Opcode 4EF9
OEF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov r4,r6
mov.l bf_addr3187,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3188
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3188:
jmp @r4
mov #0x1C,r2
.align 2
bf_addr3187: .long basefunction
! Opcode 4EFA
OEFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov r4,r6
mov.l bf_addr3189,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3190
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3190:
jmp @r4
mov #0x1C,r2
.align 2
bf_addr3189: .long basefunction
! Opcode 4EFB
OEFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov r4,r6
mov.l bf_addr3191,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3192
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3192:
jmp @r4
mov #0x1C,r2
.align 2
bf_addr3191: .long basefunction
! Opcodes 4F80 - 4F87
OF80:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #28,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3193
mov #0,r8
cmp/hi r3,r1
bt ln3193
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3194
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3194:
jmp @r4
mov #0x1C,r2
.align 5
setn3193:
mov #1,r8
ln3193:
mov.l r1,@-r15
mov.l g2_except_ptr3193,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3193,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl3195
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3195:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3193: .long group_2_exception
bf_addr3193: .long basefunction
! Opcodes 4F90 - 4F97
OF90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3196
mov #0,r8
cmp/hi r3,r1
bt ln3196
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3197
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3197:
jmp @r4
mov #0x1C,r2
.align 5
setn3196:
mov #1,r8
ln3196:
mov.l r1,@-r15
mov.l g2_except_ptr3196,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3196,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
shll2 r0
cmp/pl r7
bt/s fdl3198
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3198:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3196: .long group_2_exception
bf_addr3196: .long basefunction
! Opcodes 4F98 - 4F9F
OF98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3199
mov #0,r8
cmp/hi r3,r1
bt ln3199
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3200
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3200:
jmp @r4
mov #0x1C,r2
.align 5
setn3199:
mov #1,r8
ln3199:
mov.l r1,@-r15
mov.l g2_except_ptr3199,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3199,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
shll2 r0
cmp/pl r7
bt/s fdl3201
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3201:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3199: .long group_2_exception
bf_addr3199: .long basefunction
! Opcodes 4FA0 - 4FA7
OFA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3202
mov #0,r8
cmp/hi r3,r1
bt ln3202
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3203
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3203:
jmp @r4
mov #0x1C,r2
.align 5
setn3202:
mov #1,r8
ln3202:
mov.l r1,@-r15
mov.l g2_except_ptr3202,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3202,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-56,r7
shll2 r0
cmp/pl r7
bt/s fdl3204
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3204:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3202: .long group_2_exception
bf_addr3202: .long basefunction
! Opcodes 4FA8 - 4FAF
OFA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3205
mov #0,r8
cmp/hi r3,r1
bt ln3205
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3206
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3206:
jmp @r4
mov #0x1C,r2
.align 5
setn3205:
mov #1,r8
ln3205:
mov.l r1,@-r15
mov.l g2_except_ptr3205,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3205,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
shll2 r0
cmp/pl r7
bt/s fdl3207
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3207:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3205: .long group_2_exception
bf_addr3205: .long basefunction
! Opcodes 4FB0 - 4FB7
OFB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3208
mov #0,r8
cmp/hi r3,r1
bt ln3208
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3209
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3209:
jmp @r4
mov #0x1C,r2
.align 5
setn3208:
mov #1,r8
ln3208:
mov.l r1,@-r15
mov.l g2_except_ptr3208,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3208,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
shll2 r0
cmp/pl r7
bt/s fdl3210
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3210:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3208: .long group_2_exception
bf_addr3208: .long basefunction
! Opcode 4FB8
OFB8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3211
mov #0,r8
cmp/hi r3,r1
bt ln3211
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3212
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3212:
jmp @r4
mov #0x1C,r2
.align 5
setn3211:
mov #1,r8
ln3211:
mov.l r1,@-r15
mov.l g2_except_ptr3211,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3211,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
shll2 r0
cmp/pl r7
bt/s fdl3213
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3213:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3211: .long group_2_exception
bf_addr3211: .long basefunction
! Opcode 4FB9
OFB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3214
mov #0,r8
cmp/hi r3,r1
bt ln3214
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl3215
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3215:
jmp @r4
mov #0x1C,r2
.align 5
setn3214:
mov #1,r8
ln3214:
mov.l r1,@-r15
mov.l g2_except_ptr3214,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3214,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-62,r7
shll2 r0
cmp/pl r7
bt/s fdl3216
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3216:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3214: .long group_2_exception
bf_addr3214: .long basefunction
! Opcode 4FBA
OFBA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3217
mov #0,r8
cmp/hi r3,r1
bt ln3217
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3218
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3218:
jmp @r4
mov #0x1C,r2
.align 5
setn3217:
mov #1,r8
ln3217:
mov.l r1,@-r15
mov.l g2_except_ptr3217,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3217,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
shll2 r0
cmp/pl r7
bt/s fdl3219
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3219:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3217: .long group_2_exception
bf_addr3217: .long basefunction
! Opcode 4FBB
OFBB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3220
mov #0,r8
cmp/hi r3,r1
bt ln3220
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3221
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3221:
jmp @r4
mov #0x1C,r2
.align 5
setn3220:
mov #1,r8
ln3220:
mov.l r1,@-r15
mov.l g2_except_ptr3220,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3220,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
shll2 r0
cmp/pl r7
bt/s fdl3222
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3222:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3220: .long group_2_exception
bf_addr3220: .long basefunction
! Opcode 4FBC
OFBC:
mov.w @r6+,r3
mov #28,r0
mov.w @(r0,r13),r1
extu.w r1,r1
cmp/pz r1
bf setn3223
mov #0,r8
cmp/hi r3,r1
bt ln3223
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3224
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3224:
jmp @r4
mov #0x1C,r2
.align 5
setn3223:
mov #1,r8
ln3223:
mov.l r1,@-r15
mov.l g2_except_ptr3223,r0
jsr @r0
mov #0x18,r4
mov.l @r15+,r3
mov.l bf_addr3223,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
shll2 r0
cmp/pl r7
bt/s fdl3225
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3225:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_ptr3223: .long group_2_exception
bf_addr3223: .long basefunction
! Opcodes 4FD0 - 4FD7
OFD0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l r4,@(60,r13)
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3226
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3226:
jmp @r4
mov #0x1C,r2
! Opcodes 4FE8 - 4FEF
OFE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(60,r13)
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3227
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3227:
jmp @r4
mov #0x1C,r2
! Opcodes 4FF0 - 4FF7
OFF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(60,r13)
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3228
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3228:
jmp @r4
mov #0x1C,r2
! Opcode 4FF8
OFF8:
mov.w @r6+,r4
mov.l r4,@(60,r13)
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3229
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3229:
jmp @r4
mov #0x1C,r2
! Opcode 4FF9
OFF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l r4,@(60,r13)
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3230
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3230:
jmp @r4
mov #0x1C,r2
! Opcode 4FFA
OFFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l r4,@(60,r13)
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3231
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3231:
jmp @r4
mov #0x1C,r2
! Opcode 4FFB
OFFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l r4,@(60,r13)
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3232
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3232:
jmp @r4
mov #0x1C,r2
! Opcodes 5000 - 5007
P000:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3233
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3233:
jmp @r4
mov #0x1C,r2
! Opcodes 5008 - 500F
P008:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3234
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3234:
jmp @r4
mov #0x1C,r2
! Opcodes 5010 - 5017
P010:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3235
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3235:
jmp @r4
mov #0x1C,r2
! Opcodes 5018 - 501F
P018:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3236
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3236:
jmp @r4
mov #0x1C,r2
! Opcodes 5020 - 5027
P020:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3237
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3237:
jmp @r4
mov #0x1C,r2
! Opcodes 5028 - 502F
P028:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3238
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3238:
jmp @r4
mov #0x1C,r2
! Opcodes 5030 - 5037
P030:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3239
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3239:
jmp @r4
mov #0x1C,r2
! Opcode 5038
P038:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3240
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3240:
jmp @r4
mov #0x1C,r2
! Opcode 5039
P039:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3241
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3241:
jmp @r4
mov #0x1C,r2
! Opcodes 5040 - 5047
P040:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3242
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3242:
jmp @r4
mov #0x1C,r2
! Opcodes 5048 - 504F
P048:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add # 8,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3243
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3243:
jmp @r4
mov #0x1C,r2
! Opcodes 5050 - 5057
P050:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3244
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3244:
jmp @r4
mov #0x1C,r2
! Opcodes 5058 - 505F
P058:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3245
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3245:
jmp @r4
mov #0x1C,r2
! Opcodes 5060 - 5067
P060:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3246
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3246:
jmp @r4
mov #0x1C,r2
! Opcodes 5068 - 506F
P068:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3247
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3247:
jmp @r4
mov #0x1C,r2
! Opcodes 5070 - 5077
P070:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3248
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3248:
jmp @r4
mov #0x1C,r2
! Opcode 5078
P078:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3249
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3249:
jmp @r4
mov #0x1C,r2
! Opcode 5079
P079:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3250
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3250:
jmp @r4
mov #0x1C,r2
! Opcodes 5080 - 5087
P080:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #8,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3251
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3251:
jmp @r4
mov #0x1C,r2
! Opcodes 5088 - 508F
P088:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add # 8,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3252
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3252:
jmp @r4
mov #0x1C,r2
! Opcodes 5090 - 5097
P090:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3253
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3253:
jmp @r4
mov #0x1C,r2
! Opcodes 5098 - 509F
P098:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3254
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3254:
jmp @r4
mov #0x1C,r2
! Opcodes 50A0 - 50A7
P0A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl3255
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3255:
jmp @r4
mov #0x1C,r2
! Opcodes 50A8 - 50AF
P0A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3256
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3256:
jmp @r4
mov #0x1C,r2
! Opcodes 50B0 - 50B7
P0B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl3257
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3257:
jmp @r4
mov #0x1C,r2
! Opcode 50B8
P0B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3258
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3258:
jmp @r4
mov #0x1C,r2
! Opcode 50B9
P0B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl3259
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3259:
jmp @r4
mov #0x1C,r2
! Opcodes 50C0 - 50C7
P0C0:
and r0,r2
mov.l r3,@-r15
mov #255,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl3260
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3260:
jmp @r4
mov #0x1C,r2
! Opcodes 50C8 - 50CF
P0C8:
add #2,r6
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3261
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3261:
jmp @r4
mov #0x1C,r2
! Opcodes 50D0 - 50D7
P0D0:
and r0,r2
mov.l r3,@-r15
mov #255,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3262
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3262:
jmp @r4
mov #0x1C,r2
! Opcodes 50D8 - 50DF
P0D8:
and r0,r2
mov.l r3,@-r15
mov #255,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3263
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3263:
jmp @r4
mov #0x1C,r2
! Opcodes 50E0 - 50E7
P0E0:
and r0,r2
mov.l r3,@-r15
mov #255,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3264
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3264:
jmp @r4
mov #0x1C,r2
! Opcodes 50E8 - 50EF
P0E8:
and r0,r2
mov.l r3,@-r15
mov #255,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3265
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3265:
jmp @r4
mov #0x1C,r2
! Opcodes 50F0 - 50F7
P0F0:
and r0,r2
mov.l r3,@-r15
mov #255,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3266
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3266:
jmp @r4
mov #0x1C,r2
! Opcode 50F8
P0F8:
mov.l r3,@-r15
mov #255,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3267
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3267:
jmp @r4
mov #0x1C,r2
! Opcode 50F9
P0F9:
mov.l r3,@-r15
mov #255,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3268
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3268:
jmp @r4
mov #0x1C,r2
! Opcodes 5100 - 5107
P100:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3269
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3269:
jmp @r4
mov #0x1C,r2
! Opcodes 5108 - 510F
P108:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3270
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3270:
jmp @r4
mov #0x1C,r2
! Opcodes 5110 - 5117
P110:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3271
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3271:
jmp @r4
mov #0x1C,r2
! Opcodes 5118 - 511F
P118:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3272
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3272:
jmp @r4
mov #0x1C,r2
! Opcodes 5120 - 5127
P120:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3273
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3273:
jmp @r4
mov #0x1C,r2
! Opcodes 5128 - 512F
P128:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3274
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3274:
jmp @r4
mov #0x1C,r2
! Opcodes 5130 - 5137
P130:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3275
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3275:
jmp @r4
mov #0x1C,r2
! Opcode 5138
P138:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3276
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3276:
jmp @r4
mov #0x1C,r2
! Opcode 5139
P139:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3277
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3277:
jmp @r4
mov #0x1C,r2
! Opcodes 5140 - 5147
P140:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3278
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3278:
jmp @r4
mov #0x1C,r2
! Opcodes 5148 - 514F
P148:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add #-8,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3279
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3279:
jmp @r4
mov #0x1C,r2
! Opcodes 5150 - 5157
P150:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3280
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3280:
jmp @r4
mov #0x1C,r2
! Opcodes 5158 - 515F
P158:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3281
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3281:
jmp @r4
mov #0x1C,r2
! Opcodes 5160 - 5167
P160:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3282
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3282:
jmp @r4
mov #0x1C,r2
! Opcodes 5168 - 516F
P168:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3283
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3283:
jmp @r4
mov #0x1C,r2
! Opcodes 5170 - 5177
P170:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3284
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3284:
jmp @r4
mov #0x1C,r2
! Opcode 5178
P178:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3285
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3285:
jmp @r4
mov #0x1C,r2
! Opcode 5179
P179:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3286
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3286:
jmp @r4
mov #0x1C,r2
! Opcodes 5180 - 5187
P180:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #8,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3287
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3287:
jmp @r4
mov #0x1C,r2
! Opcodes 5188 - 518F
P188:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add #-8,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3288
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3288:
jmp @r4
mov #0x1C,r2
! Opcodes 5190 - 5197
P190:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3289
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3289:
jmp @r4
mov #0x1C,r2
! Opcodes 5198 - 519F
P198:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3290
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3290:
jmp @r4
mov #0x1C,r2
! Opcodes 51A0 - 51A7
P1A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl3291
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3291:
jmp @r4
mov #0x1C,r2
! Opcodes 51A8 - 51AF
P1A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3292
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3292:
jmp @r4
mov #0x1C,r2
! Opcodes 51B0 - 51B7
P1B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl3293
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3293:
jmp @r4
mov #0x1C,r2
! Opcode 51B8
P1B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3294
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3294:
jmp @r4
mov #0x1C,r2
! Opcode 51B9
P1B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl3295
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3295:
jmp @r4
mov #0x1C,r2
! Opcodes 51C0 - 51C7
P1C0:
and r0,r2
mov.l r3,@-r15
mov #0,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3296
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3296:
jmp @r4
mov #0x1C,r2
! Opcodes 51C8 - 51CF
P1C8:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r1
tst r1,r1
add #-1,r1
bf/s bcc_w3297
mov.w r1,@(r0,r13)
add #2,r6
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3298
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3298:
jmp @r4
mov #0x1C,r2
.align 5
bcc_w3297:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3299
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3299:
jmp @r4
mov #0x1C,r2
! Opcodes 51D0 - 51D7
P1D0:
and r0,r2
mov.l r3,@-r15
mov #0,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3300
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3300:
jmp @r4
mov #0x1C,r2
! Opcodes 51D8 - 51DF
P1D8:
and r0,r2
mov.l r3,@-r15
mov #0,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3301
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3301:
jmp @r4
mov #0x1C,r2
! Opcodes 51E0 - 51E7
P1E0:
and r0,r2
mov.l r3,@-r15
mov #0,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3302
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3302:
jmp @r4
mov #0x1C,r2
! Opcodes 51E8 - 51EF
P1E8:
and r0,r2
mov.l r3,@-r15
mov #0,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3303
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3303:
jmp @r4
mov #0x1C,r2
! Opcodes 51F0 - 51F7
P1F0:
and r0,r2
mov.l r3,@-r15
mov #0,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3304
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3304:
jmp @r4
mov #0x1C,r2
! Opcode 51F8
P1F8:
mov.l r3,@-r15
mov #0,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3305
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3305:
jmp @r4
mov #0x1C,r2
! Opcode 51F9
P1F9:
mov.l r3,@-r15
mov #0,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3306
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3306:
jmp @r4
mov #0x1C,r2
! Opcodes 5200 - 5207
P200:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3307
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3307:
jmp @r4
mov #0x1C,r2
! Opcodes 5208 - 520F
P208:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3308
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3308:
jmp @r4
mov #0x1C,r2
! Opcodes 5210 - 5217
P210:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3309
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3309:
jmp @r4
mov #0x1C,r2
! Opcodes 5218 - 521F
P218:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3310
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3310:
jmp @r4
mov #0x1C,r2
! Opcodes 5220 - 5227
P220:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3311
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3311:
jmp @r4
mov #0x1C,r2
! Opcodes 5228 - 522F
P228:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3312
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3312:
jmp @r4
mov #0x1C,r2
! Opcodes 5230 - 5237
P230:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3313
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3313:
jmp @r4
mov #0x1C,r2
! Opcode 5238
P238:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3314
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3314:
jmp @r4
mov #0x1C,r2
! Opcode 5239
P239:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3315
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3315:
jmp @r4
mov #0x1C,r2
! Opcodes 5240 - 5247
P240:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3316
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3316:
jmp @r4
mov #0x1C,r2
! Opcodes 5248 - 524F
P248:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add # 1,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3317
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3317:
jmp @r4
mov #0x1C,r2
! Opcodes 5250 - 5257
P250:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3318
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3318:
jmp @r4
mov #0x1C,r2
! Opcodes 5258 - 525F
P258:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3319
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3319:
jmp @r4
mov #0x1C,r2
! Opcodes 5260 - 5267
P260:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3320
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3320:
jmp @r4
mov #0x1C,r2
! Opcodes 5268 - 526F
P268:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3321
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3321:
jmp @r4
mov #0x1C,r2
! Opcodes 5270 - 5277
P270:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3322
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3322:
jmp @r4
mov #0x1C,r2
! Opcode 5278
P278:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3323
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3323:
jmp @r4
mov #0x1C,r2
! Opcode 5279
P279:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3324
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3324:
jmp @r4
mov #0x1C,r2
! Opcodes 5280 - 5287
P280:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3325
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3325:
jmp @r4
mov #0x1C,r2
! Opcodes 5288 - 528F
P288:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add # 1,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3326
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3326:
jmp @r4
mov #0x1C,r2
! Opcodes 5290 - 5297
P290:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3327
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3327:
jmp @r4
mov #0x1C,r2
! Opcodes 5298 - 529F
P298:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3328
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3328:
jmp @r4
mov #0x1C,r2
! Opcodes 52A0 - 52A7
P2A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl3329
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3329:
jmp @r4
mov #0x1C,r2
! Opcodes 52A8 - 52AF
P2A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3330
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3330:
jmp @r4
mov #0x1C,r2
! Opcodes 52B0 - 52B7
P2B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl3331
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3331:
jmp @r4
mov #0x1C,r2
! Opcode 52B8
P2B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3332
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3332:
jmp @r4
mov #0x1C,r2
! Opcode 52B9
P2B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl3333
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3333:
jmp @r4
mov #0x1C,r2
! Opcodes 52C0 - 52C7
P2C0:
and r0,r2
mov.l r3,@-r15
tst r3,r3
mov r8,r0
addc r0,r0
tst #5,r0
movt r3
sub r3,r7
sub r3,r7
neg r3,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3334
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3334:
jmp @r4
mov #0x1C,r2
! Opcodes 52C8 - 52CF
P2C8:
and r0,r2
tst r3,r3
mov r8,r0
addc r0,r0
tst #5,r0
bf dbcc3335
add #2,r6
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3336
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3336:
jmp @r4
mov #0x1C,r2
.align 5
dbcc3335:
mov r2,r0
mov.w @(r0,r13),r1
tst r1,r1
add #-1,r1
bf/s bcc_w3335
mov.w r1,@(r0,r13)
add #2,r6
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3337
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3337:
jmp @r4
mov #0x1C,r2
.align 5
bcc_w3335:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3338
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3338:
jmp @r4
mov #0x1C,r2
! Opcodes 52D0 - 52D7
P2D0:
and r0,r2
mov.l r3,@-r15
tst r3,r3
mov r8,r0
addc r0,r0
tst #5,r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3339
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3339:
jmp @r4
mov #0x1C,r2
! Opcodes 52D8 - 52DF
P2D8:
and r0,r2
mov.l r3,@-r15
tst r3,r3
mov r8,r0
addc r0,r0
tst #5,r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3340
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3340:
jmp @r4
mov #0x1C,r2
! Opcodes 52E0 - 52E7
P2E0:
and r0,r2
mov.l r3,@-r15
tst r3,r3
mov r8,r0
addc r0,r0
tst #5,r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3341
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3341:
jmp @r4
mov #0x1C,r2
! Opcodes 52E8 - 52EF
P2E8:
and r0,r2
mov.l r3,@-r15
tst r3,r3
mov r8,r0
addc r0,r0
tst #5,r0
movt r3
neg r3,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3342
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3342:
jmp @r4
mov #0x1C,r2
! Opcodes 52F0 - 52F7
P2F0:
and r0,r2
mov.l r3,@-r15
tst r3,r3
mov r8,r0
addc r0,r0
tst #5,r0
movt r3
neg r3,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3343
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3343:
jmp @r4
mov #0x1C,r2
! Opcode 52F8
P2F8:
mov.l r3,@-r15
tst r3,r3
mov r8,r0
addc r0,r0
tst #5,r0
movt r3
neg r3,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3344
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3344:
jmp @r4
mov #0x1C,r2
! Opcode 52F9
P2F9:
mov.l r3,@-r15
tst r3,r3
mov r8,r0
addc r0,r0
tst #5,r0
movt r3
neg r3,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3345
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3345:
jmp @r4
mov #0x1C,r2
! Opcodes 5300 - 5307
P300:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3346
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3346:
jmp @r4
mov #0x1C,r2
! Opcodes 5308 - 530F
P308:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3347
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3347:
jmp @r4
mov #0x1C,r2
! Opcodes 5310 - 5317
P310:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3348
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3348:
jmp @r4
mov #0x1C,r2
! Opcodes 5318 - 531F
P318:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3349
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3349:
jmp @r4
mov #0x1C,r2
! Opcodes 5320 - 5327
P320:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3350
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3350:
jmp @r4
mov #0x1C,r2
! Opcodes 5328 - 532F
P328:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3351
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3351:
jmp @r4
mov #0x1C,r2
! Opcodes 5330 - 5337
P330:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3352
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3352:
jmp @r4
mov #0x1C,r2
! Opcode 5338
P338:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3353
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3353:
jmp @r4
mov #0x1C,r2
! Opcode 5339
P339:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3354
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3354:
jmp @r4
mov #0x1C,r2
! Opcodes 5340 - 5347
P340:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3355
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3355:
jmp @r4
mov #0x1C,r2
! Opcodes 5348 - 534F
P348:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add #-1,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3356
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3356:
jmp @r4
mov #0x1C,r2
! Opcodes 5350 - 5357
P350:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3357
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3357:
jmp @r4
mov #0x1C,r2
! Opcodes 5358 - 535F
P358:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3358
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3358:
jmp @r4
mov #0x1C,r2
! Opcodes 5360 - 5367
P360:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3359
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3359:
jmp @r4
mov #0x1C,r2
! Opcodes 5368 - 536F
P368:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3360
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3360:
jmp @r4
mov #0x1C,r2
! Opcodes 5370 - 5377
P370:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3361
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3361:
jmp @r4
mov #0x1C,r2
! Opcode 5378
P378:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3362
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3362:
jmp @r4
mov #0x1C,r2
! Opcode 5379
P379:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3363
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3363:
jmp @r4
mov #0x1C,r2
! Opcodes 5380 - 5387
P380:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3364
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3364:
jmp @r4
mov #0x1C,r2
! Opcodes 5388 - 538F
P388:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add #-1,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3365
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3365:
jmp @r4
mov #0x1C,r2
! Opcodes 5390 - 5397
P390:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3366
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3366:
jmp @r4
mov #0x1C,r2
! Opcodes 5398 - 539F
P398:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3367
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3367:
jmp @r4
mov #0x1C,r2
! Opcodes 53A0 - 53A7
P3A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl3368
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3368:
jmp @r4
mov #0x1C,r2
! Opcodes 53A8 - 53AF
P3A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3369
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3369:
jmp @r4
mov #0x1C,r2
! Opcodes 53B0 - 53B7
P3B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl3370
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3370:
jmp @r4
mov #0x1C,r2
! Opcode 53B8
P3B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3371
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3371:
jmp @r4
mov #0x1C,r2
! Opcode 53B9
P3B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl3372
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3372:
jmp @r4
mov #0x1C,r2
! Opcodes 53C0 - 53C7
P3C0:
and r0,r2
mov.l r3,@-r15
tst r3,r3
mov r8,r0
addc r0,r0
tst #5,r0
movt r3
tst r3,r3
movt r3
sub r3,r7
sub r3,r7
neg r3,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3373
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3373:
jmp @r4
mov #0x1C,r2
! Opcodes 53C8 - 53CF
P3C8:
and r0,r2
tst r3,r3
mov r8,r0
addc r0,r0
tst #5,r0
bt dbcc3374
add #2,r6
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3375
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3375:
jmp @r4
mov #0x1C,r2
.align 5
dbcc3374:
mov r2,r0
mov.w @(r0,r13),r1
tst r1,r1
add #-1,r1
bf/s bcc_w3374
mov.w r1,@(r0,r13)
add #2,r6
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3376
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3376:
jmp @r4
mov #0x1C,r2
.align 5
bcc_w3374:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3377
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3377:
jmp @r4
mov #0x1C,r2
! Opcodes 53D0 - 53D7
P3D0:
and r0,r2
mov.l r3,@-r15
tst r3,r3
mov r8,r0
addc r0,r0
tst #5,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3378
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3378:
jmp @r4
mov #0x1C,r2
! Opcodes 53D8 - 53DF
P3D8:
and r0,r2
mov.l r3,@-r15
tst r3,r3
mov r8,r0
addc r0,r0
tst #5,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3379
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3379:
jmp @r4
mov #0x1C,r2
! Opcodes 53E0 - 53E7
P3E0:
and r0,r2
mov.l r3,@-r15
tst r3,r3
mov r8,r0
addc r0,r0
tst #5,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3380
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3380:
jmp @r4
mov #0x1C,r2
! Opcodes 53E8 - 53EF
P3E8:
and r0,r2
mov.l r3,@-r15
tst r3,r3
mov r8,r0
addc r0,r0
tst #5,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3381
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3381:
jmp @r4
mov #0x1C,r2
! Opcodes 53F0 - 53F7
P3F0:
and r0,r2
mov.l r3,@-r15
tst r3,r3
mov r8,r0
addc r0,r0
tst #5,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3382
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3382:
jmp @r4
mov #0x1C,r2
! Opcode 53F8
P3F8:
mov.l r3,@-r15
tst r3,r3
mov r8,r0
addc r0,r0
tst #5,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3383
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3383:
jmp @r4
mov #0x1C,r2
! Opcode 53F9
P3F9:
mov.l r3,@-r15
tst r3,r3
mov r8,r0
addc r0,r0
tst #5,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3384
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3384:
jmp @r4
mov #0x1C,r2
! Opcodes 5400 - 5407
P400:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3385
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3385:
jmp @r4
mov #0x1C,r2
! Opcodes 5408 - 540F
P408:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3386
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3386:
jmp @r4
mov #0x1C,r2
! Opcodes 5410 - 5417
P410:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3387
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3387:
jmp @r4
mov #0x1C,r2
! Opcodes 5418 - 541F
P418:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3388
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3388:
jmp @r4
mov #0x1C,r2
! Opcodes 5420 - 5427
P420:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3389
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3389:
jmp @r4
mov #0x1C,r2
! Opcodes 5428 - 542F
P428:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3390
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3390:
jmp @r4
mov #0x1C,r2
! Opcodes 5430 - 5437
P430:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3391
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3391:
jmp @r4
mov #0x1C,r2
! Opcode 5438
P438:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3392
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3392:
jmp @r4
mov #0x1C,r2
! Opcode 5439
P439:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3393
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3393:
jmp @r4
mov #0x1C,r2
! Opcodes 5440 - 5447
P440:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3394
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3394:
jmp @r4
mov #0x1C,r2
! Opcodes 5448 - 544F
P448:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add # 2,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3395
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3395:
jmp @r4
mov #0x1C,r2
! Opcodes 5450 - 5457
P450:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3396
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3396:
jmp @r4
mov #0x1C,r2
! Opcodes 5458 - 545F
P458:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3397
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3397:
jmp @r4
mov #0x1C,r2
! Opcodes 5460 - 5467
P460:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3398
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3398:
jmp @r4
mov #0x1C,r2
! Opcodes 5468 - 546F
P468:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3399
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3399:
jmp @r4
mov #0x1C,r2
! Opcodes 5470 - 5477
P470:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3400
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3400:
jmp @r4
mov #0x1C,r2
! Opcode 5478
P478:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3401
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3401:
jmp @r4
mov #0x1C,r2
! Opcode 5479
P479:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3402
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3402:
jmp @r4
mov #0x1C,r2
! Opcodes 5480 - 5487
P480:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #2,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3403
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3403:
jmp @r4
mov #0x1C,r2
! Opcodes 5488 - 548F
P488:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add # 2,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3404
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3404:
jmp @r4
mov #0x1C,r2
! Opcodes 5490 - 5497
P490:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #2,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3405
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3405:
jmp @r4
mov #0x1C,r2
! Opcodes 5498 - 549F
P498:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #2,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3406
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3406:
jmp @r4
mov #0x1C,r2
! Opcodes 54A0 - 54A7
P4A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #2,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl3407
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3407:
jmp @r4
mov #0x1C,r2
! Opcodes 54A8 - 54AF
P4A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #2,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3408
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3408:
jmp @r4
mov #0x1C,r2
! Opcodes 54B0 - 54B7
P4B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #2,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl3409
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3409:
jmp @r4
mov #0x1C,r2
! Opcode 54B8
P4B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #2,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3410
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3410:
jmp @r4
mov #0x1C,r2
! Opcode 54B9
P4B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #2,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl3411
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3411:
jmp @r4
mov #0x1C,r2
! Opcodes 54C0 - 54C7
P4C0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #2,r0
movt r3
sub r3,r7
sub r3,r7
neg r3,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3412
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3412:
jmp @r4
mov #0x1C,r2
! Opcodes 54C8 - 54CF
P4C8:
and r0,r2
mov r8,r0
tst #2,r0
bf dbcc3413
add #2,r6
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3414
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3414:
jmp @r4
mov #0x1C,r2
.align 5
dbcc3413:
mov r2,r0
mov.w @(r0,r13),r1
tst r1,r1
add #-1,r1
bf/s bcc_w3413
mov.w r1,@(r0,r13)
add #2,r6
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3415
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3415:
jmp @r4
mov #0x1C,r2
.align 5
bcc_w3413:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3416
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3416:
jmp @r4
mov #0x1C,r2
! Opcodes 54D0 - 54D7
P4D0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #2,r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3417
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3417:
jmp @r4
mov #0x1C,r2
! Opcodes 54D8 - 54DF
P4D8:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #2,r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3418
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3418:
jmp @r4
mov #0x1C,r2
! Opcodes 54E0 - 54E7
P4E0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #2,r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3419
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3419:
jmp @r4
mov #0x1C,r2
! Opcodes 54E8 - 54EF
P4E8:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #2,r0
movt r3
neg r3,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3420
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3420:
jmp @r4
mov #0x1C,r2
! Opcodes 54F0 - 54F7
P4F0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #2,r0
movt r3
neg r3,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3421
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3421:
jmp @r4
mov #0x1C,r2
! Opcode 54F8
P4F8:
mov.l r3,@-r15
mov r8,r0
tst #2,r0
movt r3
neg r3,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3422
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3422:
jmp @r4
mov #0x1C,r2
! Opcode 54F9
P4F9:
mov.l r3,@-r15
mov r8,r0
tst #2,r0
movt r3
neg r3,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3423
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3423:
jmp @r4
mov #0x1C,r2
! Opcodes 5500 - 5507
P500:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3424
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3424:
jmp @r4
mov #0x1C,r2
! Opcodes 5508 - 550F
P508:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3425
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3425:
jmp @r4
mov #0x1C,r2
! Opcodes 5510 - 5517
P510:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3426
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3426:
jmp @r4
mov #0x1C,r2
! Opcodes 5518 - 551F
P518:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3427
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3427:
jmp @r4
mov #0x1C,r2
! Opcodes 5520 - 5527
P520:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3428
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3428:
jmp @r4
mov #0x1C,r2
! Opcodes 5528 - 552F
P528:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3429
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3429:
jmp @r4
mov #0x1C,r2
! Opcodes 5530 - 5537
P530:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3430
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3430:
jmp @r4
mov #0x1C,r2
! Opcode 5538
P538:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3431
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3431:
jmp @r4
mov #0x1C,r2
! Opcode 5539
P539:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3432
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3432:
jmp @r4
mov #0x1C,r2
! Opcodes 5540 - 5547
P540:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3433
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3433:
jmp @r4
mov #0x1C,r2
! Opcodes 5548 - 554F
P548:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add #-2,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3434
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3434:
jmp @r4
mov #0x1C,r2
! Opcodes 5550 - 5557
P550:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3435
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3435:
jmp @r4
mov #0x1C,r2
! Opcodes 5558 - 555F
P558:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3436
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3436:
jmp @r4
mov #0x1C,r2
! Opcodes 5560 - 5567
P560:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3437
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3437:
jmp @r4
mov #0x1C,r2
! Opcodes 5568 - 556F
P568:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3438
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3438:
jmp @r4
mov #0x1C,r2
! Opcodes 5570 - 5577
P570:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3439
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3439:
jmp @r4
mov #0x1C,r2
! Opcode 5578
P578:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3440
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3440:
jmp @r4
mov #0x1C,r2
! Opcode 5579
P579:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3441
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3441:
jmp @r4
mov #0x1C,r2
! Opcodes 5580 - 5587
P580:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #2,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3442
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3442:
jmp @r4
mov #0x1C,r2
! Opcodes 5588 - 558F
P588:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add #-2,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3443
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3443:
jmp @r4
mov #0x1C,r2
! Opcodes 5590 - 5597
P590:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #2,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3444
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3444:
jmp @r4
mov #0x1C,r2
! Opcodes 5598 - 559F
P598:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #2,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3445
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3445:
jmp @r4
mov #0x1C,r2
! Opcodes 55A0 - 55A7
P5A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #2,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl3446
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3446:
jmp @r4
mov #0x1C,r2
! Opcodes 55A8 - 55AF
P5A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #2,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3447
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3447:
jmp @r4
mov #0x1C,r2
! Opcodes 55B0 - 55B7
P5B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #2,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl3448
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3448:
jmp @r4
mov #0x1C,r2
! Opcode 55B8
P5B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #2,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3449
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3449:
jmp @r4
mov #0x1C,r2
! Opcode 55B9
P5B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #2,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl3450
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3450:
jmp @r4
mov #0x1C,r2
! Opcodes 55C0 - 55C7
P5C0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #2,r0
movt r3
tst r3,r3
movt r3
sub r3,r7
sub r3,r7
neg r3,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3451
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3451:
jmp @r4
mov #0x1C,r2
! Opcodes 55C8 - 55CF
P5C8:
and r0,r2
mov r8,r0
tst #2,r0
bt dbcc3452
add #2,r6
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3453
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3453:
jmp @r4
mov #0x1C,r2
.align 5
dbcc3452:
mov r2,r0
mov.w @(r0,r13),r1
tst r1,r1
add #-1,r1
bf/s bcc_w3452
mov.w r1,@(r0,r13)
add #2,r6
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3454
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3454:
jmp @r4
mov #0x1C,r2
.align 5
bcc_w3452:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3455
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3455:
jmp @r4
mov #0x1C,r2
! Opcodes 55D0 - 55D7
P5D0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #2,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3456
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3456:
jmp @r4
mov #0x1C,r2
! Opcodes 55D8 - 55DF
P5D8:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #2,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3457
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3457:
jmp @r4
mov #0x1C,r2
! Opcodes 55E0 - 55E7
P5E0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #2,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3458
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3458:
jmp @r4
mov #0x1C,r2
! Opcodes 55E8 - 55EF
P5E8:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #2,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3459
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3459:
jmp @r4
mov #0x1C,r2
! Opcodes 55F0 - 55F7
P5F0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #2,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3460
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3460:
jmp @r4
mov #0x1C,r2
! Opcode 55F8
P5F8:
mov.l r3,@-r15
mov r8,r0
tst #2,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3461
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3461:
jmp @r4
mov #0x1C,r2
! Opcode 55F9
P5F9:
mov.l r3,@-r15
mov r8,r0
tst #2,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3462
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3462:
jmp @r4
mov #0x1C,r2
! Opcodes 5600 - 5607
P600:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3463
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3463:
jmp @r4
mov #0x1C,r2
! Opcodes 5608 - 560F
P608:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3464
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3464:
jmp @r4
mov #0x1C,r2
! Opcodes 5610 - 5617
P610:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3465
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3465:
jmp @r4
mov #0x1C,r2
! Opcodes 5618 - 561F
P618:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3466
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3466:
jmp @r4
mov #0x1C,r2
! Opcodes 5620 - 5627
P620:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3467
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3467:
jmp @r4
mov #0x1C,r2
! Opcodes 5628 - 562F
P628:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3468
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3468:
jmp @r4
mov #0x1C,r2
! Opcodes 5630 - 5637
P630:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3469
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3469:
jmp @r4
mov #0x1C,r2
! Opcode 5638
P638:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3470
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3470:
jmp @r4
mov #0x1C,r2
! Opcode 5639
P639:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3471
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3471:
jmp @r4
mov #0x1C,r2
! Opcodes 5640 - 5647
P640:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3472
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3472:
jmp @r4
mov #0x1C,r2
! Opcodes 5648 - 564F
P648:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add # 3,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3473
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3473:
jmp @r4
mov #0x1C,r2
! Opcodes 5650 - 5657
P650:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3474
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3474:
jmp @r4
mov #0x1C,r2
! Opcodes 5658 - 565F
P658:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3475
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3475:
jmp @r4
mov #0x1C,r2
! Opcodes 5660 - 5667
P660:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3476
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3476:
jmp @r4
mov #0x1C,r2
! Opcodes 5668 - 566F
P668:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3477
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3477:
jmp @r4
mov #0x1C,r2
! Opcodes 5670 - 5677
P670:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3478
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3478:
jmp @r4
mov #0x1C,r2
! Opcode 5678
P678:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3479
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3479:
jmp @r4
mov #0x1C,r2
! Opcode 5679
P679:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3480
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3480:
jmp @r4
mov #0x1C,r2
! Opcodes 5680 - 5687
P680:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #3,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3481
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3481:
jmp @r4
mov #0x1C,r2
! Opcodes 5688 - 568F
P688:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add # 3,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3482
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3482:
jmp @r4
mov #0x1C,r2
! Opcodes 5690 - 5697
P690:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3483
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3483:
jmp @r4
mov #0x1C,r2
! Opcodes 5698 - 569F
P698:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3484
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3484:
jmp @r4
mov #0x1C,r2
! Opcodes 56A0 - 56A7
P6A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl3485
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3485:
jmp @r4
mov #0x1C,r2
! Opcodes 56A8 - 56AF
P6A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3486
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3486:
jmp @r4
mov #0x1C,r2
! Opcodes 56B0 - 56B7
P6B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl3487
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3487:
jmp @r4
mov #0x1C,r2
! Opcode 56B8
P6B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3488
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3488:
jmp @r4
mov #0x1C,r2
! Opcode 56B9
P6B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl3489
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3489:
jmp @r4
mov #0x1C,r2
! Opcodes 56C0 - 56C7
P6C0:
and r0,r2
mov.l r3,@-r15
tst r3,r3
movt r3
tst r3,r3
movt r3
sub r3,r7
sub r3,r7
neg r3,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3490
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3490:
jmp @r4
mov #0x1C,r2
! Opcodes 56C8 - 56CF
P6C8:
and r0,r2
tst r3,r3
bt dbcc3491
add #2,r6
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3492
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3492:
jmp @r4
mov #0x1C,r2
.align 5
dbcc3491:
mov r2,r0
mov.w @(r0,r13),r1
tst r1,r1
add #-1,r1
bf/s bcc_w3491
mov.w r1,@(r0,r13)
add #2,r6
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3493
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3493:
jmp @r4
mov #0x1C,r2
.align 5
bcc_w3491:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3494
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3494:
jmp @r4
mov #0x1C,r2
! Opcodes 56D0 - 56D7
P6D0:
and r0,r2
mov.l r3,@-r15
tst r3,r3
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3495
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3495:
jmp @r4
mov #0x1C,r2
! Opcodes 56D8 - 56DF
P6D8:
and r0,r2
mov.l r3,@-r15
tst r3,r3
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3496
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3496:
jmp @r4
mov #0x1C,r2
! Opcodes 56E0 - 56E7
P6E0:
and r0,r2
mov.l r3,@-r15
tst r3,r3
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3497
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3497:
jmp @r4
mov #0x1C,r2
! Opcodes 56E8 - 56EF
P6E8:
and r0,r2
mov.l r3,@-r15
tst r3,r3
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3498
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3498:
jmp @r4
mov #0x1C,r2
! Opcodes 56F0 - 56F7
P6F0:
and r0,r2
mov.l r3,@-r15
tst r3,r3
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3499
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3499:
jmp @r4
mov #0x1C,r2
! Opcode 56F8
P6F8:
mov.l r3,@-r15
tst r3,r3
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3500
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3500:
jmp @r4
mov #0x1C,r2
! Opcode 56F9
P6F9:
mov.l r3,@-r15
tst r3,r3
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3501
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3501:
jmp @r4
mov #0x1C,r2
! Opcodes 5700 - 5707
P700:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3502
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3502:
jmp @r4
mov #0x1C,r2
! Opcodes 5708 - 570F
P708:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3503
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3503:
jmp @r4
mov #0x1C,r2
! Opcodes 5710 - 5717
P710:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3504
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3504:
jmp @r4
mov #0x1C,r2
! Opcodes 5718 - 571F
P718:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3505
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3505:
jmp @r4
mov #0x1C,r2
! Opcodes 5720 - 5727
P720:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3506
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3506:
jmp @r4
mov #0x1C,r2
! Opcodes 5728 - 572F
P728:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3507
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3507:
jmp @r4
mov #0x1C,r2
! Opcodes 5730 - 5737
P730:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3508
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3508:
jmp @r4
mov #0x1C,r2
! Opcode 5738
P738:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3509
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3509:
jmp @r4
mov #0x1C,r2
! Opcode 5739
P739:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3510
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3510:
jmp @r4
mov #0x1C,r2
! Opcodes 5740 - 5747
P740:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3511
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3511:
jmp @r4
mov #0x1C,r2
! Opcodes 5748 - 574F
P748:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add #-3,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3512
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3512:
jmp @r4
mov #0x1C,r2
! Opcodes 5750 - 5757
P750:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3513
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3513:
jmp @r4
mov #0x1C,r2
! Opcodes 5758 - 575F
P758:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3514
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3514:
jmp @r4
mov #0x1C,r2
! Opcodes 5760 - 5767
P760:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3515
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3515:
jmp @r4
mov #0x1C,r2
! Opcodes 5768 - 576F
P768:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3516
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3516:
jmp @r4
mov #0x1C,r2
! Opcodes 5770 - 5777
P770:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3517
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3517:
jmp @r4
mov #0x1C,r2
! Opcode 5778
P778:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3518
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3518:
jmp @r4
mov #0x1C,r2
! Opcode 5779
P779:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3519
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3519:
jmp @r4
mov #0x1C,r2
! Opcodes 5780 - 5787
P780:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #3,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3520
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3520:
jmp @r4
mov #0x1C,r2
! Opcodes 5788 - 578F
P788:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add #-3,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3521
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3521:
jmp @r4
mov #0x1C,r2
! Opcodes 5790 - 5797
P790:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3522
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3522:
jmp @r4
mov #0x1C,r2
! Opcodes 5798 - 579F
P798:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3523
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3523:
jmp @r4
mov #0x1C,r2
! Opcodes 57A0 - 57A7
P7A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl3524
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3524:
jmp @r4
mov #0x1C,r2
! Opcodes 57A8 - 57AF
P7A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3525
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3525:
jmp @r4
mov #0x1C,r2
! Opcodes 57B0 - 57B7
P7B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl3526
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3526:
jmp @r4
mov #0x1C,r2
! Opcode 57B8
P7B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3527
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3527:
jmp @r4
mov #0x1C,r2
! Opcode 57B9
P7B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl3528
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3528:
jmp @r4
mov #0x1C,r2
! Opcodes 57C0 - 57C7
P7C0:
and r0,r2
mov.l r3,@-r15
tst r3,r3
movt r3
sub r3,r7
sub r3,r7
neg r3,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3529
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3529:
jmp @r4
mov #0x1C,r2
! Opcodes 57C8 - 57CF
P7C8:
and r0,r2
tst r3,r3
bf dbcc3530
add #2,r6
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3531
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3531:
jmp @r4
mov #0x1C,r2
.align 5
dbcc3530:
mov r2,r0
mov.w @(r0,r13),r1
tst r1,r1
add #-1,r1
bf/s bcc_w3530
mov.w r1,@(r0,r13)
add #2,r6
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3532
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3532:
jmp @r4
mov #0x1C,r2
.align 5
bcc_w3530:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3533
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3533:
jmp @r4
mov #0x1C,r2
! Opcodes 57D0 - 57D7
P7D0:
and r0,r2
mov.l r3,@-r15
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3534
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3534:
jmp @r4
mov #0x1C,r2
! Opcodes 57D8 - 57DF
P7D8:
and r0,r2
mov.l r3,@-r15
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3535
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3535:
jmp @r4
mov #0x1C,r2
! Opcodes 57E0 - 57E7
P7E0:
and r0,r2
mov.l r3,@-r15
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3536
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3536:
jmp @r4
mov #0x1C,r2
! Opcodes 57E8 - 57EF
P7E8:
and r0,r2
mov.l r3,@-r15
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3537
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3537:
jmp @r4
mov #0x1C,r2
! Opcodes 57F0 - 57F7
P7F0:
and r0,r2
mov.l r3,@-r15
tst r3,r3
movt r3
neg r3,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3538
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3538:
jmp @r4
mov #0x1C,r2
! Opcode 57F8
P7F8:
mov.l r3,@-r15
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3539
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3539:
jmp @r4
mov #0x1C,r2
! Opcode 57F9
P7F9:
mov.l r3,@-r15
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3540
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3540:
jmp @r4
mov #0x1C,r2
! Opcodes 5800 - 5807
P800:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3541
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3541:
jmp @r4
mov #0x1C,r2
! Opcodes 5808 - 580F
P808:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3542
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3542:
jmp @r4
mov #0x1C,r2
! Opcodes 5810 - 5817
P810:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3543
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3543:
jmp @r4
mov #0x1C,r2
! Opcodes 5818 - 581F
P818:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3544
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3544:
jmp @r4
mov #0x1C,r2
! Opcodes 5820 - 5827
P820:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3545
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3545:
jmp @r4
mov #0x1C,r2
! Opcodes 5828 - 582F
P828:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3546
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3546:
jmp @r4
mov #0x1C,r2
! Opcodes 5830 - 5837
P830:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3547
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3547:
jmp @r4
mov #0x1C,r2
! Opcode 5838
P838:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3548
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3548:
jmp @r4
mov #0x1C,r2
! Opcode 5839
P839:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3549
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3549:
jmp @r4
mov #0x1C,r2
! Opcodes 5840 - 5847
P840:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3550
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3550:
jmp @r4
mov #0x1C,r2
! Opcodes 5848 - 584F
P848:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add # 4,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3551
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3551:
jmp @r4
mov #0x1C,r2
! Opcodes 5850 - 5857
P850:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3552
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3552:
jmp @r4
mov #0x1C,r2
! Opcodes 5858 - 585F
P858:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3553
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3553:
jmp @r4
mov #0x1C,r2
! Opcodes 5860 - 5867
P860:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3554
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3554:
jmp @r4
mov #0x1C,r2
! Opcodes 5868 - 586F
P868:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3555
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3555:
jmp @r4
mov #0x1C,r2
! Opcodes 5870 - 5877
P870:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3556
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3556:
jmp @r4
mov #0x1C,r2
! Opcode 5878
P878:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3557
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3557:
jmp @r4
mov #0x1C,r2
! Opcode 5879
P879:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3558
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3558:
jmp @r4
mov #0x1C,r2
! Opcodes 5880 - 5887
P880:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #4,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3559
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3559:
jmp @r4
mov #0x1C,r2
! Opcodes 5888 - 588F
P888:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add # 4,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3560
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3560:
jmp @r4
mov #0x1C,r2
! Opcodes 5890 - 5897
P890:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3561
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3561:
jmp @r4
mov #0x1C,r2
! Opcodes 5898 - 589F
P898:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3562
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3562:
jmp @r4
mov #0x1C,r2
! Opcodes 58A0 - 58A7
P8A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl3563
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3563:
jmp @r4
mov #0x1C,r2
! Opcodes 58A8 - 58AF
P8A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3564
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3564:
jmp @r4
mov #0x1C,r2
! Opcodes 58B0 - 58B7
P8B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl3565
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3565:
jmp @r4
mov #0x1C,r2
! Opcode 58B8
P8B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3566
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3566:
jmp @r4
mov #0x1C,r2
! Opcode 58B9
P8B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl3567
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3567:
jmp @r4
mov #0x1C,r2
! Opcodes 58C0 - 58C7
P8C0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #4,r0
movt r3
sub r3,r7
sub r3,r7
neg r3,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3568
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3568:
jmp @r4
mov #0x1C,r2
! Opcodes 58C8 - 58CF
P8C8:
and r0,r2
mov r8,r0
tst #4,r0
bf dbcc3569
add #2,r6
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3570
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3570:
jmp @r4
mov #0x1C,r2
.align 5
dbcc3569:
mov r2,r0
mov.w @(r0,r13),r1
tst r1,r1
add #-1,r1
bf/s bcc_w3569
mov.w r1,@(r0,r13)
add #2,r6
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3571
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3571:
jmp @r4
mov #0x1C,r2
.align 5
bcc_w3569:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3572
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3572:
jmp @r4
mov #0x1C,r2
! Opcodes 58D0 - 58D7
P8D0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #4,r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3573
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3573:
jmp @r4
mov #0x1C,r2
! Opcodes 58D8 - 58DF
P8D8:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #4,r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3574
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3574:
jmp @r4
mov #0x1C,r2
! Opcodes 58E0 - 58E7
P8E0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #4,r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3575
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3575:
jmp @r4
mov #0x1C,r2
! Opcodes 58E8 - 58EF
P8E8:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #4,r0
movt r3
neg r3,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3576
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3576:
jmp @r4
mov #0x1C,r2
! Opcodes 58F0 - 58F7
P8F0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #4,r0
movt r3
neg r3,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3577
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3577:
jmp @r4
mov #0x1C,r2
! Opcode 58F8
P8F8:
mov.l r3,@-r15
mov r8,r0
tst #4,r0
movt r3
neg r3,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3578
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3578:
jmp @r4
mov #0x1C,r2
! Opcode 58F9
P8F9:
mov.l r3,@-r15
mov r8,r0
tst #4,r0
movt r3
neg r3,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3579
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3579:
jmp @r4
mov #0x1C,r2
! Opcodes 5900 - 5907
P900:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3580
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3580:
jmp @r4
mov #0x1C,r2
! Opcodes 5908 - 590F
P908:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3581
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3581:
jmp @r4
mov #0x1C,r2
! Opcodes 5910 - 5917
P910:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3582
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3582:
jmp @r4
mov #0x1C,r2
! Opcodes 5918 - 591F
P918:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3583
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3583:
jmp @r4
mov #0x1C,r2
! Opcodes 5920 - 5927
P920:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3584
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3584:
jmp @r4
mov #0x1C,r2
! Opcodes 5928 - 592F
P928:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3585
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3585:
jmp @r4
mov #0x1C,r2
! Opcodes 5930 - 5937
P930:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3586
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3586:
jmp @r4
mov #0x1C,r2
! Opcode 5938
P938:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3587
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3587:
jmp @r4
mov #0x1C,r2
! Opcode 5939
P939:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3588
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3588:
jmp @r4
mov #0x1C,r2
! Opcodes 5940 - 5947
P940:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3589
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3589:
jmp @r4
mov #0x1C,r2
! Opcodes 5948 - 594F
P948:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add #-4,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3590
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3590:
jmp @r4
mov #0x1C,r2
! Opcodes 5950 - 5957
P950:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3591
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3591:
jmp @r4
mov #0x1C,r2
! Opcodes 5958 - 595F
P958:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3592
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3592:
jmp @r4
mov #0x1C,r2
! Opcodes 5960 - 5967
P960:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3593
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3593:
jmp @r4
mov #0x1C,r2
! Opcodes 5968 - 596F
P968:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3594
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3594:
jmp @r4
mov #0x1C,r2
! Opcodes 5970 - 5977
P970:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3595
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3595:
jmp @r4
mov #0x1C,r2
! Opcode 5978
P978:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3596
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3596:
jmp @r4
mov #0x1C,r2
! Opcode 5979
P979:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3597
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3597:
jmp @r4
mov #0x1C,r2
! Opcodes 5980 - 5987
P980:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #4,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3598
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3598:
jmp @r4
mov #0x1C,r2
! Opcodes 5988 - 598F
P988:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add #-4,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3599
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3599:
jmp @r4
mov #0x1C,r2
! Opcodes 5990 - 5997
P990:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3600
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3600:
jmp @r4
mov #0x1C,r2
! Opcodes 5998 - 599F
P998:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3601
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3601:
jmp @r4
mov #0x1C,r2
! Opcodes 59A0 - 59A7
P9A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl3602
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3602:
jmp @r4
mov #0x1C,r2
! Opcodes 59A8 - 59AF
P9A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3603
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3603:
jmp @r4
mov #0x1C,r2
! Opcodes 59B0 - 59B7
P9B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl3604
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3604:
jmp @r4
mov #0x1C,r2
! Opcode 59B8
P9B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3605
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3605:
jmp @r4
mov #0x1C,r2
! Opcode 59B9
P9B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl3606
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3606:
jmp @r4
mov #0x1C,r2
! Opcodes 59C0 - 59C7
P9C0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #4,r0
movt r3
tst r3,r3
movt r3
sub r3,r7
sub r3,r7
neg r3,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3607
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3607:
jmp @r4
mov #0x1C,r2
! Opcodes 59C8 - 59CF
P9C8:
and r0,r2
mov r8,r0
tst #4,r0
bt dbcc3608
add #2,r6
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3609
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3609:
jmp @r4
mov #0x1C,r2
.align 5
dbcc3608:
mov r2,r0
mov.w @(r0,r13),r1
tst r1,r1
add #-1,r1
bf/s bcc_w3608
mov.w r1,@(r0,r13)
add #2,r6
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3610
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3610:
jmp @r4
mov #0x1C,r2
.align 5
bcc_w3608:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3611
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3611:
jmp @r4
mov #0x1C,r2
! Opcodes 59D0 - 59D7
P9D0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #4,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3612
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3612:
jmp @r4
mov #0x1C,r2
! Opcodes 59D8 - 59DF
P9D8:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #4,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3613
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3613:
jmp @r4
mov #0x1C,r2
! Opcodes 59E0 - 59E7
P9E0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #4,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3614
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3614:
jmp @r4
mov #0x1C,r2
! Opcodes 59E8 - 59EF
P9E8:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #4,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3615
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3615:
jmp @r4
mov #0x1C,r2
! Opcodes 59F0 - 59F7
P9F0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #4,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3616
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3616:
jmp @r4
mov #0x1C,r2
! Opcode 59F8
P9F8:
mov.l r3,@-r15
mov r8,r0
tst #4,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3617
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3617:
jmp @r4
mov #0x1C,r2
! Opcode 59F9
P9F9:
mov.l r3,@-r15
mov r8,r0
tst #4,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3618
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3618:
jmp @r4
mov #0x1C,r2
! Opcodes 5A00 - 5A07
PA00:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3619
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3619:
jmp @r4
mov #0x1C,r2
! Opcodes 5A08 - 5A0F
PA08:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3620
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3620:
jmp @r4
mov #0x1C,r2
! Opcodes 5A10 - 5A17
PA10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3621
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3621:
jmp @r4
mov #0x1C,r2
! Opcodes 5A18 - 5A1F
PA18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3622
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3622:
jmp @r4
mov #0x1C,r2
! Opcodes 5A20 - 5A27
PA20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3623
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3623:
jmp @r4
mov #0x1C,r2
! Opcodes 5A28 - 5A2F
PA28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3624
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3624:
jmp @r4
mov #0x1C,r2
! Opcodes 5A30 - 5A37
PA30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3625
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3625:
jmp @r4
mov #0x1C,r2
! Opcode 5A38
PA38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3626
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3626:
jmp @r4
mov #0x1C,r2
! Opcode 5A39
PA39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3627
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3627:
jmp @r4
mov #0x1C,r2
! Opcodes 5A40 - 5A47
PA40:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3628
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3628:
jmp @r4
mov #0x1C,r2
! Opcodes 5A48 - 5A4F
PA48:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add # 5,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3629
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3629:
jmp @r4
mov #0x1C,r2
! Opcodes 5A50 - 5A57
PA50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3630
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3630:
jmp @r4
mov #0x1C,r2
! Opcodes 5A58 - 5A5F
PA58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3631
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3631:
jmp @r4
mov #0x1C,r2
! Opcodes 5A60 - 5A67
PA60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3632
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3632:
jmp @r4
mov #0x1C,r2
! Opcodes 5A68 - 5A6F
PA68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3633
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3633:
jmp @r4
mov #0x1C,r2
! Opcodes 5A70 - 5A77
PA70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3634
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3634:
jmp @r4
mov #0x1C,r2
! Opcode 5A78
PA78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3635
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3635:
jmp @r4
mov #0x1C,r2
! Opcode 5A79
PA79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3636
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3636:
jmp @r4
mov #0x1C,r2
! Opcodes 5A80 - 5A87
PA80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #5,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3637
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3637:
jmp @r4
mov #0x1C,r2
! Opcodes 5A88 - 5A8F
PA88:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add # 5,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3638
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3638:
jmp @r4
mov #0x1C,r2
! Opcodes 5A90 - 5A97
PA90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #5,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3639
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3639:
jmp @r4
mov #0x1C,r2
! Opcodes 5A98 - 5A9F
PA98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #5,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3640
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3640:
jmp @r4
mov #0x1C,r2
! Opcodes 5AA0 - 5AA7
PAA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #5,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl3641
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3641:
jmp @r4
mov #0x1C,r2
! Opcodes 5AA8 - 5AAF
PAA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #5,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3642
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3642:
jmp @r4
mov #0x1C,r2
! Opcodes 5AB0 - 5AB7
PAB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #5,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl3643
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3643:
jmp @r4
mov #0x1C,r2
! Opcode 5AB8
PAB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #5,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3644
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3644:
jmp @r4
mov #0x1C,r2
! Opcode 5AB9
PAB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #5,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl3645
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3645:
jmp @r4
mov #0x1C,r2
! Opcodes 5AC0 - 5AC7
PAC0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #1,r0
movt r3
sub r3,r7
sub r3,r7
neg r3,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3646
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3646:
jmp @r4
mov #0x1C,r2
! Opcodes 5AC8 - 5ACF
PAC8:
and r0,r2
mov r8,r0
tst #1,r0
bf dbcc3647
add #2,r6
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3648
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3648:
jmp @r4
mov #0x1C,r2
.align 5
dbcc3647:
mov r2,r0
mov.w @(r0,r13),r1
tst r1,r1
add #-1,r1
bf/s bcc_w3647
mov.w r1,@(r0,r13)
add #2,r6
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3649
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3649:
jmp @r4
mov #0x1C,r2
.align 5
bcc_w3647:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3650
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3650:
jmp @r4
mov #0x1C,r2
! Opcodes 5AD0 - 5AD7
PAD0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #1,r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3651
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3651:
jmp @r4
mov #0x1C,r2
! Opcodes 5AD8 - 5ADF
PAD8:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #1,r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3652
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3652:
jmp @r4
mov #0x1C,r2
! Opcodes 5AE0 - 5AE7
PAE0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #1,r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3653
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3653:
jmp @r4
mov #0x1C,r2
! Opcodes 5AE8 - 5AEF
PAE8:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #1,r0
movt r3
neg r3,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3654
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3654:
jmp @r4
mov #0x1C,r2
! Opcodes 5AF0 - 5AF7
PAF0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #1,r0
movt r3
neg r3,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3655
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3655:
jmp @r4
mov #0x1C,r2
! Opcode 5AF8
PAF8:
mov.l r3,@-r15
mov r8,r0
tst #1,r0
movt r3
neg r3,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3656
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3656:
jmp @r4
mov #0x1C,r2
! Opcode 5AF9
PAF9:
mov.l r3,@-r15
mov r8,r0
tst #1,r0
movt r3
neg r3,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3657
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3657:
jmp @r4
mov #0x1C,r2
! Opcodes 5B00 - 5B07
PB00:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3658
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3658:
jmp @r4
mov #0x1C,r2
! Opcodes 5B08 - 5B0F
PB08:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3659
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3659:
jmp @r4
mov #0x1C,r2
! Opcodes 5B10 - 5B17
PB10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3660
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3660:
jmp @r4
mov #0x1C,r2
! Opcodes 5B18 - 5B1F
PB18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3661
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3661:
jmp @r4
mov #0x1C,r2
! Opcodes 5B20 - 5B27
PB20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3662
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3662:
jmp @r4
mov #0x1C,r2
! Opcodes 5B28 - 5B2F
PB28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3663
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3663:
jmp @r4
mov #0x1C,r2
! Opcodes 5B30 - 5B37
PB30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3664
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3664:
jmp @r4
mov #0x1C,r2
! Opcode 5B38
PB38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3665
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3665:
jmp @r4
mov #0x1C,r2
! Opcode 5B39
PB39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3666
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3666:
jmp @r4
mov #0x1C,r2
! Opcodes 5B40 - 5B47
PB40:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3667
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3667:
jmp @r4
mov #0x1C,r2
! Opcodes 5B48 - 5B4F
PB48:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add #-5,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3668
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3668:
jmp @r4
mov #0x1C,r2
! Opcodes 5B50 - 5B57
PB50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3669
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3669:
jmp @r4
mov #0x1C,r2
! Opcodes 5B58 - 5B5F
PB58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3670
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3670:
jmp @r4
mov #0x1C,r2
! Opcodes 5B60 - 5B67
PB60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3671
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3671:
jmp @r4
mov #0x1C,r2
! Opcodes 5B68 - 5B6F
PB68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3672
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3672:
jmp @r4
mov #0x1C,r2
! Opcodes 5B70 - 5B77
PB70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3673
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3673:
jmp @r4
mov #0x1C,r2
! Opcode 5B78
PB78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3674
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3674:
jmp @r4
mov #0x1C,r2
! Opcode 5B79
PB79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3675
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3675:
jmp @r4
mov #0x1C,r2
! Opcodes 5B80 - 5B87
PB80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #5,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3676
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3676:
jmp @r4
mov #0x1C,r2
! Opcodes 5B88 - 5B8F
PB88:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add #-5,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3677
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3677:
jmp @r4
mov #0x1C,r2
! Opcodes 5B90 - 5B97
PB90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #5,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3678
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3678:
jmp @r4
mov #0x1C,r2
! Opcodes 5B98 - 5B9F
PB98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #5,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3679
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3679:
jmp @r4
mov #0x1C,r2
! Opcodes 5BA0 - 5BA7
PBA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #5,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl3680
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3680:
jmp @r4
mov #0x1C,r2
! Opcodes 5BA8 - 5BAF
PBA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #5,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3681
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3681:
jmp @r4
mov #0x1C,r2
! Opcodes 5BB0 - 5BB7
PBB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #5,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl3682
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3682:
jmp @r4
mov #0x1C,r2
! Opcode 5BB8
PBB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #5,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3683
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3683:
jmp @r4
mov #0x1C,r2
! Opcode 5BB9
PBB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #5,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl3684
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3684:
jmp @r4
mov #0x1C,r2
! Opcodes 5BC0 - 5BC7
PBC0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #1,r0
movt r3
tst r3,r3
movt r3
sub r3,r7
sub r3,r7
neg r3,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3685
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3685:
jmp @r4
mov #0x1C,r2
! Opcodes 5BC8 - 5BCF
PBC8:
and r0,r2
mov r8,r0
tst #1,r0
bt dbcc3686
add #2,r6
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3687
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3687:
jmp @r4
mov #0x1C,r2
.align 5
dbcc3686:
mov r2,r0
mov.w @(r0,r13),r1
tst r1,r1
add #-1,r1
bf/s bcc_w3686
mov.w r1,@(r0,r13)
add #2,r6
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3688
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3688:
jmp @r4
mov #0x1C,r2
.align 5
bcc_w3686:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3689
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3689:
jmp @r4
mov #0x1C,r2
! Opcodes 5BD0 - 5BD7
PBD0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #1,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3690
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3690:
jmp @r4
mov #0x1C,r2
! Opcodes 5BD8 - 5BDF
PBD8:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #1,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3691
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3691:
jmp @r4
mov #0x1C,r2
! Opcodes 5BE0 - 5BE7
PBE0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #1,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3692
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3692:
jmp @r4
mov #0x1C,r2
! Opcodes 5BE8 - 5BEF
PBE8:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #1,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3693
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3693:
jmp @r4
mov #0x1C,r2
! Opcodes 5BF0 - 5BF7
PBF0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
tst #1,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3694
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3694:
jmp @r4
mov #0x1C,r2
! Opcode 5BF8
PBF8:
mov.l r3,@-r15
mov r8,r0
tst #1,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3695
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3695:
jmp @r4
mov #0x1C,r2
! Opcode 5BF9
PBF9:
mov.l r3,@-r15
mov r8,r0
tst #1,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3696
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3696:
jmp @r4
mov #0x1C,r2
! Opcodes 5C00 - 5C07
PC00:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3697
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3697:
jmp @r4
mov #0x1C,r2
! Opcodes 5C08 - 5C0F
PC08:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3698
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3698:
jmp @r4
mov #0x1C,r2
! Opcodes 5C10 - 5C17
PC10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3699
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3699:
jmp @r4
mov #0x1C,r2
! Opcodes 5C18 - 5C1F
PC18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3700
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3700:
jmp @r4
mov #0x1C,r2
! Opcodes 5C20 - 5C27
PC20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3701
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3701:
jmp @r4
mov #0x1C,r2
! Opcodes 5C28 - 5C2F
PC28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3702
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3702:
jmp @r4
mov #0x1C,r2
! Opcodes 5C30 - 5C37
PC30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3703
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3703:
jmp @r4
mov #0x1C,r2
! Opcode 5C38
PC38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3704
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3704:
jmp @r4
mov #0x1C,r2
! Opcode 5C39
PC39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3705
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3705:
jmp @r4
mov #0x1C,r2
! Opcodes 5C40 - 5C47
PC40:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3706
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3706:
jmp @r4
mov #0x1C,r2
! Opcodes 5C48 - 5C4F
PC48:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add # 6,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3707
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3707:
jmp @r4
mov #0x1C,r2
! Opcodes 5C50 - 5C57
PC50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3708
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3708:
jmp @r4
mov #0x1C,r2
! Opcodes 5C58 - 5C5F
PC58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3709
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3709:
jmp @r4
mov #0x1C,r2
! Opcodes 5C60 - 5C67
PC60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3710
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3710:
jmp @r4
mov #0x1C,r2
! Opcodes 5C68 - 5C6F
PC68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3711
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3711:
jmp @r4
mov #0x1C,r2
! Opcodes 5C70 - 5C77
PC70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3712
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3712:
jmp @r4
mov #0x1C,r2
! Opcode 5C78
PC78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3713
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3713:
jmp @r4
mov #0x1C,r2
! Opcode 5C79
PC79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3714
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3714:
jmp @r4
mov #0x1C,r2
! Opcodes 5C80 - 5C87
PC80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #6,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3715
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3715:
jmp @r4
mov #0x1C,r2
! Opcodes 5C88 - 5C8F
PC88:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add # 6,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3716
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3716:
jmp @r4
mov #0x1C,r2
! Opcodes 5C90 - 5C97
PC90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #6,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3717
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3717:
jmp @r4
mov #0x1C,r2
! Opcodes 5C98 - 5C9F
PC98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #6,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3718
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3718:
jmp @r4
mov #0x1C,r2
! Opcodes 5CA0 - 5CA7
PCA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #6,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl3719
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3719:
jmp @r4
mov #0x1C,r2
! Opcodes 5CA8 - 5CAF
PCA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #6,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3720
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3720:
jmp @r4
mov #0x1C,r2
! Opcodes 5CB0 - 5CB7
PCB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #6,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl3721
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3721:
jmp @r4
mov #0x1C,r2
! Opcode 5CB8
PCB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #6,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3722
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3722:
jmp @r4
mov #0x1C,r2
! Opcode 5CB9
PCB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #6,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl3723
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3723:
jmp @r4
mov #0x1C,r2
! Opcodes 5CC0 - 5CC7
PCC0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
movt r3
tst r3,r3
movt r3
sub r3,r7
sub r3,r7
neg r3,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3724
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3724:
jmp @r4
mov #0x1C,r2
! Opcodes 5CC8 - 5CCF
PCC8:
and r0,r2
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
bt dbcc3725
add #2,r6
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3726
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3726:
jmp @r4
mov #0x1C,r2
.align 5
dbcc3725:
mov r2,r0
mov.w @(r0,r13),r1
tst r1,r1
add #-1,r1
bf/s bcc_w3725
mov.w r1,@(r0,r13)
add #2,r6
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3727
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3727:
jmp @r4
mov #0x1C,r2
.align 5
bcc_w3725:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3728
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3728:
jmp @r4
mov #0x1C,r2
! Opcodes 5CD0 - 5CD7
PCD0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3729
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3729:
jmp @r4
mov #0x1C,r2
! Opcodes 5CD8 - 5CDF
PCD8:
and r0,r2
mov.l r3,@-r15
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3730
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3730:
jmp @r4
mov #0x1C,r2
! Opcodes 5CE0 - 5CE7
PCE0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3731
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3731:
jmp @r4
mov #0x1C,r2
! Opcodes 5CE8 - 5CEF
PCE8:
and r0,r2
mov.l r3,@-r15
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3732
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3732:
jmp @r4
mov #0x1C,r2
! Opcodes 5CF0 - 5CF7
PCF0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3733
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3733:
jmp @r4
mov #0x1C,r2
! Opcode 5CF8
PCF8:
mov.l r3,@-r15
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3734
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3734:
jmp @r4
mov #0x1C,r2
! Opcode 5CF9
PCF9:
mov.l r3,@-r15
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3735
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3735:
jmp @r4
mov #0x1C,r2
! Opcodes 5D00 - 5D07
PD00:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3736
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3736:
jmp @r4
mov #0x1C,r2
! Opcodes 5D08 - 5D0F
PD08:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3737
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3737:
jmp @r4
mov #0x1C,r2
! Opcodes 5D10 - 5D17
PD10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3738
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3738:
jmp @r4
mov #0x1C,r2
! Opcodes 5D18 - 5D1F
PD18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3739
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3739:
jmp @r4
mov #0x1C,r2
! Opcodes 5D20 - 5D27
PD20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3740
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3740:
jmp @r4
mov #0x1C,r2
! Opcodes 5D28 - 5D2F
PD28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3741
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3741:
jmp @r4
mov #0x1C,r2
! Opcodes 5D30 - 5D37
PD30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3742
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3742:
jmp @r4
mov #0x1C,r2
! Opcode 5D38
PD38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3743
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3743:
jmp @r4
mov #0x1C,r2
! Opcode 5D39
PD39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3744
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3744:
jmp @r4
mov #0x1C,r2
! Opcodes 5D40 - 5D47
PD40:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3745
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3745:
jmp @r4
mov #0x1C,r2
! Opcodes 5D48 - 5D4F
PD48:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add #-6,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3746
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3746:
jmp @r4
mov #0x1C,r2
! Opcodes 5D50 - 5D57
PD50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3747
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3747:
jmp @r4
mov #0x1C,r2
! Opcodes 5D58 - 5D5F
PD58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3748
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3748:
jmp @r4
mov #0x1C,r2
! Opcodes 5D60 - 5D67
PD60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3749
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3749:
jmp @r4
mov #0x1C,r2
! Opcodes 5D68 - 5D6F
PD68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3750
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3750:
jmp @r4
mov #0x1C,r2
! Opcodes 5D70 - 5D77
PD70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3751
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3751:
jmp @r4
mov #0x1C,r2
! Opcode 5D78
PD78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3752
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3752:
jmp @r4
mov #0x1C,r2
! Opcode 5D79
PD79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3753
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3753:
jmp @r4
mov #0x1C,r2
! Opcodes 5D80 - 5D87
PD80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #6,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3754
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3754:
jmp @r4
mov #0x1C,r2
! Opcodes 5D88 - 5D8F
PD88:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add #-6,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3755
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3755:
jmp @r4
mov #0x1C,r2
! Opcodes 5D90 - 5D97
PD90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #6,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3756
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3756:
jmp @r4
mov #0x1C,r2
! Opcodes 5D98 - 5D9F
PD98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #6,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3757
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3757:
jmp @r4
mov #0x1C,r2
! Opcodes 5DA0 - 5DA7
PDA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #6,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl3758
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3758:
jmp @r4
mov #0x1C,r2
! Opcodes 5DA8 - 5DAF
PDA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #6,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3759
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3759:
jmp @r4
mov #0x1C,r2
! Opcodes 5DB0 - 5DB7
PDB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #6,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl3760
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3760:
jmp @r4
mov #0x1C,r2
! Opcode 5DB8
PDB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #6,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3761
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3761:
jmp @r4
mov #0x1C,r2
! Opcode 5DB9
PDB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #6,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl3762
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3762:
jmp @r4
mov #0x1C,r2
! Opcodes 5DC0 - 5DC7
PDC0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
movt r3
sub r3,r7
sub r3,r7
neg r3,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3763
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3763:
jmp @r4
mov #0x1C,r2
! Opcodes 5DC8 - 5DCF
PDC8:
and r0,r2
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
bf dbcc3764
add #2,r6
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3765
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3765:
jmp @r4
mov #0x1C,r2
.align 5
dbcc3764:
mov r2,r0
mov.w @(r0,r13),r1
tst r1,r1
add #-1,r1
bf/s bcc_w3764
mov.w r1,@(r0,r13)
add #2,r6
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3766
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3766:
jmp @r4
mov #0x1C,r2
.align 5
bcc_w3764:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3767
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3767:
jmp @r4
mov #0x1C,r2
! Opcodes 5DD0 - 5DD7
PDD0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3768
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3768:
jmp @r4
mov #0x1C,r2
! Opcodes 5DD8 - 5DDF
PDD8:
and r0,r2
mov.l r3,@-r15
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3769
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3769:
jmp @r4
mov #0x1C,r2
! Opcodes 5DE0 - 5DE7
PDE0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3770
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3770:
jmp @r4
mov #0x1C,r2
! Opcodes 5DE8 - 5DEF
PDE8:
and r0,r2
mov.l r3,@-r15
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
movt r3
neg r3,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3771
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3771:
jmp @r4
mov #0x1C,r2
! Opcodes 5DF0 - 5DF7
PDF0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
movt r3
neg r3,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3772
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3772:
jmp @r4
mov #0x1C,r2
! Opcode 5DF8
PDF8:
mov.l r3,@-r15
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
movt r3
neg r3,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3773
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3773:
jmp @r4
mov #0x1C,r2
! Opcode 5DF9
PDF9:
mov.l r3,@-r15
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
movt r3
neg r3,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3774
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3774:
jmp @r4
mov #0x1C,r2
! Opcodes 5E00 - 5E07
PE00:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3775
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3775:
jmp @r4
mov #0x1C,r2
! Opcodes 5E08 - 5E0F
PE08:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3776
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3776:
jmp @r4
mov #0x1C,r2
! Opcodes 5E10 - 5E17
PE10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3777
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3777:
jmp @r4
mov #0x1C,r2
! Opcodes 5E18 - 5E1F
PE18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3778
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3778:
jmp @r4
mov #0x1C,r2
! Opcodes 5E20 - 5E27
PE20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3779
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3779:
jmp @r4
mov #0x1C,r2
! Opcodes 5E28 - 5E2F
PE28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3780
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3780:
jmp @r4
mov #0x1C,r2
! Opcodes 5E30 - 5E37
PE30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3781
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3781:
jmp @r4
mov #0x1C,r2
! Opcode 5E38
PE38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3782
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3782:
jmp @r4
mov #0x1C,r2
! Opcode 5E39
PE39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3783
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3783:
jmp @r4
mov #0x1C,r2
! Opcodes 5E40 - 5E47
PE40:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3784
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3784:
jmp @r4
mov #0x1C,r2
! Opcodes 5E48 - 5E4F
PE48:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add # 7,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3785
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3785:
jmp @r4
mov #0x1C,r2
! Opcodes 5E50 - 5E57
PE50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3786
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3786:
jmp @r4
mov #0x1C,r2
! Opcodes 5E58 - 5E5F
PE58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3787
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3787:
jmp @r4
mov #0x1C,r2
! Opcodes 5E60 - 5E67
PE60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3788
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3788:
jmp @r4
mov #0x1C,r2
! Opcodes 5E68 - 5E6F
PE68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3789
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3789:
jmp @r4
mov #0x1C,r2
! Opcodes 5E70 - 5E77
PE70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3790
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3790:
jmp @r4
mov #0x1C,r2
! Opcode 5E78
PE78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3791
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3791:
jmp @r4
mov #0x1C,r2
! Opcode 5E79
PE79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3792
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3792:
jmp @r4
mov #0x1C,r2
! Opcodes 5E80 - 5E87
PE80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #7,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3793
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3793:
jmp @r4
mov #0x1C,r2
! Opcodes 5E88 - 5E8F
PE88:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add # 7,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3794
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3794:
jmp @r4
mov #0x1C,r2
! Opcodes 5E90 - 5E97
PE90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #7,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3795
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3795:
jmp @r4
mov #0x1C,r2
! Opcodes 5E98 - 5E9F
PE98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #7,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3796
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3796:
jmp @r4
mov #0x1C,r2
! Opcodes 5EA0 - 5EA7
PEA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #7,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl3797
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3797:
jmp @r4
mov #0x1C,r2
! Opcodes 5EA8 - 5EAF
PEA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #7,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3798
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3798:
jmp @r4
mov #0x1C,r2
! Opcodes 5EB0 - 5EB7
PEB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #7,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl3799
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3799:
jmp @r4
mov #0x1C,r2
! Opcode 5EB8
PEB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #7,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3800
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3800:
jmp @r4
mov #0x1C,r2
! Opcode 5EB9
PEB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #7,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl3801
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3801:
jmp @r4
mov #0x1C,r2
! Opcodes 5EC0 - 5EC7
PEC0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
shlr2 r0
tst r3,r3
xor r8,r0
addc r0,r0
tst #3,r0
movt r3
sub r3,r7
sub r3,r7
neg r3,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3802
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3802:
jmp @r4
mov #0x1C,r2
! Opcodes 5EC8 - 5ECF
PEC8:
and r0,r2
mov r8,r0
shlr2 r0
tst r3,r3
xor r8,r0
addc r0,r0
tst #3,r0
bf dbcc3803
add #2,r6
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3804
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3804:
jmp @r4
mov #0x1C,r2
.align 5
dbcc3803:
mov r2,r0
mov.w @(r0,r13),r1
tst r1,r1
add #-1,r1
bf/s bcc_w3803
mov.w r1,@(r0,r13)
add #2,r6
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3805
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3805:
jmp @r4
mov #0x1C,r2
.align 5
bcc_w3803:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3806
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3806:
jmp @r4
mov #0x1C,r2
! Opcodes 5ED0 - 5ED7
PED0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
shlr2 r0
tst r3,r3
xor r8,r0
addc r0,r0
tst #3,r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3807
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3807:
jmp @r4
mov #0x1C,r2
! Opcodes 5ED8 - 5EDF
PED8:
and r0,r2
mov.l r3,@-r15
mov r8,r0
shlr2 r0
tst r3,r3
xor r8,r0
addc r0,r0
tst #3,r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3808
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3808:
jmp @r4
mov #0x1C,r2
! Opcodes 5EE0 - 5EE7
PEE0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
shlr2 r0
tst r3,r3
xor r8,r0
addc r0,r0
tst #3,r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3809
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3809:
jmp @r4
mov #0x1C,r2
! Opcodes 5EE8 - 5EEF
PEE8:
and r0,r2
mov.l r3,@-r15
mov r8,r0
shlr2 r0
tst r3,r3
xor r8,r0
addc r0,r0
tst #3,r0
movt r3
neg r3,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3810
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3810:
jmp @r4
mov #0x1C,r2
! Opcodes 5EF0 - 5EF7
PEF0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
shlr2 r0
tst r3,r3
xor r8,r0
addc r0,r0
tst #3,r0
movt r3
neg r3,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3811
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3811:
jmp @r4
mov #0x1C,r2
! Opcode 5EF8
PEF8:
mov.l r3,@-r15
mov r8,r0
shlr2 r0
tst r3,r3
xor r8,r0
addc r0,r0
tst #3,r0
movt r3
neg r3,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3812
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3812:
jmp @r4
mov #0x1C,r2
! Opcode 5EF9
PEF9:
mov.l r3,@-r15
mov r8,r0
shlr2 r0
tst r3,r3
xor r8,r0
addc r0,r0
tst #3,r0
movt r3
neg r3,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3813
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3813:
jmp @r4
mov #0x1C,r2
! Opcodes 5F00 - 5F07
PF00:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3814
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3814:
jmp @r4
mov #0x1C,r2
! Opcodes 5F08 - 5F0F
PF08:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3815
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3815:
jmp @r4
mov #0x1C,r2
! Opcodes 5F10 - 5F17
PF10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3816
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3816:
jmp @r4
mov #0x1C,r2
! Opcodes 5F18 - 5F1F
PF18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3817
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3817:
jmp @r4
mov #0x1C,r2
! Opcodes 5F20 - 5F27
PF20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3818
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3818:
jmp @r4
mov #0x1C,r2
! Opcodes 5F28 - 5F2F
PF28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3819
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3819:
jmp @r4
mov #0x1C,r2
! Opcodes 5F30 - 5F37
PF30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3820
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3820:
jmp @r4
mov #0x1C,r2
! Opcode 5F38
PF38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3821
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3821:
jmp @r4
mov #0x1C,r2
! Opcode 5F39
PF39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3822
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3822:
jmp @r4
mov #0x1C,r2
! Opcodes 5F40 - 5F47
PF40:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3823
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3823:
jmp @r4
mov #0x1C,r2
! Opcodes 5F48 - 5F4F
PF48:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add #-7,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3824
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3824:
jmp @r4
mov #0x1C,r2
! Opcodes 5F50 - 5F57
PF50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3825
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3825:
jmp @r4
mov #0x1C,r2
! Opcodes 5F58 - 5F5F
PF58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3826
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3826:
jmp @r4
mov #0x1C,r2
! Opcodes 5F60 - 5F67
PF60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3827
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3827:
jmp @r4
mov #0x1C,r2
! Opcodes 5F68 - 5F6F
PF68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3828
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3828:
jmp @r4
mov #0x1C,r2
! Opcodes 5F70 - 5F77
PF70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3829
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3829:
jmp @r4
mov #0x1C,r2
! Opcode 5F78
PF78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3830
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3830:
jmp @r4
mov #0x1C,r2
! Opcode 5F79
PF79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3831
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3831:
jmp @r4
mov #0x1C,r2
! Opcodes 5F80 - 5F87
PF80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #7,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3832
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3832:
jmp @r4
mov #0x1C,r2
! Opcodes 5F88 - 5F8F
PF88:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r3
add #-7,r3
mov.l r3,@r2
mov r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3833
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3833:
jmp @r4
mov #0x1C,r2
! Opcodes 5F90 - 5F97
PF90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #7,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3834
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3834:
jmp @r4
mov #0x1C,r2
! Opcodes 5F98 - 5F9F
PF98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #7,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3835
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3835:
jmp @r4
mov #0x1C,r2
! Opcodes 5FA0 - 5FA7
PFA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #7,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl3836
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3836:
jmp @r4
mov #0x1C,r2
! Opcodes 5FA8 - 5FAF
PFA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #7,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3837
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3837:
jmp @r4
mov #0x1C,r2
! Opcodes 5FB0 - 5FB7
PFB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #7,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl3838
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3838:
jmp @r4
mov #0x1C,r2
! Opcode 5FB8
PFB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #7,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl3839
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3839:
jmp @r4
mov #0x1C,r2
! Opcode 5FB9
PFB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #7,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl3840
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3840:
jmp @r4
mov #0x1C,r2
! Opcodes 5FC0 - 5FC7
PFC0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
shlr2 r0
tst r3,r3
xor r8,r0
addc r0,r0
tst #3,r0
movt r3
tst r3,r3
movt r3
sub r3,r7
sub r3,r7
neg r3,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3841
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3841:
jmp @r4
mov #0x1C,r2
! Opcodes 5FC8 - 5FCF
PFC8:
and r0,r2
mov r8,r0
shlr2 r0
tst r3,r3
xor r8,r0
addc r0,r0
tst #3,r0
bt dbcc3842
add #2,r6
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3843
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3843:
jmp @r4
mov #0x1C,r2
.align 5
dbcc3842:
mov r2,r0
mov.w @(r0,r13),r1
tst r1,r1
add #-1,r1
bf/s bcc_w3842
mov.w r1,@(r0,r13)
add #2,r6
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3844
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3844:
jmp @r4
mov #0x1C,r2
.align 5
bcc_w3842:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3845
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3845:
jmp @r4
mov #0x1C,r2
! Opcodes 5FD0 - 5FD7
PFD0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
shlr2 r0
tst r3,r3
xor r8,r0
addc r0,r0
tst #3,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3846
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3846:
jmp @r4
mov #0x1C,r2
! Opcodes 5FD8 - 5FDF
PFD8:
and r0,r2
mov.l r3,@-r15
mov r8,r0
shlr2 r0
tst r3,r3
xor r8,r0
addc r0,r0
tst #3,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3847
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3847:
jmp @r4
mov #0x1C,r2
! Opcodes 5FE0 - 5FE7
PFE0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
shlr2 r0
tst r3,r3
xor r8,r0
addc r0,r0
tst #3,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3848
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3848:
jmp @r4
mov #0x1C,r2
! Opcodes 5FE8 - 5FEF
PFE8:
and r0,r2
mov.l r3,@-r15
mov r8,r0
shlr2 r0
tst r3,r3
xor r8,r0
addc r0,r0
tst #3,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3849
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3849:
jmp @r4
mov #0x1C,r2
! Opcodes 5FF0 - 5FF7
PFF0:
and r0,r2
mov.l r3,@-r15
mov r8,r0
shlr2 r0
tst r3,r3
xor r8,r0
addc r0,r0
tst #3,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3850
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3850:
jmp @r4
mov #0x1C,r2
! Opcode 5FF8
PFF8:
mov.l r3,@-r15
mov r8,r0
shlr2 r0
tst r3,r3
xor r8,r0
addc r0,r0
tst #3,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3851
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3851:
jmp @r4
mov #0x1C,r2
! Opcode 5FF9
PFF9:
mov.l r3,@-r15
mov r8,r0
shlr2 r0
tst r3,r3
xor r8,r0
addc r0,r0
tst #3,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3852
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3852:
jmp @r4
mov #0x1C,r2
! Opcode 6000
Q000:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3853
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3853:
jmp @r4
mov #0x1C,r2
! Opcodes 6001 - 60FF
Q001:
shlr2 r0
exts.b r0,r0
tst #1,r0
bt access_ok3854
mov.l excep_ptr_addr3855,r0
mov.l @r0,r15
mov.l r3,@-r15
xor r2,r2
mov.l inst_reg_addr3855,r0
mov.w r2,@r0
mov #0x20,r0
tst r0,r10
movt r2
add #1,r2
shll2 r2
mov #0x10,r0
or r0,r2
add #2,r2
mov #0xF7,r0
and r0,r2
mov.l g0_spec_info_addr3855,r0
mov.b r2,@r0
mov r6,r2
mov.l execinfo_addr3855,r1
mov.w @r1,r0
or #0x40,r0
mov #0x0C,r4
mov.w r0,@r1
mov.l @r15+,r3
mov.l group_0_exception_addr3855,r1
jmp @r1
nop
.align 2
excep_ptr_addr3855: .long excep_ptr
g0_spec_info_addr3855: .long g0_spec_info
group_0_exception_addr3855: .long group_0_exception
inst_reg_addr3855: .long inst_reg
execinfo_addr3855: .long execinfo
access_ok3854:
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3856
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3856:
jmp @r4
mov #0x1C,r2
! Opcode 6100
Q100:
mov.w @r6,r1
mov r3,r2
mov r6,r3
add #2,r3
add r1,r6
sub r5,r3
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3857
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3857:
jmp @r4
mov #0x1C,r2
! Opcodes 6101 - 61FF
Q101:
shlr2 r0
mov r3,r2
exts.b r0,r1
mov r6,r3
add r1,r6
sub r5,r3
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3858
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3858:
jmp @r4
mov #0x1C,r2
! Opcode 6200
Q200:
tst r3,r3
mov r8,r0
addc r0,r0
tst #5,r0
bt bcc_w3859
add #2,r6
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3860
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3860:
jmp @r4
mov #0x1C,r2
.align 5
bcc_w3859:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3861
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3861:
jmp @r4
mov #0x1C,r2
! Opcodes 6201 - 62FF
Q201:
mov r0,r2
tst r3,r3
mov r8,r0
addc r0,r0
tst #5,r0
bt bcc_b3862
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3863
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3863:
jmp @r4
mov #0x1C,r2
.align 5
bcc_b3862:
shlr2 r2
exts.b r2,r0
tst #1,r0
bt access_ok3862
mov.l excep_ptr_addr3864,r0
mov.l @r0,r15
mov.l r3,@-r15
xor r2,r2
mov.l inst_reg_addr3864,r0
mov.w r2,@r0
mov #0x20,r0
tst r0,r10
movt r2
add #1,r2
shll2 r2
mov #0x10,r0
or r0,r2
add #2,r2
mov #0xF7,r0
and r0,r2
mov.l g0_spec_info_addr3864,r0
mov.b r2,@r0
mov r6,r2
mov.l execinfo_addr3864,r1
mov.w @r1,r0
or #0x40,r0
mov #0x0C,r4
mov.w r0,@r1
mov.l @r15+,r3
mov.l group_0_exception_addr3864,r1
jmp @r1
nop
.align 2
excep_ptr_addr3864: .long excep_ptr
g0_spec_info_addr3864: .long g0_spec_info
group_0_exception_addr3864: .long group_0_exception
inst_reg_addr3864: .long inst_reg
execinfo_addr3864: .long execinfo
access_ok3862:
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3865
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3865:
jmp @r4
mov #0x1C,r2
! Opcode 6300
Q300:
tst r3,r3
mov r8,r0
addc r0,r0
tst #5,r0
bf bcc_w3866
add #2,r6
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3867
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3867:
jmp @r4
mov #0x1C,r2
.align 5
bcc_w3866:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3868
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3868:
jmp @r4
mov #0x1C,r2
! Opcodes 6301 - 63FF
Q301:
mov r0,r2
tst r3,r3
mov r8,r0
addc r0,r0
tst #5,r0
bf bcc_b3869
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3870
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3870:
jmp @r4
mov #0x1C,r2
.align 5
bcc_b3869:
shlr2 r2
exts.b r2,r0
tst #1,r0
bt access_ok3869
mov.l excep_ptr_addr3871,r0
mov.l @r0,r15
mov.l r3,@-r15
xor r2,r2
mov.l inst_reg_addr3871,r0
mov.w r2,@r0
mov #0x20,r0
tst r0,r10
movt r2
add #1,r2
shll2 r2
mov #0x10,r0
or r0,r2
add #2,r2
mov #0xF7,r0
and r0,r2
mov.l g0_spec_info_addr3871,r0
mov.b r2,@r0
mov r6,r2
mov.l execinfo_addr3871,r1
mov.w @r1,r0
or #0x40,r0
mov #0x0C,r4
mov.w r0,@r1
mov.l @r15+,r3
mov.l group_0_exception_addr3871,r1
jmp @r1
nop
.align 2
excep_ptr_addr3871: .long excep_ptr
g0_spec_info_addr3871: .long g0_spec_info
group_0_exception_addr3871: .long group_0_exception
inst_reg_addr3871: .long inst_reg
execinfo_addr3871: .long execinfo
access_ok3869:
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3872
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3872:
jmp @r4
mov #0x1C,r2
! Opcode 6400
Q400:
mov r8,r0
tst #2,r0
bt bcc_w3873
add #2,r6
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3874
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3874:
jmp @r4
mov #0x1C,r2
.align 5
bcc_w3873:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3875
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3875:
jmp @r4
mov #0x1C,r2
! Opcodes 6401 - 64FF
Q401:
mov r0,r2
mov r8,r0
tst #2,r0
bt bcc_b3876
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3877
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3877:
jmp @r4
mov #0x1C,r2
.align 5
bcc_b3876:
shlr2 r2
exts.b r2,r0
tst #1,r0
bt access_ok3876
mov.l excep_ptr_addr3878,r0
mov.l @r0,r15
mov.l r3,@-r15
xor r2,r2
mov.l inst_reg_addr3878,r0
mov.w r2,@r0
mov #0x20,r0
tst r0,r10
movt r2
add #1,r2
shll2 r2
mov #0x10,r0
or r0,r2
add #2,r2
mov #0xF7,r0
and r0,r2
mov.l g0_spec_info_addr3878,r0
mov.b r2,@r0
mov r6,r2
mov.l execinfo_addr3878,r1
mov.w @r1,r0
or #0x40,r0
mov #0x0C,r4
mov.w r0,@r1
mov.l @r15+,r3
mov.l group_0_exception_addr3878,r1
jmp @r1
nop
.align 2
excep_ptr_addr3878: .long excep_ptr
g0_spec_info_addr3878: .long g0_spec_info
group_0_exception_addr3878: .long group_0_exception
inst_reg_addr3878: .long inst_reg
execinfo_addr3878: .long execinfo
access_ok3876:
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3879
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3879:
jmp @r4
mov #0x1C,r2
! Opcode 6500
Q500:
mov r8,r0
tst #2,r0
bf bcc_w3880
add #2,r6
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3881
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3881:
jmp @r4
mov #0x1C,r2
.align 5
bcc_w3880:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3882
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3882:
jmp @r4
mov #0x1C,r2
! Opcodes 6501 - 65FF
Q501:
mov r0,r2
mov r8,r0
tst #2,r0
bf bcc_b3883
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3884
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3884:
jmp @r4
mov #0x1C,r2
.align 5
bcc_b3883:
shlr2 r2
exts.b r2,r0
tst #1,r0
bt access_ok3883
mov.l excep_ptr_addr3885,r0
mov.l @r0,r15
mov.l r3,@-r15
xor r2,r2
mov.l inst_reg_addr3885,r0
mov.w r2,@r0
mov #0x20,r0
tst r0,r10
movt r2
add #1,r2
shll2 r2
mov #0x10,r0
or r0,r2
add #2,r2
mov #0xF7,r0
and r0,r2
mov.l g0_spec_info_addr3885,r0
mov.b r2,@r0
mov r6,r2
mov.l execinfo_addr3885,r1
mov.w @r1,r0
or #0x40,r0
mov #0x0C,r4
mov.w r0,@r1
mov.l @r15+,r3
mov.l group_0_exception_addr3885,r1
jmp @r1
nop
.align 2
excep_ptr_addr3885: .long excep_ptr
g0_spec_info_addr3885: .long g0_spec_info
group_0_exception_addr3885: .long group_0_exception
inst_reg_addr3885: .long inst_reg
execinfo_addr3885: .long execinfo
access_ok3883:
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3886
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3886:
jmp @r4
mov #0x1C,r2
! Opcode 6600
Q600:
tst r3,r3
bf bcc_w3887
add #2,r6
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3888
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3888:
jmp @r4
mov #0x1C,r2
.align 5
bcc_w3887:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3889
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3889:
jmp @r4
mov #0x1C,r2
! Opcodes 6601 - 66FF
Q601:
mov r0,r2
tst r3,r3
bf bcc_b3890
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3891
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3891:
jmp @r4
mov #0x1C,r2
.align 5
bcc_b3890:
shlr2 r2
exts.b r2,r0
tst #1,r0
bt access_ok3890
mov.l excep_ptr_addr3892,r0
mov.l @r0,r15
mov.l r3,@-r15
xor r2,r2
mov.l inst_reg_addr3892,r0
mov.w r2,@r0
mov #0x20,r0
tst r0,r10
movt r2
add #1,r2
shll2 r2
mov #0x10,r0
or r0,r2
add #2,r2
mov #0xF7,r0
and r0,r2
mov.l g0_spec_info_addr3892,r0
mov.b r2,@r0
mov r6,r2
mov.l execinfo_addr3892,r1
mov.w @r1,r0
or #0x40,r0
mov #0x0C,r4
mov.w r0,@r1
mov.l @r15+,r3
mov.l group_0_exception_addr3892,r1
jmp @r1
nop
.align 2
excep_ptr_addr3892: .long excep_ptr
g0_spec_info_addr3892: .long g0_spec_info
group_0_exception_addr3892: .long group_0_exception
inst_reg_addr3892: .long inst_reg
execinfo_addr3892: .long execinfo
access_ok3890:
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3893
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3893:
jmp @r4
mov #0x1C,r2
! Opcode 6700
Q700:
tst r3,r3
bt bcc_w3894
add #2,r6
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3895
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3895:
jmp @r4
mov #0x1C,r2
.align 5
bcc_w3894:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3896
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3896:
jmp @r4
mov #0x1C,r2
! Opcodes 6701 - 67FF
Q701:
mov r0,r2
tst r3,r3
bt bcc_b3897
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3898
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3898:
jmp @r4
mov #0x1C,r2
.align 5
bcc_b3897:
shlr2 r2
exts.b r2,r0
tst #1,r0
bt access_ok3897
mov.l excep_ptr_addr3899,r0
mov.l @r0,r15
mov.l r3,@-r15
xor r2,r2
mov.l inst_reg_addr3899,r0
mov.w r2,@r0
mov #0x20,r0
tst r0,r10
movt r2
add #1,r2
shll2 r2
mov #0x10,r0
or r0,r2
add #2,r2
mov #0xF7,r0
and r0,r2
mov.l g0_spec_info_addr3899,r0
mov.b r2,@r0
mov r6,r2
mov.l execinfo_addr3899,r1
mov.w @r1,r0
or #0x40,r0
mov #0x0C,r4
mov.w r0,@r1
mov.l @r15+,r3
mov.l group_0_exception_addr3899,r1
jmp @r1
nop
.align 2
excep_ptr_addr3899: .long excep_ptr
g0_spec_info_addr3899: .long g0_spec_info
group_0_exception_addr3899: .long group_0_exception
inst_reg_addr3899: .long inst_reg
execinfo_addr3899: .long execinfo
access_ok3897:
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3900
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3900:
jmp @r4
mov #0x1C,r2
! Opcode 6800
Q800:
mov r8,r0
tst #4,r0
bt bcc_w3901
add #2,r6
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3902
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3902:
jmp @r4
mov #0x1C,r2
.align 5
bcc_w3901:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3903
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3903:
jmp @r4
mov #0x1C,r2
! Opcodes 6801 - 68FF
Q801:
mov r0,r2
mov r8,r0
tst #4,r0
bt bcc_b3904
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3905
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3905:
jmp @r4
mov #0x1C,r2
.align 5
bcc_b3904:
shlr2 r2
exts.b r2,r0
tst #1,r0
bt access_ok3904
mov.l excep_ptr_addr3906,r0
mov.l @r0,r15
mov.l r3,@-r15
xor r2,r2
mov.l inst_reg_addr3906,r0
mov.w r2,@r0
mov #0x20,r0
tst r0,r10
movt r2
add #1,r2
shll2 r2
mov #0x10,r0
or r0,r2
add #2,r2
mov #0xF7,r0
and r0,r2
mov.l g0_spec_info_addr3906,r0
mov.b r2,@r0
mov r6,r2
mov.l execinfo_addr3906,r1
mov.w @r1,r0
or #0x40,r0
mov #0x0C,r4
mov.w r0,@r1
mov.l @r15+,r3
mov.l group_0_exception_addr3906,r1
jmp @r1
nop
.align 2
excep_ptr_addr3906: .long excep_ptr
g0_spec_info_addr3906: .long g0_spec_info
group_0_exception_addr3906: .long group_0_exception
inst_reg_addr3906: .long inst_reg
execinfo_addr3906: .long execinfo
access_ok3904:
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3907
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3907:
jmp @r4
mov #0x1C,r2
! Opcode 6900
Q900:
mov r8,r0
tst #4,r0
bf bcc_w3908
add #2,r6
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3909
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3909:
jmp @r4
mov #0x1C,r2
.align 5
bcc_w3908:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3910
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3910:
jmp @r4
mov #0x1C,r2
! Opcodes 6901 - 69FF
Q901:
mov r0,r2
mov r8,r0
tst #4,r0
bf bcc_b3911
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3912
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3912:
jmp @r4
mov #0x1C,r2
.align 5
bcc_b3911:
shlr2 r2
exts.b r2,r0
tst #1,r0
bt access_ok3911
mov.l excep_ptr_addr3913,r0
mov.l @r0,r15
mov.l r3,@-r15
xor r2,r2
mov.l inst_reg_addr3913,r0
mov.w r2,@r0
mov #0x20,r0
tst r0,r10
movt r2
add #1,r2
shll2 r2
mov #0x10,r0
or r0,r2
add #2,r2
mov #0xF7,r0
and r0,r2
mov.l g0_spec_info_addr3913,r0
mov.b r2,@r0
mov r6,r2
mov.l execinfo_addr3913,r1
mov.w @r1,r0
or #0x40,r0
mov #0x0C,r4
mov.w r0,@r1
mov.l @r15+,r3
mov.l group_0_exception_addr3913,r1
jmp @r1
nop
.align 2
excep_ptr_addr3913: .long excep_ptr
g0_spec_info_addr3913: .long g0_spec_info
group_0_exception_addr3913: .long group_0_exception
inst_reg_addr3913: .long inst_reg
execinfo_addr3913: .long execinfo
access_ok3911:
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3914
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3914:
jmp @r4
mov #0x1C,r2
! Opcode 6A00
QA00:
mov r8,r0
tst #1,r0
bt bcc_w3915
add #2,r6
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3916
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3916:
jmp @r4
mov #0x1C,r2
.align 5
bcc_w3915:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3917
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3917:
jmp @r4
mov #0x1C,r2
! Opcodes 6A01 - 6AFF
QA01:
mov r0,r2
mov r8,r0
tst #1,r0
bt bcc_b3918
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3919
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3919:
jmp @r4
mov #0x1C,r2
.align 5
bcc_b3918:
shlr2 r2
exts.b r2,r0
tst #1,r0
bt access_ok3918
mov.l excep_ptr_addr3920,r0
mov.l @r0,r15
mov.l r3,@-r15
xor r2,r2
mov.l inst_reg_addr3920,r0
mov.w r2,@r0
mov #0x20,r0
tst r0,r10
movt r2
add #1,r2
shll2 r2
mov #0x10,r0
or r0,r2
add #2,r2
mov #0xF7,r0
and r0,r2
mov.l g0_spec_info_addr3920,r0
mov.b r2,@r0
mov r6,r2
mov.l execinfo_addr3920,r1
mov.w @r1,r0
or #0x40,r0
mov #0x0C,r4
mov.w r0,@r1
mov.l @r15+,r3
mov.l group_0_exception_addr3920,r1
jmp @r1
nop
.align 2
excep_ptr_addr3920: .long excep_ptr
g0_spec_info_addr3920: .long g0_spec_info
group_0_exception_addr3920: .long group_0_exception
inst_reg_addr3920: .long inst_reg
execinfo_addr3920: .long execinfo
access_ok3918:
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3921
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3921:
jmp @r4
mov #0x1C,r2
! Opcode 6B00
QB00:
mov r8,r0
tst #1,r0
bf bcc_w3922
add #2,r6
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3923
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3923:
jmp @r4
mov #0x1C,r2
.align 5
bcc_w3922:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3924
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3924:
jmp @r4
mov #0x1C,r2
! Opcodes 6B01 - 6BFF
QB01:
mov r0,r2
mov r8,r0
tst #1,r0
bf bcc_b3925
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3926
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3926:
jmp @r4
mov #0x1C,r2
.align 5
bcc_b3925:
shlr2 r2
exts.b r2,r0
tst #1,r0
bt access_ok3925
mov.l excep_ptr_addr3927,r0
mov.l @r0,r15
mov.l r3,@-r15
xor r2,r2
mov.l inst_reg_addr3927,r0
mov.w r2,@r0
mov #0x20,r0
tst r0,r10
movt r2
add #1,r2
shll2 r2
mov #0x10,r0
or r0,r2
add #2,r2
mov #0xF7,r0
and r0,r2
mov.l g0_spec_info_addr3927,r0
mov.b r2,@r0
mov r6,r2
mov.l execinfo_addr3927,r1
mov.w @r1,r0
or #0x40,r0
mov #0x0C,r4
mov.w r0,@r1
mov.l @r15+,r3
mov.l group_0_exception_addr3927,r1
jmp @r1
nop
.align 2
excep_ptr_addr3927: .long excep_ptr
g0_spec_info_addr3927: .long g0_spec_info
group_0_exception_addr3927: .long group_0_exception
inst_reg_addr3927: .long inst_reg
execinfo_addr3927: .long execinfo
access_ok3925:
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3928
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3928:
jmp @r4
mov #0x1C,r2
! Opcode 6C00
QC00:
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
bf bcc_w3929
add #2,r6
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3930
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3930:
jmp @r4
mov #0x1C,r2
.align 5
bcc_w3929:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3931
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3931:
jmp @r4
mov #0x1C,r2
! Opcodes 6C01 - 6CFF
QC01:
mov r0,r2
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
bf bcc_b3932
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3933
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3933:
jmp @r4
mov #0x1C,r2
.align 5
bcc_b3932:
shlr2 r2
exts.b r2,r0
tst #1,r0
bt access_ok3932
mov.l excep_ptr_addr3934,r0
mov.l @r0,r15
mov.l r3,@-r15
xor r2,r2
mov.l inst_reg_addr3934,r0
mov.w r2,@r0
mov #0x20,r0
tst r0,r10
movt r2
add #1,r2
shll2 r2
mov #0x10,r0
or r0,r2
add #2,r2
mov #0xF7,r0
and r0,r2
mov.l g0_spec_info_addr3934,r0
mov.b r2,@r0
mov r6,r2
mov.l execinfo_addr3934,r1
mov.w @r1,r0
or #0x40,r0
mov #0x0C,r4
mov.w r0,@r1
mov.l @r15+,r3
mov.l group_0_exception_addr3934,r1
jmp @r1
nop
.align 2
excep_ptr_addr3934: .long excep_ptr
g0_spec_info_addr3934: .long g0_spec_info
group_0_exception_addr3934: .long group_0_exception
inst_reg_addr3934: .long inst_reg
execinfo_addr3934: .long execinfo
access_ok3932:
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3935
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3935:
jmp @r4
mov #0x1C,r2
! Opcode 6D00
QD00:
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
bt bcc_w3936
add #2,r6
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3937
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3937:
jmp @r4
mov #0x1C,r2
.align 5
bcc_w3936:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3938
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3938:
jmp @r4
mov #0x1C,r2
! Opcodes 6D01 - 6DFF
QD01:
mov r0,r2
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
bt bcc_b3939
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3940
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3940:
jmp @r4
mov #0x1C,r2
.align 5
bcc_b3939:
shlr2 r2
exts.b r2,r0
tst #1,r0
bt access_ok3939
mov.l excep_ptr_addr3941,r0
mov.l @r0,r15
mov.l r3,@-r15
xor r2,r2
mov.l inst_reg_addr3941,r0
mov.w r2,@r0
mov #0x20,r0
tst r0,r10
movt r2
add #1,r2
shll2 r2
mov #0x10,r0
or r0,r2
add #2,r2
mov #0xF7,r0
and r0,r2
mov.l g0_spec_info_addr3941,r0
mov.b r2,@r0
mov r6,r2
mov.l execinfo_addr3941,r1
mov.w @r1,r0
or #0x40,r0
mov #0x0C,r4
mov.w r0,@r1
mov.l @r15+,r3
mov.l group_0_exception_addr3941,r1
jmp @r1
nop
.align 2
excep_ptr_addr3941: .long excep_ptr
g0_spec_info_addr3941: .long g0_spec_info
group_0_exception_addr3941: .long group_0_exception
inst_reg_addr3941: .long inst_reg
execinfo_addr3941: .long execinfo
access_ok3939:
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3942
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3942:
jmp @r4
mov #0x1C,r2
! Opcode 6E00
QE00:
mov r8,r0
shlr2 r0
tst r3,r3
xor r8,r0
addc r0,r0
tst #3,r0
bt bcc_w3943
add #2,r6
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3944
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3944:
jmp @r4
mov #0x1C,r2
.align 5
bcc_w3943:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3945
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3945:
jmp @r4
mov #0x1C,r2
! Opcodes 6E01 - 6EFF
QE01:
mov r0,r2
mov r8,r0
shlr2 r0
tst r3,r3
xor r8,r0
addc r0,r0
tst #3,r0
bt bcc_b3946
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3947
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3947:
jmp @r4
mov #0x1C,r2
.align 5
bcc_b3946:
shlr2 r2
exts.b r2,r0
tst #1,r0
bt access_ok3946
mov.l excep_ptr_addr3948,r0
mov.l @r0,r15
mov.l r3,@-r15
xor r2,r2
mov.l inst_reg_addr3948,r0
mov.w r2,@r0
mov #0x20,r0
tst r0,r10
movt r2
add #1,r2
shll2 r2
mov #0x10,r0
or r0,r2
add #2,r2
mov #0xF7,r0
and r0,r2
mov.l g0_spec_info_addr3948,r0
mov.b r2,@r0
mov r6,r2
mov.l execinfo_addr3948,r1
mov.w @r1,r0
or #0x40,r0
mov #0x0C,r4
mov.w r0,@r1
mov.l @r15+,r3
mov.l group_0_exception_addr3948,r1
jmp @r1
nop
.align 2
excep_ptr_addr3948: .long excep_ptr
g0_spec_info_addr3948: .long g0_spec_info
group_0_exception_addr3948: .long group_0_exception
inst_reg_addr3948: .long inst_reg
execinfo_addr3948: .long execinfo
access_ok3946:
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3949
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3949:
jmp @r4
mov #0x1C,r2
! Opcode 6F00
QF00:
mov r8,r0
shlr2 r0
tst r3,r3
xor r8,r0
addc r0,r0
tst #3,r0
bf bcc_w3950
add #2,r6
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3951
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3951:
jmp @r4
mov #0x1C,r2
.align 5
bcc_w3950:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3952
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3952:
jmp @r4
mov #0x1C,r2
! Opcodes 6F01 - 6FFF
QF01:
mov r0,r2
mov r8,r0
shlr2 r0
tst r3,r3
xor r8,r0
addc r0,r0
tst #3,r0
bf bcc_b3953
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3954
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3954:
jmp @r4
mov #0x1C,r2
.align 5
bcc_b3953:
shlr2 r2
exts.b r2,r0
tst #1,r0
bt access_ok3953
mov.l excep_ptr_addr3955,r0
mov.l @r0,r15
mov.l r3,@-r15
xor r2,r2
mov.l inst_reg_addr3955,r0
mov.w r2,@r0
mov #0x20,r0
tst r0,r10
movt r2
add #1,r2
shll2 r2
mov #0x10,r0
or r0,r2
add #2,r2
mov #0xF7,r0
and r0,r2
mov.l g0_spec_info_addr3955,r0
mov.b r2,@r0
mov r6,r2
mov.l execinfo_addr3955,r1
mov.w @r1,r0
or #0x40,r0
mov #0x0C,r4
mov.w r0,@r1
mov.l @r15+,r3
mov.l group_0_exception_addr3955,r1
jmp @r1
nop
.align 2
excep_ptr_addr3955: .long excep_ptr
g0_spec_info_addr3955: .long g0_spec_info
group_0_exception_addr3955: .long group_0_exception
inst_reg_addr3955: .long inst_reg
execinfo_addr3955: .long execinfo
access_ok3953:
add r0,r6
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3956
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3956:
jmp @r4
mov #0x1C,r2
! Opcodes 7000 - 70FF
R000:
shlr2 r0
exts.b r0,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3957
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3957:
jmp @r4
mov #0x1C,r2
! Opcodes 7200 - 72FF
R200:
shlr2 r0
exts.b r0,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3958
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3958:
jmp @r4
mov #0x1C,r2
! Opcodes 7400 - 74FF
R400:
shlr2 r0
exts.b r0,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3959
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3959:
jmp @r4
mov #0x1C,r2
! Opcodes 7600 - 76FF
R600:
shlr2 r0
exts.b r0,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3960
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3960:
jmp @r4
mov #0x1C,r2
! Opcodes 7800 - 78FF
R800:
shlr2 r0
exts.b r0,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3961
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3961:
jmp @r4
mov #0x1C,r2
! Opcodes 7A00 - 7AFF
RA00:
shlr2 r0
exts.b r0,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3962
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3962:
jmp @r4
mov #0x1C,r2
! Opcodes 7C00 - 7CFF
RC00:
shlr2 r0
exts.b r0,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3963
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3963:
jmp @r4
mov #0x1C,r2
! Opcodes 7E00 - 7EFF
RE00:
shlr2 r0
exts.b r0,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3964
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3964:
jmp @r4
mov #0x1C,r2
! Opcodes 8000 - 8007
S000:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.b @r13,r1
or r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3965
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3965:
jmp @r4
mov #0x1C,r2
! Opcodes 8010 - 8017
S010:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
or r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3966
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3966:
jmp @r4
mov #0x1C,r2
! Opcodes 8018 - 801F
S018:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.b @r13,r1
or r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3967
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3967:
jmp @r4
mov #0x1C,r2
! Opcodes 8020 - 8027
S020:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.b @r13,r1
or r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3968
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3968:
jmp @r4
mov #0x1C,r2
! Opcodes 8028 - 802F
S028:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
or r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3969
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3969:
jmp @r4
mov #0x1C,r2
! Opcodes 8030 - 8037
S030:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
or r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3970
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3970:
jmp @r4
mov #0x1C,r2
! Opcode 8038
S038:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
or r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3971
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3971:
jmp @r4
mov #0x1C,r2
! Opcode 8039
S039:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
or r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3972
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3972:
jmp @r4
mov #0x1C,r2
! Opcode 803A
S03A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
or r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3973
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3973:
jmp @r4
mov #0x1C,r2
! Opcode 803B
S03B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
or r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3974
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3974:
jmp @r4
mov #0x1C,r2
! Opcode 803C
S03C:
mov.b @r6,r3
add #2,r6
mov.b @r13,r1
or r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3975
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3975:
jmp @r4
mov #0x1C,r2
! Opcodes 8040 - 8047
S040:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.w @r13,r1
or r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl3976
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3976:
jmp @r4
mov #0x1C,r2
! Opcodes 8050 - 8057
S050:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
or r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3977
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3977:
jmp @r4
mov #0x1C,r2
! Opcodes 8058 - 805F
S058:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r13,r1
or r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3978
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3978:
jmp @r4
mov #0x1C,r2
! Opcodes 8060 - 8067
S060:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r13,r1
or r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl3979
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3979:
jmp @r4
mov #0x1C,r2
! Opcodes 8068 - 806F
S068:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
or r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3980
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3980:
jmp @r4
mov #0x1C,r2
! Opcodes 8070 - 8077
S070:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
or r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3981
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3981:
jmp @r4
mov #0x1C,r2
! Opcode 8078
S078:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
or r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3982
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3982:
jmp @r4
mov #0x1C,r2
! Opcode 8079
S079:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
or r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3983
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3983:
jmp @r4
mov #0x1C,r2
! Opcode 807A
S07A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
or r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl3984
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3984:
jmp @r4
mov #0x1C,r2
! Opcode 807B
S07B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
or r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3985
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3985:
jmp @r4
mov #0x1C,r2
! Opcode 807C
S07C:
mov.w @r6+,r3
mov.w @r13,r1
or r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3986
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3986:
jmp @r4
mov #0x1C,r2
! Opcodes 8080 - 8087
S080:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @r13,r1
or r1,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl3987
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3987:
jmp @r4
mov #0x1C,r2
! Opcodes 8090 - 8097
S090:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
or r1,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3988
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3988:
jmp @r4
mov #0x1C,r2
! Opcodes 8098 - 809F
S098:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r13,r1
or r1,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl3989
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3989:
jmp @r4
mov #0x1C,r2
! Opcodes 80A0 - 80A7
S0A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r13,r1
or r1,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3990
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3990:
jmp @r4
mov #0x1C,r2
! Opcodes 80A8 - 80AF
S0A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
or r1,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3991
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3991:
jmp @r4
mov #0x1C,r2
! Opcodes 80B0 - 80B7
S0B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
or r1,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3992
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3992:
jmp @r4
mov #0x1C,r2
! Opcode 80B8
S0B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
or r1,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3993
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3993:
jmp @r4
mov #0x1C,r2
! Opcode 80B9
S0B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
or r1,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl3994
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3994:
jmp @r4
mov #0x1C,r2
! Opcode 80BA
S0BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
or r1,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl3995
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3995:
jmp @r4
mov #0x1C,r2
! Opcode 80BB
S0BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
or r1,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl3996
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3996:
jmp @r4
mov #0x1C,r2
! Opcode 80BC
S0BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @r13,r1
or r1,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl3997
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl3997:
jmp @r4
mov #0x1C,r2
! Opcodes 80C0 - 80C7
S0C0:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @r13,r1
mov r3,r8
tst r8,r8
bt/s ln3998
shll16 r3
cmp/hs r3,r1
bt ov3999
mov #15,r4
mov r1,r0
shll r0
detloop3998:
cmp/hs r3,r0
bf/s nsbhd3998
add #-4,r7
sub r3,r0
add #2,r7
nsbhd3998:
dt r4
bf/s detloop3998
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-76,r7
shll2 r0
cmp/pl r7
bt/s fdl4000
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4000:
jmp @r4
mov #0x1C,r2
.align 5
ov3999:
mov #0x4,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl4001
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4001:
jmp @r4
mov #0x1C,r2
.align 5
ln3998:
mov.l g2_except_addr3998,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr3998,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl4002
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4002:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr3998: .long group_2_exception
bf_addr3998: .long basefunction
! Opcodes 80D0 - 80D7
S0D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r8
tst r8,r8
bt/s ln4003
shll16 r3
cmp/hs r3,r1
bt ov4004
mov #15,r4
mov r1,r0
shll r0
detloop4003:
cmp/hs r3,r0
bf/s nsbhd4003
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4003:
dt r4
bf/s detloop4003
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-80,r7
shll2 r0
cmp/pl r7
bt/s fdl4005
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4005:
jmp @r4
mov #0x1C,r2
.align 5
ov4004:
mov #0x4,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4006
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4006:
jmp @r4
mov #0x1C,r2
.align 5
ln4003:
mov.l g2_except_addr4003,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4003,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4007
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4007:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4003: .long group_2_exception
bf_addr4003: .long basefunction
! Opcodes 80D8 - 80DF
S0D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r13,r1
mov r3,r8
tst r8,r8
bt/s ln4008
shll16 r3
cmp/hs r3,r1
bt ov4009
mov #15,r4
mov r1,r0
shll r0
detloop4008:
cmp/hs r3,r0
bf/s nsbhd4008
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4008:
dt r4
bf/s detloop4008
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-80,r7
shll2 r0
cmp/pl r7
bt/s fdl4010
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4010:
jmp @r4
mov #0x1C,r2
.align 5
ov4009:
mov #0x4,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4011
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4011:
jmp @r4
mov #0x1C,r2
.align 5
ln4008:
mov.l g2_except_addr4008,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4008,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4012
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4012:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4008: .long group_2_exception
bf_addr4008: .long basefunction
! Opcodes 80E0 - 80E7
S0E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r13,r1
mov r3,r8
tst r8,r8
bt/s ln4013
shll16 r3
cmp/hs r3,r1
bt ov4014
mov #15,r4
mov r1,r0
shll r0
detloop4013:
cmp/hs r3,r0
bf/s nsbhd4013
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4013:
dt r4
bf/s detloop4013
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-82,r7
shll2 r0
cmp/pl r7
bt/s fdl4015
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4015:
jmp @r4
mov #0x1C,r2
.align 5
ov4014:
mov #0x4,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4016
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4016:
jmp @r4
mov #0x1C,r2
.align 5
ln4013:
mov.l g2_except_addr4013,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4013,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl4017
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4017:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4013: .long group_2_exception
bf_addr4013: .long basefunction
! Opcodes 80E8 - 80EF
S0E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r8
tst r8,r8
bt/s ln4018
shll16 r3
cmp/hs r3,r1
bt ov4019
mov #15,r4
mov r1,r0
shll r0
detloop4018:
cmp/hs r3,r0
bf/s nsbhd4018
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4018:
dt r4
bf/s detloop4018
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-84,r7
shll2 r0
cmp/pl r7
bt/s fdl4020
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4020:
jmp @r4
mov #0x1C,r2
.align 5
ov4019:
mov #0x4,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4021
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4021:
jmp @r4
mov #0x1C,r2
.align 5
ln4018:
mov.l g2_except_addr4018,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4018,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4022
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4022:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4018: .long group_2_exception
bf_addr4018: .long basefunction
! Opcodes 80F0 - 80F7
S0F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r8
tst r8,r8
bt/s ln4023
shll16 r3
cmp/hs r3,r1
bt ov4024
mov #15,r4
mov r1,r0
shll r0
detloop4023:
cmp/hs r3,r0
bf/s nsbhd4023
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4023:
dt r4
bf/s detloop4023
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-86,r7
shll2 r0
cmp/pl r7
bt/s fdl4025
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4025:
jmp @r4
mov #0x1C,r2
.align 5
ov4024:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4026
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4026:
jmp @r4
mov #0x1C,r2
.align 5
ln4023:
mov.l g2_except_addr4023,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4023,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl4027
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4027:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4023: .long group_2_exception
bf_addr4023: .long basefunction
! Opcode 80F8
S0F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r8
tst r8,r8
bt/s ln4028
shll16 r3
cmp/hs r3,r1
bt ov4029
mov #15,r4
mov r1,r0
shll r0
detloop4028:
cmp/hs r3,r0
bf/s nsbhd4028
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4028:
dt r4
bf/s detloop4028
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-84,r7
shll2 r0
cmp/pl r7
bt/s fdl4030
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4030:
jmp @r4
mov #0x1C,r2
.align 5
ov4029:
mov #0x4,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4031
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4031:
jmp @r4
mov #0x1C,r2
.align 5
ln4028:
mov.l g2_except_addr4028,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4028,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4032
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4032:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4028: .long group_2_exception
bf_addr4028: .long basefunction
! Opcode 80F9
S0F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r8
tst r8,r8
bt/s ln4033
shll16 r3
cmp/hs r3,r1
bt ov4034
mov #15,r4
mov r1,r0
shll r0
detloop4033:
cmp/hs r3,r0
bf/s nsbhd4033
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4033:
dt r4
bf/s detloop4033
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-88,r7
shll2 r0
cmp/pl r7
bt/s fdl4035
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4035:
jmp @r4
mov #0x1C,r2
.align 5
ov4034:
mov #0x4,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl4036
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4036:
jmp @r4
mov #0x1C,r2
.align 5
ln4033:
mov.l g2_except_addr4033,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4033,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl4037
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4037:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4033: .long group_2_exception
bf_addr4033: .long basefunction
! Opcode 80FA
S0FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r8
tst r8,r8
bt/s ln4038
shll16 r3
cmp/hs r3,r1
bt ov4039
mov #15,r4
mov r1,r0
shll r0
detloop4038:
cmp/hs r3,r0
bf/s nsbhd4038
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4038:
dt r4
bf/s detloop4038
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-84,r7
shll2 r0
cmp/pl r7
bt/s fdl4040
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4040:
jmp @r4
mov #0x1C,r2
.align 5
ov4039:
mov #0x4,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4041
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4041:
jmp @r4
mov #0x1C,r2
.align 5
ln4038:
mov.l g2_except_addr4038,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4038,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4042
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4042:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4038: .long group_2_exception
bf_addr4038: .long basefunction
! Opcode 80FB
S0FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r8
tst r8,r8
bt/s ln4043
shll16 r3
cmp/hs r3,r1
bt ov4044
mov #15,r4
mov r1,r0
shll r0
detloop4043:
cmp/hs r3,r0
bf/s nsbhd4043
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4043:
dt r4
bf/s detloop4043
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-86,r7
shll2 r0
cmp/pl r7
bt/s fdl4045
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4045:
jmp @r4
mov #0x1C,r2
.align 5
ov4044:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4046
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4046:
jmp @r4
mov #0x1C,r2
.align 5
ln4043:
mov.l g2_except_addr4043,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4043,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl4047
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4047:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4043: .long group_2_exception
bf_addr4043: .long basefunction
! Opcode 80FC
S0FC:
mov.w @r6+,r3
mov.l @r13,r1
mov r3,r8
tst r8,r8
bt/s ln4048
shll16 r3
cmp/hs r3,r1
bt ov4049
mov #15,r4
mov r1,r0
shll r0
detloop4048:
cmp/hs r3,r0
bf/s nsbhd4048
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4048:
dt r4
bf/s detloop4048
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-80,r7
shll2 r0
cmp/pl r7
bt/s fdl4050
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4050:
jmp @r4
mov #0x1C,r2
.align 5
ov4049:
mov #0x4,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4051
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4051:
jmp @r4
mov #0x1C,r2
.align 5
ln4048:
mov.l g2_except_addr4048,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4048,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4052
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4052:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4048: .long group_2_exception
bf_addr4048: .long basefunction
! Opcodes 8100 - 8107
S100:
and r0,r2
mov r3,r4
mov.b @r13,r3
mov r2,r0
mov.b @(r0,r13),r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd4053
add #-6,r8
.nonibadd4053:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop4053
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop4053:
exts.b r3,r3
mov r9,r8
mov.b r3,@r13
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl4054
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4054:
jmp @r4
mov #0x1C,r2
! Opcodes 8108 - 810F
S108:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(32,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd4055
add #-6,r8
.nonibadd4055:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop4055
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop4055:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4056
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4056:
jmp @r4
mov #0x1C,r2
! Opcodes 8110 - 8117
S110:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4057
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4057:
jmp @r4
mov #0x1C,r2
! Opcodes 8118 - 811F
S118:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4058
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4058:
jmp @r4
mov #0x1C,r2
! Opcodes 8120 - 8127
S120:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4059
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4059:
jmp @r4
mov #0x1C,r2
! Opcodes 8128 - 812F
S128:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4060
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4060:
jmp @r4
mov #0x1C,r2
! Opcodes 8130 - 8137
S130:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4061
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4061:
jmp @r4
mov #0x1C,r2
! Opcode 8138
S138:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4062
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4062:
jmp @r4
mov #0x1C,r2
! Opcode 8139
S139:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4063
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4063:
jmp @r4
mov #0x1C,r2
! Opcodes 8150 - 8157
S150:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4064
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4064:
jmp @r4
mov #0x1C,r2
! Opcodes 8158 - 815F
S158:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4065
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4065:
jmp @r4
mov #0x1C,r2
! Opcodes 8160 - 8167
S160:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4066
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4066:
jmp @r4
mov #0x1C,r2
! Opcodes 8168 - 816F
S168:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4067
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4067:
jmp @r4
mov #0x1C,r2
! Opcodes 8170 - 8177
S170:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4068
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4068:
jmp @r4
mov #0x1C,r2
! Opcode 8178
S178:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4069
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4069:
jmp @r4
mov #0x1C,r2
! Opcode 8179
S179:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4070
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4070:
jmp @r4
mov #0x1C,r2
! Opcodes 8190 - 8197
S190:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4071
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4071:
jmp @r4
mov #0x1C,r2
! Opcodes 8198 - 819F
S198:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4072
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4072:
jmp @r4
mov #0x1C,r2
! Opcodes 81A0 - 81A7
S1A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl4073
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4073:
jmp @r4
mov #0x1C,r2
! Opcodes 81A8 - 81AF
S1A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl4074
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4074:
jmp @r4
mov #0x1C,r2
! Opcodes 81B0 - 81B7
S1B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl4075
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4075:
jmp @r4
mov #0x1C,r2
! Opcode 81B8
S1B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl4076
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4076:
jmp @r4
mov #0x1C,r2
! Opcode 81B9
S1B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl4077
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4077:
jmp @r4
mov #0x1C,r2
! Opcodes 81C0 - 81C7
S1C0:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @r13,r1
mov r3,r8
tst r8,r8
bt/s ln4078
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4079
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4078
mov r3,r1
neg r1,r1
nondivd4078:
cmp/pz r4
bt/s aquot4078
mov #15,r4
neg r1,r1
aquot4078:
shll16 r1
dstloop4078:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4078
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-122,r7
shll2 r0
cmp/pl r7
bt/s fdl4080
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4080:
jmp @r4
mov #0x1C,r2
.align 5
ov4079:
mov #0x4,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4081
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4081:
jmp @r4
mov #0x1C,r2
.align 5
ln4078:
mov.l g2_except_addr4078,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4078,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl4082
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4082:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4078: .long group_2_exception
bf_addr4078: .long basefunction
! Opcodes 81D0 - 81D7
S1D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r8
tst r8,r8
bt/s ln4083
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4084
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4083
mov r3,r1
neg r1,r1
nondivd4083:
cmp/pz r4
bt/s aquot4083
mov #15,r4
neg r1,r1
aquot4083:
shll16 r1
dstloop4083:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4083
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-126,r7
shll2 r0
cmp/pl r7
bt/s fdl4085
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4085:
jmp @r4
mov #0x1C,r2
.align 5
ov4084:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4086
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4086:
jmp @r4
mov #0x1C,r2
.align 5
ln4083:
mov.l g2_except_addr4083,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4083,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4087
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4087:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4083: .long group_2_exception
bf_addr4083: .long basefunction
! Opcodes 81D8 - 81DF
S1D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r13,r1
mov r3,r8
tst r8,r8
bt/s ln4088
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4089
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4088
mov r3,r1
neg r1,r1
nondivd4088:
cmp/pz r4
bt/s aquot4088
mov #15,r4
neg r1,r1
aquot4088:
shll16 r1
dstloop4088:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4088
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-126,r7
shll2 r0
cmp/pl r7
bt/s fdl4090
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4090:
jmp @r4
mov #0x1C,r2
.align 5
ov4089:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4091
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4091:
jmp @r4
mov #0x1C,r2
.align 5
ln4088:
mov.l g2_except_addr4088,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4088,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4092
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4092:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4088: .long group_2_exception
bf_addr4088: .long basefunction
! Opcodes 81E0 - 81E7
S1E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r13,r1
mov r3,r8
tst r8,r8
bt/s ln4093
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4094
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4093
mov r3,r1
neg r1,r1
nondivd4093:
cmp/pz r4
bt/s aquot4093
mov #15,r4
neg r1,r1
aquot4093:
shll16 r1
dstloop4093:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4093
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
shll2 r0
cmp/pl r7
bt/s fdl4095
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4095:
jmp @r4
mov #0x1C,r2
.align 5
ov4094:
mov #0x4,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl4096
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4096:
jmp @r4
mov #0x1C,r2
.align 5
ln4093:
mov.l g2_except_addr4093,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4093,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl4097
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4097:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4093: .long group_2_exception
bf_addr4093: .long basefunction
! Opcodes 81E8 - 81EF
S1E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r8
tst r8,r8
bt/s ln4098
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4099
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4098
mov r3,r1
neg r1,r1
nondivd4098:
cmp/pz r4
bt/s aquot4098
mov #15,r4
neg r1,r1
aquot4098:
shll16 r1
dstloop4098:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4098
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-2,r7
shll2 r0
cmp/pl r7
bt/s fdl4100
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4100:
jmp @r4
mov #0x1C,r2
.align 5
ov4099:
mov #0x4,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl4101
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4101:
jmp @r4
mov #0x1C,r2
.align 5
ln4098:
mov.l g2_except_addr4098,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4098,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4102
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4102:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4098: .long group_2_exception
bf_addr4098: .long basefunction
! Opcodes 81F0 - 81F7
S1F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r8
tst r8,r8
bt/s ln4103
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4104
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4103
mov r3,r1
neg r1,r1
nondivd4103:
cmp/pz r4
bt/s aquot4103
mov #15,r4
neg r1,r1
aquot4103:
shll16 r1
dstloop4103:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4103
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl4105
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4105:
jmp @r4
mov #0x1C,r2
.align 5
ov4104:
mov #0x4,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl4106
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4106:
jmp @r4
mov #0x1C,r2
.align 5
ln4103:
mov.l g2_except_addr4103,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4103,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl4107
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4107:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4103: .long group_2_exception
bf_addr4103: .long basefunction
! Opcode 81F8
S1F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r8
tst r8,r8
bt/s ln4108
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4109
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4108
mov r3,r1
neg r1,r1
nondivd4108:
cmp/pz r4
bt/s aquot4108
mov #15,r4
neg r1,r1
aquot4108:
shll16 r1
dstloop4108:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4108
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-2,r7
shll2 r0
cmp/pl r7
bt/s fdl4110
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4110:
jmp @r4
mov #0x1C,r2
.align 5
ov4109:
mov #0x4,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl4111
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4111:
jmp @r4
mov #0x1C,r2
.align 5
ln4108:
mov.l g2_except_addr4108,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4108,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4112
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4112:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4108: .long group_2_exception
bf_addr4108: .long basefunction
! Opcode 81F9
S1F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r8
tst r8,r8
bt/s ln4113
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4114
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4113
mov r3,r1
neg r1,r1
nondivd4113:
cmp/pz r4
bt/s aquot4113
mov #15,r4
neg r1,r1
aquot4113:
shll16 r1
dstloop4113:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4113
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl4115
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4115:
jmp @r4
mov #0x1C,r2
.align 5
ov4114:
mov #0x4,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl4116
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4116:
jmp @r4
mov #0x1C,r2
.align 5
ln4113:
mov.l g2_except_addr4113,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4113,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl4117
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4117:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4113: .long group_2_exception
bf_addr4113: .long basefunction
! Opcode 81FA
S1FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r8
tst r8,r8
bt/s ln4118
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4119
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4118
mov r3,r1
neg r1,r1
nondivd4118:
cmp/pz r4
bt/s aquot4118
mov #15,r4
neg r1,r1
aquot4118:
shll16 r1
dstloop4118:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4118
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-2,r7
shll2 r0
cmp/pl r7
bt/s fdl4120
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4120:
jmp @r4
mov #0x1C,r2
.align 5
ov4119:
mov #0x4,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl4121
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4121:
jmp @r4
mov #0x1C,r2
.align 5
ln4118:
mov.l g2_except_addr4118,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4118,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4122
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4122:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4118: .long group_2_exception
bf_addr4118: .long basefunction
! Opcode 81FB
S1FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r8
tst r8,r8
bt/s ln4123
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4124
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4123
mov r3,r1
neg r1,r1
nondivd4123:
cmp/pz r4
bt/s aquot4123
mov #15,r4
neg r1,r1
aquot4123:
shll16 r1
dstloop4123:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4123
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl4125
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4125:
jmp @r4
mov #0x1C,r2
.align 5
ov4124:
mov #0x4,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl4126
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4126:
jmp @r4
mov #0x1C,r2
.align 5
ln4123:
mov.l g2_except_addr4123,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4123,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl4127
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4127:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4123: .long group_2_exception
bf_addr4123: .long basefunction
! Opcode 81FC
S1FC:
mov.w @r6+,r3
mov.l @r13,r1
mov r3,r8
tst r8,r8
bt/s ln4128
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4129
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4128
mov r3,r1
neg r1,r1
nondivd4128:
cmp/pz r4
bt/s aquot4128
mov #15,r4
neg r1,r1
aquot4128:
shll16 r1
dstloop4128:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4128
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-126,r7
shll2 r0
cmp/pl r7
bt/s fdl4130
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4130:
jmp @r4
mov #0x1C,r2
.align 5
ov4129:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4131
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4131:
jmp @r4
mov #0x1C,r2
.align 5
ln4128:
mov.l g2_except_addr4128,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4128,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4132
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4132:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4128: .long group_2_exception
bf_addr4128: .long basefunction
! Opcodes 8200 - 8207
S200:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl4133
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4133:
jmp @r4
mov #0x1C,r2
! Opcodes 8210 - 8217
S210:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4134
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4134:
jmp @r4
mov #0x1C,r2
! Opcodes 8218 - 821F
S218:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4135
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4135:
jmp @r4
mov #0x1C,r2
! Opcodes 8220 - 8227
S220:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl4136
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4136:
jmp @r4
mov #0x1C,r2
! Opcodes 8228 - 822F
S228:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4137
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4137:
jmp @r4
mov #0x1C,r2
! Opcodes 8230 - 8237
S230:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4138
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4138:
jmp @r4
mov #0x1C,r2
! Opcode 8238
S238:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4139
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4139:
jmp @r4
mov #0x1C,r2
! Opcode 8239
S239:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4140
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4140:
jmp @r4
mov #0x1C,r2
! Opcode 823A
S23A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4141
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4141:
jmp @r4
mov #0x1C,r2
! Opcode 823B
S23B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4142
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4142:
jmp @r4
mov #0x1C,r2
! Opcode 823C
S23C:
mov.b @r6,r3
add #2,r6
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4143
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4143:
jmp @r4
mov #0x1C,r2
! Opcodes 8240 - 8247
S240:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl4144
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4144:
jmp @r4
mov #0x1C,r2
! Opcodes 8250 - 8257
S250:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4145
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4145:
jmp @r4
mov #0x1C,r2
! Opcodes 8258 - 825F
S258:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4146
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4146:
jmp @r4
mov #0x1C,r2
! Opcodes 8260 - 8267
S260:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl4147
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4147:
jmp @r4
mov #0x1C,r2
! Opcodes 8268 - 826F
S268:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4148
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4148:
jmp @r4
mov #0x1C,r2
! Opcodes 8270 - 8277
S270:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4149
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4149:
jmp @r4
mov #0x1C,r2
! Opcode 8278
S278:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4150
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4150:
jmp @r4
mov #0x1C,r2
! Opcode 8279
S279:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4151
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4151:
jmp @r4
mov #0x1C,r2
! Opcode 827A
S27A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4152
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4152:
jmp @r4
mov #0x1C,r2
! Opcode 827B
S27B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4153
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4153:
jmp @r4
mov #0x1C,r2
! Opcode 827C
S27C:
mov.w @r6+,r3
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4154
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4154:
jmp @r4
mov #0x1C,r2
! Opcodes 8280 - 8287
S280:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(4,r13),r1
or r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4155
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4155:
jmp @r4
mov #0x1C,r2
! Opcodes 8290 - 8297
S290:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
or r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4156
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4156:
jmp @r4
mov #0x1C,r2
! Opcodes 8298 - 829F
S298:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(4,r13),r1
or r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4157
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4157:
jmp @r4
mov #0x1C,r2
! Opcodes 82A0 - 82A7
S2A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(4,r13),r1
or r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4158
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4158:
jmp @r4
mov #0x1C,r2
! Opcodes 82A8 - 82AF
S2A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
or r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4159
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4159:
jmp @r4
mov #0x1C,r2
! Opcodes 82B0 - 82B7
S2B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
or r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4160
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4160:
jmp @r4
mov #0x1C,r2
! Opcode 82B8
S2B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
or r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4161
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4161:
jmp @r4
mov #0x1C,r2
! Opcode 82B9
S2B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
or r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl4162
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4162:
jmp @r4
mov #0x1C,r2
! Opcode 82BA
S2BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
or r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4163
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4163:
jmp @r4
mov #0x1C,r2
! Opcode 82BB
S2BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
or r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4164
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4164:
jmp @r4
mov #0x1C,r2
! Opcode 82BC
S2BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(4,r13),r1
or r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4165
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4165:
jmp @r4
mov #0x1C,r2
! Opcodes 82C0 - 82C7
S2C0:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(4,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4166
shll16 r3
cmp/hs r3,r1
bt ov4167
mov #15,r4
mov r1,r0
shll r0
detloop4166:
cmp/hs r3,r0
bf/s nsbhd4166
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4166:
dt r4
bf/s detloop4166
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-76,r7
shll2 r0
cmp/pl r7
bt/s fdl4168
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4168:
jmp @r4
mov #0x1C,r2
.align 5
ov4167:
mov #0x4,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl4169
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4169:
jmp @r4
mov #0x1C,r2
.align 5
ln4166:
mov.l g2_except_addr4166,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4166,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl4170
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4170:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4166: .long group_2_exception
bf_addr4166: .long basefunction
! Opcodes 82D0 - 82D7
S2D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4171
shll16 r3
cmp/hs r3,r1
bt ov4172
mov #15,r4
mov r1,r0
shll r0
detloop4171:
cmp/hs r3,r0
bf/s nsbhd4171
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4171:
dt r4
bf/s detloop4171
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-80,r7
shll2 r0
cmp/pl r7
bt/s fdl4173
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4173:
jmp @r4
mov #0x1C,r2
.align 5
ov4172:
mov #0x4,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4174
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4174:
jmp @r4
mov #0x1C,r2
.align 5
ln4171:
mov.l g2_except_addr4171,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4171,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4175
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4175:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4171: .long group_2_exception
bf_addr4171: .long basefunction
! Opcodes 82D8 - 82DF
S2D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(4,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4176
shll16 r3
cmp/hs r3,r1
bt ov4177
mov #15,r4
mov r1,r0
shll r0
detloop4176:
cmp/hs r3,r0
bf/s nsbhd4176
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4176:
dt r4
bf/s detloop4176
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-80,r7
shll2 r0
cmp/pl r7
bt/s fdl4178
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4178:
jmp @r4
mov #0x1C,r2
.align 5
ov4177:
mov #0x4,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4179
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4179:
jmp @r4
mov #0x1C,r2
.align 5
ln4176:
mov.l g2_except_addr4176,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4176,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4180
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4180:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4176: .long group_2_exception
bf_addr4176: .long basefunction
! Opcodes 82E0 - 82E7
S2E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(4,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4181
shll16 r3
cmp/hs r3,r1
bt ov4182
mov #15,r4
mov r1,r0
shll r0
detloop4181:
cmp/hs r3,r0
bf/s nsbhd4181
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4181:
dt r4
bf/s detloop4181
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-82,r7
shll2 r0
cmp/pl r7
bt/s fdl4183
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4183:
jmp @r4
mov #0x1C,r2
.align 5
ov4182:
mov #0x4,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4184
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4184:
jmp @r4
mov #0x1C,r2
.align 5
ln4181:
mov.l g2_except_addr4181,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4181,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl4185
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4185:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4181: .long group_2_exception
bf_addr4181: .long basefunction
! Opcodes 82E8 - 82EF
S2E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4186
shll16 r3
cmp/hs r3,r1
bt ov4187
mov #15,r4
mov r1,r0
shll r0
detloop4186:
cmp/hs r3,r0
bf/s nsbhd4186
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4186:
dt r4
bf/s detloop4186
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-84,r7
shll2 r0
cmp/pl r7
bt/s fdl4188
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4188:
jmp @r4
mov #0x1C,r2
.align 5
ov4187:
mov #0x4,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4189
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4189:
jmp @r4
mov #0x1C,r2
.align 5
ln4186:
mov.l g2_except_addr4186,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4186,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4190
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4190:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4186: .long group_2_exception
bf_addr4186: .long basefunction
! Opcodes 82F0 - 82F7
S2F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4191
shll16 r3
cmp/hs r3,r1
bt ov4192
mov #15,r4
mov r1,r0
shll r0
detloop4191:
cmp/hs r3,r0
bf/s nsbhd4191
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4191:
dt r4
bf/s detloop4191
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-86,r7
shll2 r0
cmp/pl r7
bt/s fdl4193
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4193:
jmp @r4
mov #0x1C,r2
.align 5
ov4192:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4194
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4194:
jmp @r4
mov #0x1C,r2
.align 5
ln4191:
mov.l g2_except_addr4191,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4191,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl4195
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4195:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4191: .long group_2_exception
bf_addr4191: .long basefunction
! Opcode 82F8
S2F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4196
shll16 r3
cmp/hs r3,r1
bt ov4197
mov #15,r4
mov r1,r0
shll r0
detloop4196:
cmp/hs r3,r0
bf/s nsbhd4196
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4196:
dt r4
bf/s detloop4196
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-84,r7
shll2 r0
cmp/pl r7
bt/s fdl4198
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4198:
jmp @r4
mov #0x1C,r2
.align 5
ov4197:
mov #0x4,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4199
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4199:
jmp @r4
mov #0x1C,r2
.align 5
ln4196:
mov.l g2_except_addr4196,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4196,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4200
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4200:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4196: .long group_2_exception
bf_addr4196: .long basefunction
! Opcode 82F9
S2F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4201
shll16 r3
cmp/hs r3,r1
bt ov4202
mov #15,r4
mov r1,r0
shll r0
detloop4201:
cmp/hs r3,r0
bf/s nsbhd4201
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4201:
dt r4
bf/s detloop4201
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-88,r7
shll2 r0
cmp/pl r7
bt/s fdl4203
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4203:
jmp @r4
mov #0x1C,r2
.align 5
ov4202:
mov #0x4,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl4204
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4204:
jmp @r4
mov #0x1C,r2
.align 5
ln4201:
mov.l g2_except_addr4201,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4201,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl4205
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4205:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4201: .long group_2_exception
bf_addr4201: .long basefunction
! Opcode 82FA
S2FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4206
shll16 r3
cmp/hs r3,r1
bt ov4207
mov #15,r4
mov r1,r0
shll r0
detloop4206:
cmp/hs r3,r0
bf/s nsbhd4206
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4206:
dt r4
bf/s detloop4206
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-84,r7
shll2 r0
cmp/pl r7
bt/s fdl4208
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4208:
jmp @r4
mov #0x1C,r2
.align 5
ov4207:
mov #0x4,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4209
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4209:
jmp @r4
mov #0x1C,r2
.align 5
ln4206:
mov.l g2_except_addr4206,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4206,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4210
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4210:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4206: .long group_2_exception
bf_addr4206: .long basefunction
! Opcode 82FB
S2FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4211
shll16 r3
cmp/hs r3,r1
bt ov4212
mov #15,r4
mov r1,r0
shll r0
detloop4211:
cmp/hs r3,r0
bf/s nsbhd4211
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4211:
dt r4
bf/s detloop4211
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-86,r7
shll2 r0
cmp/pl r7
bt/s fdl4213
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4213:
jmp @r4
mov #0x1C,r2
.align 5
ov4212:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4214
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4214:
jmp @r4
mov #0x1C,r2
.align 5
ln4211:
mov.l g2_except_addr4211,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4211,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl4215
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4215:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4211: .long group_2_exception
bf_addr4211: .long basefunction
! Opcode 82FC
S2FC:
mov.w @r6+,r3
mov.l @(4,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4216
shll16 r3
cmp/hs r3,r1
bt ov4217
mov #15,r4
mov r1,r0
shll r0
detloop4216:
cmp/hs r3,r0
bf/s nsbhd4216
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4216:
dt r4
bf/s detloop4216
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-80,r7
shll2 r0
cmp/pl r7
bt/s fdl4218
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4218:
jmp @r4
mov #0x1C,r2
.align 5
ov4217:
mov #0x4,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4219
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4219:
jmp @r4
mov #0x1C,r2
.align 5
ln4216:
mov.l g2_except_addr4216,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4216,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4220
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4220:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4216: .long group_2_exception
bf_addr4216: .long basefunction
! Opcodes 8300 - 8307
S300:
and r0,r2
mov r3,r4
mov #4,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd4221
add #-6,r8
.nonibadd4221:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop4221
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop4221:
exts.b r3,r3
mov r9,r8
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl4222
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4222:
jmp @r4
mov #0x1C,r2
! Opcodes 8308 - 830F
S308:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(36,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd4223
add #-6,r8
.nonibadd4223:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop4223
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop4223:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4224
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4224:
jmp @r4
mov #0x1C,r2
! Opcodes 8310 - 8317
S310:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4225
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4225:
jmp @r4
mov #0x1C,r2
! Opcodes 8318 - 831F
S318:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4226
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4226:
jmp @r4
mov #0x1C,r2
! Opcodes 8320 - 8327
S320:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4227
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4227:
jmp @r4
mov #0x1C,r2
! Opcodes 8328 - 832F
S328:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4228
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4228:
jmp @r4
mov #0x1C,r2
! Opcodes 8330 - 8337
S330:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4229
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4229:
jmp @r4
mov #0x1C,r2
! Opcode 8338
S338:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4230
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4230:
jmp @r4
mov #0x1C,r2
! Opcode 8339
S339:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4231
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4231:
jmp @r4
mov #0x1C,r2
! Opcodes 8350 - 8357
S350:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4232
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4232:
jmp @r4
mov #0x1C,r2
! Opcodes 8358 - 835F
S358:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4233
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4233:
jmp @r4
mov #0x1C,r2
! Opcodes 8360 - 8367
S360:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4234
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4234:
jmp @r4
mov #0x1C,r2
! Opcodes 8368 - 836F
S368:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4235
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4235:
jmp @r4
mov #0x1C,r2
! Opcodes 8370 - 8377
S370:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4236
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4236:
jmp @r4
mov #0x1C,r2
! Opcode 8378
S378:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4237
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4237:
jmp @r4
mov #0x1C,r2
! Opcode 8379
S379:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4238
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4238:
jmp @r4
mov #0x1C,r2
! Opcodes 8390 - 8397
S390:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4239
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4239:
jmp @r4
mov #0x1C,r2
! Opcodes 8398 - 839F
S398:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4240
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4240:
jmp @r4
mov #0x1C,r2
! Opcodes 83A0 - 83A7
S3A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl4241
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4241:
jmp @r4
mov #0x1C,r2
! Opcodes 83A8 - 83AF
S3A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl4242
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4242:
jmp @r4
mov #0x1C,r2
! Opcodes 83B0 - 83B7
S3B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl4243
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4243:
jmp @r4
mov #0x1C,r2
! Opcode 83B8
S3B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl4244
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4244:
jmp @r4
mov #0x1C,r2
! Opcode 83B9
S3B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl4245
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4245:
jmp @r4
mov #0x1C,r2
! Opcodes 83C0 - 83C7
S3C0:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(4,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4246
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4247
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4246
mov r3,r1
neg r1,r1
nondivd4246:
cmp/pz r4
bt/s aquot4246
mov #15,r4
neg r1,r1
aquot4246:
shll16 r1
dstloop4246:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4246
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-122,r7
shll2 r0
cmp/pl r7
bt/s fdl4248
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4248:
jmp @r4
mov #0x1C,r2
.align 5
ov4247:
mov #0x4,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4249
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4249:
jmp @r4
mov #0x1C,r2
.align 5
ln4246:
mov.l g2_except_addr4246,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4246,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl4250
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4250:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4246: .long group_2_exception
bf_addr4246: .long basefunction
! Opcodes 83D0 - 83D7
S3D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4251
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4252
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4251
mov r3,r1
neg r1,r1
nondivd4251:
cmp/pz r4
bt/s aquot4251
mov #15,r4
neg r1,r1
aquot4251:
shll16 r1
dstloop4251:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4251
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-126,r7
shll2 r0
cmp/pl r7
bt/s fdl4253
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4253:
jmp @r4
mov #0x1C,r2
.align 5
ov4252:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4254
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4254:
jmp @r4
mov #0x1C,r2
.align 5
ln4251:
mov.l g2_except_addr4251,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4251,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4255
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4255:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4251: .long group_2_exception
bf_addr4251: .long basefunction
! Opcodes 83D8 - 83DF
S3D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(4,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4256
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4257
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4256
mov r3,r1
neg r1,r1
nondivd4256:
cmp/pz r4
bt/s aquot4256
mov #15,r4
neg r1,r1
aquot4256:
shll16 r1
dstloop4256:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4256
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-126,r7
shll2 r0
cmp/pl r7
bt/s fdl4258
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4258:
jmp @r4
mov #0x1C,r2
.align 5
ov4257:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4259
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4259:
jmp @r4
mov #0x1C,r2
.align 5
ln4256:
mov.l g2_except_addr4256,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4256,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4260
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4260:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4256: .long group_2_exception
bf_addr4256: .long basefunction
! Opcodes 83E0 - 83E7
S3E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(4,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4261
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4262
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4261
mov r3,r1
neg r1,r1
nondivd4261:
cmp/pz r4
bt/s aquot4261
mov #15,r4
neg r1,r1
aquot4261:
shll16 r1
dstloop4261:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4261
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
shll2 r0
cmp/pl r7
bt/s fdl4263
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4263:
jmp @r4
mov #0x1C,r2
.align 5
ov4262:
mov #0x4,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl4264
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4264:
jmp @r4
mov #0x1C,r2
.align 5
ln4261:
mov.l g2_except_addr4261,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4261,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl4265
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4265:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4261: .long group_2_exception
bf_addr4261: .long basefunction
! Opcodes 83E8 - 83EF
S3E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4266
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4267
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4266
mov r3,r1
neg r1,r1
nondivd4266:
cmp/pz r4
bt/s aquot4266
mov #15,r4
neg r1,r1
aquot4266:
shll16 r1
dstloop4266:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4266
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-2,r7
shll2 r0
cmp/pl r7
bt/s fdl4268
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4268:
jmp @r4
mov #0x1C,r2
.align 5
ov4267:
mov #0x4,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl4269
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4269:
jmp @r4
mov #0x1C,r2
.align 5
ln4266:
mov.l g2_except_addr4266,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4266,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4270
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4270:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4266: .long group_2_exception
bf_addr4266: .long basefunction
! Opcodes 83F0 - 83F7
S3F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4271
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4272
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4271
mov r3,r1
neg r1,r1
nondivd4271:
cmp/pz r4
bt/s aquot4271
mov #15,r4
neg r1,r1
aquot4271:
shll16 r1
dstloop4271:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4271
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl4273
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4273:
jmp @r4
mov #0x1C,r2
.align 5
ov4272:
mov #0x4,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl4274
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4274:
jmp @r4
mov #0x1C,r2
.align 5
ln4271:
mov.l g2_except_addr4271,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4271,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl4275
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4275:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4271: .long group_2_exception
bf_addr4271: .long basefunction
! Opcode 83F8
S3F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4276
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4277
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4276
mov r3,r1
neg r1,r1
nondivd4276:
cmp/pz r4
bt/s aquot4276
mov #15,r4
neg r1,r1
aquot4276:
shll16 r1
dstloop4276:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4276
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-2,r7
shll2 r0
cmp/pl r7
bt/s fdl4278
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4278:
jmp @r4
mov #0x1C,r2
.align 5
ov4277:
mov #0x4,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl4279
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4279:
jmp @r4
mov #0x1C,r2
.align 5
ln4276:
mov.l g2_except_addr4276,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4276,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4280
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4280:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4276: .long group_2_exception
bf_addr4276: .long basefunction
! Opcode 83F9
S3F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4281
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4282
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4281
mov r3,r1
neg r1,r1
nondivd4281:
cmp/pz r4
bt/s aquot4281
mov #15,r4
neg r1,r1
aquot4281:
shll16 r1
dstloop4281:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4281
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl4283
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4283:
jmp @r4
mov #0x1C,r2
.align 5
ov4282:
mov #0x4,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl4284
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4284:
jmp @r4
mov #0x1C,r2
.align 5
ln4281:
mov.l g2_except_addr4281,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4281,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl4285
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4285:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4281: .long group_2_exception
bf_addr4281: .long basefunction
! Opcode 83FA
S3FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4286
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4287
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4286
mov r3,r1
neg r1,r1
nondivd4286:
cmp/pz r4
bt/s aquot4286
mov #15,r4
neg r1,r1
aquot4286:
shll16 r1
dstloop4286:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4286
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-2,r7
shll2 r0
cmp/pl r7
bt/s fdl4288
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4288:
jmp @r4
mov #0x1C,r2
.align 5
ov4287:
mov #0x4,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl4289
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4289:
jmp @r4
mov #0x1C,r2
.align 5
ln4286:
mov.l g2_except_addr4286,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4286,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4290
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4290:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4286: .long group_2_exception
bf_addr4286: .long basefunction
! Opcode 83FB
S3FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4291
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4292
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4291
mov r3,r1
neg r1,r1
nondivd4291:
cmp/pz r4
bt/s aquot4291
mov #15,r4
neg r1,r1
aquot4291:
shll16 r1
dstloop4291:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4291
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl4293
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4293:
jmp @r4
mov #0x1C,r2
.align 5
ov4292:
mov #0x4,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl4294
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4294:
jmp @r4
mov #0x1C,r2
.align 5
ln4291:
mov.l g2_except_addr4291,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4291,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl4295
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4295:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4291: .long group_2_exception
bf_addr4291: .long basefunction
! Opcode 83FC
S3FC:
mov.w @r6+,r3
mov.l @(4,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4296
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4297
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4296
mov r3,r1
neg r1,r1
nondivd4296:
cmp/pz r4
bt/s aquot4296
mov #15,r4
neg r1,r1
aquot4296:
shll16 r1
dstloop4296:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4296
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-126,r7
shll2 r0
cmp/pl r7
bt/s fdl4298
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4298:
jmp @r4
mov #0x1C,r2
.align 5
ov4297:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4299
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4299:
jmp @r4
mov #0x1C,r2
.align 5
ln4296:
mov.l g2_except_addr4296,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4296,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4300
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4300:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4296: .long group_2_exception
bf_addr4296: .long basefunction
! Opcodes 8400 - 8407
S400:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl4301
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4301:
jmp @r4
mov #0x1C,r2
! Opcodes 8410 - 8417
S410:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4302
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4302:
jmp @r4
mov #0x1C,r2
! Opcodes 8418 - 841F
S418:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4303
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4303:
jmp @r4
mov #0x1C,r2
! Opcodes 8420 - 8427
S420:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl4304
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4304:
jmp @r4
mov #0x1C,r2
! Opcodes 8428 - 842F
S428:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4305
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4305:
jmp @r4
mov #0x1C,r2
! Opcodes 8430 - 8437
S430:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4306
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4306:
jmp @r4
mov #0x1C,r2
! Opcode 8438
S438:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4307
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4307:
jmp @r4
mov #0x1C,r2
! Opcode 8439
S439:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4308
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4308:
jmp @r4
mov #0x1C,r2
! Opcode 843A
S43A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4309
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4309:
jmp @r4
mov #0x1C,r2
! Opcode 843B
S43B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4310
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4310:
jmp @r4
mov #0x1C,r2
! Opcode 843C
S43C:
mov.b @r6,r3
add #2,r6
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4311
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4311:
jmp @r4
mov #0x1C,r2
! Opcodes 8440 - 8447
S440:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl4312
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4312:
jmp @r4
mov #0x1C,r2
! Opcodes 8450 - 8457
S450:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4313
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4313:
jmp @r4
mov #0x1C,r2
! Opcodes 8458 - 845F
S458:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4314
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4314:
jmp @r4
mov #0x1C,r2
! Opcodes 8460 - 8467
S460:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl4315
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4315:
jmp @r4
mov #0x1C,r2
! Opcodes 8468 - 846F
S468:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4316
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4316:
jmp @r4
mov #0x1C,r2
! Opcodes 8470 - 8477
S470:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4317
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4317:
jmp @r4
mov #0x1C,r2
! Opcode 8478
S478:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4318
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4318:
jmp @r4
mov #0x1C,r2
! Opcode 8479
S479:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4319
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4319:
jmp @r4
mov #0x1C,r2
! Opcode 847A
S47A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4320
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4320:
jmp @r4
mov #0x1C,r2
! Opcode 847B
S47B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4321
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4321:
jmp @r4
mov #0x1C,r2
! Opcode 847C
S47C:
mov.w @r6+,r3
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4322
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4322:
jmp @r4
mov #0x1C,r2
! Opcodes 8480 - 8487
S480:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(8,r13),r1
or r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4323
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4323:
jmp @r4
mov #0x1C,r2
! Opcodes 8490 - 8497
S490:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
or r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4324
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4324:
jmp @r4
mov #0x1C,r2
! Opcodes 8498 - 849F
S498:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(8,r13),r1
or r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4325
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4325:
jmp @r4
mov #0x1C,r2
! Opcodes 84A0 - 84A7
S4A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(8,r13),r1
or r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4326
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4326:
jmp @r4
mov #0x1C,r2
! Opcodes 84A8 - 84AF
S4A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
or r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4327
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4327:
jmp @r4
mov #0x1C,r2
! Opcodes 84B0 - 84B7
S4B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
or r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4328
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4328:
jmp @r4
mov #0x1C,r2
! Opcode 84B8
S4B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
or r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4329
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4329:
jmp @r4
mov #0x1C,r2
! Opcode 84B9
S4B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
or r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl4330
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4330:
jmp @r4
mov #0x1C,r2
! Opcode 84BA
S4BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
or r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4331
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4331:
jmp @r4
mov #0x1C,r2
! Opcode 84BB
S4BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
or r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4332
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4332:
jmp @r4
mov #0x1C,r2
! Opcode 84BC
S4BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(8,r13),r1
or r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4333
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4333:
jmp @r4
mov #0x1C,r2
! Opcodes 84C0 - 84C7
S4C0:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(8,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4334
shll16 r3
cmp/hs r3,r1
bt ov4335
mov #15,r4
mov r1,r0
shll r0
detloop4334:
cmp/hs r3,r0
bf/s nsbhd4334
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4334:
dt r4
bf/s detloop4334
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-76,r7
shll2 r0
cmp/pl r7
bt/s fdl4336
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4336:
jmp @r4
mov #0x1C,r2
.align 5
ov4335:
mov #0x4,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl4337
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4337:
jmp @r4
mov #0x1C,r2
.align 5
ln4334:
mov.l g2_except_addr4334,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4334,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl4338
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4338:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4334: .long group_2_exception
bf_addr4334: .long basefunction
! Opcodes 84D0 - 84D7
S4D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4339
shll16 r3
cmp/hs r3,r1
bt ov4340
mov #15,r4
mov r1,r0
shll r0
detloop4339:
cmp/hs r3,r0
bf/s nsbhd4339
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4339:
dt r4
bf/s detloop4339
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-80,r7
shll2 r0
cmp/pl r7
bt/s fdl4341
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4341:
jmp @r4
mov #0x1C,r2
.align 5
ov4340:
mov #0x4,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4342
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4342:
jmp @r4
mov #0x1C,r2
.align 5
ln4339:
mov.l g2_except_addr4339,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4339,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4343
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4343:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4339: .long group_2_exception
bf_addr4339: .long basefunction
! Opcodes 84D8 - 84DF
S4D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(8,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4344
shll16 r3
cmp/hs r3,r1
bt ov4345
mov #15,r4
mov r1,r0
shll r0
detloop4344:
cmp/hs r3,r0
bf/s nsbhd4344
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4344:
dt r4
bf/s detloop4344
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-80,r7
shll2 r0
cmp/pl r7
bt/s fdl4346
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4346:
jmp @r4
mov #0x1C,r2
.align 5
ov4345:
mov #0x4,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4347
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4347:
jmp @r4
mov #0x1C,r2
.align 5
ln4344:
mov.l g2_except_addr4344,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4344,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4348
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4348:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4344: .long group_2_exception
bf_addr4344: .long basefunction
! Opcodes 84E0 - 84E7
S4E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(8,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4349
shll16 r3
cmp/hs r3,r1
bt ov4350
mov #15,r4
mov r1,r0
shll r0
detloop4349:
cmp/hs r3,r0
bf/s nsbhd4349
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4349:
dt r4
bf/s detloop4349
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-82,r7
shll2 r0
cmp/pl r7
bt/s fdl4351
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4351:
jmp @r4
mov #0x1C,r2
.align 5
ov4350:
mov #0x4,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4352
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4352:
jmp @r4
mov #0x1C,r2
.align 5
ln4349:
mov.l g2_except_addr4349,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4349,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl4353
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4353:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4349: .long group_2_exception
bf_addr4349: .long basefunction
! Opcodes 84E8 - 84EF
S4E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4354
shll16 r3
cmp/hs r3,r1
bt ov4355
mov #15,r4
mov r1,r0
shll r0
detloop4354:
cmp/hs r3,r0
bf/s nsbhd4354
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4354:
dt r4
bf/s detloop4354
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-84,r7
shll2 r0
cmp/pl r7
bt/s fdl4356
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4356:
jmp @r4
mov #0x1C,r2
.align 5
ov4355:
mov #0x4,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4357
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4357:
jmp @r4
mov #0x1C,r2
.align 5
ln4354:
mov.l g2_except_addr4354,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4354,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4358
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4358:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4354: .long group_2_exception
bf_addr4354: .long basefunction
! Opcodes 84F0 - 84F7
S4F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4359
shll16 r3
cmp/hs r3,r1
bt ov4360
mov #15,r4
mov r1,r0
shll r0
detloop4359:
cmp/hs r3,r0
bf/s nsbhd4359
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4359:
dt r4
bf/s detloop4359
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-86,r7
shll2 r0
cmp/pl r7
bt/s fdl4361
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4361:
jmp @r4
mov #0x1C,r2
.align 5
ov4360:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4362
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4362:
jmp @r4
mov #0x1C,r2
.align 5
ln4359:
mov.l g2_except_addr4359,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4359,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl4363
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4363:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4359: .long group_2_exception
bf_addr4359: .long basefunction
! Opcode 84F8
S4F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4364
shll16 r3
cmp/hs r3,r1
bt ov4365
mov #15,r4
mov r1,r0
shll r0
detloop4364:
cmp/hs r3,r0
bf/s nsbhd4364
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4364:
dt r4
bf/s detloop4364
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-84,r7
shll2 r0
cmp/pl r7
bt/s fdl4366
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4366:
jmp @r4
mov #0x1C,r2
.align 5
ov4365:
mov #0x4,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4367
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4367:
jmp @r4
mov #0x1C,r2
.align 5
ln4364:
mov.l g2_except_addr4364,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4364,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4368
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4368:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4364: .long group_2_exception
bf_addr4364: .long basefunction
! Opcode 84F9
S4F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4369
shll16 r3
cmp/hs r3,r1
bt ov4370
mov #15,r4
mov r1,r0
shll r0
detloop4369:
cmp/hs r3,r0
bf/s nsbhd4369
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4369:
dt r4
bf/s detloop4369
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-88,r7
shll2 r0
cmp/pl r7
bt/s fdl4371
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4371:
jmp @r4
mov #0x1C,r2
.align 5
ov4370:
mov #0x4,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl4372
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4372:
jmp @r4
mov #0x1C,r2
.align 5
ln4369:
mov.l g2_except_addr4369,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4369,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl4373
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4373:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4369: .long group_2_exception
bf_addr4369: .long basefunction
! Opcode 84FA
S4FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4374
shll16 r3
cmp/hs r3,r1
bt ov4375
mov #15,r4
mov r1,r0
shll r0
detloop4374:
cmp/hs r3,r0
bf/s nsbhd4374
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4374:
dt r4
bf/s detloop4374
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-84,r7
shll2 r0
cmp/pl r7
bt/s fdl4376
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4376:
jmp @r4
mov #0x1C,r2
.align 5
ov4375:
mov #0x4,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4377
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4377:
jmp @r4
mov #0x1C,r2
.align 5
ln4374:
mov.l g2_except_addr4374,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4374,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4378
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4378:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4374: .long group_2_exception
bf_addr4374: .long basefunction
! Opcode 84FB
S4FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4379
shll16 r3
cmp/hs r3,r1
bt ov4380
mov #15,r4
mov r1,r0
shll r0
detloop4379:
cmp/hs r3,r0
bf/s nsbhd4379
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4379:
dt r4
bf/s detloop4379
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-86,r7
shll2 r0
cmp/pl r7
bt/s fdl4381
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4381:
jmp @r4
mov #0x1C,r2
.align 5
ov4380:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4382
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4382:
jmp @r4
mov #0x1C,r2
.align 5
ln4379:
mov.l g2_except_addr4379,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4379,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl4383
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4383:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4379: .long group_2_exception
bf_addr4379: .long basefunction
! Opcode 84FC
S4FC:
mov.w @r6+,r3
mov.l @(8,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4384
shll16 r3
cmp/hs r3,r1
bt ov4385
mov #15,r4
mov r1,r0
shll r0
detloop4384:
cmp/hs r3,r0
bf/s nsbhd4384
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4384:
dt r4
bf/s detloop4384
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-80,r7
shll2 r0
cmp/pl r7
bt/s fdl4386
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4386:
jmp @r4
mov #0x1C,r2
.align 5
ov4385:
mov #0x4,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4387
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4387:
jmp @r4
mov #0x1C,r2
.align 5
ln4384:
mov.l g2_except_addr4384,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4384,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4388
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4388:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4384: .long group_2_exception
bf_addr4384: .long basefunction
! Opcodes 8500 - 8507
S500:
and r0,r2
mov r3,r4
mov #8,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd4389
add #-6,r8
.nonibadd4389:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop4389
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop4389:
exts.b r3,r3
mov r9,r8
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl4390
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4390:
jmp @r4
mov #0x1C,r2
! Opcodes 8508 - 850F
S508:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(40,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd4391
add #-6,r8
.nonibadd4391:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop4391
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop4391:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4392
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4392:
jmp @r4
mov #0x1C,r2
! Opcodes 8510 - 8517
S510:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4393
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4393:
jmp @r4
mov #0x1C,r2
! Opcodes 8518 - 851F
S518:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4394
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4394:
jmp @r4
mov #0x1C,r2
! Opcodes 8520 - 8527
S520:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4395
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4395:
jmp @r4
mov #0x1C,r2
! Opcodes 8528 - 852F
S528:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4396
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4396:
jmp @r4
mov #0x1C,r2
! Opcodes 8530 - 8537
S530:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4397
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4397:
jmp @r4
mov #0x1C,r2
! Opcode 8538
S538:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4398
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4398:
jmp @r4
mov #0x1C,r2
! Opcode 8539
S539:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4399
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4399:
jmp @r4
mov #0x1C,r2
! Opcodes 8550 - 8557
S550:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4400
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4400:
jmp @r4
mov #0x1C,r2
! Opcodes 8558 - 855F
S558:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4401
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4401:
jmp @r4
mov #0x1C,r2
! Opcodes 8560 - 8567
S560:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4402
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4402:
jmp @r4
mov #0x1C,r2
! Opcodes 8568 - 856F
S568:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4403
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4403:
jmp @r4
mov #0x1C,r2
! Opcodes 8570 - 8577
S570:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4404
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4404:
jmp @r4
mov #0x1C,r2
! Opcode 8578
S578:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4405
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4405:
jmp @r4
mov #0x1C,r2
! Opcode 8579
S579:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4406
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4406:
jmp @r4
mov #0x1C,r2
! Opcodes 8590 - 8597
S590:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4407
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4407:
jmp @r4
mov #0x1C,r2
! Opcodes 8598 - 859F
S598:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4408
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4408:
jmp @r4
mov #0x1C,r2
! Opcodes 85A0 - 85A7
S5A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl4409
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4409:
jmp @r4
mov #0x1C,r2
! Opcodes 85A8 - 85AF
S5A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl4410
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4410:
jmp @r4
mov #0x1C,r2
! Opcodes 85B0 - 85B7
S5B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl4411
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4411:
jmp @r4
mov #0x1C,r2
! Opcode 85B8
S5B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl4412
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4412:
jmp @r4
mov #0x1C,r2
! Opcode 85B9
S5B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl4413
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4413:
jmp @r4
mov #0x1C,r2
! Opcodes 85C0 - 85C7
S5C0:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(8,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4414
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4415
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4414
mov r3,r1
neg r1,r1
nondivd4414:
cmp/pz r4
bt/s aquot4414
mov #15,r4
neg r1,r1
aquot4414:
shll16 r1
dstloop4414:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4414
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-122,r7
shll2 r0
cmp/pl r7
bt/s fdl4416
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4416:
jmp @r4
mov #0x1C,r2
.align 5
ov4415:
mov #0x4,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4417
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4417:
jmp @r4
mov #0x1C,r2
.align 5
ln4414:
mov.l g2_except_addr4414,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4414,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl4418
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4418:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4414: .long group_2_exception
bf_addr4414: .long basefunction
! Opcodes 85D0 - 85D7
S5D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4419
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4420
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4419
mov r3,r1
neg r1,r1
nondivd4419:
cmp/pz r4
bt/s aquot4419
mov #15,r4
neg r1,r1
aquot4419:
shll16 r1
dstloop4419:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4419
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-126,r7
shll2 r0
cmp/pl r7
bt/s fdl4421
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4421:
jmp @r4
mov #0x1C,r2
.align 5
ov4420:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4422
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4422:
jmp @r4
mov #0x1C,r2
.align 5
ln4419:
mov.l g2_except_addr4419,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4419,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4423
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4423:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4419: .long group_2_exception
bf_addr4419: .long basefunction
! Opcodes 85D8 - 85DF
S5D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(8,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4424
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4425
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4424
mov r3,r1
neg r1,r1
nondivd4424:
cmp/pz r4
bt/s aquot4424
mov #15,r4
neg r1,r1
aquot4424:
shll16 r1
dstloop4424:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4424
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-126,r7
shll2 r0
cmp/pl r7
bt/s fdl4426
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4426:
jmp @r4
mov #0x1C,r2
.align 5
ov4425:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4427
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4427:
jmp @r4
mov #0x1C,r2
.align 5
ln4424:
mov.l g2_except_addr4424,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4424,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4428
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4428:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4424: .long group_2_exception
bf_addr4424: .long basefunction
! Opcodes 85E0 - 85E7
S5E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(8,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4429
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4430
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4429
mov r3,r1
neg r1,r1
nondivd4429:
cmp/pz r4
bt/s aquot4429
mov #15,r4
neg r1,r1
aquot4429:
shll16 r1
dstloop4429:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4429
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
shll2 r0
cmp/pl r7
bt/s fdl4431
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4431:
jmp @r4
mov #0x1C,r2
.align 5
ov4430:
mov #0x4,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl4432
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4432:
jmp @r4
mov #0x1C,r2
.align 5
ln4429:
mov.l g2_except_addr4429,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4429,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl4433
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4433:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4429: .long group_2_exception
bf_addr4429: .long basefunction
! Opcodes 85E8 - 85EF
S5E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4434
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4435
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4434
mov r3,r1
neg r1,r1
nondivd4434:
cmp/pz r4
bt/s aquot4434
mov #15,r4
neg r1,r1
aquot4434:
shll16 r1
dstloop4434:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4434
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-2,r7
shll2 r0
cmp/pl r7
bt/s fdl4436
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4436:
jmp @r4
mov #0x1C,r2
.align 5
ov4435:
mov #0x4,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl4437
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4437:
jmp @r4
mov #0x1C,r2
.align 5
ln4434:
mov.l g2_except_addr4434,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4434,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4438
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4438:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4434: .long group_2_exception
bf_addr4434: .long basefunction
! Opcodes 85F0 - 85F7
S5F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4439
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4440
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4439
mov r3,r1
neg r1,r1
nondivd4439:
cmp/pz r4
bt/s aquot4439
mov #15,r4
neg r1,r1
aquot4439:
shll16 r1
dstloop4439:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4439
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl4441
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4441:
jmp @r4
mov #0x1C,r2
.align 5
ov4440:
mov #0x4,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl4442
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4442:
jmp @r4
mov #0x1C,r2
.align 5
ln4439:
mov.l g2_except_addr4439,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4439,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl4443
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4443:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4439: .long group_2_exception
bf_addr4439: .long basefunction
! Opcode 85F8
S5F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4444
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4445
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4444
mov r3,r1
neg r1,r1
nondivd4444:
cmp/pz r4
bt/s aquot4444
mov #15,r4
neg r1,r1
aquot4444:
shll16 r1
dstloop4444:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4444
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-2,r7
shll2 r0
cmp/pl r7
bt/s fdl4446
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4446:
jmp @r4
mov #0x1C,r2
.align 5
ov4445:
mov #0x4,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl4447
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4447:
jmp @r4
mov #0x1C,r2
.align 5
ln4444:
mov.l g2_except_addr4444,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4444,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4448
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4448:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4444: .long group_2_exception
bf_addr4444: .long basefunction
! Opcode 85F9
S5F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4449
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4450
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4449
mov r3,r1
neg r1,r1
nondivd4449:
cmp/pz r4
bt/s aquot4449
mov #15,r4
neg r1,r1
aquot4449:
shll16 r1
dstloop4449:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4449
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl4451
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4451:
jmp @r4
mov #0x1C,r2
.align 5
ov4450:
mov #0x4,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl4452
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4452:
jmp @r4
mov #0x1C,r2
.align 5
ln4449:
mov.l g2_except_addr4449,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4449,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl4453
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4453:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4449: .long group_2_exception
bf_addr4449: .long basefunction
! Opcode 85FA
S5FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4454
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4455
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4454
mov r3,r1
neg r1,r1
nondivd4454:
cmp/pz r4
bt/s aquot4454
mov #15,r4
neg r1,r1
aquot4454:
shll16 r1
dstloop4454:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4454
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-2,r7
shll2 r0
cmp/pl r7
bt/s fdl4456
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4456:
jmp @r4
mov #0x1C,r2
.align 5
ov4455:
mov #0x4,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl4457
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4457:
jmp @r4
mov #0x1C,r2
.align 5
ln4454:
mov.l g2_except_addr4454,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4454,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4458
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4458:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4454: .long group_2_exception
bf_addr4454: .long basefunction
! Opcode 85FB
S5FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4459
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4460
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4459
mov r3,r1
neg r1,r1
nondivd4459:
cmp/pz r4
bt/s aquot4459
mov #15,r4
neg r1,r1
aquot4459:
shll16 r1
dstloop4459:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4459
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl4461
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4461:
jmp @r4
mov #0x1C,r2
.align 5
ov4460:
mov #0x4,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl4462
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4462:
jmp @r4
mov #0x1C,r2
.align 5
ln4459:
mov.l g2_except_addr4459,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4459,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl4463
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4463:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4459: .long group_2_exception
bf_addr4459: .long basefunction
! Opcode 85FC
S5FC:
mov.w @r6+,r3
mov.l @(8,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4464
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4465
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4464
mov r3,r1
neg r1,r1
nondivd4464:
cmp/pz r4
bt/s aquot4464
mov #15,r4
neg r1,r1
aquot4464:
shll16 r1
dstloop4464:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4464
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-126,r7
shll2 r0
cmp/pl r7
bt/s fdl4466
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4466:
jmp @r4
mov #0x1C,r2
.align 5
ov4465:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4467
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4467:
jmp @r4
mov #0x1C,r2
.align 5
ln4464:
mov.l g2_except_addr4464,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4464,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4468
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4468:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4464: .long group_2_exception
bf_addr4464: .long basefunction
! Opcodes 8600 - 8607
S600:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl4469
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4469:
jmp @r4
mov #0x1C,r2
! Opcodes 8610 - 8617
S610:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4470
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4470:
jmp @r4
mov #0x1C,r2
! Opcodes 8618 - 861F
S618:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4471
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4471:
jmp @r4
mov #0x1C,r2
! Opcodes 8620 - 8627
S620:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl4472
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4472:
jmp @r4
mov #0x1C,r2
! Opcodes 8628 - 862F
S628:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4473
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4473:
jmp @r4
mov #0x1C,r2
! Opcodes 8630 - 8637
S630:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4474
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4474:
jmp @r4
mov #0x1C,r2
! Opcode 8638
S638:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4475
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4475:
jmp @r4
mov #0x1C,r2
! Opcode 8639
S639:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4476
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4476:
jmp @r4
mov #0x1C,r2
! Opcode 863A
S63A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4477
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4477:
jmp @r4
mov #0x1C,r2
! Opcode 863B
S63B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4478
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4478:
jmp @r4
mov #0x1C,r2
! Opcode 863C
S63C:
mov.b @r6,r3
add #2,r6
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4479
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4479:
jmp @r4
mov #0x1C,r2
! Opcodes 8640 - 8647
S640:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl4480
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4480:
jmp @r4
mov #0x1C,r2
! Opcodes 8650 - 8657
S650:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4481
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4481:
jmp @r4
mov #0x1C,r2
! Opcodes 8658 - 865F
S658:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4482
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4482:
jmp @r4
mov #0x1C,r2
! Opcodes 8660 - 8667
S660:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl4483
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4483:
jmp @r4
mov #0x1C,r2
! Opcodes 8668 - 866F
S668:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4484
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4484:
jmp @r4
mov #0x1C,r2
! Opcodes 8670 - 8677
S670:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4485
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4485:
jmp @r4
mov #0x1C,r2
! Opcode 8678
S678:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4486
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4486:
jmp @r4
mov #0x1C,r2
! Opcode 8679
S679:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4487
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4487:
jmp @r4
mov #0x1C,r2
! Opcode 867A
S67A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4488
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4488:
jmp @r4
mov #0x1C,r2
! Opcode 867B
S67B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4489
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4489:
jmp @r4
mov #0x1C,r2
! Opcode 867C
S67C:
mov.w @r6+,r3
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4490
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4490:
jmp @r4
mov #0x1C,r2
! Opcodes 8680 - 8687
S680:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(12,r13),r1
or r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4491
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4491:
jmp @r4
mov #0x1C,r2
! Opcodes 8690 - 8697
S690:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
or r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4492
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4492:
jmp @r4
mov #0x1C,r2
! Opcodes 8698 - 869F
S698:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(12,r13),r1
or r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4493
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4493:
jmp @r4
mov #0x1C,r2
! Opcodes 86A0 - 86A7
S6A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(12,r13),r1
or r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4494
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4494:
jmp @r4
mov #0x1C,r2
! Opcodes 86A8 - 86AF
S6A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
or r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4495
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4495:
jmp @r4
mov #0x1C,r2
! Opcodes 86B0 - 86B7
S6B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
or r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4496
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4496:
jmp @r4
mov #0x1C,r2
! Opcode 86B8
S6B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
or r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4497
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4497:
jmp @r4
mov #0x1C,r2
! Opcode 86B9
S6B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
or r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl4498
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4498:
jmp @r4
mov #0x1C,r2
! Opcode 86BA
S6BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
or r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4499
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4499:
jmp @r4
mov #0x1C,r2
! Opcode 86BB
S6BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
or r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4500
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4500:
jmp @r4
mov #0x1C,r2
! Opcode 86BC
S6BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(12,r13),r1
or r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4501
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4501:
jmp @r4
mov #0x1C,r2
! Opcodes 86C0 - 86C7
S6C0:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(12,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4502
shll16 r3
cmp/hs r3,r1
bt ov4503
mov #15,r4
mov r1,r0
shll r0
detloop4502:
cmp/hs r3,r0
bf/s nsbhd4502
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4502:
dt r4
bf/s detloop4502
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-76,r7
shll2 r0
cmp/pl r7
bt/s fdl4504
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4504:
jmp @r4
mov #0x1C,r2
.align 5
ov4503:
mov #0x4,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl4505
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4505:
jmp @r4
mov #0x1C,r2
.align 5
ln4502:
mov.l g2_except_addr4502,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4502,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl4506
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4506:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4502: .long group_2_exception
bf_addr4502: .long basefunction
! Opcodes 86D0 - 86D7
S6D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4507
shll16 r3
cmp/hs r3,r1
bt ov4508
mov #15,r4
mov r1,r0
shll r0
detloop4507:
cmp/hs r3,r0
bf/s nsbhd4507
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4507:
dt r4
bf/s detloop4507
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-80,r7
shll2 r0
cmp/pl r7
bt/s fdl4509
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4509:
jmp @r4
mov #0x1C,r2
.align 5
ov4508:
mov #0x4,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4510
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4510:
jmp @r4
mov #0x1C,r2
.align 5
ln4507:
mov.l g2_except_addr4507,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4507,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4511
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4511:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4507: .long group_2_exception
bf_addr4507: .long basefunction
! Opcodes 86D8 - 86DF
S6D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(12,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4512
shll16 r3
cmp/hs r3,r1
bt ov4513
mov #15,r4
mov r1,r0
shll r0
detloop4512:
cmp/hs r3,r0
bf/s nsbhd4512
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4512:
dt r4
bf/s detloop4512
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-80,r7
shll2 r0
cmp/pl r7
bt/s fdl4514
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4514:
jmp @r4
mov #0x1C,r2
.align 5
ov4513:
mov #0x4,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4515
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4515:
jmp @r4
mov #0x1C,r2
.align 5
ln4512:
mov.l g2_except_addr4512,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4512,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4516
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4516:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4512: .long group_2_exception
bf_addr4512: .long basefunction
! Opcodes 86E0 - 86E7
S6E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(12,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4517
shll16 r3
cmp/hs r3,r1
bt ov4518
mov #15,r4
mov r1,r0
shll r0
detloop4517:
cmp/hs r3,r0
bf/s nsbhd4517
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4517:
dt r4
bf/s detloop4517
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-82,r7
shll2 r0
cmp/pl r7
bt/s fdl4519
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4519:
jmp @r4
mov #0x1C,r2
.align 5
ov4518:
mov #0x4,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4520
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4520:
jmp @r4
mov #0x1C,r2
.align 5
ln4517:
mov.l g2_except_addr4517,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4517,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl4521
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4521:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4517: .long group_2_exception
bf_addr4517: .long basefunction
! Opcodes 86E8 - 86EF
S6E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4522
shll16 r3
cmp/hs r3,r1
bt ov4523
mov #15,r4
mov r1,r0
shll r0
detloop4522:
cmp/hs r3,r0
bf/s nsbhd4522
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4522:
dt r4
bf/s detloop4522
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-84,r7
shll2 r0
cmp/pl r7
bt/s fdl4524
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4524:
jmp @r4
mov #0x1C,r2
.align 5
ov4523:
mov #0x4,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4525
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4525:
jmp @r4
mov #0x1C,r2
.align 5
ln4522:
mov.l g2_except_addr4522,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4522,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4526
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4526:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4522: .long group_2_exception
bf_addr4522: .long basefunction
! Opcodes 86F0 - 86F7
S6F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4527
shll16 r3
cmp/hs r3,r1
bt ov4528
mov #15,r4
mov r1,r0
shll r0
detloop4527:
cmp/hs r3,r0
bf/s nsbhd4527
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4527:
dt r4
bf/s detloop4527
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-86,r7
shll2 r0
cmp/pl r7
bt/s fdl4529
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4529:
jmp @r4
mov #0x1C,r2
.align 5
ov4528:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4530
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4530:
jmp @r4
mov #0x1C,r2
.align 5
ln4527:
mov.l g2_except_addr4527,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4527,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl4531
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4531:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4527: .long group_2_exception
bf_addr4527: .long basefunction
! Opcode 86F8
S6F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4532
shll16 r3
cmp/hs r3,r1
bt ov4533
mov #15,r4
mov r1,r0
shll r0
detloop4532:
cmp/hs r3,r0
bf/s nsbhd4532
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4532:
dt r4
bf/s detloop4532
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-84,r7
shll2 r0
cmp/pl r7
bt/s fdl4534
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4534:
jmp @r4
mov #0x1C,r2
.align 5
ov4533:
mov #0x4,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4535
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4535:
jmp @r4
mov #0x1C,r2
.align 5
ln4532:
mov.l g2_except_addr4532,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4532,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4536
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4536:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4532: .long group_2_exception
bf_addr4532: .long basefunction
! Opcode 86F9
S6F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4537
shll16 r3
cmp/hs r3,r1
bt ov4538
mov #15,r4
mov r1,r0
shll r0
detloop4537:
cmp/hs r3,r0
bf/s nsbhd4537
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4537:
dt r4
bf/s detloop4537
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-88,r7
shll2 r0
cmp/pl r7
bt/s fdl4539
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4539:
jmp @r4
mov #0x1C,r2
.align 5
ov4538:
mov #0x4,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl4540
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4540:
jmp @r4
mov #0x1C,r2
.align 5
ln4537:
mov.l g2_except_addr4537,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4537,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl4541
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4541:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4537: .long group_2_exception
bf_addr4537: .long basefunction
! Opcode 86FA
S6FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4542
shll16 r3
cmp/hs r3,r1
bt ov4543
mov #15,r4
mov r1,r0
shll r0
detloop4542:
cmp/hs r3,r0
bf/s nsbhd4542
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4542:
dt r4
bf/s detloop4542
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-84,r7
shll2 r0
cmp/pl r7
bt/s fdl4544
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4544:
jmp @r4
mov #0x1C,r2
.align 5
ov4543:
mov #0x4,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4545
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4545:
jmp @r4
mov #0x1C,r2
.align 5
ln4542:
mov.l g2_except_addr4542,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4542,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4546
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4546:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4542: .long group_2_exception
bf_addr4542: .long basefunction
! Opcode 86FB
S6FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4547
shll16 r3
cmp/hs r3,r1
bt ov4548
mov #15,r4
mov r1,r0
shll r0
detloop4547:
cmp/hs r3,r0
bf/s nsbhd4547
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4547:
dt r4
bf/s detloop4547
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-86,r7
shll2 r0
cmp/pl r7
bt/s fdl4549
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4549:
jmp @r4
mov #0x1C,r2
.align 5
ov4548:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4550
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4550:
jmp @r4
mov #0x1C,r2
.align 5
ln4547:
mov.l g2_except_addr4547,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4547,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl4551
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4551:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4547: .long group_2_exception
bf_addr4547: .long basefunction
! Opcode 86FC
S6FC:
mov.w @r6+,r3
mov.l @(12,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4552
shll16 r3
cmp/hs r3,r1
bt ov4553
mov #15,r4
mov r1,r0
shll r0
detloop4552:
cmp/hs r3,r0
bf/s nsbhd4552
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4552:
dt r4
bf/s detloop4552
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-80,r7
shll2 r0
cmp/pl r7
bt/s fdl4554
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4554:
jmp @r4
mov #0x1C,r2
.align 5
ov4553:
mov #0x4,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4555
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4555:
jmp @r4
mov #0x1C,r2
.align 5
ln4552:
mov.l g2_except_addr4552,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4552,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4556
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4556:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4552: .long group_2_exception
bf_addr4552: .long basefunction
! Opcodes 8700 - 8707
S700:
and r0,r2
mov r3,r4
mov #12,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd4557
add #-6,r8
.nonibadd4557:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop4557
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop4557:
exts.b r3,r3
mov r9,r8
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl4558
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4558:
jmp @r4
mov #0x1C,r2
! Opcodes 8708 - 870F
S708:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(44,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd4559
add #-6,r8
.nonibadd4559:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop4559
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop4559:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4560
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4560:
jmp @r4
mov #0x1C,r2
! Opcodes 8710 - 8717
S710:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4561
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4561:
jmp @r4
mov #0x1C,r2
! Opcodes 8718 - 871F
S718:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4562
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4562:
jmp @r4
mov #0x1C,r2
! Opcodes 8720 - 8727
S720:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4563
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4563:
jmp @r4
mov #0x1C,r2
! Opcodes 8728 - 872F
S728:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4564
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4564:
jmp @r4
mov #0x1C,r2
! Opcodes 8730 - 8737
S730:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4565
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4565:
jmp @r4
mov #0x1C,r2
! Opcode 8738
S738:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4566
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4566:
jmp @r4
mov #0x1C,r2
! Opcode 8739
S739:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4567
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4567:
jmp @r4
mov #0x1C,r2
! Opcodes 8750 - 8757
S750:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4568
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4568:
jmp @r4
mov #0x1C,r2
! Opcodes 8758 - 875F
S758:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4569
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4569:
jmp @r4
mov #0x1C,r2
! Opcodes 8760 - 8767
S760:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4570
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4570:
jmp @r4
mov #0x1C,r2
! Opcodes 8768 - 876F
S768:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4571
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4571:
jmp @r4
mov #0x1C,r2
! Opcodes 8770 - 8777
S770:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4572
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4572:
jmp @r4
mov #0x1C,r2
! Opcode 8778
S778:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4573
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4573:
jmp @r4
mov #0x1C,r2
! Opcode 8779
S779:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4574
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4574:
jmp @r4
mov #0x1C,r2
! Opcodes 8790 - 8797
S790:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4575
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4575:
jmp @r4
mov #0x1C,r2
! Opcodes 8798 - 879F
S798:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4576
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4576:
jmp @r4
mov #0x1C,r2
! Opcodes 87A0 - 87A7
S7A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl4577
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4577:
jmp @r4
mov #0x1C,r2
! Opcodes 87A8 - 87AF
S7A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl4578
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4578:
jmp @r4
mov #0x1C,r2
! Opcodes 87B0 - 87B7
S7B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl4579
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4579:
jmp @r4
mov #0x1C,r2
! Opcode 87B8
S7B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl4580
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4580:
jmp @r4
mov #0x1C,r2
! Opcode 87B9
S7B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl4581
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4581:
jmp @r4
mov #0x1C,r2
! Opcodes 87C0 - 87C7
S7C0:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(12,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4582
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4583
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4582
mov r3,r1
neg r1,r1
nondivd4582:
cmp/pz r4
bt/s aquot4582
mov #15,r4
neg r1,r1
aquot4582:
shll16 r1
dstloop4582:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4582
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-122,r7
shll2 r0
cmp/pl r7
bt/s fdl4584
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4584:
jmp @r4
mov #0x1C,r2
.align 5
ov4583:
mov #0x4,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4585
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4585:
jmp @r4
mov #0x1C,r2
.align 5
ln4582:
mov.l g2_except_addr4582,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4582,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl4586
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4586:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4582: .long group_2_exception
bf_addr4582: .long basefunction
! Opcodes 87D0 - 87D7
S7D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4587
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4588
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4587
mov r3,r1
neg r1,r1
nondivd4587:
cmp/pz r4
bt/s aquot4587
mov #15,r4
neg r1,r1
aquot4587:
shll16 r1
dstloop4587:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4587
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-126,r7
shll2 r0
cmp/pl r7
bt/s fdl4589
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4589:
jmp @r4
mov #0x1C,r2
.align 5
ov4588:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4590
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4590:
jmp @r4
mov #0x1C,r2
.align 5
ln4587:
mov.l g2_except_addr4587,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4587,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4591
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4591:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4587: .long group_2_exception
bf_addr4587: .long basefunction
! Opcodes 87D8 - 87DF
S7D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(12,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4592
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4593
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4592
mov r3,r1
neg r1,r1
nondivd4592:
cmp/pz r4
bt/s aquot4592
mov #15,r4
neg r1,r1
aquot4592:
shll16 r1
dstloop4592:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4592
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-126,r7
shll2 r0
cmp/pl r7
bt/s fdl4594
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4594:
jmp @r4
mov #0x1C,r2
.align 5
ov4593:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4595
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4595:
jmp @r4
mov #0x1C,r2
.align 5
ln4592:
mov.l g2_except_addr4592,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4592,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4596
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4596:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4592: .long group_2_exception
bf_addr4592: .long basefunction
! Opcodes 87E0 - 87E7
S7E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(12,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4597
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4598
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4597
mov r3,r1
neg r1,r1
nondivd4597:
cmp/pz r4
bt/s aquot4597
mov #15,r4
neg r1,r1
aquot4597:
shll16 r1
dstloop4597:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4597
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
shll2 r0
cmp/pl r7
bt/s fdl4599
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4599:
jmp @r4
mov #0x1C,r2
.align 5
ov4598:
mov #0x4,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl4600
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4600:
jmp @r4
mov #0x1C,r2
.align 5
ln4597:
mov.l g2_except_addr4597,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4597,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl4601
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4601:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4597: .long group_2_exception
bf_addr4597: .long basefunction
! Opcodes 87E8 - 87EF
S7E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4602
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4603
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4602
mov r3,r1
neg r1,r1
nondivd4602:
cmp/pz r4
bt/s aquot4602
mov #15,r4
neg r1,r1
aquot4602:
shll16 r1
dstloop4602:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4602
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-2,r7
shll2 r0
cmp/pl r7
bt/s fdl4604
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4604:
jmp @r4
mov #0x1C,r2
.align 5
ov4603:
mov #0x4,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl4605
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4605:
jmp @r4
mov #0x1C,r2
.align 5
ln4602:
mov.l g2_except_addr4602,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4602,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4606
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4606:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4602: .long group_2_exception
bf_addr4602: .long basefunction
! Opcodes 87F0 - 87F7
S7F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4607
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4608
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4607
mov r3,r1
neg r1,r1
nondivd4607:
cmp/pz r4
bt/s aquot4607
mov #15,r4
neg r1,r1
aquot4607:
shll16 r1
dstloop4607:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4607
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl4609
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4609:
jmp @r4
mov #0x1C,r2
.align 5
ov4608:
mov #0x4,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl4610
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4610:
jmp @r4
mov #0x1C,r2
.align 5
ln4607:
mov.l g2_except_addr4607,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4607,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl4611
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4611:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4607: .long group_2_exception
bf_addr4607: .long basefunction
! Opcode 87F8
S7F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4612
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4613
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4612
mov r3,r1
neg r1,r1
nondivd4612:
cmp/pz r4
bt/s aquot4612
mov #15,r4
neg r1,r1
aquot4612:
shll16 r1
dstloop4612:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4612
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-2,r7
shll2 r0
cmp/pl r7
bt/s fdl4614
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4614:
jmp @r4
mov #0x1C,r2
.align 5
ov4613:
mov #0x4,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl4615
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4615:
jmp @r4
mov #0x1C,r2
.align 5
ln4612:
mov.l g2_except_addr4612,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4612,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4616
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4616:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4612: .long group_2_exception
bf_addr4612: .long basefunction
! Opcode 87F9
S7F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4617
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4618
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4617
mov r3,r1
neg r1,r1
nondivd4617:
cmp/pz r4
bt/s aquot4617
mov #15,r4
neg r1,r1
aquot4617:
shll16 r1
dstloop4617:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4617
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl4619
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4619:
jmp @r4
mov #0x1C,r2
.align 5
ov4618:
mov #0x4,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl4620
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4620:
jmp @r4
mov #0x1C,r2
.align 5
ln4617:
mov.l g2_except_addr4617,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4617,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl4621
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4621:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4617: .long group_2_exception
bf_addr4617: .long basefunction
! Opcode 87FA
S7FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4622
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4623
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4622
mov r3,r1
neg r1,r1
nondivd4622:
cmp/pz r4
bt/s aquot4622
mov #15,r4
neg r1,r1
aquot4622:
shll16 r1
dstloop4622:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4622
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-2,r7
shll2 r0
cmp/pl r7
bt/s fdl4624
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4624:
jmp @r4
mov #0x1C,r2
.align 5
ov4623:
mov #0x4,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl4625
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4625:
jmp @r4
mov #0x1C,r2
.align 5
ln4622:
mov.l g2_except_addr4622,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4622,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4626
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4626:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4622: .long group_2_exception
bf_addr4622: .long basefunction
! Opcode 87FB
S7FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4627
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4628
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4627
mov r3,r1
neg r1,r1
nondivd4627:
cmp/pz r4
bt/s aquot4627
mov #15,r4
neg r1,r1
aquot4627:
shll16 r1
dstloop4627:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4627
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl4629
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4629:
jmp @r4
mov #0x1C,r2
.align 5
ov4628:
mov #0x4,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl4630
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4630:
jmp @r4
mov #0x1C,r2
.align 5
ln4627:
mov.l g2_except_addr4627,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4627,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl4631
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4631:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4627: .long group_2_exception
bf_addr4627: .long basefunction
! Opcode 87FC
S7FC:
mov.w @r6+,r3
mov.l @(12,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4632
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4633
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4632
mov r3,r1
neg r1,r1
nondivd4632:
cmp/pz r4
bt/s aquot4632
mov #15,r4
neg r1,r1
aquot4632:
shll16 r1
dstloop4632:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4632
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-126,r7
shll2 r0
cmp/pl r7
bt/s fdl4634
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4634:
jmp @r4
mov #0x1C,r2
.align 5
ov4633:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4635
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4635:
jmp @r4
mov #0x1C,r2
.align 5
ln4632:
mov.l g2_except_addr4632,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4632,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4636
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4636:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4632: .long group_2_exception
bf_addr4632: .long basefunction
! Opcodes 8800 - 8807
S800:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl4637
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4637:
jmp @r4
mov #0x1C,r2
! Opcodes 8810 - 8817
S810:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4638
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4638:
jmp @r4
mov #0x1C,r2
! Opcodes 8818 - 881F
S818:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4639
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4639:
jmp @r4
mov #0x1C,r2
! Opcodes 8820 - 8827
S820:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl4640
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4640:
jmp @r4
mov #0x1C,r2
! Opcodes 8828 - 882F
S828:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4641
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4641:
jmp @r4
mov #0x1C,r2
! Opcodes 8830 - 8837
S830:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4642
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4642:
jmp @r4
mov #0x1C,r2
! Opcode 8838
S838:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4643
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4643:
jmp @r4
mov #0x1C,r2
! Opcode 8839
S839:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4644
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4644:
jmp @r4
mov #0x1C,r2
! Opcode 883A
S83A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4645
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4645:
jmp @r4
mov #0x1C,r2
! Opcode 883B
S83B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4646
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4646:
jmp @r4
mov #0x1C,r2
! Opcode 883C
S83C:
mov.b @r6,r3
add #2,r6
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4647
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4647:
jmp @r4
mov #0x1C,r2
! Opcodes 8840 - 8847
S840:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl4648
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4648:
jmp @r4
mov #0x1C,r2
! Opcodes 8850 - 8857
S850:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4649
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4649:
jmp @r4
mov #0x1C,r2
! Opcodes 8858 - 885F
S858:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4650
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4650:
jmp @r4
mov #0x1C,r2
! Opcodes 8860 - 8867
S860:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl4651
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4651:
jmp @r4
mov #0x1C,r2
! Opcodes 8868 - 886F
S868:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4652
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4652:
jmp @r4
mov #0x1C,r2
! Opcodes 8870 - 8877
S870:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4653
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4653:
jmp @r4
mov #0x1C,r2
! Opcode 8878
S878:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4654
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4654:
jmp @r4
mov #0x1C,r2
! Opcode 8879
S879:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4655
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4655:
jmp @r4
mov #0x1C,r2
! Opcode 887A
S87A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4656
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4656:
jmp @r4
mov #0x1C,r2
! Opcode 887B
S87B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4657
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4657:
jmp @r4
mov #0x1C,r2
! Opcode 887C
S87C:
mov.w @r6+,r3
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4658
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4658:
jmp @r4
mov #0x1C,r2
! Opcodes 8880 - 8887
S880:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(16,r13),r1
or r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4659
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4659:
jmp @r4
mov #0x1C,r2
! Opcodes 8890 - 8897
S890:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
or r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4660
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4660:
jmp @r4
mov #0x1C,r2
! Opcodes 8898 - 889F
S898:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(16,r13),r1
or r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4661
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4661:
jmp @r4
mov #0x1C,r2
! Opcodes 88A0 - 88A7
S8A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(16,r13),r1
or r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4662
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4662:
jmp @r4
mov #0x1C,r2
! Opcodes 88A8 - 88AF
S8A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
or r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4663
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4663:
jmp @r4
mov #0x1C,r2
! Opcodes 88B0 - 88B7
S8B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
or r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4664
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4664:
jmp @r4
mov #0x1C,r2
! Opcode 88B8
S8B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
or r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4665
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4665:
jmp @r4
mov #0x1C,r2
! Opcode 88B9
S8B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
or r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl4666
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4666:
jmp @r4
mov #0x1C,r2
! Opcode 88BA
S8BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
or r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4667
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4667:
jmp @r4
mov #0x1C,r2
! Opcode 88BB
S8BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
or r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4668
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4668:
jmp @r4
mov #0x1C,r2
! Opcode 88BC
S8BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(16,r13),r1
or r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4669
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4669:
jmp @r4
mov #0x1C,r2
! Opcodes 88C0 - 88C7
S8C0:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(16,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4670
shll16 r3
cmp/hs r3,r1
bt ov4671
mov #15,r4
mov r1,r0
shll r0
detloop4670:
cmp/hs r3,r0
bf/s nsbhd4670
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4670:
dt r4
bf/s detloop4670
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-76,r7
shll2 r0
cmp/pl r7
bt/s fdl4672
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4672:
jmp @r4
mov #0x1C,r2
.align 5
ov4671:
mov #0x4,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl4673
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4673:
jmp @r4
mov #0x1C,r2
.align 5
ln4670:
mov.l g2_except_addr4670,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4670,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl4674
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4674:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4670: .long group_2_exception
bf_addr4670: .long basefunction
! Opcodes 88D0 - 88D7
S8D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4675
shll16 r3
cmp/hs r3,r1
bt ov4676
mov #15,r4
mov r1,r0
shll r0
detloop4675:
cmp/hs r3,r0
bf/s nsbhd4675
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4675:
dt r4
bf/s detloop4675
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-80,r7
shll2 r0
cmp/pl r7
bt/s fdl4677
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4677:
jmp @r4
mov #0x1C,r2
.align 5
ov4676:
mov #0x4,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4678
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4678:
jmp @r4
mov #0x1C,r2
.align 5
ln4675:
mov.l g2_except_addr4675,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4675,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4679
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4679:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4675: .long group_2_exception
bf_addr4675: .long basefunction
! Opcodes 88D8 - 88DF
S8D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(16,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4680
shll16 r3
cmp/hs r3,r1
bt ov4681
mov #15,r4
mov r1,r0
shll r0
detloop4680:
cmp/hs r3,r0
bf/s nsbhd4680
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4680:
dt r4
bf/s detloop4680
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-80,r7
shll2 r0
cmp/pl r7
bt/s fdl4682
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4682:
jmp @r4
mov #0x1C,r2
.align 5
ov4681:
mov #0x4,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4683
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4683:
jmp @r4
mov #0x1C,r2
.align 5
ln4680:
mov.l g2_except_addr4680,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4680,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4684
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4684:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4680: .long group_2_exception
bf_addr4680: .long basefunction
! Opcodes 88E0 - 88E7
S8E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(16,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4685
shll16 r3
cmp/hs r3,r1
bt ov4686
mov #15,r4
mov r1,r0
shll r0
detloop4685:
cmp/hs r3,r0
bf/s nsbhd4685
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4685:
dt r4
bf/s detloop4685
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-82,r7
shll2 r0
cmp/pl r7
bt/s fdl4687
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4687:
jmp @r4
mov #0x1C,r2
.align 5
ov4686:
mov #0x4,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4688
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4688:
jmp @r4
mov #0x1C,r2
.align 5
ln4685:
mov.l g2_except_addr4685,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4685,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl4689
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4689:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4685: .long group_2_exception
bf_addr4685: .long basefunction
! Opcodes 88E8 - 88EF
S8E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4690
shll16 r3
cmp/hs r3,r1
bt ov4691
mov #15,r4
mov r1,r0
shll r0
detloop4690:
cmp/hs r3,r0
bf/s nsbhd4690
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4690:
dt r4
bf/s detloop4690
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-84,r7
shll2 r0
cmp/pl r7
bt/s fdl4692
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4692:
jmp @r4
mov #0x1C,r2
.align 5
ov4691:
mov #0x4,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4693
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4693:
jmp @r4
mov #0x1C,r2
.align 5
ln4690:
mov.l g2_except_addr4690,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4690,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4694
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4694:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4690: .long group_2_exception
bf_addr4690: .long basefunction
! Opcodes 88F0 - 88F7
S8F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4695
shll16 r3
cmp/hs r3,r1
bt ov4696
mov #15,r4
mov r1,r0
shll r0
detloop4695:
cmp/hs r3,r0
bf/s nsbhd4695
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4695:
dt r4
bf/s detloop4695
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-86,r7
shll2 r0
cmp/pl r7
bt/s fdl4697
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4697:
jmp @r4
mov #0x1C,r2
.align 5
ov4696:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4698
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4698:
jmp @r4
mov #0x1C,r2
.align 5
ln4695:
mov.l g2_except_addr4695,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4695,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl4699
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4699:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4695: .long group_2_exception
bf_addr4695: .long basefunction
! Opcode 88F8
S8F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4700
shll16 r3
cmp/hs r3,r1
bt ov4701
mov #15,r4
mov r1,r0
shll r0
detloop4700:
cmp/hs r3,r0
bf/s nsbhd4700
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4700:
dt r4
bf/s detloop4700
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-84,r7
shll2 r0
cmp/pl r7
bt/s fdl4702
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4702:
jmp @r4
mov #0x1C,r2
.align 5
ov4701:
mov #0x4,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4703
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4703:
jmp @r4
mov #0x1C,r2
.align 5
ln4700:
mov.l g2_except_addr4700,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4700,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4704
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4704:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4700: .long group_2_exception
bf_addr4700: .long basefunction
! Opcode 88F9
S8F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4705
shll16 r3
cmp/hs r3,r1
bt ov4706
mov #15,r4
mov r1,r0
shll r0
detloop4705:
cmp/hs r3,r0
bf/s nsbhd4705
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4705:
dt r4
bf/s detloop4705
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-88,r7
shll2 r0
cmp/pl r7
bt/s fdl4707
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4707:
jmp @r4
mov #0x1C,r2
.align 5
ov4706:
mov #0x4,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl4708
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4708:
jmp @r4
mov #0x1C,r2
.align 5
ln4705:
mov.l g2_except_addr4705,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4705,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl4709
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4709:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4705: .long group_2_exception
bf_addr4705: .long basefunction
! Opcode 88FA
S8FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4710
shll16 r3
cmp/hs r3,r1
bt ov4711
mov #15,r4
mov r1,r0
shll r0
detloop4710:
cmp/hs r3,r0
bf/s nsbhd4710
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4710:
dt r4
bf/s detloop4710
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-84,r7
shll2 r0
cmp/pl r7
bt/s fdl4712
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4712:
jmp @r4
mov #0x1C,r2
.align 5
ov4711:
mov #0x4,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4713
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4713:
jmp @r4
mov #0x1C,r2
.align 5
ln4710:
mov.l g2_except_addr4710,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4710,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4714
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4714:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4710: .long group_2_exception
bf_addr4710: .long basefunction
! Opcode 88FB
S8FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4715
shll16 r3
cmp/hs r3,r1
bt ov4716
mov #15,r4
mov r1,r0
shll r0
detloop4715:
cmp/hs r3,r0
bf/s nsbhd4715
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4715:
dt r4
bf/s detloop4715
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-86,r7
shll2 r0
cmp/pl r7
bt/s fdl4717
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4717:
jmp @r4
mov #0x1C,r2
.align 5
ov4716:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4718
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4718:
jmp @r4
mov #0x1C,r2
.align 5
ln4715:
mov.l g2_except_addr4715,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4715,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl4719
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4719:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4715: .long group_2_exception
bf_addr4715: .long basefunction
! Opcode 88FC
S8FC:
mov.w @r6+,r3
mov.l @(16,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4720
shll16 r3
cmp/hs r3,r1
bt ov4721
mov #15,r4
mov r1,r0
shll r0
detloop4720:
cmp/hs r3,r0
bf/s nsbhd4720
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4720:
dt r4
bf/s detloop4720
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-80,r7
shll2 r0
cmp/pl r7
bt/s fdl4722
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4722:
jmp @r4
mov #0x1C,r2
.align 5
ov4721:
mov #0x4,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4723
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4723:
jmp @r4
mov #0x1C,r2
.align 5
ln4720:
mov.l g2_except_addr4720,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4720,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4724
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4724:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4720: .long group_2_exception
bf_addr4720: .long basefunction
! Opcodes 8900 - 8907
S900:
and r0,r2
mov r3,r4
mov #16,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd4725
add #-6,r8
.nonibadd4725:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop4725
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop4725:
exts.b r3,r3
mov r9,r8
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl4726
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4726:
jmp @r4
mov #0x1C,r2
! Opcodes 8908 - 890F
S908:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(48,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd4727
add #-6,r8
.nonibadd4727:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop4727
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop4727:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4728
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4728:
jmp @r4
mov #0x1C,r2
! Opcodes 8910 - 8917
S910:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4729
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4729:
jmp @r4
mov #0x1C,r2
! Opcodes 8918 - 891F
S918:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4730
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4730:
jmp @r4
mov #0x1C,r2
! Opcodes 8920 - 8927
S920:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4731
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4731:
jmp @r4
mov #0x1C,r2
! Opcodes 8928 - 892F
S928:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4732
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4732:
jmp @r4
mov #0x1C,r2
! Opcodes 8930 - 8937
S930:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4733
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4733:
jmp @r4
mov #0x1C,r2
! Opcode 8938
S938:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4734
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4734:
jmp @r4
mov #0x1C,r2
! Opcode 8939
S939:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4735
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4735:
jmp @r4
mov #0x1C,r2
! Opcodes 8950 - 8957
S950:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4736
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4736:
jmp @r4
mov #0x1C,r2
! Opcodes 8958 - 895F
S958:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4737
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4737:
jmp @r4
mov #0x1C,r2
! Opcodes 8960 - 8967
S960:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4738
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4738:
jmp @r4
mov #0x1C,r2
! Opcodes 8968 - 896F
S968:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4739
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4739:
jmp @r4
mov #0x1C,r2
! Opcodes 8970 - 8977
S970:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4740
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4740:
jmp @r4
mov #0x1C,r2
! Opcode 8978
S978:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4741
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4741:
jmp @r4
mov #0x1C,r2
! Opcode 8979
S979:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4742
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4742:
jmp @r4
mov #0x1C,r2
! Opcodes 8990 - 8997
S990:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4743
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4743:
jmp @r4
mov #0x1C,r2
! Opcodes 8998 - 899F
S998:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4744
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4744:
jmp @r4
mov #0x1C,r2
! Opcodes 89A0 - 89A7
S9A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl4745
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4745:
jmp @r4
mov #0x1C,r2
! Opcodes 89A8 - 89AF
S9A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl4746
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4746:
jmp @r4
mov #0x1C,r2
! Opcodes 89B0 - 89B7
S9B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl4747
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4747:
jmp @r4
mov #0x1C,r2
! Opcode 89B8
S9B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl4748
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4748:
jmp @r4
mov #0x1C,r2
! Opcode 89B9
S9B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl4749
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4749:
jmp @r4
mov #0x1C,r2
! Opcodes 89C0 - 89C7
S9C0:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(16,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4750
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4751
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4750
mov r3,r1
neg r1,r1
nondivd4750:
cmp/pz r4
bt/s aquot4750
mov #15,r4
neg r1,r1
aquot4750:
shll16 r1
dstloop4750:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4750
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-122,r7
shll2 r0
cmp/pl r7
bt/s fdl4752
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4752:
jmp @r4
mov #0x1C,r2
.align 5
ov4751:
mov #0x4,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4753
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4753:
jmp @r4
mov #0x1C,r2
.align 5
ln4750:
mov.l g2_except_addr4750,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4750,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl4754
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4754:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4750: .long group_2_exception
bf_addr4750: .long basefunction
! Opcodes 89D0 - 89D7
S9D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4755
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4756
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4755
mov r3,r1
neg r1,r1
nondivd4755:
cmp/pz r4
bt/s aquot4755
mov #15,r4
neg r1,r1
aquot4755:
shll16 r1
dstloop4755:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4755
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-126,r7
shll2 r0
cmp/pl r7
bt/s fdl4757
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4757:
jmp @r4
mov #0x1C,r2
.align 5
ov4756:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4758
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4758:
jmp @r4
mov #0x1C,r2
.align 5
ln4755:
mov.l g2_except_addr4755,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4755,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4759
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4759:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4755: .long group_2_exception
bf_addr4755: .long basefunction
! Opcodes 89D8 - 89DF
S9D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(16,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4760
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4761
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4760
mov r3,r1
neg r1,r1
nondivd4760:
cmp/pz r4
bt/s aquot4760
mov #15,r4
neg r1,r1
aquot4760:
shll16 r1
dstloop4760:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4760
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-126,r7
shll2 r0
cmp/pl r7
bt/s fdl4762
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4762:
jmp @r4
mov #0x1C,r2
.align 5
ov4761:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4763
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4763:
jmp @r4
mov #0x1C,r2
.align 5
ln4760:
mov.l g2_except_addr4760,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4760,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4764
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4764:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4760: .long group_2_exception
bf_addr4760: .long basefunction
! Opcodes 89E0 - 89E7
S9E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(16,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4765
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4766
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4765
mov r3,r1
neg r1,r1
nondivd4765:
cmp/pz r4
bt/s aquot4765
mov #15,r4
neg r1,r1
aquot4765:
shll16 r1
dstloop4765:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4765
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
shll2 r0
cmp/pl r7
bt/s fdl4767
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4767:
jmp @r4
mov #0x1C,r2
.align 5
ov4766:
mov #0x4,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl4768
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4768:
jmp @r4
mov #0x1C,r2
.align 5
ln4765:
mov.l g2_except_addr4765,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4765,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl4769
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4769:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4765: .long group_2_exception
bf_addr4765: .long basefunction
! Opcodes 89E8 - 89EF
S9E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4770
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4771
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4770
mov r3,r1
neg r1,r1
nondivd4770:
cmp/pz r4
bt/s aquot4770
mov #15,r4
neg r1,r1
aquot4770:
shll16 r1
dstloop4770:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4770
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-2,r7
shll2 r0
cmp/pl r7
bt/s fdl4772
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4772:
jmp @r4
mov #0x1C,r2
.align 5
ov4771:
mov #0x4,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl4773
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4773:
jmp @r4
mov #0x1C,r2
.align 5
ln4770:
mov.l g2_except_addr4770,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4770,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4774
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4774:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4770: .long group_2_exception
bf_addr4770: .long basefunction
! Opcodes 89F0 - 89F7
S9F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4775
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4776
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4775
mov r3,r1
neg r1,r1
nondivd4775:
cmp/pz r4
bt/s aquot4775
mov #15,r4
neg r1,r1
aquot4775:
shll16 r1
dstloop4775:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4775
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl4777
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4777:
jmp @r4
mov #0x1C,r2
.align 5
ov4776:
mov #0x4,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl4778
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4778:
jmp @r4
mov #0x1C,r2
.align 5
ln4775:
mov.l g2_except_addr4775,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4775,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl4779
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4779:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4775: .long group_2_exception
bf_addr4775: .long basefunction
! Opcode 89F8
S9F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4780
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4781
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4780
mov r3,r1
neg r1,r1
nondivd4780:
cmp/pz r4
bt/s aquot4780
mov #15,r4
neg r1,r1
aquot4780:
shll16 r1
dstloop4780:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4780
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-2,r7
shll2 r0
cmp/pl r7
bt/s fdl4782
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4782:
jmp @r4
mov #0x1C,r2
.align 5
ov4781:
mov #0x4,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl4783
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4783:
jmp @r4
mov #0x1C,r2
.align 5
ln4780:
mov.l g2_except_addr4780,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4780,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4784
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4784:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4780: .long group_2_exception
bf_addr4780: .long basefunction
! Opcode 89F9
S9F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4785
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4786
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4785
mov r3,r1
neg r1,r1
nondivd4785:
cmp/pz r4
bt/s aquot4785
mov #15,r4
neg r1,r1
aquot4785:
shll16 r1
dstloop4785:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4785
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl4787
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4787:
jmp @r4
mov #0x1C,r2
.align 5
ov4786:
mov #0x4,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl4788
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4788:
jmp @r4
mov #0x1C,r2
.align 5
ln4785:
mov.l g2_except_addr4785,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4785,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl4789
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4789:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4785: .long group_2_exception
bf_addr4785: .long basefunction
! Opcode 89FA
S9FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4790
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4791
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4790
mov r3,r1
neg r1,r1
nondivd4790:
cmp/pz r4
bt/s aquot4790
mov #15,r4
neg r1,r1
aquot4790:
shll16 r1
dstloop4790:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4790
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-2,r7
shll2 r0
cmp/pl r7
bt/s fdl4792
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4792:
jmp @r4
mov #0x1C,r2
.align 5
ov4791:
mov #0x4,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl4793
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4793:
jmp @r4
mov #0x1C,r2
.align 5
ln4790:
mov.l g2_except_addr4790,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4790,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4794
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4794:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4790: .long group_2_exception
bf_addr4790: .long basefunction
! Opcode 89FB
S9FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4795
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4796
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4795
mov r3,r1
neg r1,r1
nondivd4795:
cmp/pz r4
bt/s aquot4795
mov #15,r4
neg r1,r1
aquot4795:
shll16 r1
dstloop4795:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4795
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl4797
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4797:
jmp @r4
mov #0x1C,r2
.align 5
ov4796:
mov #0x4,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl4798
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4798:
jmp @r4
mov #0x1C,r2
.align 5
ln4795:
mov.l g2_except_addr4795,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4795,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl4799
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4799:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4795: .long group_2_exception
bf_addr4795: .long basefunction
! Opcode 89FC
S9FC:
mov.w @r6+,r3
mov.l @(16,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4800
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4801
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4800
mov r3,r1
neg r1,r1
nondivd4800:
cmp/pz r4
bt/s aquot4800
mov #15,r4
neg r1,r1
aquot4800:
shll16 r1
dstloop4800:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4800
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-126,r7
shll2 r0
cmp/pl r7
bt/s fdl4802
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4802:
jmp @r4
mov #0x1C,r2
.align 5
ov4801:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4803
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4803:
jmp @r4
mov #0x1C,r2
.align 5
ln4800:
mov.l g2_except_addr4800,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4800,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4804
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4804:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4800: .long group_2_exception
bf_addr4800: .long basefunction
! Opcodes 8A00 - 8A07
SA00:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl4805
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4805:
jmp @r4
mov #0x1C,r2
! Opcodes 8A10 - 8A17
SA10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4806
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4806:
jmp @r4
mov #0x1C,r2
! Opcodes 8A18 - 8A1F
SA18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4807
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4807:
jmp @r4
mov #0x1C,r2
! Opcodes 8A20 - 8A27
SA20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl4808
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4808:
jmp @r4
mov #0x1C,r2
! Opcodes 8A28 - 8A2F
SA28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4809
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4809:
jmp @r4
mov #0x1C,r2
! Opcodes 8A30 - 8A37
SA30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4810
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4810:
jmp @r4
mov #0x1C,r2
! Opcode 8A38
SA38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4811
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4811:
jmp @r4
mov #0x1C,r2
! Opcode 8A39
SA39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4812
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4812:
jmp @r4
mov #0x1C,r2
! Opcode 8A3A
SA3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4813
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4813:
jmp @r4
mov #0x1C,r2
! Opcode 8A3B
SA3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4814
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4814:
jmp @r4
mov #0x1C,r2
! Opcode 8A3C
SA3C:
mov.b @r6,r3
add #2,r6
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4815
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4815:
jmp @r4
mov #0x1C,r2
! Opcodes 8A40 - 8A47
SA40:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl4816
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4816:
jmp @r4
mov #0x1C,r2
! Opcodes 8A50 - 8A57
SA50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4817
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4817:
jmp @r4
mov #0x1C,r2
! Opcodes 8A58 - 8A5F
SA58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4818
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4818:
jmp @r4
mov #0x1C,r2
! Opcodes 8A60 - 8A67
SA60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl4819
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4819:
jmp @r4
mov #0x1C,r2
! Opcodes 8A68 - 8A6F
SA68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4820
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4820:
jmp @r4
mov #0x1C,r2
! Opcodes 8A70 - 8A77
SA70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4821
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4821:
jmp @r4
mov #0x1C,r2
! Opcode 8A78
SA78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4822
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4822:
jmp @r4
mov #0x1C,r2
! Opcode 8A79
SA79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4823
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4823:
jmp @r4
mov #0x1C,r2
! Opcode 8A7A
SA7A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4824
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4824:
jmp @r4
mov #0x1C,r2
! Opcode 8A7B
SA7B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4825
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4825:
jmp @r4
mov #0x1C,r2
! Opcode 8A7C
SA7C:
mov.w @r6+,r3
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4826
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4826:
jmp @r4
mov #0x1C,r2
! Opcodes 8A80 - 8A87
SA80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(20,r13),r1
or r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4827
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4827:
jmp @r4
mov #0x1C,r2
! Opcodes 8A90 - 8A97
SA90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
or r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4828
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4828:
jmp @r4
mov #0x1C,r2
! Opcodes 8A98 - 8A9F
SA98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(20,r13),r1
or r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4829
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4829:
jmp @r4
mov #0x1C,r2
! Opcodes 8AA0 - 8AA7
SAA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(20,r13),r1
or r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4830
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4830:
jmp @r4
mov #0x1C,r2
! Opcodes 8AA8 - 8AAF
SAA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
or r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4831
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4831:
jmp @r4
mov #0x1C,r2
! Opcodes 8AB0 - 8AB7
SAB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
or r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4832
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4832:
jmp @r4
mov #0x1C,r2
! Opcode 8AB8
SAB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
or r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4833
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4833:
jmp @r4
mov #0x1C,r2
! Opcode 8AB9
SAB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
or r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl4834
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4834:
jmp @r4
mov #0x1C,r2
! Opcode 8ABA
SABA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
or r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4835
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4835:
jmp @r4
mov #0x1C,r2
! Opcode 8ABB
SABB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
or r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4836
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4836:
jmp @r4
mov #0x1C,r2
! Opcode 8ABC
SABC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(20,r13),r1
or r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4837
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4837:
jmp @r4
mov #0x1C,r2
! Opcodes 8AC0 - 8AC7
SAC0:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(20,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4838
shll16 r3
cmp/hs r3,r1
bt ov4839
mov #15,r4
mov r1,r0
shll r0
detloop4838:
cmp/hs r3,r0
bf/s nsbhd4838
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4838:
dt r4
bf/s detloop4838
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-76,r7
shll2 r0
cmp/pl r7
bt/s fdl4840
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4840:
jmp @r4
mov #0x1C,r2
.align 5
ov4839:
mov #0x4,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl4841
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4841:
jmp @r4
mov #0x1C,r2
.align 5
ln4838:
mov.l g2_except_addr4838,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4838,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl4842
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4842:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4838: .long group_2_exception
bf_addr4838: .long basefunction
! Opcodes 8AD0 - 8AD7
SAD0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4843
shll16 r3
cmp/hs r3,r1
bt ov4844
mov #15,r4
mov r1,r0
shll r0
detloop4843:
cmp/hs r3,r0
bf/s nsbhd4843
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4843:
dt r4
bf/s detloop4843
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-80,r7
shll2 r0
cmp/pl r7
bt/s fdl4845
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4845:
jmp @r4
mov #0x1C,r2
.align 5
ov4844:
mov #0x4,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4846
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4846:
jmp @r4
mov #0x1C,r2
.align 5
ln4843:
mov.l g2_except_addr4843,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4843,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4847
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4847:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4843: .long group_2_exception
bf_addr4843: .long basefunction
! Opcodes 8AD8 - 8ADF
SAD8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(20,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4848
shll16 r3
cmp/hs r3,r1
bt ov4849
mov #15,r4
mov r1,r0
shll r0
detloop4848:
cmp/hs r3,r0
bf/s nsbhd4848
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4848:
dt r4
bf/s detloop4848
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-80,r7
shll2 r0
cmp/pl r7
bt/s fdl4850
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4850:
jmp @r4
mov #0x1C,r2
.align 5
ov4849:
mov #0x4,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4851
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4851:
jmp @r4
mov #0x1C,r2
.align 5
ln4848:
mov.l g2_except_addr4848,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4848,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4852
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4852:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4848: .long group_2_exception
bf_addr4848: .long basefunction
! Opcodes 8AE0 - 8AE7
SAE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(20,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4853
shll16 r3
cmp/hs r3,r1
bt ov4854
mov #15,r4
mov r1,r0
shll r0
detloop4853:
cmp/hs r3,r0
bf/s nsbhd4853
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4853:
dt r4
bf/s detloop4853
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-82,r7
shll2 r0
cmp/pl r7
bt/s fdl4855
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4855:
jmp @r4
mov #0x1C,r2
.align 5
ov4854:
mov #0x4,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4856
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4856:
jmp @r4
mov #0x1C,r2
.align 5
ln4853:
mov.l g2_except_addr4853,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4853,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl4857
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4857:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4853: .long group_2_exception
bf_addr4853: .long basefunction
! Opcodes 8AE8 - 8AEF
SAE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4858
shll16 r3
cmp/hs r3,r1
bt ov4859
mov #15,r4
mov r1,r0
shll r0
detloop4858:
cmp/hs r3,r0
bf/s nsbhd4858
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4858:
dt r4
bf/s detloop4858
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-84,r7
shll2 r0
cmp/pl r7
bt/s fdl4860
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4860:
jmp @r4
mov #0x1C,r2
.align 5
ov4859:
mov #0x4,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4861
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4861:
jmp @r4
mov #0x1C,r2
.align 5
ln4858:
mov.l g2_except_addr4858,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4858,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4862
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4862:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4858: .long group_2_exception
bf_addr4858: .long basefunction
! Opcodes 8AF0 - 8AF7
SAF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4863
shll16 r3
cmp/hs r3,r1
bt ov4864
mov #15,r4
mov r1,r0
shll r0
detloop4863:
cmp/hs r3,r0
bf/s nsbhd4863
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4863:
dt r4
bf/s detloop4863
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-86,r7
shll2 r0
cmp/pl r7
bt/s fdl4865
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4865:
jmp @r4
mov #0x1C,r2
.align 5
ov4864:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4866
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4866:
jmp @r4
mov #0x1C,r2
.align 5
ln4863:
mov.l g2_except_addr4863,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4863,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl4867
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4867:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4863: .long group_2_exception
bf_addr4863: .long basefunction
! Opcode 8AF8
SAF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4868
shll16 r3
cmp/hs r3,r1
bt ov4869
mov #15,r4
mov r1,r0
shll r0
detloop4868:
cmp/hs r3,r0
bf/s nsbhd4868
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4868:
dt r4
bf/s detloop4868
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-84,r7
shll2 r0
cmp/pl r7
bt/s fdl4870
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4870:
jmp @r4
mov #0x1C,r2
.align 5
ov4869:
mov #0x4,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4871
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4871:
jmp @r4
mov #0x1C,r2
.align 5
ln4868:
mov.l g2_except_addr4868,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4868,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4872
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4872:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4868: .long group_2_exception
bf_addr4868: .long basefunction
! Opcode 8AF9
SAF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4873
shll16 r3
cmp/hs r3,r1
bt ov4874
mov #15,r4
mov r1,r0
shll r0
detloop4873:
cmp/hs r3,r0
bf/s nsbhd4873
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4873:
dt r4
bf/s detloop4873
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-88,r7
shll2 r0
cmp/pl r7
bt/s fdl4875
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4875:
jmp @r4
mov #0x1C,r2
.align 5
ov4874:
mov #0x4,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl4876
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4876:
jmp @r4
mov #0x1C,r2
.align 5
ln4873:
mov.l g2_except_addr4873,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4873,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl4877
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4877:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4873: .long group_2_exception
bf_addr4873: .long basefunction
! Opcode 8AFA
SAFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4878
shll16 r3
cmp/hs r3,r1
bt ov4879
mov #15,r4
mov r1,r0
shll r0
detloop4878:
cmp/hs r3,r0
bf/s nsbhd4878
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4878:
dt r4
bf/s detloop4878
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-84,r7
shll2 r0
cmp/pl r7
bt/s fdl4880
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4880:
jmp @r4
mov #0x1C,r2
.align 5
ov4879:
mov #0x4,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4881
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4881:
jmp @r4
mov #0x1C,r2
.align 5
ln4878:
mov.l g2_except_addr4878,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4878,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4882
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4882:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4878: .long group_2_exception
bf_addr4878: .long basefunction
! Opcode 8AFB
SAFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4883
shll16 r3
cmp/hs r3,r1
bt ov4884
mov #15,r4
mov r1,r0
shll r0
detloop4883:
cmp/hs r3,r0
bf/s nsbhd4883
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4883:
dt r4
bf/s detloop4883
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-86,r7
shll2 r0
cmp/pl r7
bt/s fdl4885
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4885:
jmp @r4
mov #0x1C,r2
.align 5
ov4884:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4886
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4886:
jmp @r4
mov #0x1C,r2
.align 5
ln4883:
mov.l g2_except_addr4883,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4883,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl4887
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4887:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4883: .long group_2_exception
bf_addr4883: .long basefunction
! Opcode 8AFC
SAFC:
mov.w @r6+,r3
mov.l @(20,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4888
shll16 r3
cmp/hs r3,r1
bt ov4889
mov #15,r4
mov r1,r0
shll r0
detloop4888:
cmp/hs r3,r0
bf/s nsbhd4888
add #-4,r7
sub r3,r0
add #2,r7
nsbhd4888:
dt r4
bf/s detloop4888
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-80,r7
shll2 r0
cmp/pl r7
bt/s fdl4890
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4890:
jmp @r4
mov #0x1C,r2
.align 5
ov4889:
mov #0x4,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4891
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4891:
jmp @r4
mov #0x1C,r2
.align 5
ln4888:
mov.l g2_except_addr4888,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4888,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4892
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4892:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4888: .long group_2_exception
bf_addr4888: .long basefunction
! Opcodes 8B00 - 8B07
SB00:
and r0,r2
mov r3,r4
mov #20,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd4893
add #-6,r8
.nonibadd4893:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop4893
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop4893:
exts.b r3,r3
mov r9,r8
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl4894
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4894:
jmp @r4
mov #0x1C,r2
! Opcodes 8B08 - 8B0F
SB08:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(52,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd4895
add #-6,r8
.nonibadd4895:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop4895
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop4895:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4896
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4896:
jmp @r4
mov #0x1C,r2
! Opcodes 8B10 - 8B17
SB10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4897
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4897:
jmp @r4
mov #0x1C,r2
! Opcodes 8B18 - 8B1F
SB18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4898
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4898:
jmp @r4
mov #0x1C,r2
! Opcodes 8B20 - 8B27
SB20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4899
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4899:
jmp @r4
mov #0x1C,r2
! Opcodes 8B28 - 8B2F
SB28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4900
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4900:
jmp @r4
mov #0x1C,r2
! Opcodes 8B30 - 8B37
SB30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4901
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4901:
jmp @r4
mov #0x1C,r2
! Opcode 8B38
SB38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4902
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4902:
jmp @r4
mov #0x1C,r2
! Opcode 8B39
SB39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4903
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4903:
jmp @r4
mov #0x1C,r2
! Opcodes 8B50 - 8B57
SB50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4904
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4904:
jmp @r4
mov #0x1C,r2
! Opcodes 8B58 - 8B5F
SB58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4905
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4905:
jmp @r4
mov #0x1C,r2
! Opcodes 8B60 - 8B67
SB60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4906
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4906:
jmp @r4
mov #0x1C,r2
! Opcodes 8B68 - 8B6F
SB68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4907
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4907:
jmp @r4
mov #0x1C,r2
! Opcodes 8B70 - 8B77
SB70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4908
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4908:
jmp @r4
mov #0x1C,r2
! Opcode 8B78
SB78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4909
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4909:
jmp @r4
mov #0x1C,r2
! Opcode 8B79
SB79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4910
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4910:
jmp @r4
mov #0x1C,r2
! Opcodes 8B90 - 8B97
SB90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4911
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4911:
jmp @r4
mov #0x1C,r2
! Opcodes 8B98 - 8B9F
SB98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4912
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4912:
jmp @r4
mov #0x1C,r2
! Opcodes 8BA0 - 8BA7
SBA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl4913
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4913:
jmp @r4
mov #0x1C,r2
! Opcodes 8BA8 - 8BAF
SBA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl4914
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4914:
jmp @r4
mov #0x1C,r2
! Opcodes 8BB0 - 8BB7
SBB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl4915
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4915:
jmp @r4
mov #0x1C,r2
! Opcode 8BB8
SBB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl4916
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4916:
jmp @r4
mov #0x1C,r2
! Opcode 8BB9
SBB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl4917
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4917:
jmp @r4
mov #0x1C,r2
! Opcodes 8BC0 - 8BC7
SBC0:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(20,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4918
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4919
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4918
mov r3,r1
neg r1,r1
nondivd4918:
cmp/pz r4
bt/s aquot4918
mov #15,r4
neg r1,r1
aquot4918:
shll16 r1
dstloop4918:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4918
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-122,r7
shll2 r0
cmp/pl r7
bt/s fdl4920
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4920:
jmp @r4
mov #0x1C,r2
.align 5
ov4919:
mov #0x4,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4921
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4921:
jmp @r4
mov #0x1C,r2
.align 5
ln4918:
mov.l g2_except_addr4918,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4918,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl4922
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4922:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4918: .long group_2_exception
bf_addr4918: .long basefunction
! Opcodes 8BD0 - 8BD7
SBD0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4923
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4924
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4923
mov r3,r1
neg r1,r1
nondivd4923:
cmp/pz r4
bt/s aquot4923
mov #15,r4
neg r1,r1
aquot4923:
shll16 r1
dstloop4923:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4923
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-126,r7
shll2 r0
cmp/pl r7
bt/s fdl4925
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4925:
jmp @r4
mov #0x1C,r2
.align 5
ov4924:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4926
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4926:
jmp @r4
mov #0x1C,r2
.align 5
ln4923:
mov.l g2_except_addr4923,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4923,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4927
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4927:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4923: .long group_2_exception
bf_addr4923: .long basefunction
! Opcodes 8BD8 - 8BDF
SBD8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(20,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4928
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4929
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4928
mov r3,r1
neg r1,r1
nondivd4928:
cmp/pz r4
bt/s aquot4928
mov #15,r4
neg r1,r1
aquot4928:
shll16 r1
dstloop4928:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4928
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-126,r7
shll2 r0
cmp/pl r7
bt/s fdl4930
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4930:
jmp @r4
mov #0x1C,r2
.align 5
ov4929:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4931
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4931:
jmp @r4
mov #0x1C,r2
.align 5
ln4928:
mov.l g2_except_addr4928,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4928,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4932
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4932:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4928: .long group_2_exception
bf_addr4928: .long basefunction
! Opcodes 8BE0 - 8BE7
SBE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(20,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4933
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4934
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4933
mov r3,r1
neg r1,r1
nondivd4933:
cmp/pz r4
bt/s aquot4933
mov #15,r4
neg r1,r1
aquot4933:
shll16 r1
dstloop4933:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4933
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
shll2 r0
cmp/pl r7
bt/s fdl4935
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4935:
jmp @r4
mov #0x1C,r2
.align 5
ov4934:
mov #0x4,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl4936
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4936:
jmp @r4
mov #0x1C,r2
.align 5
ln4933:
mov.l g2_except_addr4933,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4933,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl4937
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4937:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4933: .long group_2_exception
bf_addr4933: .long basefunction
! Opcodes 8BE8 - 8BEF
SBE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4938
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4939
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4938
mov r3,r1
neg r1,r1
nondivd4938:
cmp/pz r4
bt/s aquot4938
mov #15,r4
neg r1,r1
aquot4938:
shll16 r1
dstloop4938:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4938
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-2,r7
shll2 r0
cmp/pl r7
bt/s fdl4940
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4940:
jmp @r4
mov #0x1C,r2
.align 5
ov4939:
mov #0x4,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl4941
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4941:
jmp @r4
mov #0x1C,r2
.align 5
ln4938:
mov.l g2_except_addr4938,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4938,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4942
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4942:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4938: .long group_2_exception
bf_addr4938: .long basefunction
! Opcodes 8BF0 - 8BF7
SBF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4943
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4944
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4943
mov r3,r1
neg r1,r1
nondivd4943:
cmp/pz r4
bt/s aquot4943
mov #15,r4
neg r1,r1
aquot4943:
shll16 r1
dstloop4943:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4943
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl4945
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4945:
jmp @r4
mov #0x1C,r2
.align 5
ov4944:
mov #0x4,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl4946
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4946:
jmp @r4
mov #0x1C,r2
.align 5
ln4943:
mov.l g2_except_addr4943,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4943,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl4947
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4947:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4943: .long group_2_exception
bf_addr4943: .long basefunction
! Opcode 8BF8
SBF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4948
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4949
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4948
mov r3,r1
neg r1,r1
nondivd4948:
cmp/pz r4
bt/s aquot4948
mov #15,r4
neg r1,r1
aquot4948:
shll16 r1
dstloop4948:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4948
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-2,r7
shll2 r0
cmp/pl r7
bt/s fdl4950
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4950:
jmp @r4
mov #0x1C,r2
.align 5
ov4949:
mov #0x4,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl4951
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4951:
jmp @r4
mov #0x1C,r2
.align 5
ln4948:
mov.l g2_except_addr4948,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4948,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4952
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4952:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4948: .long group_2_exception
bf_addr4948: .long basefunction
! Opcode 8BF9
SBF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4953
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4954
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4953
mov r3,r1
neg r1,r1
nondivd4953:
cmp/pz r4
bt/s aquot4953
mov #15,r4
neg r1,r1
aquot4953:
shll16 r1
dstloop4953:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4953
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl4955
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4955:
jmp @r4
mov #0x1C,r2
.align 5
ov4954:
mov #0x4,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl4956
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4956:
jmp @r4
mov #0x1C,r2
.align 5
ln4953:
mov.l g2_except_addr4953,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4953,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl4957
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4957:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4953: .long group_2_exception
bf_addr4953: .long basefunction
! Opcode 8BFA
SBFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4958
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4959
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4958
mov r3,r1
neg r1,r1
nondivd4958:
cmp/pz r4
bt/s aquot4958
mov #15,r4
neg r1,r1
aquot4958:
shll16 r1
dstloop4958:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4958
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-2,r7
shll2 r0
cmp/pl r7
bt/s fdl4960
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4960:
jmp @r4
mov #0x1C,r2
.align 5
ov4959:
mov #0x4,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl4961
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4961:
jmp @r4
mov #0x1C,r2
.align 5
ln4958:
mov.l g2_except_addr4958,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4958,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl4962
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4962:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4958: .long group_2_exception
bf_addr4958: .long basefunction
! Opcode 8BFB
SBFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4963
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4964
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4963
mov r3,r1
neg r1,r1
nondivd4963:
cmp/pz r4
bt/s aquot4963
mov #15,r4
neg r1,r1
aquot4963:
shll16 r1
dstloop4963:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4963
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl4965
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4965:
jmp @r4
mov #0x1C,r2
.align 5
ov4964:
mov #0x4,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl4966
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4966:
jmp @r4
mov #0x1C,r2
.align 5
ln4963:
mov.l g2_except_addr4963,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4963,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl4967
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4967:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4963: .long group_2_exception
bf_addr4963: .long basefunction
! Opcode 8BFC
SBFC:
mov.w @r6+,r3
mov.l @(20,r13),r1
mov r3,r8
tst r8,r8
bt/s ln4968
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov4969
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd4968
mov r3,r1
neg r1,r1
nondivd4968:
cmp/pz r4
bt/s aquot4968
mov #15,r4
neg r1,r1
aquot4968:
shll16 r1
dstloop4968:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop4968
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-126,r7
shll2 r0
cmp/pl r7
bt/s fdl4970
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4970:
jmp @r4
mov #0x1C,r2
.align 5
ov4969:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl4971
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4971:
jmp @r4
mov #0x1C,r2
.align 5
ln4968:
mov.l g2_except_addr4968,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4968,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl4972
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4972:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr4968: .long group_2_exception
bf_addr4968: .long basefunction
! Opcodes 8C00 - 8C07
SC00:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl4973
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4973:
jmp @r4
mov #0x1C,r2
! Opcodes 8C10 - 8C17
SC10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4974
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4974:
jmp @r4
mov #0x1C,r2
! Opcodes 8C18 - 8C1F
SC18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4975
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4975:
jmp @r4
mov #0x1C,r2
! Opcodes 8C20 - 8C27
SC20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl4976
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4976:
jmp @r4
mov #0x1C,r2
! Opcodes 8C28 - 8C2F
SC28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4977
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4977:
jmp @r4
mov #0x1C,r2
! Opcodes 8C30 - 8C37
SC30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4978
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4978:
jmp @r4
mov #0x1C,r2
! Opcode 8C38
SC38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4979
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4979:
jmp @r4
mov #0x1C,r2
! Opcode 8C39
SC39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4980
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4980:
jmp @r4
mov #0x1C,r2
! Opcode 8C3A
SC3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4981
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4981:
jmp @r4
mov #0x1C,r2
! Opcode 8C3B
SC3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4982
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4982:
jmp @r4
mov #0x1C,r2
! Opcode 8C3C
SC3C:
mov.b @r6,r3
add #2,r6
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4983
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4983:
jmp @r4
mov #0x1C,r2
! Opcodes 8C40 - 8C47
SC40:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl4984
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4984:
jmp @r4
mov #0x1C,r2
! Opcodes 8C50 - 8C57
SC50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4985
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4985:
jmp @r4
mov #0x1C,r2
! Opcodes 8C58 - 8C5F
SC58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4986
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4986:
jmp @r4
mov #0x1C,r2
! Opcodes 8C60 - 8C67
SC60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl4987
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4987:
jmp @r4
mov #0x1C,r2
! Opcodes 8C68 - 8C6F
SC68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4988
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4988:
jmp @r4
mov #0x1C,r2
! Opcodes 8C70 - 8C77
SC70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4989
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4989:
jmp @r4
mov #0x1C,r2
! Opcode 8C78
SC78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4990
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4990:
jmp @r4
mov #0x1C,r2
! Opcode 8C79
SC79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4991
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4991:
jmp @r4
mov #0x1C,r2
! Opcode 8C7A
SC7A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl4992
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4992:
jmp @r4
mov #0x1C,r2
! Opcode 8C7B
SC7B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4993
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4993:
jmp @r4
mov #0x1C,r2
! Opcode 8C7C
SC7C:
mov.w @r6+,r3
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4994
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4994:
jmp @r4
mov #0x1C,r2
! Opcodes 8C80 - 8C87
SC80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(24,r13),r1
or r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl4995
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4995:
jmp @r4
mov #0x1C,r2
! Opcodes 8C90 - 8C97
SC90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
or r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4996
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4996:
jmp @r4
mov #0x1C,r2
! Opcodes 8C98 - 8C9F
SC98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(24,r13),r1
or r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl4997
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4997:
jmp @r4
mov #0x1C,r2
! Opcodes 8CA0 - 8CA7
SCA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(24,r13),r1
or r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl4998
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4998:
jmp @r4
mov #0x1C,r2
! Opcodes 8CA8 - 8CAF
SCA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
or r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl4999
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl4999:
jmp @r4
mov #0x1C,r2
! Opcodes 8CB0 - 8CB7
SCB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
or r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5000
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5000:
jmp @r4
mov #0x1C,r2
! Opcode 8CB8
SCB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
or r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5001
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5001:
jmp @r4
mov #0x1C,r2
! Opcode 8CB9
SCB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
or r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl5002
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5002:
jmp @r4
mov #0x1C,r2
! Opcode 8CBA
SCBA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
or r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5003
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5003:
jmp @r4
mov #0x1C,r2
! Opcode 8CBB
SCBB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
or r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5004
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5004:
jmp @r4
mov #0x1C,r2
! Opcode 8CBC
SCBC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(24,r13),r1
or r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5005
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5005:
jmp @r4
mov #0x1C,r2
! Opcodes 8CC0 - 8CC7
SCC0:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(24,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5006
shll16 r3
cmp/hs r3,r1
bt ov5007
mov #15,r4
mov r1,r0
shll r0
detloop5006:
cmp/hs r3,r0
bf/s nsbhd5006
add #-4,r7
sub r3,r0
add #2,r7
nsbhd5006:
dt r4
bf/s detloop5006
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-76,r7
shll2 r0
cmp/pl r7
bt/s fdl5008
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5008:
jmp @r4
mov #0x1C,r2
.align 5
ov5007:
mov #0x4,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl5009
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5009:
jmp @r4
mov #0x1C,r2
.align 5
ln5006:
mov.l g2_except_addr5006,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5006,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl5010
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5010:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5006: .long group_2_exception
bf_addr5006: .long basefunction
! Opcodes 8CD0 - 8CD7
SCD0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5011
shll16 r3
cmp/hs r3,r1
bt ov5012
mov #15,r4
mov r1,r0
shll r0
detloop5011:
cmp/hs r3,r0
bf/s nsbhd5011
add #-4,r7
sub r3,r0
add #2,r7
nsbhd5011:
dt r4
bf/s detloop5011
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-80,r7
shll2 r0
cmp/pl r7
bt/s fdl5013
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5013:
jmp @r4
mov #0x1C,r2
.align 5
ov5012:
mov #0x4,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5014
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5014:
jmp @r4
mov #0x1C,r2
.align 5
ln5011:
mov.l g2_except_addr5011,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5011,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl5015
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5015:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5011: .long group_2_exception
bf_addr5011: .long basefunction
! Opcodes 8CD8 - 8CDF
SCD8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(24,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5016
shll16 r3
cmp/hs r3,r1
bt ov5017
mov #15,r4
mov r1,r0
shll r0
detloop5016:
cmp/hs r3,r0
bf/s nsbhd5016
add #-4,r7
sub r3,r0
add #2,r7
nsbhd5016:
dt r4
bf/s detloop5016
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-80,r7
shll2 r0
cmp/pl r7
bt/s fdl5018
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5018:
jmp @r4
mov #0x1C,r2
.align 5
ov5017:
mov #0x4,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5019
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5019:
jmp @r4
mov #0x1C,r2
.align 5
ln5016:
mov.l g2_except_addr5016,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5016,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl5020
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5020:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5016: .long group_2_exception
bf_addr5016: .long basefunction
! Opcodes 8CE0 - 8CE7
SCE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(24,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5021
shll16 r3
cmp/hs r3,r1
bt ov5022
mov #15,r4
mov r1,r0
shll r0
detloop5021:
cmp/hs r3,r0
bf/s nsbhd5021
add #-4,r7
sub r3,r0
add #2,r7
nsbhd5021:
dt r4
bf/s detloop5021
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-82,r7
shll2 r0
cmp/pl r7
bt/s fdl5023
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5023:
jmp @r4
mov #0x1C,r2
.align 5
ov5022:
mov #0x4,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5024
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5024:
jmp @r4
mov #0x1C,r2
.align 5
ln5021:
mov.l g2_except_addr5021,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5021,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl5025
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5025:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5021: .long group_2_exception
bf_addr5021: .long basefunction
! Opcodes 8CE8 - 8CEF
SCE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5026
shll16 r3
cmp/hs r3,r1
bt ov5027
mov #15,r4
mov r1,r0
shll r0
detloop5026:
cmp/hs r3,r0
bf/s nsbhd5026
add #-4,r7
sub r3,r0
add #2,r7
nsbhd5026:
dt r4
bf/s detloop5026
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-84,r7
shll2 r0
cmp/pl r7
bt/s fdl5028
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5028:
jmp @r4
mov #0x1C,r2
.align 5
ov5027:
mov #0x4,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5029
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5029:
jmp @r4
mov #0x1C,r2
.align 5
ln5026:
mov.l g2_except_addr5026,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5026,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl5030
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5030:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5026: .long group_2_exception
bf_addr5026: .long basefunction
! Opcodes 8CF0 - 8CF7
SCF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5031
shll16 r3
cmp/hs r3,r1
bt ov5032
mov #15,r4
mov r1,r0
shll r0
detloop5031:
cmp/hs r3,r0
bf/s nsbhd5031
add #-4,r7
sub r3,r0
add #2,r7
nsbhd5031:
dt r4
bf/s detloop5031
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-86,r7
shll2 r0
cmp/pl r7
bt/s fdl5033
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5033:
jmp @r4
mov #0x1C,r2
.align 5
ov5032:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5034
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5034:
jmp @r4
mov #0x1C,r2
.align 5
ln5031:
mov.l g2_except_addr5031,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5031,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl5035
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5035:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5031: .long group_2_exception
bf_addr5031: .long basefunction
! Opcode 8CF8
SCF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5036
shll16 r3
cmp/hs r3,r1
bt ov5037
mov #15,r4
mov r1,r0
shll r0
detloop5036:
cmp/hs r3,r0
bf/s nsbhd5036
add #-4,r7
sub r3,r0
add #2,r7
nsbhd5036:
dt r4
bf/s detloop5036
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-84,r7
shll2 r0
cmp/pl r7
bt/s fdl5038
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5038:
jmp @r4
mov #0x1C,r2
.align 5
ov5037:
mov #0x4,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5039
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5039:
jmp @r4
mov #0x1C,r2
.align 5
ln5036:
mov.l g2_except_addr5036,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5036,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl5040
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5040:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5036: .long group_2_exception
bf_addr5036: .long basefunction
! Opcode 8CF9
SCF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5041
shll16 r3
cmp/hs r3,r1
bt ov5042
mov #15,r4
mov r1,r0
shll r0
detloop5041:
cmp/hs r3,r0
bf/s nsbhd5041
add #-4,r7
sub r3,r0
add #2,r7
nsbhd5041:
dt r4
bf/s detloop5041
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-88,r7
shll2 r0
cmp/pl r7
bt/s fdl5043
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5043:
jmp @r4
mov #0x1C,r2
.align 5
ov5042:
mov #0x4,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl5044
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5044:
jmp @r4
mov #0x1C,r2
.align 5
ln5041:
mov.l g2_except_addr5041,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5041,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl5045
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5045:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5041: .long group_2_exception
bf_addr5041: .long basefunction
! Opcode 8CFA
SCFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5046
shll16 r3
cmp/hs r3,r1
bt ov5047
mov #15,r4
mov r1,r0
shll r0
detloop5046:
cmp/hs r3,r0
bf/s nsbhd5046
add #-4,r7
sub r3,r0
add #2,r7
nsbhd5046:
dt r4
bf/s detloop5046
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-84,r7
shll2 r0
cmp/pl r7
bt/s fdl5048
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5048:
jmp @r4
mov #0x1C,r2
.align 5
ov5047:
mov #0x4,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5049
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5049:
jmp @r4
mov #0x1C,r2
.align 5
ln5046:
mov.l g2_except_addr5046,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5046,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl5050
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5050:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5046: .long group_2_exception
bf_addr5046: .long basefunction
! Opcode 8CFB
SCFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5051
shll16 r3
cmp/hs r3,r1
bt ov5052
mov #15,r4
mov r1,r0
shll r0
detloop5051:
cmp/hs r3,r0
bf/s nsbhd5051
add #-4,r7
sub r3,r0
add #2,r7
nsbhd5051:
dt r4
bf/s detloop5051
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-86,r7
shll2 r0
cmp/pl r7
bt/s fdl5053
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5053:
jmp @r4
mov #0x1C,r2
.align 5
ov5052:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5054
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5054:
jmp @r4
mov #0x1C,r2
.align 5
ln5051:
mov.l g2_except_addr5051,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5051,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl5055
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5055:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5051: .long group_2_exception
bf_addr5051: .long basefunction
! Opcode 8CFC
SCFC:
mov.w @r6+,r3
mov.l @(24,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5056
shll16 r3
cmp/hs r3,r1
bt ov5057
mov #15,r4
mov r1,r0
shll r0
detloop5056:
cmp/hs r3,r0
bf/s nsbhd5056
add #-4,r7
sub r3,r0
add #2,r7
nsbhd5056:
dt r4
bf/s detloop5056
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-80,r7
shll2 r0
cmp/pl r7
bt/s fdl5058
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5058:
jmp @r4
mov #0x1C,r2
.align 5
ov5057:
mov #0x4,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5059
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5059:
jmp @r4
mov #0x1C,r2
.align 5
ln5056:
mov.l g2_except_addr5056,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5056,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl5060
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5060:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5056: .long group_2_exception
bf_addr5056: .long basefunction
! Opcodes 8D00 - 8D07
SD00:
and r0,r2
mov r3,r4
mov #24,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd5061
add #-6,r8
.nonibadd5061:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop5061
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop5061:
exts.b r3,r3
mov r9,r8
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5062
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5062:
jmp @r4
mov #0x1C,r2
! Opcodes 8D08 - 8D0F
SD08:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(56,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd5063
add #-6,r8
.nonibadd5063:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop5063
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop5063:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5064
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5064:
jmp @r4
mov #0x1C,r2
! Opcodes 8D10 - 8D17
SD10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5065
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5065:
jmp @r4
mov #0x1C,r2
! Opcodes 8D18 - 8D1F
SD18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5066
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5066:
jmp @r4
mov #0x1C,r2
! Opcodes 8D20 - 8D27
SD20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5067
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5067:
jmp @r4
mov #0x1C,r2
! Opcodes 8D28 - 8D2F
SD28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5068
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5068:
jmp @r4
mov #0x1C,r2
! Opcodes 8D30 - 8D37
SD30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5069
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5069:
jmp @r4
mov #0x1C,r2
! Opcode 8D38
SD38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5070
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5070:
jmp @r4
mov #0x1C,r2
! Opcode 8D39
SD39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5071
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5071:
jmp @r4
mov #0x1C,r2
! Opcodes 8D50 - 8D57
SD50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5072
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5072:
jmp @r4
mov #0x1C,r2
! Opcodes 8D58 - 8D5F
SD58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5073
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5073:
jmp @r4
mov #0x1C,r2
! Opcodes 8D60 - 8D67
SD60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5074
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5074:
jmp @r4
mov #0x1C,r2
! Opcodes 8D68 - 8D6F
SD68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5075
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5075:
jmp @r4
mov #0x1C,r2
! Opcodes 8D70 - 8D77
SD70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5076
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5076:
jmp @r4
mov #0x1C,r2
! Opcode 8D78
SD78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5077
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5077:
jmp @r4
mov #0x1C,r2
! Opcode 8D79
SD79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5078
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5078:
jmp @r4
mov #0x1C,r2
! Opcodes 8D90 - 8D97
SD90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5079
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5079:
jmp @r4
mov #0x1C,r2
! Opcodes 8D98 - 8D9F
SD98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5080
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5080:
jmp @r4
mov #0x1C,r2
! Opcodes 8DA0 - 8DA7
SDA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl5081
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5081:
jmp @r4
mov #0x1C,r2
! Opcodes 8DA8 - 8DAF
SDA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl5082
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5082:
jmp @r4
mov #0x1C,r2
! Opcodes 8DB0 - 8DB7
SDB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl5083
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5083:
jmp @r4
mov #0x1C,r2
! Opcode 8DB8
SDB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl5084
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5084:
jmp @r4
mov #0x1C,r2
! Opcode 8DB9
SDB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl5085
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5085:
jmp @r4
mov #0x1C,r2
! Opcodes 8DC0 - 8DC7
SDC0:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(24,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5086
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov5087
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd5086
mov r3,r1
neg r1,r1
nondivd5086:
cmp/pz r4
bt/s aquot5086
mov #15,r4
neg r1,r1
aquot5086:
shll16 r1
dstloop5086:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop5086
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-122,r7
shll2 r0
cmp/pl r7
bt/s fdl5088
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5088:
jmp @r4
mov #0x1C,r2
.align 5
ov5087:
mov #0x4,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5089
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5089:
jmp @r4
mov #0x1C,r2
.align 5
ln5086:
mov.l g2_except_addr5086,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5086,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl5090
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5090:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5086: .long group_2_exception
bf_addr5086: .long basefunction
! Opcodes 8DD0 - 8DD7
SDD0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5091
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov5092
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd5091
mov r3,r1
neg r1,r1
nondivd5091:
cmp/pz r4
bt/s aquot5091
mov #15,r4
neg r1,r1
aquot5091:
shll16 r1
dstloop5091:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop5091
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-126,r7
shll2 r0
cmp/pl r7
bt/s fdl5093
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5093:
jmp @r4
mov #0x1C,r2
.align 5
ov5092:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5094
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5094:
jmp @r4
mov #0x1C,r2
.align 5
ln5091:
mov.l g2_except_addr5091,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5091,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl5095
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5095:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5091: .long group_2_exception
bf_addr5091: .long basefunction
! Opcodes 8DD8 - 8DDF
SDD8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(24,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5096
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov5097
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd5096
mov r3,r1
neg r1,r1
nondivd5096:
cmp/pz r4
bt/s aquot5096
mov #15,r4
neg r1,r1
aquot5096:
shll16 r1
dstloop5096:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop5096
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-126,r7
shll2 r0
cmp/pl r7
bt/s fdl5098
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5098:
jmp @r4
mov #0x1C,r2
.align 5
ov5097:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5099
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5099:
jmp @r4
mov #0x1C,r2
.align 5
ln5096:
mov.l g2_except_addr5096,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5096,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl5100
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5100:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5096: .long group_2_exception
bf_addr5096: .long basefunction
! Opcodes 8DE0 - 8DE7
SDE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(24,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5101
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov5102
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd5101
mov r3,r1
neg r1,r1
nondivd5101:
cmp/pz r4
bt/s aquot5101
mov #15,r4
neg r1,r1
aquot5101:
shll16 r1
dstloop5101:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop5101
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
shll2 r0
cmp/pl r7
bt/s fdl5103
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5103:
jmp @r4
mov #0x1C,r2
.align 5
ov5102:
mov #0x4,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl5104
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5104:
jmp @r4
mov #0x1C,r2
.align 5
ln5101:
mov.l g2_except_addr5101,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5101,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl5105
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5105:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5101: .long group_2_exception
bf_addr5101: .long basefunction
! Opcodes 8DE8 - 8DEF
SDE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5106
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov5107
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd5106
mov r3,r1
neg r1,r1
nondivd5106:
cmp/pz r4
bt/s aquot5106
mov #15,r4
neg r1,r1
aquot5106:
shll16 r1
dstloop5106:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop5106
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-2,r7
shll2 r0
cmp/pl r7
bt/s fdl5108
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5108:
jmp @r4
mov #0x1C,r2
.align 5
ov5107:
mov #0x4,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl5109
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5109:
jmp @r4
mov #0x1C,r2
.align 5
ln5106:
mov.l g2_except_addr5106,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5106,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl5110
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5110:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5106: .long group_2_exception
bf_addr5106: .long basefunction
! Opcodes 8DF0 - 8DF7
SDF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5111
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov5112
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd5111
mov r3,r1
neg r1,r1
nondivd5111:
cmp/pz r4
bt/s aquot5111
mov #15,r4
neg r1,r1
aquot5111:
shll16 r1
dstloop5111:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop5111
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5113
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5113:
jmp @r4
mov #0x1C,r2
.align 5
ov5112:
mov #0x4,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl5114
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5114:
jmp @r4
mov #0x1C,r2
.align 5
ln5111:
mov.l g2_except_addr5111,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5111,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl5115
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5115:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5111: .long group_2_exception
bf_addr5111: .long basefunction
! Opcode 8DF8
SDF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5116
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov5117
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd5116
mov r3,r1
neg r1,r1
nondivd5116:
cmp/pz r4
bt/s aquot5116
mov #15,r4
neg r1,r1
aquot5116:
shll16 r1
dstloop5116:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop5116
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-2,r7
shll2 r0
cmp/pl r7
bt/s fdl5118
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5118:
jmp @r4
mov #0x1C,r2
.align 5
ov5117:
mov #0x4,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl5119
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5119:
jmp @r4
mov #0x1C,r2
.align 5
ln5116:
mov.l g2_except_addr5116,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5116,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl5120
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5120:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5116: .long group_2_exception
bf_addr5116: .long basefunction
! Opcode 8DF9
SDF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5121
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov5122
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd5121
mov r3,r1
neg r1,r1
nondivd5121:
cmp/pz r4
bt/s aquot5121
mov #15,r4
neg r1,r1
aquot5121:
shll16 r1
dstloop5121:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop5121
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl5123
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5123:
jmp @r4
mov #0x1C,r2
.align 5
ov5122:
mov #0x4,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl5124
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5124:
jmp @r4
mov #0x1C,r2
.align 5
ln5121:
mov.l g2_except_addr5121,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5121,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl5125
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5125:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5121: .long group_2_exception
bf_addr5121: .long basefunction
! Opcode 8DFA
SDFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5126
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov5127
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd5126
mov r3,r1
neg r1,r1
nondivd5126:
cmp/pz r4
bt/s aquot5126
mov #15,r4
neg r1,r1
aquot5126:
shll16 r1
dstloop5126:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop5126
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-2,r7
shll2 r0
cmp/pl r7
bt/s fdl5128
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5128:
jmp @r4
mov #0x1C,r2
.align 5
ov5127:
mov #0x4,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl5129
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5129:
jmp @r4
mov #0x1C,r2
.align 5
ln5126:
mov.l g2_except_addr5126,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5126,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl5130
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5130:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5126: .long group_2_exception
bf_addr5126: .long basefunction
! Opcode 8DFB
SDFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5131
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov5132
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd5131
mov r3,r1
neg r1,r1
nondivd5131:
cmp/pz r4
bt/s aquot5131
mov #15,r4
neg r1,r1
aquot5131:
shll16 r1
dstloop5131:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop5131
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5133
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5133:
jmp @r4
mov #0x1C,r2
.align 5
ov5132:
mov #0x4,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl5134
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5134:
jmp @r4
mov #0x1C,r2
.align 5
ln5131:
mov.l g2_except_addr5131,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5131,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl5135
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5135:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5131: .long group_2_exception
bf_addr5131: .long basefunction
! Opcode 8DFC
SDFC:
mov.w @r6+,r3
mov.l @(24,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5136
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov5137
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd5136
mov r3,r1
neg r1,r1
nondivd5136:
cmp/pz r4
bt/s aquot5136
mov #15,r4
neg r1,r1
aquot5136:
shll16 r1
dstloop5136:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop5136
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-126,r7
shll2 r0
cmp/pl r7
bt/s fdl5138
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5138:
jmp @r4
mov #0x1C,r2
.align 5
ov5137:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5139
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5139:
jmp @r4
mov #0x1C,r2
.align 5
ln5136:
mov.l g2_except_addr5136,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5136,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl5140
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5140:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5136: .long group_2_exception
bf_addr5136: .long basefunction
! Opcodes 8E00 - 8E07
SE00:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5141
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5141:
jmp @r4
mov #0x1C,r2
! Opcodes 8E10 - 8E17
SE10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5142
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5142:
jmp @r4
mov #0x1C,r2
! Opcodes 8E18 - 8E1F
SE18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5143
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5143:
jmp @r4
mov #0x1C,r2
! Opcodes 8E20 - 8E27
SE20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl5144
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5144:
jmp @r4
mov #0x1C,r2
! Opcodes 8E28 - 8E2F
SE28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5145
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5145:
jmp @r4
mov #0x1C,r2
! Opcodes 8E30 - 8E37
SE30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5146
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5146:
jmp @r4
mov #0x1C,r2
! Opcode 8E38
SE38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5147
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5147:
jmp @r4
mov #0x1C,r2
! Opcode 8E39
SE39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5148
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5148:
jmp @r4
mov #0x1C,r2
! Opcode 8E3A
SE3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5149
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5149:
jmp @r4
mov #0x1C,r2
! Opcode 8E3B
SE3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5150
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5150:
jmp @r4
mov #0x1C,r2
! Opcode 8E3C
SE3C:
mov.b @r6,r3
add #2,r6
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5151
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5151:
jmp @r4
mov #0x1C,r2
! Opcodes 8E40 - 8E47
SE40:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5152
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5152:
jmp @r4
mov #0x1C,r2
! Opcodes 8E50 - 8E57
SE50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5153
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5153:
jmp @r4
mov #0x1C,r2
! Opcodes 8E58 - 8E5F
SE58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5154
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5154:
jmp @r4
mov #0x1C,r2
! Opcodes 8E60 - 8E67
SE60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl5155
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5155:
jmp @r4
mov #0x1C,r2
! Opcodes 8E68 - 8E6F
SE68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5156
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5156:
jmp @r4
mov #0x1C,r2
! Opcodes 8E70 - 8E77
SE70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5157
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5157:
jmp @r4
mov #0x1C,r2
! Opcode 8E78
SE78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5158
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5158:
jmp @r4
mov #0x1C,r2
! Opcode 8E79
SE79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5159
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5159:
jmp @r4
mov #0x1C,r2
! Opcode 8E7A
SE7A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5160
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5160:
jmp @r4
mov #0x1C,r2
! Opcode 8E7B
SE7B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5161
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5161:
jmp @r4
mov #0x1C,r2
! Opcode 8E7C
SE7C:
mov.w @r6+,r3
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5162
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5162:
jmp @r4
mov #0x1C,r2
! Opcodes 8E80 - 8E87
SE80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(28,r13),r1
or r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5163
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5163:
jmp @r4
mov #0x1C,r2
! Opcodes 8E90 - 8E97
SE90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
or r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5164
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5164:
jmp @r4
mov #0x1C,r2
! Opcodes 8E98 - 8E9F
SE98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(28,r13),r1
or r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5165
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5165:
jmp @r4
mov #0x1C,r2
! Opcodes 8EA0 - 8EA7
SEA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(28,r13),r1
or r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5166
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5166:
jmp @r4
mov #0x1C,r2
! Opcodes 8EA8 - 8EAF
SEA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
or r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5167
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5167:
jmp @r4
mov #0x1C,r2
! Opcodes 8EB0 - 8EB7
SEB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
or r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5168
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5168:
jmp @r4
mov #0x1C,r2
! Opcode 8EB8
SEB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
or r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5169
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5169:
jmp @r4
mov #0x1C,r2
! Opcode 8EB9
SEB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
or r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl5170
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5170:
jmp @r4
mov #0x1C,r2
! Opcode 8EBA
SEBA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
or r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5171
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5171:
jmp @r4
mov #0x1C,r2
! Opcode 8EBB
SEBB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
or r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5172
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5172:
jmp @r4
mov #0x1C,r2
! Opcode 8EBC
SEBC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(28,r13),r1
or r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5173
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5173:
jmp @r4
mov #0x1C,r2
! Opcodes 8EC0 - 8EC7
SEC0:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(28,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5174
shll16 r3
cmp/hs r3,r1
bt ov5175
mov #15,r4
mov r1,r0
shll r0
detloop5174:
cmp/hs r3,r0
bf/s nsbhd5174
add #-4,r7
sub r3,r0
add #2,r7
nsbhd5174:
dt r4
bf/s detloop5174
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-76,r7
shll2 r0
cmp/pl r7
bt/s fdl5176
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5176:
jmp @r4
mov #0x1C,r2
.align 5
ov5175:
mov #0x4,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl5177
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5177:
jmp @r4
mov #0x1C,r2
.align 5
ln5174:
mov.l g2_except_addr5174,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5174,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl5178
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5178:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5174: .long group_2_exception
bf_addr5174: .long basefunction
! Opcodes 8ED0 - 8ED7
SED0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5179
shll16 r3
cmp/hs r3,r1
bt ov5180
mov #15,r4
mov r1,r0
shll r0
detloop5179:
cmp/hs r3,r0
bf/s nsbhd5179
add #-4,r7
sub r3,r0
add #2,r7
nsbhd5179:
dt r4
bf/s detloop5179
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-80,r7
shll2 r0
cmp/pl r7
bt/s fdl5181
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5181:
jmp @r4
mov #0x1C,r2
.align 5
ov5180:
mov #0x4,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5182
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5182:
jmp @r4
mov #0x1C,r2
.align 5
ln5179:
mov.l g2_except_addr5179,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5179,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl5183
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5183:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5179: .long group_2_exception
bf_addr5179: .long basefunction
! Opcodes 8ED8 - 8EDF
SED8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(28,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5184
shll16 r3
cmp/hs r3,r1
bt ov5185
mov #15,r4
mov r1,r0
shll r0
detloop5184:
cmp/hs r3,r0
bf/s nsbhd5184
add #-4,r7
sub r3,r0
add #2,r7
nsbhd5184:
dt r4
bf/s detloop5184
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-80,r7
shll2 r0
cmp/pl r7
bt/s fdl5186
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5186:
jmp @r4
mov #0x1C,r2
.align 5
ov5185:
mov #0x4,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5187
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5187:
jmp @r4
mov #0x1C,r2
.align 5
ln5184:
mov.l g2_except_addr5184,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5184,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl5188
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5188:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5184: .long group_2_exception
bf_addr5184: .long basefunction
! Opcodes 8EE0 - 8EE7
SEE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(28,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5189
shll16 r3
cmp/hs r3,r1
bt ov5190
mov #15,r4
mov r1,r0
shll r0
detloop5189:
cmp/hs r3,r0
bf/s nsbhd5189
add #-4,r7
sub r3,r0
add #2,r7
nsbhd5189:
dt r4
bf/s detloop5189
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-82,r7
shll2 r0
cmp/pl r7
bt/s fdl5191
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5191:
jmp @r4
mov #0x1C,r2
.align 5
ov5190:
mov #0x4,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5192
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5192:
jmp @r4
mov #0x1C,r2
.align 5
ln5189:
mov.l g2_except_addr5189,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5189,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl5193
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5193:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5189: .long group_2_exception
bf_addr5189: .long basefunction
! Opcodes 8EE8 - 8EEF
SEE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5194
shll16 r3
cmp/hs r3,r1
bt ov5195
mov #15,r4
mov r1,r0
shll r0
detloop5194:
cmp/hs r3,r0
bf/s nsbhd5194
add #-4,r7
sub r3,r0
add #2,r7
nsbhd5194:
dt r4
bf/s detloop5194
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-84,r7
shll2 r0
cmp/pl r7
bt/s fdl5196
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5196:
jmp @r4
mov #0x1C,r2
.align 5
ov5195:
mov #0x4,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5197
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5197:
jmp @r4
mov #0x1C,r2
.align 5
ln5194:
mov.l g2_except_addr5194,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5194,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl5198
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5198:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5194: .long group_2_exception
bf_addr5194: .long basefunction
! Opcodes 8EF0 - 8EF7
SEF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5199
shll16 r3
cmp/hs r3,r1
bt ov5200
mov #15,r4
mov r1,r0
shll r0
detloop5199:
cmp/hs r3,r0
bf/s nsbhd5199
add #-4,r7
sub r3,r0
add #2,r7
nsbhd5199:
dt r4
bf/s detloop5199
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-86,r7
shll2 r0
cmp/pl r7
bt/s fdl5201
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5201:
jmp @r4
mov #0x1C,r2
.align 5
ov5200:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5202
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5202:
jmp @r4
mov #0x1C,r2
.align 5
ln5199:
mov.l g2_except_addr5199,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5199,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl5203
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5203:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5199: .long group_2_exception
bf_addr5199: .long basefunction
! Opcode 8EF8
SEF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5204
shll16 r3
cmp/hs r3,r1
bt ov5205
mov #15,r4
mov r1,r0
shll r0
detloop5204:
cmp/hs r3,r0
bf/s nsbhd5204
add #-4,r7
sub r3,r0
add #2,r7
nsbhd5204:
dt r4
bf/s detloop5204
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-84,r7
shll2 r0
cmp/pl r7
bt/s fdl5206
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5206:
jmp @r4
mov #0x1C,r2
.align 5
ov5205:
mov #0x4,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5207
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5207:
jmp @r4
mov #0x1C,r2
.align 5
ln5204:
mov.l g2_except_addr5204,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5204,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl5208
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5208:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5204: .long group_2_exception
bf_addr5204: .long basefunction
! Opcode 8EF9
SEF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5209
shll16 r3
cmp/hs r3,r1
bt ov5210
mov #15,r4
mov r1,r0
shll r0
detloop5209:
cmp/hs r3,r0
bf/s nsbhd5209
add #-4,r7
sub r3,r0
add #2,r7
nsbhd5209:
dt r4
bf/s detloop5209
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-88,r7
shll2 r0
cmp/pl r7
bt/s fdl5211
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5211:
jmp @r4
mov #0x1C,r2
.align 5
ov5210:
mov #0x4,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl5212
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5212:
jmp @r4
mov #0x1C,r2
.align 5
ln5209:
mov.l g2_except_addr5209,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5209,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl5213
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5213:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5209: .long group_2_exception
bf_addr5209: .long basefunction
! Opcode 8EFA
SEFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5214
shll16 r3
cmp/hs r3,r1
bt ov5215
mov #15,r4
mov r1,r0
shll r0
detloop5214:
cmp/hs r3,r0
bf/s nsbhd5214
add #-4,r7
sub r3,r0
add #2,r7
nsbhd5214:
dt r4
bf/s detloop5214
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-84,r7
shll2 r0
cmp/pl r7
bt/s fdl5216
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5216:
jmp @r4
mov #0x1C,r2
.align 5
ov5215:
mov #0x4,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5217
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5217:
jmp @r4
mov #0x1C,r2
.align 5
ln5214:
mov.l g2_except_addr5214,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5214,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl5218
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5218:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5214: .long group_2_exception
bf_addr5214: .long basefunction
! Opcode 8EFB
SEFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5219
shll16 r3
cmp/hs r3,r1
bt ov5220
mov #15,r4
mov r1,r0
shll r0
detloop5219:
cmp/hs r3,r0
bf/s nsbhd5219
add #-4,r7
sub r3,r0
add #2,r7
nsbhd5219:
dt r4
bf/s detloop5219
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-86,r7
shll2 r0
cmp/pl r7
bt/s fdl5221
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5221:
jmp @r4
mov #0x1C,r2
.align 5
ov5220:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5222
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5222:
jmp @r4
mov #0x1C,r2
.align 5
ln5219:
mov.l g2_except_addr5219,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5219,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl5223
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5223:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5219: .long group_2_exception
bf_addr5219: .long basefunction
! Opcode 8EFC
SEFC:
mov.w @r6+,r3
mov.l @(28,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5224
shll16 r3
cmp/hs r3,r1
bt ov5225
mov #15,r4
mov r1,r0
shll r0
detloop5224:
cmp/hs r3,r0
bf/s nsbhd5224
add #-4,r7
sub r3,r0
add #2,r7
nsbhd5224:
dt r4
bf/s detloop5224
shll r0
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-80,r7
shll2 r0
cmp/pl r7
bt/s fdl5226
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5226:
jmp @r4
mov #0x1C,r2
.align 5
ov5225:
mov #0x4,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5227
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5227:
jmp @r4
mov #0x1C,r2
.align 5
ln5224:
mov.l g2_except_addr5224,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5224,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl5228
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5228:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5224: .long group_2_exception
bf_addr5224: .long basefunction
! Opcodes 8F00 - 8F07
SF00:
and r0,r2
mov r3,r4
mov #28,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd5229
add #-6,r8
.nonibadd5229:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop5229
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop5229:
exts.b r3,r3
mov r9,r8
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5230
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5230:
jmp @r4
mov #0x1C,r2
! Opcodes 8F08 - 8F0F
SF08:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(60,r13),r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd5231
add #-6,r8
.nonibadd5231:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop5231
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop5231:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5232
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5232:
jmp @r4
mov #0x1C,r2
! Opcodes 8F10 - 8F17
SF10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5233
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5233:
jmp @r4
mov #0x1C,r2
! Opcodes 8F18 - 8F1F
SF18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5234
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5234:
jmp @r4
mov #0x1C,r2
! Opcodes 8F20 - 8F27
SF20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5235
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5235:
jmp @r4
mov #0x1C,r2
! Opcodes 8F28 - 8F2F
SF28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5236
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5236:
jmp @r4
mov #0x1C,r2
! Opcodes 8F30 - 8F37
SF30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5237
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5237:
jmp @r4
mov #0x1C,r2
! Opcode 8F38
SF38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5238
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5238:
jmp @r4
mov #0x1C,r2
! Opcode 8F39
SF39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5239
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5239:
jmp @r4
mov #0x1C,r2
! Opcodes 8F50 - 8F57
SF50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5240
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5240:
jmp @r4
mov #0x1C,r2
! Opcodes 8F58 - 8F5F
SF58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5241
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5241:
jmp @r4
mov #0x1C,r2
! Opcodes 8F60 - 8F67
SF60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5242
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5242:
jmp @r4
mov #0x1C,r2
! Opcodes 8F68 - 8F6F
SF68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5243
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5243:
jmp @r4
mov #0x1C,r2
! Opcodes 8F70 - 8F77
SF70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5244
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5244:
jmp @r4
mov #0x1C,r2
! Opcode 8F78
SF78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5245
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5245:
jmp @r4
mov #0x1C,r2
! Opcode 8F79
SF79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5246
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5246:
jmp @r4
mov #0x1C,r2
! Opcodes 8F90 - 8F97
SF90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5247
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5247:
jmp @r4
mov #0x1C,r2
! Opcodes 8F98 - 8F9F
SF98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5248
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5248:
jmp @r4
mov #0x1C,r2
! Opcodes 8FA0 - 8FA7
SFA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl5249
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5249:
jmp @r4
mov #0x1C,r2
! Opcodes 8FA8 - 8FAF
SFA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl5250
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5250:
jmp @r4
mov #0x1C,r2
! Opcodes 8FB0 - 8FB7
SFB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl5251
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5251:
jmp @r4
mov #0x1C,r2
! Opcode 8FB8
SFB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl5252
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5252:
jmp @r4
mov #0x1C,r2
! Opcode 8FB9
SFB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl5253
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5253:
jmp @r4
mov #0x1C,r2
! Opcodes 8FC0 - 8FC7
SFC0:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.l @(28,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5254
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov5255
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd5254
mov r3,r1
neg r1,r1
nondivd5254:
cmp/pz r4
bt/s aquot5254
mov #15,r4
neg r1,r1
aquot5254:
shll16 r1
dstloop5254:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop5254
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-122,r7
shll2 r0
cmp/pl r7
bt/s fdl5256
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5256:
jmp @r4
mov #0x1C,r2
.align 5
ov5255:
mov #0x4,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5257
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5257:
jmp @r4
mov #0x1C,r2
.align 5
ln5254:
mov.l g2_except_addr5254,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5254,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl5258
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5258:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5254: .long group_2_exception
bf_addr5254: .long basefunction
! Opcodes 8FD0 - 8FD7
SFD0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5259
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov5260
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd5259
mov r3,r1
neg r1,r1
nondivd5259:
cmp/pz r4
bt/s aquot5259
mov #15,r4
neg r1,r1
aquot5259:
shll16 r1
dstloop5259:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop5259
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-126,r7
shll2 r0
cmp/pl r7
bt/s fdl5261
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5261:
jmp @r4
mov #0x1C,r2
.align 5
ov5260:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5262
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5262:
jmp @r4
mov #0x1C,r2
.align 5
ln5259:
mov.l g2_except_addr5259,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5259,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl5263
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5263:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5259: .long group_2_exception
bf_addr5259: .long basefunction
! Opcodes 8FD8 - 8FDF
SFD8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(28,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5264
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov5265
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd5264
mov r3,r1
neg r1,r1
nondivd5264:
cmp/pz r4
bt/s aquot5264
mov #15,r4
neg r1,r1
aquot5264:
shll16 r1
dstloop5264:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop5264
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-126,r7
shll2 r0
cmp/pl r7
bt/s fdl5266
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5266:
jmp @r4
mov #0x1C,r2
.align 5
ov5265:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5267
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5267:
jmp @r4
mov #0x1C,r2
.align 5
ln5264:
mov.l g2_except_addr5264,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5264,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl5268
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5268:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5264: .long group_2_exception
bf_addr5264: .long basefunction
! Opcodes 8FE0 - 8FE7
SFE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(28,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5269
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov5270
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd5269
mov r3,r1
neg r1,r1
nondivd5269:
cmp/pz r4
bt/s aquot5269
mov #15,r4
neg r1,r1
aquot5269:
shll16 r1
dstloop5269:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop5269
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
shll2 r0
cmp/pl r7
bt/s fdl5271
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5271:
jmp @r4
mov #0x1C,r2
.align 5
ov5270:
mov #0x4,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl5272
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5272:
jmp @r4
mov #0x1C,r2
.align 5
ln5269:
mov.l g2_except_addr5269,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5269,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl5273
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5273:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5269: .long group_2_exception
bf_addr5269: .long basefunction
! Opcodes 8FE8 - 8FEF
SFE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5274
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov5275
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd5274
mov r3,r1
neg r1,r1
nondivd5274:
cmp/pz r4
bt/s aquot5274
mov #15,r4
neg r1,r1
aquot5274:
shll16 r1
dstloop5274:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop5274
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-2,r7
shll2 r0
cmp/pl r7
bt/s fdl5276
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5276:
jmp @r4
mov #0x1C,r2
.align 5
ov5275:
mov #0x4,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl5277
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5277:
jmp @r4
mov #0x1C,r2
.align 5
ln5274:
mov.l g2_except_addr5274,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5274,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl5278
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5278:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5274: .long group_2_exception
bf_addr5274: .long basefunction
! Opcodes 8FF0 - 8FF7
SFF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5279
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov5280
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd5279
mov r3,r1
neg r1,r1
nondivd5279:
cmp/pz r4
bt/s aquot5279
mov #15,r4
neg r1,r1
aquot5279:
shll16 r1
dstloop5279:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop5279
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5281
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5281:
jmp @r4
mov #0x1C,r2
.align 5
ov5280:
mov #0x4,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl5282
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5282:
jmp @r4
mov #0x1C,r2
.align 5
ln5279:
mov.l g2_except_addr5279,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5279,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl5283
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5283:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5279: .long group_2_exception
bf_addr5279: .long basefunction
! Opcode 8FF8
SFF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5284
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov5285
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd5284
mov r3,r1
neg r1,r1
nondivd5284:
cmp/pz r4
bt/s aquot5284
mov #15,r4
neg r1,r1
aquot5284:
shll16 r1
dstloop5284:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop5284
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-2,r7
shll2 r0
cmp/pl r7
bt/s fdl5286
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5286:
jmp @r4
mov #0x1C,r2
.align 5
ov5285:
mov #0x4,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl5287
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5287:
jmp @r4
mov #0x1C,r2
.align 5
ln5284:
mov.l g2_except_addr5284,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5284,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl5288
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5288:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5284: .long group_2_exception
bf_addr5284: .long basefunction
! Opcode 8FF9
SFF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5289
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov5290
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd5289
mov r3,r1
neg r1,r1
nondivd5289:
cmp/pz r4
bt/s aquot5289
mov #15,r4
neg r1,r1
aquot5289:
shll16 r1
dstloop5289:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop5289
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl5291
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5291:
jmp @r4
mov #0x1C,r2
.align 5
ov5290:
mov #0x4,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl5292
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5292:
jmp @r4
mov #0x1C,r2
.align 5
ln5289:
mov.l g2_except_addr5289,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5289,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl5293
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5293:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5289: .long group_2_exception
bf_addr5289: .long basefunction
! Opcode 8FFA
SFFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5294
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov5295
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd5294
mov r3,r1
neg r1,r1
nondivd5294:
cmp/pz r4
bt/s aquot5294
mov #15,r4
neg r1,r1
aquot5294:
shll16 r1
dstloop5294:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop5294
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-2,r7
shll2 r0
cmp/pl r7
bt/s fdl5296
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5296:
jmp @r4
mov #0x1C,r2
.align 5
ov5295:
mov #0x4,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl5297
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5297:
jmp @r4
mov #0x1C,r2
.align 5
ln5294:
mov.l g2_except_addr5294,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5294,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl5298
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5298:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5294: .long group_2_exception
bf_addr5294: .long basefunction
! Opcode 8FFB
SFFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5299
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov5300
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd5299
mov r3,r1
neg r1,r1
nondivd5299:
cmp/pz r4
bt/s aquot5299
mov #15,r4
neg r1,r1
aquot5299:
shll16 r1
dstloop5299:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop5299
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-128,r7
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5301
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5301:
jmp @r4
mov #0x1C,r2
.align 5
ov5300:
mov #0x4,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl5302
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5302:
jmp @r4
mov #0x1C,r2
.align 5
ln5299:
mov.l g2_except_addr5299,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5299,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl5303
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5303:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5299: .long group_2_exception
bf_addr5299: .long basefunction
! Opcode 8FFC
SFFC:
mov.w @r6+,r3
mov.l @(28,r13),r1
mov r3,r8
tst r8,r8
bt/s ln5304
shll16 r3
mov r1,r0
rotl r0
movt r0
sub r0,r7
sub r0,r7
cmp/gt r1,r3
movt r2
neg r3,r0
cmp/gt r1,r0
movt r0
cmp/eq r0,r2
bt ov5305
cmp/pz r8
movt r2
cmp/pz r1
movt r4
and r2,r4
movt r0
dt r0
and r2,r0
sub r0,r4
shll r4
add r4,r7
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
mov r3,r4
exts.w r1,r3
rotcl r3
addc r2,r3
mov r3,r1
extu.w r3,r3
cmp/pz r0
bt/s nondivd5304
mov r3,r1
neg r1,r1
nondivd5304:
cmp/pz r4
bt/s aquot5304
mov #15,r4
neg r1,r1
aquot5304:
shll16 r1
dstloop5304:
cmp/pz r1
movt r2
shll r2
shll r1
dt r4
bf/s dstloop5304
sub r2,r7
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-126,r7
shll2 r0
cmp/pl r7
bt/s fdl5306
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5306:
jmp @r4
mov #0x1C,r2
.align 5
ov5305:
mov #0x4,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5307
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5307:
jmp @r4
mov #0x1C,r2
.align 5
ln5304:
mov.l g2_except_addr5304,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5304,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl5308
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5308:
jmp @r4
mov #0x1C,r2
.align 2
g2_except_addr5304: .long group_2_exception
bf_addr5304: .long basefunction
! Opcodes 9000 - 9007
T000:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5309
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5309:
jmp @r4
mov #0x1C,r2
! Opcodes 9008 - 900F
T008:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5310
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5310:
jmp @r4
mov #0x1C,r2
! Opcodes 9010 - 9017
T010:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5311
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5311:
jmp @r4
mov #0x1C,r2
! Opcodes 9018 - 901F
T018:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5312
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5312:
jmp @r4
mov #0x1C,r2
! Opcodes 9020 - 9027
T020:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl5313
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5313:
jmp @r4
mov #0x1C,r2
! Opcodes 9028 - 902F
T028:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5314
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5314:
jmp @r4
mov #0x1C,r2
! Opcodes 9030 - 9037
T030:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5315
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5315:
jmp @r4
mov #0x1C,r2
! Opcode 9038
T038:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5316
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5316:
jmp @r4
mov #0x1C,r2
! Opcode 9039
T039:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5317
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5317:
jmp @r4
mov #0x1C,r2
! Opcode 903A
T03A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5318
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5318:
jmp @r4
mov #0x1C,r2
! Opcode 903B
T03B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5319
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5319:
jmp @r4
mov #0x1C,r2
! Opcode 903C
T03C:
mov.b @r6,r3
add #2,r6
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5320
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5320:
jmp @r4
mov #0x1C,r2
! Opcodes 9040 - 9047
T040:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5321
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5321:
jmp @r4
mov #0x1C,r2
! Opcodes 9048 - 904F
T048:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5322
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5322:
jmp @r4
mov #0x1C,r2
! Opcodes 9050 - 9057
T050:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5323
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5323:
jmp @r4
mov #0x1C,r2
! Opcodes 9058 - 905F
T058:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5324
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5324:
jmp @r4
mov #0x1C,r2
! Opcodes 9060 - 9067
T060:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl5325
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5325:
jmp @r4
mov #0x1C,r2
! Opcodes 9068 - 906F
T068:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5326
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5326:
jmp @r4
mov #0x1C,r2
! Opcodes 9070 - 9077
T070:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5327
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5327:
jmp @r4
mov #0x1C,r2
! Opcode 9078
T078:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5328
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5328:
jmp @r4
mov #0x1C,r2
! Opcode 9079
T079:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5329
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5329:
jmp @r4
mov #0x1C,r2
! Opcode 907A
T07A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5330
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5330:
jmp @r4
mov #0x1C,r2
! Opcode 907B
T07B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5331
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5331:
jmp @r4
mov #0x1C,r2
! Opcode 907C
T07C:
mov.w @r6+,r3
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5332
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5332:
jmp @r4
mov #0x1C,r2
! Opcodes 9080 - 9087
T080:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5333
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5333:
jmp @r4
mov #0x1C,r2
! Opcodes 9088 - 908F
T088:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5334
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5334:
jmp @r4
mov #0x1C,r2
! Opcodes 9090 - 9097
T090:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5335
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5335:
jmp @r4
mov #0x1C,r2
! Opcodes 9098 - 909F
T098:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5336
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5336:
jmp @r4
mov #0x1C,r2
! Opcodes 90A0 - 90A7
T0A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5337
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5337:
jmp @r4
mov #0x1C,r2
! Opcodes 90A8 - 90AF
T0A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5338
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5338:
jmp @r4
mov #0x1C,r2
! Opcodes 90B0 - 90B7
T0B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5339
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5339:
jmp @r4
mov #0x1C,r2
! Opcode 90B8
T0B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5340
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5340:
jmp @r4
mov #0x1C,r2
! Opcode 90B9
T0B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl5341
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5341:
jmp @r4
mov #0x1C,r2
! Opcode 90BA
T0BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5342
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5342:
jmp @r4
mov #0x1C,r2
! Opcode 90BB
T0BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5343
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5343:
jmp @r4
mov #0x1C,r2
! Opcode 90BC
T0BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5344
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5344:
jmp @r4
mov #0x1C,r2
! Opcodes 90C0 - 90C7
T0C0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5345
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5345:
jmp @r4
mov #0x1C,r2
! Opcodes 90C8 - 90CF
T0C8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.w @r2,r3
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5346
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5346:
jmp @r4
mov #0x1C,r2
! Opcodes 90D0 - 90D7
T0D0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5347
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5347:
jmp @r4
mov #0x1C,r2
! Opcodes 90D8 - 90DF
T0D8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5348
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5348:
jmp @r4
mov #0x1C,r2
! Opcodes 90E0 - 90E7
T0E0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5349
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5349:
jmp @r4
mov #0x1C,r2
! Opcodes 90E8 - 90EF
T0E8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5350
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5350:
jmp @r4
mov #0x1C,r2
! Opcodes 90F0 - 90F7
T0F0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5351
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5351:
jmp @r4
mov #0x1C,r2
! Opcode 90F8
T0F8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5352
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5352:
jmp @r4
mov #0x1C,r2
! Opcode 90F9
T0F9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5353
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5353:
jmp @r4
mov #0x1C,r2
! Opcode 90FA
T0FA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5354
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5354:
jmp @r4
mov #0x1C,r2
! Opcode 90FB
T0FB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5355
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5355:
jmp @r4
mov #0x1C,r2
! Opcode 90FC
T0FC:
mov.l r3,@-r15
mov.w @r6+,r3
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5356
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5356:
jmp @r4
mov #0x1C,r2
! Opcodes 9100 - 9107
T100:
and r0,r2
mov r3,r4
mov.b @r13,r3
mov r2,r0
mov.b @(r0,r13),r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.b r3,@r13
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5358
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5358:
jmp @r4
mov #0x1C,r2
! Opcodes 9108 - 910F
T108:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(32,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5360
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5360:
jmp @r4
mov #0x1C,r2
! Opcodes 9110 - 9117
T110:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5361
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5361:
jmp @r4
mov #0x1C,r2
! Opcodes 9118 - 911F
T118:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5362
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5362:
jmp @r4
mov #0x1C,r2
! Opcodes 9120 - 9127
T120:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5363
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5363:
jmp @r4
mov #0x1C,r2
! Opcodes 9128 - 912F
T128:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5364
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5364:
jmp @r4
mov #0x1C,r2
! Opcodes 9130 - 9137
T130:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5365
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5365:
jmp @r4
mov #0x1C,r2
! Opcode 9138
T138:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5366
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5366:
jmp @r4
mov #0x1C,r2
! Opcode 9139
T139:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5367
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5367:
jmp @r4
mov #0x1C,r2
! Opcodes 9140 - 9147
T140:
and r0,r2
mov r3,r4
mov.w @r13,r3
mov r2,r0
mov.w @(r0,r13),r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.w r3,@r13
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5369
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5369:
jmp @r4
mov #0x1C,r2
! Opcodes 9148 - 914F
T148:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(32,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5371
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5371:
jmp @r4
mov #0x1C,r2
! Opcodes 9150 - 9157
T150:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5372
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5372:
jmp @r4
mov #0x1C,r2
! Opcodes 9158 - 915F
T158:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5373
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5373:
jmp @r4
mov #0x1C,r2
! Opcodes 9160 - 9167
T160:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5374
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5374:
jmp @r4
mov #0x1C,r2
! Opcodes 9168 - 916F
T168:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5375
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5375:
jmp @r4
mov #0x1C,r2
! Opcodes 9170 - 9177
T170:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5376
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5376:
jmp @r4
mov #0x1C,r2
! Opcode 9178
T178:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5377
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5377:
jmp @r4
mov #0x1C,r2
! Opcode 9179
T179:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5378
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5378:
jmp @r4
mov #0x1C,r2
! Opcodes 9180 - 9187
T180:
and r0,r2
mov r3,r4
mov.l @r13,r3
mov r2,r0
mov.l @(r0,r13),r1
shlr r9
movt r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l r3,@r13
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5380
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5380:
jmp @r4
mov #0x1C,r2
! Opcodes 9188 - 918F
T188:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(32,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl5382
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5382:
jmp @r4
mov #0x1C,r2
! Opcodes 9190 - 9197
T190:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5383
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5383:
jmp @r4
mov #0x1C,r2
! Opcodes 9198 - 919F
T198:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5384
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5384:
jmp @r4
mov #0x1C,r2
! Opcodes 91A0 - 91A7
T1A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl5385
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5385:
jmp @r4
mov #0x1C,r2
! Opcodes 91A8 - 91AF
T1A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl5386
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5386:
jmp @r4
mov #0x1C,r2
! Opcodes 91B0 - 91B7
T1B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl5387
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5387:
jmp @r4
mov #0x1C,r2
! Opcode 91B8
T1B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl5388
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5388:
jmp @r4
mov #0x1C,r2
! Opcode 91B9
T1B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl5389
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5389:
jmp @r4
mov #0x1C,r2
! Opcodes 91C0 - 91C7
T1C0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5390
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5390:
jmp @r4
mov #0x1C,r2
! Opcodes 91C8 - 91CF
T1C8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.l @r2,r3
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5391
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5391:
jmp @r4
mov #0x1C,r2
! Opcodes 91D0 - 91D7
T1D0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5392
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5392:
jmp @r4
mov #0x1C,r2
! Opcodes 91D8 - 91DF
T1D8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5393
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5393:
jmp @r4
mov #0x1C,r2
! Opcodes 91E0 - 91E7
T1E0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5394
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5394:
jmp @r4
mov #0x1C,r2
! Opcodes 91E8 - 91EF
T1E8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5395
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5395:
jmp @r4
mov #0x1C,r2
! Opcodes 91F0 - 91F7
T1F0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5396
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5396:
jmp @r4
mov #0x1C,r2
! Opcode 91F8
T1F8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5397
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5397:
jmp @r4
mov #0x1C,r2
! Opcode 91F9
T1F9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl5398
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5398:
jmp @r4
mov #0x1C,r2
! Opcode 91FA
T1FA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5399
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5399:
jmp @r4
mov #0x1C,r2
! Opcode 91FB
T1FB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5400
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5400:
jmp @r4
mov #0x1C,r2
! Opcode 91FC
T1FC:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5401
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5401:
jmp @r4
mov #0x1C,r2
! Opcodes 9200 - 9207
T200:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5402
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5402:
jmp @r4
mov #0x1C,r2
! Opcodes 9208 - 920F
T208:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5403
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5403:
jmp @r4
mov #0x1C,r2
! Opcodes 9210 - 9217
T210:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5404
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5404:
jmp @r4
mov #0x1C,r2
! Opcodes 9218 - 921F
T218:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5405
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5405:
jmp @r4
mov #0x1C,r2
! Opcodes 9220 - 9227
T220:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl5406
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5406:
jmp @r4
mov #0x1C,r2
! Opcodes 9228 - 922F
T228:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5407
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5407:
jmp @r4
mov #0x1C,r2
! Opcodes 9230 - 9237
T230:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5408
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5408:
jmp @r4
mov #0x1C,r2
! Opcode 9238
T238:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5409
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5409:
jmp @r4
mov #0x1C,r2
! Opcode 9239
T239:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5410
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5410:
jmp @r4
mov #0x1C,r2
! Opcode 923A
T23A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5411
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5411:
jmp @r4
mov #0x1C,r2
! Opcode 923B
T23B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5412
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5412:
jmp @r4
mov #0x1C,r2
! Opcode 923C
T23C:
mov.b @r6,r3
add #2,r6
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5413
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5413:
jmp @r4
mov #0x1C,r2
! Opcodes 9240 - 9247
T240:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5414
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5414:
jmp @r4
mov #0x1C,r2
! Opcodes 9248 - 924F
T248:
and r0,r2
add r14,r2
mov.w @r2,r3
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5415
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5415:
jmp @r4
mov #0x1C,r2
! Opcodes 9250 - 9257
T250:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5416
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5416:
jmp @r4
mov #0x1C,r2
! Opcodes 9258 - 925F
T258:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5417
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5417:
jmp @r4
mov #0x1C,r2
! Opcodes 9260 - 9267
T260:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl5418
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5418:
jmp @r4
mov #0x1C,r2
! Opcodes 9268 - 926F
T268:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5419
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5419:
jmp @r4
mov #0x1C,r2
! Opcodes 9270 - 9277
T270:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5420
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5420:
jmp @r4
mov #0x1C,r2
! Opcode 9278
T278:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5421
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5421:
jmp @r4
mov #0x1C,r2
! Opcode 9279
T279:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5422
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5422:
jmp @r4
mov #0x1C,r2
! Opcode 927A
T27A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5423
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5423:
jmp @r4
mov #0x1C,r2
! Opcode 927B
T27B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5424
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5424:
jmp @r4
mov #0x1C,r2
! Opcode 927C
T27C:
mov.w @r6+,r3
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5425
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5425:
jmp @r4
mov #0x1C,r2
! Opcodes 9280 - 9287
T280:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5426
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5426:
jmp @r4
mov #0x1C,r2
! Opcodes 9288 - 928F
T288:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5427
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5427:
jmp @r4
mov #0x1C,r2
! Opcodes 9290 - 9297
T290:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5428
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5428:
jmp @r4
mov #0x1C,r2
! Opcodes 9298 - 929F
T298:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5429
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5429:
jmp @r4
mov #0x1C,r2
! Opcodes 92A0 - 92A7
T2A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5430
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5430:
jmp @r4
mov #0x1C,r2
! Opcodes 92A8 - 92AF
T2A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5431
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5431:
jmp @r4
mov #0x1C,r2
! Opcodes 92B0 - 92B7
T2B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5432
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5432:
jmp @r4
mov #0x1C,r2
! Opcode 92B8
T2B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5433
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5433:
jmp @r4
mov #0x1C,r2
! Opcode 92B9
T2B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl5434
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5434:
jmp @r4
mov #0x1C,r2
! Opcode 92BA
T2BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5435
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5435:
jmp @r4
mov #0x1C,r2
! Opcode 92BB
T2BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5436
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5436:
jmp @r4
mov #0x1C,r2
! Opcode 92BC
T2BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5437
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5437:
jmp @r4
mov #0x1C,r2
! Opcodes 92C0 - 92C7
T2C0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5438
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5438:
jmp @r4
mov #0x1C,r2
! Opcodes 92C8 - 92CF
T2C8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.w @r2,r3
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5439
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5439:
jmp @r4
mov #0x1C,r2
! Opcodes 92D0 - 92D7
T2D0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5440
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5440:
jmp @r4
mov #0x1C,r2
! Opcodes 92D8 - 92DF
T2D8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5441
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5441:
jmp @r4
mov #0x1C,r2
! Opcodes 92E0 - 92E7
T2E0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5442
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5442:
jmp @r4
mov #0x1C,r2
! Opcodes 92E8 - 92EF
T2E8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5443
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5443:
jmp @r4
mov #0x1C,r2
! Opcodes 92F0 - 92F7
T2F0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5444
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5444:
jmp @r4
mov #0x1C,r2
! Opcode 92F8
T2F8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5445
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5445:
jmp @r4
mov #0x1C,r2
! Opcode 92F9
T2F9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5446
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5446:
jmp @r4
mov #0x1C,r2
! Opcode 92FA
T2FA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5447
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5447:
jmp @r4
mov #0x1C,r2
! Opcode 92FB
T2FB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5448
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5448:
jmp @r4
mov #0x1C,r2
! Opcode 92FC
T2FC:
mov.l r3,@-r15
mov.w @r6+,r3
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5449
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5449:
jmp @r4
mov #0x1C,r2
! Opcodes 9300 - 9307
T300:
and r0,r2
mov r3,r4
mov #4,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5451
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5451:
jmp @r4
mov #0x1C,r2
! Opcodes 9308 - 930F
T308:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(36,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5453
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5453:
jmp @r4
mov #0x1C,r2
! Opcodes 9310 - 9317
T310:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5454
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5454:
jmp @r4
mov #0x1C,r2
! Opcodes 9318 - 931F
T318:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5455
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5455:
jmp @r4
mov #0x1C,r2
! Opcodes 9320 - 9327
T320:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5456
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5456:
jmp @r4
mov #0x1C,r2
! Opcodes 9328 - 932F
T328:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5457
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5457:
jmp @r4
mov #0x1C,r2
! Opcodes 9330 - 9337
T330:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5458
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5458:
jmp @r4
mov #0x1C,r2
! Opcode 9338
T338:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5459
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5459:
jmp @r4
mov #0x1C,r2
! Opcode 9339
T339:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5460
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5460:
jmp @r4
mov #0x1C,r2
! Opcodes 9340 - 9347
T340:
and r0,r2
mov r3,r4
mov #4,r0
mov.w @(r0,r13),r3
mov r2,r0
mov.w @(r0,r13),r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov #4,r0
mov.w r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5462
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5462:
jmp @r4
mov #0x1C,r2
! Opcodes 9348 - 934F
T348:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(36,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5464
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5464:
jmp @r4
mov #0x1C,r2
! Opcodes 9350 - 9357
T350:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5465
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5465:
jmp @r4
mov #0x1C,r2
! Opcodes 9358 - 935F
T358:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5466
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5466:
jmp @r4
mov #0x1C,r2
! Opcodes 9360 - 9367
T360:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5467
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5467:
jmp @r4
mov #0x1C,r2
! Opcodes 9368 - 936F
T368:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5468
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5468:
jmp @r4
mov #0x1C,r2
! Opcodes 9370 - 9377
T370:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5469
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5469:
jmp @r4
mov #0x1C,r2
! Opcode 9378
T378:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5470
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5470:
jmp @r4
mov #0x1C,r2
! Opcode 9379
T379:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5471
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5471:
jmp @r4
mov #0x1C,r2
! Opcodes 9380 - 9387
T380:
and r0,r2
mov r3,r4
mov.l @(4,r13),r3
mov r2,r0
mov.l @(r0,r13),r1
shlr r9
movt r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l r3,@(4,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5473
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5473:
jmp @r4
mov #0x1C,r2
! Opcodes 9388 - 938F
T388:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(36,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl5475
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5475:
jmp @r4
mov #0x1C,r2
! Opcodes 9390 - 9397
T390:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5476
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5476:
jmp @r4
mov #0x1C,r2
! Opcodes 9398 - 939F
T398:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5477
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5477:
jmp @r4
mov #0x1C,r2
! Opcodes 93A0 - 93A7
T3A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl5478
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5478:
jmp @r4
mov #0x1C,r2
! Opcodes 93A8 - 93AF
T3A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl5479
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5479:
jmp @r4
mov #0x1C,r2
! Opcodes 93B0 - 93B7
T3B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl5480
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5480:
jmp @r4
mov #0x1C,r2
! Opcode 93B8
T3B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl5481
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5481:
jmp @r4
mov #0x1C,r2
! Opcode 93B9
T3B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl5482
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5482:
jmp @r4
mov #0x1C,r2
! Opcodes 93C0 - 93C7
T3C0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5483
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5483:
jmp @r4
mov #0x1C,r2
! Opcodes 93C8 - 93CF
T3C8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.l @r2,r3
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5484
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5484:
jmp @r4
mov #0x1C,r2
! Opcodes 93D0 - 93D7
T3D0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5485
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5485:
jmp @r4
mov #0x1C,r2
! Opcodes 93D8 - 93DF
T3D8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5486
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5486:
jmp @r4
mov #0x1C,r2
! Opcodes 93E0 - 93E7
T3E0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5487
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5487:
jmp @r4
mov #0x1C,r2
! Opcodes 93E8 - 93EF
T3E8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5488
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5488:
jmp @r4
mov #0x1C,r2
! Opcodes 93F0 - 93F7
T3F0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5489
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5489:
jmp @r4
mov #0x1C,r2
! Opcode 93F8
T3F8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5490
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5490:
jmp @r4
mov #0x1C,r2
! Opcode 93F9
T3F9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl5491
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5491:
jmp @r4
mov #0x1C,r2
! Opcode 93FA
T3FA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5492
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5492:
jmp @r4
mov #0x1C,r2
! Opcode 93FB
T3FB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5493
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5493:
jmp @r4
mov #0x1C,r2
! Opcode 93FC
T3FC:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5494
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5494:
jmp @r4
mov #0x1C,r2
! Opcodes 9400 - 9407
T400:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5495
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5495:
jmp @r4
mov #0x1C,r2
! Opcodes 9408 - 940F
T408:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5496
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5496:
jmp @r4
mov #0x1C,r2
! Opcodes 9410 - 9417
T410:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5497
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5497:
jmp @r4
mov #0x1C,r2
! Opcodes 9418 - 941F
T418:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5498
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5498:
jmp @r4
mov #0x1C,r2
! Opcodes 9420 - 9427
T420:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl5499
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5499:
jmp @r4
mov #0x1C,r2
! Opcodes 9428 - 942F
T428:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5500
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5500:
jmp @r4
mov #0x1C,r2
! Opcodes 9430 - 9437
T430:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5501
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5501:
jmp @r4
mov #0x1C,r2
! Opcode 9438
T438:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5502
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5502:
jmp @r4
mov #0x1C,r2
! Opcode 9439
T439:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5503
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5503:
jmp @r4
mov #0x1C,r2
! Opcode 943A
T43A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5504
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5504:
jmp @r4
mov #0x1C,r2
! Opcode 943B
T43B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5505
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5505:
jmp @r4
mov #0x1C,r2
! Opcode 943C
T43C:
mov.b @r6,r3
add #2,r6
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5506
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5506:
jmp @r4
mov #0x1C,r2
! Opcodes 9440 - 9447
T440:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5507
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5507:
jmp @r4
mov #0x1C,r2
! Opcodes 9448 - 944F
T448:
and r0,r2
add r14,r2
mov.w @r2,r3
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5508
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5508:
jmp @r4
mov #0x1C,r2
! Opcodes 9450 - 9457
T450:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5509
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5509:
jmp @r4
mov #0x1C,r2
! Opcodes 9458 - 945F
T458:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5510
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5510:
jmp @r4
mov #0x1C,r2
! Opcodes 9460 - 9467
T460:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl5511
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5511:
jmp @r4
mov #0x1C,r2
! Opcodes 9468 - 946F
T468:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5512
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5512:
jmp @r4
mov #0x1C,r2
! Opcodes 9470 - 9477
T470:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5513
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5513:
jmp @r4
mov #0x1C,r2
! Opcode 9478
T478:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5514
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5514:
jmp @r4
mov #0x1C,r2
! Opcode 9479
T479:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5515
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5515:
jmp @r4
mov #0x1C,r2
! Opcode 947A
T47A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5516
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5516:
jmp @r4
mov #0x1C,r2
! Opcode 947B
T47B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5517
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5517:
jmp @r4
mov #0x1C,r2
! Opcode 947C
T47C:
mov.w @r6+,r3
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5518
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5518:
jmp @r4
mov #0x1C,r2
! Opcodes 9480 - 9487
T480:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5519
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5519:
jmp @r4
mov #0x1C,r2
! Opcodes 9488 - 948F
T488:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5520
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5520:
jmp @r4
mov #0x1C,r2
! Opcodes 9490 - 9497
T490:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5521
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5521:
jmp @r4
mov #0x1C,r2
! Opcodes 9498 - 949F
T498:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5522
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5522:
jmp @r4
mov #0x1C,r2
! Opcodes 94A0 - 94A7
T4A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5523
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5523:
jmp @r4
mov #0x1C,r2
! Opcodes 94A8 - 94AF
T4A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5524
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5524:
jmp @r4
mov #0x1C,r2
! Opcodes 94B0 - 94B7
T4B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5525
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5525:
jmp @r4
mov #0x1C,r2
! Opcode 94B8
T4B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5526
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5526:
jmp @r4
mov #0x1C,r2
! Opcode 94B9
T4B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl5527
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5527:
jmp @r4
mov #0x1C,r2
! Opcode 94BA
T4BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5528
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5528:
jmp @r4
mov #0x1C,r2
! Opcode 94BB
T4BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5529
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5529:
jmp @r4
mov #0x1C,r2
! Opcode 94BC
T4BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5530
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5530:
jmp @r4
mov #0x1C,r2
! Opcodes 94C0 - 94C7
T4C0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5531
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5531:
jmp @r4
mov #0x1C,r2
! Opcodes 94C8 - 94CF
T4C8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.w @r2,r3
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5532
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5532:
jmp @r4
mov #0x1C,r2
! Opcodes 94D0 - 94D7
T4D0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5533
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5533:
jmp @r4
mov #0x1C,r2
! Opcodes 94D8 - 94DF
T4D8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5534
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5534:
jmp @r4
mov #0x1C,r2
! Opcodes 94E0 - 94E7
T4E0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5535
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5535:
jmp @r4
mov #0x1C,r2
! Opcodes 94E8 - 94EF
T4E8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5536
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5536:
jmp @r4
mov #0x1C,r2
! Opcodes 94F0 - 94F7
T4F0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5537
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5537:
jmp @r4
mov #0x1C,r2
! Opcode 94F8
T4F8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5538
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5538:
jmp @r4
mov #0x1C,r2
! Opcode 94F9
T4F9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5539
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5539:
jmp @r4
mov #0x1C,r2
! Opcode 94FA
T4FA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5540
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5540:
jmp @r4
mov #0x1C,r2
! Opcode 94FB
T4FB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5541
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5541:
jmp @r4
mov #0x1C,r2
! Opcode 94FC
T4FC:
mov.l r3,@-r15
mov.w @r6+,r3
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5542
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5542:
jmp @r4
mov #0x1C,r2
! Opcodes 9500 - 9507
T500:
and r0,r2
mov r3,r4
mov #8,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5544
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5544:
jmp @r4
mov #0x1C,r2
! Opcodes 9508 - 950F
T508:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(40,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5546
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5546:
jmp @r4
mov #0x1C,r2
! Opcodes 9510 - 9517
T510:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5547
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5547:
jmp @r4
mov #0x1C,r2
! Opcodes 9518 - 951F
T518:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5548
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5548:
jmp @r4
mov #0x1C,r2
! Opcodes 9520 - 9527
T520:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5549
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5549:
jmp @r4
mov #0x1C,r2
! Opcodes 9528 - 952F
T528:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5550
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5550:
jmp @r4
mov #0x1C,r2
! Opcodes 9530 - 9537
T530:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5551
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5551:
jmp @r4
mov #0x1C,r2
! Opcode 9538
T538:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5552
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5552:
jmp @r4
mov #0x1C,r2
! Opcode 9539
T539:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5553
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5553:
jmp @r4
mov #0x1C,r2
! Opcodes 9540 - 9547
T540:
and r0,r2
mov r3,r4
mov #8,r0
mov.w @(r0,r13),r3
mov r2,r0
mov.w @(r0,r13),r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov #8,r0
mov.w r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5555
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5555:
jmp @r4
mov #0x1C,r2
! Opcodes 9548 - 954F
T548:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(40,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5557
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5557:
jmp @r4
mov #0x1C,r2
! Opcodes 9550 - 9557
T550:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5558
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5558:
jmp @r4
mov #0x1C,r2
! Opcodes 9558 - 955F
T558:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5559
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5559:
jmp @r4
mov #0x1C,r2
! Opcodes 9560 - 9567
T560:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5560
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5560:
jmp @r4
mov #0x1C,r2
! Opcodes 9568 - 956F
T568:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5561
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5561:
jmp @r4
mov #0x1C,r2
! Opcodes 9570 - 9577
T570:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5562
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5562:
jmp @r4
mov #0x1C,r2
! Opcode 9578
T578:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5563
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5563:
jmp @r4
mov #0x1C,r2
! Opcode 9579
T579:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5564
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5564:
jmp @r4
mov #0x1C,r2
! Opcodes 9580 - 9587
T580:
and r0,r2
mov r3,r4
mov.l @(8,r13),r3
mov r2,r0
mov.l @(r0,r13),r1
shlr r9
movt r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l r3,@(8,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5566
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5566:
jmp @r4
mov #0x1C,r2
! Opcodes 9588 - 958F
T588:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(40,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl5568
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5568:
jmp @r4
mov #0x1C,r2
! Opcodes 9590 - 9597
T590:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5569
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5569:
jmp @r4
mov #0x1C,r2
! Opcodes 9598 - 959F
T598:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5570
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5570:
jmp @r4
mov #0x1C,r2
! Opcodes 95A0 - 95A7
T5A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl5571
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5571:
jmp @r4
mov #0x1C,r2
! Opcodes 95A8 - 95AF
T5A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl5572
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5572:
jmp @r4
mov #0x1C,r2
! Opcodes 95B0 - 95B7
T5B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl5573
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5573:
jmp @r4
mov #0x1C,r2
! Opcode 95B8
T5B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl5574
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5574:
jmp @r4
mov #0x1C,r2
! Opcode 95B9
T5B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl5575
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5575:
jmp @r4
mov #0x1C,r2
! Opcodes 95C0 - 95C7
T5C0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5576
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5576:
jmp @r4
mov #0x1C,r2
! Opcodes 95C8 - 95CF
T5C8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.l @r2,r3
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5577
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5577:
jmp @r4
mov #0x1C,r2
! Opcodes 95D0 - 95D7
T5D0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5578
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5578:
jmp @r4
mov #0x1C,r2
! Opcodes 95D8 - 95DF
T5D8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5579
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5579:
jmp @r4
mov #0x1C,r2
! Opcodes 95E0 - 95E7
T5E0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5580
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5580:
jmp @r4
mov #0x1C,r2
! Opcodes 95E8 - 95EF
T5E8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5581
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5581:
jmp @r4
mov #0x1C,r2
! Opcodes 95F0 - 95F7
T5F0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5582
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5582:
jmp @r4
mov #0x1C,r2
! Opcode 95F8
T5F8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5583
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5583:
jmp @r4
mov #0x1C,r2
! Opcode 95F9
T5F9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl5584
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5584:
jmp @r4
mov #0x1C,r2
! Opcode 95FA
T5FA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5585
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5585:
jmp @r4
mov #0x1C,r2
! Opcode 95FB
T5FB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5586
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5586:
jmp @r4
mov #0x1C,r2
! Opcode 95FC
T5FC:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5587
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5587:
jmp @r4
mov #0x1C,r2
! Opcodes 9600 - 9607
T600:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5588
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5588:
jmp @r4
mov #0x1C,r2
! Opcodes 9608 - 960F
T608:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5589
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5589:
jmp @r4
mov #0x1C,r2
! Opcodes 9610 - 9617
T610:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5590
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5590:
jmp @r4
mov #0x1C,r2
! Opcodes 9618 - 961F
T618:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5591
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5591:
jmp @r4
mov #0x1C,r2
! Opcodes 9620 - 9627
T620:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl5592
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5592:
jmp @r4
mov #0x1C,r2
! Opcodes 9628 - 962F
T628:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5593
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5593:
jmp @r4
mov #0x1C,r2
! Opcodes 9630 - 9637
T630:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5594
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5594:
jmp @r4
mov #0x1C,r2
! Opcode 9638
T638:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5595
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5595:
jmp @r4
mov #0x1C,r2
! Opcode 9639
T639:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5596
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5596:
jmp @r4
mov #0x1C,r2
! Opcode 963A
T63A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5597
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5597:
jmp @r4
mov #0x1C,r2
! Opcode 963B
T63B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5598
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5598:
jmp @r4
mov #0x1C,r2
! Opcode 963C
T63C:
mov.b @r6,r3
add #2,r6
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5599
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5599:
jmp @r4
mov #0x1C,r2
! Opcodes 9640 - 9647
T640:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5600
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5600:
jmp @r4
mov #0x1C,r2
! Opcodes 9648 - 964F
T648:
and r0,r2
add r14,r2
mov.w @r2,r3
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5601
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5601:
jmp @r4
mov #0x1C,r2
! Opcodes 9650 - 9657
T650:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5602
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5602:
jmp @r4
mov #0x1C,r2
! Opcodes 9658 - 965F
T658:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5603
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5603:
jmp @r4
mov #0x1C,r2
! Opcodes 9660 - 9667
T660:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl5604
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5604:
jmp @r4
mov #0x1C,r2
! Opcodes 9668 - 966F
T668:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5605
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5605:
jmp @r4
mov #0x1C,r2
! Opcodes 9670 - 9677
T670:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5606
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5606:
jmp @r4
mov #0x1C,r2
! Opcode 9678
T678:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5607
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5607:
jmp @r4
mov #0x1C,r2
! Opcode 9679
T679:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5608
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5608:
jmp @r4
mov #0x1C,r2
! Opcode 967A
T67A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5609
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5609:
jmp @r4
mov #0x1C,r2
! Opcode 967B
T67B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5610
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5610:
jmp @r4
mov #0x1C,r2
! Opcode 967C
T67C:
mov.w @r6+,r3
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5611
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5611:
jmp @r4
mov #0x1C,r2
! Opcodes 9680 - 9687
T680:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5612
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5612:
jmp @r4
mov #0x1C,r2
! Opcodes 9688 - 968F
T688:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5613
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5613:
jmp @r4
mov #0x1C,r2
! Opcodes 9690 - 9697
T690:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5614
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5614:
jmp @r4
mov #0x1C,r2
! Opcodes 9698 - 969F
T698:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5615
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5615:
jmp @r4
mov #0x1C,r2
! Opcodes 96A0 - 96A7
T6A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5616
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5616:
jmp @r4
mov #0x1C,r2
! Opcodes 96A8 - 96AF
T6A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5617
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5617:
jmp @r4
mov #0x1C,r2
! Opcodes 96B0 - 96B7
T6B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5618
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5618:
jmp @r4
mov #0x1C,r2
! Opcode 96B8
T6B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5619
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5619:
jmp @r4
mov #0x1C,r2
! Opcode 96B9
T6B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl5620
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5620:
jmp @r4
mov #0x1C,r2
! Opcode 96BA
T6BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5621
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5621:
jmp @r4
mov #0x1C,r2
! Opcode 96BB
T6BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5622
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5622:
jmp @r4
mov #0x1C,r2
! Opcode 96BC
T6BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5623
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5623:
jmp @r4
mov #0x1C,r2
! Opcodes 96C0 - 96C7
T6C0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5624
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5624:
jmp @r4
mov #0x1C,r2
! Opcodes 96C8 - 96CF
T6C8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.w @r2,r3
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5625
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5625:
jmp @r4
mov #0x1C,r2
! Opcodes 96D0 - 96D7
T6D0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5626
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5626:
jmp @r4
mov #0x1C,r2
! Opcodes 96D8 - 96DF
T6D8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5627
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5627:
jmp @r4
mov #0x1C,r2
! Opcodes 96E0 - 96E7
T6E0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5628
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5628:
jmp @r4
mov #0x1C,r2
! Opcodes 96E8 - 96EF
T6E8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5629
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5629:
jmp @r4
mov #0x1C,r2
! Opcodes 96F0 - 96F7
T6F0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5630
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5630:
jmp @r4
mov #0x1C,r2
! Opcode 96F8
T6F8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5631
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5631:
jmp @r4
mov #0x1C,r2
! Opcode 96F9
T6F9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5632
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5632:
jmp @r4
mov #0x1C,r2
! Opcode 96FA
T6FA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5633
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5633:
jmp @r4
mov #0x1C,r2
! Opcode 96FB
T6FB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5634
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5634:
jmp @r4
mov #0x1C,r2
! Opcode 96FC
T6FC:
mov.l r3,@-r15
mov.w @r6+,r3
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5635
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5635:
jmp @r4
mov #0x1C,r2
! Opcodes 9700 - 9707
T700:
and r0,r2
mov r3,r4
mov #12,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5637
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5637:
jmp @r4
mov #0x1C,r2
! Opcodes 9708 - 970F
T708:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(44,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5639
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5639:
jmp @r4
mov #0x1C,r2
! Opcodes 9710 - 9717
T710:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5640
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5640:
jmp @r4
mov #0x1C,r2
! Opcodes 9718 - 971F
T718:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5641
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5641:
jmp @r4
mov #0x1C,r2
! Opcodes 9720 - 9727
T720:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5642
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5642:
jmp @r4
mov #0x1C,r2
! Opcodes 9728 - 972F
T728:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5643
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5643:
jmp @r4
mov #0x1C,r2
! Opcodes 9730 - 9737
T730:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5644
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5644:
jmp @r4
mov #0x1C,r2
! Opcode 9738
T738:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5645
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5645:
jmp @r4
mov #0x1C,r2
! Opcode 9739
T739:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5646
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5646:
jmp @r4
mov #0x1C,r2
! Opcodes 9740 - 9747
T740:
and r0,r2
mov r3,r4
mov #12,r0
mov.w @(r0,r13),r3
mov r2,r0
mov.w @(r0,r13),r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov #12,r0
mov.w r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5648
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5648:
jmp @r4
mov #0x1C,r2
! Opcodes 9748 - 974F
T748:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(44,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5650
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5650:
jmp @r4
mov #0x1C,r2
! Opcodes 9750 - 9757
T750:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5651
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5651:
jmp @r4
mov #0x1C,r2
! Opcodes 9758 - 975F
T758:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5652
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5652:
jmp @r4
mov #0x1C,r2
! Opcodes 9760 - 9767
T760:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5653
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5653:
jmp @r4
mov #0x1C,r2
! Opcodes 9768 - 976F
T768:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5654
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5654:
jmp @r4
mov #0x1C,r2
! Opcodes 9770 - 9777
T770:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5655
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5655:
jmp @r4
mov #0x1C,r2
! Opcode 9778
T778:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5656
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5656:
jmp @r4
mov #0x1C,r2
! Opcode 9779
T779:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5657
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5657:
jmp @r4
mov #0x1C,r2
! Opcodes 9780 - 9787
T780:
and r0,r2
mov r3,r4
mov.l @(12,r13),r3
mov r2,r0
mov.l @(r0,r13),r1
shlr r9
movt r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l r3,@(12,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5659
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5659:
jmp @r4
mov #0x1C,r2
! Opcodes 9788 - 978F
T788:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(44,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl5661
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5661:
jmp @r4
mov #0x1C,r2
! Opcodes 9790 - 9797
T790:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5662
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5662:
jmp @r4
mov #0x1C,r2
! Opcodes 9798 - 979F
T798:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5663
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5663:
jmp @r4
mov #0x1C,r2
! Opcodes 97A0 - 97A7
T7A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl5664
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5664:
jmp @r4
mov #0x1C,r2
! Opcodes 97A8 - 97AF
T7A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl5665
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5665:
jmp @r4
mov #0x1C,r2
! Opcodes 97B0 - 97B7
T7B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl5666
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5666:
jmp @r4
mov #0x1C,r2
! Opcode 97B8
T7B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl5667
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5667:
jmp @r4
mov #0x1C,r2
! Opcode 97B9
T7B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl5668
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5668:
jmp @r4
mov #0x1C,r2
! Opcodes 97C0 - 97C7
T7C0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5669
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5669:
jmp @r4
mov #0x1C,r2
! Opcodes 97C8 - 97CF
T7C8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.l @r2,r3
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5670
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5670:
jmp @r4
mov #0x1C,r2
! Opcodes 97D0 - 97D7
T7D0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5671
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5671:
jmp @r4
mov #0x1C,r2
! Opcodes 97D8 - 97DF
T7D8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5672
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5672:
jmp @r4
mov #0x1C,r2
! Opcodes 97E0 - 97E7
T7E0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5673
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5673:
jmp @r4
mov #0x1C,r2
! Opcodes 97E8 - 97EF
T7E8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5674
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5674:
jmp @r4
mov #0x1C,r2
! Opcodes 97F0 - 97F7
T7F0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5675
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5675:
jmp @r4
mov #0x1C,r2
! Opcode 97F8
T7F8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5676
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5676:
jmp @r4
mov #0x1C,r2
! Opcode 97F9
T7F9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl5677
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5677:
jmp @r4
mov #0x1C,r2
! Opcode 97FA
T7FA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5678
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5678:
jmp @r4
mov #0x1C,r2
! Opcode 97FB
T7FB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5679
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5679:
jmp @r4
mov #0x1C,r2
! Opcode 97FC
T7FC:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5680
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5680:
jmp @r4
mov #0x1C,r2
! Opcodes 9800 - 9807
T800:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5681
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5681:
jmp @r4
mov #0x1C,r2
! Opcodes 9808 - 980F
T808:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5682
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5682:
jmp @r4
mov #0x1C,r2
! Opcodes 9810 - 9817
T810:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5683
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5683:
jmp @r4
mov #0x1C,r2
! Opcodes 9818 - 981F
T818:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5684
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5684:
jmp @r4
mov #0x1C,r2
! Opcodes 9820 - 9827
T820:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl5685
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5685:
jmp @r4
mov #0x1C,r2
! Opcodes 9828 - 982F
T828:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5686
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5686:
jmp @r4
mov #0x1C,r2
! Opcodes 9830 - 9837
T830:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5687
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5687:
jmp @r4
mov #0x1C,r2
! Opcode 9838
T838:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5688
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5688:
jmp @r4
mov #0x1C,r2
! Opcode 9839
T839:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5689
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5689:
jmp @r4
mov #0x1C,r2
! Opcode 983A
T83A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5690
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5690:
jmp @r4
mov #0x1C,r2
! Opcode 983B
T83B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5691
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5691:
jmp @r4
mov #0x1C,r2
! Opcode 983C
T83C:
mov.b @r6,r3
add #2,r6
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5692
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5692:
jmp @r4
mov #0x1C,r2
! Opcodes 9840 - 9847
T840:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5693
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5693:
jmp @r4
mov #0x1C,r2
! Opcodes 9848 - 984F
T848:
and r0,r2
add r14,r2
mov.w @r2,r3
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5694
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5694:
jmp @r4
mov #0x1C,r2
! Opcodes 9850 - 9857
T850:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5695
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5695:
jmp @r4
mov #0x1C,r2
! Opcodes 9858 - 985F
T858:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5696
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5696:
jmp @r4
mov #0x1C,r2
! Opcodes 9860 - 9867
T860:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl5697
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5697:
jmp @r4
mov #0x1C,r2
! Opcodes 9868 - 986F
T868:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5698
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5698:
jmp @r4
mov #0x1C,r2
! Opcodes 9870 - 9877
T870:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5699
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5699:
jmp @r4
mov #0x1C,r2
! Opcode 9878
T878:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5700
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5700:
jmp @r4
mov #0x1C,r2
! Opcode 9879
T879:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5701
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5701:
jmp @r4
mov #0x1C,r2
! Opcode 987A
T87A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5702
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5702:
jmp @r4
mov #0x1C,r2
! Opcode 987B
T87B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5703
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5703:
jmp @r4
mov #0x1C,r2
! Opcode 987C
T87C:
mov.w @r6+,r3
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5704
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5704:
jmp @r4
mov #0x1C,r2
! Opcodes 9880 - 9887
T880:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5705
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5705:
jmp @r4
mov #0x1C,r2
! Opcodes 9888 - 988F
T888:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5706
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5706:
jmp @r4
mov #0x1C,r2
! Opcodes 9890 - 9897
T890:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5707
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5707:
jmp @r4
mov #0x1C,r2
! Opcodes 9898 - 989F
T898:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5708
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5708:
jmp @r4
mov #0x1C,r2
! Opcodes 98A0 - 98A7
T8A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5709
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5709:
jmp @r4
mov #0x1C,r2
! Opcodes 98A8 - 98AF
T8A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5710
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5710:
jmp @r4
mov #0x1C,r2
! Opcodes 98B0 - 98B7
T8B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5711
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5711:
jmp @r4
mov #0x1C,r2
! Opcode 98B8
T8B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5712
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5712:
jmp @r4
mov #0x1C,r2
! Opcode 98B9
T8B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl5713
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5713:
jmp @r4
mov #0x1C,r2
! Opcode 98BA
T8BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5714
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5714:
jmp @r4
mov #0x1C,r2
! Opcode 98BB
T8BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5715
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5715:
jmp @r4
mov #0x1C,r2
! Opcode 98BC
T8BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5716
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5716:
jmp @r4
mov #0x1C,r2
! Opcodes 98C0 - 98C7
T8C0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5717
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5717:
jmp @r4
mov #0x1C,r2
! Opcodes 98C8 - 98CF
T8C8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.w @r2,r3
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5718
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5718:
jmp @r4
mov #0x1C,r2
! Opcodes 98D0 - 98D7
T8D0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5719
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5719:
jmp @r4
mov #0x1C,r2
! Opcodes 98D8 - 98DF
T8D8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5720
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5720:
jmp @r4
mov #0x1C,r2
! Opcodes 98E0 - 98E7
T8E0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5721
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5721:
jmp @r4
mov #0x1C,r2
! Opcodes 98E8 - 98EF
T8E8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5722
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5722:
jmp @r4
mov #0x1C,r2
! Opcodes 98F0 - 98F7
T8F0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5723
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5723:
jmp @r4
mov #0x1C,r2
! Opcode 98F8
T8F8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5724
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5724:
jmp @r4
mov #0x1C,r2
! Opcode 98F9
T8F9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5725
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5725:
jmp @r4
mov #0x1C,r2
! Opcode 98FA
T8FA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5726
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5726:
jmp @r4
mov #0x1C,r2
! Opcode 98FB
T8FB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5727
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5727:
jmp @r4
mov #0x1C,r2
! Opcode 98FC
T8FC:
mov.l r3,@-r15
mov.w @r6+,r3
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5728
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5728:
jmp @r4
mov #0x1C,r2
! Opcodes 9900 - 9907
T900:
and r0,r2
mov r3,r4
mov #16,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5730
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5730:
jmp @r4
mov #0x1C,r2
! Opcodes 9908 - 990F
T908:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(48,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5732
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5732:
jmp @r4
mov #0x1C,r2
! Opcodes 9910 - 9917
T910:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5733
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5733:
jmp @r4
mov #0x1C,r2
! Opcodes 9918 - 991F
T918:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5734
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5734:
jmp @r4
mov #0x1C,r2
! Opcodes 9920 - 9927
T920:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5735
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5735:
jmp @r4
mov #0x1C,r2
! Opcodes 9928 - 992F
T928:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5736
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5736:
jmp @r4
mov #0x1C,r2
! Opcodes 9930 - 9937
T930:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5737
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5737:
jmp @r4
mov #0x1C,r2
! Opcode 9938
T938:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5738
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5738:
jmp @r4
mov #0x1C,r2
! Opcode 9939
T939:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5739
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5739:
jmp @r4
mov #0x1C,r2
! Opcodes 9940 - 9947
T940:
and r0,r2
mov r3,r4
mov #16,r0
mov.w @(r0,r13),r3
mov r2,r0
mov.w @(r0,r13),r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov #16,r0
mov.w r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5741
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5741:
jmp @r4
mov #0x1C,r2
! Opcodes 9948 - 994F
T948:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(48,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5743
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5743:
jmp @r4
mov #0x1C,r2
! Opcodes 9950 - 9957
T950:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5744
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5744:
jmp @r4
mov #0x1C,r2
! Opcodes 9958 - 995F
T958:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5745
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5745:
jmp @r4
mov #0x1C,r2
! Opcodes 9960 - 9967
T960:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5746
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5746:
jmp @r4
mov #0x1C,r2
! Opcodes 9968 - 996F
T968:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5747
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5747:
jmp @r4
mov #0x1C,r2
! Opcodes 9970 - 9977
T970:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5748
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5748:
jmp @r4
mov #0x1C,r2
! Opcode 9978
T978:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5749
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5749:
jmp @r4
mov #0x1C,r2
! Opcode 9979
T979:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5750
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5750:
jmp @r4
mov #0x1C,r2
! Opcodes 9980 - 9987
T980:
and r0,r2
mov r3,r4
mov.l @(16,r13),r3
mov r2,r0
mov.l @(r0,r13),r1
shlr r9
movt r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l r3,@(16,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5752
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5752:
jmp @r4
mov #0x1C,r2
! Opcodes 9988 - 998F
T988:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(48,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl5754
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5754:
jmp @r4
mov #0x1C,r2
! Opcodes 9990 - 9997
T990:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5755
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5755:
jmp @r4
mov #0x1C,r2
! Opcodes 9998 - 999F
T998:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5756
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5756:
jmp @r4
mov #0x1C,r2
! Opcodes 99A0 - 99A7
T9A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl5757
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5757:
jmp @r4
mov #0x1C,r2
! Opcodes 99A8 - 99AF
T9A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl5758
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5758:
jmp @r4
mov #0x1C,r2
! Opcodes 99B0 - 99B7
T9B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl5759
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5759:
jmp @r4
mov #0x1C,r2
! Opcode 99B8
T9B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl5760
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5760:
jmp @r4
mov #0x1C,r2
! Opcode 99B9
T9B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl5761
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5761:
jmp @r4
mov #0x1C,r2
! Opcodes 99C0 - 99C7
T9C0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5762
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5762:
jmp @r4
mov #0x1C,r2
! Opcodes 99C8 - 99CF
T9C8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.l @r2,r3
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5763
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5763:
jmp @r4
mov #0x1C,r2
! Opcodes 99D0 - 99D7
T9D0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5764
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5764:
jmp @r4
mov #0x1C,r2
! Opcodes 99D8 - 99DF
T9D8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5765
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5765:
jmp @r4
mov #0x1C,r2
! Opcodes 99E0 - 99E7
T9E0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5766
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5766:
jmp @r4
mov #0x1C,r2
! Opcodes 99E8 - 99EF
T9E8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5767
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5767:
jmp @r4
mov #0x1C,r2
! Opcodes 99F0 - 99F7
T9F0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5768
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5768:
jmp @r4
mov #0x1C,r2
! Opcode 99F8
T9F8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5769
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5769:
jmp @r4
mov #0x1C,r2
! Opcode 99F9
T9F9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl5770
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5770:
jmp @r4
mov #0x1C,r2
! Opcode 99FA
T9FA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5771
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5771:
jmp @r4
mov #0x1C,r2
! Opcode 99FB
T9FB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5772
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5772:
jmp @r4
mov #0x1C,r2
! Opcode 99FC
T9FC:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5773
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5773:
jmp @r4
mov #0x1C,r2
! Opcodes 9A00 - 9A07
TA00:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5774
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5774:
jmp @r4
mov #0x1C,r2
! Opcodes 9A08 - 9A0F
TA08:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5775
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5775:
jmp @r4
mov #0x1C,r2
! Opcodes 9A10 - 9A17
TA10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5776
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5776:
jmp @r4
mov #0x1C,r2
! Opcodes 9A18 - 9A1F
TA18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5777
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5777:
jmp @r4
mov #0x1C,r2
! Opcodes 9A20 - 9A27
TA20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl5778
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5778:
jmp @r4
mov #0x1C,r2
! Opcodes 9A28 - 9A2F
TA28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5779
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5779:
jmp @r4
mov #0x1C,r2
! Opcodes 9A30 - 9A37
TA30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5780
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5780:
jmp @r4
mov #0x1C,r2
! Opcode 9A38
TA38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5781
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5781:
jmp @r4
mov #0x1C,r2
! Opcode 9A39
TA39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5782
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5782:
jmp @r4
mov #0x1C,r2
! Opcode 9A3A
TA3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5783
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5783:
jmp @r4
mov #0x1C,r2
! Opcode 9A3B
TA3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5784
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5784:
jmp @r4
mov #0x1C,r2
! Opcode 9A3C
TA3C:
mov.b @r6,r3
add #2,r6
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5785
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5785:
jmp @r4
mov #0x1C,r2
! Opcodes 9A40 - 9A47
TA40:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5786
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5786:
jmp @r4
mov #0x1C,r2
! Opcodes 9A48 - 9A4F
TA48:
and r0,r2
add r14,r2
mov.w @r2,r3
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5787
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5787:
jmp @r4
mov #0x1C,r2
! Opcodes 9A50 - 9A57
TA50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5788
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5788:
jmp @r4
mov #0x1C,r2
! Opcodes 9A58 - 9A5F
TA58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5789
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5789:
jmp @r4
mov #0x1C,r2
! Opcodes 9A60 - 9A67
TA60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl5790
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5790:
jmp @r4
mov #0x1C,r2
! Opcodes 9A68 - 9A6F
TA68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5791
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5791:
jmp @r4
mov #0x1C,r2
! Opcodes 9A70 - 9A77
TA70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5792
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5792:
jmp @r4
mov #0x1C,r2
! Opcode 9A78
TA78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5793
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5793:
jmp @r4
mov #0x1C,r2
! Opcode 9A79
TA79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5794
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5794:
jmp @r4
mov #0x1C,r2
! Opcode 9A7A
TA7A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5795
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5795:
jmp @r4
mov #0x1C,r2
! Opcode 9A7B
TA7B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5796
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5796:
jmp @r4
mov #0x1C,r2
! Opcode 9A7C
TA7C:
mov.w @r6+,r3
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5797
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5797:
jmp @r4
mov #0x1C,r2
! Opcodes 9A80 - 9A87
TA80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5798
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5798:
jmp @r4
mov #0x1C,r2
! Opcodes 9A88 - 9A8F
TA88:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5799
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5799:
jmp @r4
mov #0x1C,r2
! Opcodes 9A90 - 9A97
TA90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5800
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5800:
jmp @r4
mov #0x1C,r2
! Opcodes 9A98 - 9A9F
TA98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5801
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5801:
jmp @r4
mov #0x1C,r2
! Opcodes 9AA0 - 9AA7
TAA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5802
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5802:
jmp @r4
mov #0x1C,r2
! Opcodes 9AA8 - 9AAF
TAA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5803
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5803:
jmp @r4
mov #0x1C,r2
! Opcodes 9AB0 - 9AB7
TAB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5804
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5804:
jmp @r4
mov #0x1C,r2
! Opcode 9AB8
TAB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5805
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5805:
jmp @r4
mov #0x1C,r2
! Opcode 9AB9
TAB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl5806
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5806:
jmp @r4
mov #0x1C,r2
! Opcode 9ABA
TABA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5807
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5807:
jmp @r4
mov #0x1C,r2
! Opcode 9ABB
TABB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5808
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5808:
jmp @r4
mov #0x1C,r2
! Opcode 9ABC
TABC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5809
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5809:
jmp @r4
mov #0x1C,r2
! Opcodes 9AC0 - 9AC7
TAC0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5810
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5810:
jmp @r4
mov #0x1C,r2
! Opcodes 9AC8 - 9ACF
TAC8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.w @r2,r3
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5811
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5811:
jmp @r4
mov #0x1C,r2
! Opcodes 9AD0 - 9AD7
TAD0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5812
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5812:
jmp @r4
mov #0x1C,r2
! Opcodes 9AD8 - 9ADF
TAD8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5813
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5813:
jmp @r4
mov #0x1C,r2
! Opcodes 9AE0 - 9AE7
TAE0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5814
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5814:
jmp @r4
mov #0x1C,r2
! Opcodes 9AE8 - 9AEF
TAE8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5815
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5815:
jmp @r4
mov #0x1C,r2
! Opcodes 9AF0 - 9AF7
TAF0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5816
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5816:
jmp @r4
mov #0x1C,r2
! Opcode 9AF8
TAF8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5817
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5817:
jmp @r4
mov #0x1C,r2
! Opcode 9AF9
TAF9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5818
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5818:
jmp @r4
mov #0x1C,r2
! Opcode 9AFA
TAFA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5819
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5819:
jmp @r4
mov #0x1C,r2
! Opcode 9AFB
TAFB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5820
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5820:
jmp @r4
mov #0x1C,r2
! Opcode 9AFC
TAFC:
mov.l r3,@-r15
mov.w @r6+,r3
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5821
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5821:
jmp @r4
mov #0x1C,r2
! Opcodes 9B00 - 9B07
TB00:
and r0,r2
mov r3,r4
mov #20,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5823
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5823:
jmp @r4
mov #0x1C,r2
! Opcodes 9B08 - 9B0F
TB08:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(52,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5825
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5825:
jmp @r4
mov #0x1C,r2
! Opcodes 9B10 - 9B17
TB10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5826
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5826:
jmp @r4
mov #0x1C,r2
! Opcodes 9B18 - 9B1F
TB18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5827
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5827:
jmp @r4
mov #0x1C,r2
! Opcodes 9B20 - 9B27
TB20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5828
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5828:
jmp @r4
mov #0x1C,r2
! Opcodes 9B28 - 9B2F
TB28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5829
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5829:
jmp @r4
mov #0x1C,r2
! Opcodes 9B30 - 9B37
TB30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5830
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5830:
jmp @r4
mov #0x1C,r2
! Opcode 9B38
TB38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5831
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5831:
jmp @r4
mov #0x1C,r2
! Opcode 9B39
TB39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5832
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5832:
jmp @r4
mov #0x1C,r2
! Opcodes 9B40 - 9B47
TB40:
and r0,r2
mov r3,r4
mov #20,r0
mov.w @(r0,r13),r3
mov r2,r0
mov.w @(r0,r13),r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov #20,r0
mov.w r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5834
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5834:
jmp @r4
mov #0x1C,r2
! Opcodes 9B48 - 9B4F
TB48:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(52,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5836
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5836:
jmp @r4
mov #0x1C,r2
! Opcodes 9B50 - 9B57
TB50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5837
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5837:
jmp @r4
mov #0x1C,r2
! Opcodes 9B58 - 9B5F
TB58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5838
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5838:
jmp @r4
mov #0x1C,r2
! Opcodes 9B60 - 9B67
TB60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5839
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5839:
jmp @r4
mov #0x1C,r2
! Opcodes 9B68 - 9B6F
TB68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5840
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5840:
jmp @r4
mov #0x1C,r2
! Opcodes 9B70 - 9B77
TB70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5841
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5841:
jmp @r4
mov #0x1C,r2
! Opcode 9B78
TB78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5842
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5842:
jmp @r4
mov #0x1C,r2
! Opcode 9B79
TB79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5843
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5843:
jmp @r4
mov #0x1C,r2
! Opcodes 9B80 - 9B87
TB80:
and r0,r2
mov r3,r4
mov.l @(20,r13),r3
mov r2,r0
mov.l @(r0,r13),r1
shlr r9
movt r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l r3,@(20,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5845
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5845:
jmp @r4
mov #0x1C,r2
! Opcodes 9B88 - 9B8F
TB88:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(52,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl5847
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5847:
jmp @r4
mov #0x1C,r2
! Opcodes 9B90 - 9B97
TB90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5848
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5848:
jmp @r4
mov #0x1C,r2
! Opcodes 9B98 - 9B9F
TB98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5849
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5849:
jmp @r4
mov #0x1C,r2
! Opcodes 9BA0 - 9BA7
TBA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl5850
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5850:
jmp @r4
mov #0x1C,r2
! Opcodes 9BA8 - 9BAF
TBA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl5851
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5851:
jmp @r4
mov #0x1C,r2
! Opcodes 9BB0 - 9BB7
TBB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl5852
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5852:
jmp @r4
mov #0x1C,r2
! Opcode 9BB8
TBB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl5853
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5853:
jmp @r4
mov #0x1C,r2
! Opcode 9BB9
TBB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl5854
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5854:
jmp @r4
mov #0x1C,r2
! Opcodes 9BC0 - 9BC7
TBC0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5855
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5855:
jmp @r4
mov #0x1C,r2
! Opcodes 9BC8 - 9BCF
TBC8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.l @r2,r3
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5856
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5856:
jmp @r4
mov #0x1C,r2
! Opcodes 9BD0 - 9BD7
TBD0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5857
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5857:
jmp @r4
mov #0x1C,r2
! Opcodes 9BD8 - 9BDF
TBD8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5858
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5858:
jmp @r4
mov #0x1C,r2
! Opcodes 9BE0 - 9BE7
TBE0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5859
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5859:
jmp @r4
mov #0x1C,r2
! Opcodes 9BE8 - 9BEF
TBE8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5860
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5860:
jmp @r4
mov #0x1C,r2
! Opcodes 9BF0 - 9BF7
TBF0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5861
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5861:
jmp @r4
mov #0x1C,r2
! Opcode 9BF8
TBF8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5862
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5862:
jmp @r4
mov #0x1C,r2
! Opcode 9BF9
TBF9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl5863
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5863:
jmp @r4
mov #0x1C,r2
! Opcode 9BFA
TBFA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5864
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5864:
jmp @r4
mov #0x1C,r2
! Opcode 9BFB
TBFB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5865
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5865:
jmp @r4
mov #0x1C,r2
! Opcode 9BFC
TBFC:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5866
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5866:
jmp @r4
mov #0x1C,r2
! Opcodes 9C00 - 9C07
TC00:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5867
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5867:
jmp @r4
mov #0x1C,r2
! Opcodes 9C08 - 9C0F
TC08:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5868
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5868:
jmp @r4
mov #0x1C,r2
! Opcodes 9C10 - 9C17
TC10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5869
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5869:
jmp @r4
mov #0x1C,r2
! Opcodes 9C18 - 9C1F
TC18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5870
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5870:
jmp @r4
mov #0x1C,r2
! Opcodes 9C20 - 9C27
TC20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl5871
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5871:
jmp @r4
mov #0x1C,r2
! Opcodes 9C28 - 9C2F
TC28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5872
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5872:
jmp @r4
mov #0x1C,r2
! Opcodes 9C30 - 9C37
TC30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5873
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5873:
jmp @r4
mov #0x1C,r2
! Opcode 9C38
TC38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5874
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5874:
jmp @r4
mov #0x1C,r2
! Opcode 9C39
TC39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5875
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5875:
jmp @r4
mov #0x1C,r2
! Opcode 9C3A
TC3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5876
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5876:
jmp @r4
mov #0x1C,r2
! Opcode 9C3B
TC3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5877
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5877:
jmp @r4
mov #0x1C,r2
! Opcode 9C3C
TC3C:
mov.b @r6,r3
add #2,r6
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5878
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5878:
jmp @r4
mov #0x1C,r2
! Opcodes 9C40 - 9C47
TC40:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5879
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5879:
jmp @r4
mov #0x1C,r2
! Opcodes 9C48 - 9C4F
TC48:
and r0,r2
add r14,r2
mov.w @r2,r3
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5880
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5880:
jmp @r4
mov #0x1C,r2
! Opcodes 9C50 - 9C57
TC50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5881
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5881:
jmp @r4
mov #0x1C,r2
! Opcodes 9C58 - 9C5F
TC58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5882
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5882:
jmp @r4
mov #0x1C,r2
! Opcodes 9C60 - 9C67
TC60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl5883
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5883:
jmp @r4
mov #0x1C,r2
! Opcodes 9C68 - 9C6F
TC68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5884
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5884:
jmp @r4
mov #0x1C,r2
! Opcodes 9C70 - 9C77
TC70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5885
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5885:
jmp @r4
mov #0x1C,r2
! Opcode 9C78
TC78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5886
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5886:
jmp @r4
mov #0x1C,r2
! Opcode 9C79
TC79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5887
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5887:
jmp @r4
mov #0x1C,r2
! Opcode 9C7A
TC7A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5888
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5888:
jmp @r4
mov #0x1C,r2
! Opcode 9C7B
TC7B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5889
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5889:
jmp @r4
mov #0x1C,r2
! Opcode 9C7C
TC7C:
mov.w @r6+,r3
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5890
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5890:
jmp @r4
mov #0x1C,r2
! Opcodes 9C80 - 9C87
TC80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5891
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5891:
jmp @r4
mov #0x1C,r2
! Opcodes 9C88 - 9C8F
TC88:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5892
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5892:
jmp @r4
mov #0x1C,r2
! Opcodes 9C90 - 9C97
TC90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5893
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5893:
jmp @r4
mov #0x1C,r2
! Opcodes 9C98 - 9C9F
TC98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5894
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5894:
jmp @r4
mov #0x1C,r2
! Opcodes 9CA0 - 9CA7
TCA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5895
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5895:
jmp @r4
mov #0x1C,r2
! Opcodes 9CA8 - 9CAF
TCA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5896
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5896:
jmp @r4
mov #0x1C,r2
! Opcodes 9CB0 - 9CB7
TCB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5897
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5897:
jmp @r4
mov #0x1C,r2
! Opcode 9CB8
TCB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5898
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5898:
jmp @r4
mov #0x1C,r2
! Opcode 9CB9
TCB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl5899
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5899:
jmp @r4
mov #0x1C,r2
! Opcode 9CBA
TCBA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5900
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5900:
jmp @r4
mov #0x1C,r2
! Opcode 9CBB
TCBB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5901
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5901:
jmp @r4
mov #0x1C,r2
! Opcode 9CBC
TCBC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5902
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5902:
jmp @r4
mov #0x1C,r2
! Opcodes 9CC0 - 9CC7
TCC0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5903
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5903:
jmp @r4
mov #0x1C,r2
! Opcodes 9CC8 - 9CCF
TCC8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.w @r2,r3
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5904
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5904:
jmp @r4
mov #0x1C,r2
! Opcodes 9CD0 - 9CD7
TCD0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5905
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5905:
jmp @r4
mov #0x1C,r2
! Opcodes 9CD8 - 9CDF
TCD8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5906
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5906:
jmp @r4
mov #0x1C,r2
! Opcodes 9CE0 - 9CE7
TCE0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5907
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5907:
jmp @r4
mov #0x1C,r2
! Opcodes 9CE8 - 9CEF
TCE8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5908
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5908:
jmp @r4
mov #0x1C,r2
! Opcodes 9CF0 - 9CF7
TCF0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5909
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5909:
jmp @r4
mov #0x1C,r2
! Opcode 9CF8
TCF8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5910
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5910:
jmp @r4
mov #0x1C,r2
! Opcode 9CF9
TCF9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5911
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5911:
jmp @r4
mov #0x1C,r2
! Opcode 9CFA
TCFA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5912
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5912:
jmp @r4
mov #0x1C,r2
! Opcode 9CFB
TCFB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5913
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5913:
jmp @r4
mov #0x1C,r2
! Opcode 9CFC
TCFC:
mov.l r3,@-r15
mov.w @r6+,r3
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5914
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5914:
jmp @r4
mov #0x1C,r2
! Opcodes 9D00 - 9D07
TD00:
and r0,r2
mov r3,r4
mov #24,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5916
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5916:
jmp @r4
mov #0x1C,r2
! Opcodes 9D08 - 9D0F
TD08:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(56,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5918
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5918:
jmp @r4
mov #0x1C,r2
! Opcodes 9D10 - 9D17
TD10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5919
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5919:
jmp @r4
mov #0x1C,r2
! Opcodes 9D18 - 9D1F
TD18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5920
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5920:
jmp @r4
mov #0x1C,r2
! Opcodes 9D20 - 9D27
TD20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5921
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5921:
jmp @r4
mov #0x1C,r2
! Opcodes 9D28 - 9D2F
TD28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5922
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5922:
jmp @r4
mov #0x1C,r2
! Opcodes 9D30 - 9D37
TD30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5923
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5923:
jmp @r4
mov #0x1C,r2
! Opcode 9D38
TD38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5924
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5924:
jmp @r4
mov #0x1C,r2
! Opcode 9D39
TD39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5925
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5925:
jmp @r4
mov #0x1C,r2
! Opcodes 9D40 - 9D47
TD40:
and r0,r2
mov r3,r4
mov #24,r0
mov.w @(r0,r13),r3
mov r2,r0
mov.w @(r0,r13),r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov #24,r0
mov.w r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5927
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5927:
jmp @r4
mov #0x1C,r2
! Opcodes 9D48 - 9D4F
TD48:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(56,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5929
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5929:
jmp @r4
mov #0x1C,r2
! Opcodes 9D50 - 9D57
TD50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5930
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5930:
jmp @r4
mov #0x1C,r2
! Opcodes 9D58 - 9D5F
TD58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5931
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5931:
jmp @r4
mov #0x1C,r2
! Opcodes 9D60 - 9D67
TD60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5932
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5932:
jmp @r4
mov #0x1C,r2
! Opcodes 9D68 - 9D6F
TD68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5933
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5933:
jmp @r4
mov #0x1C,r2
! Opcodes 9D70 - 9D77
TD70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5934
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5934:
jmp @r4
mov #0x1C,r2
! Opcode 9D78
TD78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5935
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5935:
jmp @r4
mov #0x1C,r2
! Opcode 9D79
TD79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5936
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5936:
jmp @r4
mov #0x1C,r2
! Opcodes 9D80 - 9D87
TD80:
and r0,r2
mov r3,r4
mov.l @(24,r13),r3
mov r2,r0
mov.l @(r0,r13),r1
shlr r9
movt r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l r3,@(24,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5938
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5938:
jmp @r4
mov #0x1C,r2
! Opcodes 9D88 - 9D8F
TD88:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(56,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl5940
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5940:
jmp @r4
mov #0x1C,r2
! Opcodes 9D90 - 9D97
TD90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5941
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5941:
jmp @r4
mov #0x1C,r2
! Opcodes 9D98 - 9D9F
TD98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5942
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5942:
jmp @r4
mov #0x1C,r2
! Opcodes 9DA0 - 9DA7
TDA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl5943
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5943:
jmp @r4
mov #0x1C,r2
! Opcodes 9DA8 - 9DAF
TDA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl5944
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5944:
jmp @r4
mov #0x1C,r2
! Opcodes 9DB0 - 9DB7
TDB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl5945
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5945:
jmp @r4
mov #0x1C,r2
! Opcode 9DB8
TDB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl5946
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5946:
jmp @r4
mov #0x1C,r2
! Opcode 9DB9
TDB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl5947
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5947:
jmp @r4
mov #0x1C,r2
! Opcodes 9DC0 - 9DC7
TDC0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5948
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5948:
jmp @r4
mov #0x1C,r2
! Opcodes 9DC8 - 9DCF
TDC8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.l @r2,r3
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5949
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5949:
jmp @r4
mov #0x1C,r2
! Opcodes 9DD0 - 9DD7
TDD0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5950
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5950:
jmp @r4
mov #0x1C,r2
! Opcodes 9DD8 - 9DDF
TDD8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5951
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5951:
jmp @r4
mov #0x1C,r2
! Opcodes 9DE0 - 9DE7
TDE0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5952
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5952:
jmp @r4
mov #0x1C,r2
! Opcodes 9DE8 - 9DEF
TDE8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5953
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5953:
jmp @r4
mov #0x1C,r2
! Opcodes 9DF0 - 9DF7
TDF0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5954
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5954:
jmp @r4
mov #0x1C,r2
! Opcode 9DF8
TDF8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5955
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5955:
jmp @r4
mov #0x1C,r2
! Opcode 9DF9
TDF9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl5956
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5956:
jmp @r4
mov #0x1C,r2
! Opcode 9DFA
TDFA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5957
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5957:
jmp @r4
mov #0x1C,r2
! Opcode 9DFB
TDFB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5958
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5958:
jmp @r4
mov #0x1C,r2
! Opcode 9DFC
TDFC:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5959
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5959:
jmp @r4
mov #0x1C,r2
! Opcodes 9E00 - 9E07
TE00:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5960
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5960:
jmp @r4
mov #0x1C,r2
! Opcodes 9E08 - 9E0F
TE08:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5961
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5961:
jmp @r4
mov #0x1C,r2
! Opcodes 9E10 - 9E17
TE10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5962
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5962:
jmp @r4
mov #0x1C,r2
! Opcodes 9E18 - 9E1F
TE18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5963
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5963:
jmp @r4
mov #0x1C,r2
! Opcodes 9E20 - 9E27
TE20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl5964
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5964:
jmp @r4
mov #0x1C,r2
! Opcodes 9E28 - 9E2F
TE28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5965
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5965:
jmp @r4
mov #0x1C,r2
! Opcodes 9E30 - 9E37
TE30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5966
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5966:
jmp @r4
mov #0x1C,r2
! Opcode 9E38
TE38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5967
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5967:
jmp @r4
mov #0x1C,r2
! Opcode 9E39
TE39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5968
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5968:
jmp @r4
mov #0x1C,r2
! Opcode 9E3A
TE3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5969
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5969:
jmp @r4
mov #0x1C,r2
! Opcode 9E3B
TE3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5970
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5970:
jmp @r4
mov #0x1C,r2
! Opcode 9E3C
TE3C:
mov.b @r6,r3
add #2,r6
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5971
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5971:
jmp @r4
mov #0x1C,r2
! Opcodes 9E40 - 9E47
TE40:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5972
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5972:
jmp @r4
mov #0x1C,r2
! Opcodes 9E48 - 9E4F
TE48:
and r0,r2
add r14,r2
mov.w @r2,r3
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl5973
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5973:
jmp @r4
mov #0x1C,r2
! Opcodes 9E50 - 9E57
TE50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5974
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5974:
jmp @r4
mov #0x1C,r2
! Opcodes 9E58 - 9E5F
TE58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5975
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5975:
jmp @r4
mov #0x1C,r2
! Opcodes 9E60 - 9E67
TE60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl5976
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5976:
jmp @r4
mov #0x1C,r2
! Opcodes 9E68 - 9E6F
TE68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5977
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5977:
jmp @r4
mov #0x1C,r2
! Opcodes 9E70 - 9E77
TE70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5978
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5978:
jmp @r4
mov #0x1C,r2
! Opcode 9E78
TE78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5979
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5979:
jmp @r4
mov #0x1C,r2
! Opcode 9E79
TE79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5980
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5980:
jmp @r4
mov #0x1C,r2
! Opcode 9E7A
TE7A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5981
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5981:
jmp @r4
mov #0x1C,r2
! Opcode 9E7B
TE7B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5982
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5982:
jmp @r4
mov #0x1C,r2
! Opcode 9E7C
TE7C:
mov.w @r6+,r3
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5983
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5983:
jmp @r4
mov #0x1C,r2
! Opcodes 9E80 - 9E87
TE80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5984
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5984:
jmp @r4
mov #0x1C,r2
! Opcodes 9E88 - 9E8F
TE88:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5985
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5985:
jmp @r4
mov #0x1C,r2
! Opcodes 9E90 - 9E97
TE90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5986
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5986:
jmp @r4
mov #0x1C,r2
! Opcodes 9E98 - 9E9F
TE98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl5987
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5987:
jmp @r4
mov #0x1C,r2
! Opcodes 9EA0 - 9EA7
TEA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5988
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5988:
jmp @r4
mov #0x1C,r2
! Opcodes 9EA8 - 9EAF
TEA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5989
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5989:
jmp @r4
mov #0x1C,r2
! Opcodes 9EB0 - 9EB7
TEB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5990
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5990:
jmp @r4
mov #0x1C,r2
! Opcode 9EB8
TEB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5991
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5991:
jmp @r4
mov #0x1C,r2
! Opcode 9EB9
TEB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl5992
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5992:
jmp @r4
mov #0x1C,r2
! Opcode 9EBA
TEBA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl5993
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5993:
jmp @r4
mov #0x1C,r2
! Opcode 9EBB
TEBB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl5994
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5994:
jmp @r4
mov #0x1C,r2
! Opcode 9EBC
TEBC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl5995
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5995:
jmp @r4
mov #0x1C,r2
! Opcodes 9EC0 - 9EC7
TEC0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5996
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5996:
jmp @r4
mov #0x1C,r2
! Opcodes 9EC8 - 9ECF
TEC8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.w @r2,r3
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl5997
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5997:
jmp @r4
mov #0x1C,r2
! Opcodes 9ED0 - 9ED7
TED0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5998
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5998:
jmp @r4
mov #0x1C,r2
! Opcodes 9ED8 - 9EDF
TED8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl5999
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl5999:
jmp @r4
mov #0x1C,r2
! Opcodes 9EE0 - 9EE7
TEE0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6000
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6000:
jmp @r4
mov #0x1C,r2
! Opcodes 9EE8 - 9EEF
TEE8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6001
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6001:
jmp @r4
mov #0x1C,r2
! Opcodes 9EF0 - 9EF7
TEF0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6002
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6002:
jmp @r4
mov #0x1C,r2
! Opcode 9EF8
TEF8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6003
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6003:
jmp @r4
mov #0x1C,r2
! Opcode 9EF9
TEF9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6004
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6004:
jmp @r4
mov #0x1C,r2
! Opcode 9EFA
TEFA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6005
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6005:
jmp @r4
mov #0x1C,r2
! Opcode 9EFB
TEFB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6006
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6006:
jmp @r4
mov #0x1C,r2
! Opcode 9EFC
TEFC:
mov.l r3,@-r15
mov.w @r6+,r3
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6007
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6007:
jmp @r4
mov #0x1C,r2
! Opcodes 9F00 - 9F07
TF00:
and r0,r2
mov r3,r4
mov #28,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6009
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6009:
jmp @r4
mov #0x1C,r2
! Opcodes 9F08 - 9F0F
TF08:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(60,r13),r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6011
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6011:
jmp @r4
mov #0x1C,r2
! Opcodes 9F10 - 9F17
TF10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6012
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6012:
jmp @r4
mov #0x1C,r2
! Opcodes 9F18 - 9F1F
TF18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6013
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6013:
jmp @r4
mov #0x1C,r2
! Opcodes 9F20 - 9F27
TF20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6014
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6014:
jmp @r4
mov #0x1C,r2
! Opcodes 9F28 - 9F2F
TF28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6015
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6015:
jmp @r4
mov #0x1C,r2
! Opcodes 9F30 - 9F37
TF30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6016
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6016:
jmp @r4
mov #0x1C,r2
! Opcode 9F38
TF38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6017
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6017:
jmp @r4
mov #0x1C,r2
! Opcode 9F39
TF39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6018
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6018:
jmp @r4
mov #0x1C,r2
! Opcodes 9F40 - 9F47
TF40:
and r0,r2
mov r3,r4
mov #28,r0
mov.w @(r0,r13),r3
mov r2,r0
mov.w @(r0,r13),r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov #28,r0
mov.w r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6020
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6020:
jmp @r4
mov #0x1C,r2
! Opcodes 9F48 - 9F4F
TF48:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(60,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6022
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6022:
jmp @r4
mov #0x1C,r2
! Opcodes 9F50 - 9F57
TF50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6023
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6023:
jmp @r4
mov #0x1C,r2
! Opcodes 9F58 - 9F5F
TF58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6024
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6024:
jmp @r4
mov #0x1C,r2
! Opcodes 9F60 - 9F67
TF60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6025
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6025:
jmp @r4
mov #0x1C,r2
! Opcodes 9F68 - 9F6F
TF68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6026
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6026:
jmp @r4
mov #0x1C,r2
! Opcodes 9F70 - 9F77
TF70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6027
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6027:
jmp @r4
mov #0x1C,r2
! Opcode 9F78
TF78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6028
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6028:
jmp @r4
mov #0x1C,r2
! Opcode 9F79
TF79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6029
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6029:
jmp @r4
mov #0x1C,r2
! Opcodes 9F80 - 9F87
TF80:
and r0,r2
mov r3,r4
mov.l @(28,r13),r3
mov r2,r0
mov.l @(r0,r13),r1
shlr r9
movt r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l r3,@(28,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6031
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6031:
jmp @r4
mov #0x1C,r2
! Opcodes 9F88 - 9F8F
TF88:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(60,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
clrt
mov r3,r0
subc r1,r3
movt r9
clrt
subc r8,r3
movt r3
or r3,r9
subv r1,r0
movt r3
subv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl6033
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6033:
jmp @r4
mov #0x1C,r2
! Opcodes 9F90 - 9F97
TF90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6034
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6034:
jmp @r4
mov #0x1C,r2
! Opcodes 9F98 - 9F9F
TF98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6035
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6035:
jmp @r4
mov #0x1C,r2
! Opcodes 9FA0 - 9FA7
TFA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6036
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6036:
jmp @r4
mov #0x1C,r2
! Opcodes 9FA8 - 9FAF
TFA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl6037
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6037:
jmp @r4
mov #0x1C,r2
! Opcodes 9FB0 - 9FB7
TFB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl6038
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6038:
jmp @r4
mov #0x1C,r2
! Opcode 9FB8
TFB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl6039
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6039:
jmp @r4
mov #0x1C,r2
! Opcode 9FB9
TFB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl6040
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6040:
jmp @r4
mov #0x1C,r2
! Opcodes 9FC0 - 9FC7
TFC0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6041
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6041:
jmp @r4
mov #0x1C,r2
! Opcodes 9FC8 - 9FCF
TFC8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.l @r2,r3
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6042
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6042:
jmp @r4
mov #0x1C,r2
! Opcodes 9FD0 - 9FD7
TFD0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6043
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6043:
jmp @r4
mov #0x1C,r2
! Opcodes 9FD8 - 9FDF
TFD8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6044
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6044:
jmp @r4
mov #0x1C,r2
! Opcodes 9FE0 - 9FE7
TFE0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6045
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6045:
jmp @r4
mov #0x1C,r2
! Opcodes 9FE8 - 9FEF
TFE8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6046
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6046:
jmp @r4
mov #0x1C,r2
! Opcodes 9FF0 - 9FF7
TFF0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6047
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6047:
jmp @r4
mov #0x1C,r2
! Opcode 9FF8
TFF8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6048
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6048:
jmp @r4
mov #0x1C,r2
! Opcode 9FF9
TFF9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6049
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6049:
jmp @r4
mov #0x1C,r2
! Opcode 9FFA
TFFA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6050
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6050:
jmp @r4
mov #0x1C,r2
! Opcode 9FFB
TFFB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6051
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6051:
jmp @r4
mov #0x1C,r2
! Opcode 9FFC
TFFC:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6052
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6052:
jmp @r4
mov #0x1C,r2
! Opcodes A000 - AFFF
U000:
mov.l r3,@-r15
mov.l g1_except_addr6053,r0
add #-2,r6
jsr @r0
mov #0x28,r4
mov.l bf_addr6053,r0
jsr @r0
nop
add r5,r6
mov.l @r15+,r3
mov.w @r6+,r0
add #-34,r7
shll2 r0
cmp/pl r7
bt/s fdl6054
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6054:
jmp @r4
mov #0x1C,r2
.align 2
g1_except_addr6053: .long group_1_exception
bf_addr6053: .long basefunction
! Opcodes B000 - B007
V000:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6055
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6055:
jmp @r4
mov #0x1C,r2
! Opcodes B008 - B00F
V008:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6056
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6056:
jmp @r4
mov #0x1C,r2
! Opcodes B010 - B017
V010:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6057
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6057:
jmp @r4
mov #0x1C,r2
! Opcodes B018 - B01F
V018:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6058
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6058:
jmp @r4
mov #0x1C,r2
! Opcodes B020 - B027
V020:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6059
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6059:
jmp @r4
mov #0x1C,r2
! Opcodes B028 - B02F
V028:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6060
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6060:
jmp @r4
mov #0x1C,r2
! Opcodes B030 - B037
V030:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6061
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6061:
jmp @r4
mov #0x1C,r2
! Opcode B038
V038:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6062
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6062:
jmp @r4
mov #0x1C,r2
! Opcode B039
V039:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6063
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6063:
jmp @r4
mov #0x1C,r2
! Opcode B03A
V03A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6064
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6064:
jmp @r4
mov #0x1C,r2
! Opcode B03B
V03B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6065
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6065:
jmp @r4
mov #0x1C,r2
! Opcode B03C
V03C:
mov.b @r6,r3
add #2,r6
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6066
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6066:
jmp @r4
mov #0x1C,r2
! Opcodes B040 - B047
V040:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6067
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6067:
jmp @r4
mov #0x1C,r2
! Opcodes B048 - B04F
V048:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6068
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6068:
jmp @r4
mov #0x1C,r2
! Opcodes B050 - B057
V050:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6069
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6069:
jmp @r4
mov #0x1C,r2
! Opcodes B058 - B05F
V058:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6070
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6070:
jmp @r4
mov #0x1C,r2
! Opcodes B060 - B067
V060:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6071
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6071:
jmp @r4
mov #0x1C,r2
! Opcodes B068 - B06F
V068:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6072
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6072:
jmp @r4
mov #0x1C,r2
! Opcodes B070 - B077
V070:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6073
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6073:
jmp @r4
mov #0x1C,r2
! Opcode B078
V078:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6074
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6074:
jmp @r4
mov #0x1C,r2
! Opcode B079
V079:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6075
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6075:
jmp @r4
mov #0x1C,r2
! Opcode B07A
V07A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6076
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6076:
jmp @r4
mov #0x1C,r2
! Opcode B07B
V07B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6077
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6077:
jmp @r4
mov #0x1C,r2
! Opcode B07C
V07C:
mov.w @r6+,r3
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6078
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6078:
jmp @r4
mov #0x1C,r2
! Opcodes B080 - B087
V080:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6079
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6079:
jmp @r4
mov #0x1C,r2
! Opcodes B088 - B08F
V088:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6080
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6080:
jmp @r4
mov #0x1C,r2
! Opcodes B090 - B097
V090:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6081
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6081:
jmp @r4
mov #0x1C,r2
! Opcodes B098 - B09F
V098:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6082
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6082:
jmp @r4
mov #0x1C,r2
! Opcodes B0A0 - B0A7
V0A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6083
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6083:
jmp @r4
mov #0x1C,r2
! Opcodes B0A8 - B0AF
V0A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6084
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6084:
jmp @r4
mov #0x1C,r2
! Opcodes B0B0 - B0B7
V0B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6085
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6085:
jmp @r4
mov #0x1C,r2
! Opcode B0B8
V0B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6086
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6086:
jmp @r4
mov #0x1C,r2
! Opcode B0B9
V0B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6087
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6087:
jmp @r4
mov #0x1C,r2
! Opcode B0BA
V0BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6088
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6088:
jmp @r4
mov #0x1C,r2
! Opcode B0BB
V0BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6089
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6089:
jmp @r4
mov #0x1C,r2
! Opcode B0BC
V0BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6090
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6090:
jmp @r4
mov #0x1C,r2
! Opcodes B0C0 - B0C7
V0C0:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6091
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6091:
jmp @r4
mov #0x1C,r2
! Opcodes B0C8 - B0CF
V0C8:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6092
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6092:
jmp @r4
mov #0x1C,r2
! Opcodes B0D0 - B0D7
V0D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6093
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6093:
jmp @r4
mov #0x1C,r2
! Opcodes B0D8 - B0DF
V0D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6094
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6094:
jmp @r4
mov #0x1C,r2
! Opcodes B0E0 - B0E7
V0E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6095
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6095:
jmp @r4
mov #0x1C,r2
! Opcodes B0E8 - B0EF
V0E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6096
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6096:
jmp @r4
mov #0x1C,r2
! Opcodes B0F0 - B0F7
V0F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6097
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6097:
jmp @r4
mov #0x1C,r2
! Opcode B0F8
V0F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6098
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6098:
jmp @r4
mov #0x1C,r2
! Opcode B0F9
V0F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6099
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6099:
jmp @r4
mov #0x1C,r2
! Opcode B0FA
V0FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6100
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6100:
jmp @r4
mov #0x1C,r2
! Opcode B0FB
V0FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6101
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6101:
jmp @r4
mov #0x1C,r2
! Opcode B0FC
V0FC:
mov.w @r6+,r3
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6102
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6102:
jmp @r4
mov #0x1C,r2
! Opcodes B100 - B107
V100:
and r0,r2
mov r2,r0
mov.b @(r0,r13),r3
mov.b @r13,r1
xor r1,r3
mov r2,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6103
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6103:
jmp @r4
mov #0x1C,r2
! Opcodes B108 - B10F
V108:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(32,r13),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(32,r13)
mov #24,r0
shld r0,r2
shld r0,r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6104
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6104:
jmp @r4
mov #0x1C,r2
! Opcodes B110 - B117
V110:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6105
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6105:
jmp @r4
mov #0x1C,r2
! Opcodes B118 - B11F
V118:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6106
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6106:
jmp @r4
mov #0x1C,r2
! Opcodes B120 - B127
V120:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6107
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6107:
jmp @r4
mov #0x1C,r2
! Opcodes B128 - B12F
V128:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6108
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6108:
jmp @r4
mov #0x1C,r2
! Opcodes B130 - B137
V130:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6109
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6109:
jmp @r4
mov #0x1C,r2
! Opcode B138
V138:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6110
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6110:
jmp @r4
mov #0x1C,r2
! Opcode B139
V139:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6111
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6111:
jmp @r4
mov #0x1C,r2
! Opcodes B140 - B147
V140:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.w @r13,r1
xor r1,r3
mov r2,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6112
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6112:
jmp @r4
mov #0x1C,r2
! Opcodes B148 - B14F
V148:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(32,r13),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(32,r13)
shll16 r2
shll16 r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6113
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6113:
jmp @r4
mov #0x1C,r2
! Opcodes B150 - B157
V150:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6114
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6114:
jmp @r4
mov #0x1C,r2
! Opcodes B158 - B15F
V158:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6115
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6115:
jmp @r4
mov #0x1C,r2
! Opcodes B160 - B167
V160:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6116
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6116:
jmp @r4
mov #0x1C,r2
! Opcodes B168 - B16F
V168:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6117
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6117:
jmp @r4
mov #0x1C,r2
! Opcodes B170 - B177
V170:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6118
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6118:
jmp @r4
mov #0x1C,r2
! Opcode B178
V178:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6119
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6119:
jmp @r4
mov #0x1C,r2
! Opcode B179
V179:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6120
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6120:
jmp @r4
mov #0x1C,r2
! Opcodes B180 - B187
V180:
and r0,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @r13,r1
xor r1,r3
mov r2,r0
mov.l r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6121
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6121:
jmp @r4
mov #0x1C,r2
! Opcodes B188 - B18F
V188:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(32,r13),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(32,r13)
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6122
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6122:
jmp @r4
mov #0x1C,r2
! Opcodes B190 - B197
V190:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6123
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6123:
jmp @r4
mov #0x1C,r2
! Opcodes B198 - B19F
V198:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6124
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6124:
jmp @r4
mov #0x1C,r2
! Opcodes B1A0 - B1A7
V1A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6125
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6125:
jmp @r4
mov #0x1C,r2
! Opcodes B1A8 - B1AF
V1A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl6126
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6126:
jmp @r4
mov #0x1C,r2
! Opcodes B1B0 - B1B7
V1B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl6127
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6127:
jmp @r4
mov #0x1C,r2
! Opcode B1B8
V1B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl6128
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6128:
jmp @r4
mov #0x1C,r2
! Opcode B1B9
V1B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl6129
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6129:
jmp @r4
mov #0x1C,r2
! Opcodes B1C0 - B1C7
V1C0:
and r0,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6130
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6130:
jmp @r4
mov #0x1C,r2
! Opcodes B1C8 - B1CF
V1C8:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6131
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6131:
jmp @r4
mov #0x1C,r2
! Opcodes B1D0 - B1D7
V1D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6132
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6132:
jmp @r4
mov #0x1C,r2
! Opcodes B1D8 - B1DF
V1D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6133
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6133:
jmp @r4
mov #0x1C,r2
! Opcodes B1E0 - B1E7
V1E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6134
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6134:
jmp @r4
mov #0x1C,r2
! Opcodes B1E8 - B1EF
V1E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6135
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6135:
jmp @r4
mov #0x1C,r2
! Opcodes B1F0 - B1F7
V1F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6136
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6136:
jmp @r4
mov #0x1C,r2
! Opcode B1F8
V1F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6137
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6137:
jmp @r4
mov #0x1C,r2
! Opcode B1F9
V1F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6138
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6138:
jmp @r4
mov #0x1C,r2
! Opcode B1FA
V1FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6139
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6139:
jmp @r4
mov #0x1C,r2
! Opcode B1FB
V1FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6140
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6140:
jmp @r4
mov #0x1C,r2
! Opcode B1FC
V1FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6141
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6141:
jmp @r4
mov #0x1C,r2
! Opcodes B200 - B207
V200:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6142
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6142:
jmp @r4
mov #0x1C,r2
! Opcodes B208 - B20F
V208:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6143
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6143:
jmp @r4
mov #0x1C,r2
! Opcodes B210 - B217
V210:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6144
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6144:
jmp @r4
mov #0x1C,r2
! Opcodes B218 - B21F
V218:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6145
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6145:
jmp @r4
mov #0x1C,r2
! Opcodes B220 - B227
V220:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6146
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6146:
jmp @r4
mov #0x1C,r2
! Opcodes B228 - B22F
V228:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6147
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6147:
jmp @r4
mov #0x1C,r2
! Opcodes B230 - B237
V230:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6148
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6148:
jmp @r4
mov #0x1C,r2
! Opcode B238
V238:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6149
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6149:
jmp @r4
mov #0x1C,r2
! Opcode B239
V239:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6150
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6150:
jmp @r4
mov #0x1C,r2
! Opcode B23A
V23A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6151
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6151:
jmp @r4
mov #0x1C,r2
! Opcode B23B
V23B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6152
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6152:
jmp @r4
mov #0x1C,r2
! Opcode B23C
V23C:
mov.b @r6,r3
add #2,r6
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6153
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6153:
jmp @r4
mov #0x1C,r2
! Opcodes B240 - B247
V240:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6154
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6154:
jmp @r4
mov #0x1C,r2
! Opcodes B248 - B24F
V248:
and r0,r2
add r14,r2
mov.w @r2,r3
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6155
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6155:
jmp @r4
mov #0x1C,r2
! Opcodes B250 - B257
V250:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6156
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6156:
jmp @r4
mov #0x1C,r2
! Opcodes B258 - B25F
V258:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6157
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6157:
jmp @r4
mov #0x1C,r2
! Opcodes B260 - B267
V260:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6158
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6158:
jmp @r4
mov #0x1C,r2
! Opcodes B268 - B26F
V268:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6159
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6159:
jmp @r4
mov #0x1C,r2
! Opcodes B270 - B277
V270:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6160
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6160:
jmp @r4
mov #0x1C,r2
! Opcode B278
V278:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6161
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6161:
jmp @r4
mov #0x1C,r2
! Opcode B279
V279:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6162
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6162:
jmp @r4
mov #0x1C,r2
! Opcode B27A
V27A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6163
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6163:
jmp @r4
mov #0x1C,r2
! Opcode B27B
V27B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6164
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6164:
jmp @r4
mov #0x1C,r2
! Opcode B27C
V27C:
mov.w @r6+,r3
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6165
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6165:
jmp @r4
mov #0x1C,r2
! Opcodes B280 - B287
V280:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6166
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6166:
jmp @r4
mov #0x1C,r2
! Opcodes B288 - B28F
V288:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6167
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6167:
jmp @r4
mov #0x1C,r2
! Opcodes B290 - B297
V290:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6168
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6168:
jmp @r4
mov #0x1C,r2
! Opcodes B298 - B29F
V298:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6169
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6169:
jmp @r4
mov #0x1C,r2
! Opcodes B2A0 - B2A7
V2A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6170
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6170:
jmp @r4
mov #0x1C,r2
! Opcodes B2A8 - B2AF
V2A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6171
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6171:
jmp @r4
mov #0x1C,r2
! Opcodes B2B0 - B2B7
V2B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6172
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6172:
jmp @r4
mov #0x1C,r2
! Opcode B2B8
V2B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6173
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6173:
jmp @r4
mov #0x1C,r2
! Opcode B2B9
V2B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6174
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6174:
jmp @r4
mov #0x1C,r2
! Opcode B2BA
V2BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6175
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6175:
jmp @r4
mov #0x1C,r2
! Opcode B2BB
V2BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6176
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6176:
jmp @r4
mov #0x1C,r2
! Opcode B2BC
V2BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6177
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6177:
jmp @r4
mov #0x1C,r2
! Opcodes B2C0 - B2C7
V2C0:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6178
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6178:
jmp @r4
mov #0x1C,r2
! Opcodes B2C8 - B2CF
V2C8:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6179
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6179:
jmp @r4
mov #0x1C,r2
! Opcodes B2D0 - B2D7
V2D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6180
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6180:
jmp @r4
mov #0x1C,r2
! Opcodes B2D8 - B2DF
V2D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6181
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6181:
jmp @r4
mov #0x1C,r2
! Opcodes B2E0 - B2E7
V2E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6182
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6182:
jmp @r4
mov #0x1C,r2
! Opcodes B2E8 - B2EF
V2E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6183
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6183:
jmp @r4
mov #0x1C,r2
! Opcodes B2F0 - B2F7
V2F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6184
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6184:
jmp @r4
mov #0x1C,r2
! Opcode B2F8
V2F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6185
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6185:
jmp @r4
mov #0x1C,r2
! Opcode B2F9
V2F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6186
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6186:
jmp @r4
mov #0x1C,r2
! Opcode B2FA
V2FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6187
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6187:
jmp @r4
mov #0x1C,r2
! Opcode B2FB
V2FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6188
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6188:
jmp @r4
mov #0x1C,r2
! Opcode B2FC
V2FC:
mov.w @r6+,r3
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6189
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6189:
jmp @r4
mov #0x1C,r2
! Opcodes B300 - B307
V300:
and r0,r2
mov r2,r0
mov.b @(r0,r13),r3
mov #4,r0
mov.b @(r0,r13),r1
xor r1,r3
mov r2,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6190
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6190:
jmp @r4
mov #0x1C,r2
! Opcodes B308 - B30F
V308:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(36,r13),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(36,r13)
mov #24,r0
shld r0,r2
shld r0,r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6191
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6191:
jmp @r4
mov #0x1C,r2
! Opcodes B310 - B317
V310:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6192
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6192:
jmp @r4
mov #0x1C,r2
! Opcodes B318 - B31F
V318:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6193
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6193:
jmp @r4
mov #0x1C,r2
! Opcodes B320 - B327
V320:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6194
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6194:
jmp @r4
mov #0x1C,r2
! Opcodes B328 - B32F
V328:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6195
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6195:
jmp @r4
mov #0x1C,r2
! Opcodes B330 - B337
V330:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6196
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6196:
jmp @r4
mov #0x1C,r2
! Opcode B338
V338:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6197
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6197:
jmp @r4
mov #0x1C,r2
! Opcode B339
V339:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6198
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6198:
jmp @r4
mov #0x1C,r2
! Opcodes B340 - B347
V340:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #4,r0
mov.w @(r0,r13),r1
xor r1,r3
mov r2,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6199
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6199:
jmp @r4
mov #0x1C,r2
! Opcodes B348 - B34F
V348:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(36,r13),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(36,r13)
shll16 r2
shll16 r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6200
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6200:
jmp @r4
mov #0x1C,r2
! Opcodes B350 - B357
V350:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6201
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6201:
jmp @r4
mov #0x1C,r2
! Opcodes B358 - B35F
V358:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6202
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6202:
jmp @r4
mov #0x1C,r2
! Opcodes B360 - B367
V360:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6203
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6203:
jmp @r4
mov #0x1C,r2
! Opcodes B368 - B36F
V368:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6204
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6204:
jmp @r4
mov #0x1C,r2
! Opcodes B370 - B377
V370:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6205
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6205:
jmp @r4
mov #0x1C,r2
! Opcode B378
V378:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6206
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6206:
jmp @r4
mov #0x1C,r2
! Opcode B379
V379:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6207
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6207:
jmp @r4
mov #0x1C,r2
! Opcodes B380 - B387
V380:
and r0,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(4,r13),r1
xor r1,r3
mov r2,r0
mov.l r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6208
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6208:
jmp @r4
mov #0x1C,r2
! Opcodes B388 - B38F
V388:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(36,r13),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(36,r13)
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6209
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6209:
jmp @r4
mov #0x1C,r2
! Opcodes B390 - B397
V390:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6210
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6210:
jmp @r4
mov #0x1C,r2
! Opcodes B398 - B39F
V398:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6211
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6211:
jmp @r4
mov #0x1C,r2
! Opcodes B3A0 - B3A7
V3A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6212
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6212:
jmp @r4
mov #0x1C,r2
! Opcodes B3A8 - B3AF
V3A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl6213
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6213:
jmp @r4
mov #0x1C,r2
! Opcodes B3B0 - B3B7
V3B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl6214
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6214:
jmp @r4
mov #0x1C,r2
! Opcode B3B8
V3B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl6215
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6215:
jmp @r4
mov #0x1C,r2
! Opcode B3B9
V3B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl6216
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6216:
jmp @r4
mov #0x1C,r2
! Opcodes B3C0 - B3C7
V3C0:
and r0,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6217
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6217:
jmp @r4
mov #0x1C,r2
! Opcodes B3C8 - B3CF
V3C8:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6218
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6218:
jmp @r4
mov #0x1C,r2
! Opcodes B3D0 - B3D7
V3D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6219
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6219:
jmp @r4
mov #0x1C,r2
! Opcodes B3D8 - B3DF
V3D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6220
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6220:
jmp @r4
mov #0x1C,r2
! Opcodes B3E0 - B3E7
V3E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6221
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6221:
jmp @r4
mov #0x1C,r2
! Opcodes B3E8 - B3EF
V3E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6222
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6222:
jmp @r4
mov #0x1C,r2
! Opcodes B3F0 - B3F7
V3F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6223
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6223:
jmp @r4
mov #0x1C,r2
! Opcode B3F8
V3F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6224
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6224:
jmp @r4
mov #0x1C,r2
! Opcode B3F9
V3F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6225
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6225:
jmp @r4
mov #0x1C,r2
! Opcode B3FA
V3FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6226
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6226:
jmp @r4
mov #0x1C,r2
! Opcode B3FB
V3FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6227
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6227:
jmp @r4
mov #0x1C,r2
! Opcode B3FC
V3FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6228
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6228:
jmp @r4
mov #0x1C,r2
! Opcodes B400 - B407
V400:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6229
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6229:
jmp @r4
mov #0x1C,r2
! Opcodes B408 - B40F
V408:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6230
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6230:
jmp @r4
mov #0x1C,r2
! Opcodes B410 - B417
V410:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6231
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6231:
jmp @r4
mov #0x1C,r2
! Opcodes B418 - B41F
V418:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6232
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6232:
jmp @r4
mov #0x1C,r2
! Opcodes B420 - B427
V420:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6233
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6233:
jmp @r4
mov #0x1C,r2
! Opcodes B428 - B42F
V428:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6234
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6234:
jmp @r4
mov #0x1C,r2
! Opcodes B430 - B437
V430:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6235
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6235:
jmp @r4
mov #0x1C,r2
! Opcode B438
V438:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6236
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6236:
jmp @r4
mov #0x1C,r2
! Opcode B439
V439:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6237
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6237:
jmp @r4
mov #0x1C,r2
! Opcode B43A
V43A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6238
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6238:
jmp @r4
mov #0x1C,r2
! Opcode B43B
V43B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6239
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6239:
jmp @r4
mov #0x1C,r2
! Opcode B43C
V43C:
mov.b @r6,r3
add #2,r6
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6240
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6240:
jmp @r4
mov #0x1C,r2
! Opcodes B440 - B447
V440:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6241
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6241:
jmp @r4
mov #0x1C,r2
! Opcodes B448 - B44F
V448:
and r0,r2
add r14,r2
mov.w @r2,r3
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6242
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6242:
jmp @r4
mov #0x1C,r2
! Opcodes B450 - B457
V450:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6243
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6243:
jmp @r4
mov #0x1C,r2
! Opcodes B458 - B45F
V458:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6244
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6244:
jmp @r4
mov #0x1C,r2
! Opcodes B460 - B467
V460:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6245
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6245:
jmp @r4
mov #0x1C,r2
! Opcodes B468 - B46F
V468:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6246
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6246:
jmp @r4
mov #0x1C,r2
! Opcodes B470 - B477
V470:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6247
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6247:
jmp @r4
mov #0x1C,r2
! Opcode B478
V478:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6248
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6248:
jmp @r4
mov #0x1C,r2
! Opcode B479
V479:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6249
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6249:
jmp @r4
mov #0x1C,r2
! Opcode B47A
V47A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6250
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6250:
jmp @r4
mov #0x1C,r2
! Opcode B47B
V47B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6251
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6251:
jmp @r4
mov #0x1C,r2
! Opcode B47C
V47C:
mov.w @r6+,r3
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6252
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6252:
jmp @r4
mov #0x1C,r2
! Opcodes B480 - B487
V480:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6253
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6253:
jmp @r4
mov #0x1C,r2
! Opcodes B488 - B48F
V488:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6254
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6254:
jmp @r4
mov #0x1C,r2
! Opcodes B490 - B497
V490:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6255
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6255:
jmp @r4
mov #0x1C,r2
! Opcodes B498 - B49F
V498:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6256
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6256:
jmp @r4
mov #0x1C,r2
! Opcodes B4A0 - B4A7
V4A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6257
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6257:
jmp @r4
mov #0x1C,r2
! Opcodes B4A8 - B4AF
V4A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6258
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6258:
jmp @r4
mov #0x1C,r2
! Opcodes B4B0 - B4B7
V4B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6259
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6259:
jmp @r4
mov #0x1C,r2
! Opcode B4B8
V4B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6260
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6260:
jmp @r4
mov #0x1C,r2
! Opcode B4B9
V4B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6261
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6261:
jmp @r4
mov #0x1C,r2
! Opcode B4BA
V4BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6262
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6262:
jmp @r4
mov #0x1C,r2
! Opcode B4BB
V4BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6263
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6263:
jmp @r4
mov #0x1C,r2
! Opcode B4BC
V4BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6264
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6264:
jmp @r4
mov #0x1C,r2
! Opcodes B4C0 - B4C7
V4C0:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6265
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6265:
jmp @r4
mov #0x1C,r2
! Opcodes B4C8 - B4CF
V4C8:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6266
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6266:
jmp @r4
mov #0x1C,r2
! Opcodes B4D0 - B4D7
V4D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6267
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6267:
jmp @r4
mov #0x1C,r2
! Opcodes B4D8 - B4DF
V4D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6268
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6268:
jmp @r4
mov #0x1C,r2
! Opcodes B4E0 - B4E7
V4E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6269
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6269:
jmp @r4
mov #0x1C,r2
! Opcodes B4E8 - B4EF
V4E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6270
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6270:
jmp @r4
mov #0x1C,r2
! Opcodes B4F0 - B4F7
V4F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6271
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6271:
jmp @r4
mov #0x1C,r2
! Opcode B4F8
V4F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6272
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6272:
jmp @r4
mov #0x1C,r2
! Opcode B4F9
V4F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6273
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6273:
jmp @r4
mov #0x1C,r2
! Opcode B4FA
V4FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6274
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6274:
jmp @r4
mov #0x1C,r2
! Opcode B4FB
V4FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6275
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6275:
jmp @r4
mov #0x1C,r2
! Opcode B4FC
V4FC:
mov.w @r6+,r3
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6276
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6276:
jmp @r4
mov #0x1C,r2
! Opcodes B500 - B507
V500:
and r0,r2
mov r2,r0
mov.b @(r0,r13),r3
mov #8,r0
mov.b @(r0,r13),r1
xor r1,r3
mov r2,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6277
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6277:
jmp @r4
mov #0x1C,r2
! Opcodes B508 - B50F
V508:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(40,r13),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(40,r13)
mov #24,r0
shld r0,r2
shld r0,r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6278
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6278:
jmp @r4
mov #0x1C,r2
! Opcodes B510 - B517
V510:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6279
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6279:
jmp @r4
mov #0x1C,r2
! Opcodes B518 - B51F
V518:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6280
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6280:
jmp @r4
mov #0x1C,r2
! Opcodes B520 - B527
V520:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6281
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6281:
jmp @r4
mov #0x1C,r2
! Opcodes B528 - B52F
V528:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6282
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6282:
jmp @r4
mov #0x1C,r2
! Opcodes B530 - B537
V530:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6283
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6283:
jmp @r4
mov #0x1C,r2
! Opcode B538
V538:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6284
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6284:
jmp @r4
mov #0x1C,r2
! Opcode B539
V539:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6285
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6285:
jmp @r4
mov #0x1C,r2
! Opcodes B540 - B547
V540:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #8,r0
mov.w @(r0,r13),r1
xor r1,r3
mov r2,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6286
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6286:
jmp @r4
mov #0x1C,r2
! Opcodes B548 - B54F
V548:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(40,r13),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(40,r13)
shll16 r2
shll16 r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6287
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6287:
jmp @r4
mov #0x1C,r2
! Opcodes B550 - B557
V550:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6288
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6288:
jmp @r4
mov #0x1C,r2
! Opcodes B558 - B55F
V558:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6289
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6289:
jmp @r4
mov #0x1C,r2
! Opcodes B560 - B567
V560:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6290
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6290:
jmp @r4
mov #0x1C,r2
! Opcodes B568 - B56F
V568:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6291
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6291:
jmp @r4
mov #0x1C,r2
! Opcodes B570 - B577
V570:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6292
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6292:
jmp @r4
mov #0x1C,r2
! Opcode B578
V578:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6293
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6293:
jmp @r4
mov #0x1C,r2
! Opcode B579
V579:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6294
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6294:
jmp @r4
mov #0x1C,r2
! Opcodes B580 - B587
V580:
and r0,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(8,r13),r1
xor r1,r3
mov r2,r0
mov.l r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6295
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6295:
jmp @r4
mov #0x1C,r2
! Opcodes B588 - B58F
V588:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(40,r13),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(40,r13)
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6296
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6296:
jmp @r4
mov #0x1C,r2
! Opcodes B590 - B597
V590:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6297
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6297:
jmp @r4
mov #0x1C,r2
! Opcodes B598 - B59F
V598:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6298
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6298:
jmp @r4
mov #0x1C,r2
! Opcodes B5A0 - B5A7
V5A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6299
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6299:
jmp @r4
mov #0x1C,r2
! Opcodes B5A8 - B5AF
V5A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl6300
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6300:
jmp @r4
mov #0x1C,r2
! Opcodes B5B0 - B5B7
V5B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl6301
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6301:
jmp @r4
mov #0x1C,r2
! Opcode B5B8
V5B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl6302
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6302:
jmp @r4
mov #0x1C,r2
! Opcode B5B9
V5B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl6303
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6303:
jmp @r4
mov #0x1C,r2
! Opcodes B5C0 - B5C7
V5C0:
and r0,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6304
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6304:
jmp @r4
mov #0x1C,r2
! Opcodes B5C8 - B5CF
V5C8:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6305
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6305:
jmp @r4
mov #0x1C,r2
! Opcodes B5D0 - B5D7
V5D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6306
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6306:
jmp @r4
mov #0x1C,r2
! Opcodes B5D8 - B5DF
V5D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6307
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6307:
jmp @r4
mov #0x1C,r2
! Opcodes B5E0 - B5E7
V5E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6308
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6308:
jmp @r4
mov #0x1C,r2
! Opcodes B5E8 - B5EF
V5E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6309
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6309:
jmp @r4
mov #0x1C,r2
! Opcodes B5F0 - B5F7
V5F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6310
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6310:
jmp @r4
mov #0x1C,r2
! Opcode B5F8
V5F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6311
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6311:
jmp @r4
mov #0x1C,r2
! Opcode B5F9
V5F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6312
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6312:
jmp @r4
mov #0x1C,r2
! Opcode B5FA
V5FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6313
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6313:
jmp @r4
mov #0x1C,r2
! Opcode B5FB
V5FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6314
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6314:
jmp @r4
mov #0x1C,r2
! Opcode B5FC
V5FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6315
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6315:
jmp @r4
mov #0x1C,r2
! Opcodes B600 - B607
V600:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6316
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6316:
jmp @r4
mov #0x1C,r2
! Opcodes B608 - B60F
V608:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6317
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6317:
jmp @r4
mov #0x1C,r2
! Opcodes B610 - B617
V610:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6318
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6318:
jmp @r4
mov #0x1C,r2
! Opcodes B618 - B61F
V618:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6319
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6319:
jmp @r4
mov #0x1C,r2
! Opcodes B620 - B627
V620:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6320
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6320:
jmp @r4
mov #0x1C,r2
! Opcodes B628 - B62F
V628:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6321
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6321:
jmp @r4
mov #0x1C,r2
! Opcodes B630 - B637
V630:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6322
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6322:
jmp @r4
mov #0x1C,r2
! Opcode B638
V638:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6323
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6323:
jmp @r4
mov #0x1C,r2
! Opcode B639
V639:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6324
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6324:
jmp @r4
mov #0x1C,r2
! Opcode B63A
V63A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6325
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6325:
jmp @r4
mov #0x1C,r2
! Opcode B63B
V63B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6326
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6326:
jmp @r4
mov #0x1C,r2
! Opcode B63C
V63C:
mov.b @r6,r3
add #2,r6
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6327
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6327:
jmp @r4
mov #0x1C,r2
! Opcodes B640 - B647
V640:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6328
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6328:
jmp @r4
mov #0x1C,r2
! Opcodes B648 - B64F
V648:
and r0,r2
add r14,r2
mov.w @r2,r3
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6329
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6329:
jmp @r4
mov #0x1C,r2
! Opcodes B650 - B657
V650:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6330
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6330:
jmp @r4
mov #0x1C,r2
! Opcodes B658 - B65F
V658:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6331
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6331:
jmp @r4
mov #0x1C,r2
! Opcodes B660 - B667
V660:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6332
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6332:
jmp @r4
mov #0x1C,r2
! Opcodes B668 - B66F
V668:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6333
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6333:
jmp @r4
mov #0x1C,r2
! Opcodes B670 - B677
V670:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6334
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6334:
jmp @r4
mov #0x1C,r2
! Opcode B678
V678:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6335
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6335:
jmp @r4
mov #0x1C,r2
! Opcode B679
V679:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6336
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6336:
jmp @r4
mov #0x1C,r2
! Opcode B67A
V67A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6337
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6337:
jmp @r4
mov #0x1C,r2
! Opcode B67B
V67B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6338
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6338:
jmp @r4
mov #0x1C,r2
! Opcode B67C
V67C:
mov.w @r6+,r3
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6339
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6339:
jmp @r4
mov #0x1C,r2
! Opcodes B680 - B687
V680:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6340
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6340:
jmp @r4
mov #0x1C,r2
! Opcodes B688 - B68F
V688:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6341
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6341:
jmp @r4
mov #0x1C,r2
! Opcodes B690 - B697
V690:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6342
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6342:
jmp @r4
mov #0x1C,r2
! Opcodes B698 - B69F
V698:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6343
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6343:
jmp @r4
mov #0x1C,r2
! Opcodes B6A0 - B6A7
V6A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6344
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6344:
jmp @r4
mov #0x1C,r2
! Opcodes B6A8 - B6AF
V6A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6345
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6345:
jmp @r4
mov #0x1C,r2
! Opcodes B6B0 - B6B7
V6B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6346
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6346:
jmp @r4
mov #0x1C,r2
! Opcode B6B8
V6B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6347
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6347:
jmp @r4
mov #0x1C,r2
! Opcode B6B9
V6B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6348
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6348:
jmp @r4
mov #0x1C,r2
! Opcode B6BA
V6BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6349
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6349:
jmp @r4
mov #0x1C,r2
! Opcode B6BB
V6BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6350
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6350:
jmp @r4
mov #0x1C,r2
! Opcode B6BC
V6BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6351
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6351:
jmp @r4
mov #0x1C,r2
! Opcodes B6C0 - B6C7
V6C0:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6352
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6352:
jmp @r4
mov #0x1C,r2
! Opcodes B6C8 - B6CF
V6C8:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6353
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6353:
jmp @r4
mov #0x1C,r2
! Opcodes B6D0 - B6D7
V6D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6354
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6354:
jmp @r4
mov #0x1C,r2
! Opcodes B6D8 - B6DF
V6D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6355
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6355:
jmp @r4
mov #0x1C,r2
! Opcodes B6E0 - B6E7
V6E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6356
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6356:
jmp @r4
mov #0x1C,r2
! Opcodes B6E8 - B6EF
V6E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6357
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6357:
jmp @r4
mov #0x1C,r2
! Opcodes B6F0 - B6F7
V6F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6358
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6358:
jmp @r4
mov #0x1C,r2
! Opcode B6F8
V6F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6359
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6359:
jmp @r4
mov #0x1C,r2
! Opcode B6F9
V6F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6360
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6360:
jmp @r4
mov #0x1C,r2
! Opcode B6FA
V6FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6361
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6361:
jmp @r4
mov #0x1C,r2
! Opcode B6FB
V6FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6362
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6362:
jmp @r4
mov #0x1C,r2
! Opcode B6FC
V6FC:
mov.w @r6+,r3
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6363
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6363:
jmp @r4
mov #0x1C,r2
! Opcodes B700 - B707
V700:
and r0,r2
mov r2,r0
mov.b @(r0,r13),r3
mov #12,r0
mov.b @(r0,r13),r1
xor r1,r3
mov r2,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6364
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6364:
jmp @r4
mov #0x1C,r2
! Opcodes B708 - B70F
V708:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(44,r13),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(44,r13)
mov #24,r0
shld r0,r2
shld r0,r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6365
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6365:
jmp @r4
mov #0x1C,r2
! Opcodes B710 - B717
V710:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6366
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6366:
jmp @r4
mov #0x1C,r2
! Opcodes B718 - B71F
V718:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6367
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6367:
jmp @r4
mov #0x1C,r2
! Opcodes B720 - B727
V720:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6368
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6368:
jmp @r4
mov #0x1C,r2
! Opcodes B728 - B72F
V728:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6369
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6369:
jmp @r4
mov #0x1C,r2
! Opcodes B730 - B737
V730:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6370
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6370:
jmp @r4
mov #0x1C,r2
! Opcode B738
V738:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6371
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6371:
jmp @r4
mov #0x1C,r2
! Opcode B739
V739:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6372
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6372:
jmp @r4
mov #0x1C,r2
! Opcodes B740 - B747
V740:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #12,r0
mov.w @(r0,r13),r1
xor r1,r3
mov r2,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6373
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6373:
jmp @r4
mov #0x1C,r2
! Opcodes B748 - B74F
V748:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(44,r13),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(44,r13)
shll16 r2
shll16 r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6374
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6374:
jmp @r4
mov #0x1C,r2
! Opcodes B750 - B757
V750:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6375
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6375:
jmp @r4
mov #0x1C,r2
! Opcodes B758 - B75F
V758:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6376
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6376:
jmp @r4
mov #0x1C,r2
! Opcodes B760 - B767
V760:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6377
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6377:
jmp @r4
mov #0x1C,r2
! Opcodes B768 - B76F
V768:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6378
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6378:
jmp @r4
mov #0x1C,r2
! Opcodes B770 - B777
V770:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6379
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6379:
jmp @r4
mov #0x1C,r2
! Opcode B778
V778:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6380
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6380:
jmp @r4
mov #0x1C,r2
! Opcode B779
V779:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6381
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6381:
jmp @r4
mov #0x1C,r2
! Opcodes B780 - B787
V780:
and r0,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(12,r13),r1
xor r1,r3
mov r2,r0
mov.l r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6382
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6382:
jmp @r4
mov #0x1C,r2
! Opcodes B788 - B78F
V788:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(44,r13),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(44,r13)
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6383
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6383:
jmp @r4
mov #0x1C,r2
! Opcodes B790 - B797
V790:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6384
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6384:
jmp @r4
mov #0x1C,r2
! Opcodes B798 - B79F
V798:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6385
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6385:
jmp @r4
mov #0x1C,r2
! Opcodes B7A0 - B7A7
V7A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6386
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6386:
jmp @r4
mov #0x1C,r2
! Opcodes B7A8 - B7AF
V7A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl6387
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6387:
jmp @r4
mov #0x1C,r2
! Opcodes B7B0 - B7B7
V7B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl6388
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6388:
jmp @r4
mov #0x1C,r2
! Opcode B7B8
V7B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl6389
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6389:
jmp @r4
mov #0x1C,r2
! Opcode B7B9
V7B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl6390
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6390:
jmp @r4
mov #0x1C,r2
! Opcodes B7C0 - B7C7
V7C0:
and r0,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6391
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6391:
jmp @r4
mov #0x1C,r2
! Opcodes B7C8 - B7CF
V7C8:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6392
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6392:
jmp @r4
mov #0x1C,r2
! Opcodes B7D0 - B7D7
V7D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6393
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6393:
jmp @r4
mov #0x1C,r2
! Opcodes B7D8 - B7DF
V7D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6394
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6394:
jmp @r4
mov #0x1C,r2
! Opcodes B7E0 - B7E7
V7E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6395
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6395:
jmp @r4
mov #0x1C,r2
! Opcodes B7E8 - B7EF
V7E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6396
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6396:
jmp @r4
mov #0x1C,r2
! Opcodes B7F0 - B7F7
V7F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6397
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6397:
jmp @r4
mov #0x1C,r2
! Opcode B7F8
V7F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6398
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6398:
jmp @r4
mov #0x1C,r2
! Opcode B7F9
V7F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6399
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6399:
jmp @r4
mov #0x1C,r2
! Opcode B7FA
V7FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6400
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6400:
jmp @r4
mov #0x1C,r2
! Opcode B7FB
V7FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6401
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6401:
jmp @r4
mov #0x1C,r2
! Opcode B7FC
V7FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6402
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6402:
jmp @r4
mov #0x1C,r2
! Opcodes B800 - B807
V800:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6403
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6403:
jmp @r4
mov #0x1C,r2
! Opcodes B808 - B80F
V808:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6404
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6404:
jmp @r4
mov #0x1C,r2
! Opcodes B810 - B817
V810:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6405
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6405:
jmp @r4
mov #0x1C,r2
! Opcodes B818 - B81F
V818:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6406
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6406:
jmp @r4
mov #0x1C,r2
! Opcodes B820 - B827
V820:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6407
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6407:
jmp @r4
mov #0x1C,r2
! Opcodes B828 - B82F
V828:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6408
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6408:
jmp @r4
mov #0x1C,r2
! Opcodes B830 - B837
V830:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6409
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6409:
jmp @r4
mov #0x1C,r2
! Opcode B838
V838:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6410
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6410:
jmp @r4
mov #0x1C,r2
! Opcode B839
V839:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6411
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6411:
jmp @r4
mov #0x1C,r2
! Opcode B83A
V83A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6412
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6412:
jmp @r4
mov #0x1C,r2
! Opcode B83B
V83B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6413
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6413:
jmp @r4
mov #0x1C,r2
! Opcode B83C
V83C:
mov.b @r6,r3
add #2,r6
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6414
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6414:
jmp @r4
mov #0x1C,r2
! Opcodes B840 - B847
V840:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6415
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6415:
jmp @r4
mov #0x1C,r2
! Opcodes B848 - B84F
V848:
and r0,r2
add r14,r2
mov.w @r2,r3
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6416
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6416:
jmp @r4
mov #0x1C,r2
! Opcodes B850 - B857
V850:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6417
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6417:
jmp @r4
mov #0x1C,r2
! Opcodes B858 - B85F
V858:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6418
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6418:
jmp @r4
mov #0x1C,r2
! Opcodes B860 - B867
V860:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6419
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6419:
jmp @r4
mov #0x1C,r2
! Opcodes B868 - B86F
V868:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6420
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6420:
jmp @r4
mov #0x1C,r2
! Opcodes B870 - B877
V870:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6421
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6421:
jmp @r4
mov #0x1C,r2
! Opcode B878
V878:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6422
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6422:
jmp @r4
mov #0x1C,r2
! Opcode B879
V879:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6423
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6423:
jmp @r4
mov #0x1C,r2
! Opcode B87A
V87A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6424
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6424:
jmp @r4
mov #0x1C,r2
! Opcode B87B
V87B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6425
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6425:
jmp @r4
mov #0x1C,r2
! Opcode B87C
V87C:
mov.w @r6+,r3
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6426
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6426:
jmp @r4
mov #0x1C,r2
! Opcodes B880 - B887
V880:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6427
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6427:
jmp @r4
mov #0x1C,r2
! Opcodes B888 - B88F
V888:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6428
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6428:
jmp @r4
mov #0x1C,r2
! Opcodes B890 - B897
V890:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6429
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6429:
jmp @r4
mov #0x1C,r2
! Opcodes B898 - B89F
V898:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6430
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6430:
jmp @r4
mov #0x1C,r2
! Opcodes B8A0 - B8A7
V8A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6431
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6431:
jmp @r4
mov #0x1C,r2
! Opcodes B8A8 - B8AF
V8A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6432
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6432:
jmp @r4
mov #0x1C,r2
! Opcodes B8B0 - B8B7
V8B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6433
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6433:
jmp @r4
mov #0x1C,r2
! Opcode B8B8
V8B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6434
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6434:
jmp @r4
mov #0x1C,r2
! Opcode B8B9
V8B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6435
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6435:
jmp @r4
mov #0x1C,r2
! Opcode B8BA
V8BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6436
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6436:
jmp @r4
mov #0x1C,r2
! Opcode B8BB
V8BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6437
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6437:
jmp @r4
mov #0x1C,r2
! Opcode B8BC
V8BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6438
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6438:
jmp @r4
mov #0x1C,r2
! Opcodes B8C0 - B8C7
V8C0:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6439
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6439:
jmp @r4
mov #0x1C,r2
! Opcodes B8C8 - B8CF
V8C8:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6440
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6440:
jmp @r4
mov #0x1C,r2
! Opcodes B8D0 - B8D7
V8D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6441
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6441:
jmp @r4
mov #0x1C,r2
! Opcodes B8D8 - B8DF
V8D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6442
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6442:
jmp @r4
mov #0x1C,r2
! Opcodes B8E0 - B8E7
V8E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6443
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6443:
jmp @r4
mov #0x1C,r2
! Opcodes B8E8 - B8EF
V8E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6444
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6444:
jmp @r4
mov #0x1C,r2
! Opcodes B8F0 - B8F7
V8F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6445
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6445:
jmp @r4
mov #0x1C,r2
! Opcode B8F8
V8F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6446
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6446:
jmp @r4
mov #0x1C,r2
! Opcode B8F9
V8F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6447
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6447:
jmp @r4
mov #0x1C,r2
! Opcode B8FA
V8FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6448
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6448:
jmp @r4
mov #0x1C,r2
! Opcode B8FB
V8FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6449
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6449:
jmp @r4
mov #0x1C,r2
! Opcode B8FC
V8FC:
mov.w @r6+,r3
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6450
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6450:
jmp @r4
mov #0x1C,r2
! Opcodes B900 - B907
V900:
and r0,r2
mov r2,r0
mov.b @(r0,r13),r3
mov #16,r0
mov.b @(r0,r13),r1
xor r1,r3
mov r2,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6451
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6451:
jmp @r4
mov #0x1C,r2
! Opcodes B908 - B90F
V908:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(48,r13),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(48,r13)
mov #24,r0
shld r0,r2
shld r0,r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6452
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6452:
jmp @r4
mov #0x1C,r2
! Opcodes B910 - B917
V910:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6453
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6453:
jmp @r4
mov #0x1C,r2
! Opcodes B918 - B91F
V918:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6454
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6454:
jmp @r4
mov #0x1C,r2
! Opcodes B920 - B927
V920:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6455
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6455:
jmp @r4
mov #0x1C,r2
! Opcodes B928 - B92F
V928:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6456
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6456:
jmp @r4
mov #0x1C,r2
! Opcodes B930 - B937
V930:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6457
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6457:
jmp @r4
mov #0x1C,r2
! Opcode B938
V938:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6458
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6458:
jmp @r4
mov #0x1C,r2
! Opcode B939
V939:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6459
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6459:
jmp @r4
mov #0x1C,r2
! Opcodes B940 - B947
V940:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #16,r0
mov.w @(r0,r13),r1
xor r1,r3
mov r2,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6460
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6460:
jmp @r4
mov #0x1C,r2
! Opcodes B948 - B94F
V948:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(48,r13),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(48,r13)
shll16 r2
shll16 r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6461
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6461:
jmp @r4
mov #0x1C,r2
! Opcodes B950 - B957
V950:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6462
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6462:
jmp @r4
mov #0x1C,r2
! Opcodes B958 - B95F
V958:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6463
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6463:
jmp @r4
mov #0x1C,r2
! Opcodes B960 - B967
V960:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6464
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6464:
jmp @r4
mov #0x1C,r2
! Opcodes B968 - B96F
V968:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6465
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6465:
jmp @r4
mov #0x1C,r2
! Opcodes B970 - B977
V970:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6466
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6466:
jmp @r4
mov #0x1C,r2
! Opcode B978
V978:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6467
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6467:
jmp @r4
mov #0x1C,r2
! Opcode B979
V979:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6468
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6468:
jmp @r4
mov #0x1C,r2
! Opcodes B980 - B987
V980:
and r0,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(16,r13),r1
xor r1,r3
mov r2,r0
mov.l r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6469
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6469:
jmp @r4
mov #0x1C,r2
! Opcodes B988 - B98F
V988:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(48,r13),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(48,r13)
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6470
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6470:
jmp @r4
mov #0x1C,r2
! Opcodes B990 - B997
V990:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6471
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6471:
jmp @r4
mov #0x1C,r2
! Opcodes B998 - B99F
V998:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6472
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6472:
jmp @r4
mov #0x1C,r2
! Opcodes B9A0 - B9A7
V9A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6473
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6473:
jmp @r4
mov #0x1C,r2
! Opcodes B9A8 - B9AF
V9A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl6474
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6474:
jmp @r4
mov #0x1C,r2
! Opcodes B9B0 - B9B7
V9B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl6475
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6475:
jmp @r4
mov #0x1C,r2
! Opcode B9B8
V9B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl6476
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6476:
jmp @r4
mov #0x1C,r2
! Opcode B9B9
V9B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl6477
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6477:
jmp @r4
mov #0x1C,r2
! Opcodes B9C0 - B9C7
V9C0:
and r0,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6478
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6478:
jmp @r4
mov #0x1C,r2
! Opcodes B9C8 - B9CF
V9C8:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6479
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6479:
jmp @r4
mov #0x1C,r2
! Opcodes B9D0 - B9D7
V9D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6480
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6480:
jmp @r4
mov #0x1C,r2
! Opcodes B9D8 - B9DF
V9D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6481
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6481:
jmp @r4
mov #0x1C,r2
! Opcodes B9E0 - B9E7
V9E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6482
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6482:
jmp @r4
mov #0x1C,r2
! Opcodes B9E8 - B9EF
V9E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6483
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6483:
jmp @r4
mov #0x1C,r2
! Opcodes B9F0 - B9F7
V9F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6484
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6484:
jmp @r4
mov #0x1C,r2
! Opcode B9F8
V9F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6485
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6485:
jmp @r4
mov #0x1C,r2
! Opcode B9F9
V9F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6486
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6486:
jmp @r4
mov #0x1C,r2
! Opcode B9FA
V9FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6487
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6487:
jmp @r4
mov #0x1C,r2
! Opcode B9FB
V9FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6488
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6488:
jmp @r4
mov #0x1C,r2
! Opcode B9FC
V9FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6489
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6489:
jmp @r4
mov #0x1C,r2
! Opcodes BA00 - BA07
VA00:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6490
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6490:
jmp @r4
mov #0x1C,r2
! Opcodes BA08 - BA0F
VA08:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6491
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6491:
jmp @r4
mov #0x1C,r2
! Opcodes BA10 - BA17
VA10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6492
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6492:
jmp @r4
mov #0x1C,r2
! Opcodes BA18 - BA1F
VA18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6493
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6493:
jmp @r4
mov #0x1C,r2
! Opcodes BA20 - BA27
VA20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6494
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6494:
jmp @r4
mov #0x1C,r2
! Opcodes BA28 - BA2F
VA28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6495
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6495:
jmp @r4
mov #0x1C,r2
! Opcodes BA30 - BA37
VA30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6496
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6496:
jmp @r4
mov #0x1C,r2
! Opcode BA38
VA38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6497
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6497:
jmp @r4
mov #0x1C,r2
! Opcode BA39
VA39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6498
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6498:
jmp @r4
mov #0x1C,r2
! Opcode BA3A
VA3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6499
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6499:
jmp @r4
mov #0x1C,r2
! Opcode BA3B
VA3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6500
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6500:
jmp @r4
mov #0x1C,r2
! Opcode BA3C
VA3C:
mov.b @r6,r3
add #2,r6
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6501
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6501:
jmp @r4
mov #0x1C,r2
! Opcodes BA40 - BA47
VA40:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6502
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6502:
jmp @r4
mov #0x1C,r2
! Opcodes BA48 - BA4F
VA48:
and r0,r2
add r14,r2
mov.w @r2,r3
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6503
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6503:
jmp @r4
mov #0x1C,r2
! Opcodes BA50 - BA57
VA50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6504
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6504:
jmp @r4
mov #0x1C,r2
! Opcodes BA58 - BA5F
VA58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6505
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6505:
jmp @r4
mov #0x1C,r2
! Opcodes BA60 - BA67
VA60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6506
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6506:
jmp @r4
mov #0x1C,r2
! Opcodes BA68 - BA6F
VA68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6507
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6507:
jmp @r4
mov #0x1C,r2
! Opcodes BA70 - BA77
VA70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6508
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6508:
jmp @r4
mov #0x1C,r2
! Opcode BA78
VA78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6509
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6509:
jmp @r4
mov #0x1C,r2
! Opcode BA79
VA79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6510
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6510:
jmp @r4
mov #0x1C,r2
! Opcode BA7A
VA7A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6511
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6511:
jmp @r4
mov #0x1C,r2
! Opcode BA7B
VA7B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6512
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6512:
jmp @r4
mov #0x1C,r2
! Opcode BA7C
VA7C:
mov.w @r6+,r3
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6513
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6513:
jmp @r4
mov #0x1C,r2
! Opcodes BA80 - BA87
VA80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6514
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6514:
jmp @r4
mov #0x1C,r2
! Opcodes BA88 - BA8F
VA88:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6515
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6515:
jmp @r4
mov #0x1C,r2
! Opcodes BA90 - BA97
VA90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6516
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6516:
jmp @r4
mov #0x1C,r2
! Opcodes BA98 - BA9F
VA98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6517
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6517:
jmp @r4
mov #0x1C,r2
! Opcodes BAA0 - BAA7
VAA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6518
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6518:
jmp @r4
mov #0x1C,r2
! Opcodes BAA8 - BAAF
VAA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6519
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6519:
jmp @r4
mov #0x1C,r2
! Opcodes BAB0 - BAB7
VAB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6520
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6520:
jmp @r4
mov #0x1C,r2
! Opcode BAB8
VAB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6521
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6521:
jmp @r4
mov #0x1C,r2
! Opcode BAB9
VAB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6522
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6522:
jmp @r4
mov #0x1C,r2
! Opcode BABA
VABA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6523
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6523:
jmp @r4
mov #0x1C,r2
! Opcode BABB
VABB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6524
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6524:
jmp @r4
mov #0x1C,r2
! Opcode BABC
VABC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6525
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6525:
jmp @r4
mov #0x1C,r2
! Opcodes BAC0 - BAC7
VAC0:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6526
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6526:
jmp @r4
mov #0x1C,r2
! Opcodes BAC8 - BACF
VAC8:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6527
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6527:
jmp @r4
mov #0x1C,r2
! Opcodes BAD0 - BAD7
VAD0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6528
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6528:
jmp @r4
mov #0x1C,r2
! Opcodes BAD8 - BADF
VAD8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6529
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6529:
jmp @r4
mov #0x1C,r2
! Opcodes BAE0 - BAE7
VAE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6530
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6530:
jmp @r4
mov #0x1C,r2
! Opcodes BAE8 - BAEF
VAE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6531
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6531:
jmp @r4
mov #0x1C,r2
! Opcodes BAF0 - BAF7
VAF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6532
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6532:
jmp @r4
mov #0x1C,r2
! Opcode BAF8
VAF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6533
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6533:
jmp @r4
mov #0x1C,r2
! Opcode BAF9
VAF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6534
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6534:
jmp @r4
mov #0x1C,r2
! Opcode BAFA
VAFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6535
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6535:
jmp @r4
mov #0x1C,r2
! Opcode BAFB
VAFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6536
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6536:
jmp @r4
mov #0x1C,r2
! Opcode BAFC
VAFC:
mov.w @r6+,r3
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6537
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6537:
jmp @r4
mov #0x1C,r2
! Opcodes BB00 - BB07
VB00:
and r0,r2
mov r2,r0
mov.b @(r0,r13),r3
mov #20,r0
mov.b @(r0,r13),r1
xor r1,r3
mov r2,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6538
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6538:
jmp @r4
mov #0x1C,r2
! Opcodes BB08 - BB0F
VB08:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(52,r13),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(52,r13)
mov #24,r0
shld r0,r2
shld r0,r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6539
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6539:
jmp @r4
mov #0x1C,r2
! Opcodes BB10 - BB17
VB10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6540
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6540:
jmp @r4
mov #0x1C,r2
! Opcodes BB18 - BB1F
VB18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6541
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6541:
jmp @r4
mov #0x1C,r2
! Opcodes BB20 - BB27
VB20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6542
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6542:
jmp @r4
mov #0x1C,r2
! Opcodes BB28 - BB2F
VB28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6543
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6543:
jmp @r4
mov #0x1C,r2
! Opcodes BB30 - BB37
VB30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6544
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6544:
jmp @r4
mov #0x1C,r2
! Opcode BB38
VB38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6545
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6545:
jmp @r4
mov #0x1C,r2
! Opcode BB39
VB39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6546
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6546:
jmp @r4
mov #0x1C,r2
! Opcodes BB40 - BB47
VB40:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #20,r0
mov.w @(r0,r13),r1
xor r1,r3
mov r2,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6547
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6547:
jmp @r4
mov #0x1C,r2
! Opcodes BB48 - BB4F
VB48:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(52,r13),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(52,r13)
shll16 r2
shll16 r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6548
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6548:
jmp @r4
mov #0x1C,r2
! Opcodes BB50 - BB57
VB50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6549
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6549:
jmp @r4
mov #0x1C,r2
! Opcodes BB58 - BB5F
VB58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6550
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6550:
jmp @r4
mov #0x1C,r2
! Opcodes BB60 - BB67
VB60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6551
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6551:
jmp @r4
mov #0x1C,r2
! Opcodes BB68 - BB6F
VB68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6552
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6552:
jmp @r4
mov #0x1C,r2
! Opcodes BB70 - BB77
VB70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6553
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6553:
jmp @r4
mov #0x1C,r2
! Opcode BB78
VB78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6554
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6554:
jmp @r4
mov #0x1C,r2
! Opcode BB79
VB79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6555
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6555:
jmp @r4
mov #0x1C,r2
! Opcodes BB80 - BB87
VB80:
and r0,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(20,r13),r1
xor r1,r3
mov r2,r0
mov.l r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6556
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6556:
jmp @r4
mov #0x1C,r2
! Opcodes BB88 - BB8F
VB88:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(52,r13),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(52,r13)
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6557
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6557:
jmp @r4
mov #0x1C,r2
! Opcodes BB90 - BB97
VB90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6558
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6558:
jmp @r4
mov #0x1C,r2
! Opcodes BB98 - BB9F
VB98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6559
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6559:
jmp @r4
mov #0x1C,r2
! Opcodes BBA0 - BBA7
VBA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6560
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6560:
jmp @r4
mov #0x1C,r2
! Opcodes BBA8 - BBAF
VBA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl6561
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6561:
jmp @r4
mov #0x1C,r2
! Opcodes BBB0 - BBB7
VBB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl6562
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6562:
jmp @r4
mov #0x1C,r2
! Opcode BBB8
VBB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl6563
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6563:
jmp @r4
mov #0x1C,r2
! Opcode BBB9
VBB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl6564
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6564:
jmp @r4
mov #0x1C,r2
! Opcodes BBC0 - BBC7
VBC0:
and r0,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6565
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6565:
jmp @r4
mov #0x1C,r2
! Opcodes BBC8 - BBCF
VBC8:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6566
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6566:
jmp @r4
mov #0x1C,r2
! Opcodes BBD0 - BBD7
VBD0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6567
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6567:
jmp @r4
mov #0x1C,r2
! Opcodes BBD8 - BBDF
VBD8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6568
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6568:
jmp @r4
mov #0x1C,r2
! Opcodes BBE0 - BBE7
VBE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6569
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6569:
jmp @r4
mov #0x1C,r2
! Opcodes BBE8 - BBEF
VBE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6570
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6570:
jmp @r4
mov #0x1C,r2
! Opcodes BBF0 - BBF7
VBF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6571
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6571:
jmp @r4
mov #0x1C,r2
! Opcode BBF8
VBF8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6572
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6572:
jmp @r4
mov #0x1C,r2
! Opcode BBF9
VBF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6573
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6573:
jmp @r4
mov #0x1C,r2
! Opcode BBFA
VBFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6574
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6574:
jmp @r4
mov #0x1C,r2
! Opcode BBFB
VBFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6575
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6575:
jmp @r4
mov #0x1C,r2
! Opcode BBFC
VBFC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6576
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6576:
jmp @r4
mov #0x1C,r2
! Opcodes BC00 - BC07
VC00:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6577
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6577:
jmp @r4
mov #0x1C,r2
! Opcodes BC08 - BC0F
VC08:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6578
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6578:
jmp @r4
mov #0x1C,r2
! Opcodes BC10 - BC17
VC10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6579
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6579:
jmp @r4
mov #0x1C,r2
! Opcodes BC18 - BC1F
VC18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6580
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6580:
jmp @r4
mov #0x1C,r2
! Opcodes BC20 - BC27
VC20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6581
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6581:
jmp @r4
mov #0x1C,r2
! Opcodes BC28 - BC2F
VC28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6582
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6582:
jmp @r4
mov #0x1C,r2
! Opcodes BC30 - BC37
VC30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6583
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6583:
jmp @r4
mov #0x1C,r2
! Opcode BC38
VC38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6584
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6584:
jmp @r4
mov #0x1C,r2
! Opcode BC39
VC39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6585
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6585:
jmp @r4
mov #0x1C,r2
! Opcode BC3A
VC3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6586
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6586:
jmp @r4
mov #0x1C,r2
! Opcode BC3B
VC3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6587
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6587:
jmp @r4
mov #0x1C,r2
! Opcode BC3C
VC3C:
mov.b @r6,r3
add #2,r6
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6588
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6588:
jmp @r4
mov #0x1C,r2
! Opcodes BC40 - BC47
VC40:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6589
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6589:
jmp @r4
mov #0x1C,r2
! Opcodes BC48 - BC4F
VC48:
and r0,r2
add r14,r2
mov.w @r2,r3
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6590
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6590:
jmp @r4
mov #0x1C,r2
! Opcodes BC50 - BC57
VC50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6591
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6591:
jmp @r4
mov #0x1C,r2
! Opcodes BC58 - BC5F
VC58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6592
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6592:
jmp @r4
mov #0x1C,r2
! Opcodes BC60 - BC67
VC60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6593
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6593:
jmp @r4
mov #0x1C,r2
! Opcodes BC68 - BC6F
VC68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6594
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6594:
jmp @r4
mov #0x1C,r2
! Opcodes BC70 - BC77
VC70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6595
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6595:
jmp @r4
mov #0x1C,r2
! Opcode BC78
VC78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6596
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6596:
jmp @r4
mov #0x1C,r2
! Opcode BC79
VC79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6597
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6597:
jmp @r4
mov #0x1C,r2
! Opcode BC7A
VC7A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6598
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6598:
jmp @r4
mov #0x1C,r2
! Opcode BC7B
VC7B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6599
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6599:
jmp @r4
mov #0x1C,r2
! Opcode BC7C
VC7C:
mov.w @r6+,r3
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6600
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6600:
jmp @r4
mov #0x1C,r2
! Opcodes BC80 - BC87
VC80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6601
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6601:
jmp @r4
mov #0x1C,r2
! Opcodes BC88 - BC8F
VC88:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6602
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6602:
jmp @r4
mov #0x1C,r2
! Opcodes BC90 - BC97
VC90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6603
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6603:
jmp @r4
mov #0x1C,r2
! Opcodes BC98 - BC9F
VC98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6604
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6604:
jmp @r4
mov #0x1C,r2
! Opcodes BCA0 - BCA7
VCA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6605
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6605:
jmp @r4
mov #0x1C,r2
! Opcodes BCA8 - BCAF
VCA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6606
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6606:
jmp @r4
mov #0x1C,r2
! Opcodes BCB0 - BCB7
VCB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6607
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6607:
jmp @r4
mov #0x1C,r2
! Opcode BCB8
VCB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6608
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6608:
jmp @r4
mov #0x1C,r2
! Opcode BCB9
VCB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6609
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6609:
jmp @r4
mov #0x1C,r2
! Opcode BCBA
VCBA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6610
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6610:
jmp @r4
mov #0x1C,r2
! Opcode BCBB
VCBB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6611
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6611:
jmp @r4
mov #0x1C,r2
! Opcode BCBC
VCBC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6612
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6612:
jmp @r4
mov #0x1C,r2
! Opcodes BCC0 - BCC7
VCC0:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6613
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6613:
jmp @r4
mov #0x1C,r2
! Opcodes BCC8 - BCCF
VCC8:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6614
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6614:
jmp @r4
mov #0x1C,r2
! Opcodes BCD0 - BCD7
VCD0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6615
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6615:
jmp @r4
mov #0x1C,r2
! Opcodes BCD8 - BCDF
VCD8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6616
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6616:
jmp @r4
mov #0x1C,r2
! Opcodes BCE0 - BCE7
VCE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6617
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6617:
jmp @r4
mov #0x1C,r2
! Opcodes BCE8 - BCEF
VCE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6618
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6618:
jmp @r4
mov #0x1C,r2
! Opcodes BCF0 - BCF7
VCF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6619
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6619:
jmp @r4
mov #0x1C,r2
! Opcode BCF8
VCF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6620
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6620:
jmp @r4
mov #0x1C,r2
! Opcode BCF9
VCF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6621
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6621:
jmp @r4
mov #0x1C,r2
! Opcode BCFA
VCFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6622
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6622:
jmp @r4
mov #0x1C,r2
! Opcode BCFB
VCFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6623
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6623:
jmp @r4
mov #0x1C,r2
! Opcode BCFC
VCFC:
mov.w @r6+,r3
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6624
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6624:
jmp @r4
mov #0x1C,r2
! Opcodes BD00 - BD07
VD00:
and r0,r2
mov r2,r0
mov.b @(r0,r13),r3
mov #24,r0
mov.b @(r0,r13),r1
xor r1,r3
mov r2,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6625
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6625:
jmp @r4
mov #0x1C,r2
! Opcodes BD08 - BD0F
VD08:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(56,r13),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(56,r13)
mov #24,r0
shld r0,r2
shld r0,r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6626
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6626:
jmp @r4
mov #0x1C,r2
! Opcodes BD10 - BD17
VD10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6627
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6627:
jmp @r4
mov #0x1C,r2
! Opcodes BD18 - BD1F
VD18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6628
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6628:
jmp @r4
mov #0x1C,r2
! Opcodes BD20 - BD27
VD20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6629
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6629:
jmp @r4
mov #0x1C,r2
! Opcodes BD28 - BD2F
VD28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6630
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6630:
jmp @r4
mov #0x1C,r2
! Opcodes BD30 - BD37
VD30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6631
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6631:
jmp @r4
mov #0x1C,r2
! Opcode BD38
VD38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6632
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6632:
jmp @r4
mov #0x1C,r2
! Opcode BD39
VD39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6633
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6633:
jmp @r4
mov #0x1C,r2
! Opcodes BD40 - BD47
VD40:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #24,r0
mov.w @(r0,r13),r1
xor r1,r3
mov r2,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6634
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6634:
jmp @r4
mov #0x1C,r2
! Opcodes BD48 - BD4F
VD48:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(56,r13),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(56,r13)
shll16 r2
shll16 r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6635
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6635:
jmp @r4
mov #0x1C,r2
! Opcodes BD50 - BD57
VD50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6636
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6636:
jmp @r4
mov #0x1C,r2
! Opcodes BD58 - BD5F
VD58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6637
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6637:
jmp @r4
mov #0x1C,r2
! Opcodes BD60 - BD67
VD60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6638
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6638:
jmp @r4
mov #0x1C,r2
! Opcodes BD68 - BD6F
VD68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6639
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6639:
jmp @r4
mov #0x1C,r2
! Opcodes BD70 - BD77
VD70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6640
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6640:
jmp @r4
mov #0x1C,r2
! Opcode BD78
VD78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6641
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6641:
jmp @r4
mov #0x1C,r2
! Opcode BD79
VD79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6642
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6642:
jmp @r4
mov #0x1C,r2
! Opcodes BD80 - BD87
VD80:
and r0,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(24,r13),r1
xor r1,r3
mov r2,r0
mov.l r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6643
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6643:
jmp @r4
mov #0x1C,r2
! Opcodes BD88 - BD8F
VD88:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(56,r13),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(56,r13)
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6644
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6644:
jmp @r4
mov #0x1C,r2
! Opcodes BD90 - BD97
VD90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6645
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6645:
jmp @r4
mov #0x1C,r2
! Opcodes BD98 - BD9F
VD98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6646
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6646:
jmp @r4
mov #0x1C,r2
! Opcodes BDA0 - BDA7
VDA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6647
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6647:
jmp @r4
mov #0x1C,r2
! Opcodes BDA8 - BDAF
VDA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl6648
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6648:
jmp @r4
mov #0x1C,r2
! Opcodes BDB0 - BDB7
VDB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl6649
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6649:
jmp @r4
mov #0x1C,r2
! Opcode BDB8
VDB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl6650
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6650:
jmp @r4
mov #0x1C,r2
! Opcode BDB9
VDB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl6651
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6651:
jmp @r4
mov #0x1C,r2
! Opcodes BDC0 - BDC7
VDC0:
and r0,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6652
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6652:
jmp @r4
mov #0x1C,r2
! Opcodes BDC8 - BDCF
VDC8:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6653
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6653:
jmp @r4
mov #0x1C,r2
! Opcodes BDD0 - BDD7
VDD0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6654
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6654:
jmp @r4
mov #0x1C,r2
! Opcodes BDD8 - BDDF
VDD8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6655
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6655:
jmp @r4
mov #0x1C,r2
! Opcodes BDE0 - BDE7
VDE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6656
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6656:
jmp @r4
mov #0x1C,r2
! Opcodes BDE8 - BDEF
VDE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6657
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6657:
jmp @r4
mov #0x1C,r2
! Opcodes BDF0 - BDF7
VDF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6658
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6658:
jmp @r4
mov #0x1C,r2
! Opcode BDF8
VDF8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6659
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6659:
jmp @r4
mov #0x1C,r2
! Opcode BDF9
VDF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6660
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6660:
jmp @r4
mov #0x1C,r2
! Opcode BDFA
VDFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6661
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6661:
jmp @r4
mov #0x1C,r2
! Opcode BDFB
VDFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6662
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6662:
jmp @r4
mov #0x1C,r2
! Opcode BDFC
VDFC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6663
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6663:
jmp @r4
mov #0x1C,r2
! Opcodes BE00 - BE07
VE00:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6664
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6664:
jmp @r4
mov #0x1C,r2
! Opcodes BE08 - BE0F
VE08:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6665
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6665:
jmp @r4
mov #0x1C,r2
! Opcodes BE10 - BE17
VE10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6666
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6666:
jmp @r4
mov #0x1C,r2
! Opcodes BE18 - BE1F
VE18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6667
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6667:
jmp @r4
mov #0x1C,r2
! Opcodes BE20 - BE27
VE20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6668
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6668:
jmp @r4
mov #0x1C,r2
! Opcodes BE28 - BE2F
VE28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6669
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6669:
jmp @r4
mov #0x1C,r2
! Opcodes BE30 - BE37
VE30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6670
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6670:
jmp @r4
mov #0x1C,r2
! Opcode BE38
VE38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6671
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6671:
jmp @r4
mov #0x1C,r2
! Opcode BE39
VE39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6672
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6672:
jmp @r4
mov #0x1C,r2
! Opcode BE3A
VE3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6673
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6673:
jmp @r4
mov #0x1C,r2
! Opcode BE3B
VE3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6674
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6674:
jmp @r4
mov #0x1C,r2
! Opcode BE3C
VE3C:
mov.b @r6,r3
add #2,r6
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6675
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6675:
jmp @r4
mov #0x1C,r2
! Opcodes BE40 - BE47
VE40:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6676
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6676:
jmp @r4
mov #0x1C,r2
! Opcodes BE48 - BE4F
VE48:
and r0,r2
add r14,r2
mov.w @r2,r3
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6677
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6677:
jmp @r4
mov #0x1C,r2
! Opcodes BE50 - BE57
VE50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6678
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6678:
jmp @r4
mov #0x1C,r2
! Opcodes BE58 - BE5F
VE58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6679
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6679:
jmp @r4
mov #0x1C,r2
! Opcodes BE60 - BE67
VE60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6680
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6680:
jmp @r4
mov #0x1C,r2
! Opcodes BE68 - BE6F
VE68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6681
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6681:
jmp @r4
mov #0x1C,r2
! Opcodes BE70 - BE77
VE70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6682
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6682:
jmp @r4
mov #0x1C,r2
! Opcode BE78
VE78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6683
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6683:
jmp @r4
mov #0x1C,r2
! Opcode BE79
VE79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6684
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6684:
jmp @r4
mov #0x1C,r2
! Opcode BE7A
VE7A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6685
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6685:
jmp @r4
mov #0x1C,r2
! Opcode BE7B
VE7B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6686
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6686:
jmp @r4
mov #0x1C,r2
! Opcode BE7C
VE7C:
mov.w @r6+,r3
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6687
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6687:
jmp @r4
mov #0x1C,r2
! Opcodes BE80 - BE87
VE80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6688
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6688:
jmp @r4
mov #0x1C,r2
! Opcodes BE88 - BE8F
VE88:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6689
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6689:
jmp @r4
mov #0x1C,r2
! Opcodes BE90 - BE97
VE90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6690
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6690:
jmp @r4
mov #0x1C,r2
! Opcodes BE98 - BE9F
VE98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6691
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6691:
jmp @r4
mov #0x1C,r2
! Opcodes BEA0 - BEA7
VEA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6692
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6692:
jmp @r4
mov #0x1C,r2
! Opcodes BEA8 - BEAF
VEA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6693
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6693:
jmp @r4
mov #0x1C,r2
! Opcodes BEB0 - BEB7
VEB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6694
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6694:
jmp @r4
mov #0x1C,r2
! Opcode BEB8
VEB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6695
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6695:
jmp @r4
mov #0x1C,r2
! Opcode BEB9
VEB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6696
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6696:
jmp @r4
mov #0x1C,r2
! Opcode BEBA
VEBA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6697
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6697:
jmp @r4
mov #0x1C,r2
! Opcode BEBB
VEBB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6698
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6698:
jmp @r4
mov #0x1C,r2
! Opcode BEBC
VEBC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6699
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6699:
jmp @r4
mov #0x1C,r2
! Opcodes BEC0 - BEC7
VEC0:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6700
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6700:
jmp @r4
mov #0x1C,r2
! Opcodes BEC8 - BECF
VEC8:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6701
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6701:
jmp @r4
mov #0x1C,r2
! Opcodes BED0 - BED7
VED0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6702
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6702:
jmp @r4
mov #0x1C,r2
! Opcodes BED8 - BEDF
VED8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6703
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6703:
jmp @r4
mov #0x1C,r2
! Opcodes BEE0 - BEE7
VEE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6704
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6704:
jmp @r4
mov #0x1C,r2
! Opcodes BEE8 - BEEF
VEE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6705
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6705:
jmp @r4
mov #0x1C,r2
! Opcodes BEF0 - BEF7
VEF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6706
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6706:
jmp @r4
mov #0x1C,r2
! Opcode BEF8
VEF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6707
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6707:
jmp @r4
mov #0x1C,r2
! Opcode BEF9
VEF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6708
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6708:
jmp @r4
mov #0x1C,r2
! Opcode BEFA
VEFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6709
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6709:
jmp @r4
mov #0x1C,r2
! Opcode BEFB
VEFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6710
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6710:
jmp @r4
mov #0x1C,r2
! Opcode BEFC
VEFC:
mov.w @r6+,r3
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6711
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6711:
jmp @r4
mov #0x1C,r2
! Opcodes BF00 - BF07
VF00:
and r0,r2
mov r2,r0
mov.b @(r0,r13),r3
mov #28,r0
mov.b @(r0,r13),r1
xor r1,r3
mov r2,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6712
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6712:
jmp @r4
mov #0x1C,r2
! Opcodes BF08 - BF0F
VF08:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(60,r13),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
mov #24,r0
shld r0,r2
shld r0,r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6713
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6713:
jmp @r4
mov #0x1C,r2
! Opcodes BF10 - BF17
VF10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6714
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6714:
jmp @r4
mov #0x1C,r2
! Opcodes BF18 - BF1F
VF18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6715
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6715:
jmp @r4
mov #0x1C,r2
! Opcodes BF20 - BF27
VF20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6716
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6716:
jmp @r4
mov #0x1C,r2
! Opcodes BF28 - BF2F
VF28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6717
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6717:
jmp @r4
mov #0x1C,r2
! Opcodes BF30 - BF37
VF30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6718
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6718:
jmp @r4
mov #0x1C,r2
! Opcode BF38
VF38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6719
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6719:
jmp @r4
mov #0x1C,r2
! Opcode BF39
VF39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6720
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6720:
jmp @r4
mov #0x1C,r2
! Opcodes BF40 - BF47
VF40:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #28,r0
mov.w @(r0,r13),r1
xor r1,r3
mov r2,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6721
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6721:
jmp @r4
mov #0x1C,r2
! Opcodes BF48 - BF4F
VF48:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(60,r13),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
shll16 r2
shll16 r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6722
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6722:
jmp @r4
mov #0x1C,r2
! Opcodes BF50 - BF57
VF50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6723
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6723:
jmp @r4
mov #0x1C,r2
! Opcodes BF58 - BF5F
VF58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6724
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6724:
jmp @r4
mov #0x1C,r2
! Opcodes BF60 - BF67
VF60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6725
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6725:
jmp @r4
mov #0x1C,r2
! Opcodes BF68 - BF6F
VF68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6726
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6726:
jmp @r4
mov #0x1C,r2
! Opcodes BF70 - BF77
VF70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6727
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6727:
jmp @r4
mov #0x1C,r2
! Opcode BF78
VF78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6728
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6728:
jmp @r4
mov #0x1C,r2
! Opcode BF79
VF79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6729
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6729:
jmp @r4
mov #0x1C,r2
! Opcodes BF80 - BF87
VF80:
and r0,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(28,r13),r1
xor r1,r3
mov r2,r0
mov.l r3,@(r0,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6730
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6730:
jmp @r4
mov #0x1C,r2
! Opcodes BF88 - BF8F
VF88:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(60,r13),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6731
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6731:
jmp @r4
mov #0x1C,r2
! Opcodes BF90 - BF97
VF90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6732
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6732:
jmp @r4
mov #0x1C,r2
! Opcodes BF98 - BF9F
VF98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6733
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6733:
jmp @r4
mov #0x1C,r2
! Opcodes BFA0 - BFA7
VFA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6734
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6734:
jmp @r4
mov #0x1C,r2
! Opcodes BFA8 - BFAF
VFA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl6735
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6735:
jmp @r4
mov #0x1C,r2
! Opcodes BFB0 - BFB7
VFB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl6736
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6736:
jmp @r4
mov #0x1C,r2
! Opcode BFB8
VFB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl6737
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6737:
jmp @r4
mov #0x1C,r2
! Opcode BFB9
VFB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl6738
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6738:
jmp @r4
mov #0x1C,r2
! Opcodes BFC0 - BFC7
VFC0:
and r0,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6739
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6739:
jmp @r4
mov #0x1C,r2
! Opcodes BFC8 - BFCF
VFC8:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6740
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6740:
jmp @r4
mov #0x1C,r2
! Opcodes BFD0 - BFD7
VFD0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6741
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6741:
jmp @r4
mov #0x1C,r2
! Opcodes BFD8 - BFDF
VFD8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6742
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6742:
jmp @r4
mov #0x1C,r2
! Opcodes BFE0 - BFE7
VFE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6743
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6743:
jmp @r4
mov #0x1C,r2
! Opcodes BFE8 - BFEF
VFE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6744
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6744:
jmp @r4
mov #0x1C,r2
! Opcodes BFF0 - BFF7
VFF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6745
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6745:
jmp @r4
mov #0x1C,r2
! Opcode BFF8
VFF8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6746
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6746:
jmp @r4
mov #0x1C,r2
! Opcode BFF9
VFF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6747
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6747:
jmp @r4
mov #0x1C,r2
! Opcode BFFA
VFFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6748
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6748:
jmp @r4
mov #0x1C,r2
! Opcode BFFB
VFFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6749
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6749:
jmp @r4
mov #0x1C,r2
! Opcode BFFC
VFFC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
mov r0,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6750
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6750:
jmp @r4
mov #0x1C,r2
! Opcodes C000 - C007
W000:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.b @r13,r1
and r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6751
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6751:
jmp @r4
mov #0x1C,r2
! Opcodes C010 - C017
W010:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
and r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6752
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6752:
jmp @r4
mov #0x1C,r2
! Opcodes C018 - C01F
W018:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.b @r13,r1
and r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6753
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6753:
jmp @r4
mov #0x1C,r2
! Opcodes C020 - C027
W020:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.b @r13,r1
and r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6754
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6754:
jmp @r4
mov #0x1C,r2
! Opcodes C028 - C02F
W028:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
and r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6755
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6755:
jmp @r4
mov #0x1C,r2
! Opcodes C030 - C037
W030:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
and r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6756
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6756:
jmp @r4
mov #0x1C,r2
! Opcode C038
W038:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
and r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6757
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6757:
jmp @r4
mov #0x1C,r2
! Opcode C039
W039:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
and r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6758
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6758:
jmp @r4
mov #0x1C,r2
! Opcode C03A
W03A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
and r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6759
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6759:
jmp @r4
mov #0x1C,r2
! Opcode C03B
W03B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
and r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6760
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6760:
jmp @r4
mov #0x1C,r2
! Opcode C03C
W03C:
mov.b @r6,r3
add #2,r6
mov.b @r13,r1
and r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6761
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6761:
jmp @r4
mov #0x1C,r2
! Opcodes C040 - C047
W040:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.w @r13,r1
and r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6762
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6762:
jmp @r4
mov #0x1C,r2
! Opcodes C050 - C057
W050:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
and r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6763
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6763:
jmp @r4
mov #0x1C,r2
! Opcodes C058 - C05F
W058:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r13,r1
and r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6764
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6764:
jmp @r4
mov #0x1C,r2
! Opcodes C060 - C067
W060:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r13,r1
and r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6765
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6765:
jmp @r4
mov #0x1C,r2
! Opcodes C068 - C06F
W068:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
and r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6766
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6766:
jmp @r4
mov #0x1C,r2
! Opcodes C070 - C077
W070:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
and r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6767
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6767:
jmp @r4
mov #0x1C,r2
! Opcode C078
W078:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
and r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6768
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6768:
jmp @r4
mov #0x1C,r2
! Opcode C079
W079:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
and r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6769
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6769:
jmp @r4
mov #0x1C,r2
! Opcode C07A
W07A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
and r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6770
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6770:
jmp @r4
mov #0x1C,r2
! Opcode C07B
W07B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
and r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6771
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6771:
jmp @r4
mov #0x1C,r2
! Opcode C07C
W07C:
mov.w @r6+,r3
mov.w @r13,r1
and r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6772
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6772:
jmp @r4
mov #0x1C,r2
! Opcodes C080 - C087
W080:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @r13,r1
and r1,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6773
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6773:
jmp @r4
mov #0x1C,r2
! Opcodes C090 - C097
W090:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
and r1,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6774
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6774:
jmp @r4
mov #0x1C,r2
! Opcodes C098 - C09F
W098:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r13,r1
and r1,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6775
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6775:
jmp @r4
mov #0x1C,r2
! Opcodes C0A0 - C0A7
W0A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r13,r1
and r1,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6776
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6776:
jmp @r4
mov #0x1C,r2
! Opcodes C0A8 - C0AF
W0A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
and r1,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6777
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6777:
jmp @r4
mov #0x1C,r2
! Opcodes C0B0 - C0B7
W0B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
and r1,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6778
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6778:
jmp @r4
mov #0x1C,r2
! Opcode C0B8
W0B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
and r1,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6779
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6779:
jmp @r4
mov #0x1C,r2
! Opcode C0B9
W0B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
and r1,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6780
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6780:
jmp @r4
mov #0x1C,r2
! Opcode C0BA
W0BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
and r1,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6781
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6781:
jmp @r4
mov #0x1C,r2
! Opcode C0BB
W0BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
and r1,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6782
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6782:
jmp @r4
mov #0x1C,r2
! Opcode C0BC
W0BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @r13,r1
and r1,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6783
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6783:
jmp @r4
mov #0x1C,r2
! Opcodes C0C0 - C0C7
W0C0:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln6784:
addc r4,r0
cmp/pl r1
bt/s ln6784
shlr r1
sub r0,r7
sub r0,r7
mov.w @r13,r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl6785
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6785:
jmp @r4
mov #0x1C,r2
! Opcodes C0D0 - C0D7
W0D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln6786:
addc r4,r0
cmp/pl r1
bt/s ln6786
shlr r1
sub r0,r7
sub r0,r7
mov.w @r13,r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl6787
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6787:
jmp @r4
mov #0x1C,r2
! Opcodes C0D8 - C0DF
W0D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln6788:
addc r4,r0
cmp/pl r1
bt/s ln6788
shlr r1
sub r0,r7
sub r0,r7
mov.w @r13,r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl6789
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6789:
jmp @r4
mov #0x1C,r2
! Opcodes C0E0 - C0E7
W0E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln6790:
addc r4,r0
cmp/pl r1
bt/s ln6790
shlr r1
sub r0,r7
sub r0,r7
mov.w @r13,r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl6791
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6791:
jmp @r4
mov #0x1C,r2
! Opcodes C0E8 - C0EF
W0E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln6792:
addc r4,r0
cmp/pl r1
bt/s ln6792
shlr r1
sub r0,r7
sub r0,r7
mov.w @r13,r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl6793
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6793:
jmp @r4
mov #0x1C,r2
! Opcodes C0F0 - C0F7
W0F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln6794:
addc r4,r0
cmp/pl r1
bt/s ln6794
shlr r1
sub r0,r7
sub r0,r7
mov.w @r13,r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl6795
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6795:
jmp @r4
mov #0x1C,r2
! Opcode C0F8
W0F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln6796:
addc r4,r0
cmp/pl r1
bt/s ln6796
shlr r1
sub r0,r7
sub r0,r7
mov.w @r13,r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl6797
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6797:
jmp @r4
mov #0x1C,r2
! Opcode C0F9
W0F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln6798:
addc r4,r0
cmp/pl r1
bt/s ln6798
shlr r1
sub r0,r7
sub r0,r7
mov.w @r13,r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl6799
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6799:
jmp @r4
mov #0x1C,r2
! Opcode C0FA
W0FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln6800:
addc r4,r0
cmp/pl r1
bt/s ln6800
shlr r1
sub r0,r7
sub r0,r7
mov.w @r13,r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl6801
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6801:
jmp @r4
mov #0x1C,r2
! Opcode C0FB
W0FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln6802:
addc r4,r0
cmp/pl r1
bt/s ln6802
shlr r1
sub r0,r7
sub r0,r7
mov.w @r13,r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl6803
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6803:
jmp @r4
mov #0x1C,r2
! Opcode C0FC
W0FC:
mov.w @r6+,r3
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln6804:
addc r4,r0
cmp/pl r1
bt/s ln6804
shlr r1
sub r0,r7
sub r0,r7
mov.w @r13,r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl6805
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6805:
jmp @r4
mov #0x1C,r2
! Opcodes C100 - C107
W100:
and r0,r2
mov r3,r4
mov.b @r13,r3
mov r2,r0
mov.b @(r0,r13),r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd6806
add #6,r8
.nonibadd6806:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop6806
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop6806:
exts.b r3,r3
mov r9,r8
mov.b r3,@r13
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6807
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6807:
jmp @r4
mov #0x1C,r2
! Opcodes C108 - C10F
W108:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(32,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd6808
add #6,r8
.nonibadd6808:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop6808
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop6808:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6809
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6809:
jmp @r4
mov #0x1C,r2
! Opcodes C110 - C117
W110:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6810
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6810:
jmp @r4
mov #0x1C,r2
! Opcodes C118 - C11F
W118:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6811
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6811:
jmp @r4
mov #0x1C,r2
! Opcodes C120 - C127
W120:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6812
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6812:
jmp @r4
mov #0x1C,r2
! Opcodes C128 - C12F
W128:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6813
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6813:
jmp @r4
mov #0x1C,r2
! Opcodes C130 - C137
W130:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6814
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6814:
jmp @r4
mov #0x1C,r2
! Opcode C138
W138:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6815
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6815:
jmp @r4
mov #0x1C,r2
! Opcode C139
W139:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6816
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6816:
jmp @r4
mov #0x1C,r2
! Opcodes C140 - C147
W140:
and r0,r2
mov r3,r4
add r13,r2
mov.l @r2,r1
mov.l @r13,r3
mov.l r3,@r2
mov.l r1,@r13
mov r4,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6817
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6817:
jmp @r4
mov #0x1C,r2
! Opcodes C148 - C14F
W148:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r1
mov.l @(32,r13),r3
mov.l r3,@r2
mov.l r1,@(32,r13)
mov r4,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6818
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6818:
jmp @r4
mov #0x1C,r2
! Opcodes C150 - C157
W150:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6819
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6819:
jmp @r4
mov #0x1C,r2
! Opcodes C158 - C15F
W158:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6820
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6820:
jmp @r4
mov #0x1C,r2
! Opcodes C160 - C167
W160:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6821
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6821:
jmp @r4
mov #0x1C,r2
! Opcodes C168 - C16F
W168:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6822
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6822:
jmp @r4
mov #0x1C,r2
! Opcodes C170 - C177
W170:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6823
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6823:
jmp @r4
mov #0x1C,r2
! Opcode C178
W178:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6824
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6824:
jmp @r4
mov #0x1C,r2
! Opcode C179
W179:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6825
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6825:
jmp @r4
mov #0x1C,r2
! Opcodes C188 - C18F
W188:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r1
mov.l @r13,r3
mov.l r3,@r2
mov.l r1,@r13
mov r4,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6826
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6826:
jmp @r4
mov #0x1C,r2
! Opcodes C190 - C197
W190:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6827
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6827:
jmp @r4
mov #0x1C,r2
! Opcodes C198 - C19F
W198:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6828
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6828:
jmp @r4
mov #0x1C,r2
! Opcodes C1A0 - C1A7
W1A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6829
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6829:
jmp @r4
mov #0x1C,r2
! Opcodes C1A8 - C1AF
W1A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl6830
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6830:
jmp @r4
mov #0x1C,r2
! Opcodes C1B0 - C1B7
W1B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl6831
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6831:
jmp @r4
mov #0x1C,r2
! Opcode C1B8
W1B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl6832
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6832:
jmp @r4
mov #0x1C,r2
! Opcode C1B9
W1B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl6833
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6833:
jmp @r4
mov #0x1C,r2
! Opcodes C1C0 - C1C7
W1C0:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln6834:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln6834
shlr r1
sub r0,r7
sub r0,r7
mov.w @r13,r1
muls.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl6835
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6835:
jmp @r4
mov #0x1C,r2
! Opcodes C1D0 - C1D7
W1D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln6836:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln6836
shlr r1
sub r0,r7
sub r0,r7
mov.w @r13,r1
muls.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl6837
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6837:
jmp @r4
mov #0x1C,r2
! Opcodes C1D8 - C1DF
W1D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln6838:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln6838
shlr r1
sub r0,r7
sub r0,r7
mov.w @r13,r1
muls.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl6839
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6839:
jmp @r4
mov #0x1C,r2
! Opcodes C1E0 - C1E7
W1E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln6840:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln6840
shlr r1
sub r0,r7
sub r0,r7
mov.w @r13,r1
muls.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl6841
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6841:
jmp @r4
mov #0x1C,r2
! Opcodes C1E8 - C1EF
W1E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln6842:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln6842
shlr r1
sub r0,r7
sub r0,r7
mov.w @r13,r1
muls.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl6843
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6843:
jmp @r4
mov #0x1C,r2
! Opcodes C1F0 - C1F7
W1F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln6844:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln6844
shlr r1
sub r0,r7
sub r0,r7
mov.w @r13,r1
muls.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl6845
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6845:
jmp @r4
mov #0x1C,r2
! Opcode C1F8
W1F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln6846:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln6846
shlr r1
sub r0,r7
sub r0,r7
mov.w @r13,r1
muls.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl6847
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6847:
jmp @r4
mov #0x1C,r2
! Opcode C1F9
W1F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln6848:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln6848
shlr r1
sub r0,r7
sub r0,r7
mov.w @r13,r1
muls.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl6849
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6849:
jmp @r4
mov #0x1C,r2
! Opcode C1FA
W1FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln6850:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln6850
shlr r1
sub r0,r7
sub r0,r7
mov.w @r13,r1
muls.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl6851
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6851:
jmp @r4
mov #0x1C,r2
! Opcode C1FB
W1FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln6852:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln6852
shlr r1
sub r0,r7
sub r0,r7
mov.w @r13,r1
muls.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl6853
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6853:
jmp @r4
mov #0x1C,r2
! Opcode C1FC
W1FC:
mov.w @r6+,r3
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln6854:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln6854
shlr r1
sub r0,r7
sub r0,r7
mov.w @r13,r1
muls.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl6855
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6855:
jmp @r4
mov #0x1C,r2
! Opcodes C200 - C207
W200:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6856
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6856:
jmp @r4
mov #0x1C,r2
! Opcodes C210 - C217
W210:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6857
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6857:
jmp @r4
mov #0x1C,r2
! Opcodes C218 - C21F
W218:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6858
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6858:
jmp @r4
mov #0x1C,r2
! Opcodes C220 - C227
W220:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6859
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6859:
jmp @r4
mov #0x1C,r2
! Opcodes C228 - C22F
W228:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6860
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6860:
jmp @r4
mov #0x1C,r2
! Opcodes C230 - C237
W230:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6861
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6861:
jmp @r4
mov #0x1C,r2
! Opcode C238
W238:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6862
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6862:
jmp @r4
mov #0x1C,r2
! Opcode C239
W239:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6863
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6863:
jmp @r4
mov #0x1C,r2
! Opcode C23A
W23A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6864
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6864:
jmp @r4
mov #0x1C,r2
! Opcode C23B
W23B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6865
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6865:
jmp @r4
mov #0x1C,r2
! Opcode C23C
W23C:
mov.b @r6,r3
add #2,r6
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6866
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6866:
jmp @r4
mov #0x1C,r2
! Opcodes C240 - C247
W240:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6867
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6867:
jmp @r4
mov #0x1C,r2
! Opcodes C250 - C257
W250:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6868
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6868:
jmp @r4
mov #0x1C,r2
! Opcodes C258 - C25F
W258:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6869
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6869:
jmp @r4
mov #0x1C,r2
! Opcodes C260 - C267
W260:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6870
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6870:
jmp @r4
mov #0x1C,r2
! Opcodes C268 - C26F
W268:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6871
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6871:
jmp @r4
mov #0x1C,r2
! Opcodes C270 - C277
W270:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6872
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6872:
jmp @r4
mov #0x1C,r2
! Opcode C278
W278:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6873
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6873:
jmp @r4
mov #0x1C,r2
! Opcode C279
W279:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6874
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6874:
jmp @r4
mov #0x1C,r2
! Opcode C27A
W27A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6875
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6875:
jmp @r4
mov #0x1C,r2
! Opcode C27B
W27B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6876
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6876:
jmp @r4
mov #0x1C,r2
! Opcode C27C
W27C:
mov.w @r6+,r3
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6877
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6877:
jmp @r4
mov #0x1C,r2
! Opcodes C280 - C287
W280:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(4,r13),r1
and r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6878
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6878:
jmp @r4
mov #0x1C,r2
! Opcodes C290 - C297
W290:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
and r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6879
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6879:
jmp @r4
mov #0x1C,r2
! Opcodes C298 - C29F
W298:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(4,r13),r1
and r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6880
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6880:
jmp @r4
mov #0x1C,r2
! Opcodes C2A0 - C2A7
W2A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(4,r13),r1
and r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6881
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6881:
jmp @r4
mov #0x1C,r2
! Opcodes C2A8 - C2AF
W2A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
and r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6882
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6882:
jmp @r4
mov #0x1C,r2
! Opcodes C2B0 - C2B7
W2B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
and r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6883
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6883:
jmp @r4
mov #0x1C,r2
! Opcode C2B8
W2B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
and r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6884
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6884:
jmp @r4
mov #0x1C,r2
! Opcode C2B9
W2B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
and r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6885
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6885:
jmp @r4
mov #0x1C,r2
! Opcode C2BA
W2BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
and r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6886
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6886:
jmp @r4
mov #0x1C,r2
! Opcode C2BB
W2BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
and r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6887
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6887:
jmp @r4
mov #0x1C,r2
! Opcode C2BC
W2BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(4,r13),r1
and r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6888
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6888:
jmp @r4
mov #0x1C,r2
! Opcodes C2C0 - C2C7
W2C0:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln6889:
addc r4,r0
cmp/pl r1
bt/s ln6889
shlr r1
sub r0,r7
sub r0,r7
mov #4,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl6890
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6890:
jmp @r4
mov #0x1C,r2
! Opcodes C2D0 - C2D7
W2D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln6891:
addc r4,r0
cmp/pl r1
bt/s ln6891
shlr r1
sub r0,r7
sub r0,r7
mov #4,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl6892
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6892:
jmp @r4
mov #0x1C,r2
! Opcodes C2D8 - C2DF
W2D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln6893:
addc r4,r0
cmp/pl r1
bt/s ln6893
shlr r1
sub r0,r7
sub r0,r7
mov #4,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl6894
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6894:
jmp @r4
mov #0x1C,r2
! Opcodes C2E0 - C2E7
W2E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln6895:
addc r4,r0
cmp/pl r1
bt/s ln6895
shlr r1
sub r0,r7
sub r0,r7
mov #4,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl6896
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6896:
jmp @r4
mov #0x1C,r2
! Opcodes C2E8 - C2EF
W2E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln6897:
addc r4,r0
cmp/pl r1
bt/s ln6897
shlr r1
sub r0,r7
sub r0,r7
mov #4,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl6898
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6898:
jmp @r4
mov #0x1C,r2
! Opcodes C2F0 - C2F7
W2F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln6899:
addc r4,r0
cmp/pl r1
bt/s ln6899
shlr r1
sub r0,r7
sub r0,r7
mov #4,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl6900
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6900:
jmp @r4
mov #0x1C,r2
! Opcode C2F8
W2F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln6901:
addc r4,r0
cmp/pl r1
bt/s ln6901
shlr r1
sub r0,r7
sub r0,r7
mov #4,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl6902
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6902:
jmp @r4
mov #0x1C,r2
! Opcode C2F9
W2F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln6903:
addc r4,r0
cmp/pl r1
bt/s ln6903
shlr r1
sub r0,r7
sub r0,r7
mov #4,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl6904
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6904:
jmp @r4
mov #0x1C,r2
! Opcode C2FA
W2FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln6905:
addc r4,r0
cmp/pl r1
bt/s ln6905
shlr r1
sub r0,r7
sub r0,r7
mov #4,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl6906
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6906:
jmp @r4
mov #0x1C,r2
! Opcode C2FB
W2FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln6907:
addc r4,r0
cmp/pl r1
bt/s ln6907
shlr r1
sub r0,r7
sub r0,r7
mov #4,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl6908
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6908:
jmp @r4
mov #0x1C,r2
! Opcode C2FC
W2FC:
mov.w @r6+,r3
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln6909:
addc r4,r0
cmp/pl r1
bt/s ln6909
shlr r1
sub r0,r7
sub r0,r7
mov #4,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl6910
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6910:
jmp @r4
mov #0x1C,r2
! Opcodes C300 - C307
W300:
and r0,r2
mov r3,r4
mov #4,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd6911
add #6,r8
.nonibadd6911:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop6911
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop6911:
exts.b r3,r3
mov r9,r8
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6912
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6912:
jmp @r4
mov #0x1C,r2
! Opcodes C308 - C30F
W308:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(36,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd6913
add #6,r8
.nonibadd6913:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop6913
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop6913:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6914
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6914:
jmp @r4
mov #0x1C,r2
! Opcodes C310 - C317
W310:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6915
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6915:
jmp @r4
mov #0x1C,r2
! Opcodes C318 - C31F
W318:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6916
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6916:
jmp @r4
mov #0x1C,r2
! Opcodes C320 - C327
W320:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6917
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6917:
jmp @r4
mov #0x1C,r2
! Opcodes C328 - C32F
W328:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6918
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6918:
jmp @r4
mov #0x1C,r2
! Opcodes C330 - C337
W330:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6919
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6919:
jmp @r4
mov #0x1C,r2
! Opcode C338
W338:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6920
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6920:
jmp @r4
mov #0x1C,r2
! Opcode C339
W339:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6921
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6921:
jmp @r4
mov #0x1C,r2
! Opcodes C340 - C347
W340:
and r0,r2
mov r3,r4
add r13,r2
mov.l @r2,r1
mov.l @(4,r13),r3
mov.l r3,@r2
mov.l r1,@(4,r13)
mov r4,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6922
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6922:
jmp @r4
mov #0x1C,r2
! Opcodes C348 - C34F
W348:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r1
mov.l @(36,r13),r3
mov.l r3,@r2
mov.l r1,@(36,r13)
mov r4,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6923
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6923:
jmp @r4
mov #0x1C,r2
! Opcodes C350 - C357
W350:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6924
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6924:
jmp @r4
mov #0x1C,r2
! Opcodes C358 - C35F
W358:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6925
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6925:
jmp @r4
mov #0x1C,r2
! Opcodes C360 - C367
W360:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6926
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6926:
jmp @r4
mov #0x1C,r2
! Opcodes C368 - C36F
W368:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6927
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6927:
jmp @r4
mov #0x1C,r2
! Opcodes C370 - C377
W370:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6928
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6928:
jmp @r4
mov #0x1C,r2
! Opcode C378
W378:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6929
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6929:
jmp @r4
mov #0x1C,r2
! Opcode C379
W379:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6930
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6930:
jmp @r4
mov #0x1C,r2
! Opcodes C388 - C38F
W388:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r1
mov.l @(4,r13),r3
mov.l r3,@r2
mov.l r1,@(4,r13)
mov r4,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl6931
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6931:
jmp @r4
mov #0x1C,r2
! Opcodes C390 - C397
W390:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6932
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6932:
jmp @r4
mov #0x1C,r2
! Opcodes C398 - C39F
W398:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6933
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6933:
jmp @r4
mov #0x1C,r2
! Opcodes C3A0 - C3A7
W3A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6934
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6934:
jmp @r4
mov #0x1C,r2
! Opcodes C3A8 - C3AF
W3A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl6935
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6935:
jmp @r4
mov #0x1C,r2
! Opcodes C3B0 - C3B7
W3B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl6936
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6936:
jmp @r4
mov #0x1C,r2
! Opcode C3B8
W3B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl6937
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6937:
jmp @r4
mov #0x1C,r2
! Opcode C3B9
W3B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl6938
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6938:
jmp @r4
mov #0x1C,r2
! Opcodes C3C0 - C3C7
W3C0:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln6939:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln6939
shlr r1
sub r0,r7
sub r0,r7
mov #4,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl6940
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6940:
jmp @r4
mov #0x1C,r2
! Opcodes C3D0 - C3D7
W3D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln6941:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln6941
shlr r1
sub r0,r7
sub r0,r7
mov #4,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl6942
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6942:
jmp @r4
mov #0x1C,r2
! Opcodes C3D8 - C3DF
W3D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln6943:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln6943
shlr r1
sub r0,r7
sub r0,r7
mov #4,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl6944
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6944:
jmp @r4
mov #0x1C,r2
! Opcodes C3E0 - C3E7
W3E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln6945:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln6945
shlr r1
sub r0,r7
sub r0,r7
mov #4,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl6946
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6946:
jmp @r4
mov #0x1C,r2
! Opcodes C3E8 - C3EF
W3E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln6947:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln6947
shlr r1
sub r0,r7
sub r0,r7
mov #4,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl6948
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6948:
jmp @r4
mov #0x1C,r2
! Opcodes C3F0 - C3F7
W3F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln6949:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln6949
shlr r1
sub r0,r7
sub r0,r7
mov #4,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl6950
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6950:
jmp @r4
mov #0x1C,r2
! Opcode C3F8
W3F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln6951:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln6951
shlr r1
sub r0,r7
sub r0,r7
mov #4,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl6952
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6952:
jmp @r4
mov #0x1C,r2
! Opcode C3F9
W3F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln6953:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln6953
shlr r1
sub r0,r7
sub r0,r7
mov #4,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl6954
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6954:
jmp @r4
mov #0x1C,r2
! Opcode C3FA
W3FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln6955:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln6955
shlr r1
sub r0,r7
sub r0,r7
mov #4,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl6956
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6956:
jmp @r4
mov #0x1C,r2
! Opcode C3FB
W3FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln6957:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln6957
shlr r1
sub r0,r7
sub r0,r7
mov #4,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl6958
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6958:
jmp @r4
mov #0x1C,r2
! Opcode C3FC
W3FC:
mov.w @r6+,r3
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln6959:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln6959
shlr r1
sub r0,r7
sub r0,r7
mov #4,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl6960
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6960:
jmp @r4
mov #0x1C,r2
! Opcodes C400 - C407
W400:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6961
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6961:
jmp @r4
mov #0x1C,r2
! Opcodes C410 - C417
W410:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6962
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6962:
jmp @r4
mov #0x1C,r2
! Opcodes C418 - C41F
W418:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6963
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6963:
jmp @r4
mov #0x1C,r2
! Opcodes C420 - C427
W420:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6964
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6964:
jmp @r4
mov #0x1C,r2
! Opcodes C428 - C42F
W428:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6965
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6965:
jmp @r4
mov #0x1C,r2
! Opcodes C430 - C437
W430:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6966
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6966:
jmp @r4
mov #0x1C,r2
! Opcode C438
W438:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6967
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6967:
jmp @r4
mov #0x1C,r2
! Opcode C439
W439:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6968
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6968:
jmp @r4
mov #0x1C,r2
! Opcode C43A
W43A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6969
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6969:
jmp @r4
mov #0x1C,r2
! Opcode C43B
W43B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6970
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6970:
jmp @r4
mov #0x1C,r2
! Opcode C43C
W43C:
mov.b @r6,r3
add #2,r6
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6971
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6971:
jmp @r4
mov #0x1C,r2
! Opcodes C440 - C447
W440:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl6972
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6972:
jmp @r4
mov #0x1C,r2
! Opcodes C450 - C457
W450:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6973
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6973:
jmp @r4
mov #0x1C,r2
! Opcodes C458 - C45F
W458:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6974
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6974:
jmp @r4
mov #0x1C,r2
! Opcodes C460 - C467
W460:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl6975
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6975:
jmp @r4
mov #0x1C,r2
! Opcodes C468 - C46F
W468:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6976
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6976:
jmp @r4
mov #0x1C,r2
! Opcodes C470 - C477
W470:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6977
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6977:
jmp @r4
mov #0x1C,r2
! Opcode C478
W478:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6978
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6978:
jmp @r4
mov #0x1C,r2
! Opcode C479
W479:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6979
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6979:
jmp @r4
mov #0x1C,r2
! Opcode C47A
W47A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl6980
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6980:
jmp @r4
mov #0x1C,r2
! Opcode C47B
W47B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6981
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6981:
jmp @r4
mov #0x1C,r2
! Opcode C47C
W47C:
mov.w @r6+,r3
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6982
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6982:
jmp @r4
mov #0x1C,r2
! Opcodes C480 - C487
W480:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(8,r13),r1
and r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl6983
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6983:
jmp @r4
mov #0x1C,r2
! Opcodes C490 - C497
W490:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
and r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6984
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6984:
jmp @r4
mov #0x1C,r2
! Opcodes C498 - C49F
W498:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(8,r13),r1
and r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl6985
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6985:
jmp @r4
mov #0x1C,r2
! Opcodes C4A0 - C4A7
W4A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(8,r13),r1
and r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6986
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6986:
jmp @r4
mov #0x1C,r2
! Opcodes C4A8 - C4AF
W4A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
and r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6987
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6987:
jmp @r4
mov #0x1C,r2
! Opcodes C4B0 - C4B7
W4B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
and r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6988
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6988:
jmp @r4
mov #0x1C,r2
! Opcode C4B8
W4B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
and r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6989
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6989:
jmp @r4
mov #0x1C,r2
! Opcode C4B9
W4B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
and r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl6990
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6990:
jmp @r4
mov #0x1C,r2
! Opcode C4BA
W4BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
and r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl6991
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6991:
jmp @r4
mov #0x1C,r2
! Opcode C4BB
W4BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
and r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl6992
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6992:
jmp @r4
mov #0x1C,r2
! Opcode C4BC
W4BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(8,r13),r1
and r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl6993
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6993:
jmp @r4
mov #0x1C,r2
! Opcodes C4C0 - C4C7
W4C0:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln6994:
addc r4,r0
cmp/pl r1
bt/s ln6994
shlr r1
sub r0,r7
sub r0,r7
mov #8,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl6995
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6995:
jmp @r4
mov #0x1C,r2
! Opcodes C4D0 - C4D7
W4D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln6996:
addc r4,r0
cmp/pl r1
bt/s ln6996
shlr r1
sub r0,r7
sub r0,r7
mov #8,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl6997
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6997:
jmp @r4
mov #0x1C,r2
! Opcodes C4D8 - C4DF
W4D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln6998:
addc r4,r0
cmp/pl r1
bt/s ln6998
shlr r1
sub r0,r7
sub r0,r7
mov #8,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl6999
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl6999:
jmp @r4
mov #0x1C,r2
! Opcodes C4E0 - C4E7
W4E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7000:
addc r4,r0
cmp/pl r1
bt/s ln7000
shlr r1
sub r0,r7
sub r0,r7
mov #8,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl7001
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7001:
jmp @r4
mov #0x1C,r2
! Opcodes C4E8 - C4EF
W4E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7002:
addc r4,r0
cmp/pl r1
bt/s ln7002
shlr r1
sub r0,r7
sub r0,r7
mov #8,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7003
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7003:
jmp @r4
mov #0x1C,r2
! Opcodes C4F0 - C4F7
W4F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7004:
addc r4,r0
cmp/pl r1
bt/s ln7004
shlr r1
sub r0,r7
sub r0,r7
mov #8,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl7005
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7005:
jmp @r4
mov #0x1C,r2
! Opcode C4F8
W4F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7006:
addc r4,r0
cmp/pl r1
bt/s ln7006
shlr r1
sub r0,r7
sub r0,r7
mov #8,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7007
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7007:
jmp @r4
mov #0x1C,r2
! Opcode C4F9
W4F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7008:
addc r4,r0
cmp/pl r1
bt/s ln7008
shlr r1
sub r0,r7
sub r0,r7
mov #8,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl7009
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7009:
jmp @r4
mov #0x1C,r2
! Opcode C4FA
W4FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7010:
addc r4,r0
cmp/pl r1
bt/s ln7010
shlr r1
sub r0,r7
sub r0,r7
mov #8,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7011
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7011:
jmp @r4
mov #0x1C,r2
! Opcode C4FB
W4FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7012:
addc r4,r0
cmp/pl r1
bt/s ln7012
shlr r1
sub r0,r7
sub r0,r7
mov #8,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl7013
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7013:
jmp @r4
mov #0x1C,r2
! Opcode C4FC
W4FC:
mov.w @r6+,r3
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7014:
addc r4,r0
cmp/pl r1
bt/s ln7014
shlr r1
sub r0,r7
sub r0,r7
mov #8,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7015
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7015:
jmp @r4
mov #0x1C,r2
! Opcodes C500 - C507
W500:
and r0,r2
mov r3,r4
mov #8,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd7016
add #6,r8
.nonibadd7016:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop7016
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop7016:
exts.b r3,r3
mov r9,r8
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7017
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7017:
jmp @r4
mov #0x1C,r2
! Opcodes C508 - C50F
W508:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(40,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd7018
add #6,r8
.nonibadd7018:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop7018
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop7018:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7019
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7019:
jmp @r4
mov #0x1C,r2
! Opcodes C510 - C517
W510:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7020
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7020:
jmp @r4
mov #0x1C,r2
! Opcodes C518 - C51F
W518:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7021
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7021:
jmp @r4
mov #0x1C,r2
! Opcodes C520 - C527
W520:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7022
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7022:
jmp @r4
mov #0x1C,r2
! Opcodes C528 - C52F
W528:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7023
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7023:
jmp @r4
mov #0x1C,r2
! Opcodes C530 - C537
W530:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7024
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7024:
jmp @r4
mov #0x1C,r2
! Opcode C538
W538:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7025
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7025:
jmp @r4
mov #0x1C,r2
! Opcode C539
W539:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7026
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7026:
jmp @r4
mov #0x1C,r2
! Opcodes C540 - C547
W540:
and r0,r2
mov r3,r4
add r13,r2
mov.l @r2,r1
mov.l @(8,r13),r3
mov.l r3,@r2
mov.l r1,@(8,r13)
mov r4,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl7027
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7027:
jmp @r4
mov #0x1C,r2
! Opcodes C548 - C54F
W548:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r1
mov.l @(40,r13),r3
mov.l r3,@r2
mov.l r1,@(40,r13)
mov r4,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl7028
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7028:
jmp @r4
mov #0x1C,r2
! Opcodes C550 - C557
W550:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7029
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7029:
jmp @r4
mov #0x1C,r2
! Opcodes C558 - C55F
W558:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7030
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7030:
jmp @r4
mov #0x1C,r2
! Opcodes C560 - C567
W560:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7031
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7031:
jmp @r4
mov #0x1C,r2
! Opcodes C568 - C56F
W568:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7032
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7032:
jmp @r4
mov #0x1C,r2
! Opcodes C570 - C577
W570:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7033
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7033:
jmp @r4
mov #0x1C,r2
! Opcode C578
W578:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7034
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7034:
jmp @r4
mov #0x1C,r2
! Opcode C579
W579:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7035
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7035:
jmp @r4
mov #0x1C,r2
! Opcodes C588 - C58F
W588:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r1
mov.l @(8,r13),r3
mov.l r3,@r2
mov.l r1,@(8,r13)
mov r4,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl7036
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7036:
jmp @r4
mov #0x1C,r2
! Opcodes C590 - C597
W590:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7037
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7037:
jmp @r4
mov #0x1C,r2
! Opcodes C598 - C59F
W598:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7038
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7038:
jmp @r4
mov #0x1C,r2
! Opcodes C5A0 - C5A7
W5A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl7039
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7039:
jmp @r4
mov #0x1C,r2
! Opcodes C5A8 - C5AF
W5A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl7040
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7040:
jmp @r4
mov #0x1C,r2
! Opcodes C5B0 - C5B7
W5B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl7041
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7041:
jmp @r4
mov #0x1C,r2
! Opcode C5B8
W5B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl7042
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7042:
jmp @r4
mov #0x1C,r2
! Opcode C5B9
W5B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl7043
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7043:
jmp @r4
mov #0x1C,r2
! Opcodes C5C0 - C5C7
W5C0:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7044:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7044
shlr r1
sub r0,r7
sub r0,r7
mov #8,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl7045
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7045:
jmp @r4
mov #0x1C,r2
! Opcodes C5D0 - C5D7
W5D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7046:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7046
shlr r1
sub r0,r7
sub r0,r7
mov #8,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7047
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7047:
jmp @r4
mov #0x1C,r2
! Opcodes C5D8 - C5DF
W5D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7048:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7048
shlr r1
sub r0,r7
sub r0,r7
mov #8,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7049
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7049:
jmp @r4
mov #0x1C,r2
! Opcodes C5E0 - C5E7
W5E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7050:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7050
shlr r1
sub r0,r7
sub r0,r7
mov #8,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl7051
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7051:
jmp @r4
mov #0x1C,r2
! Opcodes C5E8 - C5EF
W5E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7052:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7052
shlr r1
sub r0,r7
sub r0,r7
mov #8,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7053
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7053:
jmp @r4
mov #0x1C,r2
! Opcodes C5F0 - C5F7
W5F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7054:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7054
shlr r1
sub r0,r7
sub r0,r7
mov #8,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl7055
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7055:
jmp @r4
mov #0x1C,r2
! Opcode C5F8
W5F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7056:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7056
shlr r1
sub r0,r7
sub r0,r7
mov #8,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7057
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7057:
jmp @r4
mov #0x1C,r2
! Opcode C5F9
W5F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7058:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7058
shlr r1
sub r0,r7
sub r0,r7
mov #8,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl7059
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7059:
jmp @r4
mov #0x1C,r2
! Opcode C5FA
W5FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7060:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7060
shlr r1
sub r0,r7
sub r0,r7
mov #8,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7061
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7061:
jmp @r4
mov #0x1C,r2
! Opcode C5FB
W5FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7062:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7062
shlr r1
sub r0,r7
sub r0,r7
mov #8,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl7063
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7063:
jmp @r4
mov #0x1C,r2
! Opcode C5FC
W5FC:
mov.w @r6+,r3
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7064:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7064
shlr r1
sub r0,r7
sub r0,r7
mov #8,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7065
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7065:
jmp @r4
mov #0x1C,r2
! Opcodes C600 - C607
W600:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7066
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7066:
jmp @r4
mov #0x1C,r2
! Opcodes C610 - C617
W610:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7067
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7067:
jmp @r4
mov #0x1C,r2
! Opcodes C618 - C61F
W618:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7068
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7068:
jmp @r4
mov #0x1C,r2
! Opcodes C620 - C627
W620:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl7069
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7069:
jmp @r4
mov #0x1C,r2
! Opcodes C628 - C62F
W628:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7070
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7070:
jmp @r4
mov #0x1C,r2
! Opcodes C630 - C637
W630:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7071
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7071:
jmp @r4
mov #0x1C,r2
! Opcode C638
W638:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7072
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7072:
jmp @r4
mov #0x1C,r2
! Opcode C639
W639:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7073
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7073:
jmp @r4
mov #0x1C,r2
! Opcode C63A
W63A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7074
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7074:
jmp @r4
mov #0x1C,r2
! Opcode C63B
W63B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7075
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7075:
jmp @r4
mov #0x1C,r2
! Opcode C63C
W63C:
mov.b @r6,r3
add #2,r6
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7076
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7076:
jmp @r4
mov #0x1C,r2
! Opcodes C640 - C647
W640:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7077
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7077:
jmp @r4
mov #0x1C,r2
! Opcodes C650 - C657
W650:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7078
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7078:
jmp @r4
mov #0x1C,r2
! Opcodes C658 - C65F
W658:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7079
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7079:
jmp @r4
mov #0x1C,r2
! Opcodes C660 - C667
W660:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl7080
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7080:
jmp @r4
mov #0x1C,r2
! Opcodes C668 - C66F
W668:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7081
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7081:
jmp @r4
mov #0x1C,r2
! Opcodes C670 - C677
W670:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7082
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7082:
jmp @r4
mov #0x1C,r2
! Opcode C678
W678:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7083
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7083:
jmp @r4
mov #0x1C,r2
! Opcode C679
W679:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7084
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7084:
jmp @r4
mov #0x1C,r2
! Opcode C67A
W67A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7085
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7085:
jmp @r4
mov #0x1C,r2
! Opcode C67B
W67B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7086
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7086:
jmp @r4
mov #0x1C,r2
! Opcode C67C
W67C:
mov.w @r6+,r3
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7087
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7087:
jmp @r4
mov #0x1C,r2
! Opcodes C680 - C687
W680:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(12,r13),r1
and r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7088
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7088:
jmp @r4
mov #0x1C,r2
! Opcodes C690 - C697
W690:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
and r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7089
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7089:
jmp @r4
mov #0x1C,r2
! Opcodes C698 - C69F
W698:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(12,r13),r1
and r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7090
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7090:
jmp @r4
mov #0x1C,r2
! Opcodes C6A0 - C6A7
W6A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(12,r13),r1
and r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7091
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7091:
jmp @r4
mov #0x1C,r2
! Opcodes C6A8 - C6AF
W6A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
and r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7092
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7092:
jmp @r4
mov #0x1C,r2
! Opcodes C6B0 - C6B7
W6B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
and r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7093
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7093:
jmp @r4
mov #0x1C,r2
! Opcode C6B8
W6B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
and r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7094
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7094:
jmp @r4
mov #0x1C,r2
! Opcode C6B9
W6B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
and r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl7095
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7095:
jmp @r4
mov #0x1C,r2
! Opcode C6BA
W6BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
and r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7096
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7096:
jmp @r4
mov #0x1C,r2
! Opcode C6BB
W6BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
and r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7097
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7097:
jmp @r4
mov #0x1C,r2
! Opcode C6BC
W6BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(12,r13),r1
and r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7098
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7098:
jmp @r4
mov #0x1C,r2
! Opcodes C6C0 - C6C7
W6C0:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7099:
addc r4,r0
cmp/pl r1
bt/s ln7099
shlr r1
sub r0,r7
sub r0,r7
mov #12,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl7100
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7100:
jmp @r4
mov #0x1C,r2
! Opcodes C6D0 - C6D7
W6D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7101:
addc r4,r0
cmp/pl r1
bt/s ln7101
shlr r1
sub r0,r7
sub r0,r7
mov #12,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7102
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7102:
jmp @r4
mov #0x1C,r2
! Opcodes C6D8 - C6DF
W6D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7103:
addc r4,r0
cmp/pl r1
bt/s ln7103
shlr r1
sub r0,r7
sub r0,r7
mov #12,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7104
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7104:
jmp @r4
mov #0x1C,r2
! Opcodes C6E0 - C6E7
W6E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7105:
addc r4,r0
cmp/pl r1
bt/s ln7105
shlr r1
sub r0,r7
sub r0,r7
mov #12,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl7106
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7106:
jmp @r4
mov #0x1C,r2
! Opcodes C6E8 - C6EF
W6E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7107:
addc r4,r0
cmp/pl r1
bt/s ln7107
shlr r1
sub r0,r7
sub r0,r7
mov #12,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7108
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7108:
jmp @r4
mov #0x1C,r2
! Opcodes C6F0 - C6F7
W6F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7109:
addc r4,r0
cmp/pl r1
bt/s ln7109
shlr r1
sub r0,r7
sub r0,r7
mov #12,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl7110
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7110:
jmp @r4
mov #0x1C,r2
! Opcode C6F8
W6F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7111:
addc r4,r0
cmp/pl r1
bt/s ln7111
shlr r1
sub r0,r7
sub r0,r7
mov #12,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7112
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7112:
jmp @r4
mov #0x1C,r2
! Opcode C6F9
W6F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7113:
addc r4,r0
cmp/pl r1
bt/s ln7113
shlr r1
sub r0,r7
sub r0,r7
mov #12,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl7114
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7114:
jmp @r4
mov #0x1C,r2
! Opcode C6FA
W6FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7115:
addc r4,r0
cmp/pl r1
bt/s ln7115
shlr r1
sub r0,r7
sub r0,r7
mov #12,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7116
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7116:
jmp @r4
mov #0x1C,r2
! Opcode C6FB
W6FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7117:
addc r4,r0
cmp/pl r1
bt/s ln7117
shlr r1
sub r0,r7
sub r0,r7
mov #12,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl7118
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7118:
jmp @r4
mov #0x1C,r2
! Opcode C6FC
W6FC:
mov.w @r6+,r3
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7119:
addc r4,r0
cmp/pl r1
bt/s ln7119
shlr r1
sub r0,r7
sub r0,r7
mov #12,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7120
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7120:
jmp @r4
mov #0x1C,r2
! Opcodes C700 - C707
W700:
and r0,r2
mov r3,r4
mov #12,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd7121
add #6,r8
.nonibadd7121:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop7121
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop7121:
exts.b r3,r3
mov r9,r8
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7122
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7122:
jmp @r4
mov #0x1C,r2
! Opcodes C708 - C70F
W708:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(44,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd7123
add #6,r8
.nonibadd7123:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop7123
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop7123:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7124
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7124:
jmp @r4
mov #0x1C,r2
! Opcodes C710 - C717
W710:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7125
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7125:
jmp @r4
mov #0x1C,r2
! Opcodes C718 - C71F
W718:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7126
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7126:
jmp @r4
mov #0x1C,r2
! Opcodes C720 - C727
W720:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7127
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7127:
jmp @r4
mov #0x1C,r2
! Opcodes C728 - C72F
W728:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7128
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7128:
jmp @r4
mov #0x1C,r2
! Opcodes C730 - C737
W730:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7129
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7129:
jmp @r4
mov #0x1C,r2
! Opcode C738
W738:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7130
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7130:
jmp @r4
mov #0x1C,r2
! Opcode C739
W739:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7131
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7131:
jmp @r4
mov #0x1C,r2
! Opcodes C740 - C747
W740:
and r0,r2
mov r3,r4
add r13,r2
mov.l @r2,r1
mov.l @(12,r13),r3
mov.l r3,@r2
mov.l r1,@(12,r13)
mov r4,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl7132
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7132:
jmp @r4
mov #0x1C,r2
! Opcodes C748 - C74F
W748:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r1
mov.l @(44,r13),r3
mov.l r3,@r2
mov.l r1,@(44,r13)
mov r4,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl7133
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7133:
jmp @r4
mov #0x1C,r2
! Opcodes C750 - C757
W750:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7134
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7134:
jmp @r4
mov #0x1C,r2
! Opcodes C758 - C75F
W758:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7135
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7135:
jmp @r4
mov #0x1C,r2
! Opcodes C760 - C767
W760:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7136
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7136:
jmp @r4
mov #0x1C,r2
! Opcodes C768 - C76F
W768:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7137
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7137:
jmp @r4
mov #0x1C,r2
! Opcodes C770 - C777
W770:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7138
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7138:
jmp @r4
mov #0x1C,r2
! Opcode C778
W778:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7139
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7139:
jmp @r4
mov #0x1C,r2
! Opcode C779
W779:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7140
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7140:
jmp @r4
mov #0x1C,r2
! Opcodes C788 - C78F
W788:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r1
mov.l @(12,r13),r3
mov.l r3,@r2
mov.l r1,@(12,r13)
mov r4,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl7141
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7141:
jmp @r4
mov #0x1C,r2
! Opcodes C790 - C797
W790:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7142
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7142:
jmp @r4
mov #0x1C,r2
! Opcodes C798 - C79F
W798:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7143
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7143:
jmp @r4
mov #0x1C,r2
! Opcodes C7A0 - C7A7
W7A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl7144
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7144:
jmp @r4
mov #0x1C,r2
! Opcodes C7A8 - C7AF
W7A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl7145
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7145:
jmp @r4
mov #0x1C,r2
! Opcodes C7B0 - C7B7
W7B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl7146
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7146:
jmp @r4
mov #0x1C,r2
! Opcode C7B8
W7B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl7147
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7147:
jmp @r4
mov #0x1C,r2
! Opcode C7B9
W7B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl7148
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7148:
jmp @r4
mov #0x1C,r2
! Opcodes C7C0 - C7C7
W7C0:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7149:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7149
shlr r1
sub r0,r7
sub r0,r7
mov #12,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl7150
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7150:
jmp @r4
mov #0x1C,r2
! Opcodes C7D0 - C7D7
W7D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7151:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7151
shlr r1
sub r0,r7
sub r0,r7
mov #12,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7152
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7152:
jmp @r4
mov #0x1C,r2
! Opcodes C7D8 - C7DF
W7D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7153:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7153
shlr r1
sub r0,r7
sub r0,r7
mov #12,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7154
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7154:
jmp @r4
mov #0x1C,r2
! Opcodes C7E0 - C7E7
W7E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7155:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7155
shlr r1
sub r0,r7
sub r0,r7
mov #12,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl7156
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7156:
jmp @r4
mov #0x1C,r2
! Opcodes C7E8 - C7EF
W7E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7157:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7157
shlr r1
sub r0,r7
sub r0,r7
mov #12,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7158
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7158:
jmp @r4
mov #0x1C,r2
! Opcodes C7F0 - C7F7
W7F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7159:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7159
shlr r1
sub r0,r7
sub r0,r7
mov #12,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl7160
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7160:
jmp @r4
mov #0x1C,r2
! Opcode C7F8
W7F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7161:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7161
shlr r1
sub r0,r7
sub r0,r7
mov #12,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7162
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7162:
jmp @r4
mov #0x1C,r2
! Opcode C7F9
W7F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7163:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7163
shlr r1
sub r0,r7
sub r0,r7
mov #12,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl7164
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7164:
jmp @r4
mov #0x1C,r2
! Opcode C7FA
W7FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7165:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7165
shlr r1
sub r0,r7
sub r0,r7
mov #12,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7166
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7166:
jmp @r4
mov #0x1C,r2
! Opcode C7FB
W7FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7167:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7167
shlr r1
sub r0,r7
sub r0,r7
mov #12,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl7168
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7168:
jmp @r4
mov #0x1C,r2
! Opcode C7FC
W7FC:
mov.w @r6+,r3
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7169:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7169
shlr r1
sub r0,r7
sub r0,r7
mov #12,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7170
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7170:
jmp @r4
mov #0x1C,r2
! Opcodes C800 - C807
W800:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7171
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7171:
jmp @r4
mov #0x1C,r2
! Opcodes C810 - C817
W810:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7172
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7172:
jmp @r4
mov #0x1C,r2
! Opcodes C818 - C81F
W818:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7173
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7173:
jmp @r4
mov #0x1C,r2
! Opcodes C820 - C827
W820:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl7174
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7174:
jmp @r4
mov #0x1C,r2
! Opcodes C828 - C82F
W828:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7175
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7175:
jmp @r4
mov #0x1C,r2
! Opcodes C830 - C837
W830:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7176
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7176:
jmp @r4
mov #0x1C,r2
! Opcode C838
W838:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7177
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7177:
jmp @r4
mov #0x1C,r2
! Opcode C839
W839:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7178
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7178:
jmp @r4
mov #0x1C,r2
! Opcode C83A
W83A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7179
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7179:
jmp @r4
mov #0x1C,r2
! Opcode C83B
W83B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7180
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7180:
jmp @r4
mov #0x1C,r2
! Opcode C83C
W83C:
mov.b @r6,r3
add #2,r6
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7181
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7181:
jmp @r4
mov #0x1C,r2
! Opcodes C840 - C847
W840:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7182
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7182:
jmp @r4
mov #0x1C,r2
! Opcodes C850 - C857
W850:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7183
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7183:
jmp @r4
mov #0x1C,r2
! Opcodes C858 - C85F
W858:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7184
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7184:
jmp @r4
mov #0x1C,r2
! Opcodes C860 - C867
W860:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl7185
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7185:
jmp @r4
mov #0x1C,r2
! Opcodes C868 - C86F
W868:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7186
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7186:
jmp @r4
mov #0x1C,r2
! Opcodes C870 - C877
W870:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7187
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7187:
jmp @r4
mov #0x1C,r2
! Opcode C878
W878:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7188
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7188:
jmp @r4
mov #0x1C,r2
! Opcode C879
W879:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7189
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7189:
jmp @r4
mov #0x1C,r2
! Opcode C87A
W87A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7190
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7190:
jmp @r4
mov #0x1C,r2
! Opcode C87B
W87B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7191
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7191:
jmp @r4
mov #0x1C,r2
! Opcode C87C
W87C:
mov.w @r6+,r3
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7192
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7192:
jmp @r4
mov #0x1C,r2
! Opcodes C880 - C887
W880:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(16,r13),r1
and r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7193
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7193:
jmp @r4
mov #0x1C,r2
! Opcodes C890 - C897
W890:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
and r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7194
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7194:
jmp @r4
mov #0x1C,r2
! Opcodes C898 - C89F
W898:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(16,r13),r1
and r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7195
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7195:
jmp @r4
mov #0x1C,r2
! Opcodes C8A0 - C8A7
W8A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(16,r13),r1
and r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7196
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7196:
jmp @r4
mov #0x1C,r2
! Opcodes C8A8 - C8AF
W8A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
and r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7197
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7197:
jmp @r4
mov #0x1C,r2
! Opcodes C8B0 - C8B7
W8B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
and r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7198
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7198:
jmp @r4
mov #0x1C,r2
! Opcode C8B8
W8B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
and r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7199
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7199:
jmp @r4
mov #0x1C,r2
! Opcode C8B9
W8B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
and r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl7200
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7200:
jmp @r4
mov #0x1C,r2
! Opcode C8BA
W8BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
and r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7201
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7201:
jmp @r4
mov #0x1C,r2
! Opcode C8BB
W8BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
and r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7202
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7202:
jmp @r4
mov #0x1C,r2
! Opcode C8BC
W8BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(16,r13),r1
and r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7203
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7203:
jmp @r4
mov #0x1C,r2
! Opcodes C8C0 - C8C7
W8C0:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7204:
addc r4,r0
cmp/pl r1
bt/s ln7204
shlr r1
sub r0,r7
sub r0,r7
mov #16,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl7205
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7205:
jmp @r4
mov #0x1C,r2
! Opcodes C8D0 - C8D7
W8D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7206:
addc r4,r0
cmp/pl r1
bt/s ln7206
shlr r1
sub r0,r7
sub r0,r7
mov #16,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7207
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7207:
jmp @r4
mov #0x1C,r2
! Opcodes C8D8 - C8DF
W8D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7208:
addc r4,r0
cmp/pl r1
bt/s ln7208
shlr r1
sub r0,r7
sub r0,r7
mov #16,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7209
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7209:
jmp @r4
mov #0x1C,r2
! Opcodes C8E0 - C8E7
W8E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7210:
addc r4,r0
cmp/pl r1
bt/s ln7210
shlr r1
sub r0,r7
sub r0,r7
mov #16,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl7211
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7211:
jmp @r4
mov #0x1C,r2
! Opcodes C8E8 - C8EF
W8E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7212:
addc r4,r0
cmp/pl r1
bt/s ln7212
shlr r1
sub r0,r7
sub r0,r7
mov #16,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7213
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7213:
jmp @r4
mov #0x1C,r2
! Opcodes C8F0 - C8F7
W8F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7214:
addc r4,r0
cmp/pl r1
bt/s ln7214
shlr r1
sub r0,r7
sub r0,r7
mov #16,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl7215
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7215:
jmp @r4
mov #0x1C,r2
! Opcode C8F8
W8F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7216:
addc r4,r0
cmp/pl r1
bt/s ln7216
shlr r1
sub r0,r7
sub r0,r7
mov #16,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7217
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7217:
jmp @r4
mov #0x1C,r2
! Opcode C8F9
W8F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7218:
addc r4,r0
cmp/pl r1
bt/s ln7218
shlr r1
sub r0,r7
sub r0,r7
mov #16,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl7219
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7219:
jmp @r4
mov #0x1C,r2
! Opcode C8FA
W8FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7220:
addc r4,r0
cmp/pl r1
bt/s ln7220
shlr r1
sub r0,r7
sub r0,r7
mov #16,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7221
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7221:
jmp @r4
mov #0x1C,r2
! Opcode C8FB
W8FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7222:
addc r4,r0
cmp/pl r1
bt/s ln7222
shlr r1
sub r0,r7
sub r0,r7
mov #16,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl7223
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7223:
jmp @r4
mov #0x1C,r2
! Opcode C8FC
W8FC:
mov.w @r6+,r3
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7224:
addc r4,r0
cmp/pl r1
bt/s ln7224
shlr r1
sub r0,r7
sub r0,r7
mov #16,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7225
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7225:
jmp @r4
mov #0x1C,r2
! Opcodes C900 - C907
W900:
and r0,r2
mov r3,r4
mov #16,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd7226
add #6,r8
.nonibadd7226:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop7226
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop7226:
exts.b r3,r3
mov r9,r8
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7227
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7227:
jmp @r4
mov #0x1C,r2
! Opcodes C908 - C90F
W908:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(48,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd7228
add #6,r8
.nonibadd7228:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop7228
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop7228:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7229
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7229:
jmp @r4
mov #0x1C,r2
! Opcodes C910 - C917
W910:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7230
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7230:
jmp @r4
mov #0x1C,r2
! Opcodes C918 - C91F
W918:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7231
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7231:
jmp @r4
mov #0x1C,r2
! Opcodes C920 - C927
W920:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7232
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7232:
jmp @r4
mov #0x1C,r2
! Opcodes C928 - C92F
W928:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7233
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7233:
jmp @r4
mov #0x1C,r2
! Opcodes C930 - C937
W930:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7234
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7234:
jmp @r4
mov #0x1C,r2
! Opcode C938
W938:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7235
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7235:
jmp @r4
mov #0x1C,r2
! Opcode C939
W939:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7236
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7236:
jmp @r4
mov #0x1C,r2
! Opcodes C940 - C947
W940:
and r0,r2
mov r3,r4
add r13,r2
mov.l @r2,r1
mov.l @(16,r13),r3
mov.l r3,@r2
mov.l r1,@(16,r13)
mov r4,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl7237
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7237:
jmp @r4
mov #0x1C,r2
! Opcodes C948 - C94F
W948:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r1
mov.l @(48,r13),r3
mov.l r3,@r2
mov.l r1,@(48,r13)
mov r4,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl7238
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7238:
jmp @r4
mov #0x1C,r2
! Opcodes C950 - C957
W950:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7239
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7239:
jmp @r4
mov #0x1C,r2
! Opcodes C958 - C95F
W958:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7240
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7240:
jmp @r4
mov #0x1C,r2
! Opcodes C960 - C967
W960:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7241
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7241:
jmp @r4
mov #0x1C,r2
! Opcodes C968 - C96F
W968:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7242
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7242:
jmp @r4
mov #0x1C,r2
! Opcodes C970 - C977
W970:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7243
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7243:
jmp @r4
mov #0x1C,r2
! Opcode C978
W978:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7244
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7244:
jmp @r4
mov #0x1C,r2
! Opcode C979
W979:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7245
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7245:
jmp @r4
mov #0x1C,r2
! Opcodes C988 - C98F
W988:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r1
mov.l @(16,r13),r3
mov.l r3,@r2
mov.l r1,@(16,r13)
mov r4,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl7246
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7246:
jmp @r4
mov #0x1C,r2
! Opcodes C990 - C997
W990:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7247
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7247:
jmp @r4
mov #0x1C,r2
! Opcodes C998 - C99F
W998:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7248
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7248:
jmp @r4
mov #0x1C,r2
! Opcodes C9A0 - C9A7
W9A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl7249
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7249:
jmp @r4
mov #0x1C,r2
! Opcodes C9A8 - C9AF
W9A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl7250
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7250:
jmp @r4
mov #0x1C,r2
! Opcodes C9B0 - C9B7
W9B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl7251
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7251:
jmp @r4
mov #0x1C,r2
! Opcode C9B8
W9B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl7252
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7252:
jmp @r4
mov #0x1C,r2
! Opcode C9B9
W9B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl7253
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7253:
jmp @r4
mov #0x1C,r2
! Opcodes C9C0 - C9C7
W9C0:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7254:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7254
shlr r1
sub r0,r7
sub r0,r7
mov #16,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl7255
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7255:
jmp @r4
mov #0x1C,r2
! Opcodes C9D0 - C9D7
W9D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7256:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7256
shlr r1
sub r0,r7
sub r0,r7
mov #16,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7257
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7257:
jmp @r4
mov #0x1C,r2
! Opcodes C9D8 - C9DF
W9D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7258:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7258
shlr r1
sub r0,r7
sub r0,r7
mov #16,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7259
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7259:
jmp @r4
mov #0x1C,r2
! Opcodes C9E0 - C9E7
W9E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7260:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7260
shlr r1
sub r0,r7
sub r0,r7
mov #16,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl7261
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7261:
jmp @r4
mov #0x1C,r2
! Opcodes C9E8 - C9EF
W9E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7262:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7262
shlr r1
sub r0,r7
sub r0,r7
mov #16,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7263
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7263:
jmp @r4
mov #0x1C,r2
! Opcodes C9F0 - C9F7
W9F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7264:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7264
shlr r1
sub r0,r7
sub r0,r7
mov #16,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl7265
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7265:
jmp @r4
mov #0x1C,r2
! Opcode C9F8
W9F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7266:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7266
shlr r1
sub r0,r7
sub r0,r7
mov #16,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7267
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7267:
jmp @r4
mov #0x1C,r2
! Opcode C9F9
W9F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7268:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7268
shlr r1
sub r0,r7
sub r0,r7
mov #16,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl7269
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7269:
jmp @r4
mov #0x1C,r2
! Opcode C9FA
W9FA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7270:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7270
shlr r1
sub r0,r7
sub r0,r7
mov #16,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7271
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7271:
jmp @r4
mov #0x1C,r2
! Opcode C9FB
W9FB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7272:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7272
shlr r1
sub r0,r7
sub r0,r7
mov #16,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl7273
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7273:
jmp @r4
mov #0x1C,r2
! Opcode C9FC
W9FC:
mov.w @r6+,r3
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7274:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7274
shlr r1
sub r0,r7
sub r0,r7
mov #16,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7275
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7275:
jmp @r4
mov #0x1C,r2
! Opcodes CA00 - CA07
WA00:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7276
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7276:
jmp @r4
mov #0x1C,r2
! Opcodes CA10 - CA17
WA10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7277
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7277:
jmp @r4
mov #0x1C,r2
! Opcodes CA18 - CA1F
WA18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7278
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7278:
jmp @r4
mov #0x1C,r2
! Opcodes CA20 - CA27
WA20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl7279
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7279:
jmp @r4
mov #0x1C,r2
! Opcodes CA28 - CA2F
WA28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7280
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7280:
jmp @r4
mov #0x1C,r2
! Opcodes CA30 - CA37
WA30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7281
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7281:
jmp @r4
mov #0x1C,r2
! Opcode CA38
WA38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7282
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7282:
jmp @r4
mov #0x1C,r2
! Opcode CA39
WA39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7283
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7283:
jmp @r4
mov #0x1C,r2
! Opcode CA3A
WA3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7284
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7284:
jmp @r4
mov #0x1C,r2
! Opcode CA3B
WA3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7285
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7285:
jmp @r4
mov #0x1C,r2
! Opcode CA3C
WA3C:
mov.b @r6,r3
add #2,r6
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7286
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7286:
jmp @r4
mov #0x1C,r2
! Opcodes CA40 - CA47
WA40:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7287
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7287:
jmp @r4
mov #0x1C,r2
! Opcodes CA50 - CA57
WA50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7288
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7288:
jmp @r4
mov #0x1C,r2
! Opcodes CA58 - CA5F
WA58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7289
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7289:
jmp @r4
mov #0x1C,r2
! Opcodes CA60 - CA67
WA60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl7290
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7290:
jmp @r4
mov #0x1C,r2
! Opcodes CA68 - CA6F
WA68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7291
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7291:
jmp @r4
mov #0x1C,r2
! Opcodes CA70 - CA77
WA70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7292
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7292:
jmp @r4
mov #0x1C,r2
! Opcode CA78
WA78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7293
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7293:
jmp @r4
mov #0x1C,r2
! Opcode CA79
WA79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7294
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7294:
jmp @r4
mov #0x1C,r2
! Opcode CA7A
WA7A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7295
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7295:
jmp @r4
mov #0x1C,r2
! Opcode CA7B
WA7B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7296
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7296:
jmp @r4
mov #0x1C,r2
! Opcode CA7C
WA7C:
mov.w @r6+,r3
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7297
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7297:
jmp @r4
mov #0x1C,r2
! Opcodes CA80 - CA87
WA80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(20,r13),r1
and r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7298
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7298:
jmp @r4
mov #0x1C,r2
! Opcodes CA90 - CA97
WA90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
and r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7299
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7299:
jmp @r4
mov #0x1C,r2
! Opcodes CA98 - CA9F
WA98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(20,r13),r1
and r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7300
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7300:
jmp @r4
mov #0x1C,r2
! Opcodes CAA0 - CAA7
WAA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(20,r13),r1
and r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7301
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7301:
jmp @r4
mov #0x1C,r2
! Opcodes CAA8 - CAAF
WAA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
and r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7302
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7302:
jmp @r4
mov #0x1C,r2
! Opcodes CAB0 - CAB7
WAB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
and r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7303
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7303:
jmp @r4
mov #0x1C,r2
! Opcode CAB8
WAB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
and r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7304
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7304:
jmp @r4
mov #0x1C,r2
! Opcode CAB9
WAB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
and r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl7305
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7305:
jmp @r4
mov #0x1C,r2
! Opcode CABA
WABA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
and r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7306
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7306:
jmp @r4
mov #0x1C,r2
! Opcode CABB
WABB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
and r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7307
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7307:
jmp @r4
mov #0x1C,r2
! Opcode CABC
WABC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(20,r13),r1
and r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7308
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7308:
jmp @r4
mov #0x1C,r2
! Opcodes CAC0 - CAC7
WAC0:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7309:
addc r4,r0
cmp/pl r1
bt/s ln7309
shlr r1
sub r0,r7
sub r0,r7
mov #20,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl7310
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7310:
jmp @r4
mov #0x1C,r2
! Opcodes CAD0 - CAD7
WAD0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7311:
addc r4,r0
cmp/pl r1
bt/s ln7311
shlr r1
sub r0,r7
sub r0,r7
mov #20,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7312
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7312:
jmp @r4
mov #0x1C,r2
! Opcodes CAD8 - CADF
WAD8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7313:
addc r4,r0
cmp/pl r1
bt/s ln7313
shlr r1
sub r0,r7
sub r0,r7
mov #20,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7314
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7314:
jmp @r4
mov #0x1C,r2
! Opcodes CAE0 - CAE7
WAE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7315:
addc r4,r0
cmp/pl r1
bt/s ln7315
shlr r1
sub r0,r7
sub r0,r7
mov #20,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl7316
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7316:
jmp @r4
mov #0x1C,r2
! Opcodes CAE8 - CAEF
WAE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7317:
addc r4,r0
cmp/pl r1
bt/s ln7317
shlr r1
sub r0,r7
sub r0,r7
mov #20,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7318
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7318:
jmp @r4
mov #0x1C,r2
! Opcodes CAF0 - CAF7
WAF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7319:
addc r4,r0
cmp/pl r1
bt/s ln7319
shlr r1
sub r0,r7
sub r0,r7
mov #20,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl7320
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7320:
jmp @r4
mov #0x1C,r2
! Opcode CAF8
WAF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7321:
addc r4,r0
cmp/pl r1
bt/s ln7321
shlr r1
sub r0,r7
sub r0,r7
mov #20,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7322
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7322:
jmp @r4
mov #0x1C,r2
! Opcode CAF9
WAF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7323:
addc r4,r0
cmp/pl r1
bt/s ln7323
shlr r1
sub r0,r7
sub r0,r7
mov #20,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl7324
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7324:
jmp @r4
mov #0x1C,r2
! Opcode CAFA
WAFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7325:
addc r4,r0
cmp/pl r1
bt/s ln7325
shlr r1
sub r0,r7
sub r0,r7
mov #20,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7326
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7326:
jmp @r4
mov #0x1C,r2
! Opcode CAFB
WAFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7327:
addc r4,r0
cmp/pl r1
bt/s ln7327
shlr r1
sub r0,r7
sub r0,r7
mov #20,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl7328
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7328:
jmp @r4
mov #0x1C,r2
! Opcode CAFC
WAFC:
mov.w @r6+,r3
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7329:
addc r4,r0
cmp/pl r1
bt/s ln7329
shlr r1
sub r0,r7
sub r0,r7
mov #20,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7330
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7330:
jmp @r4
mov #0x1C,r2
! Opcodes CB00 - CB07
WB00:
and r0,r2
mov r3,r4
mov #20,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd7331
add #6,r8
.nonibadd7331:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop7331
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop7331:
exts.b r3,r3
mov r9,r8
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7332
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7332:
jmp @r4
mov #0x1C,r2
! Opcodes CB08 - CB0F
WB08:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(52,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd7333
add #6,r8
.nonibadd7333:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop7333
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop7333:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7334
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7334:
jmp @r4
mov #0x1C,r2
! Opcodes CB10 - CB17
WB10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7335
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7335:
jmp @r4
mov #0x1C,r2
! Opcodes CB18 - CB1F
WB18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7336
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7336:
jmp @r4
mov #0x1C,r2
! Opcodes CB20 - CB27
WB20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7337
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7337:
jmp @r4
mov #0x1C,r2
! Opcodes CB28 - CB2F
WB28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7338
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7338:
jmp @r4
mov #0x1C,r2
! Opcodes CB30 - CB37
WB30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7339
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7339:
jmp @r4
mov #0x1C,r2
! Opcode CB38
WB38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7340
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7340:
jmp @r4
mov #0x1C,r2
! Opcode CB39
WB39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7341
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7341:
jmp @r4
mov #0x1C,r2
! Opcodes CB40 - CB47
WB40:
and r0,r2
mov r3,r4
add r13,r2
mov.l @r2,r1
mov.l @(20,r13),r3
mov.l r3,@r2
mov.l r1,@(20,r13)
mov r4,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl7342
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7342:
jmp @r4
mov #0x1C,r2
! Opcodes CB48 - CB4F
WB48:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r1
mov.l @(52,r13),r3
mov.l r3,@r2
mov.l r1,@(52,r13)
mov r4,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl7343
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7343:
jmp @r4
mov #0x1C,r2
! Opcodes CB50 - CB57
WB50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7344
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7344:
jmp @r4
mov #0x1C,r2
! Opcodes CB58 - CB5F
WB58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7345
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7345:
jmp @r4
mov #0x1C,r2
! Opcodes CB60 - CB67
WB60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7346
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7346:
jmp @r4
mov #0x1C,r2
! Opcodes CB68 - CB6F
WB68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7347
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7347:
jmp @r4
mov #0x1C,r2
! Opcodes CB70 - CB77
WB70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7348
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7348:
jmp @r4
mov #0x1C,r2
! Opcode CB78
WB78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7349
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7349:
jmp @r4
mov #0x1C,r2
! Opcode CB79
WB79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7350
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7350:
jmp @r4
mov #0x1C,r2
! Opcodes CB88 - CB8F
WB88:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r1
mov.l @(20,r13),r3
mov.l r3,@r2
mov.l r1,@(20,r13)
mov r4,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl7351
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7351:
jmp @r4
mov #0x1C,r2
! Opcodes CB90 - CB97
WB90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7352
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7352:
jmp @r4
mov #0x1C,r2
! Opcodes CB98 - CB9F
WB98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7353
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7353:
jmp @r4
mov #0x1C,r2
! Opcodes CBA0 - CBA7
WBA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl7354
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7354:
jmp @r4
mov #0x1C,r2
! Opcodes CBA8 - CBAF
WBA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl7355
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7355:
jmp @r4
mov #0x1C,r2
! Opcodes CBB0 - CBB7
WBB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl7356
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7356:
jmp @r4
mov #0x1C,r2
! Opcode CBB8
WBB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl7357
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7357:
jmp @r4
mov #0x1C,r2
! Opcode CBB9
WBB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl7358
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7358:
jmp @r4
mov #0x1C,r2
! Opcodes CBC0 - CBC7
WBC0:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7359:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7359
shlr r1
sub r0,r7
sub r0,r7
mov #20,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl7360
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7360:
jmp @r4
mov #0x1C,r2
! Opcodes CBD0 - CBD7
WBD0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7361:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7361
shlr r1
sub r0,r7
sub r0,r7
mov #20,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7362
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7362:
jmp @r4
mov #0x1C,r2
! Opcodes CBD8 - CBDF
WBD8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7363:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7363
shlr r1
sub r0,r7
sub r0,r7
mov #20,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7364
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7364:
jmp @r4
mov #0x1C,r2
! Opcodes CBE0 - CBE7
WBE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7365:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7365
shlr r1
sub r0,r7
sub r0,r7
mov #20,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl7366
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7366:
jmp @r4
mov #0x1C,r2
! Opcodes CBE8 - CBEF
WBE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7367:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7367
shlr r1
sub r0,r7
sub r0,r7
mov #20,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7368
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7368:
jmp @r4
mov #0x1C,r2
! Opcodes CBF0 - CBF7
WBF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7369:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7369
shlr r1
sub r0,r7
sub r0,r7
mov #20,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl7370
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7370:
jmp @r4
mov #0x1C,r2
! Opcode CBF8
WBF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7371:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7371
shlr r1
sub r0,r7
sub r0,r7
mov #20,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7372
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7372:
jmp @r4
mov #0x1C,r2
! Opcode CBF9
WBF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7373:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7373
shlr r1
sub r0,r7
sub r0,r7
mov #20,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl7374
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7374:
jmp @r4
mov #0x1C,r2
! Opcode CBFA
WBFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7375:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7375
shlr r1
sub r0,r7
sub r0,r7
mov #20,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7376
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7376:
jmp @r4
mov #0x1C,r2
! Opcode CBFB
WBFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7377:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7377
shlr r1
sub r0,r7
sub r0,r7
mov #20,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl7378
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7378:
jmp @r4
mov #0x1C,r2
! Opcode CBFC
WBFC:
mov.w @r6+,r3
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7379:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7379
shlr r1
sub r0,r7
sub r0,r7
mov #20,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7380
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7380:
jmp @r4
mov #0x1C,r2
! Opcodes CC00 - CC07
WC00:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7381
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7381:
jmp @r4
mov #0x1C,r2
! Opcodes CC10 - CC17
WC10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7382
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7382:
jmp @r4
mov #0x1C,r2
! Opcodes CC18 - CC1F
WC18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7383
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7383:
jmp @r4
mov #0x1C,r2
! Opcodes CC20 - CC27
WC20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl7384
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7384:
jmp @r4
mov #0x1C,r2
! Opcodes CC28 - CC2F
WC28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7385
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7385:
jmp @r4
mov #0x1C,r2
! Opcodes CC30 - CC37
WC30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7386
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7386:
jmp @r4
mov #0x1C,r2
! Opcode CC38
WC38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7387
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7387:
jmp @r4
mov #0x1C,r2
! Opcode CC39
WC39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7388
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7388:
jmp @r4
mov #0x1C,r2
! Opcode CC3A
WC3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7389
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7389:
jmp @r4
mov #0x1C,r2
! Opcode CC3B
WC3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7390
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7390:
jmp @r4
mov #0x1C,r2
! Opcode CC3C
WC3C:
mov.b @r6,r3
add #2,r6
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7391
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7391:
jmp @r4
mov #0x1C,r2
! Opcodes CC40 - CC47
WC40:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7392
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7392:
jmp @r4
mov #0x1C,r2
! Opcodes CC50 - CC57
WC50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7393
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7393:
jmp @r4
mov #0x1C,r2
! Opcodes CC58 - CC5F
WC58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7394
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7394:
jmp @r4
mov #0x1C,r2
! Opcodes CC60 - CC67
WC60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl7395
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7395:
jmp @r4
mov #0x1C,r2
! Opcodes CC68 - CC6F
WC68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7396
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7396:
jmp @r4
mov #0x1C,r2
! Opcodes CC70 - CC77
WC70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7397
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7397:
jmp @r4
mov #0x1C,r2
! Opcode CC78
WC78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7398
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7398:
jmp @r4
mov #0x1C,r2
! Opcode CC79
WC79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7399
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7399:
jmp @r4
mov #0x1C,r2
! Opcode CC7A
WC7A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7400
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7400:
jmp @r4
mov #0x1C,r2
! Opcode CC7B
WC7B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7401
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7401:
jmp @r4
mov #0x1C,r2
! Opcode CC7C
WC7C:
mov.w @r6+,r3
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7402
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7402:
jmp @r4
mov #0x1C,r2
! Opcodes CC80 - CC87
WC80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(24,r13),r1
and r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7403
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7403:
jmp @r4
mov #0x1C,r2
! Opcodes CC90 - CC97
WC90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
and r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7404
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7404:
jmp @r4
mov #0x1C,r2
! Opcodes CC98 - CC9F
WC98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(24,r13),r1
and r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7405
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7405:
jmp @r4
mov #0x1C,r2
! Opcodes CCA0 - CCA7
WCA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(24,r13),r1
and r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7406
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7406:
jmp @r4
mov #0x1C,r2
! Opcodes CCA8 - CCAF
WCA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
and r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7407
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7407:
jmp @r4
mov #0x1C,r2
! Opcodes CCB0 - CCB7
WCB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
and r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7408
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7408:
jmp @r4
mov #0x1C,r2
! Opcode CCB8
WCB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
and r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7409
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7409:
jmp @r4
mov #0x1C,r2
! Opcode CCB9
WCB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
and r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl7410
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7410:
jmp @r4
mov #0x1C,r2
! Opcode CCBA
WCBA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
and r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7411
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7411:
jmp @r4
mov #0x1C,r2
! Opcode CCBB
WCBB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
and r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7412
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7412:
jmp @r4
mov #0x1C,r2
! Opcode CCBC
WCBC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(24,r13),r1
and r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7413
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7413:
jmp @r4
mov #0x1C,r2
! Opcodes CCC0 - CCC7
WCC0:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7414:
addc r4,r0
cmp/pl r1
bt/s ln7414
shlr r1
sub r0,r7
sub r0,r7
mov #24,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl7415
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7415:
jmp @r4
mov #0x1C,r2
! Opcodes CCD0 - CCD7
WCD0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7416:
addc r4,r0
cmp/pl r1
bt/s ln7416
shlr r1
sub r0,r7
sub r0,r7
mov #24,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7417
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7417:
jmp @r4
mov #0x1C,r2
! Opcodes CCD8 - CCDF
WCD8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7418:
addc r4,r0
cmp/pl r1
bt/s ln7418
shlr r1
sub r0,r7
sub r0,r7
mov #24,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7419
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7419:
jmp @r4
mov #0x1C,r2
! Opcodes CCE0 - CCE7
WCE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7420:
addc r4,r0
cmp/pl r1
bt/s ln7420
shlr r1
sub r0,r7
sub r0,r7
mov #24,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl7421
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7421:
jmp @r4
mov #0x1C,r2
! Opcodes CCE8 - CCEF
WCE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7422:
addc r4,r0
cmp/pl r1
bt/s ln7422
shlr r1
sub r0,r7
sub r0,r7
mov #24,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7423
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7423:
jmp @r4
mov #0x1C,r2
! Opcodes CCF0 - CCF7
WCF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7424:
addc r4,r0
cmp/pl r1
bt/s ln7424
shlr r1
sub r0,r7
sub r0,r7
mov #24,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl7425
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7425:
jmp @r4
mov #0x1C,r2
! Opcode CCF8
WCF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7426:
addc r4,r0
cmp/pl r1
bt/s ln7426
shlr r1
sub r0,r7
sub r0,r7
mov #24,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7427
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7427:
jmp @r4
mov #0x1C,r2
! Opcode CCF9
WCF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7428:
addc r4,r0
cmp/pl r1
bt/s ln7428
shlr r1
sub r0,r7
sub r0,r7
mov #24,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl7429
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7429:
jmp @r4
mov #0x1C,r2
! Opcode CCFA
WCFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7430:
addc r4,r0
cmp/pl r1
bt/s ln7430
shlr r1
sub r0,r7
sub r0,r7
mov #24,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7431
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7431:
jmp @r4
mov #0x1C,r2
! Opcode CCFB
WCFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7432:
addc r4,r0
cmp/pl r1
bt/s ln7432
shlr r1
sub r0,r7
sub r0,r7
mov #24,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl7433
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7433:
jmp @r4
mov #0x1C,r2
! Opcode CCFC
WCFC:
mov.w @r6+,r3
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7434:
addc r4,r0
cmp/pl r1
bt/s ln7434
shlr r1
sub r0,r7
sub r0,r7
mov #24,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7435
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7435:
jmp @r4
mov #0x1C,r2
! Opcodes CD00 - CD07
WD00:
and r0,r2
mov r3,r4
mov #24,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd7436
add #6,r8
.nonibadd7436:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop7436
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop7436:
exts.b r3,r3
mov r9,r8
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7437
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7437:
jmp @r4
mov #0x1C,r2
! Opcodes CD08 - CD0F
WD08:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(56,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd7438
add #6,r8
.nonibadd7438:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop7438
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop7438:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7439
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7439:
jmp @r4
mov #0x1C,r2
! Opcodes CD10 - CD17
WD10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7440
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7440:
jmp @r4
mov #0x1C,r2
! Opcodes CD18 - CD1F
WD18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7441
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7441:
jmp @r4
mov #0x1C,r2
! Opcodes CD20 - CD27
WD20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7442
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7442:
jmp @r4
mov #0x1C,r2
! Opcodes CD28 - CD2F
WD28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7443
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7443:
jmp @r4
mov #0x1C,r2
! Opcodes CD30 - CD37
WD30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7444
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7444:
jmp @r4
mov #0x1C,r2
! Opcode CD38
WD38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7445
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7445:
jmp @r4
mov #0x1C,r2
! Opcode CD39
WD39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7446
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7446:
jmp @r4
mov #0x1C,r2
! Opcodes CD40 - CD47
WD40:
and r0,r2
mov r3,r4
add r13,r2
mov.l @r2,r1
mov.l @(24,r13),r3
mov.l r3,@r2
mov.l r1,@(24,r13)
mov r4,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl7447
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7447:
jmp @r4
mov #0x1C,r2
! Opcodes CD48 - CD4F
WD48:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r1
mov.l @(56,r13),r3
mov.l r3,@r2
mov.l r1,@(56,r13)
mov r4,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl7448
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7448:
jmp @r4
mov #0x1C,r2
! Opcodes CD50 - CD57
WD50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7449
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7449:
jmp @r4
mov #0x1C,r2
! Opcodes CD58 - CD5F
WD58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7450
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7450:
jmp @r4
mov #0x1C,r2
! Opcodes CD60 - CD67
WD60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7451
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7451:
jmp @r4
mov #0x1C,r2
! Opcodes CD68 - CD6F
WD68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7452
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7452:
jmp @r4
mov #0x1C,r2
! Opcodes CD70 - CD77
WD70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7453
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7453:
jmp @r4
mov #0x1C,r2
! Opcode CD78
WD78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7454
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7454:
jmp @r4
mov #0x1C,r2
! Opcode CD79
WD79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7455
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7455:
jmp @r4
mov #0x1C,r2
! Opcodes CD88 - CD8F
WD88:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r1
mov.l @(24,r13),r3
mov.l r3,@r2
mov.l r1,@(24,r13)
mov r4,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl7456
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7456:
jmp @r4
mov #0x1C,r2
! Opcodes CD90 - CD97
WD90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7457
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7457:
jmp @r4
mov #0x1C,r2
! Opcodes CD98 - CD9F
WD98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7458
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7458:
jmp @r4
mov #0x1C,r2
! Opcodes CDA0 - CDA7
WDA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl7459
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7459:
jmp @r4
mov #0x1C,r2
! Opcodes CDA8 - CDAF
WDA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl7460
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7460:
jmp @r4
mov #0x1C,r2
! Opcodes CDB0 - CDB7
WDB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl7461
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7461:
jmp @r4
mov #0x1C,r2
! Opcode CDB8
WDB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl7462
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7462:
jmp @r4
mov #0x1C,r2
! Opcode CDB9
WDB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl7463
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7463:
jmp @r4
mov #0x1C,r2
! Opcodes CDC0 - CDC7
WDC0:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7464:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7464
shlr r1
sub r0,r7
sub r0,r7
mov #24,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl7465
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7465:
jmp @r4
mov #0x1C,r2
! Opcodes CDD0 - CDD7
WDD0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7466:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7466
shlr r1
sub r0,r7
sub r0,r7
mov #24,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7467
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7467:
jmp @r4
mov #0x1C,r2
! Opcodes CDD8 - CDDF
WDD8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7468:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7468
shlr r1
sub r0,r7
sub r0,r7
mov #24,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7469
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7469:
jmp @r4
mov #0x1C,r2
! Opcodes CDE0 - CDE7
WDE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7470:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7470
shlr r1
sub r0,r7
sub r0,r7
mov #24,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl7471
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7471:
jmp @r4
mov #0x1C,r2
! Opcodes CDE8 - CDEF
WDE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7472:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7472
shlr r1
sub r0,r7
sub r0,r7
mov #24,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7473
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7473:
jmp @r4
mov #0x1C,r2
! Opcodes CDF0 - CDF7
WDF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7474:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7474
shlr r1
sub r0,r7
sub r0,r7
mov #24,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl7475
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7475:
jmp @r4
mov #0x1C,r2
! Opcode CDF8
WDF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7476:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7476
shlr r1
sub r0,r7
sub r0,r7
mov #24,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7477
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7477:
jmp @r4
mov #0x1C,r2
! Opcode CDF9
WDF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7478:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7478
shlr r1
sub r0,r7
sub r0,r7
mov #24,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl7479
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7479:
jmp @r4
mov #0x1C,r2
! Opcode CDFA
WDFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7480:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7480
shlr r1
sub r0,r7
sub r0,r7
mov #24,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7481
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7481:
jmp @r4
mov #0x1C,r2
! Opcode CDFB
WDFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7482:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7482
shlr r1
sub r0,r7
sub r0,r7
mov #24,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl7483
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7483:
jmp @r4
mov #0x1C,r2
! Opcode CDFC
WDFC:
mov.w @r6+,r3
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7484:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7484
shlr r1
sub r0,r7
sub r0,r7
mov #24,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7485
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7485:
jmp @r4
mov #0x1C,r2
! Opcodes CE00 - CE07
WE00:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7486
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7486:
jmp @r4
mov #0x1C,r2
! Opcodes CE10 - CE17
WE10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7487
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7487:
jmp @r4
mov #0x1C,r2
! Opcodes CE18 - CE1F
WE18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7488
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7488:
jmp @r4
mov #0x1C,r2
! Opcodes CE20 - CE27
WE20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl7489
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7489:
jmp @r4
mov #0x1C,r2
! Opcodes CE28 - CE2F
WE28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7490
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7490:
jmp @r4
mov #0x1C,r2
! Opcodes CE30 - CE37
WE30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7491
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7491:
jmp @r4
mov #0x1C,r2
! Opcode CE38
WE38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7492
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7492:
jmp @r4
mov #0x1C,r2
! Opcode CE39
WE39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7493
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7493:
jmp @r4
mov #0x1C,r2
! Opcode CE3A
WE3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7494
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7494:
jmp @r4
mov #0x1C,r2
! Opcode CE3B
WE3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7495
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7495:
jmp @r4
mov #0x1C,r2
! Opcode CE3C
WE3C:
mov.b @r6,r3
add #2,r6
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7496
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7496:
jmp @r4
mov #0x1C,r2
! Opcodes CE40 - CE47
WE40:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7497
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7497:
jmp @r4
mov #0x1C,r2
! Opcodes CE50 - CE57
WE50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7498
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7498:
jmp @r4
mov #0x1C,r2
! Opcodes CE58 - CE5F
WE58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7499
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7499:
jmp @r4
mov #0x1C,r2
! Opcodes CE60 - CE67
WE60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl7500
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7500:
jmp @r4
mov #0x1C,r2
! Opcodes CE68 - CE6F
WE68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7501
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7501:
jmp @r4
mov #0x1C,r2
! Opcodes CE70 - CE77
WE70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7502
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7502:
jmp @r4
mov #0x1C,r2
! Opcode CE78
WE78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7503
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7503:
jmp @r4
mov #0x1C,r2
! Opcode CE79
WE79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7504
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7504:
jmp @r4
mov #0x1C,r2
! Opcode CE7A
WE7A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7505
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7505:
jmp @r4
mov #0x1C,r2
! Opcode CE7B
WE7B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7506
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7506:
jmp @r4
mov #0x1C,r2
! Opcode CE7C
WE7C:
mov.w @r6+,r3
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7507
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7507:
jmp @r4
mov #0x1C,r2
! Opcodes CE80 - CE87
WE80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(28,r13),r1
and r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7508
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7508:
jmp @r4
mov #0x1C,r2
! Opcodes CE90 - CE97
WE90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
and r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7509
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7509:
jmp @r4
mov #0x1C,r2
! Opcodes CE98 - CE9F
WE98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(28,r13),r1
and r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7510
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7510:
jmp @r4
mov #0x1C,r2
! Opcodes CEA0 - CEA7
WEA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(28,r13),r1
and r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7511
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7511:
jmp @r4
mov #0x1C,r2
! Opcodes CEA8 - CEAF
WEA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
and r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7512
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7512:
jmp @r4
mov #0x1C,r2
! Opcodes CEB0 - CEB7
WEB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
and r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7513
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7513:
jmp @r4
mov #0x1C,r2
! Opcode CEB8
WEB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
and r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7514
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7514:
jmp @r4
mov #0x1C,r2
! Opcode CEB9
WEB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
and r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl7515
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7515:
jmp @r4
mov #0x1C,r2
! Opcode CEBA
WEBA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
and r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7516
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7516:
jmp @r4
mov #0x1C,r2
! Opcode CEBB
WEBB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
and r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7517
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7517:
jmp @r4
mov #0x1C,r2
! Opcode CEBC
WEBC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(28,r13),r1
and r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7518
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7518:
jmp @r4
mov #0x1C,r2
! Opcodes CEC0 - CEC7
WEC0:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7519:
addc r4,r0
cmp/pl r1
bt/s ln7519
shlr r1
sub r0,r7
sub r0,r7
mov #28,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl7520
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7520:
jmp @r4
mov #0x1C,r2
! Opcodes CED0 - CED7
WED0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7521:
addc r4,r0
cmp/pl r1
bt/s ln7521
shlr r1
sub r0,r7
sub r0,r7
mov #28,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7522
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7522:
jmp @r4
mov #0x1C,r2
! Opcodes CED8 - CEDF
WED8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7523:
addc r4,r0
cmp/pl r1
bt/s ln7523
shlr r1
sub r0,r7
sub r0,r7
mov #28,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7524
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7524:
jmp @r4
mov #0x1C,r2
! Opcodes CEE0 - CEE7
WEE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7525:
addc r4,r0
cmp/pl r1
bt/s ln7525
shlr r1
sub r0,r7
sub r0,r7
mov #28,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl7526
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7526:
jmp @r4
mov #0x1C,r2
! Opcodes CEE8 - CEEF
WEE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7527:
addc r4,r0
cmp/pl r1
bt/s ln7527
shlr r1
sub r0,r7
sub r0,r7
mov #28,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7528
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7528:
jmp @r4
mov #0x1C,r2
! Opcodes CEF0 - CEF7
WEF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7529:
addc r4,r0
cmp/pl r1
bt/s ln7529
shlr r1
sub r0,r7
sub r0,r7
mov #28,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl7530
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7530:
jmp @r4
mov #0x1C,r2
! Opcode CEF8
WEF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7531:
addc r4,r0
cmp/pl r1
bt/s ln7531
shlr r1
sub r0,r7
sub r0,r7
mov #28,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7532
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7532:
jmp @r4
mov #0x1C,r2
! Opcode CEF9
WEF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7533:
addc r4,r0
cmp/pl r1
bt/s ln7533
shlr r1
sub r0,r7
sub r0,r7
mov #28,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl7534
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7534:
jmp @r4
mov #0x1C,r2
! Opcode CEFA
WEFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7535:
addc r4,r0
cmp/pl r1
bt/s ln7535
shlr r1
sub r0,r7
sub r0,r7
mov #28,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7536
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7536:
jmp @r4
mov #0x1C,r2
! Opcode CEFB
WEFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7537:
addc r4,r0
cmp/pl r1
bt/s ln7537
shlr r1
sub r0,r7
sub r0,r7
mov #28,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl7538
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7538:
jmp @r4
mov #0x1C,r2
! Opcode CEFC
WEFC:
mov.w @r6+,r3
mov #0,r0
mov r3,r1
mov r0,r4
extu.w r1,r1
shlr r1
ln7539:
addc r4,r0
cmp/pl r1
bt/s ln7539
shlr r1
sub r0,r7
sub r0,r7
mov #28,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7540
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7540:
jmp @r4
mov #0x1C,r2
! Opcodes CF00 - CF07
WF00:
and r0,r2
mov r3,r4
mov #28,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd7541
add #6,r8
.nonibadd7541:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop7541
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop7541:
exts.b r3,r3
mov r9,r8
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7542
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7542:
jmp @r4
mov #0x1C,r2
! Opcodes CF08 - CF0F
WF08:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(60,r13),r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd7543
add #6,r8
.nonibadd7543:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop7543
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop7543:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7544
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7544:
jmp @r4
mov #0x1C,r2
! Opcodes CF10 - CF17
WF10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7545
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7545:
jmp @r4
mov #0x1C,r2
! Opcodes CF18 - CF1F
WF18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7546
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7546:
jmp @r4
mov #0x1C,r2
! Opcodes CF20 - CF27
WF20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7547
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7547:
jmp @r4
mov #0x1C,r2
! Opcodes CF28 - CF2F
WF28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7548
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7548:
jmp @r4
mov #0x1C,r2
! Opcodes CF30 - CF37
WF30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7549
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7549:
jmp @r4
mov #0x1C,r2
! Opcode CF38
WF38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7550
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7550:
jmp @r4
mov #0x1C,r2
! Opcode CF39
WF39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7551
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7551:
jmp @r4
mov #0x1C,r2
! Opcodes CF40 - CF47
WF40:
and r0,r2
mov r3,r4
add r13,r2
mov.l @r2,r1
mov.l @(28,r13),r3
mov.l r3,@r2
mov.l r1,@(28,r13)
mov r4,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl7552
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7552:
jmp @r4
mov #0x1C,r2
! Opcodes CF48 - CF4F
WF48:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r1
mov.l @(60,r13),r3
mov.l r3,@r2
mov.l r1,@(60,r13)
mov r4,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl7553
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7553:
jmp @r4
mov #0x1C,r2
! Opcodes CF50 - CF57
WF50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7554
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7554:
jmp @r4
mov #0x1C,r2
! Opcodes CF58 - CF5F
WF58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7555
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7555:
jmp @r4
mov #0x1C,r2
! Opcodes CF60 - CF67
WF60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7556
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7556:
jmp @r4
mov #0x1C,r2
! Opcodes CF68 - CF6F
WF68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7557
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7557:
jmp @r4
mov #0x1C,r2
! Opcodes CF70 - CF77
WF70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7558
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7558:
jmp @r4
mov #0x1C,r2
! Opcode CF78
WF78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7559
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7559:
jmp @r4
mov #0x1C,r2
! Opcode CF79
WF79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7560
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7560:
jmp @r4
mov #0x1C,r2
! Opcodes CF88 - CF8F
WF88:
and r0,r2
mov r3,r4
add r14,r2
mov.l @r2,r1
mov.l @(28,r13),r3
mov.l r3,@r2
mov.l r1,@(28,r13)
mov r4,r3
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl7561
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7561:
jmp @r4
mov #0x1C,r2
! Opcodes CF90 - CF97
WF90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7562
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7562:
jmp @r4
mov #0x1C,r2
! Opcodes CF98 - CF9F
WF98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7563
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7563:
jmp @r4
mov #0x1C,r2
! Opcodes CFA0 - CFA7
WFA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl7564
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7564:
jmp @r4
mov #0x1C,r2
! Opcodes CFA8 - CFAF
WFA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl7565
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7565:
jmp @r4
mov #0x1C,r2
! Opcodes CFB0 - CFB7
WFB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl7566
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7566:
jmp @r4
mov #0x1C,r2
! Opcode CFB8
WFB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl7567
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7567:
jmp @r4
mov #0x1C,r2
! Opcode CFB9
WFB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl7568
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7568:
jmp @r4
mov #0x1C,r2
! Opcodes CFC0 - CFC7
WFC0:
and r0,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7569:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7569
shlr r1
sub r0,r7
sub r0,r7
mov #28,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-38,r7
shll2 r0
cmp/pl r7
bt/s fdl7570
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7570:
jmp @r4
mov #0x1C,r2
! Opcodes CFD0 - CFD7
WFD0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7571:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7571
shlr r1
sub r0,r7
sub r0,r7
mov #28,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7572
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7572:
jmp @r4
mov #0x1C,r2
! Opcodes CFD8 - CFDF
WFD8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7573:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7573
shlr r1
sub r0,r7
sub r0,r7
mov #28,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7574
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7574:
jmp @r4
mov #0x1C,r2
! Opcodes CFE0 - CFE7
WFE0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7575:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7575
shlr r1
sub r0,r7
sub r0,r7
mov #28,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-44,r7
shll2 r0
cmp/pl r7
bt/s fdl7576
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7576:
jmp @r4
mov #0x1C,r2
! Opcodes CFE8 - CFEF
WFE8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7577:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7577
shlr r1
sub r0,r7
sub r0,r7
mov #28,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7578
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7578:
jmp @r4
mov #0x1C,r2
! Opcodes CFF0 - CFF7
WFF0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7579:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7579
shlr r1
sub r0,r7
sub r0,r7
mov #28,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl7580
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7580:
jmp @r4
mov #0x1C,r2
! Opcode CFF8
WFF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7581:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7581
shlr r1
sub r0,r7
sub r0,r7
mov #28,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7582
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7582:
jmp @r4
mov #0x1C,r2
! Opcode CFF9
WFF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7583:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7583
shlr r1
sub r0,r7
sub r0,r7
mov #28,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-50,r7
shll2 r0
cmp/pl r7
bt/s fdl7584
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7584:
jmp @r4
mov #0x1C,r2
! Opcode CFFA
WFFA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7585:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7585
shlr r1
sub r0,r7
sub r0,r7
mov #28,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-46,r7
shll2 r0
cmp/pl r7
bt/s fdl7586
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7586:
jmp @r4
mov #0x1C,r2
! Opcode CFFB
WFFB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7587:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7587
shlr r1
sub r0,r7
sub r0,r7
mov #28,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-48,r7
shll2 r0
cmp/pl r7
bt/s fdl7588
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7588:
jmp @r4
mov #0x1C,r2
! Opcode CFFC
WFFC:
mov.w @r6+,r3
mov #0,r0
mov r3,r1
mov r0,r4
mov r0,r2
mov #16,r8
shlr r1
ln7589:
movt r2
xor r2,r4
add r4,r0
mov r2,r4
dt r8
bf/s ln7589
shlr r1
sub r0,r7
sub r0,r7
mov #28,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
mov.w @r6+,r0
add #-42,r7
shll2 r0
cmp/pl r7
bt/s fdl7590
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7590:
jmp @r4
mov #0x1C,r2
! Opcodes D000 - D007
X000:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7591
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7591:
jmp @r4
mov #0x1C,r2
! Opcodes D008 - D00F
X008:
and r0,r2
add r13,r2
mov.b @r2,r3
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7592
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7592:
jmp @r4
mov #0x1C,r2
! Opcodes D010 - D017
X010:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7593
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7593:
jmp @r4
mov #0x1C,r2
! Opcodes D018 - D01F
X018:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7594
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7594:
jmp @r4
mov #0x1C,r2
! Opcodes D020 - D027
X020:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl7595
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7595:
jmp @r4
mov #0x1C,r2
! Opcodes D028 - D02F
X028:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7596
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7596:
jmp @r4
mov #0x1C,r2
! Opcodes D030 - D037
X030:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7597
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7597:
jmp @r4
mov #0x1C,r2
! Opcode D038
X038:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7598
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7598:
jmp @r4
mov #0x1C,r2
! Opcode D039
X039:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7599
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7599:
jmp @r4
mov #0x1C,r2
! Opcode D03A
X03A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7600
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7600:
jmp @r4
mov #0x1C,r2
! Opcode D03B
X03B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7601
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7601:
jmp @r4
mov #0x1C,r2
! Opcode D03C
X03C:
mov.b @r6,r3
add #2,r6
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7602
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7602:
jmp @r4
mov #0x1C,r2
! Opcodes D040 - D047
X040:
and r0,r2
add r13,r2
mov.w @r2,r3
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7603
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7603:
jmp @r4
mov #0x1C,r2
! Opcodes D048 - D04F
X048:
and r0,r2
add r14,r2
mov.w @r2,r3
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7604
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7604:
jmp @r4
mov #0x1C,r2
! Opcodes D050 - D057
X050:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7605
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7605:
jmp @r4
mov #0x1C,r2
! Opcodes D058 - D05F
X058:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7606
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7606:
jmp @r4
mov #0x1C,r2
! Opcodes D060 - D067
X060:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl7607
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7607:
jmp @r4
mov #0x1C,r2
! Opcodes D068 - D06F
X068:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7608
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7608:
jmp @r4
mov #0x1C,r2
! Opcodes D070 - D077
X070:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7609
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7609:
jmp @r4
mov #0x1C,r2
! Opcode D078
X078:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7610
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7610:
jmp @r4
mov #0x1C,r2
! Opcode D079
X079:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7611
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7611:
jmp @r4
mov #0x1C,r2
! Opcode D07A
X07A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7612
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7612:
jmp @r4
mov #0x1C,r2
! Opcode D07B
X07B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7613
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7613:
jmp @r4
mov #0x1C,r2
! Opcode D07C
X07C:
mov.w @r6+,r3
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7614
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7614:
jmp @r4
mov #0x1C,r2
! Opcodes D080 - D087
X080:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @r13,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7615
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7615:
jmp @r4
mov #0x1C,r2
! Opcodes D088 - D08F
X088:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @r13,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7616
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7616:
jmp @r4
mov #0x1C,r2
! Opcodes D090 - D097
X090:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7617
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7617:
jmp @r4
mov #0x1C,r2
! Opcodes D098 - D09F
X098:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r13,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7618
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7618:
jmp @r4
mov #0x1C,r2
! Opcodes D0A0 - D0A7
X0A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r13,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7619
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7619:
jmp @r4
mov #0x1C,r2
! Opcodes D0A8 - D0AF
X0A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7620
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7620:
jmp @r4
mov #0x1C,r2
! Opcodes D0B0 - D0B7
X0B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7621
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7621:
jmp @r4
mov #0x1C,r2
! Opcode D0B8
X0B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7622
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7622:
jmp @r4
mov #0x1C,r2
! Opcode D0B9
X0B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl7623
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7623:
jmp @r4
mov #0x1C,r2
! Opcode D0BA
X0BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7624
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7624:
jmp @r4
mov #0x1C,r2
! Opcode D0BB
X0BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7625
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7625:
jmp @r4
mov #0x1C,r2
! Opcode D0BC
X0BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @r13,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7626
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7626:
jmp @r4
mov #0x1C,r2
! Opcodes D0C0 - D0C7
X0C0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7627
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7627:
jmp @r4
mov #0x1C,r2
! Opcodes D0C8 - D0CF
X0C8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.w @r2,r3
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7628
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7628:
jmp @r4
mov #0x1C,r2
! Opcodes D0D0 - D0D7
X0D0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7629
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7629:
jmp @r4
mov #0x1C,r2
! Opcodes D0D8 - D0DF
X0D8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7630
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7630:
jmp @r4
mov #0x1C,r2
! Opcodes D0E0 - D0E7
X0E0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7631
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7631:
jmp @r4
mov #0x1C,r2
! Opcodes D0E8 - D0EF
X0E8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7632
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7632:
jmp @r4
mov #0x1C,r2
! Opcodes D0F0 - D0F7
X0F0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7633
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7633:
jmp @r4
mov #0x1C,r2
! Opcode D0F8
X0F8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7634
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7634:
jmp @r4
mov #0x1C,r2
! Opcode D0F9
X0F9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7635
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7635:
jmp @r4
mov #0x1C,r2
! Opcode D0FA
X0FA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7636
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7636:
jmp @r4
mov #0x1C,r2
! Opcode D0FB
X0FB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7637
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7637:
jmp @r4
mov #0x1C,r2
! Opcode D0FC
X0FC:
mov.l r3,@-r15
mov.w @r6+,r3
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7638
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7638:
jmp @r4
mov #0x1C,r2
! Opcodes D100 - D107
X100:
and r0,r2
mov r3,r4
mov.b @r13,r3
mov r2,r0
mov.b @(r0,r13),r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.b r3,@r13
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7640
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7640:
jmp @r4
mov #0x1C,r2
! Opcodes D108 - D10F
X108:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(32,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7642
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7642:
jmp @r4
mov #0x1C,r2
! Opcodes D110 - D117
X110:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7643
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7643:
jmp @r4
mov #0x1C,r2
! Opcodes D118 - D11F
X118:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7644
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7644:
jmp @r4
mov #0x1C,r2
! Opcodes D120 - D127
X120:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7645
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7645:
jmp @r4
mov #0x1C,r2
! Opcodes D128 - D12F
X128:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7646
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7646:
jmp @r4
mov #0x1C,r2
! Opcodes D130 - D137
X130:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7647
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7647:
jmp @r4
mov #0x1C,r2
! Opcode D138
X138:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7648
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7648:
jmp @r4
mov #0x1C,r2
! Opcode D139
X139:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7649
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7649:
jmp @r4
mov #0x1C,r2
! Opcodes D140 - D147
X140:
and r0,r2
mov r3,r4
mov.w @r13,r3
mov r2,r0
mov.w @(r0,r13),r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.w r3,@r13
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7651
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7651:
jmp @r4
mov #0x1C,r2
! Opcodes D148 - D14F
X148:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(32,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7653
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7653:
jmp @r4
mov #0x1C,r2
! Opcodes D150 - D157
X150:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7654
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7654:
jmp @r4
mov #0x1C,r2
! Opcodes D158 - D15F
X158:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7655
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7655:
jmp @r4
mov #0x1C,r2
! Opcodes D160 - D167
X160:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7656
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7656:
jmp @r4
mov #0x1C,r2
! Opcodes D168 - D16F
X168:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7657
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7657:
jmp @r4
mov #0x1C,r2
! Opcodes D170 - D177
X170:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7658
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7658:
jmp @r4
mov #0x1C,r2
! Opcode D178
X178:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7659
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7659:
jmp @r4
mov #0x1C,r2
! Opcode D179
X179:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7660
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7660:
jmp @r4
mov #0x1C,r2
! Opcodes D180 - D187
X180:
and r0,r2
mov r3,r4
mov.l @r13,r3
mov r2,r0
mov.l @(r0,r13),r1
shlr r9
movt r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l r3,@r13
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7662
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7662:
jmp @r4
mov #0x1C,r2
! Opcodes D188 - D18F
X188:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(32,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl7664
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7664:
jmp @r4
mov #0x1C,r2
! Opcodes D190 - D197
X190:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7665
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7665:
jmp @r4
mov #0x1C,r2
! Opcodes D198 - D19F
X198:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7666
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7666:
jmp @r4
mov #0x1C,r2
! Opcodes D1A0 - D1A7
X1A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl7667
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7667:
jmp @r4
mov #0x1C,r2
! Opcodes D1A8 - D1AF
X1A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl7668
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7668:
jmp @r4
mov #0x1C,r2
! Opcodes D1B0 - D1B7
X1B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl7669
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7669:
jmp @r4
mov #0x1C,r2
! Opcode D1B8
X1B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl7670
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7670:
jmp @r4
mov #0x1C,r2
! Opcode D1B9
X1B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl7671
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7671:
jmp @r4
mov #0x1C,r2
! Opcodes D1C0 - D1C7
X1C0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7672
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7672:
jmp @r4
mov #0x1C,r2
! Opcodes D1C8 - D1CF
X1C8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.l @r2,r3
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7673
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7673:
jmp @r4
mov #0x1C,r2
! Opcodes D1D0 - D1D7
X1D0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7674
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7674:
jmp @r4
mov #0x1C,r2
! Opcodes D1D8 - D1DF
X1D8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7675
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7675:
jmp @r4
mov #0x1C,r2
! Opcodes D1E0 - D1E7
X1E0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7676
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7676:
jmp @r4
mov #0x1C,r2
! Opcodes D1E8 - D1EF
X1E8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7677
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7677:
jmp @r4
mov #0x1C,r2
! Opcodes D1F0 - D1F7
X1F0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7678
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7678:
jmp @r4
mov #0x1C,r2
! Opcode D1F8
X1F8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7679
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7679:
jmp @r4
mov #0x1C,r2
! Opcode D1F9
X1F9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl7680
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7680:
jmp @r4
mov #0x1C,r2
! Opcode D1FA
X1FA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7681
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7681:
jmp @r4
mov #0x1C,r2
! Opcode D1FB
X1FB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7682
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7682:
jmp @r4
mov #0x1C,r2
! Opcode D1FC
X1FC:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7683
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7683:
jmp @r4
mov #0x1C,r2
! Opcodes D200 - D207
X200:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7684
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7684:
jmp @r4
mov #0x1C,r2
! Opcodes D208 - D20F
X208:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7685
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7685:
jmp @r4
mov #0x1C,r2
! Opcodes D210 - D217
X210:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7686
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7686:
jmp @r4
mov #0x1C,r2
! Opcodes D218 - D21F
X218:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7687
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7687:
jmp @r4
mov #0x1C,r2
! Opcodes D220 - D227
X220:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl7688
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7688:
jmp @r4
mov #0x1C,r2
! Opcodes D228 - D22F
X228:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7689
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7689:
jmp @r4
mov #0x1C,r2
! Opcodes D230 - D237
X230:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7690
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7690:
jmp @r4
mov #0x1C,r2
! Opcode D238
X238:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7691
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7691:
jmp @r4
mov #0x1C,r2
! Opcode D239
X239:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7692
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7692:
jmp @r4
mov #0x1C,r2
! Opcode D23A
X23A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7693
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7693:
jmp @r4
mov #0x1C,r2
! Opcode D23B
X23B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7694
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7694:
jmp @r4
mov #0x1C,r2
! Opcode D23C
X23C:
mov.b @r6,r3
add #2,r6
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7695
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7695:
jmp @r4
mov #0x1C,r2
! Opcodes D240 - D247
X240:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7696
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7696:
jmp @r4
mov #0x1C,r2
! Opcodes D248 - D24F
X248:
and r0,r2
add r14,r2
mov.w @r2,r3
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7697
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7697:
jmp @r4
mov #0x1C,r2
! Opcodes D250 - D257
X250:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7698
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7698:
jmp @r4
mov #0x1C,r2
! Opcodes D258 - D25F
X258:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7699
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7699:
jmp @r4
mov #0x1C,r2
! Opcodes D260 - D267
X260:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl7700
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7700:
jmp @r4
mov #0x1C,r2
! Opcodes D268 - D26F
X268:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7701
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7701:
jmp @r4
mov #0x1C,r2
! Opcodes D270 - D277
X270:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7702
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7702:
jmp @r4
mov #0x1C,r2
! Opcode D278
X278:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7703
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7703:
jmp @r4
mov #0x1C,r2
! Opcode D279
X279:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7704
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7704:
jmp @r4
mov #0x1C,r2
! Opcode D27A
X27A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7705
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7705:
jmp @r4
mov #0x1C,r2
! Opcode D27B
X27B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7706
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7706:
jmp @r4
mov #0x1C,r2
! Opcode D27C
X27C:
mov.w @r6+,r3
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7707
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7707:
jmp @r4
mov #0x1C,r2
! Opcodes D280 - D287
X280:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(4,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7708
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7708:
jmp @r4
mov #0x1C,r2
! Opcodes D288 - D28F
X288:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(4,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7709
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7709:
jmp @r4
mov #0x1C,r2
! Opcodes D290 - D297
X290:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7710
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7710:
jmp @r4
mov #0x1C,r2
! Opcodes D298 - D29F
X298:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(4,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7711
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7711:
jmp @r4
mov #0x1C,r2
! Opcodes D2A0 - D2A7
X2A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(4,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7712
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7712:
jmp @r4
mov #0x1C,r2
! Opcodes D2A8 - D2AF
X2A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7713
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7713:
jmp @r4
mov #0x1C,r2
! Opcodes D2B0 - D2B7
X2B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7714
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7714:
jmp @r4
mov #0x1C,r2
! Opcode D2B8
X2B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7715
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7715:
jmp @r4
mov #0x1C,r2
! Opcode D2B9
X2B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl7716
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7716:
jmp @r4
mov #0x1C,r2
! Opcode D2BA
X2BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7717
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7717:
jmp @r4
mov #0x1C,r2
! Opcode D2BB
X2BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7718
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7718:
jmp @r4
mov #0x1C,r2
! Opcode D2BC
X2BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(4,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7719
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7719:
jmp @r4
mov #0x1C,r2
! Opcodes D2C0 - D2C7
X2C0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7720
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7720:
jmp @r4
mov #0x1C,r2
! Opcodes D2C8 - D2CF
X2C8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.w @r2,r3
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7721
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7721:
jmp @r4
mov #0x1C,r2
! Opcodes D2D0 - D2D7
X2D0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7722
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7722:
jmp @r4
mov #0x1C,r2
! Opcodes D2D8 - D2DF
X2D8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7723
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7723:
jmp @r4
mov #0x1C,r2
! Opcodes D2E0 - D2E7
X2E0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7724
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7724:
jmp @r4
mov #0x1C,r2
! Opcodes D2E8 - D2EF
X2E8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7725
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7725:
jmp @r4
mov #0x1C,r2
! Opcodes D2F0 - D2F7
X2F0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7726
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7726:
jmp @r4
mov #0x1C,r2
! Opcode D2F8
X2F8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7727
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7727:
jmp @r4
mov #0x1C,r2
! Opcode D2F9
X2F9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7728
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7728:
jmp @r4
mov #0x1C,r2
! Opcode D2FA
X2FA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7729
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7729:
jmp @r4
mov #0x1C,r2
! Opcode D2FB
X2FB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7730
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7730:
jmp @r4
mov #0x1C,r2
! Opcode D2FC
X2FC:
mov.l r3,@-r15
mov.w @r6+,r3
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7731
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7731:
jmp @r4
mov #0x1C,r2
! Opcodes D300 - D307
X300:
and r0,r2
mov r3,r4
mov #4,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7733
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7733:
jmp @r4
mov #0x1C,r2
! Opcodes D308 - D30F
X308:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(36,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7735
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7735:
jmp @r4
mov #0x1C,r2
! Opcodes D310 - D317
X310:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7736
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7736:
jmp @r4
mov #0x1C,r2
! Opcodes D318 - D31F
X318:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7737
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7737:
jmp @r4
mov #0x1C,r2
! Opcodes D320 - D327
X320:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7738
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7738:
jmp @r4
mov #0x1C,r2
! Opcodes D328 - D32F
X328:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7739
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7739:
jmp @r4
mov #0x1C,r2
! Opcodes D330 - D337
X330:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7740
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7740:
jmp @r4
mov #0x1C,r2
! Opcode D338
X338:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7741
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7741:
jmp @r4
mov #0x1C,r2
! Opcode D339
X339:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7742
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7742:
jmp @r4
mov #0x1C,r2
! Opcodes D340 - D347
X340:
and r0,r2
mov r3,r4
mov #4,r0
mov.w @(r0,r13),r3
mov r2,r0
mov.w @(r0,r13),r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov #4,r0
mov.w r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7744
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7744:
jmp @r4
mov #0x1C,r2
! Opcodes D348 - D34F
X348:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(36,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7746
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7746:
jmp @r4
mov #0x1C,r2
! Opcodes D350 - D357
X350:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7747
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7747:
jmp @r4
mov #0x1C,r2
! Opcodes D358 - D35F
X358:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7748
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7748:
jmp @r4
mov #0x1C,r2
! Opcodes D360 - D367
X360:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7749
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7749:
jmp @r4
mov #0x1C,r2
! Opcodes D368 - D36F
X368:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7750
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7750:
jmp @r4
mov #0x1C,r2
! Opcodes D370 - D377
X370:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7751
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7751:
jmp @r4
mov #0x1C,r2
! Opcode D378
X378:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7752
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7752:
jmp @r4
mov #0x1C,r2
! Opcode D379
X379:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7753
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7753:
jmp @r4
mov #0x1C,r2
! Opcodes D380 - D387
X380:
and r0,r2
mov r3,r4
mov.l @(4,r13),r3
mov r2,r0
mov.l @(r0,r13),r1
shlr r9
movt r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l r3,@(4,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7755
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7755:
jmp @r4
mov #0x1C,r2
! Opcodes D388 - D38F
X388:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(36,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl7757
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7757:
jmp @r4
mov #0x1C,r2
! Opcodes D390 - D397
X390:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7758
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7758:
jmp @r4
mov #0x1C,r2
! Opcodes D398 - D39F
X398:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7759
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7759:
jmp @r4
mov #0x1C,r2
! Opcodes D3A0 - D3A7
X3A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl7760
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7760:
jmp @r4
mov #0x1C,r2
! Opcodes D3A8 - D3AF
X3A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl7761
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7761:
jmp @r4
mov #0x1C,r2
! Opcodes D3B0 - D3B7
X3B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl7762
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7762:
jmp @r4
mov #0x1C,r2
! Opcode D3B8
X3B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl7763
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7763:
jmp @r4
mov #0x1C,r2
! Opcode D3B9
X3B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl7764
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7764:
jmp @r4
mov #0x1C,r2
! Opcodes D3C0 - D3C7
X3C0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7765
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7765:
jmp @r4
mov #0x1C,r2
! Opcodes D3C8 - D3CF
X3C8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.l @r2,r3
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7766
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7766:
jmp @r4
mov #0x1C,r2
! Opcodes D3D0 - D3D7
X3D0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7767
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7767:
jmp @r4
mov #0x1C,r2
! Opcodes D3D8 - D3DF
X3D8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7768
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7768:
jmp @r4
mov #0x1C,r2
! Opcodes D3E0 - D3E7
X3E0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7769
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7769:
jmp @r4
mov #0x1C,r2
! Opcodes D3E8 - D3EF
X3E8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7770
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7770:
jmp @r4
mov #0x1C,r2
! Opcodes D3F0 - D3F7
X3F0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7771
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7771:
jmp @r4
mov #0x1C,r2
! Opcode D3F8
X3F8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7772
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7772:
jmp @r4
mov #0x1C,r2
! Opcode D3F9
X3F9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl7773
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7773:
jmp @r4
mov #0x1C,r2
! Opcode D3FA
X3FA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7774
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7774:
jmp @r4
mov #0x1C,r2
! Opcode D3FB
X3FB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7775
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7775:
jmp @r4
mov #0x1C,r2
! Opcode D3FC
X3FC:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7776
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7776:
jmp @r4
mov #0x1C,r2
! Opcodes D400 - D407
X400:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7777
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7777:
jmp @r4
mov #0x1C,r2
! Opcodes D408 - D40F
X408:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7778
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7778:
jmp @r4
mov #0x1C,r2
! Opcodes D410 - D417
X410:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7779
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7779:
jmp @r4
mov #0x1C,r2
! Opcodes D418 - D41F
X418:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7780
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7780:
jmp @r4
mov #0x1C,r2
! Opcodes D420 - D427
X420:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl7781
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7781:
jmp @r4
mov #0x1C,r2
! Opcodes D428 - D42F
X428:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7782
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7782:
jmp @r4
mov #0x1C,r2
! Opcodes D430 - D437
X430:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7783
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7783:
jmp @r4
mov #0x1C,r2
! Opcode D438
X438:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7784
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7784:
jmp @r4
mov #0x1C,r2
! Opcode D439
X439:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7785
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7785:
jmp @r4
mov #0x1C,r2
! Opcode D43A
X43A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7786
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7786:
jmp @r4
mov #0x1C,r2
! Opcode D43B
X43B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7787
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7787:
jmp @r4
mov #0x1C,r2
! Opcode D43C
X43C:
mov.b @r6,r3
add #2,r6
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7788
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7788:
jmp @r4
mov #0x1C,r2
! Opcodes D440 - D447
X440:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7789
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7789:
jmp @r4
mov #0x1C,r2
! Opcodes D448 - D44F
X448:
and r0,r2
add r14,r2
mov.w @r2,r3
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7790
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7790:
jmp @r4
mov #0x1C,r2
! Opcodes D450 - D457
X450:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7791
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7791:
jmp @r4
mov #0x1C,r2
! Opcodes D458 - D45F
X458:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7792
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7792:
jmp @r4
mov #0x1C,r2
! Opcodes D460 - D467
X460:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl7793
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7793:
jmp @r4
mov #0x1C,r2
! Opcodes D468 - D46F
X468:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7794
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7794:
jmp @r4
mov #0x1C,r2
! Opcodes D470 - D477
X470:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7795
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7795:
jmp @r4
mov #0x1C,r2
! Opcode D478
X478:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7796
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7796:
jmp @r4
mov #0x1C,r2
! Opcode D479
X479:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7797
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7797:
jmp @r4
mov #0x1C,r2
! Opcode D47A
X47A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7798
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7798:
jmp @r4
mov #0x1C,r2
! Opcode D47B
X47B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7799
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7799:
jmp @r4
mov #0x1C,r2
! Opcode D47C
X47C:
mov.w @r6+,r3
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7800
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7800:
jmp @r4
mov #0x1C,r2
! Opcodes D480 - D487
X480:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(8,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7801
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7801:
jmp @r4
mov #0x1C,r2
! Opcodes D488 - D48F
X488:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(8,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7802
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7802:
jmp @r4
mov #0x1C,r2
! Opcodes D490 - D497
X490:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7803
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7803:
jmp @r4
mov #0x1C,r2
! Opcodes D498 - D49F
X498:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(8,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7804
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7804:
jmp @r4
mov #0x1C,r2
! Opcodes D4A0 - D4A7
X4A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(8,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7805
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7805:
jmp @r4
mov #0x1C,r2
! Opcodes D4A8 - D4AF
X4A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7806
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7806:
jmp @r4
mov #0x1C,r2
! Opcodes D4B0 - D4B7
X4B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7807
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7807:
jmp @r4
mov #0x1C,r2
! Opcode D4B8
X4B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7808
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7808:
jmp @r4
mov #0x1C,r2
! Opcode D4B9
X4B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl7809
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7809:
jmp @r4
mov #0x1C,r2
! Opcode D4BA
X4BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7810
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7810:
jmp @r4
mov #0x1C,r2
! Opcode D4BB
X4BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7811
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7811:
jmp @r4
mov #0x1C,r2
! Opcode D4BC
X4BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(8,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7812
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7812:
jmp @r4
mov #0x1C,r2
! Opcodes D4C0 - D4C7
X4C0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7813
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7813:
jmp @r4
mov #0x1C,r2
! Opcodes D4C8 - D4CF
X4C8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.w @r2,r3
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7814
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7814:
jmp @r4
mov #0x1C,r2
! Opcodes D4D0 - D4D7
X4D0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7815
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7815:
jmp @r4
mov #0x1C,r2
! Opcodes D4D8 - D4DF
X4D8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7816
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7816:
jmp @r4
mov #0x1C,r2
! Opcodes D4E0 - D4E7
X4E0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7817
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7817:
jmp @r4
mov #0x1C,r2
! Opcodes D4E8 - D4EF
X4E8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7818
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7818:
jmp @r4
mov #0x1C,r2
! Opcodes D4F0 - D4F7
X4F0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7819
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7819:
jmp @r4
mov #0x1C,r2
! Opcode D4F8
X4F8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7820
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7820:
jmp @r4
mov #0x1C,r2
! Opcode D4F9
X4F9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7821
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7821:
jmp @r4
mov #0x1C,r2
! Opcode D4FA
X4FA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7822
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7822:
jmp @r4
mov #0x1C,r2
! Opcode D4FB
X4FB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7823
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7823:
jmp @r4
mov #0x1C,r2
! Opcode D4FC
X4FC:
mov.l r3,@-r15
mov.w @r6+,r3
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7824
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7824:
jmp @r4
mov #0x1C,r2
! Opcodes D500 - D507
X500:
and r0,r2
mov r3,r4
mov #8,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7826
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7826:
jmp @r4
mov #0x1C,r2
! Opcodes D508 - D50F
X508:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(40,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7828
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7828:
jmp @r4
mov #0x1C,r2
! Opcodes D510 - D517
X510:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7829
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7829:
jmp @r4
mov #0x1C,r2
! Opcodes D518 - D51F
X518:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7830
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7830:
jmp @r4
mov #0x1C,r2
! Opcodes D520 - D527
X520:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7831
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7831:
jmp @r4
mov #0x1C,r2
! Opcodes D528 - D52F
X528:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7832
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7832:
jmp @r4
mov #0x1C,r2
! Opcodes D530 - D537
X530:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7833
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7833:
jmp @r4
mov #0x1C,r2
! Opcode D538
X538:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7834
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7834:
jmp @r4
mov #0x1C,r2
! Opcode D539
X539:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7835
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7835:
jmp @r4
mov #0x1C,r2
! Opcodes D540 - D547
X540:
and r0,r2
mov r3,r4
mov #8,r0
mov.w @(r0,r13),r3
mov r2,r0
mov.w @(r0,r13),r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov #8,r0
mov.w r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7837
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7837:
jmp @r4
mov #0x1C,r2
! Opcodes D548 - D54F
X548:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(40,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7839
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7839:
jmp @r4
mov #0x1C,r2
! Opcodes D550 - D557
X550:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7840
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7840:
jmp @r4
mov #0x1C,r2
! Opcodes D558 - D55F
X558:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7841
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7841:
jmp @r4
mov #0x1C,r2
! Opcodes D560 - D567
X560:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7842
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7842:
jmp @r4
mov #0x1C,r2
! Opcodes D568 - D56F
X568:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7843
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7843:
jmp @r4
mov #0x1C,r2
! Opcodes D570 - D577
X570:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7844
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7844:
jmp @r4
mov #0x1C,r2
! Opcode D578
X578:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7845
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7845:
jmp @r4
mov #0x1C,r2
! Opcode D579
X579:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7846
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7846:
jmp @r4
mov #0x1C,r2
! Opcodes D580 - D587
X580:
and r0,r2
mov r3,r4
mov.l @(8,r13),r3
mov r2,r0
mov.l @(r0,r13),r1
shlr r9
movt r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l r3,@(8,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7848
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7848:
jmp @r4
mov #0x1C,r2
! Opcodes D588 - D58F
X588:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(40,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl7850
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7850:
jmp @r4
mov #0x1C,r2
! Opcodes D590 - D597
X590:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7851
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7851:
jmp @r4
mov #0x1C,r2
! Opcodes D598 - D59F
X598:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7852
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7852:
jmp @r4
mov #0x1C,r2
! Opcodes D5A0 - D5A7
X5A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl7853
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7853:
jmp @r4
mov #0x1C,r2
! Opcodes D5A8 - D5AF
X5A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl7854
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7854:
jmp @r4
mov #0x1C,r2
! Opcodes D5B0 - D5B7
X5B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl7855
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7855:
jmp @r4
mov #0x1C,r2
! Opcode D5B8
X5B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl7856
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7856:
jmp @r4
mov #0x1C,r2
! Opcode D5B9
X5B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl7857
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7857:
jmp @r4
mov #0x1C,r2
! Opcodes D5C0 - D5C7
X5C0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7858
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7858:
jmp @r4
mov #0x1C,r2
! Opcodes D5C8 - D5CF
X5C8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.l @r2,r3
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7859
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7859:
jmp @r4
mov #0x1C,r2
! Opcodes D5D0 - D5D7
X5D0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7860
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7860:
jmp @r4
mov #0x1C,r2
! Opcodes D5D8 - D5DF
X5D8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7861
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7861:
jmp @r4
mov #0x1C,r2
! Opcodes D5E0 - D5E7
X5E0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7862
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7862:
jmp @r4
mov #0x1C,r2
! Opcodes D5E8 - D5EF
X5E8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7863
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7863:
jmp @r4
mov #0x1C,r2
! Opcodes D5F0 - D5F7
X5F0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7864
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7864:
jmp @r4
mov #0x1C,r2
! Opcode D5F8
X5F8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7865
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7865:
jmp @r4
mov #0x1C,r2
! Opcode D5F9
X5F9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl7866
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7866:
jmp @r4
mov #0x1C,r2
! Opcode D5FA
X5FA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7867
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7867:
jmp @r4
mov #0x1C,r2
! Opcode D5FB
X5FB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7868
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7868:
jmp @r4
mov #0x1C,r2
! Opcode D5FC
X5FC:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7869
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7869:
jmp @r4
mov #0x1C,r2
! Opcodes D600 - D607
X600:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7870
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7870:
jmp @r4
mov #0x1C,r2
! Opcodes D608 - D60F
X608:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7871
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7871:
jmp @r4
mov #0x1C,r2
! Opcodes D610 - D617
X610:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7872
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7872:
jmp @r4
mov #0x1C,r2
! Opcodes D618 - D61F
X618:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7873
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7873:
jmp @r4
mov #0x1C,r2
! Opcodes D620 - D627
X620:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl7874
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7874:
jmp @r4
mov #0x1C,r2
! Opcodes D628 - D62F
X628:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7875
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7875:
jmp @r4
mov #0x1C,r2
! Opcodes D630 - D637
X630:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7876
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7876:
jmp @r4
mov #0x1C,r2
! Opcode D638
X638:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7877
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7877:
jmp @r4
mov #0x1C,r2
! Opcode D639
X639:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7878
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7878:
jmp @r4
mov #0x1C,r2
! Opcode D63A
X63A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7879
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7879:
jmp @r4
mov #0x1C,r2
! Opcode D63B
X63B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7880
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7880:
jmp @r4
mov #0x1C,r2
! Opcode D63C
X63C:
mov.b @r6,r3
add #2,r6
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7881
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7881:
jmp @r4
mov #0x1C,r2
! Opcodes D640 - D647
X640:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7882
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7882:
jmp @r4
mov #0x1C,r2
! Opcodes D648 - D64F
X648:
and r0,r2
add r14,r2
mov.w @r2,r3
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7883
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7883:
jmp @r4
mov #0x1C,r2
! Opcodes D650 - D657
X650:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7884
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7884:
jmp @r4
mov #0x1C,r2
! Opcodes D658 - D65F
X658:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7885
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7885:
jmp @r4
mov #0x1C,r2
! Opcodes D660 - D667
X660:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl7886
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7886:
jmp @r4
mov #0x1C,r2
! Opcodes D668 - D66F
X668:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7887
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7887:
jmp @r4
mov #0x1C,r2
! Opcodes D670 - D677
X670:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7888
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7888:
jmp @r4
mov #0x1C,r2
! Opcode D678
X678:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7889
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7889:
jmp @r4
mov #0x1C,r2
! Opcode D679
X679:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7890
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7890:
jmp @r4
mov #0x1C,r2
! Opcode D67A
X67A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7891
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7891:
jmp @r4
mov #0x1C,r2
! Opcode D67B
X67B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7892
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7892:
jmp @r4
mov #0x1C,r2
! Opcode D67C
X67C:
mov.w @r6+,r3
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7893
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7893:
jmp @r4
mov #0x1C,r2
! Opcodes D680 - D687
X680:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(12,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7894
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7894:
jmp @r4
mov #0x1C,r2
! Opcodes D688 - D68F
X688:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(12,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7895
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7895:
jmp @r4
mov #0x1C,r2
! Opcodes D690 - D697
X690:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7896
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7896:
jmp @r4
mov #0x1C,r2
! Opcodes D698 - D69F
X698:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(12,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7897
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7897:
jmp @r4
mov #0x1C,r2
! Opcodes D6A0 - D6A7
X6A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(12,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7898
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7898:
jmp @r4
mov #0x1C,r2
! Opcodes D6A8 - D6AF
X6A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7899
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7899:
jmp @r4
mov #0x1C,r2
! Opcodes D6B0 - D6B7
X6B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7900
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7900:
jmp @r4
mov #0x1C,r2
! Opcode D6B8
X6B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7901
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7901:
jmp @r4
mov #0x1C,r2
! Opcode D6B9
X6B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl7902
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7902:
jmp @r4
mov #0x1C,r2
! Opcode D6BA
X6BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7903
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7903:
jmp @r4
mov #0x1C,r2
! Opcode D6BB
X6BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7904
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7904:
jmp @r4
mov #0x1C,r2
! Opcode D6BC
X6BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(12,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7905
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7905:
jmp @r4
mov #0x1C,r2
! Opcodes D6C0 - D6C7
X6C0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7906
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7906:
jmp @r4
mov #0x1C,r2
! Opcodes D6C8 - D6CF
X6C8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.w @r2,r3
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7907
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7907:
jmp @r4
mov #0x1C,r2
! Opcodes D6D0 - D6D7
X6D0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7908
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7908:
jmp @r4
mov #0x1C,r2
! Opcodes D6D8 - D6DF
X6D8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7909
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7909:
jmp @r4
mov #0x1C,r2
! Opcodes D6E0 - D6E7
X6E0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7910
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7910:
jmp @r4
mov #0x1C,r2
! Opcodes D6E8 - D6EF
X6E8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7911
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7911:
jmp @r4
mov #0x1C,r2
! Opcodes D6F0 - D6F7
X6F0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7912
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7912:
jmp @r4
mov #0x1C,r2
! Opcode D6F8
X6F8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7913
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7913:
jmp @r4
mov #0x1C,r2
! Opcode D6F9
X6F9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7914
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7914:
jmp @r4
mov #0x1C,r2
! Opcode D6FA
X6FA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7915
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7915:
jmp @r4
mov #0x1C,r2
! Opcode D6FB
X6FB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7916
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7916:
jmp @r4
mov #0x1C,r2
! Opcode D6FC
X6FC:
mov.l r3,@-r15
mov.w @r6+,r3
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7917
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7917:
jmp @r4
mov #0x1C,r2
! Opcodes D700 - D707
X700:
and r0,r2
mov r3,r4
mov #12,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7919
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7919:
jmp @r4
mov #0x1C,r2
! Opcodes D708 - D70F
X708:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(44,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7921
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7921:
jmp @r4
mov #0x1C,r2
! Opcodes D710 - D717
X710:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7922
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7922:
jmp @r4
mov #0x1C,r2
! Opcodes D718 - D71F
X718:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7923
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7923:
jmp @r4
mov #0x1C,r2
! Opcodes D720 - D727
X720:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7924
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7924:
jmp @r4
mov #0x1C,r2
! Opcodes D728 - D72F
X728:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7925
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7925:
jmp @r4
mov #0x1C,r2
! Opcodes D730 - D737
X730:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7926
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7926:
jmp @r4
mov #0x1C,r2
! Opcode D738
X738:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7927
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7927:
jmp @r4
mov #0x1C,r2
! Opcode D739
X739:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7928
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7928:
jmp @r4
mov #0x1C,r2
! Opcodes D740 - D747
X740:
and r0,r2
mov r3,r4
mov #12,r0
mov.w @(r0,r13),r3
mov r2,r0
mov.w @(r0,r13),r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov #12,r0
mov.w r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7930
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7930:
jmp @r4
mov #0x1C,r2
! Opcodes D748 - D74F
X748:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(44,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7932
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7932:
jmp @r4
mov #0x1C,r2
! Opcodes D750 - D757
X750:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7933
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7933:
jmp @r4
mov #0x1C,r2
! Opcodes D758 - D75F
X758:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7934
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7934:
jmp @r4
mov #0x1C,r2
! Opcodes D760 - D767
X760:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7935
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7935:
jmp @r4
mov #0x1C,r2
! Opcodes D768 - D76F
X768:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7936
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7936:
jmp @r4
mov #0x1C,r2
! Opcodes D770 - D777
X770:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7937
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7937:
jmp @r4
mov #0x1C,r2
! Opcode D778
X778:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7938
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7938:
jmp @r4
mov #0x1C,r2
! Opcode D779
X779:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7939
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7939:
jmp @r4
mov #0x1C,r2
! Opcodes D780 - D787
X780:
and r0,r2
mov r3,r4
mov.l @(12,r13),r3
mov r2,r0
mov.l @(r0,r13),r1
shlr r9
movt r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l r3,@(12,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7941
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7941:
jmp @r4
mov #0x1C,r2
! Opcodes D788 - D78F
X788:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(44,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl7943
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7943:
jmp @r4
mov #0x1C,r2
! Opcodes D790 - D797
X790:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7944
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7944:
jmp @r4
mov #0x1C,r2
! Opcodes D798 - D79F
X798:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7945
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7945:
jmp @r4
mov #0x1C,r2
! Opcodes D7A0 - D7A7
X7A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl7946
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7946:
jmp @r4
mov #0x1C,r2
! Opcodes D7A8 - D7AF
X7A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl7947
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7947:
jmp @r4
mov #0x1C,r2
! Opcodes D7B0 - D7B7
X7B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl7948
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7948:
jmp @r4
mov #0x1C,r2
! Opcode D7B8
X7B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl7949
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7949:
jmp @r4
mov #0x1C,r2
! Opcode D7B9
X7B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl7950
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7950:
jmp @r4
mov #0x1C,r2
! Opcodes D7C0 - D7C7
X7C0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7951
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7951:
jmp @r4
mov #0x1C,r2
! Opcodes D7C8 - D7CF
X7C8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.l @r2,r3
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7952
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7952:
jmp @r4
mov #0x1C,r2
! Opcodes D7D0 - D7D7
X7D0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7953
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7953:
jmp @r4
mov #0x1C,r2
! Opcodes D7D8 - D7DF
X7D8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7954
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7954:
jmp @r4
mov #0x1C,r2
! Opcodes D7E0 - D7E7
X7E0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7955
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7955:
jmp @r4
mov #0x1C,r2
! Opcodes D7E8 - D7EF
X7E8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7956
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7956:
jmp @r4
mov #0x1C,r2
! Opcodes D7F0 - D7F7
X7F0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7957
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7957:
jmp @r4
mov #0x1C,r2
! Opcode D7F8
X7F8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7958
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7958:
jmp @r4
mov #0x1C,r2
! Opcode D7F9
X7F9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl7959
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7959:
jmp @r4
mov #0x1C,r2
! Opcode D7FA
X7FA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7960
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7960:
jmp @r4
mov #0x1C,r2
! Opcode D7FB
X7FB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7961
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7961:
jmp @r4
mov #0x1C,r2
! Opcode D7FC
X7FC:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7962
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7962:
jmp @r4
mov #0x1C,r2
! Opcodes D800 - D807
X800:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7963
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7963:
jmp @r4
mov #0x1C,r2
! Opcodes D808 - D80F
X808:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7964
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7964:
jmp @r4
mov #0x1C,r2
! Opcodes D810 - D817
X810:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7965
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7965:
jmp @r4
mov #0x1C,r2
! Opcodes D818 - D81F
X818:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7966
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7966:
jmp @r4
mov #0x1C,r2
! Opcodes D820 - D827
X820:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl7967
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7967:
jmp @r4
mov #0x1C,r2
! Opcodes D828 - D82F
X828:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7968
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7968:
jmp @r4
mov #0x1C,r2
! Opcodes D830 - D837
X830:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7969
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7969:
jmp @r4
mov #0x1C,r2
! Opcode D838
X838:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7970
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7970:
jmp @r4
mov #0x1C,r2
! Opcode D839
X839:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7971
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7971:
jmp @r4
mov #0x1C,r2
! Opcode D83A
X83A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7972
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7972:
jmp @r4
mov #0x1C,r2
! Opcode D83B
X83B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7973
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7973:
jmp @r4
mov #0x1C,r2
! Opcode D83C
X83C:
mov.b @r6,r3
add #2,r6
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7974
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7974:
jmp @r4
mov #0x1C,r2
! Opcodes D840 - D847
X840:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7975
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7975:
jmp @r4
mov #0x1C,r2
! Opcodes D848 - D84F
X848:
and r0,r2
add r14,r2
mov.w @r2,r3
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl7976
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7976:
jmp @r4
mov #0x1C,r2
! Opcodes D850 - D857
X850:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7977
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7977:
jmp @r4
mov #0x1C,r2
! Opcodes D858 - D85F
X858:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7978
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7978:
jmp @r4
mov #0x1C,r2
! Opcodes D860 - D867
X860:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl7979
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7979:
jmp @r4
mov #0x1C,r2
! Opcodes D868 - D86F
X868:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7980
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7980:
jmp @r4
mov #0x1C,r2
! Opcodes D870 - D877
X870:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7981
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7981:
jmp @r4
mov #0x1C,r2
! Opcode D878
X878:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7982
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7982:
jmp @r4
mov #0x1C,r2
! Opcode D879
X879:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7983
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7983:
jmp @r4
mov #0x1C,r2
! Opcode D87A
X87A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl7984
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7984:
jmp @r4
mov #0x1C,r2
! Opcode D87B
X87B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7985
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7985:
jmp @r4
mov #0x1C,r2
! Opcode D87C
X87C:
mov.w @r6+,r3
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7986
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7986:
jmp @r4
mov #0x1C,r2
! Opcodes D880 - D887
X880:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(16,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7987
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7987:
jmp @r4
mov #0x1C,r2
! Opcodes D888 - D88F
X888:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(16,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7988
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7988:
jmp @r4
mov #0x1C,r2
! Opcodes D890 - D897
X890:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7989
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7989:
jmp @r4
mov #0x1C,r2
! Opcodes D898 - D89F
X898:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(16,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl7990
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7990:
jmp @r4
mov #0x1C,r2
! Opcodes D8A0 - D8A7
X8A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(16,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7991
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7991:
jmp @r4
mov #0x1C,r2
! Opcodes D8A8 - D8AF
X8A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7992
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7992:
jmp @r4
mov #0x1C,r2
! Opcodes D8B0 - D8B7
X8B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7993
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7993:
jmp @r4
mov #0x1C,r2
! Opcode D8B8
X8B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7994
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7994:
jmp @r4
mov #0x1C,r2
! Opcode D8B9
X8B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl7995
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7995:
jmp @r4
mov #0x1C,r2
! Opcode D8BA
X8BA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl7996
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7996:
jmp @r4
mov #0x1C,r2
! Opcode D8BB
X8BB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl7997
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7997:
jmp @r4
mov #0x1C,r2
! Opcode D8BC
X8BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(16,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl7998
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7998:
jmp @r4
mov #0x1C,r2
! Opcodes D8C0 - D8C7
X8C0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl7999
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl7999:
jmp @r4
mov #0x1C,r2
! Opcodes D8C8 - D8CF
X8C8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.w @r2,r3
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8000
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8000:
jmp @r4
mov #0x1C,r2
! Opcodes D8D0 - D8D7
X8D0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8001
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8001:
jmp @r4
mov #0x1C,r2
! Opcodes D8D8 - D8DF
X8D8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8002
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8002:
jmp @r4
mov #0x1C,r2
! Opcodes D8E0 - D8E7
X8E0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8003
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8003:
jmp @r4
mov #0x1C,r2
! Opcodes D8E8 - D8EF
X8E8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8004
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8004:
jmp @r4
mov #0x1C,r2
! Opcodes D8F0 - D8F7
X8F0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8005
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8005:
jmp @r4
mov #0x1C,r2
! Opcode D8F8
X8F8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8006
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8006:
jmp @r4
mov #0x1C,r2
! Opcode D8F9
X8F9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8007
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8007:
jmp @r4
mov #0x1C,r2
! Opcode D8FA
X8FA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8008
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8008:
jmp @r4
mov #0x1C,r2
! Opcode D8FB
X8FB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8009
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8009:
jmp @r4
mov #0x1C,r2
! Opcode D8FC
X8FC:
mov.l r3,@-r15
mov.w @r6+,r3
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8010
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8010:
jmp @r4
mov #0x1C,r2
! Opcodes D900 - D907
X900:
and r0,r2
mov r3,r4
mov #16,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl8012
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8012:
jmp @r4
mov #0x1C,r2
! Opcodes D908 - D90F
X908:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(48,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8014
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8014:
jmp @r4
mov #0x1C,r2
! Opcodes D910 - D917
X910:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8015
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8015:
jmp @r4
mov #0x1C,r2
! Opcodes D918 - D91F
X918:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8016
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8016:
jmp @r4
mov #0x1C,r2
! Opcodes D920 - D927
X920:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8017
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8017:
jmp @r4
mov #0x1C,r2
! Opcodes D928 - D92F
X928:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8018
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8018:
jmp @r4
mov #0x1C,r2
! Opcodes D930 - D937
X930:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8019
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8019:
jmp @r4
mov #0x1C,r2
! Opcode D938
X938:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8020
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8020:
jmp @r4
mov #0x1C,r2
! Opcode D939
X939:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8021
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8021:
jmp @r4
mov #0x1C,r2
! Opcodes D940 - D947
X940:
and r0,r2
mov r3,r4
mov #16,r0
mov.w @(r0,r13),r3
mov r2,r0
mov.w @(r0,r13),r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov #16,r0
mov.w r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl8023
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8023:
jmp @r4
mov #0x1C,r2
! Opcodes D948 - D94F
X948:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(48,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8025
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8025:
jmp @r4
mov #0x1C,r2
! Opcodes D950 - D957
X950:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8026
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8026:
jmp @r4
mov #0x1C,r2
! Opcodes D958 - D95F
X958:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8027
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8027:
jmp @r4
mov #0x1C,r2
! Opcodes D960 - D967
X960:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8028
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8028:
jmp @r4
mov #0x1C,r2
! Opcodes D968 - D96F
X968:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8029
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8029:
jmp @r4
mov #0x1C,r2
! Opcodes D970 - D977
X970:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8030
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8030:
jmp @r4
mov #0x1C,r2
! Opcode D978
X978:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8031
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8031:
jmp @r4
mov #0x1C,r2
! Opcode D979
X979:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8032
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8032:
jmp @r4
mov #0x1C,r2
! Opcodes D980 - D987
X980:
and r0,r2
mov r3,r4
mov.l @(16,r13),r3
mov r2,r0
mov.l @(r0,r13),r1
shlr r9
movt r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l r3,@(16,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8034
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8034:
jmp @r4
mov #0x1C,r2
! Opcodes D988 - D98F
X988:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(48,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl8036
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8036:
jmp @r4
mov #0x1C,r2
! Opcodes D990 - D997
X990:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8037
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8037:
jmp @r4
mov #0x1C,r2
! Opcodes D998 - D99F
X998:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8038
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8038:
jmp @r4
mov #0x1C,r2
! Opcodes D9A0 - D9A7
X9A0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl8039
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8039:
jmp @r4
mov #0x1C,r2
! Opcodes D9A8 - D9AF
X9A8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl8040
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8040:
jmp @r4
mov #0x1C,r2
! Opcodes D9B0 - D9B7
X9B0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl8041
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8041:
jmp @r4
mov #0x1C,r2
! Opcode D9B8
X9B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl8042
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8042:
jmp @r4
mov #0x1C,r2
! Opcode D9B9
X9B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl8043
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8043:
jmp @r4
mov #0x1C,r2
! Opcodes D9C0 - D9C7
X9C0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8044
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8044:
jmp @r4
mov #0x1C,r2
! Opcodes D9C8 - D9CF
X9C8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.l @r2,r3
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8045
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8045:
jmp @r4
mov #0x1C,r2
! Opcodes D9D0 - D9D7
X9D0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8046
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8046:
jmp @r4
mov #0x1C,r2
! Opcodes D9D8 - D9DF
X9D8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8047
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8047:
jmp @r4
mov #0x1C,r2
! Opcodes D9E0 - D9E7
X9E0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8048
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8048:
jmp @r4
mov #0x1C,r2
! Opcodes D9E8 - D9EF
X9E8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8049
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8049:
jmp @r4
mov #0x1C,r2
! Opcodes D9F0 - D9F7
X9F0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8050
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8050:
jmp @r4
mov #0x1C,r2
! Opcode D9F8
X9F8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8051
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8051:
jmp @r4
mov #0x1C,r2
! Opcode D9F9
X9F9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl8052
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8052:
jmp @r4
mov #0x1C,r2
! Opcode D9FA
X9FA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8053
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8053:
jmp @r4
mov #0x1C,r2
! Opcode D9FB
X9FB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8054
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8054:
jmp @r4
mov #0x1C,r2
! Opcode D9FC
X9FC:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8055
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8055:
jmp @r4
mov #0x1C,r2
! Opcodes DA00 - DA07
XA00:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl8056
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8056:
jmp @r4
mov #0x1C,r2
! Opcodes DA08 - DA0F
XA08:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl8057
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8057:
jmp @r4
mov #0x1C,r2
! Opcodes DA10 - DA17
XA10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8058
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8058:
jmp @r4
mov #0x1C,r2
! Opcodes DA18 - DA1F
XA18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8059
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8059:
jmp @r4
mov #0x1C,r2
! Opcodes DA20 - DA27
XA20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl8060
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8060:
jmp @r4
mov #0x1C,r2
! Opcodes DA28 - DA2F
XA28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8061
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8061:
jmp @r4
mov #0x1C,r2
! Opcodes DA30 - DA37
XA30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8062
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8062:
jmp @r4
mov #0x1C,r2
! Opcode DA38
XA38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8063
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8063:
jmp @r4
mov #0x1C,r2
! Opcode DA39
XA39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8064
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8064:
jmp @r4
mov #0x1C,r2
! Opcode DA3A
XA3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8065
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8065:
jmp @r4
mov #0x1C,r2
! Opcode DA3B
XA3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8066
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8066:
jmp @r4
mov #0x1C,r2
! Opcode DA3C
XA3C:
mov.b @r6,r3
add #2,r6
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8067
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8067:
jmp @r4
mov #0x1C,r2
! Opcodes DA40 - DA47
XA40:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl8068
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8068:
jmp @r4
mov #0x1C,r2
! Opcodes DA48 - DA4F
XA48:
and r0,r2
add r14,r2
mov.w @r2,r3
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl8069
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8069:
jmp @r4
mov #0x1C,r2
! Opcodes DA50 - DA57
XA50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8070
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8070:
jmp @r4
mov #0x1C,r2
! Opcodes DA58 - DA5F
XA58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8071
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8071:
jmp @r4
mov #0x1C,r2
! Opcodes DA60 - DA67
XA60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl8072
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8072:
jmp @r4
mov #0x1C,r2
! Opcodes DA68 - DA6F
XA68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8073
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8073:
jmp @r4
mov #0x1C,r2
! Opcodes DA70 - DA77
XA70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8074
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8074:
jmp @r4
mov #0x1C,r2
! Opcode DA78
XA78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8075
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8075:
jmp @r4
mov #0x1C,r2
! Opcode DA79
XA79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8076
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8076:
jmp @r4
mov #0x1C,r2
! Opcode DA7A
XA7A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8077
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8077:
jmp @r4
mov #0x1C,r2
! Opcode DA7B
XA7B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8078
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8078:
jmp @r4
mov #0x1C,r2
! Opcode DA7C
XA7C:
mov.w @r6+,r3
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8079
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8079:
jmp @r4
mov #0x1C,r2
! Opcodes DA80 - DA87
XA80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(20,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8080
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8080:
jmp @r4
mov #0x1C,r2
! Opcodes DA88 - DA8F
XA88:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(20,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8081
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8081:
jmp @r4
mov #0x1C,r2
! Opcodes DA90 - DA97
XA90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8082
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8082:
jmp @r4
mov #0x1C,r2
! Opcodes DA98 - DA9F
XA98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(20,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8083
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8083:
jmp @r4
mov #0x1C,r2
! Opcodes DAA0 - DAA7
XAA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(20,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8084
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8084:
jmp @r4
mov #0x1C,r2
! Opcodes DAA8 - DAAF
XAA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8085
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8085:
jmp @r4
mov #0x1C,r2
! Opcodes DAB0 - DAB7
XAB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8086
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8086:
jmp @r4
mov #0x1C,r2
! Opcode DAB8
XAB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8087
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8087:
jmp @r4
mov #0x1C,r2
! Opcode DAB9
XAB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl8088
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8088:
jmp @r4
mov #0x1C,r2
! Opcode DABA
XABA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8089
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8089:
jmp @r4
mov #0x1C,r2
! Opcode DABB
XABB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8090
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8090:
jmp @r4
mov #0x1C,r2
! Opcode DABC
XABC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(20,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8091
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8091:
jmp @r4
mov #0x1C,r2
! Opcodes DAC0 - DAC7
XAC0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8092
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8092:
jmp @r4
mov #0x1C,r2
! Opcodes DAC8 - DACF
XAC8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.w @r2,r3
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8093
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8093:
jmp @r4
mov #0x1C,r2
! Opcodes DAD0 - DAD7
XAD0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8094
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8094:
jmp @r4
mov #0x1C,r2
! Opcodes DAD8 - DADF
XAD8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8095
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8095:
jmp @r4
mov #0x1C,r2
! Opcodes DAE0 - DAE7
XAE0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8096
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8096:
jmp @r4
mov #0x1C,r2
! Opcodes DAE8 - DAEF
XAE8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8097
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8097:
jmp @r4
mov #0x1C,r2
! Opcodes DAF0 - DAF7
XAF0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8098
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8098:
jmp @r4
mov #0x1C,r2
! Opcode DAF8
XAF8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8099
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8099:
jmp @r4
mov #0x1C,r2
! Opcode DAF9
XAF9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8100
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8100:
jmp @r4
mov #0x1C,r2
! Opcode DAFA
XAFA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8101
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8101:
jmp @r4
mov #0x1C,r2
! Opcode DAFB
XAFB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8102
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8102:
jmp @r4
mov #0x1C,r2
! Opcode DAFC
XAFC:
mov.l r3,@-r15
mov.w @r6+,r3
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8103
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8103:
jmp @r4
mov #0x1C,r2
! Opcodes DB00 - DB07
XB00:
and r0,r2
mov r3,r4
mov #20,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl8105
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8105:
jmp @r4
mov #0x1C,r2
! Opcodes DB08 - DB0F
XB08:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(52,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8107
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8107:
jmp @r4
mov #0x1C,r2
! Opcodes DB10 - DB17
XB10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8108
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8108:
jmp @r4
mov #0x1C,r2
! Opcodes DB18 - DB1F
XB18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8109
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8109:
jmp @r4
mov #0x1C,r2
! Opcodes DB20 - DB27
XB20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8110
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8110:
jmp @r4
mov #0x1C,r2
! Opcodes DB28 - DB2F
XB28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8111
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8111:
jmp @r4
mov #0x1C,r2
! Opcodes DB30 - DB37
XB30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8112
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8112:
jmp @r4
mov #0x1C,r2
! Opcode DB38
XB38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8113
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8113:
jmp @r4
mov #0x1C,r2
! Opcode DB39
XB39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8114
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8114:
jmp @r4
mov #0x1C,r2
! Opcodes DB40 - DB47
XB40:
and r0,r2
mov r3,r4
mov #20,r0
mov.w @(r0,r13),r3
mov r2,r0
mov.w @(r0,r13),r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov #20,r0
mov.w r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl8116
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8116:
jmp @r4
mov #0x1C,r2
! Opcodes DB48 - DB4F
XB48:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(52,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8118
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8118:
jmp @r4
mov #0x1C,r2
! Opcodes DB50 - DB57
XB50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8119
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8119:
jmp @r4
mov #0x1C,r2
! Opcodes DB58 - DB5F
XB58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8120
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8120:
jmp @r4
mov #0x1C,r2
! Opcodes DB60 - DB67
XB60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8121
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8121:
jmp @r4
mov #0x1C,r2
! Opcodes DB68 - DB6F
XB68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8122
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8122:
jmp @r4
mov #0x1C,r2
! Opcodes DB70 - DB77
XB70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8123
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8123:
jmp @r4
mov #0x1C,r2
! Opcode DB78
XB78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8124
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8124:
jmp @r4
mov #0x1C,r2
! Opcode DB79
XB79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8125
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8125:
jmp @r4
mov #0x1C,r2
! Opcodes DB80 - DB87
XB80:
and r0,r2
mov r3,r4
mov.l @(20,r13),r3
mov r2,r0
mov.l @(r0,r13),r1
shlr r9
movt r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l r3,@(20,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8127
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8127:
jmp @r4
mov #0x1C,r2
! Opcodes DB88 - DB8F
XB88:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(52,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl8129
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8129:
jmp @r4
mov #0x1C,r2
! Opcodes DB90 - DB97
XB90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8130
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8130:
jmp @r4
mov #0x1C,r2
! Opcodes DB98 - DB9F
XB98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8131
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8131:
jmp @r4
mov #0x1C,r2
! Opcodes DBA0 - DBA7
XBA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl8132
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8132:
jmp @r4
mov #0x1C,r2
! Opcodes DBA8 - DBAF
XBA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl8133
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8133:
jmp @r4
mov #0x1C,r2
! Opcodes DBB0 - DBB7
XBB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl8134
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8134:
jmp @r4
mov #0x1C,r2
! Opcode DBB8
XBB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl8135
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8135:
jmp @r4
mov #0x1C,r2
! Opcode DBB9
XBB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl8136
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8136:
jmp @r4
mov #0x1C,r2
! Opcodes DBC0 - DBC7
XBC0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8137
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8137:
jmp @r4
mov #0x1C,r2
! Opcodes DBC8 - DBCF
XBC8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.l @r2,r3
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8138
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8138:
jmp @r4
mov #0x1C,r2
! Opcodes DBD0 - DBD7
XBD0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8139
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8139:
jmp @r4
mov #0x1C,r2
! Opcodes DBD8 - DBDF
XBD8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8140
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8140:
jmp @r4
mov #0x1C,r2
! Opcodes DBE0 - DBE7
XBE0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8141
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8141:
jmp @r4
mov #0x1C,r2
! Opcodes DBE8 - DBEF
XBE8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8142
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8142:
jmp @r4
mov #0x1C,r2
! Opcodes DBF0 - DBF7
XBF0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8143
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8143:
jmp @r4
mov #0x1C,r2
! Opcode DBF8
XBF8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8144
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8144:
jmp @r4
mov #0x1C,r2
! Opcode DBF9
XBF9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl8145
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8145:
jmp @r4
mov #0x1C,r2
! Opcode DBFA
XBFA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8146
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8146:
jmp @r4
mov #0x1C,r2
! Opcode DBFB
XBFB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8147
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8147:
jmp @r4
mov #0x1C,r2
! Opcode DBFC
XBFC:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8148
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8148:
jmp @r4
mov #0x1C,r2
! Opcodes DC00 - DC07
XC00:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl8149
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8149:
jmp @r4
mov #0x1C,r2
! Opcodes DC08 - DC0F
XC08:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl8150
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8150:
jmp @r4
mov #0x1C,r2
! Opcodes DC10 - DC17
XC10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8151
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8151:
jmp @r4
mov #0x1C,r2
! Opcodes DC18 - DC1F
XC18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8152
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8152:
jmp @r4
mov #0x1C,r2
! Opcodes DC20 - DC27
XC20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl8153
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8153:
jmp @r4
mov #0x1C,r2
! Opcodes DC28 - DC2F
XC28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8154
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8154:
jmp @r4
mov #0x1C,r2
! Opcodes DC30 - DC37
XC30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8155
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8155:
jmp @r4
mov #0x1C,r2
! Opcode DC38
XC38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8156
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8156:
jmp @r4
mov #0x1C,r2
! Opcode DC39
XC39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8157
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8157:
jmp @r4
mov #0x1C,r2
! Opcode DC3A
XC3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8158
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8158:
jmp @r4
mov #0x1C,r2
! Opcode DC3B
XC3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8159
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8159:
jmp @r4
mov #0x1C,r2
! Opcode DC3C
XC3C:
mov.b @r6,r3
add #2,r6
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8160
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8160:
jmp @r4
mov #0x1C,r2
! Opcodes DC40 - DC47
XC40:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl8161
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8161:
jmp @r4
mov #0x1C,r2
! Opcodes DC48 - DC4F
XC48:
and r0,r2
add r14,r2
mov.w @r2,r3
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl8162
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8162:
jmp @r4
mov #0x1C,r2
! Opcodes DC50 - DC57
XC50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8163
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8163:
jmp @r4
mov #0x1C,r2
! Opcodes DC58 - DC5F
XC58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8164
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8164:
jmp @r4
mov #0x1C,r2
! Opcodes DC60 - DC67
XC60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl8165
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8165:
jmp @r4
mov #0x1C,r2
! Opcodes DC68 - DC6F
XC68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8166
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8166:
jmp @r4
mov #0x1C,r2
! Opcodes DC70 - DC77
XC70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8167
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8167:
jmp @r4
mov #0x1C,r2
! Opcode DC78
XC78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8168
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8168:
jmp @r4
mov #0x1C,r2
! Opcode DC79
XC79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8169
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8169:
jmp @r4
mov #0x1C,r2
! Opcode DC7A
XC7A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8170
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8170:
jmp @r4
mov #0x1C,r2
! Opcode DC7B
XC7B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8171
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8171:
jmp @r4
mov #0x1C,r2
! Opcode DC7C
XC7C:
mov.w @r6+,r3
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8172
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8172:
jmp @r4
mov #0x1C,r2
! Opcodes DC80 - DC87
XC80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(24,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8173
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8173:
jmp @r4
mov #0x1C,r2
! Opcodes DC88 - DC8F
XC88:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(24,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8174
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8174:
jmp @r4
mov #0x1C,r2
! Opcodes DC90 - DC97
XC90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8175
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8175:
jmp @r4
mov #0x1C,r2
! Opcodes DC98 - DC9F
XC98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(24,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8176
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8176:
jmp @r4
mov #0x1C,r2
! Opcodes DCA0 - DCA7
XCA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(24,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8177
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8177:
jmp @r4
mov #0x1C,r2
! Opcodes DCA8 - DCAF
XCA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8178
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8178:
jmp @r4
mov #0x1C,r2
! Opcodes DCB0 - DCB7
XCB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8179
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8179:
jmp @r4
mov #0x1C,r2
! Opcode DCB8
XCB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8180
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8180:
jmp @r4
mov #0x1C,r2
! Opcode DCB9
XCB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl8181
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8181:
jmp @r4
mov #0x1C,r2
! Opcode DCBA
XCBA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8182
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8182:
jmp @r4
mov #0x1C,r2
! Opcode DCBB
XCBB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8183
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8183:
jmp @r4
mov #0x1C,r2
! Opcode DCBC
XCBC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(24,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8184
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8184:
jmp @r4
mov #0x1C,r2
! Opcodes DCC0 - DCC7
XCC0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8185
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8185:
jmp @r4
mov #0x1C,r2
! Opcodes DCC8 - DCCF
XCC8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.w @r2,r3
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8186
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8186:
jmp @r4
mov #0x1C,r2
! Opcodes DCD0 - DCD7
XCD0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8187
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8187:
jmp @r4
mov #0x1C,r2
! Opcodes DCD8 - DCDF
XCD8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8188
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8188:
jmp @r4
mov #0x1C,r2
! Opcodes DCE0 - DCE7
XCE0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8189
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8189:
jmp @r4
mov #0x1C,r2
! Opcodes DCE8 - DCEF
XCE8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8190
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8190:
jmp @r4
mov #0x1C,r2
! Opcodes DCF0 - DCF7
XCF0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8191
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8191:
jmp @r4
mov #0x1C,r2
! Opcode DCF8
XCF8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8192
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8192:
jmp @r4
mov #0x1C,r2
! Opcode DCF9
XCF9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8193
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8193:
jmp @r4
mov #0x1C,r2
! Opcode DCFA
XCFA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8194
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8194:
jmp @r4
mov #0x1C,r2
! Opcode DCFB
XCFB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8195
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8195:
jmp @r4
mov #0x1C,r2
! Opcode DCFC
XCFC:
mov.l r3,@-r15
mov.w @r6+,r3
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8196
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8196:
jmp @r4
mov #0x1C,r2
! Opcodes DD00 - DD07
XD00:
and r0,r2
mov r3,r4
mov #24,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl8198
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8198:
jmp @r4
mov #0x1C,r2
! Opcodes DD08 - DD0F
XD08:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(56,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8200
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8200:
jmp @r4
mov #0x1C,r2
! Opcodes DD10 - DD17
XD10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8201
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8201:
jmp @r4
mov #0x1C,r2
! Opcodes DD18 - DD1F
XD18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8202
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8202:
jmp @r4
mov #0x1C,r2
! Opcodes DD20 - DD27
XD20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8203
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8203:
jmp @r4
mov #0x1C,r2
! Opcodes DD28 - DD2F
XD28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8204
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8204:
jmp @r4
mov #0x1C,r2
! Opcodes DD30 - DD37
XD30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8205
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8205:
jmp @r4
mov #0x1C,r2
! Opcode DD38
XD38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8206
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8206:
jmp @r4
mov #0x1C,r2
! Opcode DD39
XD39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8207
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8207:
jmp @r4
mov #0x1C,r2
! Opcodes DD40 - DD47
XD40:
and r0,r2
mov r3,r4
mov #24,r0
mov.w @(r0,r13),r3
mov r2,r0
mov.w @(r0,r13),r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov #24,r0
mov.w r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl8209
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8209:
jmp @r4
mov #0x1C,r2
! Opcodes DD48 - DD4F
XD48:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(56,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8211
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8211:
jmp @r4
mov #0x1C,r2
! Opcodes DD50 - DD57
XD50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8212
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8212:
jmp @r4
mov #0x1C,r2
! Opcodes DD58 - DD5F
XD58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8213
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8213:
jmp @r4
mov #0x1C,r2
! Opcodes DD60 - DD67
XD60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8214
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8214:
jmp @r4
mov #0x1C,r2
! Opcodes DD68 - DD6F
XD68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8215
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8215:
jmp @r4
mov #0x1C,r2
! Opcodes DD70 - DD77
XD70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8216
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8216:
jmp @r4
mov #0x1C,r2
! Opcode DD78
XD78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8217
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8217:
jmp @r4
mov #0x1C,r2
! Opcode DD79
XD79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8218
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8218:
jmp @r4
mov #0x1C,r2
! Opcodes DD80 - DD87
XD80:
and r0,r2
mov r3,r4
mov.l @(24,r13),r3
mov r2,r0
mov.l @(r0,r13),r1
shlr r9
movt r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l r3,@(24,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8220
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8220:
jmp @r4
mov #0x1C,r2
! Opcodes DD88 - DD8F
XD88:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(56,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl8222
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8222:
jmp @r4
mov #0x1C,r2
! Opcodes DD90 - DD97
XD90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8223
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8223:
jmp @r4
mov #0x1C,r2
! Opcodes DD98 - DD9F
XD98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8224
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8224:
jmp @r4
mov #0x1C,r2
! Opcodes DDA0 - DDA7
XDA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl8225
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8225:
jmp @r4
mov #0x1C,r2
! Opcodes DDA8 - DDAF
XDA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl8226
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8226:
jmp @r4
mov #0x1C,r2
! Opcodes DDB0 - DDB7
XDB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl8227
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8227:
jmp @r4
mov #0x1C,r2
! Opcode DDB8
XDB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl8228
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8228:
jmp @r4
mov #0x1C,r2
! Opcode DDB9
XDB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl8229
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8229:
jmp @r4
mov #0x1C,r2
! Opcodes DDC0 - DDC7
XDC0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8230
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8230:
jmp @r4
mov #0x1C,r2
! Opcodes DDC8 - DDCF
XDC8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.l @r2,r3
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8231
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8231:
jmp @r4
mov #0x1C,r2
! Opcodes DDD0 - DDD7
XDD0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8232
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8232:
jmp @r4
mov #0x1C,r2
! Opcodes DDD8 - DDDF
XDD8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8233
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8233:
jmp @r4
mov #0x1C,r2
! Opcodes DDE0 - DDE7
XDE0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8234
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8234:
jmp @r4
mov #0x1C,r2
! Opcodes DDE8 - DDEF
XDE8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8235
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8235:
jmp @r4
mov #0x1C,r2
! Opcodes DDF0 - DDF7
XDF0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8236
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8236:
jmp @r4
mov #0x1C,r2
! Opcode DDF8
XDF8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8237
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8237:
jmp @r4
mov #0x1C,r2
! Opcode DDF9
XDF9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl8238
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8238:
jmp @r4
mov #0x1C,r2
! Opcode DDFA
XDFA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8239
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8239:
jmp @r4
mov #0x1C,r2
! Opcode DDFB
XDFB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8240
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8240:
jmp @r4
mov #0x1C,r2
! Opcode DDFC
XDFC:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8241
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8241:
jmp @r4
mov #0x1C,r2
! Opcodes DE00 - DE07
XE00:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl8242
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8242:
jmp @r4
mov #0x1C,r2
! Opcodes DE08 - DE0F
XE08:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl8243
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8243:
jmp @r4
mov #0x1C,r2
! Opcodes DE10 - DE17
XE10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8244
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8244:
jmp @r4
mov #0x1C,r2
! Opcodes DE18 - DE1F
XE18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8245
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8245:
jmp @r4
mov #0x1C,r2
! Opcodes DE20 - DE27
XE20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl8246
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8246:
jmp @r4
mov #0x1C,r2
! Opcodes DE28 - DE2F
XE28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8247
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8247:
jmp @r4
mov #0x1C,r2
! Opcodes DE30 - DE37
XE30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8248
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8248:
jmp @r4
mov #0x1C,r2
! Opcode DE38
XE38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8249
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8249:
jmp @r4
mov #0x1C,r2
! Opcode DE39
XE39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8250
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8250:
jmp @r4
mov #0x1C,r2
! Opcode DE3A
XE3A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8251
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8251:
jmp @r4
mov #0x1C,r2
! Opcode DE3B
XE3B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8252
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8252:
jmp @r4
mov #0x1C,r2
! Opcode DE3C
XE3C:
mov.b @r6,r3
add #2,r6
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8253
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8253:
jmp @r4
mov #0x1C,r2
! Opcodes DE40 - DE47
XE40:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl8254
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8254:
jmp @r4
mov #0x1C,r2
! Opcodes DE48 - DE4F
XE48:
and r0,r2
add r14,r2
mov.w @r2,r3
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl8255
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8255:
jmp @r4
mov #0x1C,r2
! Opcodes DE50 - DE57
XE50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8256
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8256:
jmp @r4
mov #0x1C,r2
! Opcodes DE58 - DE5F
XE58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8257
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8257:
jmp @r4
mov #0x1C,r2
! Opcodes DE60 - DE67
XE60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl8258
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8258:
jmp @r4
mov #0x1C,r2
! Opcodes DE68 - DE6F
XE68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8259
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8259:
jmp @r4
mov #0x1C,r2
! Opcodes DE70 - DE77
XE70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8260
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8260:
jmp @r4
mov #0x1C,r2
! Opcode DE78
XE78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8261
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8261:
jmp @r4
mov #0x1C,r2
! Opcode DE79
XE79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8262
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8262:
jmp @r4
mov #0x1C,r2
! Opcode DE7A
XE7A:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8263
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8263:
jmp @r4
mov #0x1C,r2
! Opcode DE7B
XE7B:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8264
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8264:
jmp @r4
mov #0x1C,r2
! Opcode DE7C
XE7C:
mov.w @r6+,r3
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8265
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8265:
jmp @r4
mov #0x1C,r2
! Opcodes DE80 - DE87
XE80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov.l @(28,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8266
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8266:
jmp @r4
mov #0x1C,r2
! Opcodes DE88 - DE8F
XE88:
and r0,r2
add r14,r2
mov.l @r2,r3
mov.l @(28,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8267
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8267:
jmp @r4
mov #0x1C,r2
! Opcodes DE90 - DE97
XE90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8268
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8268:
jmp @r4
mov #0x1C,r2
! Opcodes DE98 - DE9F
XE98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(28,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8269
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8269:
jmp @r4
mov #0x1C,r2
! Opcodes DEA0 - DEA7
XEA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(28,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8270
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8270:
jmp @r4
mov #0x1C,r2
! Opcodes DEA8 - DEAF
XEA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8271
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8271:
jmp @r4
mov #0x1C,r2
! Opcodes DEB0 - DEB7
XEB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8272
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8272:
jmp @r4
mov #0x1C,r2
! Opcode DEB8
XEB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8273
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8273:
jmp @r4
mov #0x1C,r2
! Opcode DEB9
XEB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl8274
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8274:
jmp @r4
mov #0x1C,r2
! Opcode DEBA
XEBA:
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8275
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8275:
jmp @r4
mov #0x1C,r2
! Opcode DEBB
XEBB:
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8276
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8276:
jmp @r4
mov #0x1C,r2
! Opcode DEBC
XEBC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(28,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
mov r1,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8277
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8277:
jmp @r4
mov #0x1C,r2
! Opcodes DEC0 - DEC7
XEC0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8278
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8278:
jmp @r4
mov #0x1C,r2
! Opcodes DEC8 - DECF
XEC8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.w @r2,r3
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8279
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8279:
jmp @r4
mov #0x1C,r2
! Opcodes DED0 - DED7
XED0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8280
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8280:
jmp @r4
mov #0x1C,r2
! Opcodes DED8 - DEDF
XED8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8281
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8281:
jmp @r4
mov #0x1C,r2
! Opcodes DEE0 - DEE7
XEE0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8282
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8282:
jmp @r4
mov #0x1C,r2
! Opcodes DEE8 - DEEF
XEE8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8283
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8283:
jmp @r4
mov #0x1C,r2
! Opcodes DEF0 - DEF7
XEF0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8284
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8284:
jmp @r4
mov #0x1C,r2
! Opcode DEF8
XEF8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8285
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8285:
jmp @r4
mov #0x1C,r2
! Opcode DEF9
XEF9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8286
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8286:
jmp @r4
mov #0x1C,r2
! Opcode DEFA
XEFA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8287
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8287:
jmp @r4
mov #0x1C,r2
! Opcode DEFB
XEFB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8288
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8288:
jmp @r4
mov #0x1C,r2
! Opcode DEFC
XEFC:
mov.l r3,@-r15
mov.w @r6+,r3
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8289
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8289:
jmp @r4
mov #0x1C,r2
! Opcodes DF00 - DF07
XF00:
and r0,r2
mov r3,r4
mov #28,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl8291
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8291:
jmp @r4
mov #0x1C,r2
! Opcodes DF08 - DF0F
XF08:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(60,r13),r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
mov #24,r0
shld r0,r1
shld r0,r3
shld r0,r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8293
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8293:
jmp @r4
mov #0x1C,r2
! Opcodes DF10 - DF17
XF10:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8294
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8294:
jmp @r4
mov #0x1C,r2
! Opcodes DF18 - DF1F
XF18:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8295
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8295:
jmp @r4
mov #0x1C,r2
! Opcodes DF20 - DF27
XF20:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8296
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8296:
jmp @r4
mov #0x1C,r2
! Opcodes DF28 - DF2F
XF28:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8297
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8297:
jmp @r4
mov #0x1C,r2
! Opcodes DF30 - DF37
XF30:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8298
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8298:
jmp @r4
mov #0x1C,r2
! Opcode DF38
XF38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8299
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8299:
jmp @r4
mov #0x1C,r2
! Opcode DF39
XF39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8300
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8300:
jmp @r4
mov #0x1C,r2
! Opcodes DF40 - DF47
XF40:
and r0,r2
mov r3,r4
mov #28,r0
mov.w @(r0,r13),r3
mov r2,r0
mov.w @(r0,r13),r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov #28,r0
mov.w r3,@(r0,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-4,r7
shll2 r0
cmp/pl r7
bt/s fdl8302
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8302:
jmp @r4
mov #0x1C,r2
! Opcodes DF48 - DF4F
XF48:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(60,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
shll16 r1
shll16 r3
shll16 r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8304
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8304:
jmp @r4
mov #0x1C,r2
! Opcodes DF50 - DF57
XF50:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8305
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8305:
jmp @r4
mov #0x1C,r2
! Opcodes DF58 - DF5F
XF58:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8306
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8306:
jmp @r4
mov #0x1C,r2
! Opcodes DF60 - DF67
XF60:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8307
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8307:
jmp @r4
mov #0x1C,r2
! Opcodes DF68 - DF6F
XF68:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8308
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8308:
jmp @r4
mov #0x1C,r2
! Opcodes DF70 - DF77
XF70:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8309
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8309:
jmp @r4
mov #0x1C,r2
! Opcode DF78
XF78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8310
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8310:
jmp @r4
mov #0x1C,r2
! Opcode DF79
XF79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8311
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8311:
jmp @r4
mov #0x1C,r2
! Opcodes DF80 - DF87
XF80:
and r0,r2
mov r3,r4
mov.l @(28,r13),r3
mov r2,r0
mov.l @(r0,r13),r1
shlr r9
movt r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l r3,@(28,r13)
rotl r3
addc r8,r8
or r4,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8313
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8313:
jmp @r4
mov #0x1C,r2
! Opcodes DF88 - DF8F
XF88:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(60,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r1
shlr r9
movt r8
clrt
mov r3,r0
addc r1,r3
movt r9
clrt
addc r8,r3
movt r3
or r3,r9
addv r1,r0
movt r3
addv r8,r0
movt r8
or r3,r8
cmp/pl r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov.l @r15+,r2
rotl r3
addc r8,r8
or r2,r3
mov.w @r6+,r0
add #-30,r7
shll2 r0
cmp/pl r7
bt/s fdl8315
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8315:
jmp @r4
mov #0x1C,r2
! Opcodes DF90 - DF97
XF90:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8316
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8316:
jmp @r4
mov #0x1C,r2
! Opcodes DF98 - DF9F
XF98:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8317
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8317:
jmp @r4
mov #0x1C,r2
! Opcodes DFA0 - DFA7
XFA0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl8318
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8318:
jmp @r4
mov #0x1C,r2
! Opcodes DFA8 - DFAF
XFA8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl8319
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8319:
jmp @r4
mov #0x1C,r2
! Opcodes DFB0 - DFB7
XFB0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
shll2 r0
cmp/pl r7
bt/s fdl8320
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8320:
jmp @r4
mov #0x1C,r2
! Opcode DFB8
XFB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl8321
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8321:
jmp @r4
mov #0x1C,r2
! Opcode DFB9
XFB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
shll2 r0
cmp/pl r7
bt/s fdl8322
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8322:
jmp @r4
mov #0x1C,r2
! Opcodes DFC0 - DFC7
XFC0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8323
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8323:
jmp @r4
mov #0x1C,r2
! Opcodes DFC8 - DFCF
XFC8:
and r0,r2
mov.l r3,@-r15
add r14,r2
mov.l @r2,r3
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8324
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8324:
jmp @r4
mov #0x1C,r2
! Opcodes DFD0 - DFD7
XFD0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8325
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8325:
jmp @r4
mov #0x1C,r2
! Opcodes DFD8 - DFDF
XFD8:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8326
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8326:
jmp @r4
mov #0x1C,r2
! Opcodes DFE0 - DFE7
XFE0:
and r0,r2
mov.l r3,@-r15
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8327
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8327:
jmp @r4
mov #0x1C,r2
! Opcodes DFE8 - DFEF
XFE8:
and r0,r2
mov.l r3,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8328
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8328:
jmp @r4
mov #0x1C,r2
! Opcodes DFF0 - DFF7
XFF0:
and r0,r2
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8329
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8329:
jmp @r4
mov #0x1C,r2
! Opcode DFF8
XFF8:
mov.l r3,@-r15
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8330
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8330:
jmp @r4
mov #0x1C,r2
! Opcode DFF9
XFF9:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl8331
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8331:
jmp @r4
mov #0x1C,r2
! Opcode DFFA
XFFA:
mov.l r3,@-r15
mov r6,r0
mov.w @r6+,r4
sub r5,r0
add r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8332
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8332:
jmp @r4
mov #0x1C,r2
! Opcode DFFB
XFFB:
mov.l r3,@-r15
mov.l @(decode_extw_addr-fetch_idx,r11),r4
mov r6,r1
jsr @r4
sub r5,r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8333
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8333:
jmp @r4
mov #0x1C,r2
! Opcode DFFC
XFFC:
mov.l r3,@-r15
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.l @r15+,r3
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8334
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8334:
jmp @r4
mov #0x1C,r2
! Opcodes E000 - E007
Y000:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #-7,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl8337
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8337:
jmp @r4
mov #0x1C,r2
! Opcodes E008 - E00F
Y008:
and r0,r2
add r13,r2
mov.b @r2,r3
extu.b r3,r3
mov #-7,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl8340
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8340:
jmp @r4
mov #0x1C,r2
! Opcodes E010 - E017
Y010:
and r0,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #8,r0
extu.b r3,r3
ln8342:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln8342
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl8343
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8343:
jmp @r4
mov #0x1C,r2
! Opcodes E018 - E01F
Y018:
and r0,r2
add r13,r2
mov.b @r2,r3
clrt
mov #8,r0
extu.b r3,r3
ln8345:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln8345
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl8346
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8346:
jmp @r4
mov #0x1C,r2
! Opcodes E020 - E027
Y020:
and r0,r2
mov.l @r13,r0
and #0x3F,r0
tst r0,r0
bf ln8347
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8348
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8348:
jmp @r4
mov #0x1C,r2
ln8347:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8349
add #-31,r0
mov #-31,r1
shad r1,r3
nobitover8349:
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8350
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8350:
jmp @r4
mov #0x1C,r2
! Opcodes E028 - E02F
Y028:
and r0,r2
mov.l @r13,r0
and #0x3F,r0
tst r0,r0
bf ln8351
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8352
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8352:
jmp @r4
mov #0x1C,r2
ln8351:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
extu.b r3,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8353
add #-31,r0
mov #-31,r1
shld r1,r3
nobitover8353:
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8354
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8354:
jmp @r4
mov #0x1C,r2
! Opcodes E030 - E037
Y030:
and r0,r2
mov.l @r13,r0
and #0x3F,r0
tst r0,r0
bf ln8355
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8356
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8356:
jmp @r4
mov #0x1C,r2
ln8355:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
extu.b r3,r3
ln8357:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln8357
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8358
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8358:
jmp @r4
mov #0x1C,r2
! Opcodes E038 - E03F
Y038:
and r0,r2
mov.l @r13,r0
and #0x3F,r0
tst r0,r0
bf ln8359
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8360
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8360:
jmp @r4
mov #0x1C,r2
ln8359:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
extu.b r3,r3
ln8361:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln8361
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8362
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8362:
jmp @r4
mov #0x1C,r2
! Opcodes E040 - E047
Y040:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #-7,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl8365
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8365:
jmp @r4
mov #0x1C,r2
! Opcodes E048 - E04F
Y048:
and r0,r2
add r13,r2
mov.w @r2,r3
extu.w r3,r3
mov #-7,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl8368
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8368:
jmp @r4
mov #0x1C,r2
! Opcodes E050 - E057
Y050:
and r0,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #8,r0
extu.w r3,r3
ln8370:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln8370
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl8371
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8371:
jmp @r4
mov #0x1C,r2
! Opcodes E058 - E05F
Y058:
and r0,r2
add r13,r2
mov.w @r2,r3
clrt
mov #8,r0
extu.w r3,r3
ln8373:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln8373
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl8374
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8374:
jmp @r4
mov #0x1C,r2
! Opcodes E060 - E067
Y060:
and r0,r2
mov.l @r13,r0
and #0x3F,r0
tst r0,r0
bf ln8375
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8376
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8376:
jmp @r4
mov #0x1C,r2
ln8375:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8377
add #-31,r0
mov #-31,r1
shad r1,r3
nobitover8377:
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8378
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8378:
jmp @r4
mov #0x1C,r2
! Opcodes E068 - E06F
Y068:
and r0,r2
mov.l @r13,r0
and #0x3F,r0
tst r0,r0
bf ln8379
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8380
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8380:
jmp @r4
mov #0x1C,r2
ln8379:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
extu.w r3,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8381
add #-31,r0
mov #-31,r1
shld r1,r3
nobitover8381:
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8382
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8382:
jmp @r4
mov #0x1C,r2
! Opcodes E070 - E077
Y070:
and r0,r2
mov.l @r13,r0
and #0x3F,r0
tst r0,r0
bf ln8383
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8384
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8384:
jmp @r4
mov #0x1C,r2
ln8383:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
extu.w r3,r3
ln8385:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln8385
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8386
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8386:
jmp @r4
mov #0x1C,r2
! Opcodes E078 - E07F
Y078:
and r0,r2
mov.l @r13,r0
and #0x3F,r0
tst r0,r0
bf ln8387
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8388
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8388:
jmp @r4
mov #0x1C,r2
ln8387:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
extu.w r3,r3
ln8389:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln8389
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8390
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8390:
jmp @r4
mov #0x1C,r2
! Opcodes E080 - E087
Y080:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #-7,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl8393
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8393:
jmp @r4
mov #0x1C,r2
! Opcodes E088 - E08F
Y088:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #-7,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl8396
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8396:
jmp @r4
mov #0x1C,r2
! Opcodes E090 - E097
Y090:
and r0,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #8,r0
ln8398:
rotcr r3
movt r8
dt r0
bf/s ln8398
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl8399
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8399:
jmp @r4
mov #0x1C,r2
! Opcodes E098 - E09F
Y098:
and r0,r2
add r13,r2
mov.l @r2,r3
clrt
mov #8,r0
ln8401:
rotr r3
movt r8
dt r0
bf ln8401
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl8402
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8402:
jmp @r4
mov #0x1C,r2
! Opcodes E0A0 - E0A7
Y0A0:
and r0,r2
mov.l @r13,r0
and #0x3F,r0
tst r0,r0
bf ln8403
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8404
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8404:
jmp @r4
mov #0x1C,r2
ln8403:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8405
add #-31,r0
mov #-31,r1
shad r1,r3
nobitover8405:
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8406
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8406:
jmp @r4
mov #0x1C,r2
! Opcodes E0A8 - E0AF
Y0A8:
and r0,r2
mov.l @r13,r0
and #0x3F,r0
tst r0,r0
bf ln8407
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8408
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8408:
jmp @r4
mov #0x1C,r2
ln8407:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8409
add #-31,r0
mov #-31,r1
shld r1,r3
nobitover8409:
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8410
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8410:
jmp @r4
mov #0x1C,r2
! Opcodes E0B0 - E0B7
Y0B0:
and r0,r2
mov.l @r13,r0
and #0x3F,r0
tst r0,r0
bf ln8411
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8412
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8412:
jmp @r4
mov #0x1C,r2
ln8411:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln8413:
rotcr r3
movt r8
dt r0
bf/s ln8413
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8414
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8414:
jmp @r4
mov #0x1C,r2
! Opcodes E0B8 - E0BF
Y0B8:
and r0,r2
mov.l @r13,r0
and #0x3F,r0
tst r0,r0
bf ln8415
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8416
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8416:
jmp @r4
mov #0x1C,r2
ln8415:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln8417:
rotr r3
movt r8
dt r0
bf ln8417
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8418
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8418:
jmp @r4
mov #0x1C,r2
! Opcodes E0D0 - E0D7
Y0D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
extu.w r3,r3
shar r3
mov r3,r0
shlr16 r0
or r0,r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8419
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8419:
jmp @r4
mov #0x1C,r2
! Opcodes E0D8 - E0DF
Y0D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
extu.w r3,r3
shar r3
mov r3,r0
shlr16 r0
or r0,r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8420
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8420:
jmp @r4
mov #0x1C,r2
! Opcodes E0E0 - E0E7
Y0E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
extu.w r3,r3
shar r3
mov r3,r0
shlr16 r0
or r0,r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8421
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8421:
jmp @r4
mov #0x1C,r2
! Opcodes E0E8 - E0EF
Y0E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
extu.w r3,r3
shar r3
mov r3,r0
shlr16 r0
or r0,r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8422
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8422:
jmp @r4
mov #0x1C,r2
! Opcodes E0F0 - E0F7
Y0F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
extu.w r3,r3
shar r3
mov r3,r0
shlr16 r0
or r0,r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8423
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8423:
jmp @r4
mov #0x1C,r2
! Opcode E0F8
Y0F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
extu.w r3,r3
shar r3
mov r3,r0
shlr16 r0
or r0,r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8424
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8424:
jmp @r4
mov #0x1C,r2
! Opcode E0F9
Y0F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
extu.w r3,r3
shar r3
mov r3,r0
shlr16 r0
or r0,r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8425
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8425:
jmp @r4
mov #0x1C,r2
! Opcodes E100 - E107
Y100:
and r0,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl8428
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8428:
jmp @r4
mov #0x1C,r2
! Opcodes E108 - E10F
Y108:
and r0,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #7,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl8431
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8431:
jmp @r4
mov #0x1C,r2
! Opcodes E110 - E117
Y110:
and r0,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #8,r0
ln8433:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln8433
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl8434
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8434:
jmp @r4
mov #0x1C,r2
! Opcodes E118 - E11F
Y118:
and r0,r2
add r13,r2
mov.b @r2,r3
clrt
mov #8,r0
ln8436:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln8436
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl8437
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8437:
jmp @r4
mov #0x1C,r2
! Opcodes E120 - E127
Y120:
and r0,r2
mov.l @r13,r0
and #0x3F,r0
tst r0,r0
bf ln8438
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8439
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8439:
jmp @r4
mov #0x1C,r2
ln8438:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov r3,r1
mov #0,r8
ln8440:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln8440
cmp/pl r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8441
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8441:
jmp @r4
mov #0x1C,r2
! Opcodes E128 - E12F
Y128:
and r0,r2
mov.l @r13,r0
and #0x3F,r0
tst r0,r0
bf ln8442
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8443
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8443:
jmp @r4
mov #0x1C,r2
ln8442:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8444
add #-31,r0
mov #31,r1
shld r1,r3
nobitover8444:
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8445
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8445:
jmp @r4
mov #0x1C,r2
! Opcodes E130 - E137
Y130:
and r0,r2
mov.l @r13,r0
and #0x3F,r0
tst r0,r0
bf ln8446
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8447
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8447:
jmp @r4
mov #0x1C,r2
ln8446:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
ln8448:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln8448
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8449
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8449:
jmp @r4
mov #0x1C,r2
! Opcodes E138 - E13F
Y138:
and r0,r2
mov.l @r13,r0
and #0x3F,r0
tst r0,r0
bf ln8450
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8451
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8451:
jmp @r4
mov #0x1C,r2
ln8450:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
ln8452:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln8452
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8453
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8453:
jmp @r4
mov #0x1C,r2
! Opcodes E140 - E147
Y140:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl8456
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8456:
jmp @r4
mov #0x1C,r2
! Opcodes E148 - E14F
Y148:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #7,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl8459
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8459:
jmp @r4
mov #0x1C,r2
! Opcodes E150 - E157
Y150:
and r0,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #8,r0
ln8461:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln8461
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl8462
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8462:
jmp @r4
mov #0x1C,r2
! Opcodes E158 - E15F
Y158:
and r0,r2
add r13,r2
mov.w @r2,r3
clrt
mov #8,r0
ln8464:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln8464
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl8465
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8465:
jmp @r4
mov #0x1C,r2
! Opcodes E160 - E167
Y160:
and r0,r2
mov.l @r13,r0
and #0x3F,r0
tst r0,r0
bf ln8466
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8467
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8467:
jmp @r4
mov #0x1C,r2
ln8466:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
mov r3,r1
mov #0,r8
ln8468:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln8468
cmp/pl r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8469
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8469:
jmp @r4
mov #0x1C,r2
! Opcodes E168 - E16F
Y168:
and r0,r2
mov.l @r13,r0
and #0x3F,r0
tst r0,r0
bf ln8470
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8471
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8471:
jmp @r4
mov #0x1C,r2
ln8470:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8472
add #-31,r0
mov #31,r1
shld r1,r3
nobitover8472:
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8473
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8473:
jmp @r4
mov #0x1C,r2
! Opcodes E170 - E177
Y170:
and r0,r2
mov.l @r13,r0
and #0x3F,r0
tst r0,r0
bf ln8474
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8475
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8475:
jmp @r4
mov #0x1C,r2
ln8474:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
ln8476:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln8476
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8477
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8477:
jmp @r4
mov #0x1C,r2
! Opcodes E178 - E17F
Y178:
and r0,r2
mov.l @r13,r0
and #0x3F,r0
tst r0,r0
bf ln8478
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8479
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8479:
jmp @r4
mov #0x1C,r2
ln8478:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
ln8480:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln8480
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8481
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8481:
jmp @r4
mov #0x1C,r2
! Opcodes E180 - E187
Y180:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl8484
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8484:
jmp @r4
mov #0x1C,r2
! Opcodes E188 - E18F
Y188:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #7,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl8487
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8487:
jmp @r4
mov #0x1C,r2
! Opcodes E190 - E197
Y190:
and r0,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #8,r0
ln8489:
rotcl r3
movt r8
dt r0
bf/s ln8489
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl8490
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8490:
jmp @r4
mov #0x1C,r2
! Opcodes E198 - E19F
Y198:
and r0,r2
add r13,r2
mov.l @r2,r3
clrt
mov #8,r0
ln8492:
rotl r3
movt r8
dt r0
bf ln8492
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
shll2 r0
cmp/pl r7
bt/s fdl8493
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8493:
jmp @r4
mov #0x1C,r2
! Opcodes E1A0 - E1A7
Y1A0:
and r0,r2
mov.l @r13,r0
and #0x3F,r0
tst r0,r0
bf ln8494
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8495
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8495:
jmp @r4
mov #0x1C,r2
ln8494:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov r3,r1
mov #0,r8
ln8496:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln8496
cmp/pl r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8497
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8497:
jmp @r4
mov #0x1C,r2
! Opcodes E1A8 - E1AF
Y1A8:
and r0,r2
mov.l @r13,r0
and #0x3F,r0
tst r0,r0
bf ln8498
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8499
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8499:
jmp @r4
mov #0x1C,r2
ln8498:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8500
add #-31,r0
mov #31,r1
shld r1,r3
nobitover8500:
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8501
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8501:
jmp @r4
mov #0x1C,r2
! Opcodes E1B0 - E1B7
Y1B0:
and r0,r2
mov.l @r13,r0
and #0x3F,r0
tst r0,r0
bf ln8502
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8503
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8503:
jmp @r4
mov #0x1C,r2
ln8502:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln8504:
rotcl r3
movt r8
dt r0
bf/s ln8504
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8505
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8505:
jmp @r4
mov #0x1C,r2
! Opcodes E1B8 - E1BF
Y1B8:
and r0,r2
mov.l @r13,r0
and #0x3F,r0
tst r0,r0
bf ln8506
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8507
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8507:
jmp @r4
mov #0x1C,r2
ln8506:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln8508:
rotl r3
movt r8
dt r0
bf ln8508
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8509
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8509:
jmp @r4
mov #0x1C,r2
! Opcodes E1D0 - E1D7
Y1D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shal r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
mov r3,r0
shll r0
movt r0
xor r8,r0
shll r0
or r0,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8510
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8510:
jmp @r4
mov #0x1C,r2
! Opcodes E1D8 - E1DF
Y1D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shal r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
exts.w r3,r3
mov r3,r0
shll r0
movt r0
xor r8,r0
shll r0
or r0,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8511
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8511:
jmp @r4
mov #0x1C,r2
! Opcodes E1E0 - E1E7
Y1E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shal r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
exts.w r3,r3
mov r3,r0
shll r0
movt r0
xor r8,r0
shll r0
or r0,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8512
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8512:
jmp @r4
mov #0x1C,r2
! Opcodes E1E8 - E1EF
Y1E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shal r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
mov r3,r0
shll r0
movt r0
xor r8,r0
shll r0
or r0,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8513
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8513:
jmp @r4
mov #0x1C,r2
! Opcodes E1F0 - E1F7
Y1F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shal r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
mov r3,r0
shll r0
movt r0
xor r8,r0
shll r0
or r0,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8514
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8514:
jmp @r4
mov #0x1C,r2
! Opcode E1F8
Y1F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shal r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
mov r3,r0
shll r0
movt r0
xor r8,r0
shll r0
or r0,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8515
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8515:
jmp @r4
mov #0x1C,r2
! Opcode E1F9
Y1F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shal r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
mov r3,r0
shll r0
movt r0
xor r8,r0
shll r0
or r0,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8516
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8516:
jmp @r4
mov #0x1C,r2
! Opcodes E200 - E207
Y200:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8519
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8519:
jmp @r4
mov #0x1C,r2
! Opcodes E208 - E20F
Y208:
and r0,r2
add r13,r2
mov.b @r2,r3
extu.b r3,r3
mov #0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8522
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8522:
jmp @r4
mov #0x1C,r2
! Opcodes E210 - E217
Y210:
and r0,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #1,r0
extu.b r3,r3
ln8524:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln8524
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8525
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8525:
jmp @r4
mov #0x1C,r2
! Opcodes E218 - E21F
Y218:
and r0,r2
add r13,r2
mov.b @r2,r3
clrt
mov #1,r0
extu.b r3,r3
ln8527:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln8527
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8528
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8528:
jmp @r4
mov #0x1C,r2
! Opcodes E220 - E227
Y220:
and r0,r2
mov.l @(4,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8529
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8530
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8530:
jmp @r4
mov #0x1C,r2
ln8529:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8531
add #-31,r0
mov #-31,r1
shad r1,r3
nobitover8531:
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8532
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8532:
jmp @r4
mov #0x1C,r2
! Opcodes E228 - E22F
Y228:
and r0,r2
mov.l @(4,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8533
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8534
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8534:
jmp @r4
mov #0x1C,r2
ln8533:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
extu.b r3,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8535
add #-31,r0
mov #-31,r1
shld r1,r3
nobitover8535:
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8536
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8536:
jmp @r4
mov #0x1C,r2
! Opcodes E230 - E237
Y230:
and r0,r2
mov.l @(4,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8537
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8538
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8538:
jmp @r4
mov #0x1C,r2
ln8537:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
extu.b r3,r3
ln8539:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln8539
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8540
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8540:
jmp @r4
mov #0x1C,r2
! Opcodes E238 - E23F
Y238:
and r0,r2
mov.l @(4,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8541
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8542
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8542:
jmp @r4
mov #0x1C,r2
ln8541:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
extu.b r3,r3
ln8543:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln8543
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8544
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8544:
jmp @r4
mov #0x1C,r2
! Opcodes E240 - E247
Y240:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8547
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8547:
jmp @r4
mov #0x1C,r2
! Opcodes E248 - E24F
Y248:
and r0,r2
add r13,r2
mov.w @r2,r3
extu.w r3,r3
mov #0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8550
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8550:
jmp @r4
mov #0x1C,r2
! Opcodes E250 - E257
Y250:
and r0,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #1,r0
extu.w r3,r3
ln8552:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln8552
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8553
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8553:
jmp @r4
mov #0x1C,r2
! Opcodes E258 - E25F
Y258:
and r0,r2
add r13,r2
mov.w @r2,r3
clrt
mov #1,r0
extu.w r3,r3
ln8555:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln8555
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8556
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8556:
jmp @r4
mov #0x1C,r2
! Opcodes E260 - E267
Y260:
and r0,r2
mov.l @(4,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8557
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8558
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8558:
jmp @r4
mov #0x1C,r2
ln8557:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8559
add #-31,r0
mov #-31,r1
shad r1,r3
nobitover8559:
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8560
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8560:
jmp @r4
mov #0x1C,r2
! Opcodes E268 - E26F
Y268:
and r0,r2
mov.l @(4,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8561
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8562
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8562:
jmp @r4
mov #0x1C,r2
ln8561:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
extu.w r3,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8563
add #-31,r0
mov #-31,r1
shld r1,r3
nobitover8563:
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8564
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8564:
jmp @r4
mov #0x1C,r2
! Opcodes E270 - E277
Y270:
and r0,r2
mov.l @(4,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8565
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8566
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8566:
jmp @r4
mov #0x1C,r2
ln8565:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
extu.w r3,r3
ln8567:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln8567
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8568
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8568:
jmp @r4
mov #0x1C,r2
! Opcodes E278 - E27F
Y278:
and r0,r2
mov.l @(4,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8569
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8570
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8570:
jmp @r4
mov #0x1C,r2
ln8569:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
extu.w r3,r3
ln8571:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln8571
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8572
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8572:
jmp @r4
mov #0x1C,r2
! Opcodes E280 - E287
Y280:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl8575
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8575:
jmp @r4
mov #0x1C,r2
! Opcodes E288 - E28F
Y288:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl8578
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8578:
jmp @r4
mov #0x1C,r2
! Opcodes E290 - E297
Y290:
and r0,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #1,r0
ln8580:
rotcr r3
movt r8
dt r0
bf/s ln8580
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl8581
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8581:
jmp @r4
mov #0x1C,r2
! Opcodes E298 - E29F
Y298:
and r0,r2
add r13,r2
mov.l @r2,r3
clrt
mov #1,r0
ln8583:
rotr r3
movt r8
dt r0
bf ln8583
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl8584
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8584:
jmp @r4
mov #0x1C,r2
! Opcodes E2A0 - E2A7
Y2A0:
and r0,r2
mov.l @(4,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8585
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8586
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8586:
jmp @r4
mov #0x1C,r2
ln8585:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8587
add #-31,r0
mov #-31,r1
shad r1,r3
nobitover8587:
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8588
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8588:
jmp @r4
mov #0x1C,r2
! Opcodes E2A8 - E2AF
Y2A8:
and r0,r2
mov.l @(4,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8589
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8590
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8590:
jmp @r4
mov #0x1C,r2
ln8589:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8591
add #-31,r0
mov #-31,r1
shld r1,r3
nobitover8591:
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8592
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8592:
jmp @r4
mov #0x1C,r2
! Opcodes E2B0 - E2B7
Y2B0:
and r0,r2
mov.l @(4,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8593
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8594
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8594:
jmp @r4
mov #0x1C,r2
ln8593:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln8595:
rotcr r3
movt r8
dt r0
bf/s ln8595
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8596
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8596:
jmp @r4
mov #0x1C,r2
! Opcodes E2B8 - E2BF
Y2B8:
and r0,r2
mov.l @(4,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8597
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8598
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8598:
jmp @r4
mov #0x1C,r2
ln8597:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln8599:
rotr r3
movt r8
dt r0
bf ln8599
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8600
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8600:
jmp @r4
mov #0x1C,r2
! Opcodes E2D0 - E2D7
Y2D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
extu.w r3,r3
shlr r3
mov r3,r0
shlr16 r0
or r0,r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8601
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8601:
jmp @r4
mov #0x1C,r2
! Opcodes E2D8 - E2DF
Y2D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
extu.w r3,r3
shlr r3
mov r3,r0
shlr16 r0
or r0,r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8602
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8602:
jmp @r4
mov #0x1C,r2
! Opcodes E2E0 - E2E7
Y2E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
extu.w r3,r3
shlr r3
mov r3,r0
shlr16 r0
or r0,r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8603
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8603:
jmp @r4
mov #0x1C,r2
! Opcodes E2E8 - E2EF
Y2E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
extu.w r3,r3
shlr r3
mov r3,r0
shlr16 r0
or r0,r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8604
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8604:
jmp @r4
mov #0x1C,r2
! Opcodes E2F0 - E2F7
Y2F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
extu.w r3,r3
shlr r3
mov r3,r0
shlr16 r0
or r0,r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8605
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8605:
jmp @r4
mov #0x1C,r2
! Opcode E2F8
Y2F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
extu.w r3,r3
shlr r3
mov r3,r0
shlr16 r0
or r0,r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8606
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8606:
jmp @r4
mov #0x1C,r2
! Opcode E2F9
Y2F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
extu.w r3,r3
shlr r3
mov r3,r0
shlr16 r0
or r0,r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8607
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8607:
jmp @r4
mov #0x1C,r2
! Opcodes E300 - E307
Y300:
and r0,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov r3,r1
addv r3,r3
movt r8
shal r1
movt r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8610
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8610:
jmp @r4
mov #0x1C,r2
! Opcodes E308 - E30F
Y308:
and r0,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #0,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8613
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8613:
jmp @r4
mov #0x1C,r2
! Opcodes E310 - E317
Y310:
and r0,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #1,r0
ln8615:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln8615
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8616
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8616:
jmp @r4
mov #0x1C,r2
! Opcodes E318 - E31F
Y318:
and r0,r2
add r13,r2
mov.b @r2,r3
clrt
mov #1,r0
ln8618:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln8618
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8619
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8619:
jmp @r4
mov #0x1C,r2
! Opcodes E320 - E327
Y320:
and r0,r2
mov.l @(4,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8620
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8621
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8621:
jmp @r4
mov #0x1C,r2
ln8620:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov r3,r1
mov #0,r8
ln8622:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln8622
cmp/pl r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8623
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8623:
jmp @r4
mov #0x1C,r2
! Opcodes E328 - E32F
Y328:
and r0,r2
mov.l @(4,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8624
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8625
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8625:
jmp @r4
mov #0x1C,r2
ln8624:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8626
add #-31,r0
mov #31,r1
shld r1,r3
nobitover8626:
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8627
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8627:
jmp @r4
mov #0x1C,r2
! Opcodes E330 - E337
Y330:
and r0,r2
mov.l @(4,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8628
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8629
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8629:
jmp @r4
mov #0x1C,r2
ln8628:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
ln8630:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln8630
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8631
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8631:
jmp @r4
mov #0x1C,r2
! Opcodes E338 - E33F
Y338:
and r0,r2
mov.l @(4,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8632
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8633
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8633:
jmp @r4
mov #0x1C,r2
ln8632:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
ln8634:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln8634
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8635
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8635:
jmp @r4
mov #0x1C,r2
! Opcodes E340 - E347
Y340:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov r3,r1
addv r3,r3
movt r8
shal r1
movt r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8638
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8638:
jmp @r4
mov #0x1C,r2
! Opcodes E348 - E34F
Y348:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #0,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8641
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8641:
jmp @r4
mov #0x1C,r2
! Opcodes E350 - E357
Y350:
and r0,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #1,r0
ln8643:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln8643
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8644
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8644:
jmp @r4
mov #0x1C,r2
! Opcodes E358 - E35F
Y358:
and r0,r2
add r13,r2
mov.w @r2,r3
clrt
mov #1,r0
ln8646:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln8646
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8647
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8647:
jmp @r4
mov #0x1C,r2
! Opcodes E360 - E367
Y360:
and r0,r2
mov.l @(4,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8648
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8649
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8649:
jmp @r4
mov #0x1C,r2
ln8648:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
mov r3,r1
mov #0,r8
ln8650:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln8650
cmp/pl r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8651
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8651:
jmp @r4
mov #0x1C,r2
! Opcodes E368 - E36F
Y368:
and r0,r2
mov.l @(4,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8652
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8653
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8653:
jmp @r4
mov #0x1C,r2
ln8652:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8654
add #-31,r0
mov #31,r1
shld r1,r3
nobitover8654:
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8655
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8655:
jmp @r4
mov #0x1C,r2
! Opcodes E370 - E377
Y370:
and r0,r2
mov.l @(4,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8656
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8657
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8657:
jmp @r4
mov #0x1C,r2
ln8656:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
ln8658:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln8658
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8659
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8659:
jmp @r4
mov #0x1C,r2
! Opcodes E378 - E37F
Y378:
and r0,r2
mov.l @(4,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8660
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8661
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8661:
jmp @r4
mov #0x1C,r2
ln8660:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
ln8662:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln8662
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8663
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8663:
jmp @r4
mov #0x1C,r2
! Opcodes E380 - E387
Y380:
and r0,r2
add r13,r2
mov.l @r2,r3
mov r3,r1
addv r3,r3
movt r8
shal r1
movt r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl8666
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8666:
jmp @r4
mov #0x1C,r2
! Opcodes E388 - E38F
Y388:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #0,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl8669
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8669:
jmp @r4
mov #0x1C,r2
! Opcodes E390 - E397
Y390:
and r0,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #1,r0
ln8671:
rotcl r3
movt r8
dt r0
bf/s ln8671
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl8672
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8672:
jmp @r4
mov #0x1C,r2
! Opcodes E398 - E39F
Y398:
and r0,r2
add r13,r2
mov.l @r2,r3
clrt
mov #1,r0
ln8674:
rotl r3
movt r8
dt r0
bf ln8674
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl8675
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8675:
jmp @r4
mov #0x1C,r2
! Opcodes E3A0 - E3A7
Y3A0:
and r0,r2
mov.l @(4,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8676
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8677
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8677:
jmp @r4
mov #0x1C,r2
ln8676:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov r3,r1
mov #0,r8
ln8678:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln8678
cmp/pl r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8679
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8679:
jmp @r4
mov #0x1C,r2
! Opcodes E3A8 - E3AF
Y3A8:
and r0,r2
mov.l @(4,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8680
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8681
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8681:
jmp @r4
mov #0x1C,r2
ln8680:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8682
add #-31,r0
mov #31,r1
shld r1,r3
nobitover8682:
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8683
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8683:
jmp @r4
mov #0x1C,r2
! Opcodes E3B0 - E3B7
Y3B0:
and r0,r2
mov.l @(4,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8684
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8685
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8685:
jmp @r4
mov #0x1C,r2
ln8684:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln8686:
rotcl r3
movt r8
dt r0
bf/s ln8686
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8687
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8687:
jmp @r4
mov #0x1C,r2
! Opcodes E3B8 - E3BF
Y3B8:
and r0,r2
mov.l @(4,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8688
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8689
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8689:
jmp @r4
mov #0x1C,r2
ln8688:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln8690:
rotl r3
movt r8
dt r0
bf ln8690
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8691
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8691:
jmp @r4
mov #0x1C,r2
! Opcodes E3D0 - E3D7
Y3D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8692
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8692:
jmp @r4
mov #0x1C,r2
! Opcodes E3D8 - E3DF
Y3D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8693
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8693:
jmp @r4
mov #0x1C,r2
! Opcodes E3E0 - E3E7
Y3E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8694
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8694:
jmp @r4
mov #0x1C,r2
! Opcodes E3E8 - E3EF
Y3E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8695
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8695:
jmp @r4
mov #0x1C,r2
! Opcodes E3F0 - E3F7
Y3F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8696
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8696:
jmp @r4
mov #0x1C,r2
! Opcode E3F8
Y3F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8697
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8697:
jmp @r4
mov #0x1C,r2
! Opcode E3F9
Y3F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8698
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8698:
jmp @r4
mov #0x1C,r2
! Opcodes E400 - E407
Y400:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #-1,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl8701
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8701:
jmp @r4
mov #0x1C,r2
! Opcodes E408 - E40F
Y408:
and r0,r2
add r13,r2
mov.b @r2,r3
extu.b r3,r3
mov #-1,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl8704
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8704:
jmp @r4
mov #0x1C,r2
! Opcodes E410 - E417
Y410:
and r0,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #2,r0
extu.b r3,r3
ln8706:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln8706
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl8707
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8707:
jmp @r4
mov #0x1C,r2
! Opcodes E418 - E41F
Y418:
and r0,r2
add r13,r2
mov.b @r2,r3
clrt
mov #2,r0
extu.b r3,r3
ln8709:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln8709
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl8710
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8710:
jmp @r4
mov #0x1C,r2
! Opcodes E420 - E427
Y420:
and r0,r2
mov.l @(8,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8711
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8712
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8712:
jmp @r4
mov #0x1C,r2
ln8711:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8713
add #-31,r0
mov #-31,r1
shad r1,r3
nobitover8713:
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8714
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8714:
jmp @r4
mov #0x1C,r2
! Opcodes E428 - E42F
Y428:
and r0,r2
mov.l @(8,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8715
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8716
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8716:
jmp @r4
mov #0x1C,r2
ln8715:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
extu.b r3,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8717
add #-31,r0
mov #-31,r1
shld r1,r3
nobitover8717:
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8718
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8718:
jmp @r4
mov #0x1C,r2
! Opcodes E430 - E437
Y430:
and r0,r2
mov.l @(8,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8719
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8720
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8720:
jmp @r4
mov #0x1C,r2
ln8719:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
extu.b r3,r3
ln8721:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln8721
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8722
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8722:
jmp @r4
mov #0x1C,r2
! Opcodes E438 - E43F
Y438:
and r0,r2
mov.l @(8,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8723
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8724
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8724:
jmp @r4
mov #0x1C,r2
ln8723:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
extu.b r3,r3
ln8725:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln8725
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8726
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8726:
jmp @r4
mov #0x1C,r2
! Opcodes E440 - E447
Y440:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #-1,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl8729
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8729:
jmp @r4
mov #0x1C,r2
! Opcodes E448 - E44F
Y448:
and r0,r2
add r13,r2
mov.w @r2,r3
extu.w r3,r3
mov #-1,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl8732
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8732:
jmp @r4
mov #0x1C,r2
! Opcodes E450 - E457
Y450:
and r0,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #2,r0
extu.w r3,r3
ln8734:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln8734
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl8735
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8735:
jmp @r4
mov #0x1C,r2
! Opcodes E458 - E45F
Y458:
and r0,r2
add r13,r2
mov.w @r2,r3
clrt
mov #2,r0
extu.w r3,r3
ln8737:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln8737
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl8738
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8738:
jmp @r4
mov #0x1C,r2
! Opcodes E460 - E467
Y460:
and r0,r2
mov.l @(8,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8739
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8740
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8740:
jmp @r4
mov #0x1C,r2
ln8739:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8741
add #-31,r0
mov #-31,r1
shad r1,r3
nobitover8741:
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8742
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8742:
jmp @r4
mov #0x1C,r2
! Opcodes E468 - E46F
Y468:
and r0,r2
mov.l @(8,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8743
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8744
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8744:
jmp @r4
mov #0x1C,r2
ln8743:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
extu.w r3,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8745
add #-31,r0
mov #-31,r1
shld r1,r3
nobitover8745:
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8746
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8746:
jmp @r4
mov #0x1C,r2
! Opcodes E470 - E477
Y470:
and r0,r2
mov.l @(8,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8747
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8748
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8748:
jmp @r4
mov #0x1C,r2
ln8747:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
extu.w r3,r3
ln8749:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln8749
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8750
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8750:
jmp @r4
mov #0x1C,r2
! Opcodes E478 - E47F
Y478:
and r0,r2
mov.l @(8,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8751
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8752
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8752:
jmp @r4
mov #0x1C,r2
ln8751:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
extu.w r3,r3
ln8753:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln8753
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8754
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8754:
jmp @r4
mov #0x1C,r2
! Opcodes E480 - E487
Y480:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #-1,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8757
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8757:
jmp @r4
mov #0x1C,r2
! Opcodes E488 - E48F
Y488:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #-1,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8760
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8760:
jmp @r4
mov #0x1C,r2
! Opcodes E490 - E497
Y490:
and r0,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #2,r0
ln8762:
rotcr r3
movt r8
dt r0
bf/s ln8762
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8763
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8763:
jmp @r4
mov #0x1C,r2
! Opcodes E498 - E49F
Y498:
and r0,r2
add r13,r2
mov.l @r2,r3
clrt
mov #2,r0
ln8765:
rotr r3
movt r8
dt r0
bf ln8765
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8766
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8766:
jmp @r4
mov #0x1C,r2
! Opcodes E4A0 - E4A7
Y4A0:
and r0,r2
mov.l @(8,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8767
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8768
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8768:
jmp @r4
mov #0x1C,r2
ln8767:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8769
add #-31,r0
mov #-31,r1
shad r1,r3
nobitover8769:
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8770
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8770:
jmp @r4
mov #0x1C,r2
! Opcodes E4A8 - E4AF
Y4A8:
and r0,r2
mov.l @(8,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8771
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8772
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8772:
jmp @r4
mov #0x1C,r2
ln8771:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8773
add #-31,r0
mov #-31,r1
shld r1,r3
nobitover8773:
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8774
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8774:
jmp @r4
mov #0x1C,r2
! Opcodes E4B0 - E4B7
Y4B0:
and r0,r2
mov.l @(8,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8775
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8776
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8776:
jmp @r4
mov #0x1C,r2
ln8775:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln8777:
rotcr r3
movt r8
dt r0
bf/s ln8777
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8778
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8778:
jmp @r4
mov #0x1C,r2
! Opcodes E4B8 - E4BF
Y4B8:
and r0,r2
mov.l @(8,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8779
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8780
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8780:
jmp @r4
mov #0x1C,r2
ln8779:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln8781:
rotr r3
movt r8
dt r0
bf ln8781
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8782
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8782:
jmp @r4
mov #0x1C,r2
! Opcodes E4D0 - E4D7
Y4D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r9
extu.w r3,r3
rotcr r3
mov r3,r0
shlr16 r0
or r0,r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8783
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8783:
jmp @r4
mov #0x1C,r2
! Opcodes E4D8 - E4DF
Y4D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r9
extu.w r3,r3
rotcr r3
mov r3,r0
shlr16 r0
or r0,r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8784
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8784:
jmp @r4
mov #0x1C,r2
! Opcodes E4E0 - E4E7
Y4E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r9
extu.w r3,r3
rotcr r3
mov r3,r0
shlr16 r0
or r0,r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8785
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8785:
jmp @r4
mov #0x1C,r2
! Opcodes E4E8 - E4EF
Y4E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r9
extu.w r3,r3
rotcr r3
mov r3,r0
shlr16 r0
or r0,r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8786
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8786:
jmp @r4
mov #0x1C,r2
! Opcodes E4F0 - E4F7
Y4F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r9
extu.w r3,r3
rotcr r3
mov r3,r0
shlr16 r0
or r0,r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8787
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8787:
jmp @r4
mov #0x1C,r2
! Opcode E4F8
Y4F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r9
extu.w r3,r3
rotcr r3
mov r3,r0
shlr16 r0
or r0,r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8788
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8788:
jmp @r4
mov #0x1C,r2
! Opcode E4F9
Y4F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r9
extu.w r3,r3
rotcr r3
mov r3,r0
shlr16 r0
or r0,r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8789
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8789:
jmp @r4
mov #0x1C,r2
! Opcodes E500 - E507
Y500:
and r0,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl8792
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8792:
jmp @r4
mov #0x1C,r2
! Opcodes E508 - E50F
Y508:
and r0,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #1,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl8795
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8795:
jmp @r4
mov #0x1C,r2
! Opcodes E510 - E517
Y510:
and r0,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #2,r0
ln8797:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln8797
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl8798
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8798:
jmp @r4
mov #0x1C,r2
! Opcodes E518 - E51F
Y518:
and r0,r2
add r13,r2
mov.b @r2,r3
clrt
mov #2,r0
ln8800:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln8800
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl8801
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8801:
jmp @r4
mov #0x1C,r2
! Opcodes E520 - E527
Y520:
and r0,r2
mov.l @(8,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8802
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8803
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8803:
jmp @r4
mov #0x1C,r2
ln8802:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov r3,r1
mov #0,r8
ln8804:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln8804
cmp/pl r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8805
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8805:
jmp @r4
mov #0x1C,r2
! Opcodes E528 - E52F
Y528:
and r0,r2
mov.l @(8,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8806
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8807
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8807:
jmp @r4
mov #0x1C,r2
ln8806:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8808
add #-31,r0
mov #31,r1
shld r1,r3
nobitover8808:
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8809
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8809:
jmp @r4
mov #0x1C,r2
! Opcodes E530 - E537
Y530:
and r0,r2
mov.l @(8,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8810
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8811
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8811:
jmp @r4
mov #0x1C,r2
ln8810:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
ln8812:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln8812
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8813
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8813:
jmp @r4
mov #0x1C,r2
! Opcodes E538 - E53F
Y538:
and r0,r2
mov.l @(8,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8814
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8815
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8815:
jmp @r4
mov #0x1C,r2
ln8814:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
ln8816:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln8816
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8817
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8817:
jmp @r4
mov #0x1C,r2
! Opcodes E540 - E547
Y540:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl8820
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8820:
jmp @r4
mov #0x1C,r2
! Opcodes E548 - E54F
Y548:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #1,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl8823
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8823:
jmp @r4
mov #0x1C,r2
! Opcodes E550 - E557
Y550:
and r0,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #2,r0
ln8825:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln8825
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl8826
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8826:
jmp @r4
mov #0x1C,r2
! Opcodes E558 - E55F
Y558:
and r0,r2
add r13,r2
mov.w @r2,r3
clrt
mov #2,r0
ln8828:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln8828
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
shll2 r0
cmp/pl r7
bt/s fdl8829
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8829:
jmp @r4
mov #0x1C,r2
! Opcodes E560 - E567
Y560:
and r0,r2
mov.l @(8,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8830
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8831
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8831:
jmp @r4
mov #0x1C,r2
ln8830:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
mov r3,r1
mov #0,r8
ln8832:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln8832
cmp/pl r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8833
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8833:
jmp @r4
mov #0x1C,r2
! Opcodes E568 - E56F
Y568:
and r0,r2
mov.l @(8,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8834
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8835
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8835:
jmp @r4
mov #0x1C,r2
ln8834:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8836
add #-31,r0
mov #31,r1
shld r1,r3
nobitover8836:
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8837
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8837:
jmp @r4
mov #0x1C,r2
! Opcodes E570 - E577
Y570:
and r0,r2
mov.l @(8,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8838
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8839
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8839:
jmp @r4
mov #0x1C,r2
ln8838:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
ln8840:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln8840
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8841
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8841:
jmp @r4
mov #0x1C,r2
! Opcodes E578 - E57F
Y578:
and r0,r2
mov.l @(8,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8842
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8843
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8843:
jmp @r4
mov #0x1C,r2
ln8842:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
ln8844:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln8844
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8845
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8845:
jmp @r4
mov #0x1C,r2
! Opcodes E580 - E587
Y580:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8848
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8848:
jmp @r4
mov #0x1C,r2
! Opcodes E588 - E58F
Y588:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #1,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8851
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8851:
jmp @r4
mov #0x1C,r2
! Opcodes E590 - E597
Y590:
and r0,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #2,r0
ln8853:
rotcl r3
movt r8
dt r0
bf/s ln8853
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8854
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8854:
jmp @r4
mov #0x1C,r2
! Opcodes E598 - E59F
Y598:
and r0,r2
add r13,r2
mov.l @r2,r3
clrt
mov #2,r0
ln8856:
rotl r3
movt r8
dt r0
bf ln8856
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8857
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8857:
jmp @r4
mov #0x1C,r2
! Opcodes E5A0 - E5A7
Y5A0:
and r0,r2
mov.l @(8,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8858
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8859
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8859:
jmp @r4
mov #0x1C,r2
ln8858:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov r3,r1
mov #0,r8
ln8860:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln8860
cmp/pl r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8861
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8861:
jmp @r4
mov #0x1C,r2
! Opcodes E5A8 - E5AF
Y5A8:
and r0,r2
mov.l @(8,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8862
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8863
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8863:
jmp @r4
mov #0x1C,r2
ln8862:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8864
add #-31,r0
mov #31,r1
shld r1,r3
nobitover8864:
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8865
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8865:
jmp @r4
mov #0x1C,r2
! Opcodes E5B0 - E5B7
Y5B0:
and r0,r2
mov.l @(8,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8866
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8867
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8867:
jmp @r4
mov #0x1C,r2
ln8866:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln8868:
rotcl r3
movt r8
dt r0
bf/s ln8868
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8869
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8869:
jmp @r4
mov #0x1C,r2
! Opcodes E5B8 - E5BF
Y5B8:
and r0,r2
mov.l @(8,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8870
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8871
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8871:
jmp @r4
mov #0x1C,r2
ln8870:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln8872:
rotl r3
movt r8
dt r0
bf ln8872
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8873
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8873:
jmp @r4
mov #0x1C,r2
! Opcodes E5D0 - E5D7
Y5D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r9
rotcl r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8874
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8874:
jmp @r4
mov #0x1C,r2
! Opcodes E5D8 - E5DF
Y5D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r9
rotcl r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8875
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8875:
jmp @r4
mov #0x1C,r2
! Opcodes E5E0 - E5E7
Y5E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r9
rotcl r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8876
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8876:
jmp @r4
mov #0x1C,r2
! Opcodes E5E8 - E5EF
Y5E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r9
rotcl r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8877
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8877:
jmp @r4
mov #0x1C,r2
! Opcodes E5F0 - E5F7
Y5F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r9
rotcl r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8878
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8878:
jmp @r4
mov #0x1C,r2
! Opcode E5F8
Y5F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r9
rotcl r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8879
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8879:
jmp @r4
mov #0x1C,r2
! Opcode E5F9
Y5F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r9
rotcl r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8880
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8880:
jmp @r4
mov #0x1C,r2
! Opcodes E600 - E607
Y600:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #-2,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8883
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8883:
jmp @r4
mov #0x1C,r2
! Opcodes E608 - E60F
Y608:
and r0,r2
add r13,r2
mov.b @r2,r3
extu.b r3,r3
mov #-2,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8886
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8886:
jmp @r4
mov #0x1C,r2
! Opcodes E610 - E617
Y610:
and r0,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #3,r0
extu.b r3,r3
ln8888:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln8888
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8889
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8889:
jmp @r4
mov #0x1C,r2
! Opcodes E618 - E61F
Y618:
and r0,r2
add r13,r2
mov.b @r2,r3
clrt
mov #3,r0
extu.b r3,r3
ln8891:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln8891
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8892
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8892:
jmp @r4
mov #0x1C,r2
! Opcodes E620 - E627
Y620:
and r0,r2
mov.l @(12,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8893
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8894
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8894:
jmp @r4
mov #0x1C,r2
ln8893:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8895
add #-31,r0
mov #-31,r1
shad r1,r3
nobitover8895:
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8896
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8896:
jmp @r4
mov #0x1C,r2
! Opcodes E628 - E62F
Y628:
and r0,r2
mov.l @(12,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8897
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8898
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8898:
jmp @r4
mov #0x1C,r2
ln8897:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
extu.b r3,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8899
add #-31,r0
mov #-31,r1
shld r1,r3
nobitover8899:
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8900
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8900:
jmp @r4
mov #0x1C,r2
! Opcodes E630 - E637
Y630:
and r0,r2
mov.l @(12,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8901
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8902
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8902:
jmp @r4
mov #0x1C,r2
ln8901:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
extu.b r3,r3
ln8903:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln8903
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8904
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8904:
jmp @r4
mov #0x1C,r2
! Opcodes E638 - E63F
Y638:
and r0,r2
mov.l @(12,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8905
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8906
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8906:
jmp @r4
mov #0x1C,r2
ln8905:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
extu.b r3,r3
ln8907:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln8907
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8908
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8908:
jmp @r4
mov #0x1C,r2
! Opcodes E640 - E647
Y640:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #-2,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8911
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8911:
jmp @r4
mov #0x1C,r2
! Opcodes E648 - E64F
Y648:
and r0,r2
add r13,r2
mov.w @r2,r3
extu.w r3,r3
mov #-2,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8914
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8914:
jmp @r4
mov #0x1C,r2
! Opcodes E650 - E657
Y650:
and r0,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #3,r0
extu.w r3,r3
ln8916:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln8916
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8917
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8917:
jmp @r4
mov #0x1C,r2
! Opcodes E658 - E65F
Y658:
and r0,r2
add r13,r2
mov.w @r2,r3
clrt
mov #3,r0
extu.w r3,r3
ln8919:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln8919
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8920
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8920:
jmp @r4
mov #0x1C,r2
! Opcodes E660 - E667
Y660:
and r0,r2
mov.l @(12,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8921
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8922
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8922:
jmp @r4
mov #0x1C,r2
ln8921:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8923
add #-31,r0
mov #-31,r1
shad r1,r3
nobitover8923:
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8924
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8924:
jmp @r4
mov #0x1C,r2
! Opcodes E668 - E66F
Y668:
and r0,r2
mov.l @(12,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8925
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8926
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8926:
jmp @r4
mov #0x1C,r2
ln8925:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
extu.w r3,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8927
add #-31,r0
mov #-31,r1
shld r1,r3
nobitover8927:
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8928
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8928:
jmp @r4
mov #0x1C,r2
! Opcodes E670 - E677
Y670:
and r0,r2
mov.l @(12,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8929
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8930
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8930:
jmp @r4
mov #0x1C,r2
ln8929:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
extu.w r3,r3
ln8931:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln8931
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8932
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8932:
jmp @r4
mov #0x1C,r2
! Opcodes E678 - E67F
Y678:
and r0,r2
mov.l @(12,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8933
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8934
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8934:
jmp @r4
mov #0x1C,r2
ln8933:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
extu.w r3,r3
ln8935:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln8935
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8936
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8936:
jmp @r4
mov #0x1C,r2
! Opcodes E680 - E687
Y680:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #-2,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8939
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8939:
jmp @r4
mov #0x1C,r2
! Opcodes E688 - E68F
Y688:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #-2,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8942
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8942:
jmp @r4
mov #0x1C,r2
! Opcodes E690 - E697
Y690:
and r0,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #3,r0
ln8944:
rotcr r3
movt r8
dt r0
bf/s ln8944
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8945
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8945:
jmp @r4
mov #0x1C,r2
! Opcodes E698 - E69F
Y698:
and r0,r2
add r13,r2
mov.l @r2,r3
clrt
mov #3,r0
ln8947:
rotr r3
movt r8
dt r0
bf ln8947
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8948
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8948:
jmp @r4
mov #0x1C,r2
! Opcodes E6A0 - E6A7
Y6A0:
and r0,r2
mov.l @(12,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8949
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8950
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8950:
jmp @r4
mov #0x1C,r2
ln8949:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8951
add #-31,r0
mov #-31,r1
shad r1,r3
nobitover8951:
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8952
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8952:
jmp @r4
mov #0x1C,r2
! Opcodes E6A8 - E6AF
Y6A8:
and r0,r2
mov.l @(12,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8953
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8954
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8954:
jmp @r4
mov #0x1C,r2
ln8953:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8955
add #-31,r0
mov #-31,r1
shld r1,r3
nobitover8955:
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8956
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8956:
jmp @r4
mov #0x1C,r2
! Opcodes E6B0 - E6B7
Y6B0:
and r0,r2
mov.l @(12,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8957
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8958
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8958:
jmp @r4
mov #0x1C,r2
ln8957:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln8959:
rotcr r3
movt r8
dt r0
bf/s ln8959
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8960
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8960:
jmp @r4
mov #0x1C,r2
! Opcodes E6B8 - E6BF
Y6B8:
and r0,r2
mov.l @(12,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8961
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8962
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8962:
jmp @r4
mov #0x1C,r2
ln8961:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln8963:
rotr r3
movt r8
dt r0
bf ln8963
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl8964
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8964:
jmp @r4
mov #0x1C,r2
! Opcodes E6D0 - E6D7
Y6D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
extu.w r3,r3
rotr r3
mov r3,r0
shlr16 r0
or r0,r3
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8965
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8965:
jmp @r4
mov #0x1C,r2
! Opcodes E6D8 - E6DF
Y6D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
extu.w r3,r3
rotr r3
mov r3,r0
shlr16 r0
or r0,r3
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8966
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8966:
jmp @r4
mov #0x1C,r2
! Opcodes E6E0 - E6E7
Y6E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
extu.w r3,r3
rotr r3
mov r3,r0
shlr16 r0
or r0,r3
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl8967
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8967:
jmp @r4
mov #0x1C,r2
! Opcodes E6E8 - E6EF
Y6E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
extu.w r3,r3
rotr r3
mov r3,r0
shlr16 r0
or r0,r3
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8968
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8968:
jmp @r4
mov #0x1C,r2
! Opcodes E6F0 - E6F7
Y6F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
extu.w r3,r3
rotr r3
mov r3,r0
shlr16 r0
or r0,r3
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl8969
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8969:
jmp @r4
mov #0x1C,r2
! Opcode E6F8
Y6F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
extu.w r3,r3
rotr r3
mov r3,r0
shlr16 r0
or r0,r3
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl8970
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8970:
jmp @r4
mov #0x1C,r2
! Opcode E6F9
Y6F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
extu.w r3,r3
rotr r3
mov r3,r0
shlr16 r0
or r0,r3
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl8971
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8971:
jmp @r4
mov #0x1C,r2
! Opcodes E700 - E707
Y700:
and r0,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8974
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8974:
jmp @r4
mov #0x1C,r2
! Opcodes E708 - E70F
Y708:
and r0,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #2,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8977
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8977:
jmp @r4
mov #0x1C,r2
! Opcodes E710 - E717
Y710:
and r0,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #3,r0
ln8979:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln8979
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8980
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8980:
jmp @r4
mov #0x1C,r2
! Opcodes E718 - E71F
Y718:
and r0,r2
add r13,r2
mov.b @r2,r3
clrt
mov #3,r0
ln8982:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln8982
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl8983
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8983:
jmp @r4
mov #0x1C,r2
! Opcodes E720 - E727
Y720:
and r0,r2
mov.l @(12,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8984
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8985
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8985:
jmp @r4
mov #0x1C,r2
ln8984:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov r3,r1
mov #0,r8
ln8986:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln8986
cmp/pl r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8987
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8987:
jmp @r4
mov #0x1C,r2
! Opcodes E728 - E72F
Y728:
and r0,r2
mov.l @(12,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8988
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8989
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8989:
jmp @r4
mov #0x1C,r2
ln8988:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #32,r1
cmp/hi r1,r0
bf nobitover8990
add #-31,r0
mov #31,r1
shld r1,r3
nobitover8990:
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8991
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8991:
jmp @r4
mov #0x1C,r2
! Opcodes E730 - E737
Y730:
and r0,r2
mov.l @(12,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8992
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8993
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8993:
jmp @r4
mov #0x1C,r2
ln8992:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
ln8994:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln8994
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8995
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8995:
jmp @r4
mov #0x1C,r2
! Opcodes E738 - E73F
Y738:
and r0,r2
mov.l @(12,r13),r0
and #0x3F,r0
tst r0,r0
bf ln8996
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8997
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8997:
jmp @r4
mov #0x1C,r2
ln8996:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
ln8998:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln8998
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl8999
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl8999:
jmp @r4
mov #0x1C,r2
! Opcodes E740 - E747
Y740:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl9002
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9002:
jmp @r4
mov #0x1C,r2
! Opcodes E748 - E74F
Y748:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #2,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl9005
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9005:
jmp @r4
mov #0x1C,r2
! Opcodes E750 - E757
Y750:
and r0,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #3,r0
ln9007:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln9007
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl9008
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9008:
jmp @r4
mov #0x1C,r2
! Opcodes E758 - E75F
Y758:
and r0,r2
add r13,r2
mov.w @r2,r3
clrt
mov #3,r0
ln9010:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln9010
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl9011
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9011:
jmp @r4
mov #0x1C,r2
! Opcodes E760 - E767
Y760:
and r0,r2
mov.l @(12,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9012
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9013
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9013:
jmp @r4
mov #0x1C,r2
ln9012:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
mov r3,r1
mov #0,r8
ln9014:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln9014
cmp/pl r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9015
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9015:
jmp @r4
mov #0x1C,r2
! Opcodes E768 - E76F
Y768:
and r0,r2
mov.l @(12,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9016
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9017
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9017:
jmp @r4
mov #0x1C,r2
ln9016:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9018
add #-31,r0
mov #31,r1
shld r1,r3
nobitover9018:
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9019
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9019:
jmp @r4
mov #0x1C,r2
! Opcodes E770 - E777
Y770:
and r0,r2
mov.l @(12,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9020
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9021
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9021:
jmp @r4
mov #0x1C,r2
ln9020:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
ln9022:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln9022
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9023
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9023:
jmp @r4
mov #0x1C,r2
! Opcodes E778 - E77F
Y778:
and r0,r2
mov.l @(12,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9024
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9025
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9025:
jmp @r4
mov #0x1C,r2
ln9024:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
ln9026:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln9026
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9027
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9027:
jmp @r4
mov #0x1C,r2
! Opcodes E780 - E787
Y780:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl9030
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9030:
jmp @r4
mov #0x1C,r2
! Opcodes E788 - E78F
Y788:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #2,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl9033
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9033:
jmp @r4
mov #0x1C,r2
! Opcodes E790 - E797
Y790:
and r0,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #3,r0
ln9035:
rotcl r3
movt r8
dt r0
bf/s ln9035
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl9036
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9036:
jmp @r4
mov #0x1C,r2
! Opcodes E798 - E79F
Y798:
and r0,r2
add r13,r2
mov.l @r2,r3
clrt
mov #3,r0
ln9038:
rotl r3
movt r8
dt r0
bf ln9038
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl9039
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9039:
jmp @r4
mov #0x1C,r2
! Opcodes E7A0 - E7A7
Y7A0:
and r0,r2
mov.l @(12,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9040
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9041
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9041:
jmp @r4
mov #0x1C,r2
ln9040:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov r3,r1
mov #0,r8
ln9042:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln9042
cmp/pl r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9043
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9043:
jmp @r4
mov #0x1C,r2
! Opcodes E7A8 - E7AF
Y7A8:
and r0,r2
mov.l @(12,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9044
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9045
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9045:
jmp @r4
mov #0x1C,r2
ln9044:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9046
add #-31,r0
mov #31,r1
shld r1,r3
nobitover9046:
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9047
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9047:
jmp @r4
mov #0x1C,r2
! Opcodes E7B0 - E7B7
Y7B0:
and r0,r2
mov.l @(12,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9048
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9049
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9049:
jmp @r4
mov #0x1C,r2
ln9048:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln9050:
rotcl r3
movt r8
dt r0
bf/s ln9050
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9051
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9051:
jmp @r4
mov #0x1C,r2
! Opcodes E7B8 - E7BF
Y7B8:
and r0,r2
mov.l @(12,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9052
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9053
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9053:
jmp @r4
mov #0x1C,r2
ln9052:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln9054:
rotl r3
movt r8
dt r0
bf ln9054
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9055
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9055:
jmp @r4
mov #0x1C,r2
! Opcodes E7D0 - E7D7
Y7D0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl9056
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9056:
jmp @r4
mov #0x1C,r2
! Opcodes E7D8 - E7DF
Y7D8:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
shll2 r0
cmp/pl r7
bt/s fdl9057
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9057:
jmp @r4
mov #0x1C,r2
! Opcodes E7E0 - E7E7
Y7E0:
and r0,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl9058
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9058:
jmp @r4
mov #0x1C,r2
! Opcodes E7E8 - E7EF
Y7E8:
and r0,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl9059
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9059:
jmp @r4
mov #0x1C,r2
! Opcodes E7F0 - E7F7
Y7F0:
and r0,r2
mov.l @(decode_extw_addr-fetch_idx,r11),r4
jsr @r4
nop
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl9060
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9060:
jmp @r4
mov #0x1C,r2
! Opcode E7F8
Y7F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl9061
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9061:
jmp @r4
mov #0x1C,r2
! Opcode E7F9
Y7F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl9062
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9062:
jmp @r4
mov #0x1C,r2
! Opcodes E800 - E807
Y800:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #-3,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl9065
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9065:
jmp @r4
mov #0x1C,r2
! Opcodes E808 - E80F
Y808:
and r0,r2
add r13,r2
mov.b @r2,r3
extu.b r3,r3
mov #-3,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl9068
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9068:
jmp @r4
mov #0x1C,r2
! Opcodes E810 - E817
Y810:
and r0,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #4,r0
extu.b r3,r3
ln9070:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln9070
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl9071
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9071:
jmp @r4
mov #0x1C,r2
! Opcodes E818 - E81F
Y818:
and r0,r2
add r13,r2
mov.b @r2,r3
clrt
mov #4,r0
extu.b r3,r3
ln9073:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln9073
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl9074
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9074:
jmp @r4
mov #0x1C,r2
! Opcodes E820 - E827
Y820:
and r0,r2
mov.l @(16,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9075
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9076
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9076:
jmp @r4
mov #0x1C,r2
ln9075:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9077
add #-31,r0
mov #-31,r1
shad r1,r3
nobitover9077:
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9078
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9078:
jmp @r4
mov #0x1C,r2
! Opcodes E828 - E82F
Y828:
and r0,r2
mov.l @(16,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9079
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9080
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9080:
jmp @r4
mov #0x1C,r2
ln9079:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
extu.b r3,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9081
add #-31,r0
mov #-31,r1
shld r1,r3
nobitover9081:
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9082
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9082:
jmp @r4
mov #0x1C,r2
! Opcodes E830 - E837
Y830:
and r0,r2
mov.l @(16,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9083
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9084
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9084:
jmp @r4
mov #0x1C,r2
ln9083:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
extu.b r3,r3
ln9085:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln9085
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9086
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9086:
jmp @r4
mov #0x1C,r2
! Opcodes E838 - E83F
Y838:
and r0,r2
mov.l @(16,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9087
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9088
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9088:
jmp @r4
mov #0x1C,r2
ln9087:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
extu.b r3,r3
ln9089:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln9089
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9090
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9090:
jmp @r4
mov #0x1C,r2
! Opcodes E840 - E847
Y840:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #-3,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl9093
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9093:
jmp @r4
mov #0x1C,r2
! Opcodes E848 - E84F
Y848:
and r0,r2
add r13,r2
mov.w @r2,r3
extu.w r3,r3
mov #-3,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl9096
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9096:
jmp @r4
mov #0x1C,r2
! Opcodes E850 - E857
Y850:
and r0,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #4,r0
extu.w r3,r3
ln9098:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln9098
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl9099
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9099:
jmp @r4
mov #0x1C,r2
! Opcodes E858 - E85F
Y858:
and r0,r2
add r13,r2
mov.w @r2,r3
clrt
mov #4,r0
extu.w r3,r3
ln9101:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln9101
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl9102
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9102:
jmp @r4
mov #0x1C,r2
! Opcodes E860 - E867
Y860:
and r0,r2
mov.l @(16,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9103
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9104
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9104:
jmp @r4
mov #0x1C,r2
ln9103:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9105
add #-31,r0
mov #-31,r1
shad r1,r3
nobitover9105:
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9106
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9106:
jmp @r4
mov #0x1C,r2
! Opcodes E868 - E86F
Y868:
and r0,r2
mov.l @(16,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9107
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9108
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9108:
jmp @r4
mov #0x1C,r2
ln9107:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
extu.w r3,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9109
add #-31,r0
mov #-31,r1
shld r1,r3
nobitover9109:
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9110
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9110:
jmp @r4
mov #0x1C,r2
! Opcodes E870 - E877
Y870:
and r0,r2
mov.l @(16,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9111
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9112
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9112:
jmp @r4
mov #0x1C,r2
ln9111:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
extu.w r3,r3
ln9113:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln9113
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9114
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9114:
jmp @r4
mov #0x1C,r2
! Opcodes E878 - E87F
Y878:
and r0,r2
mov.l @(16,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9115
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9116
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9116:
jmp @r4
mov #0x1C,r2
ln9115:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
extu.w r3,r3
ln9117:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln9117
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9118
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9118:
jmp @r4
mov #0x1C,r2
! Opcodes E880 - E887
Y880:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #-3,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl9121
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9121:
jmp @r4
mov #0x1C,r2
! Opcodes E888 - E88F
Y888:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #-3,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl9124
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9124:
jmp @r4
mov #0x1C,r2
! Opcodes E890 - E897
Y890:
and r0,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #4,r0
ln9126:
rotcr r3
movt r8
dt r0
bf/s ln9126
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl9127
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9127:
jmp @r4
mov #0x1C,r2
! Opcodes E898 - E89F
Y898:
and r0,r2
add r13,r2
mov.l @r2,r3
clrt
mov #4,r0
ln9129:
rotr r3
movt r8
dt r0
bf ln9129
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl9130
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9130:
jmp @r4
mov #0x1C,r2
! Opcodes E8A0 - E8A7
Y8A0:
and r0,r2
mov.l @(16,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9131
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9132
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9132:
jmp @r4
mov #0x1C,r2
ln9131:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9133
add #-31,r0
mov #-31,r1
shad r1,r3
nobitover9133:
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9134
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9134:
jmp @r4
mov #0x1C,r2
! Opcodes E8A8 - E8AF
Y8A8:
and r0,r2
mov.l @(16,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9135
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9136
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9136:
jmp @r4
mov #0x1C,r2
ln9135:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9137
add #-31,r0
mov #-31,r1
shld r1,r3
nobitover9137:
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9138
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9138:
jmp @r4
mov #0x1C,r2
! Opcodes E8B0 - E8B7
Y8B0:
and r0,r2
mov.l @(16,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9139
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9140
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9140:
jmp @r4
mov #0x1C,r2
ln9139:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln9141:
rotcr r3
movt r8
dt r0
bf/s ln9141
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9142
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9142:
jmp @r4
mov #0x1C,r2
! Opcodes E8B8 - E8BF
Y8B8:
and r0,r2
mov.l @(16,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9143
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9144
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9144:
jmp @r4
mov #0x1C,r2
ln9143:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln9145:
rotr r3
movt r8
dt r0
bf ln9145
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9146
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9146:
jmp @r4
mov #0x1C,r2
! Opcodes E900 - E907
Y900:
and r0,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl9149
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9149:
jmp @r4
mov #0x1C,r2
! Opcodes E908 - E90F
Y908:
and r0,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #3,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl9152
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9152:
jmp @r4
mov #0x1C,r2
! Opcodes E910 - E917
Y910:
and r0,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #4,r0
ln9154:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln9154
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl9155
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9155:
jmp @r4
mov #0x1C,r2
! Opcodes E918 - E91F
Y918:
and r0,r2
add r13,r2
mov.b @r2,r3
clrt
mov #4,r0
ln9157:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln9157
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl9158
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9158:
jmp @r4
mov #0x1C,r2
! Opcodes E920 - E927
Y920:
and r0,r2
mov.l @(16,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9159
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9160
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9160:
jmp @r4
mov #0x1C,r2
ln9159:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov r3,r1
mov #0,r8
ln9161:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln9161
cmp/pl r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9162
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9162:
jmp @r4
mov #0x1C,r2
! Opcodes E928 - E92F
Y928:
and r0,r2
mov.l @(16,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9163
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9164
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9164:
jmp @r4
mov #0x1C,r2
ln9163:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9165
add #-31,r0
mov #31,r1
shld r1,r3
nobitover9165:
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9166
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9166:
jmp @r4
mov #0x1C,r2
! Opcodes E930 - E937
Y930:
and r0,r2
mov.l @(16,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9167
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9168
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9168:
jmp @r4
mov #0x1C,r2
ln9167:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
ln9169:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln9169
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9170
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9170:
jmp @r4
mov #0x1C,r2
! Opcodes E938 - E93F
Y938:
and r0,r2
mov.l @(16,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9171
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9172
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9172:
jmp @r4
mov #0x1C,r2
ln9171:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
ln9173:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln9173
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9174
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9174:
jmp @r4
mov #0x1C,r2
! Opcodes E940 - E947
Y940:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl9177
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9177:
jmp @r4
mov #0x1C,r2
! Opcodes E948 - E94F
Y948:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #3,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl9180
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9180:
jmp @r4
mov #0x1C,r2
! Opcodes E950 - E957
Y950:
and r0,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #4,r0
ln9182:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln9182
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl9183
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9183:
jmp @r4
mov #0x1C,r2
! Opcodes E958 - E95F
Y958:
and r0,r2
add r13,r2
mov.w @r2,r3
clrt
mov #4,r0
ln9185:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln9185
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
shll2 r0
cmp/pl r7
bt/s fdl9186
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9186:
jmp @r4
mov #0x1C,r2
! Opcodes E960 - E967
Y960:
and r0,r2
mov.l @(16,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9187
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9188
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9188:
jmp @r4
mov #0x1C,r2
ln9187:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
mov r3,r1
mov #0,r8
ln9189:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln9189
cmp/pl r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9190
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9190:
jmp @r4
mov #0x1C,r2
! Opcodes E968 - E96F
Y968:
and r0,r2
mov.l @(16,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9191
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9192
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9192:
jmp @r4
mov #0x1C,r2
ln9191:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9193
add #-31,r0
mov #31,r1
shld r1,r3
nobitover9193:
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9194
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9194:
jmp @r4
mov #0x1C,r2
! Opcodes E970 - E977
Y970:
and r0,r2
mov.l @(16,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9195
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9196
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9196:
jmp @r4
mov #0x1C,r2
ln9195:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
ln9197:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln9197
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9198
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9198:
jmp @r4
mov #0x1C,r2
! Opcodes E978 - E97F
Y978:
and r0,r2
mov.l @(16,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9199
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9200
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9200:
jmp @r4
mov #0x1C,r2
ln9199:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
ln9201:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln9201
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9202
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9202:
jmp @r4
mov #0x1C,r2
! Opcodes E980 - E987
Y980:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl9205
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9205:
jmp @r4
mov #0x1C,r2
! Opcodes E988 - E98F
Y988:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #3,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl9208
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9208:
jmp @r4
mov #0x1C,r2
! Opcodes E990 - E997
Y990:
and r0,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #4,r0
ln9210:
rotcl r3
movt r8
dt r0
bf/s ln9210
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl9211
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9211:
jmp @r4
mov #0x1C,r2
! Opcodes E998 - E99F
Y998:
and r0,r2
add r13,r2
mov.l @r2,r3
clrt
mov #4,r0
ln9213:
rotl r3
movt r8
dt r0
bf ln9213
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl9214
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9214:
jmp @r4
mov #0x1C,r2
! Opcodes E9A0 - E9A7
Y9A0:
and r0,r2
mov.l @(16,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9215
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9216
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9216:
jmp @r4
mov #0x1C,r2
ln9215:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov r3,r1
mov #0,r8
ln9217:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln9217
cmp/pl r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9218
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9218:
jmp @r4
mov #0x1C,r2
! Opcodes E9A8 - E9AF
Y9A8:
and r0,r2
mov.l @(16,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9219
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9220
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9220:
jmp @r4
mov #0x1C,r2
ln9219:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9221
add #-31,r0
mov #31,r1
shld r1,r3
nobitover9221:
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9222
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9222:
jmp @r4
mov #0x1C,r2
! Opcodes E9B0 - E9B7
Y9B0:
and r0,r2
mov.l @(16,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9223
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9224
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9224:
jmp @r4
mov #0x1C,r2
ln9223:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln9225:
rotcl r3
movt r8
dt r0
bf/s ln9225
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9226
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9226:
jmp @r4
mov #0x1C,r2
! Opcodes E9B8 - E9BF
Y9B8:
and r0,r2
mov.l @(16,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9227
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9228
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9228:
jmp @r4
mov #0x1C,r2
ln9227:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln9229:
rotl r3
movt r8
dt r0
bf ln9229
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9230
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9230:
jmp @r4
mov #0x1C,r2
! Opcodes EA00 - EA07
YA00:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #-4,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl9233
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9233:
jmp @r4
mov #0x1C,r2
! Opcodes EA08 - EA0F
YA08:
and r0,r2
add r13,r2
mov.b @r2,r3
extu.b r3,r3
mov #-4,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl9236
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9236:
jmp @r4
mov #0x1C,r2
! Opcodes EA10 - EA17
YA10:
and r0,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #5,r0
extu.b r3,r3
ln9238:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln9238
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl9239
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9239:
jmp @r4
mov #0x1C,r2
! Opcodes EA18 - EA1F
YA18:
and r0,r2
add r13,r2
mov.b @r2,r3
clrt
mov #5,r0
extu.b r3,r3
ln9241:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln9241
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl9242
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9242:
jmp @r4
mov #0x1C,r2
! Opcodes EA20 - EA27
YA20:
and r0,r2
mov.l @(20,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9243
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9244
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9244:
jmp @r4
mov #0x1C,r2
ln9243:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9245
add #-31,r0
mov #-31,r1
shad r1,r3
nobitover9245:
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9246
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9246:
jmp @r4
mov #0x1C,r2
! Opcodes EA28 - EA2F
YA28:
and r0,r2
mov.l @(20,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9247
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9248
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9248:
jmp @r4
mov #0x1C,r2
ln9247:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
extu.b r3,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9249
add #-31,r0
mov #-31,r1
shld r1,r3
nobitover9249:
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9250
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9250:
jmp @r4
mov #0x1C,r2
! Opcodes EA30 - EA37
YA30:
and r0,r2
mov.l @(20,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9251
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9252
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9252:
jmp @r4
mov #0x1C,r2
ln9251:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
extu.b r3,r3
ln9253:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln9253
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9254
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9254:
jmp @r4
mov #0x1C,r2
! Opcodes EA38 - EA3F
YA38:
and r0,r2
mov.l @(20,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9255
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9256
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9256:
jmp @r4
mov #0x1C,r2
ln9255:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
extu.b r3,r3
ln9257:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln9257
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9258
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9258:
jmp @r4
mov #0x1C,r2
! Opcodes EA40 - EA47
YA40:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #-4,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl9261
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9261:
jmp @r4
mov #0x1C,r2
! Opcodes EA48 - EA4F
YA48:
and r0,r2
add r13,r2
mov.w @r2,r3
extu.w r3,r3
mov #-4,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl9264
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9264:
jmp @r4
mov #0x1C,r2
! Opcodes EA50 - EA57
YA50:
and r0,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #5,r0
extu.w r3,r3
ln9266:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln9266
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl9267
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9267:
jmp @r4
mov #0x1C,r2
! Opcodes EA58 - EA5F
YA58:
and r0,r2
add r13,r2
mov.w @r2,r3
clrt
mov #5,r0
extu.w r3,r3
ln9269:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln9269
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl9270
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9270:
jmp @r4
mov #0x1C,r2
! Opcodes EA60 - EA67
YA60:
and r0,r2
mov.l @(20,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9271
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9272
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9272:
jmp @r4
mov #0x1C,r2
ln9271:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9273
add #-31,r0
mov #-31,r1
shad r1,r3
nobitover9273:
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9274
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9274:
jmp @r4
mov #0x1C,r2
! Opcodes EA68 - EA6F
YA68:
and r0,r2
mov.l @(20,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9275
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9276
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9276:
jmp @r4
mov #0x1C,r2
ln9275:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
extu.w r3,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9277
add #-31,r0
mov #-31,r1
shld r1,r3
nobitover9277:
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9278
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9278:
jmp @r4
mov #0x1C,r2
! Opcodes EA70 - EA77
YA70:
and r0,r2
mov.l @(20,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9279
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9280
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9280:
jmp @r4
mov #0x1C,r2
ln9279:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
extu.w r3,r3
ln9281:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln9281
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9282
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9282:
jmp @r4
mov #0x1C,r2
! Opcodes EA78 - EA7F
YA78:
and r0,r2
mov.l @(20,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9283
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9284
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9284:
jmp @r4
mov #0x1C,r2
ln9283:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
extu.w r3,r3
ln9285:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln9285
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9286
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9286:
jmp @r4
mov #0x1C,r2
! Opcodes EA80 - EA87
YA80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #-4,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl9289
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9289:
jmp @r4
mov #0x1C,r2
! Opcodes EA88 - EA8F
YA88:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #-4,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl9292
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9292:
jmp @r4
mov #0x1C,r2
! Opcodes EA90 - EA97
YA90:
and r0,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #5,r0
ln9294:
rotcr r3
movt r8
dt r0
bf/s ln9294
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl9295
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9295:
jmp @r4
mov #0x1C,r2
! Opcodes EA98 - EA9F
YA98:
and r0,r2
add r13,r2
mov.l @r2,r3
clrt
mov #5,r0
ln9297:
rotr r3
movt r8
dt r0
bf ln9297
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl9298
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9298:
jmp @r4
mov #0x1C,r2
! Opcodes EAA0 - EAA7
YAA0:
and r0,r2
mov.l @(20,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9299
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9300
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9300:
jmp @r4
mov #0x1C,r2
ln9299:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9301
add #-31,r0
mov #-31,r1
shad r1,r3
nobitover9301:
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9302
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9302:
jmp @r4
mov #0x1C,r2
! Opcodes EAA8 - EAAF
YAA8:
and r0,r2
mov.l @(20,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9303
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9304
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9304:
jmp @r4
mov #0x1C,r2
ln9303:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9305
add #-31,r0
mov #-31,r1
shld r1,r3
nobitover9305:
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9306
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9306:
jmp @r4
mov #0x1C,r2
! Opcodes EAB0 - EAB7
YAB0:
and r0,r2
mov.l @(20,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9307
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9308
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9308:
jmp @r4
mov #0x1C,r2
ln9307:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln9309:
rotcr r3
movt r8
dt r0
bf/s ln9309
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9310
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9310:
jmp @r4
mov #0x1C,r2
! Opcodes EAB8 - EABF
YAB8:
and r0,r2
mov.l @(20,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9311
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9312
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9312:
jmp @r4
mov #0x1C,r2
ln9311:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln9313:
rotr r3
movt r8
dt r0
bf ln9313
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9314
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9314:
jmp @r4
mov #0x1C,r2
! Opcodes EB00 - EB07
YB00:
and r0,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl9317
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9317:
jmp @r4
mov #0x1C,r2
! Opcodes EB08 - EB0F
YB08:
and r0,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #4,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl9320
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9320:
jmp @r4
mov #0x1C,r2
! Opcodes EB10 - EB17
YB10:
and r0,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #5,r0
ln9322:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln9322
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl9323
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9323:
jmp @r4
mov #0x1C,r2
! Opcodes EB18 - EB1F
YB18:
and r0,r2
add r13,r2
mov.b @r2,r3
clrt
mov #5,r0
ln9325:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln9325
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl9326
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9326:
jmp @r4
mov #0x1C,r2
! Opcodes EB20 - EB27
YB20:
and r0,r2
mov.l @(20,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9327
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9328
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9328:
jmp @r4
mov #0x1C,r2
ln9327:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov r3,r1
mov #0,r8
ln9329:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln9329
cmp/pl r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9330
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9330:
jmp @r4
mov #0x1C,r2
! Opcodes EB28 - EB2F
YB28:
and r0,r2
mov.l @(20,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9331
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9332
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9332:
jmp @r4
mov #0x1C,r2
ln9331:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9333
add #-31,r0
mov #31,r1
shld r1,r3
nobitover9333:
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9334
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9334:
jmp @r4
mov #0x1C,r2
! Opcodes EB30 - EB37
YB30:
and r0,r2
mov.l @(20,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9335
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9336
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9336:
jmp @r4
mov #0x1C,r2
ln9335:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
ln9337:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln9337
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9338
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9338:
jmp @r4
mov #0x1C,r2
! Opcodes EB38 - EB3F
YB38:
and r0,r2
mov.l @(20,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9339
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9340
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9340:
jmp @r4
mov #0x1C,r2
ln9339:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
ln9341:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln9341
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9342
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9342:
jmp @r4
mov #0x1C,r2
! Opcodes EB40 - EB47
YB40:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl9345
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9345:
jmp @r4
mov #0x1C,r2
! Opcodes EB48 - EB4F
YB48:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #4,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl9348
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9348:
jmp @r4
mov #0x1C,r2
! Opcodes EB50 - EB57
YB50:
and r0,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #5,r0
ln9350:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln9350
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl9351
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9351:
jmp @r4
mov #0x1C,r2
! Opcodes EB58 - EB5F
YB58:
and r0,r2
add r13,r2
mov.w @r2,r3
clrt
mov #5,r0
ln9353:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln9353
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
shll2 r0
cmp/pl r7
bt/s fdl9354
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9354:
jmp @r4
mov #0x1C,r2
! Opcodes EB60 - EB67
YB60:
and r0,r2
mov.l @(20,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9355
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9356
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9356:
jmp @r4
mov #0x1C,r2
ln9355:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
mov r3,r1
mov #0,r8
ln9357:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln9357
cmp/pl r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9358
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9358:
jmp @r4
mov #0x1C,r2
! Opcodes EB68 - EB6F
YB68:
and r0,r2
mov.l @(20,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9359
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9360
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9360:
jmp @r4
mov #0x1C,r2
ln9359:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9361
add #-31,r0
mov #31,r1
shld r1,r3
nobitover9361:
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9362
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9362:
jmp @r4
mov #0x1C,r2
! Opcodes EB70 - EB77
YB70:
and r0,r2
mov.l @(20,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9363
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9364
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9364:
jmp @r4
mov #0x1C,r2
ln9363:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
ln9365:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln9365
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9366
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9366:
jmp @r4
mov #0x1C,r2
! Opcodes EB78 - EB7F
YB78:
and r0,r2
mov.l @(20,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9367
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9368
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9368:
jmp @r4
mov #0x1C,r2
ln9367:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
ln9369:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln9369
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9370
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9370:
jmp @r4
mov #0x1C,r2
! Opcodes EB80 - EB87
YB80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl9373
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9373:
jmp @r4
mov #0x1C,r2
! Opcodes EB88 - EB8F
YB88:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #4,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl9376
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9376:
jmp @r4
mov #0x1C,r2
! Opcodes EB90 - EB97
YB90:
and r0,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #5,r0
ln9378:
rotcl r3
movt r8
dt r0
bf/s ln9378
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl9379
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9379:
jmp @r4
mov #0x1C,r2
! Opcodes EB98 - EB9F
YB98:
and r0,r2
add r13,r2
mov.l @r2,r3
clrt
mov #5,r0
ln9381:
rotl r3
movt r8
dt r0
bf ln9381
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl9382
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9382:
jmp @r4
mov #0x1C,r2
! Opcodes EBA0 - EBA7
YBA0:
and r0,r2
mov.l @(20,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9383
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9384
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9384:
jmp @r4
mov #0x1C,r2
ln9383:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov r3,r1
mov #0,r8
ln9385:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln9385
cmp/pl r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9386
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9386:
jmp @r4
mov #0x1C,r2
! Opcodes EBA8 - EBAF
YBA8:
and r0,r2
mov.l @(20,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9387
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9388
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9388:
jmp @r4
mov #0x1C,r2
ln9387:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9389
add #-31,r0
mov #31,r1
shld r1,r3
nobitover9389:
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9390
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9390:
jmp @r4
mov #0x1C,r2
! Opcodes EBB0 - EBB7
YBB0:
and r0,r2
mov.l @(20,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9391
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9392
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9392:
jmp @r4
mov #0x1C,r2
ln9391:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln9393:
rotcl r3
movt r8
dt r0
bf/s ln9393
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9394
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9394:
jmp @r4
mov #0x1C,r2
! Opcodes EBB8 - EBBF
YBB8:
and r0,r2
mov.l @(20,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9395
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9396
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9396:
jmp @r4
mov #0x1C,r2
ln9395:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln9397:
rotl r3
movt r8
dt r0
bf ln9397
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9398
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9398:
jmp @r4
mov #0x1C,r2
! Opcodes EC00 - EC07
YC00:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #-5,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl9401
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9401:
jmp @r4
mov #0x1C,r2
! Opcodes EC08 - EC0F
YC08:
and r0,r2
add r13,r2
mov.b @r2,r3
extu.b r3,r3
mov #-5,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl9404
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9404:
jmp @r4
mov #0x1C,r2
! Opcodes EC10 - EC17
YC10:
and r0,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #6,r0
extu.b r3,r3
ln9406:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln9406
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl9407
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9407:
jmp @r4
mov #0x1C,r2
! Opcodes EC18 - EC1F
YC18:
and r0,r2
add r13,r2
mov.b @r2,r3
clrt
mov #6,r0
extu.b r3,r3
ln9409:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln9409
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl9410
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9410:
jmp @r4
mov #0x1C,r2
! Opcodes EC20 - EC27
YC20:
and r0,r2
mov.l @(24,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9411
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9412
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9412:
jmp @r4
mov #0x1C,r2
ln9411:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9413
add #-31,r0
mov #-31,r1
shad r1,r3
nobitover9413:
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9414
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9414:
jmp @r4
mov #0x1C,r2
! Opcodes EC28 - EC2F
YC28:
and r0,r2
mov.l @(24,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9415
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9416
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9416:
jmp @r4
mov #0x1C,r2
ln9415:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
extu.b r3,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9417
add #-31,r0
mov #-31,r1
shld r1,r3
nobitover9417:
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9418
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9418:
jmp @r4
mov #0x1C,r2
! Opcodes EC30 - EC37
YC30:
and r0,r2
mov.l @(24,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9419
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9420
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9420:
jmp @r4
mov #0x1C,r2
ln9419:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
extu.b r3,r3
ln9421:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln9421
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9422
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9422:
jmp @r4
mov #0x1C,r2
! Opcodes EC38 - EC3F
YC38:
and r0,r2
mov.l @(24,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9423
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9424
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9424:
jmp @r4
mov #0x1C,r2
ln9423:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
extu.b r3,r3
ln9425:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln9425
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9426
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9426:
jmp @r4
mov #0x1C,r2
! Opcodes EC40 - EC47
YC40:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #-5,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl9429
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9429:
jmp @r4
mov #0x1C,r2
! Opcodes EC48 - EC4F
YC48:
and r0,r2
add r13,r2
mov.w @r2,r3
extu.w r3,r3
mov #-5,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl9432
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9432:
jmp @r4
mov #0x1C,r2
! Opcodes EC50 - EC57
YC50:
and r0,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #6,r0
extu.w r3,r3
ln9434:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln9434
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl9435
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9435:
jmp @r4
mov #0x1C,r2
! Opcodes EC58 - EC5F
YC58:
and r0,r2
add r13,r2
mov.w @r2,r3
clrt
mov #6,r0
extu.w r3,r3
ln9437:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln9437
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl9438
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9438:
jmp @r4
mov #0x1C,r2
! Opcodes EC60 - EC67
YC60:
and r0,r2
mov.l @(24,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9439
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9440
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9440:
jmp @r4
mov #0x1C,r2
ln9439:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9441
add #-31,r0
mov #-31,r1
shad r1,r3
nobitover9441:
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9442
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9442:
jmp @r4
mov #0x1C,r2
! Opcodes EC68 - EC6F
YC68:
and r0,r2
mov.l @(24,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9443
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9444
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9444:
jmp @r4
mov #0x1C,r2
ln9443:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
extu.w r3,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9445
add #-31,r0
mov #-31,r1
shld r1,r3
nobitover9445:
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9446
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9446:
jmp @r4
mov #0x1C,r2
! Opcodes EC70 - EC77
YC70:
and r0,r2
mov.l @(24,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9447
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9448
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9448:
jmp @r4
mov #0x1C,r2
ln9447:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
extu.w r3,r3
ln9449:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln9449
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9450
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9450:
jmp @r4
mov #0x1C,r2
! Opcodes EC78 - EC7F
YC78:
and r0,r2
mov.l @(24,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9451
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9452
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9452:
jmp @r4
mov #0x1C,r2
ln9451:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
extu.w r3,r3
ln9453:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln9453
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9454
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9454:
jmp @r4
mov #0x1C,r2
! Opcodes EC80 - EC87
YC80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #-5,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl9457
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9457:
jmp @r4
mov #0x1C,r2
! Opcodes EC88 - EC8F
YC88:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #-5,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl9460
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9460:
jmp @r4
mov #0x1C,r2
! Opcodes EC90 - EC97
YC90:
and r0,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #6,r0
ln9462:
rotcr r3
movt r8
dt r0
bf/s ln9462
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl9463
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9463:
jmp @r4
mov #0x1C,r2
! Opcodes EC98 - EC9F
YC98:
and r0,r2
add r13,r2
mov.l @r2,r3
clrt
mov #6,r0
ln9465:
rotr r3
movt r8
dt r0
bf ln9465
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl9466
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9466:
jmp @r4
mov #0x1C,r2
! Opcodes ECA0 - ECA7
YCA0:
and r0,r2
mov.l @(24,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9467
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9468
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9468:
jmp @r4
mov #0x1C,r2
ln9467:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9469
add #-31,r0
mov #-31,r1
shad r1,r3
nobitover9469:
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9470
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9470:
jmp @r4
mov #0x1C,r2
! Opcodes ECA8 - ECAF
YCA8:
and r0,r2
mov.l @(24,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9471
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9472
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9472:
jmp @r4
mov #0x1C,r2
ln9471:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9473
add #-31,r0
mov #-31,r1
shld r1,r3
nobitover9473:
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9474
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9474:
jmp @r4
mov #0x1C,r2
! Opcodes ECB0 - ECB7
YCB0:
and r0,r2
mov.l @(24,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9475
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9476
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9476:
jmp @r4
mov #0x1C,r2
ln9475:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln9477:
rotcr r3
movt r8
dt r0
bf/s ln9477
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9478
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9478:
jmp @r4
mov #0x1C,r2
! Opcodes ECB8 - ECBF
YCB8:
and r0,r2
mov.l @(24,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9479
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9480
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9480:
jmp @r4
mov #0x1C,r2
ln9479:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln9481:
rotr r3
movt r8
dt r0
bf ln9481
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9482
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9482:
jmp @r4
mov #0x1C,r2
! Opcodes ED00 - ED07
YD00:
and r0,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl9485
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9485:
jmp @r4
mov #0x1C,r2
! Opcodes ED08 - ED0F
YD08:
and r0,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #5,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl9488
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9488:
jmp @r4
mov #0x1C,r2
! Opcodes ED10 - ED17
YD10:
and r0,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #6,r0
ln9490:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln9490
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl9491
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9491:
jmp @r4
mov #0x1C,r2
! Opcodes ED18 - ED1F
YD18:
and r0,r2
add r13,r2
mov.b @r2,r3
clrt
mov #6,r0
ln9493:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln9493
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl9494
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9494:
jmp @r4
mov #0x1C,r2
! Opcodes ED20 - ED27
YD20:
and r0,r2
mov.l @(24,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9495
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9496
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9496:
jmp @r4
mov #0x1C,r2
ln9495:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov r3,r1
mov #0,r8
ln9497:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln9497
cmp/pl r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9498
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9498:
jmp @r4
mov #0x1C,r2
! Opcodes ED28 - ED2F
YD28:
and r0,r2
mov.l @(24,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9499
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9500
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9500:
jmp @r4
mov #0x1C,r2
ln9499:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9501
add #-31,r0
mov #31,r1
shld r1,r3
nobitover9501:
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9502
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9502:
jmp @r4
mov #0x1C,r2
! Opcodes ED30 - ED37
YD30:
and r0,r2
mov.l @(24,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9503
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9504
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9504:
jmp @r4
mov #0x1C,r2
ln9503:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
ln9505:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln9505
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9506
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9506:
jmp @r4
mov #0x1C,r2
! Opcodes ED38 - ED3F
YD38:
and r0,r2
mov.l @(24,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9507
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9508
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9508:
jmp @r4
mov #0x1C,r2
ln9507:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
ln9509:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln9509
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9510
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9510:
jmp @r4
mov #0x1C,r2
! Opcodes ED40 - ED47
YD40:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl9513
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9513:
jmp @r4
mov #0x1C,r2
! Opcodes ED48 - ED4F
YD48:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #5,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl9516
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9516:
jmp @r4
mov #0x1C,r2
! Opcodes ED50 - ED57
YD50:
and r0,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #6,r0
ln9518:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln9518
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl9519
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9519:
jmp @r4
mov #0x1C,r2
! Opcodes ED58 - ED5F
YD58:
and r0,r2
add r13,r2
mov.w @r2,r3
clrt
mov #6,r0
ln9521:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln9521
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
shll2 r0
cmp/pl r7
bt/s fdl9522
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9522:
jmp @r4
mov #0x1C,r2
! Opcodes ED60 - ED67
YD60:
and r0,r2
mov.l @(24,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9523
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9524
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9524:
jmp @r4
mov #0x1C,r2
ln9523:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
mov r3,r1
mov #0,r8
ln9525:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln9525
cmp/pl r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9526
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9526:
jmp @r4
mov #0x1C,r2
! Opcodes ED68 - ED6F
YD68:
and r0,r2
mov.l @(24,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9527
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9528
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9528:
jmp @r4
mov #0x1C,r2
ln9527:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9529
add #-31,r0
mov #31,r1
shld r1,r3
nobitover9529:
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9530
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9530:
jmp @r4
mov #0x1C,r2
! Opcodes ED70 - ED77
YD70:
and r0,r2
mov.l @(24,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9531
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9532
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9532:
jmp @r4
mov #0x1C,r2
ln9531:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
ln9533:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln9533
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9534
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9534:
jmp @r4
mov #0x1C,r2
! Opcodes ED78 - ED7F
YD78:
and r0,r2
mov.l @(24,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9535
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9536
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9536:
jmp @r4
mov #0x1C,r2
ln9535:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
ln9537:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln9537
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9538
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9538:
jmp @r4
mov #0x1C,r2
! Opcodes ED80 - ED87
YD80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl9541
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9541:
jmp @r4
mov #0x1C,r2
! Opcodes ED88 - ED8F
YD88:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #5,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl9544
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9544:
jmp @r4
mov #0x1C,r2
! Opcodes ED90 - ED97
YD90:
and r0,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #6,r0
ln9546:
rotcl r3
movt r8
dt r0
bf/s ln9546
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl9547
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9547:
jmp @r4
mov #0x1C,r2
! Opcodes ED98 - ED9F
YD98:
and r0,r2
add r13,r2
mov.l @r2,r3
clrt
mov #6,r0
ln9549:
rotl r3
movt r8
dt r0
bf ln9549
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl9550
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9550:
jmp @r4
mov #0x1C,r2
! Opcodes EDA0 - EDA7
YDA0:
and r0,r2
mov.l @(24,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9551
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9552
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9552:
jmp @r4
mov #0x1C,r2
ln9551:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov r3,r1
mov #0,r8
ln9553:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln9553
cmp/pl r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9554
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9554:
jmp @r4
mov #0x1C,r2
! Opcodes EDA8 - EDAF
YDA8:
and r0,r2
mov.l @(24,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9555
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9556
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9556:
jmp @r4
mov #0x1C,r2
ln9555:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9557
add #-31,r0
mov #31,r1
shld r1,r3
nobitover9557:
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9558
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9558:
jmp @r4
mov #0x1C,r2
! Opcodes EDB0 - EDB7
YDB0:
and r0,r2
mov.l @(24,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9559
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9560
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9560:
jmp @r4
mov #0x1C,r2
ln9559:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln9561:
rotcl r3
movt r8
dt r0
bf/s ln9561
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9562
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9562:
jmp @r4
mov #0x1C,r2
! Opcodes EDB8 - EDBF
YDB8:
and r0,r2
mov.l @(24,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9563
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9564
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9564:
jmp @r4
mov #0x1C,r2
ln9563:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln9565:
rotl r3
movt r8
dt r0
bf ln9565
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9566
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9566:
jmp @r4
mov #0x1C,r2
! Opcodes EE00 - EE07
YE00:
and r0,r2
add r13,r2
mov.b @r2,r3
mov #-6,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl9569
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9569:
jmp @r4
mov #0x1C,r2
! Opcodes EE08 - EE0F
YE08:
and r0,r2
add r13,r2
mov.b @r2,r3
extu.b r3,r3
mov #-6,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl9572
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9572:
jmp @r4
mov #0x1C,r2
! Opcodes EE10 - EE17
YE10:
and r0,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #7,r0
extu.b r3,r3
ln9574:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln9574
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl9575
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9575:
jmp @r4
mov #0x1C,r2
! Opcodes EE18 - EE1F
YE18:
and r0,r2
add r13,r2
mov.b @r2,r3
clrt
mov #7,r0
extu.b r3,r3
ln9577:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln9577
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl9578
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9578:
jmp @r4
mov #0x1C,r2
! Opcodes EE20 - EE27
YE20:
and r0,r2
mov.l @(28,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9579
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9580
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9580:
jmp @r4
mov #0x1C,r2
ln9579:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9581
add #-31,r0
mov #-31,r1
shad r1,r3
nobitover9581:
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9582
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9582:
jmp @r4
mov #0x1C,r2
! Opcodes EE28 - EE2F
YE28:
and r0,r2
mov.l @(28,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9583
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9584
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9584:
jmp @r4
mov #0x1C,r2
ln9583:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
extu.b r3,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9585
add #-31,r0
mov #-31,r1
shld r1,r3
nobitover9585:
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9586
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9586:
jmp @r4
mov #0x1C,r2
! Opcodes EE30 - EE37
YE30:
and r0,r2
mov.l @(28,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9587
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9588
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9588:
jmp @r4
mov #0x1C,r2
ln9587:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
extu.b r3,r3
ln9589:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln9589
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9590
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9590:
jmp @r4
mov #0x1C,r2
! Opcodes EE38 - EE3F
YE38:
and r0,r2
mov.l @(28,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9591
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9592
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9592:
jmp @r4
mov #0x1C,r2
ln9591:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
extu.b r3,r3
ln9593:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln9593
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9594
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9594:
jmp @r4
mov #0x1C,r2
! Opcodes EE40 - EE47
YE40:
and r0,r2
add r13,r2
mov.w @r2,r3
mov #-6,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl9597
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9597:
jmp @r4
mov #0x1C,r2
! Opcodes EE48 - EE4F
YE48:
and r0,r2
add r13,r2
mov.w @r2,r3
extu.w r3,r3
mov #-6,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl9600
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9600:
jmp @r4
mov #0x1C,r2
! Opcodes EE50 - EE57
YE50:
and r0,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #7,r0
extu.w r3,r3
ln9602:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln9602
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl9603
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9603:
jmp @r4
mov #0x1C,r2
! Opcodes EE58 - EE5F
YE58:
and r0,r2
add r13,r2
mov.w @r2,r3
clrt
mov #7,r0
extu.w r3,r3
ln9605:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln9605
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl9606
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9606:
jmp @r4
mov #0x1C,r2
! Opcodes EE60 - EE67
YE60:
and r0,r2
mov.l @(28,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9607
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9608
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9608:
jmp @r4
mov #0x1C,r2
ln9607:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9609
add #-31,r0
mov #-31,r1
shad r1,r3
nobitover9609:
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9610
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9610:
jmp @r4
mov #0x1C,r2
! Opcodes EE68 - EE6F
YE68:
and r0,r2
mov.l @(28,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9611
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9612
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9612:
jmp @r4
mov #0x1C,r2
ln9611:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
extu.w r3,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9613
add #-31,r0
mov #-31,r1
shld r1,r3
nobitover9613:
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9614
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9614:
jmp @r4
mov #0x1C,r2
! Opcodes EE70 - EE77
YE70:
and r0,r2
mov.l @(28,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9615
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9616
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9616:
jmp @r4
mov #0x1C,r2
ln9615:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
extu.w r3,r3
ln9617:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln9617
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9618
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9618:
jmp @r4
mov #0x1C,r2
! Opcodes EE78 - EE7F
YE78:
and r0,r2
mov.l @(28,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9619
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9620
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9620:
jmp @r4
mov #0x1C,r2
ln9619:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
extu.w r3,r3
ln9621:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln9621
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9622
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9622:
jmp @r4
mov #0x1C,r2
! Opcodes EE80 - EE87
YE80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #-6,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl9625
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9625:
jmp @r4
mov #0x1C,r2
! Opcodes EE88 - EE8F
YE88:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #-6,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl9628
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9628:
jmp @r4
mov #0x1C,r2
! Opcodes EE90 - EE97
YE90:
and r0,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #7,r0
ln9630:
rotcr r3
movt r8
dt r0
bf/s ln9630
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl9631
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9631:
jmp @r4
mov #0x1C,r2
! Opcodes EE98 - EE9F
YE98:
and r0,r2
add r13,r2
mov.l @r2,r3
clrt
mov #7,r0
ln9633:
rotr r3
movt r8
dt r0
bf ln9633
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl9634
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9634:
jmp @r4
mov #0x1C,r2
! Opcodes EEA0 - EEA7
YEA0:
and r0,r2
mov.l @(28,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9635
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9636
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9636:
jmp @r4
mov #0x1C,r2
ln9635:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9637
add #-31,r0
mov #-31,r1
shad r1,r3
nobitover9637:
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9638
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9638:
jmp @r4
mov #0x1C,r2
! Opcodes EEA8 - EEAF
YEA8:
and r0,r2
mov.l @(28,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9639
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9640
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9640:
jmp @r4
mov #0x1C,r2
ln9639:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9641
add #-31,r0
mov #-31,r1
shld r1,r3
nobitover9641:
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9642
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9642:
jmp @r4
mov #0x1C,r2
! Opcodes EEB0 - EEB7
YEB0:
and r0,r2
mov.l @(28,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9643
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9644
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9644:
jmp @r4
mov #0x1C,r2
ln9643:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln9645:
rotcr r3
movt r8
dt r0
bf/s ln9645
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9646
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9646:
jmp @r4
mov #0x1C,r2
! Opcodes EEB8 - EEBF
YEB8:
and r0,r2
mov.l @(28,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9647
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9648
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9648:
jmp @r4
mov #0x1C,r2
ln9647:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln9649:
rotr r3
movt r8
dt r0
bf ln9649
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9650
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9650:
jmp @r4
mov #0x1C,r2
! Opcodes EF00 - EF07
YF00:
and r0,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl9653
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9653:
jmp @r4
mov #0x1C,r2
! Opcodes EF08 - EF0F
YF08:
and r0,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #6,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl9656
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9656:
jmp @r4
mov #0x1C,r2
! Opcodes EF10 - EF17
YF10:
and r0,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #7,r0
ln9658:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln9658
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl9659
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9659:
jmp @r4
mov #0x1C,r2
! Opcodes EF18 - EF1F
YF18:
and r0,r2
add r13,r2
mov.b @r2,r3
clrt
mov #7,r0
ln9661:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln9661
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl9662
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9662:
jmp @r4
mov #0x1C,r2
! Opcodes EF20 - EF27
YF20:
and r0,r2
mov.l @(28,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9663
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9664
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9664:
jmp @r4
mov #0x1C,r2
ln9663:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov r3,r1
mov #0,r8
ln9665:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln9665
cmp/pl r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9666
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9666:
jmp @r4
mov #0x1C,r2
! Opcodes EF28 - EF2F
YF28:
and r0,r2
mov.l @(28,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9667
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9668
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9668:
jmp @r4
mov #0x1C,r2
ln9667:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9669
add #-31,r0
mov #31,r1
shld r1,r3
nobitover9669:
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9670
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9670:
jmp @r4
mov #0x1C,r2
! Opcodes EF30 - EF37
YF30:
and r0,r2
mov.l @(28,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9671
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9672
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9672:
jmp @r4
mov #0x1C,r2
ln9671:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
ln9673:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln9673
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9674
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9674:
jmp @r4
mov #0x1C,r2
! Opcodes EF38 - EF3F
YF38:
and r0,r2
mov.l @(28,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9675
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9676
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9676:
jmp @r4
mov #0x1C,r2
ln9675:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
ln9677:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln9677
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9678
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9678:
jmp @r4
mov #0x1C,r2
! Opcodes EF40 - EF47
YF40:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl9681
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9681:
jmp @r4
mov #0x1C,r2
! Opcodes EF48 - EF4F
YF48:
and r0,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #6,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl9684
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9684:
jmp @r4
mov #0x1C,r2
! Opcodes EF50 - EF57
YF50:
and r0,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #7,r0
ln9686:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln9686
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl9687
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9687:
jmp @r4
mov #0x1C,r2
! Opcodes EF58 - EF5F
YF58:
and r0,r2
add r13,r2
mov.w @r2,r3
clrt
mov #7,r0
ln9689:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln9689
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
shll2 r0
cmp/pl r7
bt/s fdl9690
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9690:
jmp @r4
mov #0x1C,r2
! Opcodes EF60 - EF67
YF60:
and r0,r2
mov.l @(28,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9691
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9692
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9692:
jmp @r4
mov #0x1C,r2
ln9691:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
mov r3,r1
mov #0,r8
ln9693:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln9693
cmp/pl r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9694
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9694:
jmp @r4
mov #0x1C,r2
! Opcodes EF68 - EF6F
YF68:
and r0,r2
mov.l @(28,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9695
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9696
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9696:
jmp @r4
mov #0x1C,r2
ln9695:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9697
add #-31,r0
mov #31,r1
shld r1,r3
nobitover9697:
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9698
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9698:
jmp @r4
mov #0x1C,r2
! Opcodes EF70 - EF77
YF70:
and r0,r2
mov.l @(28,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9699
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9700
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9700:
jmp @r4
mov #0x1C,r2
ln9699:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
ln9701:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln9701
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9702
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9702:
jmp @r4
mov #0x1C,r2
! Opcodes EF78 - EF7F
YF78:
and r0,r2
mov.l @(28,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9703
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9704
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9704:
jmp @r4
mov #0x1C,r2
ln9703:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
ln9705:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln9705
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
shll2 r0
cmp/pl r7
bt/s fdl9706
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9706:
jmp @r4
mov #0x1C,r2
! Opcodes EF80 - EF87
YF80:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl9709
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9709:
jmp @r4
mov #0x1C,r2
! Opcodes EF88 - EF8F
YF88:
and r0,r2
add r13,r2
mov.l @r2,r3
mov #6,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl9712
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9712:
jmp @r4
mov #0x1C,r2
! Opcodes EF90 - EF97
YF90:
and r0,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #7,r0
ln9714:
rotcl r3
movt r8
dt r0
bf/s ln9714
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl9715
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9715:
jmp @r4
mov #0x1C,r2
! Opcodes EF98 - EF9F
YF98:
and r0,r2
add r13,r2
mov.l @r2,r3
clrt
mov #7,r0
ln9717:
rotl r3
movt r8
dt r0
bf ln9717
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
shll2 r0
cmp/pl r7
bt/s fdl9718
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9718:
jmp @r4
mov #0x1C,r2
! Opcodes EFA0 - EFA7
YFA0:
and r0,r2
mov.l @(28,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9719
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9720
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9720:
jmp @r4
mov #0x1C,r2
ln9719:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov r3,r1
mov #0,r8
ln9721:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln9721
cmp/pl r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9722
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9722:
jmp @r4
mov #0x1C,r2
! Opcodes EFA8 - EFAF
YFA8:
and r0,r2
mov.l @(28,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9723
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9724
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9724:
jmp @r4
mov #0x1C,r2
ln9723:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov #32,r1
cmp/hi r1,r0
bf nobitover9725
add #-31,r0
mov #31,r1
shld r1,r3
nobitover9725:
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9726
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9726:
jmp @r4
mov #0x1C,r2
! Opcodes EFB0 - EFB7
YFB0:
and r0,r2
mov.l @(28,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9727
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9728
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9728:
jmp @r4
mov #0x1C,r2
ln9727:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln9729:
rotcl r3
movt r8
dt r0
bf/s ln9729
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9730
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9730:
jmp @r4
mov #0x1C,r2
! Opcodes EFB8 - EFBF
YFB8:
and r0,r2
mov.l @(28,r13),r0
and #0x3F,r0
tst r0,r0
bf ln9731
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9732
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9732:
jmp @r4
mov #0x1C,r2
ln9731:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln9733:
rotl r3
movt r8
dt r0
bf ln9733
mov.l r3,@r2
rotl r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
shll2 r0
cmp/pl r7
bt/s fdl9734
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9734:
jmp @r4
mov #0x1C,r2
! Opcodes F000 - FFFF
Z000:
mov.l r3,@-r15
mov.l g1_except_addr9735,r0
add #-2,r6
jsr @r0
mov #0x2C,r4
mov.l bf_addr9735,r0
jsr @r0
nop
add r5,r6
mov.l @r15+,r3
mov.w @r6+,r0
add #-34,r7
shll2 r0
cmp/pl r7
bt/s fdl9736
mov.l @(r0,r12),r4
mov.l @(execexit_addr-areg,r14),r4
fdl9736:
jmp @r4
mov #0x1C,r2
.align 2
g1_except_addr9735: .long group_1_exception
bf_addr9735: .long basefunction
.data
.align 5
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S000
.long S000
.long S000
.long S000
.long S000
.long S000
.long S000
.long S000
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S010
.long S010
.long S010
.long S010
.long S010
.long S010
.long S010
.long S010
.long S018
.long S018
.long S018
.long S018
.long S018
.long S018
.long S018
.long S018
.long S020
.long S020
.long S020
.long S020
.long S020
.long S020
.long S020
.long S020
.long S028
.long S028
.long S028
.long S028
.long S028
.long S028
.long S028
.long S028
.long S030
.long S030
.long S030
.long S030
.long S030
.long S030
.long S030
.long S030
.long S038
.long S039
.long S03A
.long S03B
.long S03C
.long r_illegal
.long r_illegal
.long r_illegal
.long S040
.long S040
.long S040
.long S040
.long S040
.long S040
.long S040
.long S040
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S050
.long S050
.long S050
.long S050
.long S050
.long S050
.long S050
.long S050
.long S058
.long S058
.long S058
.long S058
.long S058
.long S058
.long S058
.long S058
.long S060
.long S060
.long S060
.long S060
.long S060
.long S060
.long S060
.long S060
.long S068
.long S068
.long S068
.long S068
.long S068
.long S068
.long S068
.long S068
.long S070
.long S070
.long S070
.long S070
.long S070
.long S070
.long S070
.long S070
.long S078
.long S079
.long S07A
.long S07B
.long S07C
.long r_illegal
.long r_illegal
.long r_illegal
.long S080
.long S080
.long S080
.long S080
.long S080
.long S080
.long S080
.long S080
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S090
.long S090
.long S090
.long S090
.long S090
.long S090
.long S090
.long S090
.long S098
.long S098
.long S098
.long S098
.long S098
.long S098
.long S098
.long S098
.long S0A0
.long S0A0
.long S0A0
.long S0A0
.long S0A0
.long S0A0
.long S0A0
.long S0A0
.long S0A8
.long S0A8
.long S0A8
.long S0A8
.long S0A8
.long S0A8
.long S0A8
.long S0A8
.long S0B0
.long S0B0
.long S0B0
.long S0B0
.long S0B0
.long S0B0
.long S0B0
.long S0B0
.long S0B8
.long S0B9
.long S0BA
.long S0BB
.long S0BC
.long r_illegal
.long r_illegal
.long r_illegal
.long S0C0
.long S0C0
.long S0C0
.long S0C0
.long S0C0
.long S0C0
.long S0C0
.long S0C0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S0D0
.long S0D0
.long S0D0
.long S0D0
.long S0D0
.long S0D0
.long S0D0
.long S0D0
.long S0D8
.long S0D8
.long S0D8
.long S0D8
.long S0D8
.long S0D8
.long S0D8
.long S0D8
.long S0E0
.long S0E0
.long S0E0
.long S0E0
.long S0E0
.long S0E0
.long S0E0
.long S0E0
.long S0E8
.long S0E8
.long S0E8
.long S0E8
.long S0E8
.long S0E8
.long S0E8
.long S0E8
.long S0F0
.long S0F0
.long S0F0
.long S0F0
.long S0F0
.long S0F0
.long S0F0
.long S0F0
.long S0F8
.long S0F9
.long S0FA
.long S0FB
.long S0FC
.long r_illegal
.long r_illegal
.long r_illegal
.long S100
.long S100
.long S100
.long S100
.long S100
.long S100
.long S100
.long S100
.long S108
.long S108
.long S108
.long S108
.long S108
.long S108
.long S108
.long S108
.long S110
.long S110
.long S110
.long S110
.long S110
.long S110
.long S110
.long S110
.long S118
.long S118
.long S118
.long S118
.long S118
.long S118
.long S118
.long S118
.long S120
.long S120
.long S120
.long S120
.long S120
.long S120
.long S120
.long S120
.long S128
.long S128
.long S128
.long S128
.long S128
.long S128
.long S128
.long S128
.long S130
.long S130
.long S130
.long S130
.long S130
.long S130
.long S130
.long S130
.long S138
.long S139
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S150
.long S150
.long S150
.long S150
.long S150
.long S150
.long S150
.long S150
.long S158
.long S158
.long S158
.long S158
.long S158
.long S158
.long S158
.long S158
.long S160
.long S160
.long S160
.long S160
.long S160
.long S160
.long S160
.long S160
.long S168
.long S168
.long S168
.long S168
.long S168
.long S168
.long S168
.long S168
.long S170
.long S170
.long S170
.long S170
.long S170
.long S170
.long S170
.long S170
.long S178
.long S179
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S190
.long S190
.long S190
.long S190
.long S190
.long S190
.long S190
.long S190
.long S198
.long S198
.long S198
.long S198
.long S198
.long S198
.long S198
.long S198
.long S1A0
.long S1A0
.long S1A0
.long S1A0
.long S1A0
.long S1A0
.long S1A0
.long S1A0
.long S1A8
.long S1A8
.long S1A8
.long S1A8
.long S1A8
.long S1A8
.long S1A8
.long S1A8
.long S1B0
.long S1B0
.long S1B0
.long S1B0
.long S1B0
.long S1B0
.long S1B0
.long S1B0
.long S1B8
.long S1B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S1C0
.long S1C0
.long S1C0
.long S1C0
.long S1C0
.long S1C0
.long S1C0
.long S1C0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S1D0
.long S1D0
.long S1D0
.long S1D0
.long S1D0
.long S1D0
.long S1D0
.long S1D0
.long S1D8
.long S1D8
.long S1D8
.long S1D8
.long S1D8
.long S1D8
.long S1D8
.long S1D8
.long S1E0
.long S1E0
.long S1E0
.long S1E0
.long S1E0
.long S1E0
.long S1E0
.long S1E0
.long S1E8
.long S1E8
.long S1E8
.long S1E8
.long S1E8
.long S1E8
.long S1E8
.long S1E8
.long S1F0
.long S1F0
.long S1F0
.long S1F0
.long S1F0
.long S1F0
.long S1F0
.long S1F0
.long S1F8
.long S1F9
.long S1FA
.long S1FB
.long S1FC
.long r_illegal
.long r_illegal
.long r_illegal
.long S200
.long S200
.long S200
.long S200
.long S200
.long S200
.long S200
.long S200
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S210
.long S210
.long S210
.long S210
.long S210
.long S210
.long S210
.long S210
.long S218
.long S218
.long S218
.long S218
.long S218
.long S218
.long S218
.long S218
.long S220
.long S220
.long S220
.long S220
.long S220
.long S220
.long S220
.long S220
.long S228
.long S228
.long S228
.long S228
.long S228
.long S228
.long S228
.long S228
.long S230
.long S230
.long S230
.long S230
.long S230
.long S230
.long S230
.long S230
.long S238
.long S239
.long S23A
.long S23B
.long S23C
.long r_illegal
.long r_illegal
.long r_illegal
.long S240
.long S240
.long S240
.long S240
.long S240
.long S240
.long S240
.long S240
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S250
.long S250
.long S250
.long S250
.long S250
.long S250
.long S250
.long S250
.long S258
.long S258
.long S258
.long S258
.long S258
.long S258
.long S258
.long S258
.long S260
.long S260
.long S260
.long S260
.long S260
.long S260
.long S260
.long S260
.long S268
.long S268
.long S268
.long S268
.long S268
.long S268
.long S268
.long S268
.long S270
.long S270
.long S270
.long S270
.long S270
.long S270
.long S270
.long S270
.long S278
.long S279
.long S27A
.long S27B
.long S27C
.long r_illegal
.long r_illegal
.long r_illegal
.long S280
.long S280
.long S280
.long S280
.long S280
.long S280
.long S280
.long S280
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S290
.long S290
.long S290
.long S290
.long S290
.long S290
.long S290
.long S290
.long S298
.long S298
.long S298
.long S298
.long S298
.long S298
.long S298
.long S298
.long S2A0
.long S2A0
.long S2A0
.long S2A0
.long S2A0
.long S2A0
.long S2A0
.long S2A0
.long S2A8
.long S2A8
.long S2A8
.long S2A8
.long S2A8
.long S2A8
.long S2A8
.long S2A8
.long S2B0
.long S2B0
.long S2B0
.long S2B0
.long S2B0
.long S2B0
.long S2B0
.long S2B0
.long S2B8
.long S2B9
.long S2BA
.long S2BB
.long S2BC
.long r_illegal
.long r_illegal
.long r_illegal
.long S2C0
.long S2C0
.long S2C0
.long S2C0
.long S2C0
.long S2C0
.long S2C0
.long S2C0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S2D0
.long S2D0
.long S2D0
.long S2D0
.long S2D0
.long S2D0
.long S2D0
.long S2D0
.long S2D8
.long S2D8
.long S2D8
.long S2D8
.long S2D8
.long S2D8
.long S2D8
.long S2D8
.long S2E0
.long S2E0
.long S2E0
.long S2E0
.long S2E0
.long S2E0
.long S2E0
.long S2E0
.long S2E8
.long S2E8
.long S2E8
.long S2E8
.long S2E8
.long S2E8
.long S2E8
.long S2E8
.long S2F0
.long S2F0
.long S2F0
.long S2F0
.long S2F0
.long S2F0
.long S2F0
.long S2F0
.long S2F8
.long S2F9
.long S2FA
.long S2FB
.long S2FC
.long r_illegal
.long r_illegal
.long r_illegal
.long S300
.long S300
.long S300
.long S300
.long S300
.long S300
.long S300
.long S300
.long S308
.long S308
.long S308
.long S308
.long S308
.long S308
.long S308
.long S308
.long S310
.long S310
.long S310
.long S310
.long S310
.long S310
.long S310
.long S310
.long S318
.long S318
.long S318
.long S318
.long S318
.long S318
.long S318
.long S318
.long S320
.long S320
.long S320
.long S320
.long S320
.long S320
.long S320
.long S320
.long S328
.long S328
.long S328
.long S328
.long S328
.long S328
.long S328
.long S328
.long S330
.long S330
.long S330
.long S330
.long S330
.long S330
.long S330
.long S330
.long S338
.long S339
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S350
.long S350
.long S350
.long S350
.long S350
.long S350
.long S350
.long S350
.long S358
.long S358
.long S358
.long S358
.long S358
.long S358
.long S358
.long S358
.long S360
.long S360
.long S360
.long S360
.long S360
.long S360
.long S360
.long S360
.long S368
.long S368
.long S368
.long S368
.long S368
.long S368
.long S368
.long S368
.long S370
.long S370
.long S370
.long S370
.long S370
.long S370
.long S370
.long S370
.long S378
.long S379
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S390
.long S390
.long S390
.long S390
.long S390
.long S390
.long S390
.long S390
.long S398
.long S398
.long S398
.long S398
.long S398
.long S398
.long S398
.long S398
.long S3A0
.long S3A0
.long S3A0
.long S3A0
.long S3A0
.long S3A0
.long S3A0
.long S3A0
.long S3A8
.long S3A8
.long S3A8
.long S3A8
.long S3A8
.long S3A8
.long S3A8
.long S3A8
.long S3B0
.long S3B0
.long S3B0
.long S3B0
.long S3B0
.long S3B0
.long S3B0
.long S3B0
.long S3B8
.long S3B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S3C0
.long S3C0
.long S3C0
.long S3C0
.long S3C0
.long S3C0
.long S3C0
.long S3C0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S3D0
.long S3D0
.long S3D0
.long S3D0
.long S3D0
.long S3D0
.long S3D0
.long S3D0
.long S3D8
.long S3D8
.long S3D8
.long S3D8
.long S3D8
.long S3D8
.long S3D8
.long S3D8
.long S3E0
.long S3E0
.long S3E0
.long S3E0
.long S3E0
.long S3E0
.long S3E0
.long S3E0
.long S3E8
.long S3E8
.long S3E8
.long S3E8
.long S3E8
.long S3E8
.long S3E8
.long S3E8
.long S3F0
.long S3F0
.long S3F0
.long S3F0
.long S3F0
.long S3F0
.long S3F0
.long S3F0
.long S3F8
.long S3F9
.long S3FA
.long S3FB
.long S3FC
.long r_illegal
.long r_illegal
.long r_illegal
.long S400
.long S400
.long S400
.long S400
.long S400
.long S400
.long S400
.long S400
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S410
.long S410
.long S410
.long S410
.long S410
.long S410
.long S410
.long S410
.long S418
.long S418
.long S418
.long S418
.long S418
.long S418
.long S418
.long S418
.long S420
.long S420
.long S420
.long S420
.long S420
.long S420
.long S420
.long S420
.long S428
.long S428
.long S428
.long S428
.long S428
.long S428
.long S428
.long S428
.long S430
.long S430
.long S430
.long S430
.long S430
.long S430
.long S430
.long S430
.long S438
.long S439
.long S43A
.long S43B
.long S43C
.long r_illegal
.long r_illegal
.long r_illegal
.long S440
.long S440
.long S440
.long S440
.long S440
.long S440
.long S440
.long S440
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S450
.long S450
.long S450
.long S450
.long S450
.long S450
.long S450
.long S450
.long S458
.long S458
.long S458
.long S458
.long S458
.long S458
.long S458
.long S458
.long S460
.long S460
.long S460
.long S460
.long S460
.long S460
.long S460
.long S460
.long S468
.long S468
.long S468
.long S468
.long S468
.long S468
.long S468
.long S468
.long S470
.long S470
.long S470
.long S470
.long S470
.long S470
.long S470
.long S470
.long S478
.long S479
.long S47A
.long S47B
.long S47C
.long r_illegal
.long r_illegal
.long r_illegal
.long S480
.long S480
.long S480
.long S480
.long S480
.long S480
.long S480
.long S480
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S490
.long S490
.long S490
.long S490
.long S490
.long S490
.long S490
.long S490
.long S498
.long S498
.long S498
.long S498
.long S498
.long S498
.long S498
.long S498
.long S4A0
.long S4A0
.long S4A0
.long S4A0
.long S4A0
.long S4A0
.long S4A0
.long S4A0
.long S4A8
.long S4A8
.long S4A8
.long S4A8
.long S4A8
.long S4A8
.long S4A8
.long S4A8
.long S4B0
.long S4B0
.long S4B0
.long S4B0
.long S4B0
.long S4B0
.long S4B0
.long S4B0
.long S4B8
.long S4B9
.long S4BA
.long S4BB
.long S4BC
.long r_illegal
.long r_illegal
.long r_illegal
.long S4C0
.long S4C0
.long S4C0
.long S4C0
.long S4C0
.long S4C0
.long S4C0
.long S4C0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S4D0
.long S4D0
.long S4D0
.long S4D0
.long S4D0
.long S4D0
.long S4D0
.long S4D0
.long S4D8
.long S4D8
.long S4D8
.long S4D8
.long S4D8
.long S4D8
.long S4D8
.long S4D8
.long S4E0
.long S4E0
.long S4E0
.long S4E0
.long S4E0
.long S4E0
.long S4E0
.long S4E0
.long S4E8
.long S4E8
.long S4E8
.long S4E8
.long S4E8
.long S4E8
.long S4E8
.long S4E8
.long S4F0
.long S4F0
.long S4F0
.long S4F0
.long S4F0
.long S4F0
.long S4F0
.long S4F0
.long S4F8
.long S4F9
.long S4FA
.long S4FB
.long S4FC
.long r_illegal
.long r_illegal
.long r_illegal
.long S500
.long S500
.long S500
.long S500
.long S500
.long S500
.long S500
.long S500
.long S508
.long S508
.long S508
.long S508
.long S508
.long S508
.long S508
.long S508
.long S510
.long S510
.long S510
.long S510
.long S510
.long S510
.long S510
.long S510
.long S518
.long S518
.long S518
.long S518
.long S518
.long S518
.long S518
.long S518
.long S520
.long S520
.long S520
.long S520
.long S520
.long S520
.long S520
.long S520
.long S528
.long S528
.long S528
.long S528
.long S528
.long S528
.long S528
.long S528
.long S530
.long S530
.long S530
.long S530
.long S530
.long S530
.long S530
.long S530
.long S538
.long S539
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S550
.long S550
.long S550
.long S550
.long S550
.long S550
.long S550
.long S550
.long S558
.long S558
.long S558
.long S558
.long S558
.long S558
.long S558
.long S558
.long S560
.long S560
.long S560
.long S560
.long S560
.long S560
.long S560
.long S560
.long S568
.long S568
.long S568
.long S568
.long S568
.long S568
.long S568
.long S568
.long S570
.long S570
.long S570
.long S570
.long S570
.long S570
.long S570
.long S570
.long S578
.long S579
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S590
.long S590
.long S590
.long S590
.long S590
.long S590
.long S590
.long S590
.long S598
.long S598
.long S598
.long S598
.long S598
.long S598
.long S598
.long S598
.long S5A0
.long S5A0
.long S5A0
.long S5A0
.long S5A0
.long S5A0
.long S5A0
.long S5A0
.long S5A8
.long S5A8
.long S5A8
.long S5A8
.long S5A8
.long S5A8
.long S5A8
.long S5A8
.long S5B0
.long S5B0
.long S5B0
.long S5B0
.long S5B0
.long S5B0
.long S5B0
.long S5B0
.long S5B8
.long S5B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S5C0
.long S5C0
.long S5C0
.long S5C0
.long S5C0
.long S5C0
.long S5C0
.long S5C0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S5D0
.long S5D0
.long S5D0
.long S5D0
.long S5D0
.long S5D0
.long S5D0
.long S5D0
.long S5D8
.long S5D8
.long S5D8
.long S5D8
.long S5D8
.long S5D8
.long S5D8
.long S5D8
.long S5E0
.long S5E0
.long S5E0
.long S5E0
.long S5E0
.long S5E0
.long S5E0
.long S5E0
.long S5E8
.long S5E8
.long S5E8
.long S5E8
.long S5E8
.long S5E8
.long S5E8
.long S5E8
.long S5F0
.long S5F0
.long S5F0
.long S5F0
.long S5F0
.long S5F0
.long S5F0
.long S5F0
.long S5F8
.long S5F9
.long S5FA
.long S5FB
.long S5FC
.long r_illegal
.long r_illegal
.long r_illegal
.long S600
.long S600
.long S600
.long S600
.long S600
.long S600
.long S600
.long S600
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S610
.long S610
.long S610
.long S610
.long S610
.long S610
.long S610
.long S610
.long S618
.long S618
.long S618
.long S618
.long S618
.long S618
.long S618
.long S618
.long S620
.long S620
.long S620
.long S620
.long S620
.long S620
.long S620
.long S620
.long S628
.long S628
.long S628
.long S628
.long S628
.long S628
.long S628
.long S628
.long S630
.long S630
.long S630
.long S630
.long S630
.long S630
.long S630
.long S630
.long S638
.long S639
.long S63A
.long S63B
.long S63C
.long r_illegal
.long r_illegal
.long r_illegal
.long S640
.long S640
.long S640
.long S640
.long S640
.long S640
.long S640
.long S640
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S650
.long S650
.long S650
.long S650
.long S650
.long S650
.long S650
.long S650
.long S658
.long S658
.long S658
.long S658
.long S658
.long S658
.long S658
.long S658
.long S660
.long S660
.long S660
.long S660
.long S660
.long S660
.long S660
.long S660
.long S668
.long S668
.long S668
.long S668
.long S668
.long S668
.long S668
.long S668
.long S670
.long S670
.long S670
.long S670
.long S670
.long S670
.long S670
.long S670
.long S678
.long S679
.long S67A
.long S67B
.long S67C
.long r_illegal
.long r_illegal
.long r_illegal
.long S680
.long S680
.long S680
.long S680
.long S680
.long S680
.long S680
.long S680
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S690
.long S690
.long S690
.long S690
.long S690
.long S690
.long S690
.long S690
.long S698
.long S698
.long S698
.long S698
.long S698
.long S698
.long S698
.long S698
.long S6A0
.long S6A0
.long S6A0
.long S6A0
.long S6A0
.long S6A0
.long S6A0
.long S6A0
.long S6A8
.long S6A8
.long S6A8
.long S6A8
.long S6A8
.long S6A8
.long S6A8
.long S6A8
.long S6B0
.long S6B0
.long S6B0
.long S6B0
.long S6B0
.long S6B0
.long S6B0
.long S6B0
.long S6B8
.long S6B9
.long S6BA
.long S6BB
.long S6BC
.long r_illegal
.long r_illegal
.long r_illegal
.long S6C0
.long S6C0
.long S6C0
.long S6C0
.long S6C0
.long S6C0
.long S6C0
.long S6C0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S6D0
.long S6D0
.long S6D0
.long S6D0
.long S6D0
.long S6D0
.long S6D0
.long S6D0
.long S6D8
.long S6D8
.long S6D8
.long S6D8
.long S6D8
.long S6D8
.long S6D8
.long S6D8
.long S6E0
.long S6E0
.long S6E0
.long S6E0
.long S6E0
.long S6E0
.long S6E0
.long S6E0
.long S6E8
.long S6E8
.long S6E8
.long S6E8
.long S6E8
.long S6E8
.long S6E8
.long S6E8
.long S6F0
.long S6F0
.long S6F0
.long S6F0
.long S6F0
.long S6F0
.long S6F0
.long S6F0
.long S6F8
.long S6F9
.long S6FA
.long S6FB
.long S6FC
.long r_illegal
.long r_illegal
.long r_illegal
.long S700
.long S700
.long S700
.long S700
.long S700
.long S700
.long S700
.long S700
.long S708
.long S708
.long S708
.long S708
.long S708
.long S708
.long S708
.long S708
.long S710
.long S710
.long S710
.long S710
.long S710
.long S710
.long S710
.long S710
.long S718
.long S718
.long S718
.long S718
.long S718
.long S718
.long S718
.long S718
.long S720
.long S720
.long S720
.long S720
.long S720
.long S720
.long S720
.long S720
.long S728
.long S728
.long S728
.long S728
.long S728
.long S728
.long S728
.long S728
.long S730
.long S730
.long S730
.long S730
.long S730
.long S730
.long S730
.long S730
.long S738
.long S739
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S750
.long S750
.long S750
.long S750
.long S750
.long S750
.long S750
.long S750
.long S758
.long S758
.long S758
.long S758
.long S758
.long S758
.long S758
.long S758
.long S760
.long S760
.long S760
.long S760
.long S760
.long S760
.long S760
.long S760
.long S768
.long S768
.long S768
.long S768
.long S768
.long S768
.long S768
.long S768
.long S770
.long S770
.long S770
.long S770
.long S770
.long S770
.long S770
.long S770
.long S778
.long S779
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S790
.long S790
.long S790
.long S790
.long S790
.long S790
.long S790
.long S790
.long S798
.long S798
.long S798
.long S798
.long S798
.long S798
.long S798
.long S798
.long S7A0
.long S7A0
.long S7A0
.long S7A0
.long S7A0
.long S7A0
.long S7A0
.long S7A0
.long S7A8
.long S7A8
.long S7A8
.long S7A8
.long S7A8
.long S7A8
.long S7A8
.long S7A8
.long S7B0
.long S7B0
.long S7B0
.long S7B0
.long S7B0
.long S7B0
.long S7B0
.long S7B0
.long S7B8
.long S7B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S7C0
.long S7C0
.long S7C0
.long S7C0
.long S7C0
.long S7C0
.long S7C0
.long S7C0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S7D0
.long S7D0
.long S7D0
.long S7D0
.long S7D0
.long S7D0
.long S7D0
.long S7D0
.long S7D8
.long S7D8
.long S7D8
.long S7D8
.long S7D8
.long S7D8
.long S7D8
.long S7D8
.long S7E0
.long S7E0
.long S7E0
.long S7E0
.long S7E0
.long S7E0
.long S7E0
.long S7E0
.long S7E8
.long S7E8
.long S7E8
.long S7E8
.long S7E8
.long S7E8
.long S7E8
.long S7E8
.long S7F0
.long S7F0
.long S7F0
.long S7F0
.long S7F0
.long S7F0
.long S7F0
.long S7F0
.long S7F8
.long S7F9
.long S7FA
.long S7FB
.long S7FC
.long r_illegal
.long r_illegal
.long r_illegal
.long S800
.long S800
.long S800
.long S800
.long S800
.long S800
.long S800
.long S800
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S810
.long S810
.long S810
.long S810
.long S810
.long S810
.long S810
.long S810
.long S818
.long S818
.long S818
.long S818
.long S818
.long S818
.long S818
.long S818
.long S820
.long S820
.long S820
.long S820
.long S820
.long S820
.long S820
.long S820
.long S828
.long S828
.long S828
.long S828
.long S828
.long S828
.long S828
.long S828
.long S830
.long S830
.long S830
.long S830
.long S830
.long S830
.long S830
.long S830
.long S838
.long S839
.long S83A
.long S83B
.long S83C
.long r_illegal
.long r_illegal
.long r_illegal
.long S840
.long S840
.long S840
.long S840
.long S840
.long S840
.long S840
.long S840
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S850
.long S850
.long S850
.long S850
.long S850
.long S850
.long S850
.long S850
.long S858
.long S858
.long S858
.long S858
.long S858
.long S858
.long S858
.long S858
.long S860
.long S860
.long S860
.long S860
.long S860
.long S860
.long S860
.long S860
.long S868
.long S868
.long S868
.long S868
.long S868
.long S868
.long S868
.long S868
.long S870
.long S870
.long S870
.long S870
.long S870
.long S870
.long S870
.long S870
.long S878
.long S879
.long S87A
.long S87B
.long S87C
.long r_illegal
.long r_illegal
.long r_illegal
.long S880
.long S880
.long S880
.long S880
.long S880
.long S880
.long S880
.long S880
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S890
.long S890
.long S890
.long S890
.long S890
.long S890
.long S890
.long S890
.long S898
.long S898
.long S898
.long S898
.long S898
.long S898
.long S898
.long S898
.long S8A0
.long S8A0
.long S8A0
.long S8A0
.long S8A0
.long S8A0
.long S8A0
.long S8A0
.long S8A8
.long S8A8
.long S8A8
.long S8A8
.long S8A8
.long S8A8
.long S8A8
.long S8A8
.long S8B0
.long S8B0
.long S8B0
.long S8B0
.long S8B0
.long S8B0
.long S8B0
.long S8B0
.long S8B8
.long S8B9
.long S8BA
.long S8BB
.long S8BC
.long r_illegal
.long r_illegal
.long r_illegal
.long S8C0
.long S8C0
.long S8C0
.long S8C0
.long S8C0
.long S8C0
.long S8C0
.long S8C0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S8D0
.long S8D0
.long S8D0
.long S8D0
.long S8D0
.long S8D0
.long S8D0
.long S8D0
.long S8D8
.long S8D8
.long S8D8
.long S8D8
.long S8D8
.long S8D8
.long S8D8
.long S8D8
.long S8E0
.long S8E0
.long S8E0
.long S8E0
.long S8E0
.long S8E0
.long S8E0
.long S8E0
.long S8E8
.long S8E8
.long S8E8
.long S8E8
.long S8E8
.long S8E8
.long S8E8
.long S8E8
.long S8F0
.long S8F0
.long S8F0
.long S8F0
.long S8F0
.long S8F0
.long S8F0
.long S8F0
.long S8F8
.long S8F9
.long S8FA
.long S8FB
.long S8FC
.long r_illegal
.long r_illegal
.long r_illegal
.long S900
.long S900
.long S900
.long S900
.long S900
.long S900
.long S900
.long S900
.long S908
.long S908
.long S908
.long S908
.long S908
.long S908
.long S908
.long S908
.long S910
.long S910
.long S910
.long S910
.long S910
.long S910
.long S910
.long S910
.long S918
.long S918
.long S918
.long S918
.long S918
.long S918
.long S918
.long S918
.long S920
.long S920
.long S920
.long S920
.long S920
.long S920
.long S920
.long S920
.long S928
.long S928
.long S928
.long S928
.long S928
.long S928
.long S928
.long S928
.long S930
.long S930
.long S930
.long S930
.long S930
.long S930
.long S930
.long S930
.long S938
.long S939
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S950
.long S950
.long S950
.long S950
.long S950
.long S950
.long S950
.long S950
.long S958
.long S958
.long S958
.long S958
.long S958
.long S958
.long S958
.long S958
.long S960
.long S960
.long S960
.long S960
.long S960
.long S960
.long S960
.long S960
.long S968
.long S968
.long S968
.long S968
.long S968
.long S968
.long S968
.long S968
.long S970
.long S970
.long S970
.long S970
.long S970
.long S970
.long S970
.long S970
.long S978
.long S979
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S990
.long S990
.long S990
.long S990
.long S990
.long S990
.long S990
.long S990
.long S998
.long S998
.long S998
.long S998
.long S998
.long S998
.long S998
.long S998
.long S9A0
.long S9A0
.long S9A0
.long S9A0
.long S9A0
.long S9A0
.long S9A0
.long S9A0
.long S9A8
.long S9A8
.long S9A8
.long S9A8
.long S9A8
.long S9A8
.long S9A8
.long S9A8
.long S9B0
.long S9B0
.long S9B0
.long S9B0
.long S9B0
.long S9B0
.long S9B0
.long S9B0
.long S9B8
.long S9B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S9C0
.long S9C0
.long S9C0
.long S9C0
.long S9C0
.long S9C0
.long S9C0
.long S9C0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long S9D0
.long S9D0
.long S9D0
.long S9D0
.long S9D0
.long S9D0
.long S9D0
.long S9D0
.long S9D8
.long S9D8
.long S9D8
.long S9D8
.long S9D8
.long S9D8
.long S9D8
.long S9D8
.long S9E0
.long S9E0
.long S9E0
.long S9E0
.long S9E0
.long S9E0
.long S9E0
.long S9E0
.long S9E8
.long S9E8
.long S9E8
.long S9E8
.long S9E8
.long S9E8
.long S9E8
.long S9E8
.long S9F0
.long S9F0
.long S9F0
.long S9F0
.long S9F0
.long S9F0
.long S9F0
.long S9F0
.long S9F8
.long S9F9
.long S9FA
.long S9FB
.long S9FC
.long r_illegal
.long r_illegal
.long r_illegal
.long SA00
.long SA00
.long SA00
.long SA00
.long SA00
.long SA00
.long SA00
.long SA00
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long SA10
.long SA10
.long SA10
.long SA10
.long SA10
.long SA10
.long SA10
.long SA10
.long SA18
.long SA18
.long SA18
.long SA18
.long SA18
.long SA18
.long SA18
.long SA18
.long SA20
.long SA20
.long SA20
.long SA20
.long SA20
.long SA20
.long SA20
.long SA20
.long SA28
.long SA28
.long SA28
.long SA28
.long SA28
.long SA28
.long SA28
.long SA28
.long SA30
.long SA30
.long SA30
.long SA30
.long SA30
.long SA30
.long SA30
.long SA30
.long SA38
.long SA39
.long SA3A
.long SA3B
.long SA3C
.long r_illegal
.long r_illegal
.long r_illegal
.long SA40
.long SA40
.long SA40
.long SA40
.long SA40
.long SA40
.long SA40
.long SA40
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long SA50
.long SA50
.long SA50
.long SA50
.long SA50
.long SA50
.long SA50
.long SA50
.long SA58
.long SA58
.long SA58
.long SA58
.long SA58
.long SA58
.long SA58
.long SA58
.long SA60
.long SA60
.long SA60
.long SA60
.long SA60
.long SA60
.long SA60
.long SA60
.long SA68
.long SA68
.long SA68
.long SA68
.long SA68
.long SA68
.long SA68
.long SA68
.long SA70
.long SA70
.long SA70
.long SA70
.long SA70
.long SA70
.long SA70
.long SA70
.long SA78
.long SA79
.long SA7A
.long SA7B
.long SA7C
.long r_illegal
.long r_illegal
.long r_illegal
.long SA80
.long SA80
.long SA80
.long SA80
.long SA80
.long SA80
.long SA80
.long SA80
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long SA90
.long SA90
.long SA90
.long SA90
.long SA90
.long SA90
.long SA90
.long SA90
.long SA98
.long SA98
.long SA98
.long SA98
.long SA98
.long SA98
.long SA98
.long SA98
.long SAA0
.long SAA0
.long SAA0
.long SAA0
.long SAA0
.long SAA0
.long SAA0
.long SAA0
.long SAA8
.long SAA8
.long SAA8
.long SAA8
.long SAA8
.long SAA8
.long SAA8
.long SAA8
.long SAB0
.long SAB0
.long SAB0
.long SAB0
.long SAB0
.long SAB0
.long SAB0
.long SAB0
.long SAB8
.long SAB9
.long SABA
.long SABB
.long SABC
.long r_illegal
.long r_illegal
.long r_illegal
.long SAC0
.long SAC0
.long SAC0
.long SAC0
.long SAC0
.long SAC0
.long SAC0
.long SAC0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long SAD0
.long SAD0
.long SAD0
.long SAD0
.long SAD0
.long SAD0
.long SAD0
.long SAD0
.long SAD8
.long SAD8
.long SAD8
.long SAD8
.long SAD8
.long SAD8
.long SAD8
.long SAD8
.long SAE0
.long SAE0
.long SAE0
.long SAE0
.long SAE0
.long SAE0
.long SAE0
.long SAE0
.long SAE8
.long SAE8
.long SAE8
.long SAE8
.long SAE8
.long SAE8
.long SAE8
.long SAE8
.long SAF0
.long SAF0
.long SAF0
.long SAF0
.long SAF0
.long SAF0
.long SAF0
.long SAF0
.long SAF8
.long SAF9
.long SAFA
.long SAFB
.long SAFC
.long r_illegal
.long r_illegal
.long r_illegal
.long SB00
.long SB00
.long SB00
.long SB00
.long SB00
.long SB00
.long SB00
.long SB00
.long SB08
.long SB08
.long SB08
.long SB08
.long SB08
.long SB08
.long SB08
.long SB08
.long SB10
.long SB10
.long SB10
.long SB10
.long SB10
.long SB10
.long SB10
.long SB10
.long SB18
.long SB18
.long SB18
.long SB18
.long SB18
.long SB18
.long SB18
.long SB18
.long SB20
.long SB20
.long SB20
.long SB20
.long SB20
.long SB20
.long SB20
.long SB20
.long SB28
.long SB28
.long SB28
.long SB28
.long SB28
.long SB28
.long SB28
.long SB28
.long SB30
.long SB30
.long SB30
.long SB30
.long SB30
.long SB30
.long SB30
.long SB30
.long SB38
.long SB39
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long SB50
.long SB50
.long SB50
.long SB50
.long SB50
.long SB50
.long SB50
.long SB50
.long SB58
.long SB58
.long SB58
.long SB58
.long SB58
.long SB58
.long SB58
.long SB58
.long SB60
.long SB60
.long SB60
.long SB60
.long SB60
.long SB60
.long SB60
.long SB60
.long SB68
.long SB68
.long SB68
.long SB68
.long SB68
.long SB68
.long SB68
.long SB68
.long SB70
.long SB70
.long SB70
.long SB70
.long SB70
.long SB70
.long SB70
.long SB70
.long SB78
.long SB79
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long SB90
.long SB90
.long SB90
.long SB90
.long SB90
.long SB90
.long SB90
.long SB90
.long SB98
.long SB98
.long SB98
.long SB98
.long SB98
.long SB98
.long SB98
.long SB98
.long SBA0
.long SBA0
.long SBA0
.long SBA0
.long SBA0
.long SBA0
.long SBA0
.long SBA0
.long SBA8
.long SBA8
.long SBA8
.long SBA8
.long SBA8
.long SBA8
.long SBA8
.long SBA8
.long SBB0
.long SBB0
.long SBB0
.long SBB0
.long SBB0
.long SBB0
.long SBB0
.long SBB0
.long SBB8
.long SBB9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long SBC0
.long SBC0
.long SBC0
.long SBC0
.long SBC0
.long SBC0
.long SBC0
.long SBC0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long SBD0
.long SBD0
.long SBD0
.long SBD0
.long SBD0
.long SBD0
.long SBD0
.long SBD0
.long SBD8
.long SBD8
.long SBD8
.long SBD8
.long SBD8
.long SBD8
.long SBD8
.long SBD8
.long SBE0
.long SBE0
.long SBE0
.long SBE0
.long SBE0
.long SBE0
.long SBE0
.long SBE0
.long SBE8
.long SBE8
.long SBE8
.long SBE8
.long SBE8
.long SBE8
.long SBE8
.long SBE8
.long SBF0
.long SBF0
.long SBF0
.long SBF0
.long SBF0
.long SBF0
.long SBF0
.long SBF0
.long SBF8
.long SBF9
.long SBFA
.long SBFB
.long SBFC
.long r_illegal
.long r_illegal
.long r_illegal
.long SC00
.long SC00
.long SC00
.long SC00
.long SC00
.long SC00
.long SC00
.long SC00
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long SC10
.long SC10
.long SC10
.long SC10
.long SC10
.long SC10
.long SC10
.long SC10
.long SC18
.long SC18
.long SC18
.long SC18
.long SC18
.long SC18
.long SC18
.long SC18
.long SC20
.long SC20
.long SC20
.long SC20
.long SC20
.long SC20
.long SC20
.long SC20
.long SC28
.long SC28
.long SC28
.long SC28
.long SC28
.long SC28
.long SC28
.long SC28
.long SC30
.long SC30
.long SC30
.long SC30
.long SC30
.long SC30
.long SC30
.long SC30
.long SC38
.long SC39
.long SC3A
.long SC3B
.long SC3C
.long r_illegal
.long r_illegal
.long r_illegal
.long SC40
.long SC40
.long SC40
.long SC40
.long SC40
.long SC40
.long SC40
.long SC40
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long SC50
.long SC50
.long SC50
.long SC50
.long SC50
.long SC50
.long SC50
.long SC50
.long SC58
.long SC58
.long SC58
.long SC58
.long SC58
.long SC58
.long SC58
.long SC58
.long SC60
.long SC60
.long SC60
.long SC60
.long SC60
.long SC60
.long SC60
.long SC60
.long SC68
.long SC68
.long SC68
.long SC68
.long SC68
.long SC68
.long SC68
.long SC68
.long SC70
.long SC70
.long SC70
.long SC70
.long SC70
.long SC70
.long SC70
.long SC70
.long SC78
.long SC79
.long SC7A
.long SC7B
.long SC7C
.long r_illegal
.long r_illegal
.long r_illegal
.long SC80
.long SC80
.long SC80
.long SC80
.long SC80
.long SC80
.long SC80
.long SC80
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long SC90
.long SC90
.long SC90
.long SC90
.long SC90
.long SC90
.long SC90
.long SC90
.long SC98
.long SC98
.long SC98
.long SC98
.long SC98
.long SC98
.long SC98
.long SC98
.long SCA0
.long SCA0
.long SCA0
.long SCA0
.long SCA0
.long SCA0
.long SCA0
.long SCA0
.long SCA8
.long SCA8
.long SCA8
.long SCA8
.long SCA8
.long SCA8
.long SCA8
.long SCA8
.long SCB0
.long SCB0
.long SCB0
.long SCB0
.long SCB0
.long SCB0
.long SCB0
.long SCB0
.long SCB8
.long SCB9
.long SCBA
.long SCBB
.long SCBC
.long r_illegal
.long r_illegal
.long r_illegal
.long SCC0
.long SCC0
.long SCC0
.long SCC0
.long SCC0
.long SCC0
.long SCC0
.long SCC0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long SCD0
.long SCD0
.long SCD0
.long SCD0
.long SCD0
.long SCD0
.long SCD0
.long SCD0
.long SCD8
.long SCD8
.long SCD8
.long SCD8
.long SCD8
.long SCD8
.long SCD8
.long SCD8
.long SCE0
.long SCE0
.long SCE0
.long SCE0
.long SCE0
.long SCE0
.long SCE0
.long SCE0
.long SCE8
.long SCE8
.long SCE8
.long SCE8
.long SCE8
.long SCE8
.long SCE8
.long SCE8
.long SCF0
.long SCF0
.long SCF0
.long SCF0
.long SCF0
.long SCF0
.long SCF0
.long SCF0
.long SCF8
.long SCF9
.long SCFA
.long SCFB
.long SCFC
.long r_illegal
.long r_illegal
.long r_illegal
.long SD00
.long SD00
.long SD00
.long SD00
.long SD00
.long SD00
.long SD00
.long SD00
.long SD08
.long SD08
.long SD08
.long SD08
.long SD08
.long SD08
.long SD08
.long SD08
.long SD10
.long SD10
.long SD10
.long SD10
.long SD10
.long SD10
.long SD10
.long SD10
.long SD18
.long SD18
.long SD18
.long SD18
.long SD18
.long SD18
.long SD18
.long SD18
.long SD20
.long SD20
.long SD20
.long SD20
.long SD20
.long SD20
.long SD20
.long SD20
.long SD28
.long SD28
.long SD28
.long SD28
.long SD28
.long SD28
.long SD28
.long SD28
.long SD30
.long SD30
.long SD30
.long SD30
.long SD30
.long SD30
.long SD30
.long SD30
.long SD38
.long SD39
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long SD50
.long SD50
.long SD50
.long SD50
.long SD50
.long SD50
.long SD50
.long SD50
.long SD58
.long SD58
.long SD58
.long SD58
.long SD58
.long SD58
.long SD58
.long SD58
.long SD60
.long SD60
.long SD60
.long SD60
.long SD60
.long SD60
.long SD60
.long SD60
.long SD68
.long SD68
.long SD68
.long SD68
.long SD68
.long SD68
.long SD68
.long SD68
.long SD70
.long SD70
.long SD70
.long SD70
.long SD70
.long SD70
.long SD70
.long SD70
.long SD78
.long SD79
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long SD90
.long SD90
.long SD90
.long SD90
.long SD90
.long SD90
.long SD90
.long SD90
.long SD98
.long SD98
.long SD98
.long SD98
.long SD98
.long SD98
.long SD98
.long SD98
.long SDA0
.long SDA0
.long SDA0
.long SDA0
.long SDA0
.long SDA0
.long SDA0
.long SDA0
.long SDA8
.long SDA8
.long SDA8
.long SDA8
.long SDA8
.long SDA8
.long SDA8
.long SDA8
.long SDB0
.long SDB0
.long SDB0
.long SDB0
.long SDB0
.long SDB0
.long SDB0
.long SDB0
.long SDB8
.long SDB9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long SDC0
.long SDC0
.long SDC0
.long SDC0
.long SDC0
.long SDC0
.long SDC0
.long SDC0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long SDD0
.long SDD0
.long SDD0
.long SDD0
.long SDD0
.long SDD0
.long SDD0
.long SDD0
.long SDD8
.long SDD8
.long SDD8
.long SDD8
.long SDD8
.long SDD8
.long SDD8
.long SDD8
.long SDE0
.long SDE0
.long SDE0
.long SDE0
.long SDE0
.long SDE0
.long SDE0
.long SDE0
.long SDE8
.long SDE8
.long SDE8
.long SDE8
.long SDE8
.long SDE8
.long SDE8
.long SDE8
.long SDF0
.long SDF0
.long SDF0
.long SDF0
.long SDF0
.long SDF0
.long SDF0
.long SDF0
.long SDF8
.long SDF9
.long SDFA
.long SDFB
.long SDFC
.long r_illegal
.long r_illegal
.long r_illegal
.long SE00
.long SE00
.long SE00
.long SE00
.long SE00
.long SE00
.long SE00
.long SE00
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long SE10
.long SE10
.long SE10
.long SE10
.long SE10
.long SE10
.long SE10
.long SE10
.long SE18
.long SE18
.long SE18
.long SE18
.long SE18
.long SE18
.long SE18
.long SE18
.long SE20
.long SE20
.long SE20
.long SE20
.long SE20
.long SE20
.long SE20
.long SE20
.long SE28
.long SE28
.long SE28
.long SE28
.long SE28
.long SE28
.long SE28
.long SE28
.long SE30
.long SE30
.long SE30
.long SE30
.long SE30
.long SE30
.long SE30
.long SE30
.long SE38
.long SE39
.long SE3A
.long SE3B
.long SE3C
.long r_illegal
.long r_illegal
.long r_illegal
.long SE40
.long SE40
.long SE40
.long SE40
.long SE40
.long SE40
.long SE40
.long SE40
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long SE50
.long SE50
.long SE50
.long SE50
.long SE50
.long SE50
.long SE50
.long SE50
.long SE58
.long SE58
.long SE58
.long SE58
.long SE58
.long SE58
.long SE58
.long SE58
.long SE60
.long SE60
.long SE60
.long SE60
.long SE60
.long SE60
.long SE60
.long SE60
.long SE68
.long SE68
.long SE68
.long SE68
.long SE68
.long SE68
.long SE68
.long SE68
.long SE70
.long SE70
.long SE70
.long SE70
.long SE70
.long SE70
.long SE70
.long SE70
.long SE78
.long SE79
.long SE7A
.long SE7B
.long SE7C
.long r_illegal
.long r_illegal
.long r_illegal
.long SE80
.long SE80
.long SE80
.long SE80
.long SE80
.long SE80
.long SE80
.long SE80
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long SE90
.long SE90
.long SE90
.long SE90
.long SE90
.long SE90
.long SE90
.long SE90
.long SE98
.long SE98
.long SE98
.long SE98
.long SE98
.long SE98
.long SE98
.long SE98
.long SEA0
.long SEA0
.long SEA0
.long SEA0
.long SEA0
.long SEA0
.long SEA0
.long SEA0
.long SEA8
.long SEA8
.long SEA8
.long SEA8
.long SEA8
.long SEA8
.long SEA8
.long SEA8
.long SEB0
.long SEB0
.long SEB0
.long SEB0
.long SEB0
.long SEB0
.long SEB0
.long SEB0
.long SEB8
.long SEB9
.long SEBA
.long SEBB
.long SEBC
.long r_illegal
.long r_illegal
.long r_illegal
.long SEC0
.long SEC0
.long SEC0
.long SEC0
.long SEC0
.long SEC0
.long SEC0
.long SEC0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long SED0
.long SED0
.long SED0
.long SED0
.long SED0
.long SED0
.long SED0
.long SED0
.long SED8
.long SED8
.long SED8
.long SED8
.long SED8
.long SED8
.long SED8
.long SED8
.long SEE0
.long SEE0
.long SEE0
.long SEE0
.long SEE0
.long SEE0
.long SEE0
.long SEE0
.long SEE8
.long SEE8
.long SEE8
.long SEE8
.long SEE8
.long SEE8
.long SEE8
.long SEE8
.long SEF0
.long SEF0
.long SEF0
.long SEF0
.long SEF0
.long SEF0
.long SEF0
.long SEF0
.long SEF8
.long SEF9
.long SEFA
.long SEFB
.long SEFC
.long r_illegal
.long r_illegal
.long r_illegal
.long SF00
.long SF00
.long SF00
.long SF00
.long SF00
.long SF00
.long SF00
.long SF00
.long SF08
.long SF08
.long SF08
.long SF08
.long SF08
.long SF08
.long SF08
.long SF08
.long SF10
.long SF10
.long SF10
.long SF10
.long SF10
.long SF10
.long SF10
.long SF10
.long SF18
.long SF18
.long SF18
.long SF18
.long SF18
.long SF18
.long SF18
.long SF18
.long SF20
.long SF20
.long SF20
.long SF20
.long SF20
.long SF20
.long SF20
.long SF20
.long SF28
.long SF28
.long SF28
.long SF28
.long SF28
.long SF28
.long SF28
.long SF28
.long SF30
.long SF30
.long SF30
.long SF30
.long SF30
.long SF30
.long SF30
.long SF30
.long SF38
.long SF39
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long SF50
.long SF50
.long SF50
.long SF50
.long SF50
.long SF50
.long SF50
.long SF50
.long SF58
.long SF58
.long SF58
.long SF58
.long SF58
.long SF58
.long SF58
.long SF58
.long SF60
.long SF60
.long SF60
.long SF60
.long SF60
.long SF60
.long SF60
.long SF60
.long SF68
.long SF68
.long SF68
.long SF68
.long SF68
.long SF68
.long SF68
.long SF68
.long SF70
.long SF70
.long SF70
.long SF70
.long SF70
.long SF70
.long SF70
.long SF70
.long SF78
.long SF79
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long SF90
.long SF90
.long SF90
.long SF90
.long SF90
.long SF90
.long SF90
.long SF90
.long SF98
.long SF98
.long SF98
.long SF98
.long SF98
.long SF98
.long SF98
.long SF98
.long SFA0
.long SFA0
.long SFA0
.long SFA0
.long SFA0
.long SFA0
.long SFA0
.long SFA0
.long SFA8
.long SFA8
.long SFA8
.long SFA8
.long SFA8
.long SFA8
.long SFA8
.long SFA8
.long SFB0
.long SFB0
.long SFB0
.long SFB0
.long SFB0
.long SFB0
.long SFB0
.long SFB0
.long SFB8
.long SFB9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long SFC0
.long SFC0
.long SFC0
.long SFC0
.long SFC0
.long SFC0
.long SFC0
.long SFC0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long SFD0
.long SFD0
.long SFD0
.long SFD0
.long SFD0
.long SFD0
.long SFD0
.long SFD0
.long SFD8
.long SFD8
.long SFD8
.long SFD8
.long SFD8
.long SFD8
.long SFD8
.long SFD8
.long SFE0
.long SFE0
.long SFE0
.long SFE0
.long SFE0
.long SFE0
.long SFE0
.long SFE0
.long SFE8
.long SFE8
.long SFE8
.long SFE8
.long SFE8
.long SFE8
.long SFE8
.long SFE8
.long SFF0
.long SFF0
.long SFF0
.long SFF0
.long SFF0
.long SFF0
.long SFF0
.long SFF0
.long SFF8
.long SFF9
.long SFFA
.long SFFB
.long SFFC
.long r_illegal
.long r_illegal
.long r_illegal
.long T000
.long T000
.long T000
.long T000
.long T000
.long T000
.long T000
.long T000
.long T008
.long T008
.long T008
.long T008
.long T008
.long T008
.long T008
.long T008
.long T010
.long T010
.long T010
.long T010
.long T010
.long T010
.long T010
.long T010
.long T018
.long T018
.long T018
.long T018
.long T018
.long T018
.long T018
.long T018
.long T020
.long T020
.long T020
.long T020
.long T020
.long T020
.long T020
.long T020
.long T028
.long T028
.long T028
.long T028
.long T028
.long T028
.long T028
.long T028
.long T030
.long T030
.long T030
.long T030
.long T030
.long T030
.long T030
.long T030
.long T038
.long T039
.long T03A
.long T03B
.long T03C
.long r_illegal
.long r_illegal
.long r_illegal
.long T040
.long T040
.long T040
.long T040
.long T040
.long T040
.long T040
.long T040
.long T048
.long T048
.long T048
.long T048
.long T048
.long T048
.long T048
.long T048
.long T050
.long T050
.long T050
.long T050
.long T050
.long T050
.long T050
.long T050
.long T058
.long T058
.long T058
.long T058
.long T058
.long T058
.long T058
.long T058
.long T060
.long T060
.long T060
.long T060
.long T060
.long T060
.long T060
.long T060
.long T068
.long T068
.long T068
.long T068
.long T068
.long T068
.long T068
.long T068
.long T070
.long T070
.long T070
.long T070
.long T070
.long T070
.long T070
.long T070
.long T078
.long T079
.long T07A
.long T07B
.long T07C
.long r_illegal
.long r_illegal
.long r_illegal
.long T080
.long T080
.long T080
.long T080
.long T080
.long T080
.long T080
.long T080
.long T088
.long T088
.long T088
.long T088
.long T088
.long T088
.long T088
.long T088
.long T090
.long T090
.long T090
.long T090
.long T090
.long T090
.long T090
.long T090
.long T098
.long T098
.long T098
.long T098
.long T098
.long T098
.long T098
.long T098
.long T0A0
.long T0A0
.long T0A0
.long T0A0
.long T0A0
.long T0A0
.long T0A0
.long T0A0
.long T0A8
.long T0A8
.long T0A8
.long T0A8
.long T0A8
.long T0A8
.long T0A8
.long T0A8
.long T0B0
.long T0B0
.long T0B0
.long T0B0
.long T0B0
.long T0B0
.long T0B0
.long T0B0
.long T0B8
.long T0B9
.long T0BA
.long T0BB
.long T0BC
.long r_illegal
.long r_illegal
.long r_illegal
.long T0C0
.long T0C0
.long T0C0
.long T0C0
.long T0C0
.long T0C0
.long T0C0
.long T0C0
.long T0C8
.long T0C8
.long T0C8
.long T0C8
.long T0C8
.long T0C8
.long T0C8
.long T0C8
.long T0D0
.long T0D0
.long T0D0
.long T0D0
.long T0D0
.long T0D0
.long T0D0
.long T0D0
.long T0D8
.long T0D8
.long T0D8
.long T0D8
.long T0D8
.long T0D8
.long T0D8
.long T0D8
.long T0E0
.long T0E0
.long T0E0
.long T0E0
.long T0E0
.long T0E0
.long T0E0
.long T0E0
.long T0E8
.long T0E8
.long T0E8
.long T0E8
.long T0E8
.long T0E8
.long T0E8
.long T0E8
.long T0F0
.long T0F0
.long T0F0
.long T0F0
.long T0F0
.long T0F0
.long T0F0
.long T0F0
.long T0F8
.long T0F9
.long T0FA
.long T0FB
.long T0FC
.long r_illegal
.long r_illegal
.long r_illegal
.long T100
.long T100
.long T100
.long T100
.long T100
.long T100
.long T100
.long T100
.long T108
.long T108
.long T108
.long T108
.long T108
.long T108
.long T108
.long T108
.long T110
.long T110
.long T110
.long T110
.long T110
.long T110
.long T110
.long T110
.long T118
.long T118
.long T118
.long T118
.long T118
.long T118
.long T118
.long T118
.long T120
.long T120
.long T120
.long T120
.long T120
.long T120
.long T120
.long T120
.long T128
.long T128
.long T128
.long T128
.long T128
.long T128
.long T128
.long T128
.long T130
.long T130
.long T130
.long T130
.long T130
.long T130
.long T130
.long T130
.long T138
.long T139
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long T140
.long T140
.long T140
.long T140
.long T140
.long T140
.long T140
.long T140
.long T148
.long T148
.long T148
.long T148
.long T148
.long T148
.long T148
.long T148
.long T150
.long T150
.long T150
.long T150
.long T150
.long T150
.long T150
.long T150
.long T158
.long T158
.long T158
.long T158
.long T158
.long T158
.long T158
.long T158
.long T160
.long T160
.long T160
.long T160
.long T160
.long T160
.long T160
.long T160
.long T168
.long T168
.long T168
.long T168
.long T168
.long T168
.long T168
.long T168
.long T170
.long T170
.long T170
.long T170
.long T170
.long T170
.long T170
.long T170
.long T178
.long T179
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long T180
.long T180
.long T180
.long T180
.long T180
.long T180
.long T180
.long T180
.long T188
.long T188
.long T188
.long T188
.long T188
.long T188
.long T188
.long T188
.long T190
.long T190
.long T190
.long T190
.long T190
.long T190
.long T190
.long T190
.long T198
.long T198
.long T198
.long T198
.long T198
.long T198
.long T198
.long T198
.long T1A0
.long T1A0
.long T1A0
.long T1A0
.long T1A0
.long T1A0
.long T1A0
.long T1A0
.long T1A8
.long T1A8
.long T1A8
.long T1A8
.long T1A8
.long T1A8
.long T1A8
.long T1A8
.long T1B0
.long T1B0
.long T1B0
.long T1B0
.long T1B0
.long T1B0
.long T1B0
.long T1B0
.long T1B8
.long T1B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long T1C0
.long T1C0
.long T1C0
.long T1C0
.long T1C0
.long T1C0
.long T1C0
.long T1C0
.long T1C8
.long T1C8
.long T1C8
.long T1C8
.long T1C8
.long T1C8
.long T1C8
.long T1C8
.long T1D0
.long T1D0
.long T1D0
.long T1D0
.long T1D0
.long T1D0
.long T1D0
.long T1D0
.long T1D8
.long T1D8
.long T1D8
.long T1D8
.long T1D8
.long T1D8
.long T1D8
.long T1D8
.long T1E0
.long T1E0
.long T1E0
.long T1E0
.long T1E0
.long T1E0
.long T1E0
.long T1E0
.long T1E8
.long T1E8
.long T1E8
.long T1E8
.long T1E8
.long T1E8
.long T1E8
.long T1E8
.long T1F0
.long T1F0
.long T1F0
.long T1F0
.long T1F0
.long T1F0
.long T1F0
.long T1F0
.long T1F8
.long T1F9
.long T1FA
.long T1FB
.long T1FC
.long r_illegal
.long r_illegal
.long r_illegal
.long T200
.long T200
.long T200
.long T200
.long T200
.long T200
.long T200
.long T200
.long T208
.long T208
.long T208
.long T208
.long T208
.long T208
.long T208
.long T208
.long T210
.long T210
.long T210
.long T210
.long T210
.long T210
.long T210
.long T210
.long T218
.long T218
.long T218
.long T218
.long T218
.long T218
.long T218
.long T218
.long T220
.long T220
.long T220
.long T220
.long T220
.long T220
.long T220
.long T220
.long T228
.long T228
.long T228
.long T228
.long T228
.long T228
.long T228
.long T228
.long T230
.long T230
.long T230
.long T230
.long T230
.long T230
.long T230
.long T230
.long T238
.long T239
.long T23A
.long T23B
.long T23C
.long r_illegal
.long r_illegal
.long r_illegal
.long T240
.long T240
.long T240
.long T240
.long T240
.long T240
.long T240
.long T240
.long T248
.long T248
.long T248
.long T248
.long T248
.long T248
.long T248
.long T248
.long T250
.long T250
.long T250
.long T250
.long T250
.long T250
.long T250
.long T250
.long T258
.long T258
.long T258
.long T258
.long T258
.long T258
.long T258
.long T258
.long T260
.long T260
.long T260
.long T260
.long T260
.long T260
.long T260
.long T260
.long T268
.long T268
.long T268
.long T268
.long T268
.long T268
.long T268
.long T268
.long T270
.long T270
.long T270
.long T270
.long T270
.long T270
.long T270
.long T270
.long T278
.long T279
.long T27A
.long T27B
.long T27C
.long r_illegal
.long r_illegal
.long r_illegal
.long T280
.long T280
.long T280
.long T280
.long T280
.long T280
.long T280
.long T280
.long T288
.long T288
.long T288
.long T288
.long T288
.long T288
.long T288
.long T288
.long T290
.long T290
.long T290
.long T290
.long T290
.long T290
.long T290
.long T290
.long T298
.long T298
.long T298
.long T298
.long T298
.long T298
.long T298
.long T298
.long T2A0
.long T2A0
.long T2A0
.long T2A0
.long T2A0
.long T2A0
.long T2A0
.long T2A0
.long T2A8
.long T2A8
.long T2A8
.long T2A8
.long T2A8
.long T2A8
.long T2A8
.long T2A8
.long T2B0
.long T2B0
.long T2B0
.long T2B0
.long T2B0
.long T2B0
.long T2B0
.long T2B0
.long T2B8
.long T2B9
.long T2BA
.long T2BB
.long T2BC
.long r_illegal
.long r_illegal
.long r_illegal
.long T2C0
.long T2C0
.long T2C0
.long T2C0
.long T2C0
.long T2C0
.long T2C0
.long T2C0
.long T2C8
.long T2C8
.long T2C8
.long T2C8
.long T2C8
.long T2C8
.long T2C8
.long T2C8
.long T2D0
.long T2D0
.long T2D0
.long T2D0
.long T2D0
.long T2D0
.long T2D0
.long T2D0
.long T2D8
.long T2D8
.long T2D8
.long T2D8
.long T2D8
.long T2D8
.long T2D8
.long T2D8
.long T2E0
.long T2E0
.long T2E0
.long T2E0
.long T2E0
.long T2E0
.long T2E0
.long T2E0
.long T2E8
.long T2E8
.long T2E8
.long T2E8
.long T2E8
.long T2E8
.long T2E8
.long T2E8
.long T2F0
.long T2F0
.long T2F0
.long T2F0
.long T2F0
.long T2F0
.long T2F0
.long T2F0
.long T2F8
.long T2F9
.long T2FA
.long T2FB
.long T2FC
.long r_illegal
.long r_illegal
.long r_illegal
.long T300
.long T300
.long T300
.long T300
.long T300
.long T300
.long T300
.long T300
.long T308
.long T308
.long T308
.long T308
.long T308
.long T308
.long T308
.long T308
.long T310
.long T310
.long T310
.long T310
.long T310
.long T310
.long T310
.long T310
.long T318
.long T318
.long T318
.long T318
.long T318
.long T318
.long T318
.long T318
.long T320
.long T320
.long T320
.long T320
.long T320
.long T320
.long T320
.long T320
.long T328
.long T328
.long T328
.long T328
.long T328
.long T328
.long T328
.long T328
.long T330
.long T330
.long T330
.long T330
.long T330
.long T330
.long T330
.long T330
.long T338
.long T339
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long T340
.long T340
.long T340
.long T340
.long T340
.long T340
.long T340
.long T340
.long T348
.long T348
.long T348
.long T348
.long T348
.long T348
.long T348
.long T348
.long T350
.long T350
.long T350
.long T350
.long T350
.long T350
.long T350
.long T350
.long T358
.long T358
.long T358
.long T358
.long T358
.long T358
.long T358
.long T358
.long T360
.long T360
.long T360
.long T360
.long T360
.long T360
.long T360
.long T360
.long T368
.long T368
.long T368
.long T368
.long T368
.long T368
.long T368
.long T368
.long T370
.long T370
.long T370
.long T370
.long T370
.long T370
.long T370
.long T370
.long T378
.long T379
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long T380
.long T380
.long T380
.long T380
.long T380
.long T380
.long T380
.long T380
.long T388
.long T388
.long T388
.long T388
.long T388
.long T388
.long T388
.long T388
.long T390
.long T390
.long T390
.long T390
.long T390
.long T390
.long T390
.long T390
.long T398
.long T398
.long T398
.long T398
.long T398
.long T398
.long T398
.long T398
.long T3A0
.long T3A0
.long T3A0
.long T3A0
.long T3A0
.long T3A0
.long T3A0
.long T3A0
.long T3A8
.long T3A8
.long T3A8
.long T3A8
.long T3A8
.long T3A8
.long T3A8
.long T3A8
.long T3B0
.long T3B0
.long T3B0
.long T3B0
.long T3B0
.long T3B0
.long T3B0
.long T3B0
.long T3B8
.long T3B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long T3C0
.long T3C0
.long T3C0
.long T3C0
.long T3C0
.long T3C0
.long T3C0
.long T3C0
.long T3C8
.long T3C8
.long T3C8
.long T3C8
.long T3C8
.long T3C8
.long T3C8
.long T3C8
.long T3D0
.long T3D0
.long T3D0
.long T3D0
.long T3D0
.long T3D0
.long T3D0
.long T3D0
.long T3D8
.long T3D8
.long T3D8
.long T3D8
.long T3D8
.long T3D8
.long T3D8
.long T3D8
.long T3E0
.long T3E0
.long T3E0
.long T3E0
.long T3E0
.long T3E0
.long T3E0
.long T3E0
.long T3E8
.long T3E8
.long T3E8
.long T3E8
.long T3E8
.long T3E8
.long T3E8
.long T3E8
.long T3F0
.long T3F0
.long T3F0
.long T3F0
.long T3F0
.long T3F0
.long T3F0
.long T3F0
.long T3F8
.long T3F9
.long T3FA
.long T3FB
.long T3FC
.long r_illegal
.long r_illegal
.long r_illegal
.long T400
.long T400
.long T400
.long T400
.long T400
.long T400
.long T400
.long T400
.long T408
.long T408
.long T408
.long T408
.long T408
.long T408
.long T408
.long T408
.long T410
.long T410
.long T410
.long T410
.long T410
.long T410
.long T410
.long T410
.long T418
.long T418
.long T418
.long T418
.long T418
.long T418
.long T418
.long T418
.long T420
.long T420
.long T420
.long T420
.long T420
.long T420
.long T420
.long T420
.long T428
.long T428
.long T428
.long T428
.long T428
.long T428
.long T428
.long T428
.long T430
.long T430
.long T430
.long T430
.long T430
.long T430
.long T430
.long T430
.long T438
.long T439
.long T43A
.long T43B
.long T43C
.long r_illegal
.long r_illegal
.long r_illegal
.long T440
.long T440
.long T440
.long T440
.long T440
.long T440
.long T440
.long T440
.long T448
.long T448
.long T448
.long T448
.long T448
.long T448
.long T448
.long T448
.long T450
.long T450
.long T450
.long T450
.long T450
.long T450
.long T450
.long T450
.long T458
.long T458
.long T458
.long T458
.long T458
.long T458
.long T458
.long T458
.long T460
.long T460
.long T460
.long T460
.long T460
.long T460
.long T460
.long T460
.long T468
.long T468
.long T468
.long T468
.long T468
.long T468
.long T468
.long T468
.long T470
.long T470
.long T470
.long T470
.long T470
.long T470
.long T470
.long T470
.long T478
.long T479
.long T47A
.long T47B
.long T47C
.long r_illegal
.long r_illegal
.long r_illegal
.long T480
.long T480
.long T480
.long T480
.long T480
.long T480
.long T480
.long T480
.long T488
.long T488
.long T488
.long T488
.long T488
.long T488
.long T488
.long T488
.long T490
.long T490
.long T490
.long T490
.long T490
.long T490
.long T490
.long T490
.long T498
.long T498
.long T498
.long T498
.long T498
.long T498
.long T498
.long T498
.long T4A0
.long T4A0
.long T4A0
.long T4A0
.long T4A0
.long T4A0
.long T4A0
.long T4A0
.long T4A8
.long T4A8
.long T4A8
.long T4A8
.long T4A8
.long T4A8
.long T4A8
.long T4A8
.long T4B0
.long T4B0
.long T4B0
.long T4B0
.long T4B0
.long T4B0
.long T4B0
.long T4B0
.long T4B8
.long T4B9
.long T4BA
.long T4BB
.long T4BC
.long r_illegal
.long r_illegal
.long r_illegal
.long T4C0
.long T4C0
.long T4C0
.long T4C0
.long T4C0
.long T4C0
.long T4C0
.long T4C0
.long T4C8
.long T4C8
.long T4C8
.long T4C8
.long T4C8
.long T4C8
.long T4C8
.long T4C8
.long T4D0
.long T4D0
.long T4D0
.long T4D0
.long T4D0
.long T4D0
.long T4D0
.long T4D0
.long T4D8
.long T4D8
.long T4D8
.long T4D8
.long T4D8
.long T4D8
.long T4D8
.long T4D8
.long T4E0
.long T4E0
.long T4E0
.long T4E0
.long T4E0
.long T4E0
.long T4E0
.long T4E0
.long T4E8
.long T4E8
.long T4E8
.long T4E8
.long T4E8
.long T4E8
.long T4E8
.long T4E8
.long T4F0
.long T4F0
.long T4F0
.long T4F0
.long T4F0
.long T4F0
.long T4F0
.long T4F0
.long T4F8
.long T4F9
.long T4FA
.long T4FB
.long T4FC
.long r_illegal
.long r_illegal
.long r_illegal
.long T500
.long T500
.long T500
.long T500
.long T500
.long T500
.long T500
.long T500
.long T508
.long T508
.long T508
.long T508
.long T508
.long T508
.long T508
.long T508
.long T510
.long T510
.long T510
.long T510
.long T510
.long T510
.long T510
.long T510
.long T518
.long T518
.long T518
.long T518
.long T518
.long T518
.long T518
.long T518
.long T520
.long T520
.long T520
.long T520
.long T520
.long T520
.long T520
.long T520
.long T528
.long T528
.long T528
.long T528
.long T528
.long T528
.long T528
.long T528
.long T530
.long T530
.long T530
.long T530
.long T530
.long T530
.long T530
.long T530
.long T538
.long T539
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long T540
.long T540
.long T540
.long T540
.long T540
.long T540
.long T540
.long T540
.long T548
.long T548
.long T548
.long T548
.long T548
.long T548
.long T548
.long T548
.long T550
.long T550
.long T550
.long T550
.long T550
.long T550
.long T550
.long T550
.long T558
.long T558
.long T558
.long T558
.long T558
.long T558
.long T558
.long T558
.long T560
.long T560
.long T560
.long T560
.long T560
.long T560
.long T560
.long T560
.long T568
.long T568
.long T568
.long T568
.long T568
.long T568
.long T568
.long T568
.long T570
.long T570
.long T570
.long T570
.long T570
.long T570
.long T570
.long T570
.long T578
.long T579
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long T580
.long T580
.long T580
.long T580
.long T580
.long T580
.long T580
.long T580
.long T588
.long T588
.long T588
.long T588
.long T588
.long T588
.long T588
.long T588
.long T590
.long T590
.long T590
.long T590
.long T590
.long T590
.long T590
.long T590
.long T598
.long T598
.long T598
.long T598
.long T598
.long T598
.long T598
.long T598
.long T5A0
.long T5A0
.long T5A0
.long T5A0
.long T5A0
.long T5A0
.long T5A0
.long T5A0
.long T5A8
.long T5A8
.long T5A8
.long T5A8
.long T5A8
.long T5A8
.long T5A8
.long T5A8
.long T5B0
.long T5B0
.long T5B0
.long T5B0
.long T5B0
.long T5B0
.long T5B0
.long T5B0
.long T5B8
.long T5B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long T5C0
.long T5C0
.long T5C0
.long T5C0
.long T5C0
.long T5C0
.long T5C0
.long T5C0
.long T5C8
.long T5C8
.long T5C8
.long T5C8
.long T5C8
.long T5C8
.long T5C8
.long T5C8
.long T5D0
.long T5D0
.long T5D0
.long T5D0
.long T5D0
.long T5D0
.long T5D0
.long T5D0
.long T5D8
.long T5D8
.long T5D8
.long T5D8
.long T5D8
.long T5D8
.long T5D8
.long T5D8
.long T5E0
.long T5E0
.long T5E0
.long T5E0
.long T5E0
.long T5E0
.long T5E0
.long T5E0
.long T5E8
.long T5E8
.long T5E8
.long T5E8
.long T5E8
.long T5E8
.long T5E8
.long T5E8
.long T5F0
.long T5F0
.long T5F0
.long T5F0
.long T5F0
.long T5F0
.long T5F0
.long T5F0
.long T5F8
.long T5F9
.long T5FA
.long T5FB
.long T5FC
.long r_illegal
.long r_illegal
.long r_illegal
.long T600
.long T600
.long T600
.long T600
.long T600
.long T600
.long T600
.long T600
.long T608
.long T608
.long T608
.long T608
.long T608
.long T608
.long T608
.long T608
.long T610
.long T610
.long T610
.long T610
.long T610
.long T610
.long T610
.long T610
.long T618
.long T618
.long T618
.long T618
.long T618
.long T618
.long T618
.long T618
.long T620
.long T620
.long T620
.long T620
.long T620
.long T620
.long T620
.long T620
.long T628
.long T628
.long T628
.long T628
.long T628
.long T628
.long T628
.long T628
.long T630
.long T630
.long T630
.long T630
.long T630
.long T630
.long T630
.long T630
.long T638
.long T639
.long T63A
.long T63B
.long T63C
.long r_illegal
.long r_illegal
.long r_illegal
.long T640
.long T640
.long T640
.long T640
.long T640
.long T640
.long T640
.long T640
.long T648
.long T648
.long T648
.long T648
.long T648
.long T648
.long T648
.long T648
.long T650
.long T650
.long T650
.long T650
.long T650
.long T650
.long T650
.long T650
.long T658
.long T658
.long T658
.long T658
.long T658
.long T658
.long T658
.long T658
.long T660
.long T660
.long T660
.long T660
.long T660
.long T660
.long T660
.long T660
.long T668
.long T668
.long T668
.long T668
.long T668
.long T668
.long T668
.long T668
.long T670
.long T670
.long T670
.long T670
.long T670
.long T670
.long T670
.long T670
.long T678
.long T679
.long T67A
.long T67B
.long T67C
.long r_illegal
.long r_illegal
.long r_illegal
.long T680
.long T680
.long T680
.long T680
.long T680
.long T680
.long T680
.long T680
.long T688
.long T688
.long T688
.long T688
.long T688
.long T688
.long T688
.long T688
.long T690
.long T690
.long T690
.long T690
.long T690
.long T690
.long T690
.long T690
.long T698
.long T698
.long T698
.long T698
.long T698
.long T698
.long T698
.long T698
.long T6A0
.long T6A0
.long T6A0
.long T6A0
.long T6A0
.long T6A0
.long T6A0
.long T6A0
.long T6A8
.long T6A8
.long T6A8
.long T6A8
.long T6A8
.long T6A8
.long T6A8
.long T6A8
.long T6B0
.long T6B0
.long T6B0
.long T6B0
.long T6B0
.long T6B0
.long T6B0
.long T6B0
.long T6B8
.long T6B9
.long T6BA
.long T6BB
.long T6BC
.long r_illegal
.long r_illegal
.long r_illegal
.long T6C0
.long T6C0
.long T6C0
.long T6C0
.long T6C0
.long T6C0
.long T6C0
.long T6C0
.long T6C8
.long T6C8
.long T6C8
.long T6C8
.long T6C8
.long T6C8
.long T6C8
.long T6C8
.long T6D0
.long T6D0
.long T6D0
.long T6D0
.long T6D0
.long T6D0
.long T6D0
.long T6D0
.long T6D8
.long T6D8
.long T6D8
.long T6D8
.long T6D8
.long T6D8
.long T6D8
.long T6D8
.long T6E0
.long T6E0
.long T6E0
.long T6E0
.long T6E0
.long T6E0
.long T6E0
.long T6E0
.long T6E8
.long T6E8
.long T6E8
.long T6E8
.long T6E8
.long T6E8
.long T6E8
.long T6E8
.long T6F0
.long T6F0
.long T6F0
.long T6F0
.long T6F0
.long T6F0
.long T6F0
.long T6F0
.long T6F8
.long T6F9
.long T6FA
.long T6FB
.long T6FC
.long r_illegal
.long r_illegal
.long r_illegal
.long T700
.long T700
.long T700
.long T700
.long T700
.long T700
.long T700
.long T700
.long T708
.long T708
.long T708
.long T708
.long T708
.long T708
.long T708
.long T708
.long T710
.long T710
.long T710
.long T710
.long T710
.long T710
.long T710
.long T710
.long T718
.long T718
.long T718
.long T718
.long T718
.long T718
.long T718
.long T718
.long T720
.long T720
.long T720
.long T720
.long T720
.long T720
.long T720
.long T720
.long T728
.long T728
.long T728
.long T728
.long T728
.long T728
.long T728
.long T728
.long T730
.long T730
.long T730
.long T730
.long T730
.long T730
.long T730
.long T730
.long T738
.long T739
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long T740
.long T740
.long T740
.long T740
.long T740
.long T740
.long T740
.long T740
.long T748
.long T748
.long T748
.long T748
.long T748
.long T748
.long T748
.long T748
.long T750
.long T750
.long T750
.long T750
.long T750
.long T750
.long T750
.long T750
.long T758
.long T758
.long T758
.long T758
.long T758
.long T758
.long T758
.long T758
.long T760
.long T760
.long T760
.long T760
.long T760
.long T760
.long T760
.long T760
.long T768
.long T768
.long T768
.long T768
.long T768
.long T768
.long T768
.long T768
.long T770
.long T770
.long T770
.long T770
.long T770
.long T770
.long T770
.long T770
.long T778
.long T779
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long T780
.long T780
.long T780
.long T780
.long T780
.long T780
.long T780
.long T780
.long T788
.long T788
.long T788
.long T788
.long T788
.long T788
.long T788
.long T788
.long T790
.long T790
.long T790
.long T790
.long T790
.long T790
.long T790
.long T790
.long T798
.long T798
.long T798
.long T798
.long T798
.long T798
.long T798
.long T798
.long T7A0
.long T7A0
.long T7A0
.long T7A0
.long T7A0
.long T7A0
.long T7A0
.long T7A0
.long T7A8
.long T7A8
.long T7A8
.long T7A8
.long T7A8
.long T7A8
.long T7A8
.long T7A8
.long T7B0
.long T7B0
.long T7B0
.long T7B0
.long T7B0
.long T7B0
.long T7B0
.long T7B0
.long T7B8
.long T7B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long T7C0
.long T7C0
.long T7C0
.long T7C0
.long T7C0
.long T7C0
.long T7C0
.long T7C0
.long T7C8
.long T7C8
.long T7C8
.long T7C8
.long T7C8
.long T7C8
.long T7C8
.long T7C8
.long T7D0
.long T7D0
.long T7D0
.long T7D0
.long T7D0
.long T7D0
.long T7D0
.long T7D0
.long T7D8
.long T7D8
.long T7D8
.long T7D8
.long T7D8
.long T7D8
.long T7D8
.long T7D8
.long T7E0
.long T7E0
.long T7E0
.long T7E0
.long T7E0
.long T7E0
.long T7E0
.long T7E0
.long T7E8
.long T7E8
.long T7E8
.long T7E8
.long T7E8
.long T7E8
.long T7E8
.long T7E8
.long T7F0
.long T7F0
.long T7F0
.long T7F0
.long T7F0
.long T7F0
.long T7F0
.long T7F0
.long T7F8
.long T7F9
.long T7FA
.long T7FB
.long T7FC
.long r_illegal
.long r_illegal
.long r_illegal
.long T800
.long T800
.long T800
.long T800
.long T800
.long T800
.long T800
.long T800
.long T808
.long T808
.long T808
.long T808
.long T808
.long T808
.long T808
.long T808
.long T810
.long T810
.long T810
.long T810
.long T810
.long T810
.long T810
.long T810
.long T818
.long T818
.long T818
.long T818
.long T818
.long T818
.long T818
.long T818
.long T820
.long T820
.long T820
.long T820
.long T820
.long T820
.long T820
.long T820
.long T828
.long T828
.long T828
.long T828
.long T828
.long T828
.long T828
.long T828
.long T830
.long T830
.long T830
.long T830
.long T830
.long T830
.long T830
.long T830
.long T838
.long T839
.long T83A
.long T83B
.long T83C
.long r_illegal
.long r_illegal
.long r_illegal
.long T840
.long T840
.long T840
.long T840
.long T840
.long T840
.long T840
.long T840
.long T848
.long T848
.long T848
.long T848
.long T848
.long T848
.long T848
.long T848
.long T850
.long T850
.long T850
.long T850
.long T850
.long T850
.long T850
.long T850
.long T858
.long T858
.long T858
.long T858
.long T858
.long T858
.long T858
.long T858
.long T860
.long T860
.long T860
.long T860
.long T860
.long T860
.long T860
.long T860
.long T868
.long T868
.long T868
.long T868
.long T868
.long T868
.long T868
.long T868
.long T870
.long T870
.long T870
.long T870
.long T870
.long T870
.long T870
.long T870
.long T878
.long T879
.long T87A
.long T87B
.long T87C
.long r_illegal
.long r_illegal
.long r_illegal
.long T880
.long T880
.long T880
.long T880
.long T880
.long T880
.long T880
.long T880
.long T888
.long T888
.long T888
.long T888
.long T888
.long T888
.long T888
.long T888
.long T890
.long T890
.long T890
.long T890
.long T890
.long T890
.long T890
.long T890
.long T898
.long T898
.long T898
.long T898
.long T898
.long T898
.long T898
.long T898
.long T8A0
.long T8A0
.long T8A0
.long T8A0
.long T8A0
.long T8A0
.long T8A0
.long T8A0
.long T8A8
.long T8A8
.long T8A8
.long T8A8
.long T8A8
.long T8A8
.long T8A8
.long T8A8
.long T8B0
.long T8B0
.long T8B0
.long T8B0
.long T8B0
.long T8B0
.long T8B0
.long T8B0
.long T8B8
.long T8B9
.long T8BA
.long T8BB
.long T8BC
.long r_illegal
.long r_illegal
.long r_illegal
.long T8C0
.long T8C0
.long T8C0
.long T8C0
.long T8C0
.long T8C0
.long T8C0
.long T8C0
.long T8C8
.long T8C8
.long T8C8
.long T8C8
.long T8C8
.long T8C8
.long T8C8
.long T8C8
.long T8D0
.long T8D0
.long T8D0
.long T8D0
.long T8D0
.long T8D0
.long T8D0
.long T8D0
.long T8D8
.long T8D8
.long T8D8
.long T8D8
.long T8D8
.long T8D8
.long T8D8
.long T8D8
.long T8E0
.long T8E0
.long T8E0
.long T8E0
.long T8E0
.long T8E0
.long T8E0
.long T8E0
.long T8E8
.long T8E8
.long T8E8
.long T8E8
.long T8E8
.long T8E8
.long T8E8
.long T8E8
.long T8F0
.long T8F0
.long T8F0
.long T8F0
.long T8F0
.long T8F0
.long T8F0
.long T8F0
.long T8F8
.long T8F9
.long T8FA
.long T8FB
.long T8FC
.long r_illegal
.long r_illegal
.long r_illegal
.long T900
.long T900
.long T900
.long T900
.long T900
.long T900
.long T900
.long T900
.long T908
.long T908
.long T908
.long T908
.long T908
.long T908
.long T908
.long T908
.long T910
.long T910
.long T910
.long T910
.long T910
.long T910
.long T910
.long T910
.long T918
.long T918
.long T918
.long T918
.long T918
.long T918
.long T918
.long T918
.long T920
.long T920
.long T920
.long T920
.long T920
.long T920
.long T920
.long T920
.long T928
.long T928
.long T928
.long T928
.long T928
.long T928
.long T928
.long T928
.long T930
.long T930
.long T930
.long T930
.long T930
.long T930
.long T930
.long T930
.long T938
.long T939
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long T940
.long T940
.long T940
.long T940
.long T940
.long T940
.long T940
.long T940
.long T948
.long T948
.long T948
.long T948
.long T948
.long T948
.long T948
.long T948
.long T950
.long T950
.long T950
.long T950
.long T950
.long T950
.long T950
.long T950
.long T958
.long T958
.long T958
.long T958
.long T958
.long T958
.long T958
.long T958
.long T960
.long T960
.long T960
.long T960
.long T960
.long T960
.long T960
.long T960
.long T968
.long T968
.long T968
.long T968
.long T968
.long T968
.long T968
.long T968
.long T970
.long T970
.long T970
.long T970
.long T970
.long T970
.long T970
.long T970
.long T978
.long T979
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long T980
.long T980
.long T980
.long T980
.long T980
.long T980
.long T980
.long T980
.long T988
.long T988
.long T988
.long T988
.long T988
.long T988
.long T988
.long T988
.long T990
.long T990
.long T990
.long T990
.long T990
.long T990
.long T990
.long T990
.long T998
.long T998
.long T998
.long T998
.long T998
.long T998
.long T998
.long T998
.long T9A0
.long T9A0
.long T9A0
.long T9A0
.long T9A0
.long T9A0
.long T9A0
.long T9A0
.long T9A8
.long T9A8
.long T9A8
.long T9A8
.long T9A8
.long T9A8
.long T9A8
.long T9A8
.long T9B0
.long T9B0
.long T9B0
.long T9B0
.long T9B0
.long T9B0
.long T9B0
.long T9B0
.long T9B8
.long T9B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long T9C0
.long T9C0
.long T9C0
.long T9C0
.long T9C0
.long T9C0
.long T9C0
.long T9C0
.long T9C8
.long T9C8
.long T9C8
.long T9C8
.long T9C8
.long T9C8
.long T9C8
.long T9C8
.long T9D0
.long T9D0
.long T9D0
.long T9D0
.long T9D0
.long T9D0
.long T9D0
.long T9D0
.long T9D8
.long T9D8
.long T9D8
.long T9D8
.long T9D8
.long T9D8
.long T9D8
.long T9D8
.long T9E0
.long T9E0
.long T9E0
.long T9E0
.long T9E0
.long T9E0
.long T9E0
.long T9E0
.long T9E8
.long T9E8
.long T9E8
.long T9E8
.long T9E8
.long T9E8
.long T9E8
.long T9E8
.long T9F0
.long T9F0
.long T9F0
.long T9F0
.long T9F0
.long T9F0
.long T9F0
.long T9F0
.long T9F8
.long T9F9
.long T9FA
.long T9FB
.long T9FC
.long r_illegal
.long r_illegal
.long r_illegal
.long TA00
.long TA00
.long TA00
.long TA00
.long TA00
.long TA00
.long TA00
.long TA00
.long TA08
.long TA08
.long TA08
.long TA08
.long TA08
.long TA08
.long TA08
.long TA08
.long TA10
.long TA10
.long TA10
.long TA10
.long TA10
.long TA10
.long TA10
.long TA10
.long TA18
.long TA18
.long TA18
.long TA18
.long TA18
.long TA18
.long TA18
.long TA18
.long TA20
.long TA20
.long TA20
.long TA20
.long TA20
.long TA20
.long TA20
.long TA20
.long TA28
.long TA28
.long TA28
.long TA28
.long TA28
.long TA28
.long TA28
.long TA28
.long TA30
.long TA30
.long TA30
.long TA30
.long TA30
.long TA30
.long TA30
.long TA30
.long TA38
.long TA39
.long TA3A
.long TA3B
.long TA3C
.long r_illegal
.long r_illegal
.long r_illegal
.long TA40
.long TA40
.long TA40
.long TA40
.long TA40
.long TA40
.long TA40
.long TA40
.long TA48
.long TA48
.long TA48
.long TA48
.long TA48
.long TA48
.long TA48
.long TA48
.long TA50
.long TA50
.long TA50
.long TA50
.long TA50
.long TA50
.long TA50
.long TA50
.long TA58
.long TA58
.long TA58
.long TA58
.long TA58
.long TA58
.long TA58
.long TA58
.long TA60
.long TA60
.long TA60
.long TA60
.long TA60
.long TA60
.long TA60
.long TA60
.long TA68
.long TA68
.long TA68
.long TA68
.long TA68
.long TA68
.long TA68
.long TA68
.long TA70
.long TA70
.long TA70
.long TA70
.long TA70
.long TA70
.long TA70
.long TA70
.long TA78
.long TA79
.long TA7A
.long TA7B
.long TA7C
.long r_illegal
.long r_illegal
.long r_illegal
.long TA80
.long TA80
.long TA80
.long TA80
.long TA80
.long TA80
.long TA80
.long TA80
.long TA88
.long TA88
.long TA88
.long TA88
.long TA88
.long TA88
.long TA88
.long TA88
.long TA90
.long TA90
.long TA90
.long TA90
.long TA90
.long TA90
.long TA90
.long TA90
.long TA98
.long TA98
.long TA98
.long TA98
.long TA98
.long TA98
.long TA98
.long TA98
.long TAA0
.long TAA0
.long TAA0
.long TAA0
.long TAA0
.long TAA0
.long TAA0
.long TAA0
.long TAA8
.long TAA8
.long TAA8
.long TAA8
.long TAA8
.long TAA8
.long TAA8
.long TAA8
.long TAB0
.long TAB0
.long TAB0
.long TAB0
.long TAB0
.long TAB0
.long TAB0
.long TAB0
.long TAB8
.long TAB9
.long TABA
.long TABB
.long TABC
.long r_illegal
.long r_illegal
.long r_illegal
.long TAC0
.long TAC0
.long TAC0
.long TAC0
.long TAC0
.long TAC0
.long TAC0
.long TAC0
.long TAC8
.long TAC8
.long TAC8
.long TAC8
.long TAC8
.long TAC8
.long TAC8
.long TAC8
.long TAD0
.long TAD0
.long TAD0
.long TAD0
.long TAD0
.long TAD0
.long TAD0
.long TAD0
.long TAD8
.long TAD8
.long TAD8
.long TAD8
.long TAD8
.long TAD8
.long TAD8
.long TAD8
.long TAE0
.long TAE0
.long TAE0
.long TAE0
.long TAE0
.long TAE0
.long TAE0
.long TAE0
.long TAE8
.long TAE8
.long TAE8
.long TAE8
.long TAE8
.long TAE8
.long TAE8
.long TAE8
.long TAF0
.long TAF0
.long TAF0
.long TAF0
.long TAF0
.long TAF0
.long TAF0
.long TAF0
.long TAF8
.long TAF9
.long TAFA
.long TAFB
.long TAFC
.long r_illegal
.long r_illegal
.long r_illegal
.long TB00
.long TB00
.long TB00
.long TB00
.long TB00
.long TB00
.long TB00
.long TB00
.long TB08
.long TB08
.long TB08
.long TB08
.long TB08
.long TB08
.long TB08
.long TB08
.long TB10
.long TB10
.long TB10
.long TB10
.long TB10
.long TB10
.long TB10
.long TB10
.long TB18
.long TB18
.long TB18
.long TB18
.long TB18
.long TB18
.long TB18
.long TB18
.long TB20
.long TB20
.long TB20
.long TB20
.long TB20
.long TB20
.long TB20
.long TB20
.long TB28
.long TB28
.long TB28
.long TB28
.long TB28
.long TB28
.long TB28
.long TB28
.long TB30
.long TB30
.long TB30
.long TB30
.long TB30
.long TB30
.long TB30
.long TB30
.long TB38
.long TB39
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long TB40
.long TB40
.long TB40
.long TB40
.long TB40
.long TB40
.long TB40
.long TB40
.long TB48
.long TB48
.long TB48
.long TB48
.long TB48
.long TB48
.long TB48
.long TB48
.long TB50
.long TB50
.long TB50
.long TB50
.long TB50
.long TB50
.long TB50
.long TB50
.long TB58
.long TB58
.long TB58
.long TB58
.long TB58
.long TB58
.long TB58
.long TB58
.long TB60
.long TB60
.long TB60
.long TB60
.long TB60
.long TB60
.long TB60
.long TB60
.long TB68
.long TB68
.long TB68
.long TB68
.long TB68
.long TB68
.long TB68
.long TB68
.long TB70
.long TB70
.long TB70
.long TB70
.long TB70
.long TB70
.long TB70
.long TB70
.long TB78
.long TB79
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long TB80
.long TB80
.long TB80
.long TB80
.long TB80
.long TB80
.long TB80
.long TB80
.long TB88
.long TB88
.long TB88
.long TB88
.long TB88
.long TB88
.long TB88
.long TB88
.long TB90
.long TB90
.long TB90
.long TB90
.long TB90
.long TB90
.long TB90
.long TB90
.long TB98
.long TB98
.long TB98
.long TB98
.long TB98
.long TB98
.long TB98
.long TB98
.long TBA0
.long TBA0
.long TBA0
.long TBA0
.long TBA0
.long TBA0
.long TBA0
.long TBA0
.long TBA8
.long TBA8
.long TBA8
.long TBA8
.long TBA8
.long TBA8
.long TBA8
.long TBA8
.long TBB0
.long TBB0
.long TBB0
.long TBB0
.long TBB0
.long TBB0
.long TBB0
.long TBB0
.long TBB8
.long TBB9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long TBC0
.long TBC0
.long TBC0
.long TBC0
.long TBC0
.long TBC0
.long TBC0
.long TBC0
.long TBC8
.long TBC8
.long TBC8
.long TBC8
.long TBC8
.long TBC8
.long TBC8
.long TBC8
.long TBD0
.long TBD0
.long TBD0
.long TBD0
.long TBD0
.long TBD0
.long TBD0
.long TBD0
.long TBD8
.long TBD8
.long TBD8
.long TBD8
.long TBD8
.long TBD8
.long TBD8
.long TBD8
.long TBE0
.long TBE0
.long TBE0
.long TBE0
.long TBE0
.long TBE0
.long TBE0
.long TBE0
.long TBE8
.long TBE8
.long TBE8
.long TBE8
.long TBE8
.long TBE8
.long TBE8
.long TBE8
.long TBF0
.long TBF0
.long TBF0
.long TBF0
.long TBF0
.long TBF0
.long TBF0
.long TBF0
.long TBF8
.long TBF9
.long TBFA
.long TBFB
.long TBFC
.long r_illegal
.long r_illegal
.long r_illegal
.long TC00
.long TC00
.long TC00
.long TC00
.long TC00
.long TC00
.long TC00
.long TC00
.long TC08
.long TC08
.long TC08
.long TC08
.long TC08
.long TC08
.long TC08
.long TC08
.long TC10
.long TC10
.long TC10
.long TC10
.long TC10
.long TC10
.long TC10
.long TC10
.long TC18
.long TC18
.long TC18
.long TC18
.long TC18
.long TC18
.long TC18
.long TC18
.long TC20
.long TC20
.long TC20
.long TC20
.long TC20
.long TC20
.long TC20
.long TC20
.long TC28
.long TC28
.long TC28
.long TC28
.long TC28
.long TC28
.long TC28
.long TC28
.long TC30
.long TC30
.long TC30
.long TC30
.long TC30
.long TC30
.long TC30
.long TC30
.long TC38
.long TC39
.long TC3A
.long TC3B
.long TC3C
.long r_illegal
.long r_illegal
.long r_illegal
.long TC40
.long TC40
.long TC40
.long TC40
.long TC40
.long TC40
.long TC40
.long TC40
.long TC48
.long TC48
.long TC48
.long TC48
.long TC48
.long TC48
.long TC48
.long TC48
.long TC50
.long TC50
.long TC50
.long TC50
.long TC50
.long TC50
.long TC50
.long TC50
.long TC58
.long TC58
.long TC58
.long TC58
.long TC58
.long TC58
.long TC58
.long TC58
.long TC60
.long TC60
.long TC60
.long TC60
.long TC60
.long TC60
.long TC60
.long TC60
.long TC68
.long TC68
.long TC68
.long TC68
.long TC68
.long TC68
.long TC68
.long TC68
.long TC70
.long TC70
.long TC70
.long TC70
.long TC70
.long TC70
.long TC70
.long TC70
.long TC78
.long TC79
.long TC7A
.long TC7B
.long TC7C
.long r_illegal
.long r_illegal
.long r_illegal
.long TC80
.long TC80
.long TC80
.long TC80
.long TC80
.long TC80
.long TC80
.long TC80
.long TC88
.long TC88
.long TC88
.long TC88
.long TC88
.long TC88
.long TC88
.long TC88
.long TC90
.long TC90
.long TC90
.long TC90
.long TC90
.long TC90
.long TC90
.long TC90
.long TC98
.long TC98
.long TC98
.long TC98
.long TC98
.long TC98
.long TC98
.long TC98
.long TCA0
.long TCA0
.long TCA0
.long TCA0
.long TCA0
.long TCA0
.long TCA0
.long TCA0
.long TCA8
.long TCA8
.long TCA8
.long TCA8
.long TCA8
.long TCA8
.long TCA8
.long TCA8
.long TCB0
.long TCB0
.long TCB0
.long TCB0
.long TCB0
.long TCB0
.long TCB0
.long TCB0
.long TCB8
.long TCB9
.long TCBA
.long TCBB
.long TCBC
.long r_illegal
.long r_illegal
.long r_illegal
.long TCC0
.long TCC0
.long TCC0
.long TCC0
.long TCC0
.long TCC0
.long TCC0
.long TCC0
.long TCC8
.long TCC8
.long TCC8
.long TCC8
.long TCC8
.long TCC8
.long TCC8
.long TCC8
.long TCD0
.long TCD0
.long TCD0
.long TCD0
.long TCD0
.long TCD0
.long TCD0
.long TCD0
.long TCD8
.long TCD8
.long TCD8
.long TCD8
.long TCD8
.long TCD8
.long TCD8
.long TCD8
.long TCE0
.long TCE0
.long TCE0
.long TCE0
.long TCE0
.long TCE0
.long TCE0
.long TCE0
.long TCE8
.long TCE8
.long TCE8
.long TCE8
.long TCE8
.long TCE8
.long TCE8
.long TCE8
.long TCF0
.long TCF0
.long TCF0
.long TCF0
.long TCF0
.long TCF0
.long TCF0
.long TCF0
.long TCF8
.long TCF9
.long TCFA
.long TCFB
.long TCFC
.long r_illegal
.long r_illegal
.long r_illegal
.long TD00
.long TD00
.long TD00
.long TD00
.long TD00
.long TD00
.long TD00
.long TD00
.long TD08
.long TD08
.long TD08
.long TD08
.long TD08
.long TD08
.long TD08
.long TD08
.long TD10
.long TD10
.long TD10
.long TD10
.long TD10
.long TD10
.long TD10
.long TD10
.long TD18
.long TD18
.long TD18
.long TD18
.long TD18
.long TD18
.long TD18
.long TD18
.long TD20
.long TD20
.long TD20
.long TD20
.long TD20
.long TD20
.long TD20
.long TD20
.long TD28
.long TD28
.long TD28
.long TD28
.long TD28
.long TD28
.long TD28
.long TD28
.long TD30
.long TD30
.long TD30
.long TD30
.long TD30
.long TD30
.long TD30
.long TD30
.long TD38
.long TD39
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long TD40
.long TD40
.long TD40
.long TD40
.long TD40
.long TD40
.long TD40
.long TD40
.long TD48
.long TD48
.long TD48
.long TD48
.long TD48
.long TD48
.long TD48
.long TD48
.long TD50
.long TD50
.long TD50
.long TD50
.long TD50
.long TD50
.long TD50
.long TD50
.long TD58
.long TD58
.long TD58
.long TD58
.long TD58
.long TD58
.long TD58
.long TD58
.long TD60
.long TD60
.long TD60
.long TD60
.long TD60
.long TD60
.long TD60
.long TD60
.long TD68
.long TD68
.long TD68
.long TD68
.long TD68
.long TD68
.long TD68
.long TD68
.long TD70
.long TD70
.long TD70
.long TD70
.long TD70
.long TD70
.long TD70
.long TD70
.long TD78
.long TD79
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long TD80
.long TD80
.long TD80
.long TD80
.long TD80
.long TD80
.long TD80
.long TD80
.long TD88
.long TD88
.long TD88
.long TD88
.long TD88
.long TD88
.long TD88
.long TD88
.long TD90
.long TD90
.long TD90
.long TD90
.long TD90
.long TD90
.long TD90
.long TD90
.long TD98
.long TD98
.long TD98
.long TD98
.long TD98
.long TD98
.long TD98
.long TD98
.long TDA0
.long TDA0
.long TDA0
.long TDA0
.long TDA0
.long TDA0
.long TDA0
.long TDA0
.long TDA8
.long TDA8
.long TDA8
.long TDA8
.long TDA8
.long TDA8
.long TDA8
.long TDA8
.long TDB0
.long TDB0
.long TDB0
.long TDB0
.long TDB0
.long TDB0
.long TDB0
.long TDB0
.long TDB8
.long TDB9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long TDC0
.long TDC0
.long TDC0
.long TDC0
.long TDC0
.long TDC0
.long TDC0
.long TDC0
.long TDC8
.long TDC8
.long TDC8
.long TDC8
.long TDC8
.long TDC8
.long TDC8
.long TDC8
.long TDD0
.long TDD0
.long TDD0
.long TDD0
.long TDD0
.long TDD0
.long TDD0
.long TDD0
.long TDD8
.long TDD8
.long TDD8
.long TDD8
.long TDD8
.long TDD8
.long TDD8
.long TDD8
.long TDE0
.long TDE0
.long TDE0
.long TDE0
.long TDE0
.long TDE0
.long TDE0
.long TDE0
.long TDE8
.long TDE8
.long TDE8
.long TDE8
.long TDE8
.long TDE8
.long TDE8
.long TDE8
.long TDF0
.long TDF0
.long TDF0
.long TDF0
.long TDF0
.long TDF0
.long TDF0
.long TDF0
.long TDF8
.long TDF9
.long TDFA
.long TDFB
.long TDFC
.long r_illegal
.long r_illegal
.long r_illegal
.long TE00
.long TE00
.long TE00
.long TE00
.long TE00
.long TE00
.long TE00
.long TE00
.long TE08
.long TE08
.long TE08
.long TE08
.long TE08
.long TE08
.long TE08
.long TE08
.long TE10
.long TE10
.long TE10
.long TE10
.long TE10
.long TE10
.long TE10
.long TE10
.long TE18
.long TE18
.long TE18
.long TE18
.long TE18
.long TE18
.long TE18
.long TE18
.long TE20
.long TE20
.long TE20
.long TE20
.long TE20
.long TE20
.long TE20
.long TE20
.long TE28
.long TE28
.long TE28
.long TE28
.long TE28
.long TE28
.long TE28
.long TE28
.long TE30
.long TE30
.long TE30
.long TE30
.long TE30
.long TE30
.long TE30
.long TE30
.long TE38
.long TE39
.long TE3A
.long TE3B
.long TE3C
.long r_illegal
.long r_illegal
.long r_illegal
.long TE40
.long TE40
.long TE40
.long TE40
.long TE40
.long TE40
.long TE40
.long TE40
.long TE48
.long TE48
.long TE48
.long TE48
.long TE48
.long TE48
.long TE48
.long TE48
.long TE50
.long TE50
.long TE50
.long TE50
.long TE50
.long TE50
.long TE50
.long TE50
.long TE58
.long TE58
.long TE58
.long TE58
.long TE58
.long TE58
.long TE58
.long TE58
.long TE60
.long TE60
.long TE60
.long TE60
.long TE60
.long TE60
.long TE60
.long TE60
.long TE68
.long TE68
.long TE68
.long TE68
.long TE68
.long TE68
.long TE68
.long TE68
.long TE70
.long TE70
.long TE70
.long TE70
.long TE70
.long TE70
.long TE70
.long TE70
.long TE78
.long TE79
.long TE7A
.long TE7B
.long TE7C
.long r_illegal
.long r_illegal
.long r_illegal
.long TE80
.long TE80
.long TE80
.long TE80
.long TE80
.long TE80
.long TE80
.long TE80
.long TE88
.long TE88
.long TE88
.long TE88
.long TE88
.long TE88
.long TE88
.long TE88
.long TE90
.long TE90
.long TE90
.long TE90
.long TE90
.long TE90
.long TE90
.long TE90
.long TE98
.long TE98
.long TE98
.long TE98
.long TE98
.long TE98
.long TE98
.long TE98
.long TEA0
.long TEA0
.long TEA0
.long TEA0
.long TEA0
.long TEA0
.long TEA0
.long TEA0
.long TEA8
.long TEA8
.long TEA8
.long TEA8
.long TEA8
.long TEA8
.long TEA8
.long TEA8
.long TEB0
.long TEB0
.long TEB0
.long TEB0
.long TEB0
.long TEB0
.long TEB0
.long TEB0
.long TEB8
.long TEB9
.long TEBA
.long TEBB
.long TEBC
.long r_illegal
.long r_illegal
.long r_illegal
.long TEC0
.long TEC0
.long TEC0
.long TEC0
.long TEC0
.long TEC0
.long TEC0
.long TEC0
.long TEC8
.long TEC8
.long TEC8
.long TEC8
.long TEC8
.long TEC8
.long TEC8
.long TEC8
.long TED0
.long TED0
.long TED0
.long TED0
.long TED0
.long TED0
.long TED0
.long TED0
.long TED8
.long TED8
.long TED8
.long TED8
.long TED8
.long TED8
.long TED8
.long TED8
.long TEE0
.long TEE0
.long TEE0
.long TEE0
.long TEE0
.long TEE0
.long TEE0
.long TEE0
.long TEE8
.long TEE8
.long TEE8
.long TEE8
.long TEE8
.long TEE8
.long TEE8
.long TEE8
.long TEF0
.long TEF0
.long TEF0
.long TEF0
.long TEF0
.long TEF0
.long TEF0
.long TEF0
.long TEF8
.long TEF9
.long TEFA
.long TEFB
.long TEFC
.long r_illegal
.long r_illegal
.long r_illegal
.long TF00
.long TF00
.long TF00
.long TF00
.long TF00
.long TF00
.long TF00
.long TF00
.long TF08
.long TF08
.long TF08
.long TF08
.long TF08
.long TF08
.long TF08
.long TF08
.long TF10
.long TF10
.long TF10
.long TF10
.long TF10
.long TF10
.long TF10
.long TF10
.long TF18
.long TF18
.long TF18
.long TF18
.long TF18
.long TF18
.long TF18
.long TF18
.long TF20
.long TF20
.long TF20
.long TF20
.long TF20
.long TF20
.long TF20
.long TF20
.long TF28
.long TF28
.long TF28
.long TF28
.long TF28
.long TF28
.long TF28
.long TF28
.long TF30
.long TF30
.long TF30
.long TF30
.long TF30
.long TF30
.long TF30
.long TF30
.long TF38
.long TF39
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long TF40
.long TF40
.long TF40
.long TF40
.long TF40
.long TF40
.long TF40
.long TF40
.long TF48
.long TF48
.long TF48
.long TF48
.long TF48
.long TF48
.long TF48
.long TF48
.long TF50
.long TF50
.long TF50
.long TF50
.long TF50
.long TF50
.long TF50
.long TF50
.long TF58
.long TF58
.long TF58
.long TF58
.long TF58
.long TF58
.long TF58
.long TF58
.long TF60
.long TF60
.long TF60
.long TF60
.long TF60
.long TF60
.long TF60
.long TF60
.long TF68
.long TF68
.long TF68
.long TF68
.long TF68
.long TF68
.long TF68
.long TF68
.long TF70
.long TF70
.long TF70
.long TF70
.long TF70
.long TF70
.long TF70
.long TF70
.long TF78
.long TF79
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long TF80
.long TF80
.long TF80
.long TF80
.long TF80
.long TF80
.long TF80
.long TF80
.long TF88
.long TF88
.long TF88
.long TF88
.long TF88
.long TF88
.long TF88
.long TF88
.long TF90
.long TF90
.long TF90
.long TF90
.long TF90
.long TF90
.long TF90
.long TF90
.long TF98
.long TF98
.long TF98
.long TF98
.long TF98
.long TF98
.long TF98
.long TF98
.long TFA0
.long TFA0
.long TFA0
.long TFA0
.long TFA0
.long TFA0
.long TFA0
.long TFA0
.long TFA8
.long TFA8
.long TFA8
.long TFA8
.long TFA8
.long TFA8
.long TFA8
.long TFA8
.long TFB0
.long TFB0
.long TFB0
.long TFB0
.long TFB0
.long TFB0
.long TFB0
.long TFB0
.long TFB8
.long TFB9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long TFC0
.long TFC0
.long TFC0
.long TFC0
.long TFC0
.long TFC0
.long TFC0
.long TFC0
.long TFC8
.long TFC8
.long TFC8
.long TFC8
.long TFC8
.long TFC8
.long TFC8
.long TFC8
.long TFD0
.long TFD0
.long TFD0
.long TFD0
.long TFD0
.long TFD0
.long TFD0
.long TFD0
.long TFD8
.long TFD8
.long TFD8
.long TFD8
.long TFD8
.long TFD8
.long TFD8
.long TFD8
.long TFE0
.long TFE0
.long TFE0
.long TFE0
.long TFE0
.long TFE0
.long TFE0
.long TFE0
.long TFE8
.long TFE8
.long TFE8
.long TFE8
.long TFE8
.long TFE8
.long TFE8
.long TFE8
.long TFF0
.long TFF0
.long TFF0
.long TFF0
.long TFF0
.long TFF0
.long TFF0
.long TFF0
.long TFF8
.long TFF9
.long TFFA
.long TFFB
.long TFFC
.long r_illegal
.long r_illegal
.long r_illegal
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long U000
.long V000
.long V000
.long V000
.long V000
.long V000
.long V000
.long V000
.long V000
.long V008
.long V008
.long V008
.long V008
.long V008
.long V008
.long V008
.long V008
.long V010
.long V010
.long V010
.long V010
.long V010
.long V010
.long V010
.long V010
.long V018
.long V018
.long V018
.long V018
.long V018
.long V018
.long V018
.long V018
.long V020
.long V020
.long V020
.long V020
.long V020
.long V020
.long V020
.long V020
.long V028
.long V028
.long V028
.long V028
.long V028
.long V028
.long V028
.long V028
.long V030
.long V030
.long V030
.long V030
.long V030
.long V030
.long V030
.long V030
.long V038
.long V039
.long V03A
.long V03B
.long V03C
.long r_illegal
.long r_illegal
.long r_illegal
.long V040
.long V040
.long V040
.long V040
.long V040
.long V040
.long V040
.long V040
.long V048
.long V048
.long V048
.long V048
.long V048
.long V048
.long V048
.long V048
.long V050
.long V050
.long V050
.long V050
.long V050
.long V050
.long V050
.long V050
.long V058
.long V058
.long V058
.long V058
.long V058
.long V058
.long V058
.long V058
.long V060
.long V060
.long V060
.long V060
.long V060
.long V060
.long V060
.long V060
.long V068
.long V068
.long V068
.long V068
.long V068
.long V068
.long V068
.long V068
.long V070
.long V070
.long V070
.long V070
.long V070
.long V070
.long V070
.long V070
.long V078
.long V079
.long V07A
.long V07B
.long V07C
.long r_illegal
.long r_illegal
.long r_illegal
.long V080
.long V080
.long V080
.long V080
.long V080
.long V080
.long V080
.long V080
.long V088
.long V088
.long V088
.long V088
.long V088
.long V088
.long V088
.long V088
.long V090
.long V090
.long V090
.long V090
.long V090
.long V090
.long V090
.long V090
.long V098
.long V098
.long V098
.long V098
.long V098
.long V098
.long V098
.long V098
.long V0A0
.long V0A0
.long V0A0
.long V0A0
.long V0A0
.long V0A0
.long V0A0
.long V0A0
.long V0A8
.long V0A8
.long V0A8
.long V0A8
.long V0A8
.long V0A8
.long V0A8
.long V0A8
.long V0B0
.long V0B0
.long V0B0
.long V0B0
.long V0B0
.long V0B0
.long V0B0
.long V0B0
.long V0B8
.long V0B9
.long V0BA
.long V0BB
.long V0BC
.long r_illegal
.long r_illegal
.long r_illegal
.long V0C0
.long V0C0
.long V0C0
.long V0C0
.long V0C0
.long V0C0
.long V0C0
.long V0C0
.long V0C8
.long V0C8
.long V0C8
.long V0C8
.long V0C8
.long V0C8
.long V0C8
.long V0C8
.long V0D0
.long V0D0
.long V0D0
.long V0D0
.long V0D0
.long V0D0
.long V0D0
.long V0D0
.long V0D8
.long V0D8
.long V0D8
.long V0D8
.long V0D8
.long V0D8
.long V0D8
.long V0D8
.long V0E0
.long V0E0
.long V0E0
.long V0E0
.long V0E0
.long V0E0
.long V0E0
.long V0E0
.long V0E8
.long V0E8
.long V0E8
.long V0E8
.long V0E8
.long V0E8
.long V0E8
.long V0E8
.long V0F0
.long V0F0
.long V0F0
.long V0F0
.long V0F0
.long V0F0
.long V0F0
.long V0F0
.long V0F8
.long V0F9
.long V0FA
.long V0FB
.long V0FC
.long r_illegal
.long r_illegal
.long r_illegal
.long V100
.long V100
.long V100
.long V100
.long V100
.long V100
.long V100
.long V100
.long V108
.long V108
.long V108
.long V108
.long V108
.long V108
.long V108
.long V108
.long V110
.long V110
.long V110
.long V110
.long V110
.long V110
.long V110
.long V110
.long V118
.long V118
.long V118
.long V118
.long V118
.long V118
.long V118
.long V118
.long V120
.long V120
.long V120
.long V120
.long V120
.long V120
.long V120
.long V120
.long V128
.long V128
.long V128
.long V128
.long V128
.long V128
.long V128
.long V128
.long V130
.long V130
.long V130
.long V130
.long V130
.long V130
.long V130
.long V130
.long V138
.long V139
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long V140
.long V140
.long V140
.long V140
.long V140
.long V140
.long V140
.long V140
.long V148
.long V148
.long V148
.long V148
.long V148
.long V148
.long V148
.long V148
.long V150
.long V150
.long V150
.long V150
.long V150
.long V150
.long V150
.long V150
.long V158
.long V158
.long V158
.long V158
.long V158
.long V158
.long V158
.long V158
.long V160
.long V160
.long V160
.long V160
.long V160
.long V160
.long V160
.long V160
.long V168
.long V168
.long V168
.long V168
.long V168
.long V168
.long V168
.long V168
.long V170
.long V170
.long V170
.long V170
.long V170
.long V170
.long V170
.long V170
.long V178
.long V179
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long V180
.long V180
.long V180
.long V180
.long V180
.long V180
.long V180
.long V180
.long V188
.long V188
.long V188
.long V188
.long V188
.long V188
.long V188
.long V188
.long V190
.long V190
.long V190
.long V190
.long V190
.long V190
.long V190
.long V190
.long V198
.long V198
.long V198
.long V198
.long V198
.long V198
.long V198
.long V198
.long V1A0
.long V1A0
.long V1A0
.long V1A0
.long V1A0
.long V1A0
.long V1A0
.long V1A0
.long V1A8
.long V1A8
.long V1A8
.long V1A8
.long V1A8
.long V1A8
.long V1A8
.long V1A8
.long V1B0
.long V1B0
.long V1B0
.long V1B0
.long V1B0
.long V1B0
.long V1B0
.long V1B0
.long V1B8
.long V1B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long V1C0
.long V1C0
.long V1C0
.long V1C0
.long V1C0
.long V1C0
.long V1C0
.long V1C0
.long V1C8
.long V1C8
.long V1C8
.long V1C8
.long V1C8
.long V1C8
.long V1C8
.long V1C8
.long V1D0
.long V1D0
.long V1D0
.long V1D0
.long V1D0
.long V1D0
.long V1D0
.long V1D0
.long V1D8
.long V1D8
.long V1D8
.long V1D8
.long V1D8
.long V1D8
.long V1D8
.long V1D8
.long V1E0
.long V1E0
.long V1E0
.long V1E0
.long V1E0
.long V1E0
.long V1E0
.long V1E0
.long V1E8
.long V1E8
.long V1E8
.long V1E8
.long V1E8
.long V1E8
.long V1E8
.long V1E8
.long V1F0
.long V1F0
.long V1F0
.long V1F0
.long V1F0
.long V1F0
.long V1F0
.long V1F0
.long V1F8
.long V1F9
.long V1FA
.long V1FB
.long V1FC
.long r_illegal
.long r_illegal
.long r_illegal
.long V200
.long V200
.long V200
.long V200
.long V200
.long V200
.long V200
.long V200
.long V208
.long V208
.long V208
.long V208
.long V208
.long V208
.long V208
.long V208
.long V210
.long V210
.long V210
.long V210
.long V210
.long V210
.long V210
.long V210
.long V218
.long V218
.long V218
.long V218
.long V218
.long V218
.long V218
.long V218
.long V220
.long V220
.long V220
.long V220
.long V220
.long V220
.long V220
.long V220
.long V228
.long V228
.long V228
.long V228
.long V228
.long V228
.long V228
.long V228
.long V230
.long V230
.long V230
.long V230
.long V230
.long V230
.long V230
.long V230
.long V238
.long V239
.long V23A
.long V23B
.long V23C
.long r_illegal
.long r_illegal
.long r_illegal
.long V240
.long V240
.long V240
.long V240
.long V240
.long V240
.long V240
.long V240
.long V248
.long V248
.long V248
.long V248
.long V248
.long V248
.long V248
.long V248
.long V250
.long V250
.long V250
.long V250
.long V250
.long V250
.long V250
.long V250
.long V258
.long V258
.long V258
.long V258
.long V258
.long V258
.long V258
.long V258
.long V260
.long V260
.long V260
.long V260
.long V260
.long V260
.long V260
.long V260
.long V268
.long V268
.long V268
.long V268
.long V268
.long V268
.long V268
.long V268
.long V270
.long V270
.long V270
.long V270
.long V270
.long V270
.long V270
.long V270
.long V278
.long V279
.long V27A
.long V27B
.long V27C
.long r_illegal
.long r_illegal
.long r_illegal
.long V280
.long V280
.long V280
.long V280
.long V280
.long V280
.long V280
.long V280
.long V288
.long V288
.long V288
.long V288
.long V288
.long V288
.long V288
.long V288
.long V290
.long V290
.long V290
.long V290
.long V290
.long V290
.long V290
.long V290
.long V298
.long V298
.long V298
.long V298
.long V298
.long V298
.long V298
.long V298
.long V2A0
.long V2A0
.long V2A0
.long V2A0
.long V2A0
.long V2A0
.long V2A0
.long V2A0
.long V2A8
.long V2A8
.long V2A8
.long V2A8
.long V2A8
.long V2A8
.long V2A8
.long V2A8
.long V2B0
.long V2B0
.long V2B0
.long V2B0
.long V2B0
.long V2B0
.long V2B0
.long V2B0
.long V2B8
.long V2B9
.long V2BA
.long V2BB
.long V2BC
.long r_illegal
.long r_illegal
.long r_illegal
.long V2C0
.long V2C0
.long V2C0
.long V2C0
.long V2C0
.long V2C0
.long V2C0
.long V2C0
.long V2C8
.long V2C8
.long V2C8
.long V2C8
.long V2C8
.long V2C8
.long V2C8
.long V2C8
.long V2D0
.long V2D0
.long V2D0
.long V2D0
.long V2D0
.long V2D0
.long V2D0
.long V2D0
.long V2D8
.long V2D8
.long V2D8
.long V2D8
.long V2D8
.long V2D8
.long V2D8
.long V2D8
.long V2E0
.long V2E0
.long V2E0
.long V2E0
.long V2E0
.long V2E0
.long V2E0
.long V2E0
.long V2E8
.long V2E8
.long V2E8
.long V2E8
.long V2E8
.long V2E8
.long V2E8
.long V2E8
.long V2F0
.long V2F0
.long V2F0
.long V2F0
.long V2F0
.long V2F0
.long V2F0
.long V2F0
.long V2F8
.long V2F9
.long V2FA
.long V2FB
.long V2FC
.long r_illegal
.long r_illegal
.long r_illegal
.long V300
.long V300
.long V300
.long V300
.long V300
.long V300
.long V300
.long V300
.long V308
.long V308
.long V308
.long V308
.long V308
.long V308
.long V308
.long V308
.long V310
.long V310
.long V310
.long V310
.long V310
.long V310
.long V310
.long V310
.long V318
.long V318
.long V318
.long V318
.long V318
.long V318
.long V318
.long V318
.long V320
.long V320
.long V320
.long V320
.long V320
.long V320
.long V320
.long V320
.long V328
.long V328
.long V328
.long V328
.long V328
.long V328
.long V328
.long V328
.long V330
.long V330
.long V330
.long V330
.long V330
.long V330
.long V330
.long V330
.long V338
.long V339
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long V340
.long V340
.long V340
.long V340
.long V340
.long V340
.long V340
.long V340
.long V348
.long V348
.long V348
.long V348
.long V348
.long V348
.long V348
.long V348
.long V350
.long V350
.long V350
.long V350
.long V350
.long V350
.long V350
.long V350
.long V358
.long V358
.long V358
.long V358
.long V358
.long V358
.long V358
.long V358
.long V360
.long V360
.long V360
.long V360
.long V360
.long V360
.long V360
.long V360
.long V368
.long V368
.long V368
.long V368
.long V368
.long V368
.long V368
.long V368
.long V370
.long V370
.long V370
.long V370
.long V370
.long V370
.long V370
.long V370
.long V378
.long V379
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long V380
.long V380
.long V380
.long V380
.long V380
.long V380
.long V380
.long V380
.long V388
.long V388
.long V388
.long V388
.long V388
.long V388
.long V388
.long V388
.long V390
.long V390
.long V390
.long V390
.long V390
.long V390
.long V390
.long V390
.long V398
.long V398
.long V398
.long V398
.long V398
.long V398
.long V398
.long V398
.long V3A0
.long V3A0
.long V3A0
.long V3A0
.long V3A0
.long V3A0
.long V3A0
.long V3A0
.long V3A8
.long V3A8
.long V3A8
.long V3A8
.long V3A8
.long V3A8
.long V3A8
.long V3A8
.long V3B0
.long V3B0
.long V3B0
.long V3B0
.long V3B0
.long V3B0
.long V3B0
.long V3B0
.long V3B8
.long V3B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long V3C0
.long V3C0
.long V3C0
.long V3C0
.long V3C0
.long V3C0
.long V3C0
.long V3C0
.long V3C8
.long V3C8
.long V3C8
.long V3C8
.long V3C8
.long V3C8
.long V3C8
.long V3C8
.long V3D0
.long V3D0
.long V3D0
.long V3D0
.long V3D0
.long V3D0
.long V3D0
.long V3D0
.long V3D8
.long V3D8
.long V3D8
.long V3D8
.long V3D8
.long V3D8
.long V3D8
.long V3D8
.long V3E0
.long V3E0
.long V3E0
.long V3E0
.long V3E0
.long V3E0
.long V3E0
.long V3E0
.long V3E8
.long V3E8
.long V3E8
.long V3E8
.long V3E8
.long V3E8
.long V3E8
.long V3E8
.long V3F0
.long V3F0
.long V3F0
.long V3F0
.long V3F0
.long V3F0
.long V3F0
.long V3F0
.long V3F8
.long V3F9
.long V3FA
.long V3FB
.long V3FC
.long r_illegal
.long r_illegal
.long r_illegal
.long V400
.long V400
.long V400
.long V400
.long V400
.long V400
.long V400
.long V400
.long V408
.long V408
.long V408
.long V408
.long V408
.long V408
.long V408
.long V408
.long V410
.long V410
.long V410
.long V410
.long V410
.long V410
.long V410
.long V410
.long V418
.long V418
.long V418
.long V418
.long V418
.long V418
.long V418
.long V418
.long V420
.long V420
.long V420
.long V420
.long V420
.long V420
.long V420
.long V420
.long V428
.long V428
.long V428
.long V428
.long V428
.long V428
.long V428
.long V428
.long V430
.long V430
.long V430
.long V430
.long V430
.long V430
.long V430
.long V430
.long V438
.long V439
.long V43A
.long V43B
.long V43C
.long r_illegal
.long r_illegal
.long r_illegal
.long V440
.long V440
.long V440
.long V440
.long V440
.long V440
.long V440
.long V440
.long V448
.long V448
.long V448
.long V448
.long V448
.long V448
.long V448
.long V448
.long V450
.long V450
.long V450
.long V450
.long V450
.long V450
.long V450
.long V450
.long V458
.long V458
.long V458
.long V458
.long V458
.long V458
.long V458
.long V458
.long V460
.long V460
.long V460
.long V460
.long V460
.long V460
.long V460
.long V460
.long V468
.long V468
.long V468
.long V468
.long V468
.long V468
.long V468
.long V468
.long V470
.long V470
.long V470
.long V470
.long V470
.long V470
.long V470
.long V470
.long V478
.long V479
.long V47A
.long V47B
.long V47C
.long r_illegal
.long r_illegal
.long r_illegal
.long V480
.long V480
.long V480
.long V480
.long V480
.long V480
.long V480
.long V480
.long V488
.long V488
.long V488
.long V488
.long V488
.long V488
.long V488
.long V488
.long V490
.long V490
.long V490
.long V490
.long V490
.long V490
.long V490
.long V490
.long V498
.long V498
.long V498
.long V498
.long V498
.long V498
.long V498
.long V498
.long V4A0
.long V4A0
.long V4A0
.long V4A0
.long V4A0
.long V4A0
.long V4A0
.long V4A0
.long V4A8
.long V4A8
.long V4A8
.long V4A8
.long V4A8
.long V4A8
.long V4A8
.long V4A8
.long V4B0
.long V4B0
.long V4B0
.long V4B0
.long V4B0
.long V4B0
.long V4B0
.long V4B0
.long V4B8
.long V4B9
.long V4BA
.long V4BB
.long V4BC
.long r_illegal
.long r_illegal
.long r_illegal
.long V4C0
.long V4C0
.long V4C0
.long V4C0
.long V4C0
.long V4C0
.long V4C0
.long V4C0
.long V4C8
.long V4C8
.long V4C8
.long V4C8
.long V4C8
.long V4C8
.long V4C8
.long V4C8
.long V4D0
.long V4D0
.long V4D0
.long V4D0
.long V4D0
.long V4D0
.long V4D0
.long V4D0
.long V4D8
.long V4D8
.long V4D8
.long V4D8
.long V4D8
.long V4D8
.long V4D8
.long V4D8
.long V4E0
.long V4E0
.long V4E0
.long V4E0
.long V4E0
.long V4E0
.long V4E0
.long V4E0
.long V4E8
.long V4E8
.long V4E8
.long V4E8
.long V4E8
.long V4E8
.long V4E8
.long V4E8
.long V4F0
.long V4F0
.long V4F0
.long V4F0
.long V4F0
.long V4F0
.long V4F0
.long V4F0
.long V4F8
.long V4F9
.long V4FA
.long V4FB
.long V4FC
.long r_illegal
.long r_illegal
.long r_illegal
.long V500
.long V500
.long V500
.long V500
.long V500
.long V500
.long V500
.long V500
.long V508
.long V508
.long V508
.long V508
.long V508
.long V508
.long V508
.long V508
.long V510
.long V510
.long V510
.long V510
.long V510
.long V510
.long V510
.long V510
.long V518
.long V518
.long V518
.long V518
.long V518
.long V518
.long V518
.long V518
.long V520
.long V520
.long V520
.long V520
.long V520
.long V520
.long V520
.long V520
.long V528
.long V528
.long V528
.long V528
.long V528
.long V528
.long V528
.long V528
.long V530
.long V530
.long V530
.long V530
.long V530
.long V530
.long V530
.long V530
.long V538
.long V539
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long V540
.long V540
.long V540
.long V540
.long V540
.long V540
.long V540
.long V540
.long V548
.long V548
.long V548
.long V548
.long V548
.long V548
.long V548
.long V548
.long V550
.long V550
.long V550
.long V550
.long V550
.long V550
.long V550
.long V550
.long V558
.long V558
.long V558
.long V558
.long V558
.long V558
.long V558
.long V558
.long V560
.long V560
.long V560
.long V560
.long V560
.long V560
.long V560
.long V560
.long V568
.long V568
.long V568
.long V568
.long V568
.long V568
.long V568
.long V568
.long V570
.long V570
.long V570
.long V570
.long V570
.long V570
.long V570
.long V570
.long V578
.long V579
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long V580
.long V580
.long V580
.long V580
.long V580
.long V580
.long V580
.long V580
.long V588
.long V588
.long V588
.long V588
.long V588
.long V588
.long V588
.long V588
.long V590
.long V590
.long V590
.long V590
.long V590
.long V590
.long V590
.long V590
.long V598
.long V598
.long V598
.long V598
.long V598
.long V598
.long V598
.long V598
.long V5A0
.long V5A0
.long V5A0
.long V5A0
.long V5A0
.long V5A0
.long V5A0
.long V5A0
.long V5A8
.long V5A8
.long V5A8
.long V5A8
.long V5A8
.long V5A8
.long V5A8
.long V5A8
.long V5B0
.long V5B0
.long V5B0
.long V5B0
.long V5B0
.long V5B0
.long V5B0
.long V5B0
.long V5B8
.long V5B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long V5C0
.long V5C0
.long V5C0
.long V5C0
.long V5C0
.long V5C0
.long V5C0
.long V5C0
.long V5C8
.long V5C8
.long V5C8
.long V5C8
.long V5C8
.long V5C8
.long V5C8
.long V5C8
.long V5D0
.long V5D0
.long V5D0
.long V5D0
.long V5D0
.long V5D0
.long V5D0
.long V5D0
.long V5D8
.long V5D8
.long V5D8
.long V5D8
.long V5D8
.long V5D8
.long V5D8
.long V5D8
.long V5E0
.long V5E0
.long V5E0
.long V5E0
.long V5E0
.long V5E0
.long V5E0
.long V5E0
.long V5E8
.long V5E8
.long V5E8
.long V5E8
.long V5E8
.long V5E8
.long V5E8
.long V5E8
.long V5F0
.long V5F0
.long V5F0
.long V5F0
.long V5F0
.long V5F0
.long V5F0
.long V5F0
.long V5F8
.long V5F9
.long V5FA
.long V5FB
.long V5FC
.long r_illegal
.long r_illegal
.long r_illegal
.long V600
.long V600
.long V600
.long V600
.long V600
.long V600
.long V600
.long V600
.long V608
.long V608
.long V608
.long V608
.long V608
.long V608
.long V608
.long V608
.long V610
.long V610
.long V610
.long V610
.long V610
.long V610
.long V610
.long V610
.long V618
.long V618
.long V618
.long V618
.long V618
.long V618
.long V618
.long V618
.long V620
.long V620
.long V620
.long V620
.long V620
.long V620
.long V620
.long V620
.long V628
.long V628
.long V628
.long V628
.long V628
.long V628
.long V628
.long V628
.long V630
.long V630
.long V630
.long V630
.long V630
.long V630
.long V630
.long V630
.long V638
.long V639
.long V63A
.long V63B
.long V63C
.long r_illegal
.long r_illegal
.long r_illegal
.long V640
.long V640
.long V640
.long V640
.long V640
.long V640
.long V640
.long V640
.long V648
.long V648
.long V648
.long V648
.long V648
.long V648
.long V648
.long V648
.long V650
.long V650
.long V650
.long V650
.long V650
.long V650
.long V650
.long V650
.long V658
.long V658
.long V658
.long V658
.long V658
.long V658
.long V658
.long V658
.long V660
.long V660
.long V660
.long V660
.long V660
.long V660
.long V660
.long V660
.long V668
.long V668
.long V668
.long V668
.long V668
.long V668
.long V668
.long V668
.long V670
.long V670
.long V670
.long V670
.long V670
.long V670
.long V670
.long V670
.long V678
.long V679
.long V67A
.long V67B
.long V67C
.long r_illegal
.long r_illegal
.long r_illegal
.long V680
.long V680
.long V680
.long V680
.long V680
.long V680
.long V680
.long V680
.long V688
.long V688
.long V688
.long V688
.long V688
.long V688
.long V688
.long V688
.long V690
.long V690
.long V690
.long V690
.long V690
.long V690
.long V690
.long V690
.long V698
.long V698
.long V698
.long V698
.long V698
.long V698
.long V698
.long V698
.long V6A0
.long V6A0
.long V6A0
.long V6A0
.long V6A0
.long V6A0
.long V6A0
.long V6A0
.long V6A8
.long V6A8
.long V6A8
.long V6A8
.long V6A8
.long V6A8
.long V6A8
.long V6A8
.long V6B0
.long V6B0
.long V6B0
.long V6B0
.long V6B0
.long V6B0
.long V6B0
.long V6B0
.long V6B8
.long V6B9
.long V6BA
.long V6BB
.long V6BC
.long r_illegal
.long r_illegal
.long r_illegal
.long V6C0
.long V6C0
.long V6C0
.long V6C0
.long V6C0
.long V6C0
.long V6C0
.long V6C0
.long V6C8
.long V6C8
.long V6C8
.long V6C8
.long V6C8
.long V6C8
.long V6C8
.long V6C8
.long V6D0
.long V6D0
.long V6D0
.long V6D0
.long V6D0
.long V6D0
.long V6D0
.long V6D0
.long V6D8
.long V6D8
.long V6D8
.long V6D8
.long V6D8
.long V6D8
.long V6D8
.long V6D8
.long V6E0
.long V6E0
.long V6E0
.long V6E0
.long V6E0
.long V6E0
.long V6E0
.long V6E0
.long V6E8
.long V6E8
.long V6E8
.long V6E8
.long V6E8
.long V6E8
.long V6E8
.long V6E8
.long V6F0
.long V6F0
.long V6F0
.long V6F0
.long V6F0
.long V6F0
.long V6F0
.long V6F0
.long V6F8
.long V6F9
.long V6FA
.long V6FB
.long V6FC
.long r_illegal
.long r_illegal
.long r_illegal
.long V700
.long V700
.long V700
.long V700
.long V700
.long V700
.long V700
.long V700
.long V708
.long V708
.long V708
.long V708
.long V708
.long V708
.long V708
.long V708
.long V710
.long V710
.long V710
.long V710
.long V710
.long V710
.long V710
.long V710
.long V718
.long V718
.long V718
.long V718
.long V718
.long V718
.long V718
.long V718
.long V720
.long V720
.long V720
.long V720
.long V720
.long V720
.long V720
.long V720
.long V728
.long V728
.long V728
.long V728
.long V728
.long V728
.long V728
.long V728
.long V730
.long V730
.long V730
.long V730
.long V730
.long V730
.long V730
.long V730
.long V738
.long V739
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long V740
.long V740
.long V740
.long V740
.long V740
.long V740
.long V740
.long V740
.long V748
.long V748
.long V748
.long V748
.long V748
.long V748
.long V748
.long V748
.long V750
.long V750
.long V750
.long V750
.long V750
.long V750
.long V750
.long V750
.long V758
.long V758
.long V758
.long V758
.long V758
.long V758
.long V758
.long V758
.long V760
.long V760
.long V760
.long V760
.long V760
.long V760
.long V760
.long V760
.long V768
.long V768
.long V768
.long V768
.long V768
.long V768
.long V768
.long V768
.long V770
.long V770
.long V770
.long V770
.long V770
.long V770
.long V770
.long V770
.long V778
.long V779
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long V780
.long V780
.long V780
.long V780
.long V780
.long V780
.long V780
.long V780
.long V788
.long V788
.long V788
.long V788
.long V788
.long V788
.long V788
.long V788
.long V790
.long V790
.long V790
.long V790
.long V790
.long V790
.long V790
.long V790
.long V798
.long V798
.long V798
.long V798
.long V798
.long V798
.long V798
.long V798
.long V7A0
.long V7A0
.long V7A0
.long V7A0
.long V7A0
.long V7A0
.long V7A0
.long V7A0
.long V7A8
.long V7A8
.long V7A8
.long V7A8
.long V7A8
.long V7A8
.long V7A8
.long V7A8
.long V7B0
.long V7B0
.long V7B0
.long V7B0
.long V7B0
.long V7B0
.long V7B0
.long V7B0
.long V7B8
.long V7B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long V7C0
.long V7C0
.long V7C0
.long V7C0
.long V7C0
.long V7C0
.long V7C0
.long V7C0
.long V7C8
.long V7C8
.long V7C8
.long V7C8
.long V7C8
.long V7C8
.long V7C8
.long V7C8
.long V7D0
.long V7D0
.long V7D0
.long V7D0
.long V7D0
.long V7D0
.long V7D0
.long V7D0
.long V7D8
.long V7D8
.long V7D8
.long V7D8
.long V7D8
.long V7D8
.long V7D8
.long V7D8
.long V7E0
.long V7E0
.long V7E0
.long V7E0
.long V7E0
.long V7E0
.long V7E0
.long V7E0
.long V7E8
.long V7E8
.long V7E8
.long V7E8
.long V7E8
.long V7E8
.long V7E8
.long V7E8
.long V7F0
.long V7F0
.long V7F0
.long V7F0
.long V7F0
.long V7F0
.long V7F0
.long V7F0
.long V7F8
.long V7F9
.long V7FA
.long V7FB
.long V7FC
.long r_illegal
.long r_illegal
.long r_illegal
.long V800
.long V800
.long V800
.long V800
.long V800
.long V800
.long V800
.long V800
.long V808
.long V808
.long V808
.long V808
.long V808
.long V808
.long V808
.long V808
.long V810
.long V810
.long V810
.long V810
.long V810
.long V810
.long V810
.long V810
.long V818
.long V818
.long V818
.long V818
.long V818
.long V818
.long V818
.long V818
.long V820
.long V820
.long V820
.long V820
.long V820
.long V820
.long V820
.long V820
.long V828
.long V828
.long V828
.long V828
.long V828
.long V828
.long V828
.long V828
.long V830
.long V830
.long V830
.long V830
.long V830
.long V830
.long V830
.long V830
.long V838
.long V839
.long V83A
.long V83B
.long V83C
.long r_illegal
.long r_illegal
.long r_illegal
.long V840
.long V840
.long V840
.long V840
.long V840
.long V840
.long V840
.long V840
.long V848
.long V848
.long V848
.long V848
.long V848
.long V848
.long V848
.long V848
.long V850
.long V850
.long V850
.long V850
.long V850
.long V850
.long V850
.long V850
.long V858
.long V858
.long V858
.long V858
.long V858
.long V858
.long V858
.long V858
.long V860
.long V860
.long V860
.long V860
.long V860
.long V860
.long V860
.long V860
.long V868
.long V868
.long V868
.long V868
.long V868
.long V868
.long V868
.long V868
.long V870
.long V870
.long V870
.long V870
.long V870
.long V870
.long V870
.long V870
.long V878
.long V879
.long V87A
.long V87B
.long V87C
.long r_illegal
.long r_illegal
.long r_illegal
.long V880
.long V880
.long V880
.long V880
.long V880
.long V880
.long V880
.long V880
.long V888
.long V888
.long V888
.long V888
.long V888
.long V888
.long V888
.long V888
.long V890
.long V890
.long V890
.long V890
.long V890
.long V890
.long V890
.long V890
.long V898
.long V898
.long V898
.long V898
.long V898
.long V898
.long V898
.long V898
.long V8A0
.long V8A0
.long V8A0
.long V8A0
.long V8A0
.long V8A0
.long V8A0
.long V8A0
.long V8A8
.long V8A8
.long V8A8
.long V8A8
.long V8A8
.long V8A8
.long V8A8
.long V8A8
.long V8B0
.long V8B0
.long V8B0
.long V8B0
.long V8B0
.long V8B0
.long V8B0
.long V8B0
.long V8B8
.long V8B9
.long V8BA
.long V8BB
.long V8BC
.long r_illegal
.long r_illegal
.long r_illegal
.long V8C0
.long V8C0
.long V8C0
.long V8C0
.long V8C0
.long V8C0
.long V8C0
.long V8C0
.long V8C8
.long V8C8
.long V8C8
.long V8C8
.long V8C8
.long V8C8
.long V8C8
.long V8C8
.long V8D0
.long V8D0
.long V8D0
.long V8D0
.long V8D0
.long V8D0
.long V8D0
.long V8D0
.long V8D8
.long V8D8
.long V8D8
.long V8D8
.long V8D8
.long V8D8
.long V8D8
.long V8D8
.long V8E0
.long V8E0
.long V8E0
.long V8E0
.long V8E0
.long V8E0
.long V8E0
.long V8E0
.long V8E8
.long V8E8
.long V8E8
.long V8E8
.long V8E8
.long V8E8
.long V8E8
.long V8E8
.long V8F0
.long V8F0
.long V8F0
.long V8F0
.long V8F0
.long V8F0
.long V8F0
.long V8F0
.long V8F8
.long V8F9
.long V8FA
.long V8FB
.long V8FC
.long r_illegal
.long r_illegal
.long r_illegal
.long V900
.long V900
.long V900
.long V900
.long V900
.long V900
.long V900
.long V900
.long V908
.long V908
.long V908
.long V908
.long V908
.long V908
.long V908
.long V908
.long V910
.long V910
.long V910
.long V910
.long V910
.long V910
.long V910
.long V910
.long V918
.long V918
.long V918
.long V918
.long V918
.long V918
.long V918
.long V918
.long V920
.long V920
.long V920
.long V920
.long V920
.long V920
.long V920
.long V920
.long V928
.long V928
.long V928
.long V928
.long V928
.long V928
.long V928
.long V928
.long V930
.long V930
.long V930
.long V930
.long V930
.long V930
.long V930
.long V930
.long V938
.long V939
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long V940
.long V940
.long V940
.long V940
.long V940
.long V940
.long V940
.long V940
.long V948
.long V948
.long V948
.long V948
.long V948
.long V948
.long V948
.long V948
.long V950
.long V950
.long V950
.long V950
.long V950
.long V950
.long V950
.long V950
.long V958
.long V958
.long V958
.long V958
.long V958
.long V958
.long V958
.long V958
.long V960
.long V960
.long V960
.long V960
.long V960
.long V960
.long V960
.long V960
.long V968
.long V968
.long V968
.long V968
.long V968
.long V968
.long V968
.long V968
.long V970
.long V970
.long V970
.long V970
.long V970
.long V970
.long V970
.long V970
.long V978
.long V979
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long V980
.long V980
.long V980
.long V980
.long V980
.long V980
.long V980
.long V980
.long V988
.long V988
.long V988
.long V988
.long V988
.long V988
.long V988
.long V988
.long V990
.long V990
.long V990
.long V990
.long V990
.long V990
.long V990
.long V990
.long V998
.long V998
.long V998
.long V998
.long V998
.long V998
.long V998
.long V998
.long V9A0
.long V9A0
.long V9A0
.long V9A0
.long V9A0
.long V9A0
.long V9A0
.long V9A0
.long V9A8
.long V9A8
.long V9A8
.long V9A8
.long V9A8
.long V9A8
.long V9A8
.long V9A8
.long V9B0
.long V9B0
.long V9B0
.long V9B0
.long V9B0
.long V9B0
.long V9B0
.long V9B0
.long V9B8
.long V9B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long V9C0
.long V9C0
.long V9C0
.long V9C0
.long V9C0
.long V9C0
.long V9C0
.long V9C0
.long V9C8
.long V9C8
.long V9C8
.long V9C8
.long V9C8
.long V9C8
.long V9C8
.long V9C8
.long V9D0
.long V9D0
.long V9D0
.long V9D0
.long V9D0
.long V9D0
.long V9D0
.long V9D0
.long V9D8
.long V9D8
.long V9D8
.long V9D8
.long V9D8
.long V9D8
.long V9D8
.long V9D8
.long V9E0
.long V9E0
.long V9E0
.long V9E0
.long V9E0
.long V9E0
.long V9E0
.long V9E0
.long V9E8
.long V9E8
.long V9E8
.long V9E8
.long V9E8
.long V9E8
.long V9E8
.long V9E8
.long V9F0
.long V9F0
.long V9F0
.long V9F0
.long V9F0
.long V9F0
.long V9F0
.long V9F0
.long V9F8
.long V9F9
.long V9FA
.long V9FB
.long V9FC
.long r_illegal
.long r_illegal
.long r_illegal
.long VA00
.long VA00
.long VA00
.long VA00
.long VA00
.long VA00
.long VA00
.long VA00
.long VA08
.long VA08
.long VA08
.long VA08
.long VA08
.long VA08
.long VA08
.long VA08
.long VA10
.long VA10
.long VA10
.long VA10
.long VA10
.long VA10
.long VA10
.long VA10
.long VA18
.long VA18
.long VA18
.long VA18
.long VA18
.long VA18
.long VA18
.long VA18
.long VA20
.long VA20
.long VA20
.long VA20
.long VA20
.long VA20
.long VA20
.long VA20
.long VA28
.long VA28
.long VA28
.long VA28
.long VA28
.long VA28
.long VA28
.long VA28
.long VA30
.long VA30
.long VA30
.long VA30
.long VA30
.long VA30
.long VA30
.long VA30
.long VA38
.long VA39
.long VA3A
.long VA3B
.long VA3C
.long r_illegal
.long r_illegal
.long r_illegal
.long VA40
.long VA40
.long VA40
.long VA40
.long VA40
.long VA40
.long VA40
.long VA40
.long VA48
.long VA48
.long VA48
.long VA48
.long VA48
.long VA48
.long VA48
.long VA48
.long VA50
.long VA50
.long VA50
.long VA50
.long VA50
.long VA50
.long VA50
.long VA50
.long VA58
.long VA58
.long VA58
.long VA58
.long VA58
.long VA58
.long VA58
.long VA58
.long VA60
.long VA60
.long VA60
.long VA60
.long VA60
.long VA60
.long VA60
.long VA60
.long VA68
.long VA68
.long VA68
.long VA68
.long VA68
.long VA68
.long VA68
.long VA68
.long VA70
.long VA70
.long VA70
.long VA70
.long VA70
.long VA70
.long VA70
.long VA70
.long VA78
.long VA79
.long VA7A
.long VA7B
.long VA7C
.long r_illegal
.long r_illegal
.long r_illegal
.long VA80
.long VA80
.long VA80
.long VA80
.long VA80
.long VA80
.long VA80
.long VA80
.long VA88
.long VA88
.long VA88
.long VA88
.long VA88
.long VA88
.long VA88
.long VA88
.long VA90
.long VA90
.long VA90
.long VA90
.long VA90
.long VA90
.long VA90
.long VA90
.long VA98
.long VA98
.long VA98
.long VA98
.long VA98
.long VA98
.long VA98
.long VA98
.long VAA0
.long VAA0
.long VAA0
.long VAA0
.long VAA0
.long VAA0
.long VAA0
.long VAA0
.long VAA8
.long VAA8
.long VAA8
.long VAA8
.long VAA8
.long VAA8
.long VAA8
.long VAA8
.long VAB0
.long VAB0
.long VAB0
.long VAB0
.long VAB0
.long VAB0
.long VAB0
.long VAB0
.long VAB8
.long VAB9
.long VABA
.long VABB
.long VABC
.long r_illegal
.long r_illegal
.long r_illegal
.long VAC0
.long VAC0
.long VAC0
.long VAC0
.long VAC0
.long VAC0
.long VAC0
.long VAC0
.long VAC8
.long VAC8
.long VAC8
.long VAC8
.long VAC8
.long VAC8
.long VAC8
.long VAC8
.long VAD0
.long VAD0
.long VAD0
.long VAD0
.long VAD0
.long VAD0
.long VAD0
.long VAD0
.long VAD8
.long VAD8
.long VAD8
.long VAD8
.long VAD8
.long VAD8
.long VAD8
.long VAD8
.long VAE0
.long VAE0
.long VAE0
.long VAE0
.long VAE0
.long VAE0
.long VAE0
.long VAE0
.long VAE8
.long VAE8
.long VAE8
.long VAE8
.long VAE8
.long VAE8
.long VAE8
.long VAE8
.long VAF0
.long VAF0
.long VAF0
.long VAF0
.long VAF0
.long VAF0
.long VAF0
.long VAF0
.long VAF8
.long VAF9
.long VAFA
.long VAFB
.long VAFC
.long r_illegal
.long r_illegal
.long r_illegal
.long VB00
.long VB00
.long VB00
.long VB00
.long VB00
.long VB00
.long VB00
.long VB00
.long VB08
.long VB08
.long VB08
.long VB08
.long VB08
.long VB08
.long VB08
.long VB08
.long VB10
.long VB10
.long VB10
.long VB10
.long VB10
.long VB10
.long VB10
.long VB10
.long VB18
.long VB18
.long VB18
.long VB18
.long VB18
.long VB18
.long VB18
.long VB18
.long VB20
.long VB20
.long VB20
.long VB20
.long VB20
.long VB20
.long VB20
.long VB20
.long VB28
.long VB28
.long VB28
.long VB28
.long VB28
.long VB28
.long VB28
.long VB28
.long VB30
.long VB30
.long VB30
.long VB30
.long VB30
.long VB30
.long VB30
.long VB30
.long VB38
.long VB39
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long VB40
.long VB40
.long VB40
.long VB40
.long VB40
.long VB40
.long VB40
.long VB40
.long VB48
.long VB48
.long VB48
.long VB48
.long VB48
.long VB48
.long VB48
.long VB48
.long VB50
.long VB50
.long VB50
.long VB50
.long VB50
.long VB50
.long VB50
.long VB50
.long VB58
.long VB58
.long VB58
.long VB58
.long VB58
.long VB58
.long VB58
.long VB58
.long VB60
.long VB60
.long VB60
.long VB60
.long VB60
.long VB60
.long VB60
.long VB60
.long VB68
.long VB68
.long VB68
.long VB68
.long VB68
.long VB68
.long VB68
.long VB68
.long VB70
.long VB70
.long VB70
.long VB70
.long VB70
.long VB70
.long VB70
.long VB70
.long VB78
.long VB79
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long VB80
.long VB80
.long VB80
.long VB80
.long VB80
.long VB80
.long VB80
.long VB80
.long VB88
.long VB88
.long VB88
.long VB88
.long VB88
.long VB88
.long VB88
.long VB88
.long VB90
.long VB90
.long VB90
.long VB90
.long VB90
.long VB90
.long VB90
.long VB90
.long VB98
.long VB98
.long VB98
.long VB98
.long VB98
.long VB98
.long VB98
.long VB98
.long VBA0
.long VBA0
.long VBA0
.long VBA0
.long VBA0
.long VBA0
.long VBA0
.long VBA0
.long VBA8
.long VBA8
.long VBA8
.long VBA8
.long VBA8
.long VBA8
.long VBA8
.long VBA8
.long VBB0
.long VBB0
.long VBB0
.long VBB0
.long VBB0
.long VBB0
.long VBB0
.long VBB0
.long VBB8
.long VBB9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long VBC0
.long VBC0
.long VBC0
.long VBC0
.long VBC0
.long VBC0
.long VBC0
.long VBC0
.long VBC8
.long VBC8
.long VBC8
.long VBC8
.long VBC8
.long VBC8
.long VBC8
.long VBC8
.long VBD0
.long VBD0
.long VBD0
.long VBD0
.long VBD0
.long VBD0
.long VBD0
.long VBD0
.long VBD8
.long VBD8
.long VBD8
.long VBD8
.long VBD8
.long VBD8
.long VBD8
.long VBD8
.long VBE0
.long VBE0
.long VBE0
.long VBE0
.long VBE0
.long VBE0
.long VBE0
.long VBE0
.long VBE8
.long VBE8
.long VBE8
.long VBE8
.long VBE8
.long VBE8
.long VBE8
.long VBE8
.long VBF0
.long VBF0
.long VBF0
.long VBF0
.long VBF0
.long VBF0
.long VBF0
.long VBF0
.long VBF8
.long VBF9
.long VBFA
.long VBFB
.long VBFC
.long r_illegal
.long r_illegal
.long r_illegal
.long VC00
.long VC00
.long VC00
.long VC00
.long VC00
.long VC00
.long VC00
.long VC00
.long VC08
.long VC08
.long VC08
.long VC08
.long VC08
.long VC08
.long VC08
.long VC08
.long VC10
.long VC10
.long VC10
.long VC10
.long VC10
.long VC10
.long VC10
.long VC10
.long VC18
.long VC18
.long VC18
.long VC18
.long VC18
.long VC18
.long VC18
.long VC18
.long VC20
.long VC20
.long VC20
.long VC20
.long VC20
.long VC20
.long VC20
.long VC20
.long VC28
.long VC28
.long VC28
.long VC28
.long VC28
.long VC28
.long VC28
.long VC28
.long VC30
.long VC30
.long VC30
.long VC30
.long VC30
.long VC30
.long VC30
.long VC30
.long VC38
.long VC39
.long VC3A
.long VC3B
.long VC3C
.long r_illegal
.long r_illegal
.long r_illegal
.long VC40
.long VC40
.long VC40
.long VC40
.long VC40
.long VC40
.long VC40
.long VC40
.long VC48
.long VC48
.long VC48
.long VC48
.long VC48
.long VC48
.long VC48
.long VC48
.long VC50
.long VC50
.long VC50
.long VC50
.long VC50
.long VC50
.long VC50
.long VC50
.long VC58
.long VC58
.long VC58
.long VC58
.long VC58
.long VC58
.long VC58
.long VC58
.long VC60
.long VC60
.long VC60
.long VC60
.long VC60
.long VC60
.long VC60
.long VC60
.long VC68
.long VC68
.long VC68
.long VC68
.long VC68
.long VC68
.long VC68
.long VC68
.long VC70
.long VC70
.long VC70
.long VC70
.long VC70
.long VC70
.long VC70
.long VC70
.long VC78
.long VC79
.long VC7A
.long VC7B
.long VC7C
.long r_illegal
.long r_illegal
.long r_illegal
.long VC80
.long VC80
.long VC80
.long VC80
.long VC80
.long VC80
.long VC80
.long VC80
.long VC88
.long VC88
.long VC88
.long VC88
.long VC88
.long VC88
.long VC88
.long VC88
.long VC90
.long VC90
.long VC90
.long VC90
.long VC90
.long VC90
.long VC90
.long VC90
.long VC98
.long VC98
.long VC98
.long VC98
.long VC98
.long VC98
.long VC98
.long VC98
.long VCA0
.long VCA0
.long VCA0
.long VCA0
.long VCA0
.long VCA0
.long VCA0
.long VCA0
.long VCA8
.long VCA8
.long VCA8
.long VCA8
.long VCA8
.long VCA8
.long VCA8
.long VCA8
.long VCB0
.long VCB0
.long VCB0
.long VCB0
.long VCB0
.long VCB0
.long VCB0
.long VCB0
.long VCB8
.long VCB9
.long VCBA
.long VCBB
.long VCBC
.long r_illegal
.long r_illegal
.long r_illegal
.long VCC0
.long VCC0
.long VCC0
.long VCC0
.long VCC0
.long VCC0
.long VCC0
.long VCC0
.long VCC8
.long VCC8
.long VCC8
.long VCC8
.long VCC8
.long VCC8
.long VCC8
.long VCC8
.long VCD0
.long VCD0
.long VCD0
.long VCD0
.long VCD0
.long VCD0
.long VCD0
.long VCD0
.long VCD8
.long VCD8
.long VCD8
.long VCD8
.long VCD8
.long VCD8
.long VCD8
.long VCD8
.long VCE0
.long VCE0
.long VCE0
.long VCE0
.long VCE0
.long VCE0
.long VCE0
.long VCE0
.long VCE8
.long VCE8
.long VCE8
.long VCE8
.long VCE8
.long VCE8
.long VCE8
.long VCE8
.long VCF0
.long VCF0
.long VCF0
.long VCF0
.long VCF0
.long VCF0
.long VCF0
.long VCF0
.long VCF8
.long VCF9
.long VCFA
.long VCFB
.long VCFC
.long r_illegal
.long r_illegal
.long r_illegal
.long VD00
.long VD00
.long VD00
.long VD00
.long VD00
.long VD00
.long VD00
.long VD00
.long VD08
.long VD08
.long VD08
.long VD08
.long VD08
.long VD08
.long VD08
.long VD08
.long VD10
.long VD10
.long VD10
.long VD10
.long VD10
.long VD10
.long VD10
.long VD10
.long VD18
.long VD18
.long VD18
.long VD18
.long VD18
.long VD18
.long VD18
.long VD18
.long VD20
.long VD20
.long VD20
.long VD20
.long VD20
.long VD20
.long VD20
.long VD20
.long VD28
.long VD28
.long VD28
.long VD28
.long VD28
.long VD28
.long VD28
.long VD28
.long VD30
.long VD30
.long VD30
.long VD30
.long VD30
.long VD30
.long VD30
.long VD30
.long VD38
.long VD39
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long VD40
.long VD40
.long VD40
.long VD40
.long VD40
.long VD40
.long VD40
.long VD40
.long VD48
.long VD48
.long VD48
.long VD48
.long VD48
.long VD48
.long VD48
.long VD48
.long VD50
.long VD50
.long VD50
.long VD50
.long VD50
.long VD50
.long VD50
.long VD50
.long VD58
.long VD58
.long VD58
.long VD58
.long VD58
.long VD58
.long VD58
.long VD58
.long VD60
.long VD60
.long VD60
.long VD60
.long VD60
.long VD60
.long VD60
.long VD60
.long VD68
.long VD68
.long VD68
.long VD68
.long VD68
.long VD68
.long VD68
.long VD68
.long VD70
.long VD70
.long VD70
.long VD70
.long VD70
.long VD70
.long VD70
.long VD70
.long VD78
.long VD79
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long VD80
.long VD80
.long VD80
.long VD80
.long VD80
.long VD80
.long VD80
.long VD80
.long VD88
.long VD88
.long VD88
.long VD88
.long VD88
.long VD88
.long VD88
.long VD88
.long VD90
.long VD90
.long VD90
.long VD90
.long VD90
.long VD90
.long VD90
.long VD90
.long VD98
.long VD98
.long VD98
.long VD98
.long VD98
.long VD98
.long VD98
.long VD98
.long VDA0
.long VDA0
.long VDA0
.long VDA0
.long VDA0
.long VDA0
.long VDA0
.long VDA0
.long VDA8
.long VDA8
.long VDA8
.long VDA8
.long VDA8
.long VDA8
.long VDA8
.long VDA8
.long VDB0
.long VDB0
.long VDB0
.long VDB0
.long VDB0
.long VDB0
.long VDB0
.long VDB0
.long VDB8
.long VDB9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long VDC0
.long VDC0
.long VDC0
.long VDC0
.long VDC0
.long VDC0
.long VDC0
.long VDC0
.long VDC8
.long VDC8
.long VDC8
.long VDC8
.long VDC8
.long VDC8
.long VDC8
.long VDC8
.long VDD0
.long VDD0
.long VDD0
.long VDD0
.long VDD0
.long VDD0
.long VDD0
.long VDD0
.long VDD8
.long VDD8
.long VDD8
.long VDD8
.long VDD8
.long VDD8
.long VDD8
.long VDD8
.long VDE0
.long VDE0
.long VDE0
.long VDE0
.long VDE0
.long VDE0
.long VDE0
.long VDE0
.long VDE8
.long VDE8
.long VDE8
.long VDE8
.long VDE8
.long VDE8
.long VDE8
.long VDE8
.long VDF0
.long VDF0
.long VDF0
.long VDF0
.long VDF0
.long VDF0
.long VDF0
.long VDF0
.long VDF8
.long VDF9
.long VDFA
.long VDFB
.long VDFC
.long r_illegal
.long r_illegal
.long r_illegal
.long VE00
.long VE00
.long VE00
.long VE00
.long VE00
.long VE00
.long VE00
.long VE00
.long VE08
.long VE08
.long VE08
.long VE08
.long VE08
.long VE08
.long VE08
.long VE08
.long VE10
.long VE10
.long VE10
.long VE10
.long VE10
.long VE10
.long VE10
.long VE10
.long VE18
.long VE18
.long VE18
.long VE18
.long VE18
.long VE18
.long VE18
.long VE18
.long VE20
.long VE20
.long VE20
.long VE20
.long VE20
.long VE20
.long VE20
.long VE20
.long VE28
.long VE28
.long VE28
.long VE28
.long VE28
.long VE28
.long VE28
.long VE28
.long VE30
.long VE30
.long VE30
.long VE30
.long VE30
.long VE30
.long VE30
.long VE30
.long VE38
.long VE39
.long VE3A
.long VE3B
.long VE3C
.long r_illegal
.long r_illegal
.long r_illegal
.long VE40
.long VE40
.long VE40
.long VE40
.long VE40
.long VE40
.long VE40
.long VE40
.long VE48
.long VE48
.long VE48
.long VE48
.long VE48
.long VE48
.long VE48
.long VE48
.long VE50
.long VE50
.long VE50
.long VE50
.long VE50
.long VE50
.long VE50
.long VE50
.long VE58
.long VE58
.long VE58
.long VE58
.long VE58
.long VE58
.long VE58
.long VE58
.long VE60
.long VE60
.long VE60
.long VE60
.long VE60
.long VE60
.long VE60
.long VE60
.long VE68
.long VE68
.long VE68
.long VE68
.long VE68
.long VE68
.long VE68
.long VE68
.long VE70
.long VE70
.long VE70
.long VE70
.long VE70
.long VE70
.long VE70
.long VE70
.long VE78
.long VE79
.long VE7A
.long VE7B
.long VE7C
.long r_illegal
.long r_illegal
.long r_illegal
.long VE80
.long VE80
.long VE80
.long VE80
.long VE80
.long VE80
.long VE80
.long VE80
.long VE88
.long VE88
.long VE88
.long VE88
.long VE88
.long VE88
.long VE88
.long VE88
.long VE90
.long VE90
.long VE90
.long VE90
.long VE90
.long VE90
.long VE90
.long VE90
.long VE98
.long VE98
.long VE98
.long VE98
.long VE98
.long VE98
.long VE98
.long VE98
.long VEA0
.long VEA0
.long VEA0
.long VEA0
.long VEA0
.long VEA0
.long VEA0
.long VEA0
.long VEA8
.long VEA8
.long VEA8
.long VEA8
.long VEA8
.long VEA8
.long VEA8
.long VEA8
.long VEB0
.long VEB0
.long VEB0
.long VEB0
.long VEB0
.long VEB0
.long VEB0
.long VEB0
.long VEB8
.long VEB9
.long VEBA
.long VEBB
.long VEBC
.long r_illegal
.long r_illegal
.long r_illegal
.long VEC0
.long VEC0
.long VEC0
.long VEC0
.long VEC0
.long VEC0
.long VEC0
.long VEC0
.long VEC8
.long VEC8
.long VEC8
.long VEC8
.long VEC8
.long VEC8
.long VEC8
.long VEC8
.long VED0
.long VED0
.long VED0
.long VED0
.long VED0
.long VED0
.long VED0
.long VED0
.long VED8
.long VED8
.long VED8
.long VED8
.long VED8
.long VED8
.long VED8
.long VED8
.long VEE0
.long VEE0
.long VEE0
.long VEE0
.long VEE0
.long VEE0
.long VEE0
.long VEE0
.long VEE8
.long VEE8
.long VEE8
.long VEE8
.long VEE8
.long VEE8
.long VEE8
.long VEE8
.long VEF0
.long VEF0
.long VEF0
.long VEF0
.long VEF0
.long VEF0
.long VEF0
.long VEF0
.long VEF8
.long VEF9
.long VEFA
.long VEFB
.long VEFC
.long r_illegal
.long r_illegal
.long r_illegal
.long VF00
.long VF00
.long VF00
.long VF00
.long VF00
.long VF00
.long VF00
.long VF00
.long VF08
.long VF08
.long VF08
.long VF08
.long VF08
.long VF08
.long VF08
.long VF08
.long VF10
.long VF10
.long VF10
.long VF10
.long VF10
.long VF10
.long VF10
.long VF10
.long VF18
.long VF18
.long VF18
.long VF18
.long VF18
.long VF18
.long VF18
.long VF18
.long VF20
.long VF20
.long VF20
.long VF20
.long VF20
.long VF20
.long VF20
.long VF20
.long VF28
.long VF28
.long VF28
.long VF28
.long VF28
.long VF28
.long VF28
.long VF28
.long VF30
.long VF30
.long VF30
.long VF30
.long VF30
.long VF30
.long VF30
.long VF30
.long VF38
.long VF39
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long VF40
.long VF40
.long VF40
.long VF40
.long VF40
.long VF40
.long VF40
.long VF40
.long VF48
.long VF48
.long VF48
.long VF48
.long VF48
.long VF48
.long VF48
.long VF48
.long VF50
.long VF50
.long VF50
.long VF50
.long VF50
.long VF50
.long VF50
.long VF50
.long VF58
.long VF58
.long VF58
.long VF58
.long VF58
.long VF58
.long VF58
.long VF58
.long VF60
.long VF60
.long VF60
.long VF60
.long VF60
.long VF60
.long VF60
.long VF60
.long VF68
.long VF68
.long VF68
.long VF68
.long VF68
.long VF68
.long VF68
.long VF68
.long VF70
.long VF70
.long VF70
.long VF70
.long VF70
.long VF70
.long VF70
.long VF70
.long VF78
.long VF79
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long VF80
.long VF80
.long VF80
.long VF80
.long VF80
.long VF80
.long VF80
.long VF80
.long VF88
.long VF88
.long VF88
.long VF88
.long VF88
.long VF88
.long VF88
.long VF88
.long VF90
.long VF90
.long VF90
.long VF90
.long VF90
.long VF90
.long VF90
.long VF90
.long VF98
.long VF98
.long VF98
.long VF98
.long VF98
.long VF98
.long VF98
.long VF98
.long VFA0
.long VFA0
.long VFA0
.long VFA0
.long VFA0
.long VFA0
.long VFA0
.long VFA0
.long VFA8
.long VFA8
.long VFA8
.long VFA8
.long VFA8
.long VFA8
.long VFA8
.long VFA8
.long VFB0
.long VFB0
.long VFB0
.long VFB0
.long VFB0
.long VFB0
.long VFB0
.long VFB0
.long VFB8
.long VFB9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long VFC0
.long VFC0
.long VFC0
.long VFC0
.long VFC0
.long VFC0
.long VFC0
.long VFC0
.long VFC8
.long VFC8
.long VFC8
.long VFC8
.long VFC8
.long VFC8
.long VFC8
.long VFC8
.long VFD0
.long VFD0
.long VFD0
.long VFD0
.long VFD0
.long VFD0
.long VFD0
.long VFD0
.long VFD8
.long VFD8
.long VFD8
.long VFD8
.long VFD8
.long VFD8
.long VFD8
.long VFD8
.long VFE0
.long VFE0
.long VFE0
.long VFE0
.long VFE0
.long VFE0
.long VFE0
.long VFE0
.long VFE8
.long VFE8
.long VFE8
.long VFE8
.long VFE8
.long VFE8
.long VFE8
.long VFE8
.long VFF0
.long VFF0
.long VFF0
.long VFF0
.long VFF0
.long VFF0
.long VFF0
.long VFF0
.long VFF8
.long VFF9
.long VFFA
.long VFFB
.long VFFC
.long r_illegal
.long r_illegal
.long r_illegal
.long W000
.long W000
.long W000
.long W000
.long W000
.long W000
.long W000
.long W000
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W010
.long W010
.long W010
.long W010
.long W010
.long W010
.long W010
.long W010
.long W018
.long W018
.long W018
.long W018
.long W018
.long W018
.long W018
.long W018
.long W020
.long W020
.long W020
.long W020
.long W020
.long W020
.long W020
.long W020
.long W028
.long W028
.long W028
.long W028
.long W028
.long W028
.long W028
.long W028
.long W030
.long W030
.long W030
.long W030
.long W030
.long W030
.long W030
.long W030
.long W038
.long W039
.long W03A
.long W03B
.long W03C
.long r_illegal
.long r_illegal
.long r_illegal
.long W040
.long W040
.long W040
.long W040
.long W040
.long W040
.long W040
.long W040
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W050
.long W050
.long W050
.long W050
.long W050
.long W050
.long W050
.long W050
.long W058
.long W058
.long W058
.long W058
.long W058
.long W058
.long W058
.long W058
.long W060
.long W060
.long W060
.long W060
.long W060
.long W060
.long W060
.long W060
.long W068
.long W068
.long W068
.long W068
.long W068
.long W068
.long W068
.long W068
.long W070
.long W070
.long W070
.long W070
.long W070
.long W070
.long W070
.long W070
.long W078
.long W079
.long W07A
.long W07B
.long W07C
.long r_illegal
.long r_illegal
.long r_illegal
.long W080
.long W080
.long W080
.long W080
.long W080
.long W080
.long W080
.long W080
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W090
.long W090
.long W090
.long W090
.long W090
.long W090
.long W090
.long W090
.long W098
.long W098
.long W098
.long W098
.long W098
.long W098
.long W098
.long W098
.long W0A0
.long W0A0
.long W0A0
.long W0A0
.long W0A0
.long W0A0
.long W0A0
.long W0A0
.long W0A8
.long W0A8
.long W0A8
.long W0A8
.long W0A8
.long W0A8
.long W0A8
.long W0A8
.long W0B0
.long W0B0
.long W0B0
.long W0B0
.long W0B0
.long W0B0
.long W0B0
.long W0B0
.long W0B8
.long W0B9
.long W0BA
.long W0BB
.long W0BC
.long r_illegal
.long r_illegal
.long r_illegal
.long W0C0
.long W0C0
.long W0C0
.long W0C0
.long W0C0
.long W0C0
.long W0C0
.long W0C0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W0D0
.long W0D0
.long W0D0
.long W0D0
.long W0D0
.long W0D0
.long W0D0
.long W0D0
.long W0D8
.long W0D8
.long W0D8
.long W0D8
.long W0D8
.long W0D8
.long W0D8
.long W0D8
.long W0E0
.long W0E0
.long W0E0
.long W0E0
.long W0E0
.long W0E0
.long W0E0
.long W0E0
.long W0E8
.long W0E8
.long W0E8
.long W0E8
.long W0E8
.long W0E8
.long W0E8
.long W0E8
.long W0F0
.long W0F0
.long W0F0
.long W0F0
.long W0F0
.long W0F0
.long W0F0
.long W0F0
.long W0F8
.long W0F9
.long W0FA
.long W0FB
.long W0FC
.long r_illegal
.long r_illegal
.long r_illegal
.long W100
.long W100
.long W100
.long W100
.long W100
.long W100
.long W100
.long W100
.long W108
.long W108
.long W108
.long W108
.long W108
.long W108
.long W108
.long W108
.long W110
.long W110
.long W110
.long W110
.long W110
.long W110
.long W110
.long W110
.long W118
.long W118
.long W118
.long W118
.long W118
.long W118
.long W118
.long W118
.long W120
.long W120
.long W120
.long W120
.long W120
.long W120
.long W120
.long W120
.long W128
.long W128
.long W128
.long W128
.long W128
.long W128
.long W128
.long W128
.long W130
.long W130
.long W130
.long W130
.long W130
.long W130
.long W130
.long W130
.long W138
.long W139
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W140
.long W140
.long W140
.long W140
.long W140
.long W140
.long W140
.long W140
.long W148
.long W148
.long W148
.long W148
.long W148
.long W148
.long W148
.long W148
.long W150
.long W150
.long W150
.long W150
.long W150
.long W150
.long W150
.long W150
.long W158
.long W158
.long W158
.long W158
.long W158
.long W158
.long W158
.long W158
.long W160
.long W160
.long W160
.long W160
.long W160
.long W160
.long W160
.long W160
.long W168
.long W168
.long W168
.long W168
.long W168
.long W168
.long W168
.long W168
.long W170
.long W170
.long W170
.long W170
.long W170
.long W170
.long W170
.long W170
.long W178
.long W179
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W188
.long W188
.long W188
.long W188
.long W188
.long W188
.long W188
.long W188
.long W190
.long W190
.long W190
.long W190
.long W190
.long W190
.long W190
.long W190
.long W198
.long W198
.long W198
.long W198
.long W198
.long W198
.long W198
.long W198
.long W1A0
.long W1A0
.long W1A0
.long W1A0
.long W1A0
.long W1A0
.long W1A0
.long W1A0
.long W1A8
.long W1A8
.long W1A8
.long W1A8
.long W1A8
.long W1A8
.long W1A8
.long W1A8
.long W1B0
.long W1B0
.long W1B0
.long W1B0
.long W1B0
.long W1B0
.long W1B0
.long W1B0
.long W1B8
.long W1B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W1C0
.long W1C0
.long W1C0
.long W1C0
.long W1C0
.long W1C0
.long W1C0
.long W1C0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W1D0
.long W1D0
.long W1D0
.long W1D0
.long W1D0
.long W1D0
.long W1D0
.long W1D0
.long W1D8
.long W1D8
.long W1D8
.long W1D8
.long W1D8
.long W1D8
.long W1D8
.long W1D8
.long W1E0
.long W1E0
.long W1E0
.long W1E0
.long W1E0
.long W1E0
.long W1E0
.long W1E0
.long W1E8
.long W1E8
.long W1E8
.long W1E8
.long W1E8
.long W1E8
.long W1E8
.long W1E8
.long W1F0
.long W1F0
.long W1F0
.long W1F0
.long W1F0
.long W1F0
.long W1F0
.long W1F0
.long W1F8
.long W1F9
.long W1FA
.long W1FB
.long W1FC
.long r_illegal
.long r_illegal
.long r_illegal
.long W200
.long W200
.long W200
.long W200
.long W200
.long W200
.long W200
.long W200
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W210
.long W210
.long W210
.long W210
.long W210
.long W210
.long W210
.long W210
.long W218
.long W218
.long W218
.long W218
.long W218
.long W218
.long W218
.long W218
.long W220
.long W220
.long W220
.long W220
.long W220
.long W220
.long W220
.long W220
.long W228
.long W228
.long W228
.long W228
.long W228
.long W228
.long W228
.long W228
.long W230
.long W230
.long W230
.long W230
.long W230
.long W230
.long W230
.long W230
.long W238
.long W239
.long W23A
.long W23B
.long W23C
.long r_illegal
.long r_illegal
.long r_illegal
.long W240
.long W240
.long W240
.long W240
.long W240
.long W240
.long W240
.long W240
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W250
.long W250
.long W250
.long W250
.long W250
.long W250
.long W250
.long W250
.long W258
.long W258
.long W258
.long W258
.long W258
.long W258
.long W258
.long W258
.long W260
.long W260
.long W260
.long W260
.long W260
.long W260
.long W260
.long W260
.long W268
.long W268
.long W268
.long W268
.long W268
.long W268
.long W268
.long W268
.long W270
.long W270
.long W270
.long W270
.long W270
.long W270
.long W270
.long W270
.long W278
.long W279
.long W27A
.long W27B
.long W27C
.long r_illegal
.long r_illegal
.long r_illegal
.long W280
.long W280
.long W280
.long W280
.long W280
.long W280
.long W280
.long W280
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W290
.long W290
.long W290
.long W290
.long W290
.long W290
.long W290
.long W290
.long W298
.long W298
.long W298
.long W298
.long W298
.long W298
.long W298
.long W298
.long W2A0
.long W2A0
.long W2A0
.long W2A0
.long W2A0
.long W2A0
.long W2A0
.long W2A0
.long W2A8
.long W2A8
.long W2A8
.long W2A8
.long W2A8
.long W2A8
.long W2A8
.long W2A8
.long W2B0
.long W2B0
.long W2B0
.long W2B0
.long W2B0
.long W2B0
.long W2B0
.long W2B0
.long W2B8
.long W2B9
.long W2BA
.long W2BB
.long W2BC
.long r_illegal
.long r_illegal
.long r_illegal
.long W2C0
.long W2C0
.long W2C0
.long W2C0
.long W2C0
.long W2C0
.long W2C0
.long W2C0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W2D0
.long W2D0
.long W2D0
.long W2D0
.long W2D0
.long W2D0
.long W2D0
.long W2D0
.long W2D8
.long W2D8
.long W2D8
.long W2D8
.long W2D8
.long W2D8
.long W2D8
.long W2D8
.long W2E0
.long W2E0
.long W2E0
.long W2E0
.long W2E0
.long W2E0
.long W2E0
.long W2E0
.long W2E8
.long W2E8
.long W2E8
.long W2E8
.long W2E8
.long W2E8
.long W2E8
.long W2E8
.long W2F0
.long W2F0
.long W2F0
.long W2F0
.long W2F0
.long W2F0
.long W2F0
.long W2F0
.long W2F8
.long W2F9
.long W2FA
.long W2FB
.long W2FC
.long r_illegal
.long r_illegal
.long r_illegal
.long W300
.long W300
.long W300
.long W300
.long W300
.long W300
.long W300
.long W300
.long W308
.long W308
.long W308
.long W308
.long W308
.long W308
.long W308
.long W308
.long W310
.long W310
.long W310
.long W310
.long W310
.long W310
.long W310
.long W310
.long W318
.long W318
.long W318
.long W318
.long W318
.long W318
.long W318
.long W318
.long W320
.long W320
.long W320
.long W320
.long W320
.long W320
.long W320
.long W320
.long W328
.long W328
.long W328
.long W328
.long W328
.long W328
.long W328
.long W328
.long W330
.long W330
.long W330
.long W330
.long W330
.long W330
.long W330
.long W330
.long W338
.long W339
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W340
.long W340
.long W340
.long W340
.long W340
.long W340
.long W340
.long W340
.long W348
.long W348
.long W348
.long W348
.long W348
.long W348
.long W348
.long W348
.long W350
.long W350
.long W350
.long W350
.long W350
.long W350
.long W350
.long W350
.long W358
.long W358
.long W358
.long W358
.long W358
.long W358
.long W358
.long W358
.long W360
.long W360
.long W360
.long W360
.long W360
.long W360
.long W360
.long W360
.long W368
.long W368
.long W368
.long W368
.long W368
.long W368
.long W368
.long W368
.long W370
.long W370
.long W370
.long W370
.long W370
.long W370
.long W370
.long W370
.long W378
.long W379
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W388
.long W388
.long W388
.long W388
.long W388
.long W388
.long W388
.long W388
.long W390
.long W390
.long W390
.long W390
.long W390
.long W390
.long W390
.long W390
.long W398
.long W398
.long W398
.long W398
.long W398
.long W398
.long W398
.long W398
.long W3A0
.long W3A0
.long W3A0
.long W3A0
.long W3A0
.long W3A0
.long W3A0
.long W3A0
.long W3A8
.long W3A8
.long W3A8
.long W3A8
.long W3A8
.long W3A8
.long W3A8
.long W3A8
.long W3B0
.long W3B0
.long W3B0
.long W3B0
.long W3B0
.long W3B0
.long W3B0
.long W3B0
.long W3B8
.long W3B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W3C0
.long W3C0
.long W3C0
.long W3C0
.long W3C0
.long W3C0
.long W3C0
.long W3C0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W3D0
.long W3D0
.long W3D0
.long W3D0
.long W3D0
.long W3D0
.long W3D0
.long W3D0
.long W3D8
.long W3D8
.long W3D8
.long W3D8
.long W3D8
.long W3D8
.long W3D8
.long W3D8
.long W3E0
.long W3E0
.long W3E0
.long W3E0
.long W3E0
.long W3E0
.long W3E0
.long W3E0
.long W3E8
.long W3E8
.long W3E8
.long W3E8
.long W3E8
.long W3E8
.long W3E8
.long W3E8
.long W3F0
.long W3F0
.long W3F0
.long W3F0
.long W3F0
.long W3F0
.long W3F0
.long W3F0
.long W3F8
.long W3F9
.long W3FA
.long W3FB
.long W3FC
.long r_illegal
.long r_illegal
.long r_illegal
.long W400
.long W400
.long W400
.long W400
.long W400
.long W400
.long W400
.long W400
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W410
.long W410
.long W410
.long W410
.long W410
.long W410
.long W410
.long W410
.long W418
.long W418
.long W418
.long W418
.long W418
.long W418
.long W418
.long W418
.long W420
.long W420
.long W420
.long W420
.long W420
.long W420
.long W420
.long W420
.long W428
.long W428
.long W428
.long W428
.long W428
.long W428
.long W428
.long W428
.long W430
.long W430
.long W430
.long W430
.long W430
.long W430
.long W430
.long W430
.long W438
.long W439
.long W43A
.long W43B
.long W43C
.long r_illegal
.long r_illegal
.long r_illegal
.long W440
.long W440
.long W440
.long W440
.long W440
.long W440
.long W440
.long W440
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W450
.long W450
.long W450
.long W450
.long W450
.long W450
.long W450
.long W450
.long W458
.long W458
.long W458
.long W458
.long W458
.long W458
.long W458
.long W458
.long W460
.long W460
.long W460
.long W460
.long W460
.long W460
.long W460
.long W460
.long W468
.long W468
.long W468
.long W468
.long W468
.long W468
.long W468
.long W468
.long W470
.long W470
.long W470
.long W470
.long W470
.long W470
.long W470
.long W470
.long W478
.long W479
.long W47A
.long W47B
.long W47C
.long r_illegal
.long r_illegal
.long r_illegal
.long W480
.long W480
.long W480
.long W480
.long W480
.long W480
.long W480
.long W480
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W490
.long W490
.long W490
.long W490
.long W490
.long W490
.long W490
.long W490
.long W498
.long W498
.long W498
.long W498
.long W498
.long W498
.long W498
.long W498
.long W4A0
.long W4A0
.long W4A0
.long W4A0
.long W4A0
.long W4A0
.long W4A0
.long W4A0
.long W4A8
.long W4A8
.long W4A8
.long W4A8
.long W4A8
.long W4A8
.long W4A8
.long W4A8
.long W4B0
.long W4B0
.long W4B0
.long W4B0
.long W4B0
.long W4B0
.long W4B0
.long W4B0
.long W4B8
.long W4B9
.long W4BA
.long W4BB
.long W4BC
.long r_illegal
.long r_illegal
.long r_illegal
.long W4C0
.long W4C0
.long W4C0
.long W4C0
.long W4C0
.long W4C0
.long W4C0
.long W4C0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W4D0
.long W4D0
.long W4D0
.long W4D0
.long W4D0
.long W4D0
.long W4D0
.long W4D0
.long W4D8
.long W4D8
.long W4D8
.long W4D8
.long W4D8
.long W4D8
.long W4D8
.long W4D8
.long W4E0
.long W4E0
.long W4E0
.long W4E0
.long W4E0
.long W4E0
.long W4E0
.long W4E0
.long W4E8
.long W4E8
.long W4E8
.long W4E8
.long W4E8
.long W4E8
.long W4E8
.long W4E8
.long W4F0
.long W4F0
.long W4F0
.long W4F0
.long W4F0
.long W4F0
.long W4F0
.long W4F0
.long W4F8
.long W4F9
.long W4FA
.long W4FB
.long W4FC
.long r_illegal
.long r_illegal
.long r_illegal
.long W500
.long W500
.long W500
.long W500
.long W500
.long W500
.long W500
.long W500
.long W508
.long W508
.long W508
.long W508
.long W508
.long W508
.long W508
.long W508
.long W510
.long W510
.long W510
.long W510
.long W510
.long W510
.long W510
.long W510
.long W518
.long W518
.long W518
.long W518
.long W518
.long W518
.long W518
.long W518
.long W520
.long W520
.long W520
.long W520
.long W520
.long W520
.long W520
.long W520
.long W528
.long W528
.long W528
.long W528
.long W528
.long W528
.long W528
.long W528
.long W530
.long W530
.long W530
.long W530
.long W530
.long W530
.long W530
.long W530
.long W538
.long W539
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W540
.long W540
.long W540
.long W540
.long W540
.long W540
.long W540
.long W540
.long W548
.long W548
.long W548
.long W548
.long W548
.long W548
.long W548
.long W548
.long W550
.long W550
.long W550
.long W550
.long W550
.long W550
.long W550
.long W550
.long W558
.long W558
.long W558
.long W558
.long W558
.long W558
.long W558
.long W558
.long W560
.long W560
.long W560
.long W560
.long W560
.long W560
.long W560
.long W560
.long W568
.long W568
.long W568
.long W568
.long W568
.long W568
.long W568
.long W568
.long W570
.long W570
.long W570
.long W570
.long W570
.long W570
.long W570
.long W570
.long W578
.long W579
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W588
.long W588
.long W588
.long W588
.long W588
.long W588
.long W588
.long W588
.long W590
.long W590
.long W590
.long W590
.long W590
.long W590
.long W590
.long W590
.long W598
.long W598
.long W598
.long W598
.long W598
.long W598
.long W598
.long W598
.long W5A0
.long W5A0
.long W5A0
.long W5A0
.long W5A0
.long W5A0
.long W5A0
.long W5A0
.long W5A8
.long W5A8
.long W5A8
.long W5A8
.long W5A8
.long W5A8
.long W5A8
.long W5A8
.long W5B0
.long W5B0
.long W5B0
.long W5B0
.long W5B0
.long W5B0
.long W5B0
.long W5B0
.long W5B8
.long W5B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W5C0
.long W5C0
.long W5C0
.long W5C0
.long W5C0
.long W5C0
.long W5C0
.long W5C0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W5D0
.long W5D0
.long W5D0
.long W5D0
.long W5D0
.long W5D0
.long W5D0
.long W5D0
.long W5D8
.long W5D8
.long W5D8
.long W5D8
.long W5D8
.long W5D8
.long W5D8
.long W5D8
.long W5E0
.long W5E0
.long W5E0
.long W5E0
.long W5E0
.long W5E0
.long W5E0
.long W5E0
.long W5E8
.long W5E8
.long W5E8
.long W5E8
.long W5E8
.long W5E8
.long W5E8
.long W5E8
.long W5F0
.long W5F0
.long W5F0
.long W5F0
.long W5F0
.long W5F0
.long W5F0
.long W5F0
.long W5F8
.long W5F9
.long W5FA
.long W5FB
.long W5FC
.long r_illegal
.long r_illegal
.long r_illegal
.long W600
.long W600
.long W600
.long W600
.long W600
.long W600
.long W600
.long W600
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W610
.long W610
.long W610
.long W610
.long W610
.long W610
.long W610
.long W610
.long W618
.long W618
.long W618
.long W618
.long W618
.long W618
.long W618
.long W618
.long W620
.long W620
.long W620
.long W620
.long W620
.long W620
.long W620
.long W620
.long W628
.long W628
.long W628
.long W628
.long W628
.long W628
.long W628
.long W628
.long W630
.long W630
.long W630
.long W630
.long W630
.long W630
.long W630
.long W630
.long W638
.long W639
.long W63A
.long W63B
.long W63C
.long r_illegal
.long r_illegal
.long r_illegal
.long W640
.long W640
.long W640
.long W640
.long W640
.long W640
.long W640
.long W640
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W650
.long W650
.long W650
.long W650
.long W650
.long W650
.long W650
.long W650
.long W658
.long W658
.long W658
.long W658
.long W658
.long W658
.long W658
.long W658
.long W660
.long W660
.long W660
.long W660
.long W660
.long W660
.long W660
.long W660
.long W668
.long W668
.long W668
.long W668
.long W668
.long W668
.long W668
.long W668
.long W670
.long W670
.long W670
.long W670
.long W670
.long W670
.long W670
.long W670
.long W678
.long W679
.long W67A
.long W67B
.long W67C
.long r_illegal
.long r_illegal
.long r_illegal
.long W680
.long W680
.long W680
.long W680
.long W680
.long W680
.long W680
.long W680
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W690
.long W690
.long W690
.long W690
.long W690
.long W690
.long W690
.long W690
.long W698
.long W698
.long W698
.long W698
.long W698
.long W698
.long W698
.long W698
.long W6A0
.long W6A0
.long W6A0
.long W6A0
.long W6A0
.long W6A0
.long W6A0
.long W6A0
.long W6A8
.long W6A8
.long W6A8
.long W6A8
.long W6A8
.long W6A8
.long W6A8
.long W6A8
.long W6B0
.long W6B0
.long W6B0
.long W6B0
.long W6B0
.long W6B0
.long W6B0
.long W6B0
.long W6B8
.long W6B9
.long W6BA
.long W6BB
.long W6BC
.long r_illegal
.long r_illegal
.long r_illegal
.long W6C0
.long W6C0
.long W6C0
.long W6C0
.long W6C0
.long W6C0
.long W6C0
.long W6C0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W6D0
.long W6D0
.long W6D0
.long W6D0
.long W6D0
.long W6D0
.long W6D0
.long W6D0
.long W6D8
.long W6D8
.long W6D8
.long W6D8
.long W6D8
.long W6D8
.long W6D8
.long W6D8
.long W6E0
.long W6E0
.long W6E0
.long W6E0
.long W6E0
.long W6E0
.long W6E0
.long W6E0
.long W6E8
.long W6E8
.long W6E8
.long W6E8
.long W6E8
.long W6E8
.long W6E8
.long W6E8
.long W6F0
.long W6F0
.long W6F0
.long W6F0
.long W6F0
.long W6F0
.long W6F0
.long W6F0
.long W6F8
.long W6F9
.long W6FA
.long W6FB
.long W6FC
.long r_illegal
.long r_illegal
.long r_illegal
.long W700
.long W700
.long W700
.long W700
.long W700
.long W700
.long W700
.long W700
.long W708
.long W708
.long W708
.long W708
.long W708
.long W708
.long W708
.long W708
.long W710
.long W710
.long W710
.long W710
.long W710
.long W710
.long W710
.long W710
.long W718
.long W718
.long W718
.long W718
.long W718
.long W718
.long W718
.long W718
.long W720
.long W720
.long W720
.long W720
.long W720
.long W720
.long W720
.long W720
.long W728
.long W728
.long W728
.long W728
.long W728
.long W728
.long W728
.long W728
.long W730
.long W730
.long W730
.long W730
.long W730
.long W730
.long W730
.long W730
.long W738
.long W739
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W740
.long W740
.long W740
.long W740
.long W740
.long W740
.long W740
.long W740
.long W748
.long W748
.long W748
.long W748
.long W748
.long W748
.long W748
.long W748
.long W750
.long W750
.long W750
.long W750
.long W750
.long W750
.long W750
.long W750
.long W758
.long W758
.long W758
.long W758
.long W758
.long W758
.long W758
.long W758
.long W760
.long W760
.long W760
.long W760
.long W760
.long W760
.long W760
.long W760
.long W768
.long W768
.long W768
.long W768
.long W768
.long W768
.long W768
.long W768
.long W770
.long W770
.long W770
.long W770
.long W770
.long W770
.long W770
.long W770
.long W778
.long W779
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W788
.long W788
.long W788
.long W788
.long W788
.long W788
.long W788
.long W788
.long W790
.long W790
.long W790
.long W790
.long W790
.long W790
.long W790
.long W790
.long W798
.long W798
.long W798
.long W798
.long W798
.long W798
.long W798
.long W798
.long W7A0
.long W7A0
.long W7A0
.long W7A0
.long W7A0
.long W7A0
.long W7A0
.long W7A0
.long W7A8
.long W7A8
.long W7A8
.long W7A8
.long W7A8
.long W7A8
.long W7A8
.long W7A8
.long W7B0
.long W7B0
.long W7B0
.long W7B0
.long W7B0
.long W7B0
.long W7B0
.long W7B0
.long W7B8
.long W7B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W7C0
.long W7C0
.long W7C0
.long W7C0
.long W7C0
.long W7C0
.long W7C0
.long W7C0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W7D0
.long W7D0
.long W7D0
.long W7D0
.long W7D0
.long W7D0
.long W7D0
.long W7D0
.long W7D8
.long W7D8
.long W7D8
.long W7D8
.long W7D8
.long W7D8
.long W7D8
.long W7D8
.long W7E0
.long W7E0
.long W7E0
.long W7E0
.long W7E0
.long W7E0
.long W7E0
.long W7E0
.long W7E8
.long W7E8
.long W7E8
.long W7E8
.long W7E8
.long W7E8
.long W7E8
.long W7E8
.long W7F0
.long W7F0
.long W7F0
.long W7F0
.long W7F0
.long W7F0
.long W7F0
.long W7F0
.long W7F8
.long W7F9
.long W7FA
.long W7FB
.long W7FC
.long r_illegal
.long r_illegal
.long r_illegal
.long W800
.long W800
.long W800
.long W800
.long W800
.long W800
.long W800
.long W800
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W810
.long W810
.long W810
.long W810
.long W810
.long W810
.long W810
.long W810
.long W818
.long W818
.long W818
.long W818
.long W818
.long W818
.long W818
.long W818
.long W820
.long W820
.long W820
.long W820
.long W820
.long W820
.long W820
.long W820
.long W828
.long W828
.long W828
.long W828
.long W828
.long W828
.long W828
.long W828
.long W830
.long W830
.long W830
.long W830
.long W830
.long W830
.long W830
.long W830
.long W838
.long W839
.long W83A
.long W83B
.long W83C
.long r_illegal
.long r_illegal
.long r_illegal
.long W840
.long W840
.long W840
.long W840
.long W840
.long W840
.long W840
.long W840
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W850
.long W850
.long W850
.long W850
.long W850
.long W850
.long W850
.long W850
.long W858
.long W858
.long W858
.long W858
.long W858
.long W858
.long W858
.long W858
.long W860
.long W860
.long W860
.long W860
.long W860
.long W860
.long W860
.long W860
.long W868
.long W868
.long W868
.long W868
.long W868
.long W868
.long W868
.long W868
.long W870
.long W870
.long W870
.long W870
.long W870
.long W870
.long W870
.long W870
.long W878
.long W879
.long W87A
.long W87B
.long W87C
.long r_illegal
.long r_illegal
.long r_illegal
.long W880
.long W880
.long W880
.long W880
.long W880
.long W880
.long W880
.long W880
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W890
.long W890
.long W890
.long W890
.long W890
.long W890
.long W890
.long W890
.long W898
.long W898
.long W898
.long W898
.long W898
.long W898
.long W898
.long W898
.long W8A0
.long W8A0
.long W8A0
.long W8A0
.long W8A0
.long W8A0
.long W8A0
.long W8A0
.long W8A8
.long W8A8
.long W8A8
.long W8A8
.long W8A8
.long W8A8
.long W8A8
.long W8A8
.long W8B0
.long W8B0
.long W8B0
.long W8B0
.long W8B0
.long W8B0
.long W8B0
.long W8B0
.long W8B8
.long W8B9
.long W8BA
.long W8BB
.long W8BC
.long r_illegal
.long r_illegal
.long r_illegal
.long W8C0
.long W8C0
.long W8C0
.long W8C0
.long W8C0
.long W8C0
.long W8C0
.long W8C0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W8D0
.long W8D0
.long W8D0
.long W8D0
.long W8D0
.long W8D0
.long W8D0
.long W8D0
.long W8D8
.long W8D8
.long W8D8
.long W8D8
.long W8D8
.long W8D8
.long W8D8
.long W8D8
.long W8E0
.long W8E0
.long W8E0
.long W8E0
.long W8E0
.long W8E0
.long W8E0
.long W8E0
.long W8E8
.long W8E8
.long W8E8
.long W8E8
.long W8E8
.long W8E8
.long W8E8
.long W8E8
.long W8F0
.long W8F0
.long W8F0
.long W8F0
.long W8F0
.long W8F0
.long W8F0
.long W8F0
.long W8F8
.long W8F9
.long W8FA
.long W8FB
.long W8FC
.long r_illegal
.long r_illegal
.long r_illegal
.long W900
.long W900
.long W900
.long W900
.long W900
.long W900
.long W900
.long W900
.long W908
.long W908
.long W908
.long W908
.long W908
.long W908
.long W908
.long W908
.long W910
.long W910
.long W910
.long W910
.long W910
.long W910
.long W910
.long W910
.long W918
.long W918
.long W918
.long W918
.long W918
.long W918
.long W918
.long W918
.long W920
.long W920
.long W920
.long W920
.long W920
.long W920
.long W920
.long W920
.long W928
.long W928
.long W928
.long W928
.long W928
.long W928
.long W928
.long W928
.long W930
.long W930
.long W930
.long W930
.long W930
.long W930
.long W930
.long W930
.long W938
.long W939
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W940
.long W940
.long W940
.long W940
.long W940
.long W940
.long W940
.long W940
.long W948
.long W948
.long W948
.long W948
.long W948
.long W948
.long W948
.long W948
.long W950
.long W950
.long W950
.long W950
.long W950
.long W950
.long W950
.long W950
.long W958
.long W958
.long W958
.long W958
.long W958
.long W958
.long W958
.long W958
.long W960
.long W960
.long W960
.long W960
.long W960
.long W960
.long W960
.long W960
.long W968
.long W968
.long W968
.long W968
.long W968
.long W968
.long W968
.long W968
.long W970
.long W970
.long W970
.long W970
.long W970
.long W970
.long W970
.long W970
.long W978
.long W979
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W988
.long W988
.long W988
.long W988
.long W988
.long W988
.long W988
.long W988
.long W990
.long W990
.long W990
.long W990
.long W990
.long W990
.long W990
.long W990
.long W998
.long W998
.long W998
.long W998
.long W998
.long W998
.long W998
.long W998
.long W9A0
.long W9A0
.long W9A0
.long W9A0
.long W9A0
.long W9A0
.long W9A0
.long W9A0
.long W9A8
.long W9A8
.long W9A8
.long W9A8
.long W9A8
.long W9A8
.long W9A8
.long W9A8
.long W9B0
.long W9B0
.long W9B0
.long W9B0
.long W9B0
.long W9B0
.long W9B0
.long W9B0
.long W9B8
.long W9B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W9C0
.long W9C0
.long W9C0
.long W9C0
.long W9C0
.long W9C0
.long W9C0
.long W9C0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long W9D0
.long W9D0
.long W9D0
.long W9D0
.long W9D0
.long W9D0
.long W9D0
.long W9D0
.long W9D8
.long W9D8
.long W9D8
.long W9D8
.long W9D8
.long W9D8
.long W9D8
.long W9D8
.long W9E0
.long W9E0
.long W9E0
.long W9E0
.long W9E0
.long W9E0
.long W9E0
.long W9E0
.long W9E8
.long W9E8
.long W9E8
.long W9E8
.long W9E8
.long W9E8
.long W9E8
.long W9E8
.long W9F0
.long W9F0
.long W9F0
.long W9F0
.long W9F0
.long W9F0
.long W9F0
.long W9F0
.long W9F8
.long W9F9
.long W9FA
.long W9FB
.long W9FC
.long r_illegal
.long r_illegal
.long r_illegal
.long WA00
.long WA00
.long WA00
.long WA00
.long WA00
.long WA00
.long WA00
.long WA00
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long WA10
.long WA10
.long WA10
.long WA10
.long WA10
.long WA10
.long WA10
.long WA10
.long WA18
.long WA18
.long WA18
.long WA18
.long WA18
.long WA18
.long WA18
.long WA18
.long WA20
.long WA20
.long WA20
.long WA20
.long WA20
.long WA20
.long WA20
.long WA20
.long WA28
.long WA28
.long WA28
.long WA28
.long WA28
.long WA28
.long WA28
.long WA28
.long WA30
.long WA30
.long WA30
.long WA30
.long WA30
.long WA30
.long WA30
.long WA30
.long WA38
.long WA39
.long WA3A
.long WA3B
.long WA3C
.long r_illegal
.long r_illegal
.long r_illegal
.long WA40
.long WA40
.long WA40
.long WA40
.long WA40
.long WA40
.long WA40
.long WA40
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long WA50
.long WA50
.long WA50
.long WA50
.long WA50
.long WA50
.long WA50
.long WA50
.long WA58
.long WA58
.long WA58
.long WA58
.long WA58
.long WA58
.long WA58
.long WA58
.long WA60
.long WA60
.long WA60
.long WA60
.long WA60
.long WA60
.long WA60
.long WA60
.long WA68
.long WA68
.long WA68
.long WA68
.long WA68
.long WA68
.long WA68
.long WA68
.long WA70
.long WA70
.long WA70
.long WA70
.long WA70
.long WA70
.long WA70
.long WA70
.long WA78
.long WA79
.long WA7A
.long WA7B
.long WA7C
.long r_illegal
.long r_illegal
.long r_illegal
.long WA80
.long WA80
.long WA80
.long WA80
.long WA80
.long WA80
.long WA80
.long WA80
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long WA90
.long WA90
.long WA90
.long WA90
.long WA90
.long WA90
.long WA90
.long WA90
.long WA98
.long WA98
.long WA98
.long WA98
.long WA98
.long WA98
.long WA98
.long WA98
.long WAA0
.long WAA0
.long WAA0
.long WAA0
.long WAA0
.long WAA0
.long WAA0
.long WAA0
.long WAA8
.long WAA8
.long WAA8
.long WAA8
.long WAA8
.long WAA8
.long WAA8
.long WAA8
.long WAB0
.long WAB0
.long WAB0
.long WAB0
.long WAB0
.long WAB0
.long WAB0
.long WAB0
.long WAB8
.long WAB9
.long WABA
.long WABB
.long WABC
.long r_illegal
.long r_illegal
.long r_illegal
.long WAC0
.long WAC0
.long WAC0
.long WAC0
.long WAC0
.long WAC0
.long WAC0
.long WAC0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long WAD0
.long WAD0
.long WAD0
.long WAD0
.long WAD0
.long WAD0
.long WAD0
.long WAD0
.long WAD8
.long WAD8
.long WAD8
.long WAD8
.long WAD8
.long WAD8
.long WAD8
.long WAD8
.long WAE0
.long WAE0
.long WAE0
.long WAE0
.long WAE0
.long WAE0
.long WAE0
.long WAE0
.long WAE8
.long WAE8
.long WAE8
.long WAE8
.long WAE8
.long WAE8
.long WAE8
.long WAE8
.long WAF0
.long WAF0
.long WAF0
.long WAF0
.long WAF0
.long WAF0
.long WAF0
.long WAF0
.long WAF8
.long WAF9
.long WAFA
.long WAFB
.long WAFC
.long r_illegal
.long r_illegal
.long r_illegal
.long WB00
.long WB00
.long WB00
.long WB00
.long WB00
.long WB00
.long WB00
.long WB00
.long WB08
.long WB08
.long WB08
.long WB08
.long WB08
.long WB08
.long WB08
.long WB08
.long WB10
.long WB10
.long WB10
.long WB10
.long WB10
.long WB10
.long WB10
.long WB10
.long WB18
.long WB18
.long WB18
.long WB18
.long WB18
.long WB18
.long WB18
.long WB18
.long WB20
.long WB20
.long WB20
.long WB20
.long WB20
.long WB20
.long WB20
.long WB20
.long WB28
.long WB28
.long WB28
.long WB28
.long WB28
.long WB28
.long WB28
.long WB28
.long WB30
.long WB30
.long WB30
.long WB30
.long WB30
.long WB30
.long WB30
.long WB30
.long WB38
.long WB39
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long WB40
.long WB40
.long WB40
.long WB40
.long WB40
.long WB40
.long WB40
.long WB40
.long WB48
.long WB48
.long WB48
.long WB48
.long WB48
.long WB48
.long WB48
.long WB48
.long WB50
.long WB50
.long WB50
.long WB50
.long WB50
.long WB50
.long WB50
.long WB50
.long WB58
.long WB58
.long WB58
.long WB58
.long WB58
.long WB58
.long WB58
.long WB58
.long WB60
.long WB60
.long WB60
.long WB60
.long WB60
.long WB60
.long WB60
.long WB60
.long WB68
.long WB68
.long WB68
.long WB68
.long WB68
.long WB68
.long WB68
.long WB68
.long WB70
.long WB70
.long WB70
.long WB70
.long WB70
.long WB70
.long WB70
.long WB70
.long WB78
.long WB79
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long WB88
.long WB88
.long WB88
.long WB88
.long WB88
.long WB88
.long WB88
.long WB88
.long WB90
.long WB90
.long WB90
.long WB90
.long WB90
.long WB90
.long WB90
.long WB90
.long WB98
.long WB98
.long WB98
.long WB98
.long WB98
.long WB98
.long WB98
.long WB98
.long WBA0
.long WBA0
.long WBA0
.long WBA0
.long WBA0
.long WBA0
.long WBA0
.long WBA0
.long WBA8
.long WBA8
.long WBA8
.long WBA8
.long WBA8
.long WBA8
.long WBA8
.long WBA8
.long WBB0
.long WBB0
.long WBB0
.long WBB0
.long WBB0
.long WBB0
.long WBB0
.long WBB0
.long WBB8
.long WBB9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long WBC0
.long WBC0
.long WBC0
.long WBC0
.long WBC0
.long WBC0
.long WBC0
.long WBC0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long WBD0
.long WBD0
.long WBD0
.long WBD0
.long WBD0
.long WBD0
.long WBD0
.long WBD0
.long WBD8
.long WBD8
.long WBD8
.long WBD8
.long WBD8
.long WBD8
.long WBD8
.long WBD8
.long WBE0
.long WBE0
.long WBE0
.long WBE0
.long WBE0
.long WBE0
.long WBE0
.long WBE0
.long WBE8
.long WBE8
.long WBE8
.long WBE8
.long WBE8
.long WBE8
.long WBE8
.long WBE8
.long WBF0
.long WBF0
.long WBF0
.long WBF0
.long WBF0
.long WBF0
.long WBF0
.long WBF0
.long WBF8
.long WBF9
.long WBFA
.long WBFB
.long WBFC
.long r_illegal
.long r_illegal
.long r_illegal
.long WC00
.long WC00
.long WC00
.long WC00
.long WC00
.long WC00
.long WC00
.long WC00
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long WC10
.long WC10
.long WC10
.long WC10
.long WC10
.long WC10
.long WC10
.long WC10
.long WC18
.long WC18
.long WC18
.long WC18
.long WC18
.long WC18
.long WC18
.long WC18
.long WC20
.long WC20
.long WC20
.long WC20
.long WC20
.long WC20
.long WC20
.long WC20
.long WC28
.long WC28
.long WC28
.long WC28
.long WC28
.long WC28
.long WC28
.long WC28
.long WC30
.long WC30
.long WC30
.long WC30
.long WC30
.long WC30
.long WC30
.long WC30
.long WC38
.long WC39
.long WC3A
.long WC3B
.long WC3C
.long r_illegal
.long r_illegal
.long r_illegal
.long WC40
.long WC40
.long WC40
.long WC40
.long WC40
.long WC40
.long WC40
.long WC40
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long WC50
.long WC50
.long WC50
.long WC50
.long WC50
.long WC50
.long WC50
.long WC50
.long WC58
.long WC58
.long WC58
.long WC58
.long WC58
.long WC58
.long WC58
.long WC58
.long WC60
.long WC60
.long WC60
.long WC60
.long WC60
.long WC60
.long WC60
.long WC60
.long WC68
.long WC68
.long WC68
.long WC68
.long WC68
.long WC68
.long WC68
.long WC68
.long WC70
.long WC70
.long WC70
.long WC70
.long WC70
.long WC70
.long WC70
.long WC70
.long WC78
.long WC79
.long WC7A
.long WC7B
.long WC7C
.long r_illegal
.long r_illegal
.long r_illegal
.long WC80
.long WC80
.long WC80
.long WC80
.long WC80
.long WC80
.long WC80
.long WC80
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long WC90
.long WC90
.long WC90
.long WC90
.long WC90
.long WC90
.long WC90
.long WC90
.long WC98
.long WC98
.long WC98
.long WC98
.long WC98
.long WC98
.long WC98
.long WC98
.long WCA0
.long WCA0
.long WCA0
.long WCA0
.long WCA0
.long WCA0
.long WCA0
.long WCA0
.long WCA8
.long WCA8
.long WCA8
.long WCA8
.long WCA8
.long WCA8
.long WCA8
.long WCA8
.long WCB0
.long WCB0
.long WCB0
.long WCB0
.long WCB0
.long WCB0
.long WCB0
.long WCB0
.long WCB8
.long WCB9
.long WCBA
.long WCBB
.long WCBC
.long r_illegal
.long r_illegal
.long r_illegal
.long WCC0
.long WCC0
.long WCC0
.long WCC0
.long WCC0
.long WCC0
.long WCC0
.long WCC0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long WCD0
.long WCD0
.long WCD0
.long WCD0
.long WCD0
.long WCD0
.long WCD0
.long WCD0
.long WCD8
.long WCD8
.long WCD8
.long WCD8
.long WCD8
.long WCD8
.long WCD8
.long WCD8
.long WCE0
.long WCE0
.long WCE0
.long WCE0
.long WCE0
.long WCE0
.long WCE0
.long WCE0
.long WCE8
.long WCE8
.long WCE8
.long WCE8
.long WCE8
.long WCE8
.long WCE8
.long WCE8
.long WCF0
.long WCF0
.long WCF0
.long WCF0
.long WCF0
.long WCF0
.long WCF0
.long WCF0
.long WCF8
.long WCF9
.long WCFA
.long WCFB
.long WCFC
.long r_illegal
.long r_illegal
.long r_illegal
.long WD00
.long WD00
.long WD00
.long WD00
.long WD00
.long WD00
.long WD00
.long WD00
.long WD08
.long WD08
.long WD08
.long WD08
.long WD08
.long WD08
.long WD08
.long WD08
.long WD10
.long WD10
.long WD10
.long WD10
.long WD10
.long WD10
.long WD10
.long WD10
.long WD18
.long WD18
.long WD18
.long WD18
.long WD18
.long WD18
.long WD18
.long WD18
.long WD20
.long WD20
.long WD20
.long WD20
.long WD20
.long WD20
.long WD20
.long WD20
.long WD28
.long WD28
.long WD28
.long WD28
.long WD28
.long WD28
.long WD28
.long WD28
.long WD30
.long WD30
.long WD30
.long WD30
.long WD30
.long WD30
.long WD30
.long WD30
.long WD38
.long WD39
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long WD40
.long WD40
.long WD40
.long WD40
.long WD40
.long WD40
.long WD40
.long WD40
.long WD48
.long WD48
.long WD48
.long WD48
.long WD48
.long WD48
.long WD48
.long WD48
.long WD50
.long WD50
.long WD50
.long WD50
.long WD50
.long WD50
.long WD50
.long WD50
.long WD58
.long WD58
.long WD58
.long WD58
.long WD58
.long WD58
.long WD58
.long WD58
.long WD60
.long WD60
.long WD60
.long WD60
.long WD60
.long WD60
.long WD60
.long WD60
.long WD68
.long WD68
.long WD68
.long WD68
.long WD68
.long WD68
.long WD68
.long WD68
.long WD70
.long WD70
.long WD70
.long WD70
.long WD70
.long WD70
.long WD70
.long WD70
.long WD78
.long WD79
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long WD88
.long WD88
.long WD88
.long WD88
.long WD88
.long WD88
.long WD88
.long WD88
.long WD90
.long WD90
.long WD90
.long WD90
.long WD90
.long WD90
.long WD90
.long WD90
.long WD98
.long WD98
.long WD98
.long WD98
.long WD98
.long WD98
.long WD98
.long WD98
.long WDA0
.long WDA0
.long WDA0
.long WDA0
.long WDA0
.long WDA0
.long WDA0
.long WDA0
.long WDA8
.long WDA8
.long WDA8
.long WDA8
.long WDA8
.long WDA8
.long WDA8
.long WDA8
.long WDB0
.long WDB0
.long WDB0
.long WDB0
.long WDB0
.long WDB0
.long WDB0
.long WDB0
.long WDB8
.long WDB9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long WDC0
.long WDC0
.long WDC0
.long WDC0
.long WDC0
.long WDC0
.long WDC0
.long WDC0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long WDD0
.long WDD0
.long WDD0
.long WDD0
.long WDD0
.long WDD0
.long WDD0
.long WDD0
.long WDD8
.long WDD8
.long WDD8
.long WDD8
.long WDD8
.long WDD8
.long WDD8
.long WDD8
.long WDE0
.long WDE0
.long WDE0
.long WDE0
.long WDE0
.long WDE0
.long WDE0
.long WDE0
.long WDE8
.long WDE8
.long WDE8
.long WDE8
.long WDE8
.long WDE8
.long WDE8
.long WDE8
.long WDF0
.long WDF0
.long WDF0
.long WDF0
.long WDF0
.long WDF0
.long WDF0
.long WDF0
.long WDF8
.long WDF9
.long WDFA
.long WDFB
.long WDFC
.long r_illegal
.long r_illegal
.long r_illegal
.long WE00
.long WE00
.long WE00
.long WE00
.long WE00
.long WE00
.long WE00
.long WE00
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long WE10
.long WE10
.long WE10
.long WE10
.long WE10
.long WE10
.long WE10
.long WE10
.long WE18
.long WE18
.long WE18
.long WE18
.long WE18
.long WE18
.long WE18
.long WE18
.long WE20
.long WE20
.long WE20
.long WE20
.long WE20
.long WE20
.long WE20
.long WE20
.long WE28
.long WE28
.long WE28
.long WE28
.long WE28
.long WE28
.long WE28
.long WE28
.long WE30
.long WE30
.long WE30
.long WE30
.long WE30
.long WE30
.long WE30
.long WE30
.long WE38
.long WE39
.long WE3A
.long WE3B
.long WE3C
.long r_illegal
.long r_illegal
.long r_illegal
.long WE40
.long WE40
.long WE40
.long WE40
.long WE40
.long WE40
.long WE40
.long WE40
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long WE50
.long WE50
.long WE50
.long WE50
.long WE50
.long WE50
.long WE50
.long WE50
.long WE58
.long WE58
.long WE58
.long WE58
.long WE58
.long WE58
.long WE58
.long WE58
.long WE60
.long WE60
.long WE60
.long WE60
.long WE60
.long WE60
.long WE60
.long WE60
.long WE68
.long WE68
.long WE68
.long WE68
.long WE68
.long WE68
.long WE68
.long WE68
.long WE70
.long WE70
.long WE70
.long WE70
.long WE70
.long WE70
.long WE70
.long WE70
.long WE78
.long WE79
.long WE7A
.long WE7B
.long WE7C
.long r_illegal
.long r_illegal
.long r_illegal
.long WE80
.long WE80
.long WE80
.long WE80
.long WE80
.long WE80
.long WE80
.long WE80
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long WE90
.long WE90
.long WE90
.long WE90
.long WE90
.long WE90
.long WE90
.long WE90
.long WE98
.long WE98
.long WE98
.long WE98
.long WE98
.long WE98
.long WE98
.long WE98
.long WEA0
.long WEA0
.long WEA0
.long WEA0
.long WEA0
.long WEA0
.long WEA0
.long WEA0
.long WEA8
.long WEA8
.long WEA8
.long WEA8
.long WEA8
.long WEA8
.long WEA8
.long WEA8
.long WEB0
.long WEB0
.long WEB0
.long WEB0
.long WEB0
.long WEB0
.long WEB0
.long WEB0
.long WEB8
.long WEB9
.long WEBA
.long WEBB
.long WEBC
.long r_illegal
.long r_illegal
.long r_illegal
.long WEC0
.long WEC0
.long WEC0
.long WEC0
.long WEC0
.long WEC0
.long WEC0
.long WEC0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long WED0
.long WED0
.long WED0
.long WED0
.long WED0
.long WED0
.long WED0
.long WED0
.long WED8
.long WED8
.long WED8
.long WED8
.long WED8
.long WED8
.long WED8
.long WED8
.long WEE0
.long WEE0
.long WEE0
.long WEE0
.long WEE0
.long WEE0
.long WEE0
.long WEE0
.long WEE8
.long WEE8
.long WEE8
.long WEE8
.long WEE8
.long WEE8
.long WEE8
.long WEE8
.long WEF0
.long WEF0
.long WEF0
.long WEF0
.long WEF0
.long WEF0
.long WEF0
.long WEF0
.long WEF8
.long WEF9
.long WEFA
.long WEFB
.long WEFC
.long r_illegal
.long r_illegal
.long r_illegal
.long WF00
.long WF00
.long WF00
.long WF00
.long WF00
.long WF00
.long WF00
.long WF00
.long WF08
.long WF08
.long WF08
.long WF08
.long WF08
.long WF08
.long WF08
.long WF08
.long WF10
.long WF10
.long WF10
.long WF10
.long WF10
.long WF10
.long WF10
.long WF10
.long WF18
.long WF18
.long WF18
.long WF18
.long WF18
.long WF18
.long WF18
.long WF18
.long WF20
.long WF20
.long WF20
.long WF20
.long WF20
.long WF20
.long WF20
.long WF20
.long WF28
.long WF28
.long WF28
.long WF28
.long WF28
.long WF28
.long WF28
.long WF28
.long WF30
.long WF30
.long WF30
.long WF30
.long WF30
.long WF30
.long WF30
.long WF30
.long WF38
.long WF39
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long WF40
.long WF40
.long WF40
.long WF40
.long WF40
.long WF40
.long WF40
.long WF40
.long WF48
.long WF48
.long WF48
.long WF48
.long WF48
.long WF48
.long WF48
.long WF48
.long WF50
.long WF50
.long WF50
.long WF50
.long WF50
.long WF50
.long WF50
.long WF50
.long WF58
.long WF58
.long WF58
.long WF58
.long WF58
.long WF58
.long WF58
.long WF58
.long WF60
.long WF60
.long WF60
.long WF60
.long WF60
.long WF60
.long WF60
.long WF60
.long WF68
.long WF68
.long WF68
.long WF68
.long WF68
.long WF68
.long WF68
.long WF68
.long WF70
.long WF70
.long WF70
.long WF70
.long WF70
.long WF70
.long WF70
.long WF70
.long WF78
.long WF79
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long WF88
.long WF88
.long WF88
.long WF88
.long WF88
.long WF88
.long WF88
.long WF88
.long WF90
.long WF90
.long WF90
.long WF90
.long WF90
.long WF90
.long WF90
.long WF90
.long WF98
.long WF98
.long WF98
.long WF98
.long WF98
.long WF98
.long WF98
.long WF98
.long WFA0
.long WFA0
.long WFA0
.long WFA0
.long WFA0
.long WFA0
.long WFA0
.long WFA0
.long WFA8
.long WFA8
.long WFA8
.long WFA8
.long WFA8
.long WFA8
.long WFA8
.long WFA8
.long WFB0
.long WFB0
.long WFB0
.long WFB0
.long WFB0
.long WFB0
.long WFB0
.long WFB0
.long WFB8
.long WFB9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long WFC0
.long WFC0
.long WFC0
.long WFC0
.long WFC0
.long WFC0
.long WFC0
.long WFC0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long WFD0
.long WFD0
.long WFD0
.long WFD0
.long WFD0
.long WFD0
.long WFD0
.long WFD0
.long WFD8
.long WFD8
.long WFD8
.long WFD8
.long WFD8
.long WFD8
.long WFD8
.long WFD8
.long WFE0
.long WFE0
.long WFE0
.long WFE0
.long WFE0
.long WFE0
.long WFE0
.long WFE0
.long WFE8
.long WFE8
.long WFE8
.long WFE8
.long WFE8
.long WFE8
.long WFE8
.long WFE8
.long WFF0
.long WFF0
.long WFF0
.long WFF0
.long WFF0
.long WFF0
.long WFF0
.long WFF0
.long WFF8
.long WFF9
.long WFFA
.long WFFB
.long WFFC
.long r_illegal
.long r_illegal
.long r_illegal
.long X000
.long X000
.long X000
.long X000
.long X000
.long X000
.long X000
.long X000
.long X008
.long X008
.long X008
.long X008
.long X008
.long X008
.long X008
.long X008
.long X010
.long X010
.long X010
.long X010
.long X010
.long X010
.long X010
.long X010
.long X018
.long X018
.long X018
.long X018
.long X018
.long X018
.long X018
.long X018
.long X020
.long X020
.long X020
.long X020
.long X020
.long X020
.long X020
.long X020
.long X028
.long X028
.long X028
.long X028
.long X028
.long X028
.long X028
.long X028
.long X030
.long X030
.long X030
.long X030
.long X030
.long X030
.long X030
.long X030
.long X038
.long X039
.long X03A
.long X03B
.long X03C
.long r_illegal
.long r_illegal
.long r_illegal
.long X040
.long X040
.long X040
.long X040
.long X040
.long X040
.long X040
.long X040
.long X048
.long X048
.long X048
.long X048
.long X048
.long X048
.long X048
.long X048
.long X050
.long X050
.long X050
.long X050
.long X050
.long X050
.long X050
.long X050
.long X058
.long X058
.long X058
.long X058
.long X058
.long X058
.long X058
.long X058
.long X060
.long X060
.long X060
.long X060
.long X060
.long X060
.long X060
.long X060
.long X068
.long X068
.long X068
.long X068
.long X068
.long X068
.long X068
.long X068
.long X070
.long X070
.long X070
.long X070
.long X070
.long X070
.long X070
.long X070
.long X078
.long X079
.long X07A
.long X07B
.long X07C
.long r_illegal
.long r_illegal
.long r_illegal
.long X080
.long X080
.long X080
.long X080
.long X080
.long X080
.long X080
.long X080
.long X088
.long X088
.long X088
.long X088
.long X088
.long X088
.long X088
.long X088
.long X090
.long X090
.long X090
.long X090
.long X090
.long X090
.long X090
.long X090
.long X098
.long X098
.long X098
.long X098
.long X098
.long X098
.long X098
.long X098
.long X0A0
.long X0A0
.long X0A0
.long X0A0
.long X0A0
.long X0A0
.long X0A0
.long X0A0
.long X0A8
.long X0A8
.long X0A8
.long X0A8
.long X0A8
.long X0A8
.long X0A8
.long X0A8
.long X0B0
.long X0B0
.long X0B0
.long X0B0
.long X0B0
.long X0B0
.long X0B0
.long X0B0
.long X0B8
.long X0B9
.long X0BA
.long X0BB
.long X0BC
.long r_illegal
.long r_illegal
.long r_illegal
.long X0C0
.long X0C0
.long X0C0
.long X0C0
.long X0C0
.long X0C0
.long X0C0
.long X0C0
.long X0C8
.long X0C8
.long X0C8
.long X0C8
.long X0C8
.long X0C8
.long X0C8
.long X0C8
.long X0D0
.long X0D0
.long X0D0
.long X0D0
.long X0D0
.long X0D0
.long X0D0
.long X0D0
.long X0D8
.long X0D8
.long X0D8
.long X0D8
.long X0D8
.long X0D8
.long X0D8
.long X0D8
.long X0E0
.long X0E0
.long X0E0
.long X0E0
.long X0E0
.long X0E0
.long X0E0
.long X0E0
.long X0E8
.long X0E8
.long X0E8
.long X0E8
.long X0E8
.long X0E8
.long X0E8
.long X0E8
.long X0F0
.long X0F0
.long X0F0
.long X0F0
.long X0F0
.long X0F0
.long X0F0
.long X0F0
.long X0F8
.long X0F9
.long X0FA
.long X0FB
.long X0FC
.long r_illegal
.long r_illegal
.long r_illegal
.long X100
.long X100
.long X100
.long X100
.long X100
.long X100
.long X100
.long X100
.long X108
.long X108
.long X108
.long X108
.long X108
.long X108
.long X108
.long X108
.long X110
.long X110
.long X110
.long X110
.long X110
.long X110
.long X110
.long X110
.long X118
.long X118
.long X118
.long X118
.long X118
.long X118
.long X118
.long X118
.long X120
.long X120
.long X120
.long X120
.long X120
.long X120
.long X120
.long X120
.long X128
.long X128
.long X128
.long X128
.long X128
.long X128
.long X128
.long X128
.long X130
.long X130
.long X130
.long X130
.long X130
.long X130
.long X130
.long X130
.long X138
.long X139
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long X140
.long X140
.long X140
.long X140
.long X140
.long X140
.long X140
.long X140
.long X148
.long X148
.long X148
.long X148
.long X148
.long X148
.long X148
.long X148
.long X150
.long X150
.long X150
.long X150
.long X150
.long X150
.long X150
.long X150
.long X158
.long X158
.long X158
.long X158
.long X158
.long X158
.long X158
.long X158
.long X160
.long X160
.long X160
.long X160
.long X160
.long X160
.long X160
.long X160
.long X168
.long X168
.long X168
.long X168
.long X168
.long X168
.long X168
.long X168
.long X170
.long X170
.long X170
.long X170
.long X170
.long X170
.long X170
.long X170
.long X178
.long X179
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long X180
.long X180
.long X180
.long X180
.long X180
.long X180
.long X180
.long X180
.long X188
.long X188
.long X188
.long X188
.long X188
.long X188
.long X188
.long X188
.long X190
.long X190
.long X190
.long X190
.long X190
.long X190
.long X190
.long X190
.long X198
.long X198
.long X198
.long X198
.long X198
.long X198
.long X198
.long X198
.long X1A0
.long X1A0
.long X1A0
.long X1A0
.long X1A0
.long X1A0
.long X1A0
.long X1A0
.long X1A8
.long X1A8
.long X1A8
.long X1A8
.long X1A8
.long X1A8
.long X1A8
.long X1A8
.long X1B0
.long X1B0
.long X1B0
.long X1B0
.long X1B0
.long X1B0
.long X1B0
.long X1B0
.long X1B8
.long X1B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long X1C0
.long X1C0
.long X1C0
.long X1C0
.long X1C0
.long X1C0
.long X1C0
.long X1C0
.long X1C8
.long X1C8
.long X1C8
.long X1C8
.long X1C8
.long X1C8
.long X1C8
.long X1C8
.long X1D0
.long X1D0
.long X1D0
.long X1D0
.long X1D0
.long X1D0
.long X1D0
.long X1D0
.long X1D8
.long X1D8
.long X1D8
.long X1D8
.long X1D8
.long X1D8
.long X1D8
.long X1D8
.long X1E0
.long X1E0
.long X1E0
.long X1E0
.long X1E0
.long X1E0
.long X1E0
.long X1E0
.long X1E8
.long X1E8
.long X1E8
.long X1E8
.long X1E8
.long X1E8
.long X1E8
.long X1E8
.long X1F0
.long X1F0
.long X1F0
.long X1F0
.long X1F0
.long X1F0
.long X1F0
.long X1F0
.long X1F8
.long X1F9
.long X1FA
.long X1FB
.long X1FC
.long r_illegal
.long r_illegal
.long r_illegal
.long X200
.long X200
.long X200
.long X200
.long X200
.long X200
.long X200
.long X200
.long X208
.long X208
.long X208
.long X208
.long X208
.long X208
.long X208
.long X208
.long X210
.long X210
.long X210
.long X210
.long X210
.long X210
.long X210
.long X210
.long X218
.long X218
.long X218
.long X218
.long X218
.long X218
.long X218
.long X218
.long X220
.long X220
.long X220
.long X220
.long X220
.long X220
.long X220
.long X220
.long X228
.long X228
.long X228
.long X228
.long X228
.long X228
.long X228
.long X228
.long X230
.long X230
.long X230
.long X230
.long X230
.long X230
.long X230
.long X230
.long X238
.long X239
.long X23A
.long X23B
.long X23C
.long r_illegal
.long r_illegal
.long r_illegal
.long X240
.long X240
.long X240
.long X240
.long X240
.long X240
.long X240
.long X240
.long X248
.long X248
.long X248
.long X248
.long X248
.long X248
.long X248
.long X248
.long X250
.long X250
.long X250
.long X250
.long X250
.long X250
.long X250
.long X250
.long X258
.long X258
.long X258
.long X258
.long X258
.long X258
.long X258
.long X258
.long X260
.long X260
.long X260
.long X260
.long X260
.long X260
.long X260
.long X260
.long X268
.long X268
.long X268
.long X268
.long X268
.long X268
.long X268
.long X268
.long X270
.long X270
.long X270
.long X270
.long X270
.long X270
.long X270
.long X270
.long X278
.long X279
.long X27A
.long X27B
.long X27C
.long r_illegal
.long r_illegal
.long r_illegal
.long X280
.long X280
.long X280
.long X280
.long X280
.long X280
.long X280
.long X280
.long X288
.long X288
.long X288
.long X288
.long X288
.long X288
.long X288
.long X288
.long X290
.long X290
.long X290
.long X290
.long X290
.long X290
.long X290
.long X290
.long X298
.long X298
.long X298
.long X298
.long X298
.long X298
.long X298
.long X298
.long X2A0
.long X2A0
.long X2A0
.long X2A0
.long X2A0
.long X2A0
.long X2A0
.long X2A0
.long X2A8
.long X2A8
.long X2A8
.long X2A8
.long X2A8
.long X2A8
.long X2A8
.long X2A8
.long X2B0
.long X2B0
.long X2B0
.long X2B0
.long X2B0
.long X2B0
.long X2B0
.long X2B0
.long X2B8
.long X2B9
.long X2BA
.long X2BB
.long X2BC
.long r_illegal
.long r_illegal
.long r_illegal
.long X2C0
.long X2C0
.long X2C0
.long X2C0
.long X2C0
.long X2C0
.long X2C0
.long X2C0
.long X2C8
.long X2C8
.long X2C8
.long X2C8
.long X2C8
.long X2C8
.long X2C8
.long X2C8
.long X2D0
.long X2D0
.long X2D0
.long X2D0
.long X2D0
.long X2D0
.long X2D0
.long X2D0
.long X2D8
.long X2D8
.long X2D8
.long X2D8
.long X2D8
.long X2D8
.long X2D8
.long X2D8
.long X2E0
.long X2E0
.long X2E0
.long X2E0
.long X2E0
.long X2E0
.long X2E0
.long X2E0
.long X2E8
.long X2E8
.long X2E8
.long X2E8
.long X2E8
.long X2E8
.long X2E8
.long X2E8
.long X2F0
.long X2F0
.long X2F0
.long X2F0
.long X2F0
.long X2F0
.long X2F0
.long X2F0
.long X2F8
.long X2F9
.long X2FA
.long X2FB
.long X2FC
.long r_illegal
.long r_illegal
.long r_illegal
.long X300
.long X300
.long X300
.long X300
.long X300
.long X300
.long X300
.long X300
.long X308
.long X308
.long X308
.long X308
.long X308
.long X308
.long X308
.long X308
.long X310
.long X310
.long X310
.long X310
.long X310
.long X310
.long X310
.long X310
.long X318
.long X318
.long X318
.long X318
.long X318
.long X318
.long X318
.long X318
.long X320
.long X320
.long X320
.long X320
.long X320
.long X320
.long X320
.long X320
.long X328
.long X328
.long X328
.long X328
.long X328
.long X328
.long X328
.long X328
.long X330
.long X330
.long X330
.long X330
.long X330
.long X330
.long X330
.long X330
.long X338
.long X339
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long X340
.long X340
.long X340
.long X340
.long X340
.long X340
.long X340
.long X340
.long X348
.long X348
.long X348
.long X348
.long X348
.long X348
.long X348
.long X348
.long X350
.long X350
.long X350
.long X350
.long X350
.long X350
.long X350
.long X350
.long X358
.long X358
.long X358
.long X358
.long X358
.long X358
.long X358
.long X358
.long X360
.long X360
.long X360
.long X360
.long X360
.long X360
.long X360
.long X360
.long X368
.long X368
.long X368
.long X368
.long X368
.long X368
.long X368
.long X368
.long X370
.long X370
.long X370
.long X370
.long X370
.long X370
.long X370
.long X370
.long X378
.long X379
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long X380
.long X380
.long X380
.long X380
.long X380
.long X380
.long X380
.long X380
.long X388
.long X388
.long X388
.long X388
.long X388
.long X388
.long X388
.long X388
.long X390
.long X390
.long X390
.long X390
.long X390
.long X390
.long X390
.long X390
.long X398
.long X398
.long X398
.long X398
.long X398
.long X398
.long X398
.long X398
.long X3A0
.long X3A0
.long X3A0
.long X3A0
.long X3A0
.long X3A0
.long X3A0
.long X3A0
.long X3A8
.long X3A8
.long X3A8
.long X3A8
.long X3A8
.long X3A8
.long X3A8
.long X3A8
.long X3B0
.long X3B0
.long X3B0
.long X3B0
.long X3B0
.long X3B0
.long X3B0
.long X3B0
.long X3B8
.long X3B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long X3C0
.long X3C0
.long X3C0
.long X3C0
.long X3C0
.long X3C0
.long X3C0
.long X3C0
.long X3C8
.long X3C8
.long X3C8
.long X3C8
.long X3C8
.long X3C8
.long X3C8
.long X3C8
.long X3D0
.long X3D0
.long X3D0
.long X3D0
.long X3D0
.long X3D0
.long X3D0
.long X3D0
.long X3D8
.long X3D8
.long X3D8
.long X3D8
.long X3D8
.long X3D8
.long X3D8
.long X3D8
.long X3E0
.long X3E0
.long X3E0
.long X3E0
.long X3E0
.long X3E0
.long X3E0
.long X3E0
.long X3E8
.long X3E8
.long X3E8
.long X3E8
.long X3E8
.long X3E8
.long X3E8
.long X3E8
.long X3F0
.long X3F0
.long X3F0
.long X3F0
.long X3F0
.long X3F0
.long X3F0
.long X3F0
.long X3F8
.long X3F9
.long X3FA
.long X3FB
.long X3FC
.long r_illegal
.long r_illegal
.long r_illegal
.long X400
.long X400
.long X400
.long X400
.long X400
.long X400
.long X400
.long X400
.long X408
.long X408
.long X408
.long X408
.long X408
.long X408
.long X408
.long X408
.long X410
.long X410
.long X410
.long X410
.long X410
.long X410
.long X410
.long X410
.long X418
.long X418
.long X418
.long X418
.long X418
.long X418
.long X418
.long X418
.long X420
.long X420
.long X420
.long X420
.long X420
.long X420
.long X420
.long X420
.long X428
.long X428
.long X428
.long X428
.long X428
.long X428
.long X428
.long X428
.long X430
.long X430
.long X430
.long X430
.long X430
.long X430
.long X430
.long X430
.long X438
.long X439
.long X43A
.long X43B
.long X43C
.long r_illegal
.long r_illegal
.long r_illegal
.long X440
.long X440
.long X440
.long X440
.long X440
.long X440
.long X440
.long X440
.long X448
.long X448
.long X448
.long X448
.long X448
.long X448
.long X448
.long X448
.long X450
.long X450
.long X450
.long X450
.long X450
.long X450
.long X450
.long X450
.long X458
.long X458
.long X458
.long X458
.long X458
.long X458
.long X458
.long X458
.long X460
.long X460
.long X460
.long X460
.long X460
.long X460
.long X460
.long X460
.long X468
.long X468
.long X468
.long X468
.long X468
.long X468
.long X468
.long X468
.long X470
.long X470
.long X470
.long X470
.long X470
.long X470
.long X470
.long X470
.long X478
.long X479
.long X47A
.long X47B
.long X47C
.long r_illegal
.long r_illegal
.long r_illegal
.long X480
.long X480
.long X480
.long X480
.long X480
.long X480
.long X480
.long X480
.long X488
.long X488
.long X488
.long X488
.long X488
.long X488
.long X488
.long X488
.long X490
.long X490
.long X490
.long X490
.long X490
.long X490
.long X490
.long X490
.long X498
.long X498
.long X498
.long X498
.long X498
.long X498
.long X498
.long X498
.long X4A0
.long X4A0
.long X4A0
.long X4A0
.long X4A0
.long X4A0
.long X4A0
.long X4A0
.long X4A8
.long X4A8
.long X4A8
.long X4A8
.long X4A8
.long X4A8
.long X4A8
.long X4A8
.long X4B0
.long X4B0
.long X4B0
.long X4B0
.long X4B0
.long X4B0
.long X4B0
.long X4B0
.long X4B8
.long X4B9
.long X4BA
.long X4BB
.long X4BC
.long r_illegal
.long r_illegal
.long r_illegal
.long X4C0
.long X4C0
.long X4C0
.long X4C0
.long X4C0
.long X4C0
.long X4C0
.long X4C0
.long X4C8
.long X4C8
.long X4C8
.long X4C8
.long X4C8
.long X4C8
.long X4C8
.long X4C8
.long X4D0
.long X4D0
.long X4D0
.long X4D0
.long X4D0
.long X4D0
.long X4D0
.long X4D0
.long X4D8
.long X4D8
.long X4D8
.long X4D8
.long X4D8
.long X4D8
.long X4D8
.long X4D8
.long X4E0
.long X4E0
.long X4E0
.long X4E0
.long X4E0
.long X4E0
.long X4E0
.long X4E0
.long X4E8
.long X4E8
.long X4E8
.long X4E8
.long X4E8
.long X4E8
.long X4E8
.long X4E8
.long X4F0
.long X4F0
.long X4F0
.long X4F0
.long X4F0
.long X4F0
.long X4F0
.long X4F0
.long X4F8
.long X4F9
.long X4FA
.long X4FB
.long X4FC
.long r_illegal
.long r_illegal
.long r_illegal
.long X500
.long X500
.long X500
.long X500
.long X500
.long X500
.long X500
.long X500
.long X508
.long X508
.long X508
.long X508
.long X508
.long X508
.long X508
.long X508
.long X510
.long X510
.long X510
.long X510
.long X510
.long X510
.long X510
.long X510
.long X518
.long X518
.long X518
.long X518
.long X518
.long X518
.long X518
.long X518
.long X520
.long X520
.long X520
.long X520
.long X520
.long X520
.long X520
.long X520
.long X528
.long X528
.long X528
.long X528
.long X528
.long X528
.long X528
.long X528
.long X530
.long X530
.long X530
.long X530
.long X530
.long X530
.long X530
.long X530
.long X538
.long X539
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long X540
.long X540
.long X540
.long X540
.long X540
.long X540
.long X540
.long X540
.long X548
.long X548
.long X548
.long X548
.long X548
.long X548
.long X548
.long X548
.long X550
.long X550
.long X550
.long X550
.long X550
.long X550
.long X550
.long X550
.long X558
.long X558
.long X558
.long X558
.long X558
.long X558
.long X558
.long X558
.long X560
.long X560
.long X560
.long X560
.long X560
.long X560
.long X560
.long X560
.long X568
.long X568
.long X568
.long X568
.long X568
.long X568
.long X568
.long X568
.long X570
.long X570
.long X570
.long X570
.long X570
.long X570
.long X570
.long X570
.long X578
.long X579
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long X580
.long X580
.long X580
.long X580
.long X580
.long X580
.long X580
.long X580
.long X588
.long X588
.long X588
.long X588
.long X588
.long X588
.long X588
.long X588
.long X590
.long X590
.long X590
.long X590
.long X590
.long X590
.long X590
.long X590
.long X598
.long X598
.long X598
.long X598
.long X598
.long X598
.long X598
.long X598
.long X5A0
.long X5A0
.long X5A0
.long X5A0
.long X5A0
.long X5A0
.long X5A0
.long X5A0
.long X5A8
.long X5A8
.long X5A8
.long X5A8
.long X5A8
.long X5A8
.long X5A8
.long X5A8
.long X5B0
.long X5B0
.long X5B0
.long X5B0
.long X5B0
.long X5B0
.long X5B0
.long X5B0
.long X5B8
.long X5B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long X5C0
.long X5C0
.long X5C0
.long X5C0
.long X5C0
.long X5C0
.long X5C0
.long X5C0
.long X5C8
.long X5C8
.long X5C8
.long X5C8
.long X5C8
.long X5C8
.long X5C8
.long X5C8
.long X5D0
.long X5D0
.long X5D0
.long X5D0
.long X5D0
.long X5D0
.long X5D0
.long X5D0
.long X5D8
.long X5D8
.long X5D8
.long X5D8
.long X5D8
.long X5D8
.long X5D8
.long X5D8
.long X5E0
.long X5E0
.long X5E0
.long X5E0
.long X5E0
.long X5E0
.long X5E0
.long X5E0
.long X5E8
.long X5E8
.long X5E8
.long X5E8
.long X5E8
.long X5E8
.long X5E8
.long X5E8
.long X5F0
.long X5F0
.long X5F0
.long X5F0
.long X5F0
.long X5F0
.long X5F0
.long X5F0
.long X5F8
.long X5F9
.long X5FA
.long X5FB
.long X5FC
.long r_illegal
.long r_illegal
.long r_illegal
.long X600
.long X600
.long X600
.long X600
.long X600
.long X600
.long X600
.long X600
.long X608
.long X608
.long X608
.long X608
.long X608
.long X608
.long X608
.long X608
.long X610
.long X610
.long X610
.long X610
.long X610
.long X610
.long X610
.long X610
.long X618
.long X618
.long X618
.long X618
.long X618
.long X618
.long X618
.long X618
.long X620
.long X620
.long X620
.long X620
.long X620
.long X620
.long X620
.long X620
.long X628
.long X628
.long X628
.long X628
.long X628
.long X628
.long X628
.long X628
.long X630
.long X630
.long X630
.long X630
.long X630
.long X630
.long X630
.long X630
.long X638
.long X639
.long X63A
.long X63B
.long X63C
.long r_illegal
.long r_illegal
.long r_illegal
.long X640
.long X640
.long X640
.long X640
.long X640
.long X640
.long X640
.long X640
.long X648
.long X648
.long X648
.long X648
.long X648
.long X648
.long X648
.long X648
.long X650
.long X650
.long X650
.long X650
.long X650
.long X650
.long X650
.long X650
.long X658
.long X658
.long X658
.long X658
.long X658
.long X658
.long X658
.long X658
.long X660
.long X660
.long X660
.long X660
.long X660
.long X660
.long X660
.long X660
.long X668
.long X668
.long X668
.long X668
.long X668
.long X668
.long X668
.long X668
.long X670
.long X670
.long X670
.long X670
.long X670
.long X670
.long X670
.long X670
.long X678
.long X679
.long X67A
.long X67B
.long X67C
.long r_illegal
.long r_illegal
.long r_illegal
.long X680
.long X680
.long X680
.long X680
.long X680
.long X680
.long X680
.long X680
.long X688
.long X688
.long X688
.long X688
.long X688
.long X688
.long X688
.long X688
.long X690
.long X690
.long X690
.long X690
.long X690
.long X690
.long X690
.long X690
.long X698
.long X698
.long X698
.long X698
.long X698
.long X698
.long X698
.long X698
.long X6A0
.long X6A0
.long X6A0
.long X6A0
.long X6A0
.long X6A0
.long X6A0
.long X6A0
.long X6A8
.long X6A8
.long X6A8
.long X6A8
.long X6A8
.long X6A8
.long X6A8
.long X6A8
.long X6B0
.long X6B0
.long X6B0
.long X6B0
.long X6B0
.long X6B0
.long X6B0
.long X6B0
.long X6B8
.long X6B9
.long X6BA
.long X6BB
.long X6BC
.long r_illegal
.long r_illegal
.long r_illegal
.long X6C0
.long X6C0
.long X6C0
.long X6C0
.long X6C0
.long X6C0
.long X6C0
.long X6C0
.long X6C8
.long X6C8
.long X6C8
.long X6C8
.long X6C8
.long X6C8
.long X6C8
.long X6C8
.long X6D0
.long X6D0
.long X6D0
.long X6D0
.long X6D0
.long X6D0
.long X6D0
.long X6D0
.long X6D8
.long X6D8
.long X6D8
.long X6D8
.long X6D8
.long X6D8
.long X6D8
.long X6D8
.long X6E0
.long X6E0
.long X6E0
.long X6E0
.long X6E0
.long X6E0
.long X6E0
.long X6E0
.long X6E8
.long X6E8
.long X6E8
.long X6E8
.long X6E8
.long X6E8
.long X6E8
.long X6E8
.long X6F0
.long X6F0
.long X6F0
.long X6F0
.long X6F0
.long X6F0
.long X6F0
.long X6F0
.long X6F8
.long X6F9
.long X6FA
.long X6FB
.long X6FC
.long r_illegal
.long r_illegal
.long r_illegal
.long X700
.long X700
.long X700
.long X700
.long X700
.long X700
.long X700
.long X700
.long X708
.long X708
.long X708
.long X708
.long X708
.long X708
.long X708
.long X708
.long X710
.long X710
.long X710
.long X710
.long X710
.long X710
.long X710
.long X710
.long X718
.long X718
.long X718
.long X718
.long X718
.long X718
.long X718
.long X718
.long X720
.long X720
.long X720
.long X720
.long X720
.long X720
.long X720
.long X720
.long X728
.long X728
.long X728
.long X728
.long X728
.long X728
.long X728
.long X728
.long X730
.long X730
.long X730
.long X730
.long X730
.long X730
.long X730
.long X730
.long X738
.long X739
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long X740
.long X740
.long X740
.long X740
.long X740
.long X740
.long X740
.long X740
.long X748
.long X748
.long X748
.long X748
.long X748
.long X748
.long X748
.long X748
.long X750
.long X750
.long X750
.long X750
.long X750
.long X750
.long X750
.long X750
.long X758
.long X758
.long X758
.long X758
.long X758
.long X758
.long X758
.long X758
.long X760
.long X760
.long X760
.long X760
.long X760
.long X760
.long X760
.long X760
.long X768
.long X768
.long X768
.long X768
.long X768
.long X768
.long X768
.long X768
.long X770
.long X770
.long X770
.long X770
.long X770
.long X770
.long X770
.long X770
.long X778
.long X779
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long X780
.long X780
.long X780
.long X780
.long X780
.long X780
.long X780
.long X780
.long X788
.long X788
.long X788
.long X788
.long X788
.long X788
.long X788
.long X788
.long X790
.long X790
.long X790
.long X790
.long X790
.long X790
.long X790
.long X790
.long X798
.long X798
.long X798
.long X798
.long X798
.long X798
.long X798
.long X798
.long X7A0
.long X7A0
.long X7A0
.long X7A0
.long X7A0
.long X7A0
.long X7A0
.long X7A0
.long X7A8
.long X7A8
.long X7A8
.long X7A8
.long X7A8
.long X7A8
.long X7A8
.long X7A8
.long X7B0
.long X7B0
.long X7B0
.long X7B0
.long X7B0
.long X7B0
.long X7B0
.long X7B0
.long X7B8
.long X7B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long X7C0
.long X7C0
.long X7C0
.long X7C0
.long X7C0
.long X7C0
.long X7C0
.long X7C0
.long X7C8
.long X7C8
.long X7C8
.long X7C8
.long X7C8
.long X7C8
.long X7C8
.long X7C8
.long X7D0
.long X7D0
.long X7D0
.long X7D0
.long X7D0
.long X7D0
.long X7D0
.long X7D0
.long X7D8
.long X7D8
.long X7D8
.long X7D8
.long X7D8
.long X7D8
.long X7D8
.long X7D8
.long X7E0
.long X7E0
.long X7E0
.long X7E0
.long X7E0
.long X7E0
.long X7E0
.long X7E0
.long X7E8
.long X7E8
.long X7E8
.long X7E8
.long X7E8
.long X7E8
.long X7E8
.long X7E8
.long X7F0
.long X7F0
.long X7F0
.long X7F0
.long X7F0
.long X7F0
.long X7F0
.long X7F0
.long X7F8
.long X7F9
.long X7FA
.long X7FB
.long X7FC
.long r_illegal
.long r_illegal
.long r_illegal
.long X800
.long X800
.long X800
.long X800
.long X800
.long X800
.long X800
.long X800
.long X808
.long X808
.long X808
.long X808
.long X808
.long X808
.long X808
.long X808
.long X810
.long X810
.long X810
.long X810
.long X810
.long X810
.long X810
.long X810
.long X818
.long X818
.long X818
.long X818
.long X818
.long X818
.long X818
.long X818
.long X820
.long X820
.long X820
.long X820
.long X820
.long X820
.long X820
.long X820
.long X828
.long X828
.long X828
.long X828
.long X828
.long X828
.long X828
.long X828
.long X830
.long X830
.long X830
.long X830
.long X830
.long X830
.long X830
.long X830
.long X838
.long X839
.long X83A
.long X83B
.long X83C
.long r_illegal
.long r_illegal
.long r_illegal
.long X840
.long X840
.long X840
.long X840
.long X840
.long X840
.long X840
.long X840
.long X848
.long X848
.long X848
.long X848
.long X848
.long X848
.long X848
.long X848
.long X850
.long X850
.long X850
.long X850
.long X850
.long X850
.long X850
.long X850
.long X858
.long X858
.long X858
.long X858
.long X858
.long X858
.long X858
.long X858
.long X860
.long X860
.long X860
.long X860
.long X860
.long X860
.long X860
.long X860
.long X868
.long X868
.long X868
.long X868
.long X868
.long X868
.long X868
.long X868
.long X870
.long X870
.long X870
.long X870
.long X870
.long X870
.long X870
.long X870
.long X878
.long X879
.long X87A
.long X87B
.long X87C
.long r_illegal
.long r_illegal
.long r_illegal
.long X880
.long X880
.long X880
.long X880
.long X880
.long X880
.long X880
.long X880
.long X888
.long X888
.long X888
.long X888
.long X888
.long X888
.long X888
.long X888
.long X890
.long X890
.long X890
.long X890
.long X890
.long X890
.long X890
.long X890
.long X898
.long X898
.long X898
.long X898
.long X898
.long X898
.long X898
.long X898
.long X8A0
.long X8A0
.long X8A0
.long X8A0
.long X8A0
.long X8A0
.long X8A0
.long X8A0
.long X8A8
.long X8A8
.long X8A8
.long X8A8
.long X8A8
.long X8A8
.long X8A8
.long X8A8
.long X8B0
.long X8B0
.long X8B0
.long X8B0
.long X8B0
.long X8B0
.long X8B0
.long X8B0
.long X8B8
.long X8B9
.long X8BA
.long X8BB
.long X8BC
.long r_illegal
.long r_illegal
.long r_illegal
.long X8C0
.long X8C0
.long X8C0
.long X8C0
.long X8C0
.long X8C0
.long X8C0
.long X8C0
.long X8C8
.long X8C8
.long X8C8
.long X8C8
.long X8C8
.long X8C8
.long X8C8
.long X8C8
.long X8D0
.long X8D0
.long X8D0
.long X8D0
.long X8D0
.long X8D0
.long X8D0
.long X8D0
.long X8D8
.long X8D8
.long X8D8
.long X8D8
.long X8D8
.long X8D8
.long X8D8
.long X8D8
.long X8E0
.long X8E0
.long X8E0
.long X8E0
.long X8E0
.long X8E0
.long X8E0
.long X8E0
.long X8E8
.long X8E8
.long X8E8
.long X8E8
.long X8E8
.long X8E8
.long X8E8
.long X8E8
.long X8F0
.long X8F0
.long X8F0
.long X8F0
.long X8F0
.long X8F0
.long X8F0
.long X8F0
.long X8F8
.long X8F9
.long X8FA
.long X8FB
.long X8FC
.long r_illegal
.long r_illegal
.long r_illegal
.long X900
.long X900
.long X900
.long X900
.long X900
.long X900
.long X900
.long X900
.long X908
.long X908
.long X908
.long X908
.long X908
.long X908
.long X908
.long X908
.long X910
.long X910
.long X910
.long X910
.long X910
.long X910
.long X910
.long X910
.long X918
.long X918
.long X918
.long X918
.long X918
.long X918
.long X918
.long X918
.long X920
.long X920
.long X920
.long X920
.long X920
.long X920
.long X920
.long X920
.long X928
.long X928
.long X928
.long X928
.long X928
.long X928
.long X928
.long X928
.long X930
.long X930
.long X930
.long X930
.long X930
.long X930
.long X930
.long X930
.long X938
.long X939
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long X940
.long X940
.long X940
.long X940
.long X940
.long X940
.long X940
.long X940
.long X948
.long X948
.long X948
.long X948
.long X948
.long X948
.long X948
.long X948
.long X950
.long X950
.long X950
.long X950
.long X950
.long X950
.long X950
.long X950
.long X958
.long X958
.long X958
.long X958
.long X958
.long X958
.long X958
.long X958
.long X960
.long X960
.long X960
.long X960
.long X960
.long X960
.long X960
.long X960
.long X968
.long X968
.long X968
.long X968
.long X968
.long X968
.long X968
.long X968
.long X970
.long X970
.long X970
.long X970
.long X970
.long X970
.long X970
.long X970
.long X978
.long X979
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long X980
.long X980
.long X980
.long X980
.long X980
.long X980
.long X980
.long X980
.long X988
.long X988
.long X988
.long X988
.long X988
.long X988
.long X988
.long X988
.long X990
.long X990
.long X990
.long X990
.long X990
.long X990
.long X990
.long X990
.long X998
.long X998
.long X998
.long X998
.long X998
.long X998
.long X998
.long X998
.long X9A0
.long X9A0
.long X9A0
.long X9A0
.long X9A0
.long X9A0
.long X9A0
.long X9A0
.long X9A8
.long X9A8
.long X9A8
.long X9A8
.long X9A8
.long X9A8
.long X9A8
.long X9A8
.long X9B0
.long X9B0
.long X9B0
.long X9B0
.long X9B0
.long X9B0
.long X9B0
.long X9B0
.long X9B8
.long X9B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long X9C0
.long X9C0
.long X9C0
.long X9C0
.long X9C0
.long X9C0
.long X9C0
.long X9C0
.long X9C8
.long X9C8
.long X9C8
.long X9C8
.long X9C8
.long X9C8
.long X9C8
.long X9C8
.long X9D0
.long X9D0
.long X9D0
.long X9D0
.long X9D0
.long X9D0
.long X9D0
.long X9D0
.long X9D8
.long X9D8
.long X9D8
.long X9D8
.long X9D8
.long X9D8
.long X9D8
.long X9D8
.long X9E0
.long X9E0
.long X9E0
.long X9E0
.long X9E0
.long X9E0
.long X9E0
.long X9E0
.long X9E8
.long X9E8
.long X9E8
.long X9E8
.long X9E8
.long X9E8
.long X9E8
.long X9E8
.long X9F0
.long X9F0
.long X9F0
.long X9F0
.long X9F0
.long X9F0
.long X9F0
.long X9F0
.long X9F8
.long X9F9
.long X9FA
.long X9FB
.long X9FC
.long r_illegal
.long r_illegal
.long r_illegal
.long XA00
.long XA00
.long XA00
.long XA00
.long XA00
.long XA00
.long XA00
.long XA00
.long XA08
.long XA08
.long XA08
.long XA08
.long XA08
.long XA08
.long XA08
.long XA08
.long XA10
.long XA10
.long XA10
.long XA10
.long XA10
.long XA10
.long XA10
.long XA10
.long XA18
.long XA18
.long XA18
.long XA18
.long XA18
.long XA18
.long XA18
.long XA18
.long XA20
.long XA20
.long XA20
.long XA20
.long XA20
.long XA20
.long XA20
.long XA20
.long XA28
.long XA28
.long XA28
.long XA28
.long XA28
.long XA28
.long XA28
.long XA28
.long XA30
.long XA30
.long XA30
.long XA30
.long XA30
.long XA30
.long XA30
.long XA30
.long XA38
.long XA39
.long XA3A
.long XA3B
.long XA3C
.long r_illegal
.long r_illegal
.long r_illegal
.long XA40
.long XA40
.long XA40
.long XA40
.long XA40
.long XA40
.long XA40
.long XA40
.long XA48
.long XA48
.long XA48
.long XA48
.long XA48
.long XA48
.long XA48
.long XA48
.long XA50
.long XA50
.long XA50
.long XA50
.long XA50
.long XA50
.long XA50
.long XA50
.long XA58
.long XA58
.long XA58
.long XA58
.long XA58
.long XA58
.long XA58
.long XA58
.long XA60
.long XA60
.long XA60
.long XA60
.long XA60
.long XA60
.long XA60
.long XA60
.long XA68
.long XA68
.long XA68
.long XA68
.long XA68
.long XA68
.long XA68
.long XA68
.long XA70
.long XA70
.long XA70
.long XA70
.long XA70
.long XA70
.long XA70
.long XA70
.long XA78
.long XA79
.long XA7A
.long XA7B
.long XA7C
.long r_illegal
.long r_illegal
.long r_illegal
.long XA80
.long XA80
.long XA80
.long XA80
.long XA80
.long XA80
.long XA80
.long XA80
.long XA88
.long XA88
.long XA88
.long XA88
.long XA88
.long XA88
.long XA88
.long XA88
.long XA90
.long XA90
.long XA90
.long XA90
.long XA90
.long XA90
.long XA90
.long XA90
.long XA98
.long XA98
.long XA98
.long XA98
.long XA98
.long XA98
.long XA98
.long XA98
.long XAA0
.long XAA0
.long XAA0
.long XAA0
.long XAA0
.long XAA0
.long XAA0
.long XAA0
.long XAA8
.long XAA8
.long XAA8
.long XAA8
.long XAA8
.long XAA8
.long XAA8
.long XAA8
.long XAB0
.long XAB0
.long XAB0
.long XAB0
.long XAB0
.long XAB0
.long XAB0
.long XAB0
.long XAB8
.long XAB9
.long XABA
.long XABB
.long XABC
.long r_illegal
.long r_illegal
.long r_illegal
.long XAC0
.long XAC0
.long XAC0
.long XAC0
.long XAC0
.long XAC0
.long XAC0
.long XAC0
.long XAC8
.long XAC8
.long XAC8
.long XAC8
.long XAC8
.long XAC8
.long XAC8
.long XAC8
.long XAD0
.long XAD0
.long XAD0
.long XAD0
.long XAD0
.long XAD0
.long XAD0
.long XAD0
.long XAD8
.long XAD8
.long XAD8
.long XAD8
.long XAD8
.long XAD8
.long XAD8
.long XAD8
.long XAE0
.long XAE0
.long XAE0
.long XAE0
.long XAE0
.long XAE0
.long XAE0
.long XAE0
.long XAE8
.long XAE8
.long XAE8
.long XAE8
.long XAE8
.long XAE8
.long XAE8
.long XAE8
.long XAF0
.long XAF0
.long XAF0
.long XAF0
.long XAF0
.long XAF0
.long XAF0
.long XAF0
.long XAF8
.long XAF9
.long XAFA
.long XAFB
.long XAFC
.long r_illegal
.long r_illegal
.long r_illegal
.long XB00
.long XB00
.long XB00
.long XB00
.long XB00
.long XB00
.long XB00
.long XB00
.long XB08
.long XB08
.long XB08
.long XB08
.long XB08
.long XB08
.long XB08
.long XB08
.long XB10
.long XB10
.long XB10
.long XB10
.long XB10
.long XB10
.long XB10
.long XB10
.long XB18
.long XB18
.long XB18
.long XB18
.long XB18
.long XB18
.long XB18
.long XB18
.long XB20
.long XB20
.long XB20
.long XB20
.long XB20
.long XB20
.long XB20
.long XB20
.long XB28
.long XB28
.long XB28
.long XB28
.long XB28
.long XB28
.long XB28
.long XB28
.long XB30
.long XB30
.long XB30
.long XB30
.long XB30
.long XB30
.long XB30
.long XB30
.long XB38
.long XB39
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long XB40
.long XB40
.long XB40
.long XB40
.long XB40
.long XB40
.long XB40
.long XB40
.long XB48
.long XB48
.long XB48
.long XB48
.long XB48
.long XB48
.long XB48
.long XB48
.long XB50
.long XB50
.long XB50
.long XB50
.long XB50
.long XB50
.long XB50
.long XB50
.long XB58
.long XB58
.long XB58
.long XB58
.long XB58
.long XB58
.long XB58
.long XB58
.long XB60
.long XB60
.long XB60
.long XB60
.long XB60
.long XB60
.long XB60
.long XB60
.long XB68
.long XB68
.long XB68
.long XB68
.long XB68
.long XB68
.long XB68
.long XB68
.long XB70
.long XB70
.long XB70
.long XB70
.long XB70
.long XB70
.long XB70
.long XB70
.long XB78
.long XB79
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long XB80
.long XB80
.long XB80
.long XB80
.long XB80
.long XB80
.long XB80
.long XB80
.long XB88
.long XB88
.long XB88
.long XB88
.long XB88
.long XB88
.long XB88
.long XB88
.long XB90
.long XB90
.long XB90
.long XB90
.long XB90
.long XB90
.long XB90
.long XB90
.long XB98
.long XB98
.long XB98
.long XB98
.long XB98
.long XB98
.long XB98
.long XB98
.long XBA0
.long XBA0
.long XBA0
.long XBA0
.long XBA0
.long XBA0
.long XBA0
.long XBA0
.long XBA8
.long XBA8
.long XBA8
.long XBA8
.long XBA8
.long XBA8
.long XBA8
.long XBA8
.long XBB0
.long XBB0
.long XBB0
.long XBB0
.long XBB0
.long XBB0
.long XBB0
.long XBB0
.long XBB8
.long XBB9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long XBC0
.long XBC0
.long XBC0
.long XBC0
.long XBC0
.long XBC0
.long XBC0
.long XBC0
.long XBC8
.long XBC8
.long XBC8
.long XBC8
.long XBC8
.long XBC8
.long XBC8
.long XBC8
.long XBD0
.long XBD0
.long XBD0
.long XBD0
.long XBD0
.long XBD0
.long XBD0
.long XBD0
.long XBD8
.long XBD8
.long XBD8
.long XBD8
.long XBD8
.long XBD8
.long XBD8
.long XBD8
.long XBE0
.long XBE0
.long XBE0
.long XBE0
.long XBE0
.long XBE0
.long XBE0
.long XBE0
.long XBE8
.long XBE8
.long XBE8
.long XBE8
.long XBE8
.long XBE8
.long XBE8
.long XBE8
.long XBF0
.long XBF0
.long XBF0
.long XBF0
.long XBF0
.long XBF0
.long XBF0
.long XBF0
.long XBF8
.long XBF9
.long XBFA
.long XBFB
.long XBFC
.long r_illegal
.long r_illegal
.long r_illegal
.long XC00
.long XC00
.long XC00
.long XC00
.long XC00
.long XC00
.long XC00
.long XC00
.long XC08
.long XC08
.long XC08
.long XC08
.long XC08
.long XC08
.long XC08
.long XC08
.long XC10
.long XC10
.long XC10
.long XC10
.long XC10
.long XC10
.long XC10
.long XC10
.long XC18
.long XC18
.long XC18
.long XC18
.long XC18
.long XC18
.long XC18
.long XC18
.long XC20
.long XC20
.long XC20
.long XC20
.long XC20
.long XC20
.long XC20
.long XC20
.long XC28
.long XC28
.long XC28
.long XC28
.long XC28
.long XC28
.long XC28
.long XC28
.long XC30
.long XC30
.long XC30
.long XC30
.long XC30
.long XC30
.long XC30
.long XC30
.long XC38
.long XC39
.long XC3A
.long XC3B
.long XC3C
.long r_illegal
.long r_illegal
.long r_illegal
.long XC40
.long XC40
.long XC40
.long XC40
.long XC40
.long XC40
.long XC40
.long XC40
.long XC48
.long XC48
.long XC48
.long XC48
.long XC48
.long XC48
.long XC48
.long XC48
.long XC50
.long XC50
.long XC50
.long XC50
.long XC50
.long XC50
.long XC50
.long XC50
.long XC58
.long XC58
.long XC58
.long XC58
.long XC58
.long XC58
.long XC58
.long XC58
.long XC60
.long XC60
.long XC60
.long XC60
.long XC60
.long XC60
.long XC60
.long XC60
.long XC68
.long XC68
.long XC68
.long XC68
.long XC68
.long XC68
.long XC68
.long XC68
.long XC70
.long XC70
.long XC70
.long XC70
.long XC70
.long XC70
.long XC70
.long XC70
.long XC78
.long XC79
.long XC7A
.long XC7B
.long XC7C
.long r_illegal
.long r_illegal
.long r_illegal
.long XC80
.long XC80
.long XC80
.long XC80
.long XC80
.long XC80
.long XC80
.long XC80
.long XC88
.long XC88
.long XC88
.long XC88
.long XC88
.long XC88
.long XC88
.long XC88
.long XC90
.long XC90
.long XC90
.long XC90
.long XC90
.long XC90
.long XC90
.long XC90
.long XC98
.long XC98
.long XC98
.long XC98
.long XC98
.long XC98
.long XC98
.long XC98
.long XCA0
.long XCA0
.long XCA0
.long XCA0
.long XCA0
.long XCA0
.long XCA0
.long XCA0
.long XCA8
.long XCA8
.long XCA8
.long XCA8
.long XCA8
.long XCA8
.long XCA8
.long XCA8
.long XCB0
.long XCB0
.long XCB0
.long XCB0
.long XCB0
.long XCB0
.long XCB0
.long XCB0
.long XCB8
.long XCB9
.long XCBA
.long XCBB
.long XCBC
.long r_illegal
.long r_illegal
.long r_illegal
.long XCC0
.long XCC0
.long XCC0
.long XCC0
.long XCC0
.long XCC0
.long XCC0
.long XCC0
.long XCC8
.long XCC8
.long XCC8
.long XCC8
.long XCC8
.long XCC8
.long XCC8
.long XCC8
.long XCD0
.long XCD0
.long XCD0
.long XCD0
.long XCD0
.long XCD0
.long XCD0
.long XCD0
.long XCD8
.long XCD8
.long XCD8
.long XCD8
.long XCD8
.long XCD8
.long XCD8
.long XCD8
.long XCE0
.long XCE0
.long XCE0
.long XCE0
.long XCE0
.long XCE0
.long XCE0
.long XCE0
.long XCE8
.long XCE8
.long XCE8
.long XCE8
.long XCE8
.long XCE8
.long XCE8
.long XCE8
.long XCF0
.long XCF0
.long XCF0
.long XCF0
.long XCF0
.long XCF0
.long XCF0
.long XCF0
.long XCF8
.long XCF9
.long XCFA
.long XCFB
.long XCFC
.long r_illegal
.long r_illegal
.long r_illegal
.long XD00
.long XD00
.long XD00
.long XD00
.long XD00
.long XD00
.long XD00
.long XD00
.long XD08
.long XD08
.long XD08
.long XD08
.long XD08
.long XD08
.long XD08
.long XD08
.long XD10
.long XD10
.long XD10
.long XD10
.long XD10
.long XD10
.long XD10
.long XD10
.long XD18
.long XD18
.long XD18
.long XD18
.long XD18
.long XD18
.long XD18
.long XD18
.long XD20
.long XD20
.long XD20
.long XD20
.long XD20
.long XD20
.long XD20
.long XD20
.long XD28
.long XD28
.long XD28
.long XD28
.long XD28
.long XD28
.long XD28
.long XD28
.long XD30
.long XD30
.long XD30
.long XD30
.long XD30
.long XD30
.long XD30
.long XD30
.long XD38
.long XD39
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long XD40
.long XD40
.long XD40
.long XD40
.long XD40
.long XD40
.long XD40
.long XD40
.long XD48
.long XD48
.long XD48
.long XD48
.long XD48
.long XD48
.long XD48
.long XD48
.long XD50
.long XD50
.long XD50
.long XD50
.long XD50
.long XD50
.long XD50
.long XD50
.long XD58
.long XD58
.long XD58
.long XD58
.long XD58
.long XD58
.long XD58
.long XD58
.long XD60
.long XD60
.long XD60
.long XD60
.long XD60
.long XD60
.long XD60
.long XD60
.long XD68
.long XD68
.long XD68
.long XD68
.long XD68
.long XD68
.long XD68
.long XD68
.long XD70
.long XD70
.long XD70
.long XD70
.long XD70
.long XD70
.long XD70
.long XD70
.long XD78
.long XD79
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long XD80
.long XD80
.long XD80
.long XD80
.long XD80
.long XD80
.long XD80
.long XD80
.long XD88
.long XD88
.long XD88
.long XD88
.long XD88
.long XD88
.long XD88
.long XD88
.long XD90
.long XD90
.long XD90
.long XD90
.long XD90
.long XD90
.long XD90
.long XD90
.long XD98
.long XD98
.long XD98
.long XD98
.long XD98
.long XD98
.long XD98
.long XD98
.long XDA0
.long XDA0
.long XDA0
.long XDA0
.long XDA0
.long XDA0
.long XDA0
.long XDA0
.long XDA8
.long XDA8
.long XDA8
.long XDA8
.long XDA8
.long XDA8
.long XDA8
.long XDA8
.long XDB0
.long XDB0
.long XDB0
.long XDB0
.long XDB0
.long XDB0
.long XDB0
.long XDB0
.long XDB8
.long XDB9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long XDC0
.long XDC0
.long XDC0
.long XDC0
.long XDC0
.long XDC0
.long XDC0
.long XDC0
.long XDC8
.long XDC8
.long XDC8
.long XDC8
.long XDC8
.long XDC8
.long XDC8
.long XDC8
.long XDD0
.long XDD0
.long XDD0
.long XDD0
.long XDD0
.long XDD0
.long XDD0
.long XDD0
.long XDD8
.long XDD8
.long XDD8
.long XDD8
.long XDD8
.long XDD8
.long XDD8
.long XDD8
.long XDE0
.long XDE0
.long XDE0
.long XDE0
.long XDE0
.long XDE0
.long XDE0
.long XDE0
.long XDE8
.long XDE8
.long XDE8
.long XDE8
.long XDE8
.long XDE8
.long XDE8
.long XDE8
.long XDF0
.long XDF0
.long XDF0
.long XDF0
.long XDF0
.long XDF0
.long XDF0
.long XDF0
.long XDF8
.long XDF9
.long XDFA
.long XDFB
.long XDFC
.long r_illegal
.long r_illegal
.long r_illegal
.long XE00
.long XE00
.long XE00
.long XE00
.long XE00
.long XE00
.long XE00
.long XE00
.long XE08
.long XE08
.long XE08
.long XE08
.long XE08
.long XE08
.long XE08
.long XE08
.long XE10
.long XE10
.long XE10
.long XE10
.long XE10
.long XE10
.long XE10
.long XE10
.long XE18
.long XE18
.long XE18
.long XE18
.long XE18
.long XE18
.long XE18
.long XE18
.long XE20
.long XE20
.long XE20
.long XE20
.long XE20
.long XE20
.long XE20
.long XE20
.long XE28
.long XE28
.long XE28
.long XE28
.long XE28
.long XE28
.long XE28
.long XE28
.long XE30
.long XE30
.long XE30
.long XE30
.long XE30
.long XE30
.long XE30
.long XE30
.long XE38
.long XE39
.long XE3A
.long XE3B
.long XE3C
.long r_illegal
.long r_illegal
.long r_illegal
.long XE40
.long XE40
.long XE40
.long XE40
.long XE40
.long XE40
.long XE40
.long XE40
.long XE48
.long XE48
.long XE48
.long XE48
.long XE48
.long XE48
.long XE48
.long XE48
.long XE50
.long XE50
.long XE50
.long XE50
.long XE50
.long XE50
.long XE50
.long XE50
.long XE58
.long XE58
.long XE58
.long XE58
.long XE58
.long XE58
.long XE58
.long XE58
.long XE60
.long XE60
.long XE60
.long XE60
.long XE60
.long XE60
.long XE60
.long XE60
.long XE68
.long XE68
.long XE68
.long XE68
.long XE68
.long XE68
.long XE68
.long XE68
.long XE70
.long XE70
.long XE70
.long XE70
.long XE70
.long XE70
.long XE70
.long XE70
.long XE78
.long XE79
.long XE7A
.long XE7B
.long XE7C
.long r_illegal
.long r_illegal
.long r_illegal
.long XE80
.long XE80
.long XE80
.long XE80
.long XE80
.long XE80
.long XE80
.long XE80
.long XE88
.long XE88
.long XE88
.long XE88
.long XE88
.long XE88
.long XE88
.long XE88
.long XE90
.long XE90
.long XE90
.long XE90
.long XE90
.long XE90
.long XE90
.long XE90
.long XE98
.long XE98
.long XE98
.long XE98
.long XE98
.long XE98
.long XE98
.long XE98
.long XEA0
.long XEA0
.long XEA0
.long XEA0
.long XEA0
.long XEA0
.long XEA0
.long XEA0
.long XEA8
.long XEA8
.long XEA8
.long XEA8
.long XEA8
.long XEA8
.long XEA8
.long XEA8
.long XEB0
.long XEB0
.long XEB0
.long XEB0
.long XEB0
.long XEB0
.long XEB0
.long XEB0
.long XEB8
.long XEB9
.long XEBA
.long XEBB
.long XEBC
.long r_illegal
.long r_illegal
.long r_illegal
.long XEC0
.long XEC0
.long XEC0
.long XEC0
.long XEC0
.long XEC0
.long XEC0
.long XEC0
.long XEC8
.long XEC8
.long XEC8
.long XEC8
.long XEC8
.long XEC8
.long XEC8
.long XEC8
.long XED0
.long XED0
.long XED0
.long XED0
.long XED0
.long XED0
.long XED0
.long XED0
.long XED8
.long XED8
.long XED8
.long XED8
.long XED8
.long XED8
.long XED8
.long XED8
.long XEE0
.long XEE0
.long XEE0
.long XEE0
.long XEE0
.long XEE0
.long XEE0
.long XEE0
.long XEE8
.long XEE8
.long XEE8
.long XEE8
.long XEE8
.long XEE8
.long XEE8
.long XEE8
.long XEF0
.long XEF0
.long XEF0
.long XEF0
.long XEF0
.long XEF0
.long XEF0
.long XEF0
.long XEF8
.long XEF9
.long XEFA
.long XEFB
.long XEFC
.long r_illegal
.long r_illegal
.long r_illegal
.long XF00
.long XF00
.long XF00
.long XF00
.long XF00
.long XF00
.long XF00
.long XF00
.long XF08
.long XF08
.long XF08
.long XF08
.long XF08
.long XF08
.long XF08
.long XF08
.long XF10
.long XF10
.long XF10
.long XF10
.long XF10
.long XF10
.long XF10
.long XF10
.long XF18
.long XF18
.long XF18
.long XF18
.long XF18
.long XF18
.long XF18
.long XF18
.long XF20
.long XF20
.long XF20
.long XF20
.long XF20
.long XF20
.long XF20
.long XF20
.long XF28
.long XF28
.long XF28
.long XF28
.long XF28
.long XF28
.long XF28
.long XF28
.long XF30
.long XF30
.long XF30
.long XF30
.long XF30
.long XF30
.long XF30
.long XF30
.long XF38
.long XF39
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long XF40
.long XF40
.long XF40
.long XF40
.long XF40
.long XF40
.long XF40
.long XF40
.long XF48
.long XF48
.long XF48
.long XF48
.long XF48
.long XF48
.long XF48
.long XF48
.long XF50
.long XF50
.long XF50
.long XF50
.long XF50
.long XF50
.long XF50
.long XF50
.long XF58
.long XF58
.long XF58
.long XF58
.long XF58
.long XF58
.long XF58
.long XF58
.long XF60
.long XF60
.long XF60
.long XF60
.long XF60
.long XF60
.long XF60
.long XF60
.long XF68
.long XF68
.long XF68
.long XF68
.long XF68
.long XF68
.long XF68
.long XF68
.long XF70
.long XF70
.long XF70
.long XF70
.long XF70
.long XF70
.long XF70
.long XF70
.long XF78
.long XF79
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long XF80
.long XF80
.long XF80
.long XF80
.long XF80
.long XF80
.long XF80
.long XF80
.long XF88
.long XF88
.long XF88
.long XF88
.long XF88
.long XF88
.long XF88
.long XF88
.long XF90
.long XF90
.long XF90
.long XF90
.long XF90
.long XF90
.long XF90
.long XF90
.long XF98
.long XF98
.long XF98
.long XF98
.long XF98
.long XF98
.long XF98
.long XF98
.long XFA0
.long XFA0
.long XFA0
.long XFA0
.long XFA0
.long XFA0
.long XFA0
.long XFA0
.long XFA8
.long XFA8
.long XFA8
.long XFA8
.long XFA8
.long XFA8
.long XFA8
.long XFA8
.long XFB0
.long XFB0
.long XFB0
.long XFB0
.long XFB0
.long XFB0
.long XFB0
.long XFB0
.long XFB8
.long XFB9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long XFC0
.long XFC0
.long XFC0
.long XFC0
.long XFC0
.long XFC0
.long XFC0
.long XFC0
.long XFC8
.long XFC8
.long XFC8
.long XFC8
.long XFC8
.long XFC8
.long XFC8
.long XFC8
.long XFD0
.long XFD0
.long XFD0
.long XFD0
.long XFD0
.long XFD0
.long XFD0
.long XFD0
.long XFD8
.long XFD8
.long XFD8
.long XFD8
.long XFD8
.long XFD8
.long XFD8
.long XFD8
.long XFE0
.long XFE0
.long XFE0
.long XFE0
.long XFE0
.long XFE0
.long XFE0
.long XFE0
.long XFE8
.long XFE8
.long XFE8
.long XFE8
.long XFE8
.long XFE8
.long XFE8
.long XFE8
.long XFF0
.long XFF0
.long XFF0
.long XFF0
.long XFF0
.long XFF0
.long XFF0
.long XFF0
.long XFF8
.long XFF9
.long XFFA
.long XFFB
.long XFFC
.long r_illegal
.long r_illegal
.long r_illegal
.long Y000
.long Y000
.long Y000
.long Y000
.long Y000
.long Y000
.long Y000
.long Y000
.long Y008
.long Y008
.long Y008
.long Y008
.long Y008
.long Y008
.long Y008
.long Y008
.long Y010
.long Y010
.long Y010
.long Y010
.long Y010
.long Y010
.long Y010
.long Y010
.long Y018
.long Y018
.long Y018
.long Y018
.long Y018
.long Y018
.long Y018
.long Y018
.long Y020
.long Y020
.long Y020
.long Y020
.long Y020
.long Y020
.long Y020
.long Y020
.long Y028
.long Y028
.long Y028
.long Y028
.long Y028
.long Y028
.long Y028
.long Y028
.long Y030
.long Y030
.long Y030
.long Y030
.long Y030
.long Y030
.long Y030
.long Y030
.long Y038
.long Y038
.long Y038
.long Y038
.long Y038
.long Y038
.long Y038
.long Y038
.long Y040
.long Y040
.long Y040
.long Y040
.long Y040
.long Y040
.long Y040
.long Y040
.long Y048
.long Y048
.long Y048
.long Y048
.long Y048
.long Y048
.long Y048
.long Y048
.long Y050
.long Y050
.long Y050
.long Y050
.long Y050
.long Y050
.long Y050
.long Y050
.long Y058
.long Y058
.long Y058
.long Y058
.long Y058
.long Y058
.long Y058
.long Y058
.long Y060
.long Y060
.long Y060
.long Y060
.long Y060
.long Y060
.long Y060
.long Y060
.long Y068
.long Y068
.long Y068
.long Y068
.long Y068
.long Y068
.long Y068
.long Y068
.long Y070
.long Y070
.long Y070
.long Y070
.long Y070
.long Y070
.long Y070
.long Y070
.long Y078
.long Y078
.long Y078
.long Y078
.long Y078
.long Y078
.long Y078
.long Y078
.long Y080
.long Y080
.long Y080
.long Y080
.long Y080
.long Y080
.long Y080
.long Y080
.long Y088
.long Y088
.long Y088
.long Y088
.long Y088
.long Y088
.long Y088
.long Y088
.long Y090
.long Y090
.long Y090
.long Y090
.long Y090
.long Y090
.long Y090
.long Y090
.long Y098
.long Y098
.long Y098
.long Y098
.long Y098
.long Y098
.long Y098
.long Y098
.long Y0A0
.long Y0A0
.long Y0A0
.long Y0A0
.long Y0A0
.long Y0A0
.long Y0A0
.long Y0A0
.long Y0A8
.long Y0A8
.long Y0A8
.long Y0A8
.long Y0A8
.long Y0A8
.long Y0A8
.long Y0A8
.long Y0B0
.long Y0B0
.long Y0B0
.long Y0B0
.long Y0B0
.long Y0B0
.long Y0B0
.long Y0B0
.long Y0B8
.long Y0B8
.long Y0B8
.long Y0B8
.long Y0B8
.long Y0B8
.long Y0B8
.long Y0B8
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long Y0D0
.long Y0D0
.long Y0D0
.long Y0D0
.long Y0D0
.long Y0D0
.long Y0D0
.long Y0D0
.long Y0D8
.long Y0D8
.long Y0D8
.long Y0D8
.long Y0D8
.long Y0D8
.long Y0D8
.long Y0D8
.long Y0E0
.long Y0E0
.long Y0E0
.long Y0E0
.long Y0E0
.long Y0E0
.long Y0E0
.long Y0E0
.long Y0E8
.long Y0E8
.long Y0E8
.long Y0E8
.long Y0E8
.long Y0E8
.long Y0E8
.long Y0E8
.long Y0F0
.long Y0F0
.long Y0F0
.long Y0F0
.long Y0F0
.long Y0F0
.long Y0F0
.long Y0F0
.long Y0F8
.long Y0F9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long Y100
.long Y100
.long Y100
.long Y100
.long Y100
.long Y100
.long Y100
.long Y100
.long Y108
.long Y108
.long Y108
.long Y108
.long Y108
.long Y108
.long Y108
.long Y108
.long Y110
.long Y110
.long Y110
.long Y110
.long Y110
.long Y110
.long Y110
.long Y110
.long Y118
.long Y118
.long Y118
.long Y118
.long Y118
.long Y118
.long Y118
.long Y118
.long Y120
.long Y120
.long Y120
.long Y120
.long Y120
.long Y120
.long Y120
.long Y120
.long Y128
.long Y128
.long Y128
.long Y128
.long Y128
.long Y128
.long Y128
.long Y128
.long Y130
.long Y130
.long Y130
.long Y130
.long Y130
.long Y130
.long Y130
.long Y130
.long Y138
.long Y138
.long Y138
.long Y138
.long Y138
.long Y138
.long Y138
.long Y138
.long Y140
.long Y140
.long Y140
.long Y140
.long Y140
.long Y140
.long Y140
.long Y140
.long Y148
.long Y148
.long Y148
.long Y148
.long Y148
.long Y148
.long Y148
.long Y148
.long Y150
.long Y150
.long Y150
.long Y150
.long Y150
.long Y150
.long Y150
.long Y150
.long Y158
.long Y158
.long Y158
.long Y158
.long Y158
.long Y158
.long Y158
.long Y158
.long Y160
.long Y160
.long Y160
.long Y160
.long Y160
.long Y160
.long Y160
.long Y160
.long Y168
.long Y168
.long Y168
.long Y168
.long Y168
.long Y168
.long Y168
.long Y168
.long Y170
.long Y170
.long Y170
.long Y170
.long Y170
.long Y170
.long Y170
.long Y170
.long Y178
.long Y178
.long Y178
.long Y178
.long Y178
.long Y178
.long Y178
.long Y178
.long Y180
.long Y180
.long Y180
.long Y180
.long Y180
.long Y180
.long Y180
.long Y180
.long Y188
.long Y188
.long Y188
.long Y188
.long Y188
.long Y188
.long Y188
.long Y188
.long Y190
.long Y190
.long Y190
.long Y190
.long Y190
.long Y190
.long Y190
.long Y190
.long Y198
.long Y198
.long Y198
.long Y198
.long Y198
.long Y198
.long Y198
.long Y198
.long Y1A0
.long Y1A0
.long Y1A0
.long Y1A0
.long Y1A0
.long Y1A0
.long Y1A0
.long Y1A0
.long Y1A8
.long Y1A8
.long Y1A8
.long Y1A8
.long Y1A8
.long Y1A8
.long Y1A8
.long Y1A8
.long Y1B0
.long Y1B0
.long Y1B0
.long Y1B0
.long Y1B0
.long Y1B0
.long Y1B0
.long Y1B0
.long Y1B8
.long Y1B8
.long Y1B8
.long Y1B8
.long Y1B8
.long Y1B8
.long Y1B8
.long Y1B8
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long Y1D0
.long Y1D0
.long Y1D0
.long Y1D0
.long Y1D0
.long Y1D0
.long Y1D0
.long Y1D0
.long Y1D8
.long Y1D8
.long Y1D8
.long Y1D8
.long Y1D8
.long Y1D8
.long Y1D8
.long Y1D8
.long Y1E0
.long Y1E0
.long Y1E0
.long Y1E0
.long Y1E0
.long Y1E0
.long Y1E0
.long Y1E0
.long Y1E8
.long Y1E8
.long Y1E8
.long Y1E8
.long Y1E8
.long Y1E8
.long Y1E8
.long Y1E8
.long Y1F0
.long Y1F0
.long Y1F0
.long Y1F0
.long Y1F0
.long Y1F0
.long Y1F0
.long Y1F0
.long Y1F8
.long Y1F9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long Y200
.long Y200
.long Y200
.long Y200
.long Y200
.long Y200
.long Y200
.long Y200
.long Y208
.long Y208
.long Y208
.long Y208
.long Y208
.long Y208
.long Y208
.long Y208
.long Y210
.long Y210
.long Y210
.long Y210
.long Y210
.long Y210
.long Y210
.long Y210
.long Y218
.long Y218
.long Y218
.long Y218
.long Y218
.long Y218
.long Y218
.long Y218
.long Y220
.long Y220
.long Y220
.long Y220
.long Y220
.long Y220
.long Y220
.long Y220
.long Y228
.long Y228
.long Y228
.long Y228
.long Y228
.long Y228
.long Y228
.long Y228
.long Y230
.long Y230
.long Y230
.long Y230
.long Y230
.long Y230
.long Y230
.long Y230
.long Y238
.long Y238
.long Y238
.long Y238
.long Y238
.long Y238
.long Y238
.long Y238
.long Y240
.long Y240
.long Y240
.long Y240
.long Y240
.long Y240
.long Y240
.long Y240
.long Y248
.long Y248
.long Y248
.long Y248
.long Y248
.long Y248
.long Y248
.long Y248
.long Y250
.long Y250
.long Y250
.long Y250
.long Y250
.long Y250
.long Y250
.long Y250
.long Y258
.long Y258
.long Y258
.long Y258
.long Y258
.long Y258
.long Y258
.long Y258
.long Y260
.long Y260
.long Y260
.long Y260
.long Y260
.long Y260
.long Y260
.long Y260
.long Y268
.long Y268
.long Y268
.long Y268
.long Y268
.long Y268
.long Y268
.long Y268
.long Y270
.long Y270
.long Y270
.long Y270
.long Y270
.long Y270
.long Y270
.long Y270
.long Y278
.long Y278
.long Y278
.long Y278
.long Y278
.long Y278
.long Y278
.long Y278
.long Y280
.long Y280
.long Y280
.long Y280
.long Y280
.long Y280
.long Y280
.long Y280
.long Y288
.long Y288
.long Y288
.long Y288
.long Y288
.long Y288
.long Y288
.long Y288
.long Y290
.long Y290
.long Y290
.long Y290
.long Y290
.long Y290
.long Y290
.long Y290
.long Y298
.long Y298
.long Y298
.long Y298
.long Y298
.long Y298
.long Y298
.long Y298
.long Y2A0
.long Y2A0
.long Y2A0
.long Y2A0
.long Y2A0
.long Y2A0
.long Y2A0
.long Y2A0
.long Y2A8
.long Y2A8
.long Y2A8
.long Y2A8
.long Y2A8
.long Y2A8
.long Y2A8
.long Y2A8
.long Y2B0
.long Y2B0
.long Y2B0
.long Y2B0
.long Y2B0
.long Y2B0
.long Y2B0
.long Y2B0
.long Y2B8
.long Y2B8
.long Y2B8
.long Y2B8
.long Y2B8
.long Y2B8
.long Y2B8
.long Y2B8
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long Y2D0
.long Y2D0
.long Y2D0
.long Y2D0
.long Y2D0
.long Y2D0
.long Y2D0
.long Y2D0
.long Y2D8
.long Y2D8
.long Y2D8
.long Y2D8
.long Y2D8
.long Y2D8
.long Y2D8
.long Y2D8
.long Y2E0
.long Y2E0
.long Y2E0
.long Y2E0
.long Y2E0
.long Y2E0
.long Y2E0
.long Y2E0
.long Y2E8
.long Y2E8
.long Y2E8
.long Y2E8
.long Y2E8
.long Y2E8
.long Y2E8
.long Y2E8
.long Y2F0
.long Y2F0
.long Y2F0
.long Y2F0
.long Y2F0
.long Y2F0
.long Y2F0
.long Y2F0
.long Y2F8
.long Y2F9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long Y300
.long Y300
.long Y300
.long Y300
.long Y300
.long Y300
.long Y300
.long Y300
.long Y308
.long Y308
.long Y308
.long Y308
.long Y308
.long Y308
.long Y308
.long Y308
.long Y310
.long Y310
.long Y310
.long Y310
.long Y310
.long Y310
.long Y310
.long Y310
.long Y318
.long Y318
.long Y318
.long Y318
.long Y318
.long Y318
.long Y318
.long Y318
.long Y320
.long Y320
.long Y320
.long Y320
.long Y320
.long Y320
.long Y320
.long Y320
.long Y328
.long Y328
.long Y328
.long Y328
.long Y328
.long Y328
.long Y328
.long Y328
.long Y330
.long Y330
.long Y330
.long Y330
.long Y330
.long Y330
.long Y330
.long Y330
.long Y338
.long Y338
.long Y338
.long Y338
.long Y338
.long Y338
.long Y338
.long Y338
.long Y340
.long Y340
.long Y340
.long Y340
.long Y340
.long Y340
.long Y340
.long Y340
.long Y348
.long Y348
.long Y348
.long Y348
.long Y348
.long Y348
.long Y348
.long Y348
.long Y350
.long Y350
.long Y350
.long Y350
.long Y350
.long Y350
.long Y350
.long Y350
.long Y358
.long Y358
.long Y358
.long Y358
.long Y358
.long Y358
.long Y358
.long Y358
.long Y360
.long Y360
.long Y360
.long Y360
.long Y360
.long Y360
.long Y360
.long Y360
.long Y368
.long Y368
.long Y368
.long Y368
.long Y368
.long Y368
.long Y368
.long Y368
.long Y370
.long Y370
.long Y370
.long Y370
.long Y370
.long Y370
.long Y370
.long Y370
.long Y378
.long Y378
.long Y378
.long Y378
.long Y378
.long Y378
.long Y378
.long Y378
.long Y380
.long Y380
.long Y380
.long Y380
.long Y380
.long Y380
.long Y380
.long Y380
.long Y388
.long Y388
.long Y388
.long Y388
.long Y388
.long Y388
.long Y388
.long Y388
.long Y390
.long Y390
.long Y390
.long Y390
.long Y390
.long Y390
.long Y390
.long Y390
.long Y398
.long Y398
.long Y398
.long Y398
.long Y398
.long Y398
.long Y398
.long Y398
.long Y3A0
.long Y3A0
.long Y3A0
.long Y3A0
.long Y3A0
.long Y3A0
.long Y3A0
.long Y3A0
.long Y3A8
.long Y3A8
.long Y3A8
.long Y3A8
.long Y3A8
.long Y3A8
.long Y3A8
.long Y3A8
.long Y3B0
.long Y3B0
.long Y3B0
.long Y3B0
.long Y3B0
.long Y3B0
.long Y3B0
.long Y3B0
.long Y3B8
.long Y3B8
.long Y3B8
.long Y3B8
.long Y3B8
.long Y3B8
.long Y3B8
.long Y3B8
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long Y3D0
.long Y3D0
.long Y3D0
.long Y3D0
.long Y3D0
.long Y3D0
.long Y3D0
.long Y3D0
.long Y3D8
.long Y3D8
.long Y3D8
.long Y3D8
.long Y3D8
.long Y3D8
.long Y3D8
.long Y3D8
.long Y3E0
.long Y3E0
.long Y3E0
.long Y3E0
.long Y3E0
.long Y3E0
.long Y3E0
.long Y3E0
.long Y3E8
.long Y3E8
.long Y3E8
.long Y3E8
.long Y3E8
.long Y3E8
.long Y3E8
.long Y3E8
.long Y3F0
.long Y3F0
.long Y3F0
.long Y3F0
.long Y3F0
.long Y3F0
.long Y3F0
.long Y3F0
.long Y3F8
.long Y3F9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long Y400
.long Y400
.long Y400
.long Y400
.long Y400
.long Y400
.long Y400
.long Y400
.long Y408
.long Y408
.long Y408
.long Y408
.long Y408
.long Y408
.long Y408
.long Y408
.long Y410
.long Y410
.long Y410
.long Y410
.long Y410
.long Y410
.long Y410
.long Y410
.long Y418
.long Y418
.long Y418
.long Y418
.long Y418
.long Y418
.long Y418
.long Y418
.long Y420
.long Y420
.long Y420
.long Y420
.long Y420
.long Y420
.long Y420
.long Y420
.long Y428
.long Y428
.long Y428
.long Y428
.long Y428
.long Y428
.long Y428
.long Y428
.long Y430
.long Y430
.long Y430
.long Y430
.long Y430
.long Y430
.long Y430
.long Y430
.long Y438
.long Y438
.long Y438
.long Y438
.long Y438
.long Y438
.long Y438
.long Y438
.long Y440
.long Y440
.long Y440
.long Y440
.long Y440
.long Y440
.long Y440
.long Y440
.long Y448
.long Y448
.long Y448
.long Y448
.long Y448
.long Y448
.long Y448
.long Y448
.long Y450
.long Y450
.long Y450
.long Y450
.long Y450
.long Y450
.long Y450
.long Y450
.long Y458
.long Y458
.long Y458
.long Y458
.long Y458
.long Y458
.long Y458
.long Y458
.long Y460
.long Y460
.long Y460
.long Y460
.long Y460
.long Y460
.long Y460
.long Y460
.long Y468
.long Y468
.long Y468
.long Y468
.long Y468
.long Y468
.long Y468
.long Y468
.long Y470
.long Y470
.long Y470
.long Y470
.long Y470
.long Y470
.long Y470
.long Y470
.long Y478
.long Y478
.long Y478
.long Y478
.long Y478
.long Y478
.long Y478
.long Y478
.long Y480
.long Y480
.long Y480
.long Y480
.long Y480
.long Y480
.long Y480
.long Y480
.long Y488
.long Y488
.long Y488
.long Y488
.long Y488
.long Y488
.long Y488
.long Y488
.long Y490
.long Y490
.long Y490
.long Y490
.long Y490
.long Y490
.long Y490
.long Y490
.long Y498
.long Y498
.long Y498
.long Y498
.long Y498
.long Y498
.long Y498
.long Y498
.long Y4A0
.long Y4A0
.long Y4A0
.long Y4A0
.long Y4A0
.long Y4A0
.long Y4A0
.long Y4A0
.long Y4A8
.long Y4A8
.long Y4A8
.long Y4A8
.long Y4A8
.long Y4A8
.long Y4A8
.long Y4A8
.long Y4B0
.long Y4B0
.long Y4B0
.long Y4B0
.long Y4B0
.long Y4B0
.long Y4B0
.long Y4B0
.long Y4B8
.long Y4B8
.long Y4B8
.long Y4B8
.long Y4B8
.long Y4B8
.long Y4B8
.long Y4B8
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long Y4D0
.long Y4D0
.long Y4D0
.long Y4D0
.long Y4D0
.long Y4D0
.long Y4D0
.long Y4D0
.long Y4D8
.long Y4D8
.long Y4D8
.long Y4D8
.long Y4D8
.long Y4D8
.long Y4D8
.long Y4D8
.long Y4E0
.long Y4E0
.long Y4E0
.long Y4E0
.long Y4E0
.long Y4E0
.long Y4E0
.long Y4E0
.long Y4E8
.long Y4E8
.long Y4E8
.long Y4E8
.long Y4E8
.long Y4E8
.long Y4E8
.long Y4E8
.long Y4F0
.long Y4F0
.long Y4F0
.long Y4F0
.long Y4F0
.long Y4F0
.long Y4F0
.long Y4F0
.long Y4F8
.long Y4F9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long Y500
.long Y500
.long Y500
.long Y500
.long Y500
.long Y500
.long Y500
.long Y500
.long Y508
.long Y508
.long Y508
.long Y508
.long Y508
.long Y508
.long Y508
.long Y508
.long Y510
.long Y510
.long Y510
.long Y510
.long Y510
.long Y510
.long Y510
.long Y510
.long Y518
.long Y518
.long Y518
.long Y518
.long Y518
.long Y518
.long Y518
.long Y518
.long Y520
.long Y520
.long Y520
.long Y520
.long Y520
.long Y520
.long Y520
.long Y520
.long Y528
.long Y528
.long Y528
.long Y528
.long Y528
.long Y528
.long Y528
.long Y528
.long Y530
.long Y530
.long Y530
.long Y530
.long Y530
.long Y530
.long Y530
.long Y530
.long Y538
.long Y538
.long Y538
.long Y538
.long Y538
.long Y538
.long Y538
.long Y538
.long Y540
.long Y540
.long Y540
.long Y540
.long Y540
.long Y540
.long Y540
.long Y540
.long Y548
.long Y548
.long Y548
.long Y548
.long Y548
.long Y548
.long Y548
.long Y548
.long Y550
.long Y550
.long Y550
.long Y550
.long Y550
.long Y550
.long Y550
.long Y550
.long Y558
.long Y558
.long Y558
.long Y558
.long Y558
.long Y558
.long Y558
.long Y558
.long Y560
.long Y560
.long Y560
.long Y560
.long Y560
.long Y560
.long Y560
.long Y560
.long Y568
.long Y568
.long Y568
.long Y568
.long Y568
.long Y568
.long Y568
.long Y568
.long Y570
.long Y570
.long Y570
.long Y570
.long Y570
.long Y570
.long Y570
.long Y570
.long Y578
.long Y578
.long Y578
.long Y578
.long Y578
.long Y578
.long Y578
.long Y578
.long Y580
.long Y580
.long Y580
.long Y580
.long Y580
.long Y580
.long Y580
.long Y580
.long Y588
.long Y588
.long Y588
.long Y588
.long Y588
.long Y588
.long Y588
.long Y588
.long Y590
.long Y590
.long Y590
.long Y590
.long Y590
.long Y590
.long Y590
.long Y590
.long Y598
.long Y598
.long Y598
.long Y598
.long Y598
.long Y598
.long Y598
.long Y598
.long Y5A0
.long Y5A0
.long Y5A0
.long Y5A0
.long Y5A0
.long Y5A0
.long Y5A0
.long Y5A0
.long Y5A8
.long Y5A8
.long Y5A8
.long Y5A8
.long Y5A8
.long Y5A8
.long Y5A8
.long Y5A8
.long Y5B0
.long Y5B0
.long Y5B0
.long Y5B0
.long Y5B0
.long Y5B0
.long Y5B0
.long Y5B0
.long Y5B8
.long Y5B8
.long Y5B8
.long Y5B8
.long Y5B8
.long Y5B8
.long Y5B8
.long Y5B8
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long Y5D0
.long Y5D0
.long Y5D0
.long Y5D0
.long Y5D0
.long Y5D0
.long Y5D0
.long Y5D0
.long Y5D8
.long Y5D8
.long Y5D8
.long Y5D8
.long Y5D8
.long Y5D8
.long Y5D8
.long Y5D8
.long Y5E0
.long Y5E0
.long Y5E0
.long Y5E0
.long Y5E0
.long Y5E0
.long Y5E0
.long Y5E0
.long Y5E8
.long Y5E8
.long Y5E8
.long Y5E8
.long Y5E8
.long Y5E8
.long Y5E8
.long Y5E8
.long Y5F0
.long Y5F0
.long Y5F0
.long Y5F0
.long Y5F0
.long Y5F0
.long Y5F0
.long Y5F0
.long Y5F8
.long Y5F9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long Y600
.long Y600
.long Y600
.long Y600
.long Y600
.long Y600
.long Y600
.long Y600
.long Y608
.long Y608
.long Y608
.long Y608
.long Y608
.long Y608
.long Y608
.long Y608
.long Y610
.long Y610
.long Y610
.long Y610
.long Y610
.long Y610
.long Y610
.long Y610
.long Y618
.long Y618
.long Y618
.long Y618
.long Y618
.long Y618
.long Y618
.long Y618
.long Y620
.long Y620
.long Y620
.long Y620
.long Y620
.long Y620
.long Y620
.long Y620
.long Y628
.long Y628
.long Y628
.long Y628
.long Y628
.long Y628
.long Y628
.long Y628
.long Y630
.long Y630
.long Y630
.long Y630
.long Y630
.long Y630
.long Y630
.long Y630
.long Y638
.long Y638
.long Y638
.long Y638
.long Y638
.long Y638
.long Y638
.long Y638
.long Y640
.long Y640
.long Y640
.long Y640
.long Y640
.long Y640
.long Y640
.long Y640
.long Y648
.long Y648
.long Y648
.long Y648
.long Y648
.long Y648
.long Y648
.long Y648
.long Y650
.long Y650
.long Y650
.long Y650
.long Y650
.long Y650
.long Y650
.long Y650
.long Y658
.long Y658
.long Y658
.long Y658
.long Y658
.long Y658
.long Y658
.long Y658
.long Y660
.long Y660
.long Y660
.long Y660
.long Y660
.long Y660
.long Y660
.long Y660
.long Y668
.long Y668
.long Y668
.long Y668
.long Y668
.long Y668
.long Y668
.long Y668
.long Y670
.long Y670
.long Y670
.long Y670
.long Y670
.long Y670
.long Y670
.long Y670
.long Y678
.long Y678
.long Y678
.long Y678
.long Y678
.long Y678
.long Y678
.long Y678
.long Y680
.long Y680
.long Y680
.long Y680
.long Y680
.long Y680
.long Y680
.long Y680
.long Y688
.long Y688
.long Y688
.long Y688
.long Y688
.long Y688
.long Y688
.long Y688
.long Y690
.long Y690
.long Y690
.long Y690
.long Y690
.long Y690
.long Y690
.long Y690
.long Y698
.long Y698
.long Y698
.long Y698
.long Y698
.long Y698
.long Y698
.long Y698
.long Y6A0
.long Y6A0
.long Y6A0
.long Y6A0
.long Y6A0
.long Y6A0
.long Y6A0
.long Y6A0
.long Y6A8
.long Y6A8
.long Y6A8
.long Y6A8
.long Y6A8
.long Y6A8
.long Y6A8
.long Y6A8
.long Y6B0
.long Y6B0
.long Y6B0
.long Y6B0
.long Y6B0
.long Y6B0
.long Y6B0
.long Y6B0
.long Y6B8
.long Y6B8
.long Y6B8
.long Y6B8
.long Y6B8
.long Y6B8
.long Y6B8
.long Y6B8
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long Y6D0
.long Y6D0
.long Y6D0
.long Y6D0
.long Y6D0
.long Y6D0
.long Y6D0
.long Y6D0
.long Y6D8
.long Y6D8
.long Y6D8
.long Y6D8
.long Y6D8
.long Y6D8
.long Y6D8
.long Y6D8
.long Y6E0
.long Y6E0
.long Y6E0
.long Y6E0
.long Y6E0
.long Y6E0
.long Y6E0
.long Y6E0
.long Y6E8
.long Y6E8
.long Y6E8
.long Y6E8
.long Y6E8
.long Y6E8
.long Y6E8
.long Y6E8
.long Y6F0
.long Y6F0
.long Y6F0
.long Y6F0
.long Y6F0
.long Y6F0
.long Y6F0
.long Y6F0
.long Y6F8
.long Y6F9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long Y700
.long Y700
.long Y700
.long Y700
.long Y700
.long Y700
.long Y700
.long Y700
.long Y708
.long Y708
.long Y708
.long Y708
.long Y708
.long Y708
.long Y708
.long Y708
.long Y710
.long Y710
.long Y710
.long Y710
.long Y710
.long Y710
.long Y710
.long Y710
.long Y718
.long Y718
.long Y718
.long Y718
.long Y718
.long Y718
.long Y718
.long Y718
.long Y720
.long Y720
.long Y720
.long Y720
.long Y720
.long Y720
.long Y720
.long Y720
.long Y728
.long Y728
.long Y728
.long Y728
.long Y728
.long Y728
.long Y728
.long Y728
.long Y730
.long Y730
.long Y730
.long Y730
.long Y730
.long Y730
.long Y730
.long Y730
.long Y738
.long Y738
.long Y738
.long Y738
.long Y738
.long Y738
.long Y738
.long Y738
.long Y740
.long Y740
.long Y740
.long Y740
.long Y740
.long Y740
.long Y740
.long Y740
.long Y748
.long Y748
.long Y748
.long Y748
.long Y748
.long Y748
.long Y748
.long Y748
.long Y750
.long Y750
.long Y750
.long Y750
.long Y750
.long Y750
.long Y750
.long Y750
.long Y758
.long Y758
.long Y758
.long Y758
.long Y758
.long Y758
.long Y758
.long Y758
.long Y760
.long Y760
.long Y760
.long Y760
.long Y760
.long Y760
.long Y760
.long Y760
.long Y768
.long Y768
.long Y768
.long Y768
.long Y768
.long Y768
.long Y768
.long Y768
.long Y770
.long Y770
.long Y770
.long Y770
.long Y770
.long Y770
.long Y770
.long Y770
.long Y778
.long Y778
.long Y778
.long Y778
.long Y778
.long Y778
.long Y778
.long Y778
.long Y780
.long Y780
.long Y780
.long Y780
.long Y780
.long Y780
.long Y780
.long Y780
.long Y788
.long Y788
.long Y788
.long Y788
.long Y788
.long Y788
.long Y788
.long Y788
.long Y790
.long Y790
.long Y790
.long Y790
.long Y790
.long Y790
.long Y790
.long Y790
.long Y798
.long Y798
.long Y798
.long Y798
.long Y798
.long Y798
.long Y798
.long Y798
.long Y7A0
.long Y7A0
.long Y7A0
.long Y7A0
.long Y7A0
.long Y7A0
.long Y7A0
.long Y7A0
.long Y7A8
.long Y7A8
.long Y7A8
.long Y7A8
.long Y7A8
.long Y7A8
.long Y7A8
.long Y7A8
.long Y7B0
.long Y7B0
.long Y7B0
.long Y7B0
.long Y7B0
.long Y7B0
.long Y7B0
.long Y7B0
.long Y7B8
.long Y7B8
.long Y7B8
.long Y7B8
.long Y7B8
.long Y7B8
.long Y7B8
.long Y7B8
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long Y7D0
.long Y7D0
.long Y7D0
.long Y7D0
.long Y7D0
.long Y7D0
.long Y7D0
.long Y7D0
.long Y7D8
.long Y7D8
.long Y7D8
.long Y7D8
.long Y7D8
.long Y7D8
.long Y7D8
.long Y7D8
.long Y7E0
.long Y7E0
.long Y7E0
.long Y7E0
.long Y7E0
.long Y7E0
.long Y7E0
.long Y7E0
.long Y7E8
.long Y7E8
.long Y7E8
.long Y7E8
.long Y7E8
.long Y7E8
.long Y7E8
.long Y7E8
.long Y7F0
.long Y7F0
.long Y7F0
.long Y7F0
.long Y7F0
.long Y7F0
.long Y7F0
.long Y7F0
.long Y7F8
.long Y7F9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long Y800
.long Y800
.long Y800
.long Y800
.long Y800
.long Y800
.long Y800
.long Y800
.long Y808
.long Y808
.long Y808
.long Y808
.long Y808
.long Y808
.long Y808
.long Y808
.long Y810
.long Y810
.long Y810
.long Y810
.long Y810
.long Y810
.long Y810
.long Y810
.long Y818
.long Y818
.long Y818
.long Y818
.long Y818
.long Y818
.long Y818
.long Y818
.long Y820
.long Y820
.long Y820
.long Y820
.long Y820
.long Y820
.long Y820
.long Y820
.long Y828
.long Y828
.long Y828
.long Y828
.long Y828
.long Y828
.long Y828
.long Y828
.long Y830
.long Y830
.long Y830
.long Y830
.long Y830
.long Y830
.long Y830
.long Y830
.long Y838
.long Y838
.long Y838
.long Y838
.long Y838
.long Y838
.long Y838
.long Y838
.long Y840
.long Y840
.long Y840
.long Y840
.long Y840
.long Y840
.long Y840
.long Y840
.long Y848
.long Y848
.long Y848
.long Y848
.long Y848
.long Y848
.long Y848
.long Y848
.long Y850
.long Y850
.long Y850
.long Y850
.long Y850
.long Y850
.long Y850
.long Y850
.long Y858
.long Y858
.long Y858
.long Y858
.long Y858
.long Y858
.long Y858
.long Y858
.long Y860
.long Y860
.long Y860
.long Y860
.long Y860
.long Y860
.long Y860
.long Y860
.long Y868
.long Y868
.long Y868
.long Y868
.long Y868
.long Y868
.long Y868
.long Y868
.long Y870
.long Y870
.long Y870
.long Y870
.long Y870
.long Y870
.long Y870
.long Y870
.long Y878
.long Y878
.long Y878
.long Y878
.long Y878
.long Y878
.long Y878
.long Y878
.long Y880
.long Y880
.long Y880
.long Y880
.long Y880
.long Y880
.long Y880
.long Y880
.long Y888
.long Y888
.long Y888
.long Y888
.long Y888
.long Y888
.long Y888
.long Y888
.long Y890
.long Y890
.long Y890
.long Y890
.long Y890
.long Y890
.long Y890
.long Y890
.long Y898
.long Y898
.long Y898
.long Y898
.long Y898
.long Y898
.long Y898
.long Y898
.long Y8A0
.long Y8A0
.long Y8A0
.long Y8A0
.long Y8A0
.long Y8A0
.long Y8A0
.long Y8A0
.long Y8A8
.long Y8A8
.long Y8A8
.long Y8A8
.long Y8A8
.long Y8A8
.long Y8A8
.long Y8A8
.long Y8B0
.long Y8B0
.long Y8B0
.long Y8B0
.long Y8B0
.long Y8B0
.long Y8B0
.long Y8B0
.long Y8B8
.long Y8B8
.long Y8B8
.long Y8B8
.long Y8B8
.long Y8B8
.long Y8B8
.long Y8B8
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long Y900
.long Y900
.long Y900
.long Y900
.long Y900
.long Y900
.long Y900
.long Y900
.long Y908
.long Y908
.long Y908
.long Y908
.long Y908
.long Y908
.long Y908
.long Y908
.long Y910
.long Y910
.long Y910
.long Y910
.long Y910
.long Y910
.long Y910
.long Y910
.long Y918
.long Y918
.long Y918
.long Y918
.long Y918
.long Y918
.long Y918
.long Y918
.long Y920
.long Y920
.long Y920
.long Y920
.long Y920
.long Y920
.long Y920
.long Y920
.long Y928
.long Y928
.long Y928
.long Y928
.long Y928
.long Y928
.long Y928
.long Y928
.long Y930
.long Y930
.long Y930
.long Y930
.long Y930
.long Y930
.long Y930
.long Y930
.long Y938
.long Y938
.long Y938
.long Y938
.long Y938
.long Y938
.long Y938
.long Y938
.long Y940
.long Y940
.long Y940
.long Y940
.long Y940
.long Y940
.long Y940
.long Y940
.long Y948
.long Y948
.long Y948
.long Y948
.long Y948
.long Y948
.long Y948
.long Y948
.long Y950
.long Y950
.long Y950
.long Y950
.long Y950
.long Y950
.long Y950
.long Y950
.long Y958
.long Y958
.long Y958
.long Y958
.long Y958
.long Y958
.long Y958
.long Y958
.long Y960
.long Y960
.long Y960
.long Y960
.long Y960
.long Y960
.long Y960
.long Y960
.long Y968
.long Y968
.long Y968
.long Y968
.long Y968
.long Y968
.long Y968
.long Y968
.long Y970
.long Y970
.long Y970
.long Y970
.long Y970
.long Y970
.long Y970
.long Y970
.long Y978
.long Y978
.long Y978
.long Y978
.long Y978
.long Y978
.long Y978
.long Y978
.long Y980
.long Y980
.long Y980
.long Y980
.long Y980
.long Y980
.long Y980
.long Y980
.long Y988
.long Y988
.long Y988
.long Y988
.long Y988
.long Y988
.long Y988
.long Y988
.long Y990
.long Y990
.long Y990
.long Y990
.long Y990
.long Y990
.long Y990
.long Y990
.long Y998
.long Y998
.long Y998
.long Y998
.long Y998
.long Y998
.long Y998
.long Y998
.long Y9A0
.long Y9A0
.long Y9A0
.long Y9A0
.long Y9A0
.long Y9A0
.long Y9A0
.long Y9A0
.long Y9A8
.long Y9A8
.long Y9A8
.long Y9A8
.long Y9A8
.long Y9A8
.long Y9A8
.long Y9A8
.long Y9B0
.long Y9B0
.long Y9B0
.long Y9B0
.long Y9B0
.long Y9B0
.long Y9B0
.long Y9B0
.long Y9B8
.long Y9B8
.long Y9B8
.long Y9B8
.long Y9B8
.long Y9B8
.long Y9B8
.long Y9B8
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long YA00
.long YA00
.long YA00
.long YA00
.long YA00
.long YA00
.long YA00
.long YA00
.long YA08
.long YA08
.long YA08
.long YA08
.long YA08
.long YA08
.long YA08
.long YA08
.long YA10
.long YA10
.long YA10
.long YA10
.long YA10
.long YA10
.long YA10
.long YA10
.long YA18
.long YA18
.long YA18
.long YA18
.long YA18
.long YA18
.long YA18
.long YA18
.long YA20
.long YA20
.long YA20
.long YA20
.long YA20
.long YA20
.long YA20
.long YA20
.long YA28
.long YA28
.long YA28
.long YA28
.long YA28
.long YA28
.long YA28
.long YA28
.long YA30
.long YA30
.long YA30
.long YA30
.long YA30
.long YA30
.long YA30
.long YA30
.long YA38
.long YA38
.long YA38
.long YA38
.long YA38
.long YA38
.long YA38
.long YA38
.long YA40
.long YA40
.long YA40
.long YA40
.long YA40
.long YA40
.long YA40
.long YA40
.long YA48
.long YA48
.long YA48
.long YA48
.long YA48
.long YA48
.long YA48
.long YA48
.long YA50
.long YA50
.long YA50
.long YA50
.long YA50
.long YA50
.long YA50
.long YA50
.long YA58
.long YA58
.long YA58
.long YA58
.long YA58
.long YA58
.long YA58
.long YA58
.long YA60
.long YA60
.long YA60
.long YA60
.long YA60
.long YA60
.long YA60
.long YA60
.long YA68
.long YA68
.long YA68
.long YA68
.long YA68
.long YA68
.long YA68
.long YA68
.long YA70
.long YA70
.long YA70
.long YA70
.long YA70
.long YA70
.long YA70
.long YA70
.long YA78
.long YA78
.long YA78
.long YA78
.long YA78
.long YA78
.long YA78
.long YA78
.long YA80
.long YA80
.long YA80
.long YA80
.long YA80
.long YA80
.long YA80
.long YA80
.long YA88
.long YA88
.long YA88
.long YA88
.long YA88
.long YA88
.long YA88
.long YA88
.long YA90
.long YA90
.long YA90
.long YA90
.long YA90
.long YA90
.long YA90
.long YA90
.long YA98
.long YA98
.long YA98
.long YA98
.long YA98
.long YA98
.long YA98
.long YA98
.long YAA0
.long YAA0
.long YAA0
.long YAA0
.long YAA0
.long YAA0
.long YAA0
.long YAA0
.long YAA8
.long YAA8
.long YAA8
.long YAA8
.long YAA8
.long YAA8
.long YAA8
.long YAA8
.long YAB0
.long YAB0
.long YAB0
.long YAB0
.long YAB0
.long YAB0
.long YAB0
.long YAB0
.long YAB8
.long YAB8
.long YAB8
.long YAB8
.long YAB8
.long YAB8
.long YAB8
.long YAB8
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long YB00
.long YB00
.long YB00
.long YB00
.long YB00
.long YB00
.long YB00
.long YB00
.long YB08
.long YB08
.long YB08
.long YB08
.long YB08
.long YB08
.long YB08
.long YB08
.long YB10
.long YB10
.long YB10
.long YB10
.long YB10
.long YB10
.long YB10
.long YB10
.long YB18
.long YB18
.long YB18
.long YB18
.long YB18
.long YB18
.long YB18
.long YB18
.long YB20
.long YB20
.long YB20
.long YB20
.long YB20
.long YB20
.long YB20
.long YB20
.long YB28
.long YB28
.long YB28
.long YB28
.long YB28
.long YB28
.long YB28
.long YB28
.long YB30
.long YB30
.long YB30
.long YB30
.long YB30
.long YB30
.long YB30
.long YB30
.long YB38
.long YB38
.long YB38
.long YB38
.long YB38
.long YB38
.long YB38
.long YB38
.long YB40
.long YB40
.long YB40
.long YB40
.long YB40
.long YB40
.long YB40
.long YB40
.long YB48
.long YB48
.long YB48
.long YB48
.long YB48
.long YB48
.long YB48
.long YB48
.long YB50
.long YB50
.long YB50
.long YB50
.long YB50
.long YB50
.long YB50
.long YB50
.long YB58
.long YB58
.long YB58
.long YB58
.long YB58
.long YB58
.long YB58
.long YB58
.long YB60
.long YB60
.long YB60
.long YB60
.long YB60
.long YB60
.long YB60
.long YB60
.long YB68
.long YB68
.long YB68
.long YB68
.long YB68
.long YB68
.long YB68
.long YB68
.long YB70
.long YB70
.long YB70
.long YB70
.long YB70
.long YB70
.long YB70
.long YB70
.long YB78
.long YB78
.long YB78
.long YB78
.long YB78
.long YB78
.long YB78
.long YB78
.long YB80
.long YB80
.long YB80
.long YB80
.long YB80
.long YB80
.long YB80
.long YB80
.long YB88
.long YB88
.long YB88
.long YB88
.long YB88
.long YB88
.long YB88
.long YB88
.long YB90
.long YB90
.long YB90
.long YB90
.long YB90
.long YB90
.long YB90
.long YB90
.long YB98
.long YB98
.long YB98
.long YB98
.long YB98
.long YB98
.long YB98
.long YB98
.long YBA0
.long YBA0
.long YBA0
.long YBA0
.long YBA0
.long YBA0
.long YBA0
.long YBA0
.long YBA8
.long YBA8
.long YBA8
.long YBA8
.long YBA8
.long YBA8
.long YBA8
.long YBA8
.long YBB0
.long YBB0
.long YBB0
.long YBB0
.long YBB0
.long YBB0
.long YBB0
.long YBB0
.long YBB8
.long YBB8
.long YBB8
.long YBB8
.long YBB8
.long YBB8
.long YBB8
.long YBB8
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long YC00
.long YC00
.long YC00
.long YC00
.long YC00
.long YC00
.long YC00
.long YC00
.long YC08
.long YC08
.long YC08
.long YC08
.long YC08
.long YC08
.long YC08
.long YC08
.long YC10
.long YC10
.long YC10
.long YC10
.long YC10
.long YC10
.long YC10
.long YC10
.long YC18
.long YC18
.long YC18
.long YC18
.long YC18
.long YC18
.long YC18
.long YC18
.long YC20
.long YC20
.long YC20
.long YC20
.long YC20
.long YC20
.long YC20
.long YC20
.long YC28
.long YC28
.long YC28
.long YC28
.long YC28
.long YC28
.long YC28
.long YC28
.long YC30
.long YC30
.long YC30
.long YC30
.long YC30
.long YC30
.long YC30
.long YC30
.long YC38
.long YC38
.long YC38
.long YC38
.long YC38
.long YC38
.long YC38
.long YC38
.long YC40
.long YC40
.long YC40
.long YC40
.long YC40
.long YC40
.long YC40
.long YC40
.long YC48
.long YC48
.long YC48
.long YC48
.long YC48
.long YC48
.long YC48
.long YC48
.long YC50
.long YC50
.long YC50
.long YC50
.long YC50
.long YC50
.long YC50
.long YC50
.long YC58
.long YC58
.long YC58
.long YC58
.long YC58
.long YC58
.long YC58
.long YC58
.long YC60
.long YC60
.long YC60
.long YC60
.long YC60
.long YC60
.long YC60
.long YC60
.long YC68
.long YC68
.long YC68
.long YC68
.long YC68
.long YC68
.long YC68
.long YC68
.long YC70
.long YC70
.long YC70
.long YC70
.long YC70
.long YC70
.long YC70
.long YC70
.long YC78
.long YC78
.long YC78
.long YC78
.long YC78
.long YC78
.long YC78
.long YC78
.long YC80
.long YC80
.long YC80
.long YC80
.long YC80
.long YC80
.long YC80
.long YC80
.long YC88
.long YC88
.long YC88
.long YC88
.long YC88
.long YC88
.long YC88
.long YC88
.long YC90
.long YC90
.long YC90
.long YC90
.long YC90
.long YC90
.long YC90
.long YC90
.long YC98
.long YC98
.long YC98
.long YC98
.long YC98
.long YC98
.long YC98
.long YC98
.long YCA0
.long YCA0
.long YCA0
.long YCA0
.long YCA0
.long YCA0
.long YCA0
.long YCA0
.long YCA8
.long YCA8
.long YCA8
.long YCA8
.long YCA8
.long YCA8
.long YCA8
.long YCA8
.long YCB0
.long YCB0
.long YCB0
.long YCB0
.long YCB0
.long YCB0
.long YCB0
.long YCB0
.long YCB8
.long YCB8
.long YCB8
.long YCB8
.long YCB8
.long YCB8
.long YCB8
.long YCB8
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long YD00
.long YD00
.long YD00
.long YD00
.long YD00
.long YD00
.long YD00
.long YD00
.long YD08
.long YD08
.long YD08
.long YD08
.long YD08
.long YD08
.long YD08
.long YD08
.long YD10
.long YD10
.long YD10
.long YD10
.long YD10
.long YD10
.long YD10
.long YD10
.long YD18
.long YD18
.long YD18
.long YD18
.long YD18
.long YD18
.long YD18
.long YD18
.long YD20
.long YD20
.long YD20
.long YD20
.long YD20
.long YD20
.long YD20
.long YD20
.long YD28
.long YD28
.long YD28
.long YD28
.long YD28
.long YD28
.long YD28
.long YD28
.long YD30
.long YD30
.long YD30
.long YD30
.long YD30
.long YD30
.long YD30
.long YD30
.long YD38
.long YD38
.long YD38
.long YD38
.long YD38
.long YD38
.long YD38
.long YD38
.long YD40
.long YD40
.long YD40
.long YD40
.long YD40
.long YD40
.long YD40
.long YD40
.long YD48
.long YD48
.long YD48
.long YD48
.long YD48
.long YD48
.long YD48
.long YD48
.long YD50
.long YD50
.long YD50
.long YD50
.long YD50
.long YD50
.long YD50
.long YD50
.long YD58
.long YD58
.long YD58
.long YD58
.long YD58
.long YD58
.long YD58
.long YD58
.long YD60
.long YD60
.long YD60
.long YD60
.long YD60
.long YD60
.long YD60
.long YD60
.long YD68
.long YD68
.long YD68
.long YD68
.long YD68
.long YD68
.long YD68
.long YD68
.long YD70
.long YD70
.long YD70
.long YD70
.long YD70
.long YD70
.long YD70
.long YD70
.long YD78
.long YD78
.long YD78
.long YD78
.long YD78
.long YD78
.long YD78
.long YD78
.long YD80
.long YD80
.long YD80
.long YD80
.long YD80
.long YD80
.long YD80
.long YD80
.long YD88
.long YD88
.long YD88
.long YD88
.long YD88
.long YD88
.long YD88
.long YD88
.long YD90
.long YD90
.long YD90
.long YD90
.long YD90
.long YD90
.long YD90
.long YD90
.long YD98
.long YD98
.long YD98
.long YD98
.long YD98
.long YD98
.long YD98
.long YD98
.long YDA0
.long YDA0
.long YDA0
.long YDA0
.long YDA0
.long YDA0
.long YDA0
.long YDA0
.long YDA8
.long YDA8
.long YDA8
.long YDA8
.long YDA8
.long YDA8
.long YDA8
.long YDA8
.long YDB0
.long YDB0
.long YDB0
.long YDB0
.long YDB0
.long YDB0
.long YDB0
.long YDB0
.long YDB8
.long YDB8
.long YDB8
.long YDB8
.long YDB8
.long YDB8
.long YDB8
.long YDB8
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long YE00
.long YE00
.long YE00
.long YE00
.long YE00
.long YE00
.long YE00
.long YE00
.long YE08
.long YE08
.long YE08
.long YE08
.long YE08
.long YE08
.long YE08
.long YE08
.long YE10
.long YE10
.long YE10
.long YE10
.long YE10
.long YE10
.long YE10
.long YE10
.long YE18
.long YE18
.long YE18
.long YE18
.long YE18
.long YE18
.long YE18
.long YE18
.long YE20
.long YE20
.long YE20
.long YE20
.long YE20
.long YE20
.long YE20
.long YE20
.long YE28
.long YE28
.long YE28
.long YE28
.long YE28
.long YE28
.long YE28
.long YE28
.long YE30
.long YE30
.long YE30
.long YE30
.long YE30
.long YE30
.long YE30
.long YE30
.long YE38
.long YE38
.long YE38
.long YE38
.long YE38
.long YE38
.long YE38
.long YE38
.long YE40
.long YE40
.long YE40
.long YE40
.long YE40
.long YE40
.long YE40
.long YE40
.long YE48
.long YE48
.long YE48
.long YE48
.long YE48
.long YE48
.long YE48
.long YE48
.long YE50
.long YE50
.long YE50
.long YE50
.long YE50
.long YE50
.long YE50
.long YE50
.long YE58
.long YE58
.long YE58
.long YE58
.long YE58
.long YE58
.long YE58
.long YE58
.long YE60
.long YE60
.long YE60
.long YE60
.long YE60
.long YE60
.long YE60
.long YE60
.long YE68
.long YE68
.long YE68
.long YE68
.long YE68
.long YE68
.long YE68
.long YE68
.long YE70
.long YE70
.long YE70
.long YE70
.long YE70
.long YE70
.long YE70
.long YE70
.long YE78
.long YE78
.long YE78
.long YE78
.long YE78
.long YE78
.long YE78
.long YE78
.long YE80
.long YE80
.long YE80
.long YE80
.long YE80
.long YE80
.long YE80
.long YE80
.long YE88
.long YE88
.long YE88
.long YE88
.long YE88
.long YE88
.long YE88
.long YE88
.long YE90
.long YE90
.long YE90
.long YE90
.long YE90
.long YE90
.long YE90
.long YE90
.long YE98
.long YE98
.long YE98
.long YE98
.long YE98
.long YE98
.long YE98
.long YE98
.long YEA0
.long YEA0
.long YEA0
.long YEA0
.long YEA0
.long YEA0
.long YEA0
.long YEA0
.long YEA8
.long YEA8
.long YEA8
.long YEA8
.long YEA8
.long YEA8
.long YEA8
.long YEA8
.long YEB0
.long YEB0
.long YEB0
.long YEB0
.long YEB0
.long YEB0
.long YEB0
.long YEB0
.long YEB8
.long YEB8
.long YEB8
.long YEB8
.long YEB8
.long YEB8
.long YEB8
.long YEB8
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long YF00
.long YF00
.long YF00
.long YF00
.long YF00
.long YF00
.long YF00
.long YF00
.long YF08
.long YF08
.long YF08
.long YF08
.long YF08
.long YF08
.long YF08
.long YF08
.long YF10
.long YF10
.long YF10
.long YF10
.long YF10
.long YF10
.long YF10
.long YF10
.long YF18
.long YF18
.long YF18
.long YF18
.long YF18
.long YF18
.long YF18
.long YF18
.long YF20
.long YF20
.long YF20
.long YF20
.long YF20
.long YF20
.long YF20
.long YF20
.long YF28
.long YF28
.long YF28
.long YF28
.long YF28
.long YF28
.long YF28
.long YF28
.long YF30
.long YF30
.long YF30
.long YF30
.long YF30
.long YF30
.long YF30
.long YF30
.long YF38
.long YF38
.long YF38
.long YF38
.long YF38
.long YF38
.long YF38
.long YF38
.long YF40
.long YF40
.long YF40
.long YF40
.long YF40
.long YF40
.long YF40
.long YF40
.long YF48
.long YF48
.long YF48
.long YF48
.long YF48
.long YF48
.long YF48
.long YF48
.long YF50
.long YF50
.long YF50
.long YF50
.long YF50
.long YF50
.long YF50
.long YF50
.long YF58
.long YF58
.long YF58
.long YF58
.long YF58
.long YF58
.long YF58
.long YF58
.long YF60
.long YF60
.long YF60
.long YF60
.long YF60
.long YF60
.long YF60
.long YF60
.long YF68
.long YF68
.long YF68
.long YF68
.long YF68
.long YF68
.long YF68
.long YF68
.long YF70
.long YF70
.long YF70
.long YF70
.long YF70
.long YF70
.long YF70
.long YF70
.long YF78
.long YF78
.long YF78
.long YF78
.long YF78
.long YF78
.long YF78
.long YF78
.long YF80
.long YF80
.long YF80
.long YF80
.long YF80
.long YF80
.long YF80
.long YF80
.long YF88
.long YF88
.long YF88
.long YF88
.long YF88
.long YF88
.long YF88
.long YF88
.long YF90
.long YF90
.long YF90
.long YF90
.long YF90
.long YF90
.long YF90
.long YF90
.long YF98
.long YF98
.long YF98
.long YF98
.long YF98
.long YF98
.long YF98
.long YF98
.long YFA0
.long YFA0
.long YFA0
.long YFA0
.long YFA0
.long YFA0
.long YFA0
.long YFA0
.long YFA8
.long YFA8
.long YFA8
.long YFA8
.long YFA8
.long YFA8
.long YFA8
.long YFA8
.long YFB0
.long YFB0
.long YFB0
.long YFB0
.long YFB0
.long YFB0
.long YFB0
.long YFB0
.long YFB8
.long YFB8
.long YFB8
.long YFB8
.long YFB8
.long YFB8
.long YFB8
.long YFB8
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
.long Z000
jmptbl:
.long K000
.long K000
.long K000
.long K000
.long K000
.long K000
.long K000
.long K000
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K010
.long K010
.long K010
.long K010
.long K010
.long K010
.long K010
.long K010
.long K018
.long K018
.long K018
.long K018
.long K018
.long K018
.long K018
.long K018
.long K020
.long K020
.long K020
.long K020
.long K020
.long K020
.long K020
.long K020
.long K028
.long K028
.long K028
.long K028
.long K028
.long K028
.long K028
.long K028
.long K030
.long K030
.long K030
.long K030
.long K030
.long K030
.long K030
.long K030
.long K038
.long K039
.long r_illegal
.long r_illegal
.long K03C
.long r_illegal
.long r_illegal
.long r_illegal
.long K040
.long K040
.long K040
.long K040
.long K040
.long K040
.long K040
.long K040
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K050
.long K050
.long K050
.long K050
.long K050
.long K050
.long K050
.long K050
.long K058
.long K058
.long K058
.long K058
.long K058
.long K058
.long K058
.long K058
.long K060
.long K060
.long K060
.long K060
.long K060
.long K060
.long K060
.long K060
.long K068
.long K068
.long K068
.long K068
.long K068
.long K068
.long K068
.long K068
.long K070
.long K070
.long K070
.long K070
.long K070
.long K070
.long K070
.long K070
.long K078
.long K079
.long r_illegal
.long r_illegal
.long K07C
.long r_illegal
.long r_illegal
.long r_illegal
.long K080
.long K080
.long K080
.long K080
.long K080
.long K080
.long K080
.long K080
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K090
.long K090
.long K090
.long K090
.long K090
.long K090
.long K090
.long K090
.long K098
.long K098
.long K098
.long K098
.long K098
.long K098
.long K098
.long K098
.long K0A0
.long K0A0
.long K0A0
.long K0A0
.long K0A0
.long K0A0
.long K0A0
.long K0A0
.long K0A8
.long K0A8
.long K0A8
.long K0A8
.long K0A8
.long K0A8
.long K0A8
.long K0A8
.long K0B0
.long K0B0
.long K0B0
.long K0B0
.long K0B0
.long K0B0
.long K0B0
.long K0B0
.long K0B8
.long K0B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K100
.long K100
.long K100
.long K100
.long K100
.long K100
.long K100
.long K100
.long K108
.long K108
.long K108
.long K108
.long K108
.long K108
.long K108
.long K108
.long K110
.long K110
.long K110
.long K110
.long K110
.long K110
.long K110
.long K110
.long K118
.long K118
.long K118
.long K118
.long K118
.long K118
.long K118
.long K118
.long K120
.long K120
.long K120
.long K120
.long K120
.long K120
.long K120
.long K120
.long K128
.long K128
.long K128
.long K128
.long K128
.long K128
.long K128
.long K128
.long K130
.long K130
.long K130
.long K130
.long K130
.long K130
.long K130
.long K130
.long K138
.long K139
.long K13A
.long K13B
.long K13C
.long r_illegal
.long r_illegal
.long r_illegal
.long K140
.long K140
.long K140
.long K140
.long K140
.long K140
.long K140
.long K140
.long K148
.long K148
.long K148
.long K148
.long K148
.long K148
.long K148
.long K148
.long K150
.long K150
.long K150
.long K150
.long K150
.long K150
.long K150
.long K150
.long K158
.long K158
.long K158
.long K158
.long K158
.long K158
.long K158
.long K158
.long K160
.long K160
.long K160
.long K160
.long K160
.long K160
.long K160
.long K160
.long K168
.long K168
.long K168
.long K168
.long K168
.long K168
.long K168
.long K168
.long K170
.long K170
.long K170
.long K170
.long K170
.long K170
.long K170
.long K170
.long K178
.long K179
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K180
.long K180
.long K180
.long K180
.long K180
.long K180
.long K180
.long K180
.long K188
.long K188
.long K188
.long K188
.long K188
.long K188
.long K188
.long K188
.long K190
.long K190
.long K190
.long K190
.long K190
.long K190
.long K190
.long K190
.long K198
.long K198
.long K198
.long K198
.long K198
.long K198
.long K198
.long K198
.long K1A0
.long K1A0
.long K1A0
.long K1A0
.long K1A0
.long K1A0
.long K1A0
.long K1A0
.long K1A8
.long K1A8
.long K1A8
.long K1A8
.long K1A8
.long K1A8
.long K1A8
.long K1A8
.long K1B0
.long K1B0
.long K1B0
.long K1B0
.long K1B0
.long K1B0
.long K1B0
.long K1B0
.long K1B8
.long K1B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K1C0
.long K1C0
.long K1C0
.long K1C0
.long K1C0
.long K1C0
.long K1C0
.long K1C0
.long K1C8
.long K1C8
.long K1C8
.long K1C8
.long K1C8
.long K1C8
.long K1C8
.long K1C8
.long K1D0
.long K1D0
.long K1D0
.long K1D0
.long K1D0
.long K1D0
.long K1D0
.long K1D0
.long K1D8
.long K1D8
.long K1D8
.long K1D8
.long K1D8
.long K1D8
.long K1D8
.long K1D8
.long K1E0
.long K1E0
.long K1E0
.long K1E0
.long K1E0
.long K1E0
.long K1E0
.long K1E0
.long K1E8
.long K1E8
.long K1E8
.long K1E8
.long K1E8
.long K1E8
.long K1E8
.long K1E8
.long K1F0
.long K1F0
.long K1F0
.long K1F0
.long K1F0
.long K1F0
.long K1F0
.long K1F0
.long K1F8
.long K1F9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K200
.long K200
.long K200
.long K200
.long K200
.long K200
.long K200
.long K200
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K210
.long K210
.long K210
.long K210
.long K210
.long K210
.long K210
.long K210
.long K218
.long K218
.long K218
.long K218
.long K218
.long K218
.long K218
.long K218
.long K220
.long K220
.long K220
.long K220
.long K220
.long K220
.long K220
.long K220
.long K228
.long K228
.long K228
.long K228
.long K228
.long K228
.long K228
.long K228
.long K230
.long K230
.long K230
.long K230
.long K230
.long K230
.long K230
.long K230
.long K238
.long K239
.long r_illegal
.long r_illegal
.long K23C
.long r_illegal
.long r_illegal
.long r_illegal
.long K240
.long K240
.long K240
.long K240
.long K240
.long K240
.long K240
.long K240
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K250
.long K250
.long K250
.long K250
.long K250
.long K250
.long K250
.long K250
.long K258
.long K258
.long K258
.long K258
.long K258
.long K258
.long K258
.long K258
.long K260
.long K260
.long K260
.long K260
.long K260
.long K260
.long K260
.long K260
.long K268
.long K268
.long K268
.long K268
.long K268
.long K268
.long K268
.long K268
.long K270
.long K270
.long K270
.long K270
.long K270
.long K270
.long K270
.long K270
.long K278
.long K279
.long r_illegal
.long r_illegal
.long K27C
.long r_illegal
.long r_illegal
.long r_illegal
.long K280
.long K280
.long K280
.long K280
.long K280
.long K280
.long K280
.long K280
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K290
.long K290
.long K290
.long K290
.long K290
.long K290
.long K290
.long K290
.long K298
.long K298
.long K298
.long K298
.long K298
.long K298
.long K298
.long K298
.long K2A0
.long K2A0
.long K2A0
.long K2A0
.long K2A0
.long K2A0
.long K2A0
.long K2A0
.long K2A8
.long K2A8
.long K2A8
.long K2A8
.long K2A8
.long K2A8
.long K2A8
.long K2A8
.long K2B0
.long K2B0
.long K2B0
.long K2B0
.long K2B0
.long K2B0
.long K2B0
.long K2B0
.long K2B8
.long K2B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K300
.long K300
.long K300
.long K300
.long K300
.long K300
.long K300
.long K300
.long K308
.long K308
.long K308
.long K308
.long K308
.long K308
.long K308
.long K308
.long K310
.long K310
.long K310
.long K310
.long K310
.long K310
.long K310
.long K310
.long K318
.long K318
.long K318
.long K318
.long K318
.long K318
.long K318
.long K318
.long K320
.long K320
.long K320
.long K320
.long K320
.long K320
.long K320
.long K320
.long K328
.long K328
.long K328
.long K328
.long K328
.long K328
.long K328
.long K328
.long K330
.long K330
.long K330
.long K330
.long K330
.long K330
.long K330
.long K330
.long K338
.long K339
.long K33A
.long K33B
.long K33C
.long r_illegal
.long r_illegal
.long r_illegal
.long K340
.long K340
.long K340
.long K340
.long K340
.long K340
.long K340
.long K340
.long K348
.long K348
.long K348
.long K348
.long K348
.long K348
.long K348
.long K348
.long K350
.long K350
.long K350
.long K350
.long K350
.long K350
.long K350
.long K350
.long K358
.long K358
.long K358
.long K358
.long K358
.long K358
.long K358
.long K358
.long K360
.long K360
.long K360
.long K360
.long K360
.long K360
.long K360
.long K360
.long K368
.long K368
.long K368
.long K368
.long K368
.long K368
.long K368
.long K368
.long K370
.long K370
.long K370
.long K370
.long K370
.long K370
.long K370
.long K370
.long K378
.long K379
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K380
.long K380
.long K380
.long K380
.long K380
.long K380
.long K380
.long K380
.long K388
.long K388
.long K388
.long K388
.long K388
.long K388
.long K388
.long K388
.long K390
.long K390
.long K390
.long K390
.long K390
.long K390
.long K390
.long K390
.long K398
.long K398
.long K398
.long K398
.long K398
.long K398
.long K398
.long K398
.long K3A0
.long K3A0
.long K3A0
.long K3A0
.long K3A0
.long K3A0
.long K3A0
.long K3A0
.long K3A8
.long K3A8
.long K3A8
.long K3A8
.long K3A8
.long K3A8
.long K3A8
.long K3A8
.long K3B0
.long K3B0
.long K3B0
.long K3B0
.long K3B0
.long K3B0
.long K3B0
.long K3B0
.long K3B8
.long K3B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K3C0
.long K3C0
.long K3C0
.long K3C0
.long K3C0
.long K3C0
.long K3C0
.long K3C0
.long K3C8
.long K3C8
.long K3C8
.long K3C8
.long K3C8
.long K3C8
.long K3C8
.long K3C8
.long K3D0
.long K3D0
.long K3D0
.long K3D0
.long K3D0
.long K3D0
.long K3D0
.long K3D0
.long K3D8
.long K3D8
.long K3D8
.long K3D8
.long K3D8
.long K3D8
.long K3D8
.long K3D8
.long K3E0
.long K3E0
.long K3E0
.long K3E0
.long K3E0
.long K3E0
.long K3E0
.long K3E0
.long K3E8
.long K3E8
.long K3E8
.long K3E8
.long K3E8
.long K3E8
.long K3E8
.long K3E8
.long K3F0
.long K3F0
.long K3F0
.long K3F0
.long K3F0
.long K3F0
.long K3F0
.long K3F0
.long K3F8
.long K3F9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K400
.long K400
.long K400
.long K400
.long K400
.long K400
.long K400
.long K400
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K410
.long K410
.long K410
.long K410
.long K410
.long K410
.long K410
.long K410
.long K418
.long K418
.long K418
.long K418
.long K418
.long K418
.long K418
.long K418
.long K420
.long K420
.long K420
.long K420
.long K420
.long K420
.long K420
.long K420
.long K428
.long K428
.long K428
.long K428
.long K428
.long K428
.long K428
.long K428
.long K430
.long K430
.long K430
.long K430
.long K430
.long K430
.long K430
.long K430
.long K438
.long K439
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K440
.long K440
.long K440
.long K440
.long K440
.long K440
.long K440
.long K440
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K450
.long K450
.long K450
.long K450
.long K450
.long K450
.long K450
.long K450
.long K458
.long K458
.long K458
.long K458
.long K458
.long K458
.long K458
.long K458
.long K460
.long K460
.long K460
.long K460
.long K460
.long K460
.long K460
.long K460
.long K468
.long K468
.long K468
.long K468
.long K468
.long K468
.long K468
.long K468
.long K470
.long K470
.long K470
.long K470
.long K470
.long K470
.long K470
.long K470
.long K478
.long K479
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K480
.long K480
.long K480
.long K480
.long K480
.long K480
.long K480
.long K480
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K490
.long K490
.long K490
.long K490
.long K490
.long K490
.long K490
.long K490
.long K498
.long K498
.long K498
.long K498
.long K498
.long K498
.long K498
.long K498
.long K4A0
.long K4A0
.long K4A0
.long K4A0
.long K4A0
.long K4A0
.long K4A0
.long K4A0
.long K4A8
.long K4A8
.long K4A8
.long K4A8
.long K4A8
.long K4A8
.long K4A8
.long K4A8
.long K4B0
.long K4B0
.long K4B0
.long K4B0
.long K4B0
.long K4B0
.long K4B0
.long K4B0
.long K4B8
.long K4B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K500
.long K500
.long K500
.long K500
.long K500
.long K500
.long K500
.long K500
.long K508
.long K508
.long K508
.long K508
.long K508
.long K508
.long K508
.long K508
.long K510
.long K510
.long K510
.long K510
.long K510
.long K510
.long K510
.long K510
.long K518
.long K518
.long K518
.long K518
.long K518
.long K518
.long K518
.long K518
.long K520
.long K520
.long K520
.long K520
.long K520
.long K520
.long K520
.long K520
.long K528
.long K528
.long K528
.long K528
.long K528
.long K528
.long K528
.long K528
.long K530
.long K530
.long K530
.long K530
.long K530
.long K530
.long K530
.long K530
.long K538
.long K539
.long K53A
.long K53B
.long K53C
.long r_illegal
.long r_illegal
.long r_illegal
.long K540
.long K540
.long K540
.long K540
.long K540
.long K540
.long K540
.long K540
.long K548
.long K548
.long K548
.long K548
.long K548
.long K548
.long K548
.long K548
.long K550
.long K550
.long K550
.long K550
.long K550
.long K550
.long K550
.long K550
.long K558
.long K558
.long K558
.long K558
.long K558
.long K558
.long K558
.long K558
.long K560
.long K560
.long K560
.long K560
.long K560
.long K560
.long K560
.long K560
.long K568
.long K568
.long K568
.long K568
.long K568
.long K568
.long K568
.long K568
.long K570
.long K570
.long K570
.long K570
.long K570
.long K570
.long K570
.long K570
.long K578
.long K579
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K580
.long K580
.long K580
.long K580
.long K580
.long K580
.long K580
.long K580
.long K588
.long K588
.long K588
.long K588
.long K588
.long K588
.long K588
.long K588
.long K590
.long K590
.long K590
.long K590
.long K590
.long K590
.long K590
.long K590
.long K598
.long K598
.long K598
.long K598
.long K598
.long K598
.long K598
.long K598
.long K5A0
.long K5A0
.long K5A0
.long K5A0
.long K5A0
.long K5A0
.long K5A0
.long K5A0
.long K5A8
.long K5A8
.long K5A8
.long K5A8
.long K5A8
.long K5A8
.long K5A8
.long K5A8
.long K5B0
.long K5B0
.long K5B0
.long K5B0
.long K5B0
.long K5B0
.long K5B0
.long K5B0
.long K5B8
.long K5B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K5C0
.long K5C0
.long K5C0
.long K5C0
.long K5C0
.long K5C0
.long K5C0
.long K5C0
.long K5C8
.long K5C8
.long K5C8
.long K5C8
.long K5C8
.long K5C8
.long K5C8
.long K5C8
.long K5D0
.long K5D0
.long K5D0
.long K5D0
.long K5D0
.long K5D0
.long K5D0
.long K5D0
.long K5D8
.long K5D8
.long K5D8
.long K5D8
.long K5D8
.long K5D8
.long K5D8
.long K5D8
.long K5E0
.long K5E0
.long K5E0
.long K5E0
.long K5E0
.long K5E0
.long K5E0
.long K5E0
.long K5E8
.long K5E8
.long K5E8
.long K5E8
.long K5E8
.long K5E8
.long K5E8
.long K5E8
.long K5F0
.long K5F0
.long K5F0
.long K5F0
.long K5F0
.long K5F0
.long K5F0
.long K5F0
.long K5F8
.long K5F9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K600
.long K600
.long K600
.long K600
.long K600
.long K600
.long K600
.long K600
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K610
.long K610
.long K610
.long K610
.long K610
.long K610
.long K610
.long K610
.long K618
.long K618
.long K618
.long K618
.long K618
.long K618
.long K618
.long K618
.long K620
.long K620
.long K620
.long K620
.long K620
.long K620
.long K620
.long K620
.long K628
.long K628
.long K628
.long K628
.long K628
.long K628
.long K628
.long K628
.long K630
.long K630
.long K630
.long K630
.long K630
.long K630
.long K630
.long K630
.long K638
.long K639
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K640
.long K640
.long K640
.long K640
.long K640
.long K640
.long K640
.long K640
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K650
.long K650
.long K650
.long K650
.long K650
.long K650
.long K650
.long K650
.long K658
.long K658
.long K658
.long K658
.long K658
.long K658
.long K658
.long K658
.long K660
.long K660
.long K660
.long K660
.long K660
.long K660
.long K660
.long K660
.long K668
.long K668
.long K668
.long K668
.long K668
.long K668
.long K668
.long K668
.long K670
.long K670
.long K670
.long K670
.long K670
.long K670
.long K670
.long K670
.long K678
.long K679
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K680
.long K680
.long K680
.long K680
.long K680
.long K680
.long K680
.long K680
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K690
.long K690
.long K690
.long K690
.long K690
.long K690
.long K690
.long K690
.long K698
.long K698
.long K698
.long K698
.long K698
.long K698
.long K698
.long K698
.long K6A0
.long K6A0
.long K6A0
.long K6A0
.long K6A0
.long K6A0
.long K6A0
.long K6A0
.long K6A8
.long K6A8
.long K6A8
.long K6A8
.long K6A8
.long K6A8
.long K6A8
.long K6A8
.long K6B0
.long K6B0
.long K6B0
.long K6B0
.long K6B0
.long K6B0
.long K6B0
.long K6B0
.long K6B8
.long K6B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K700
.long K700
.long K700
.long K700
.long K700
.long K700
.long K700
.long K700
.long K708
.long K708
.long K708
.long K708
.long K708
.long K708
.long K708
.long K708
.long K710
.long K710
.long K710
.long K710
.long K710
.long K710
.long K710
.long K710
.long K718
.long K718
.long K718
.long K718
.long K718
.long K718
.long K718
.long K718
.long K720
.long K720
.long K720
.long K720
.long K720
.long K720
.long K720
.long K720
.long K728
.long K728
.long K728
.long K728
.long K728
.long K728
.long K728
.long K728
.long K730
.long K730
.long K730
.long K730
.long K730
.long K730
.long K730
.long K730
.long K738
.long K739
.long K73A
.long K73B
.long K73C
.long r_illegal
.long r_illegal
.long r_illegal
.long K740
.long K740
.long K740
.long K740
.long K740
.long K740
.long K740
.long K740
.long K748
.long K748
.long K748
.long K748
.long K748
.long K748
.long K748
.long K748
.long K750
.long K750
.long K750
.long K750
.long K750
.long K750
.long K750
.long K750
.long K758
.long K758
.long K758
.long K758
.long K758
.long K758
.long K758
.long K758
.long K760
.long K760
.long K760
.long K760
.long K760
.long K760
.long K760
.long K760
.long K768
.long K768
.long K768
.long K768
.long K768
.long K768
.long K768
.long K768
.long K770
.long K770
.long K770
.long K770
.long K770
.long K770
.long K770
.long K770
.long K778
.long K779
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K780
.long K780
.long K780
.long K780
.long K780
.long K780
.long K780
.long K780
.long K788
.long K788
.long K788
.long K788
.long K788
.long K788
.long K788
.long K788
.long K790
.long K790
.long K790
.long K790
.long K790
.long K790
.long K790
.long K790
.long K798
.long K798
.long K798
.long K798
.long K798
.long K798
.long K798
.long K798
.long K7A0
.long K7A0
.long K7A0
.long K7A0
.long K7A0
.long K7A0
.long K7A0
.long K7A0
.long K7A8
.long K7A8
.long K7A8
.long K7A8
.long K7A8
.long K7A8
.long K7A8
.long K7A8
.long K7B0
.long K7B0
.long K7B0
.long K7B0
.long K7B0
.long K7B0
.long K7B0
.long K7B0
.long K7B8
.long K7B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K7C0
.long K7C0
.long K7C0
.long K7C0
.long K7C0
.long K7C0
.long K7C0
.long K7C0
.long K7C8
.long K7C8
.long K7C8
.long K7C8
.long K7C8
.long K7C8
.long K7C8
.long K7C8
.long K7D0
.long K7D0
.long K7D0
.long K7D0
.long K7D0
.long K7D0
.long K7D0
.long K7D0
.long K7D8
.long K7D8
.long K7D8
.long K7D8
.long K7D8
.long K7D8
.long K7D8
.long K7D8
.long K7E0
.long K7E0
.long K7E0
.long K7E0
.long K7E0
.long K7E0
.long K7E0
.long K7E0
.long K7E8
.long K7E8
.long K7E8
.long K7E8
.long K7E8
.long K7E8
.long K7E8
.long K7E8
.long K7F0
.long K7F0
.long K7F0
.long K7F0
.long K7F0
.long K7F0
.long K7F0
.long K7F0
.long K7F8
.long K7F9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K800
.long K800
.long K800
.long K800
.long K800
.long K800
.long K800
.long K800
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K810
.long K810
.long K810
.long K810
.long K810
.long K810
.long K810
.long K810
.long K818
.long K818
.long K818
.long K818
.long K818
.long K818
.long K818
.long K818
.long K820
.long K820
.long K820
.long K820
.long K820
.long K820
.long K820
.long K820
.long K828
.long K828
.long K828
.long K828
.long K828
.long K828
.long K828
.long K828
.long K830
.long K830
.long K830
.long K830
.long K830
.long K830
.long K830
.long K830
.long K838
.long K839
.long K83A
.long K83B
.long K83C
.long r_illegal
.long r_illegal
.long r_illegal
.long K840
.long K840
.long K840
.long K840
.long K840
.long K840
.long K840
.long K840
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K850
.long K850
.long K850
.long K850
.long K850
.long K850
.long K850
.long K850
.long K858
.long K858
.long K858
.long K858
.long K858
.long K858
.long K858
.long K858
.long K860
.long K860
.long K860
.long K860
.long K860
.long K860
.long K860
.long K860
.long K868
.long K868
.long K868
.long K868
.long K868
.long K868
.long K868
.long K868
.long K870
.long K870
.long K870
.long K870
.long K870
.long K870
.long K870
.long K870
.long K878
.long K879
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K880
.long K880
.long K880
.long K880
.long K880
.long K880
.long K880
.long K880
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K890
.long K890
.long K890
.long K890
.long K890
.long K890
.long K890
.long K890
.long K898
.long K898
.long K898
.long K898
.long K898
.long K898
.long K898
.long K898
.long K8A0
.long K8A0
.long K8A0
.long K8A0
.long K8A0
.long K8A0
.long K8A0
.long K8A0
.long K8A8
.long K8A8
.long K8A8
.long K8A8
.long K8A8
.long K8A8
.long K8A8
.long K8A8
.long K8B0
.long K8B0
.long K8B0
.long K8B0
.long K8B0
.long K8B0
.long K8B0
.long K8B0
.long K8B8
.long K8B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K8C0
.long K8C0
.long K8C0
.long K8C0
.long K8C0
.long K8C0
.long K8C0
.long K8C0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K8D0
.long K8D0
.long K8D0
.long K8D0
.long K8D0
.long K8D0
.long K8D0
.long K8D0
.long K8D8
.long K8D8
.long K8D8
.long K8D8
.long K8D8
.long K8D8
.long K8D8
.long K8D8
.long K8E0
.long K8E0
.long K8E0
.long K8E0
.long K8E0
.long K8E0
.long K8E0
.long K8E0
.long K8E8
.long K8E8
.long K8E8
.long K8E8
.long K8E8
.long K8E8
.long K8E8
.long K8E8
.long K8F0
.long K8F0
.long K8F0
.long K8F0
.long K8F0
.long K8F0
.long K8F0
.long K8F0
.long K8F8
.long K8F9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K900
.long K900
.long K900
.long K900
.long K900
.long K900
.long K900
.long K900
.long K908
.long K908
.long K908
.long K908
.long K908
.long K908
.long K908
.long K908
.long K910
.long K910
.long K910
.long K910
.long K910
.long K910
.long K910
.long K910
.long K918
.long K918
.long K918
.long K918
.long K918
.long K918
.long K918
.long K918
.long K920
.long K920
.long K920
.long K920
.long K920
.long K920
.long K920
.long K920
.long K928
.long K928
.long K928
.long K928
.long K928
.long K928
.long K928
.long K928
.long K930
.long K930
.long K930
.long K930
.long K930
.long K930
.long K930
.long K930
.long K938
.long K939
.long K93A
.long K93B
.long K93C
.long r_illegal
.long r_illegal
.long r_illegal
.long K940
.long K940
.long K940
.long K940
.long K940
.long K940
.long K940
.long K940
.long K948
.long K948
.long K948
.long K948
.long K948
.long K948
.long K948
.long K948
.long K950
.long K950
.long K950
.long K950
.long K950
.long K950
.long K950
.long K950
.long K958
.long K958
.long K958
.long K958
.long K958
.long K958
.long K958
.long K958
.long K960
.long K960
.long K960
.long K960
.long K960
.long K960
.long K960
.long K960
.long K968
.long K968
.long K968
.long K968
.long K968
.long K968
.long K968
.long K968
.long K970
.long K970
.long K970
.long K970
.long K970
.long K970
.long K970
.long K970
.long K978
.long K979
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K980
.long K980
.long K980
.long K980
.long K980
.long K980
.long K980
.long K980
.long K988
.long K988
.long K988
.long K988
.long K988
.long K988
.long K988
.long K988
.long K990
.long K990
.long K990
.long K990
.long K990
.long K990
.long K990
.long K990
.long K998
.long K998
.long K998
.long K998
.long K998
.long K998
.long K998
.long K998
.long K9A0
.long K9A0
.long K9A0
.long K9A0
.long K9A0
.long K9A0
.long K9A0
.long K9A0
.long K9A8
.long K9A8
.long K9A8
.long K9A8
.long K9A8
.long K9A8
.long K9A8
.long K9A8
.long K9B0
.long K9B0
.long K9B0
.long K9B0
.long K9B0
.long K9B0
.long K9B0
.long K9B0
.long K9B8
.long K9B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long K9C0
.long K9C0
.long K9C0
.long K9C0
.long K9C0
.long K9C0
.long K9C0
.long K9C0
.long K9C8
.long K9C8
.long K9C8
.long K9C8
.long K9C8
.long K9C8
.long K9C8
.long K9C8
.long K9D0
.long K9D0
.long K9D0
.long K9D0
.long K9D0
.long K9D0
.long K9D0
.long K9D0
.long K9D8
.long K9D8
.long K9D8
.long K9D8
.long K9D8
.long K9D8
.long K9D8
.long K9D8
.long K9E0
.long K9E0
.long K9E0
.long K9E0
.long K9E0
.long K9E0
.long K9E0
.long K9E0
.long K9E8
.long K9E8
.long K9E8
.long K9E8
.long K9E8
.long K9E8
.long K9E8
.long K9E8
.long K9F0
.long K9F0
.long K9F0
.long K9F0
.long K9F0
.long K9F0
.long K9F0
.long K9F0
.long K9F8
.long K9F9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long KA00
.long KA00
.long KA00
.long KA00
.long KA00
.long KA00
.long KA00
.long KA00
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long KA10
.long KA10
.long KA10
.long KA10
.long KA10
.long KA10
.long KA10
.long KA10
.long KA18
.long KA18
.long KA18
.long KA18
.long KA18
.long KA18
.long KA18
.long KA18
.long KA20
.long KA20
.long KA20
.long KA20
.long KA20
.long KA20
.long KA20
.long KA20
.long KA28
.long KA28
.long KA28
.long KA28
.long KA28
.long KA28
.long KA28
.long KA28
.long KA30
.long KA30
.long KA30
.long KA30
.long KA30
.long KA30
.long KA30
.long KA30
.long KA38
.long KA39
.long r_illegal
.long r_illegal
.long KA3C
.long r_illegal
.long r_illegal
.long r_illegal
.long KA40
.long KA40
.long KA40
.long KA40
.long KA40
.long KA40
.long KA40
.long KA40
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long KA50
.long KA50
.long KA50
.long KA50
.long KA50
.long KA50
.long KA50
.long KA50
.long KA58
.long KA58
.long KA58
.long KA58
.long KA58
.long KA58
.long KA58
.long KA58
.long KA60
.long KA60
.long KA60
.long KA60
.long KA60
.long KA60
.long KA60
.long KA60
.long KA68
.long KA68
.long KA68
.long KA68
.long KA68
.long KA68
.long KA68
.long KA68
.long KA70
.long KA70
.long KA70
.long KA70
.long KA70
.long KA70
.long KA70
.long KA70
.long KA78
.long KA79
.long r_illegal
.long r_illegal
.long KA7C
.long r_illegal
.long r_illegal
.long r_illegal
.long KA80
.long KA80
.long KA80
.long KA80
.long KA80
.long KA80
.long KA80
.long KA80
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long KA90
.long KA90
.long KA90
.long KA90
.long KA90
.long KA90
.long KA90
.long KA90
.long KA98
.long KA98
.long KA98
.long KA98
.long KA98
.long KA98
.long KA98
.long KA98
.long KAA0
.long KAA0
.long KAA0
.long KAA0
.long KAA0
.long KAA0
.long KAA0
.long KAA0
.long KAA8
.long KAA8
.long KAA8
.long KAA8
.long KAA8
.long KAA8
.long KAA8
.long KAA8
.long KAB0
.long KAB0
.long KAB0
.long KAB0
.long KAB0
.long KAB0
.long KAB0
.long KAB0
.long KAB8
.long KAB9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long KB00
.long KB00
.long KB00
.long KB00
.long KB00
.long KB00
.long KB00
.long KB00
.long KB08
.long KB08
.long KB08
.long KB08
.long KB08
.long KB08
.long KB08
.long KB08
.long KB10
.long KB10
.long KB10
.long KB10
.long KB10
.long KB10
.long KB10
.long KB10
.long KB18
.long KB18
.long KB18
.long KB18
.long KB18
.long KB18
.long KB18
.long KB18
.long KB20
.long KB20
.long KB20
.long KB20
.long KB20
.long KB20
.long KB20
.long KB20
.long KB28
.long KB28
.long KB28
.long KB28
.long KB28
.long KB28
.long KB28
.long KB28
.long KB30
.long KB30
.long KB30
.long KB30
.long KB30
.long KB30
.long KB30
.long KB30
.long KB38
.long KB39
.long KB3A
.long KB3B
.long KB3C
.long r_illegal
.long r_illegal
.long r_illegal
.long KB40
.long KB40
.long KB40
.long KB40
.long KB40
.long KB40
.long KB40
.long KB40
.long KB48
.long KB48
.long KB48
.long KB48
.long KB48
.long KB48
.long KB48
.long KB48
.long KB50
.long KB50
.long KB50
.long KB50
.long KB50
.long KB50
.long KB50
.long KB50
.long KB58
.long KB58
.long KB58
.long KB58
.long KB58
.long KB58
.long KB58
.long KB58
.long KB60
.long KB60
.long KB60
.long KB60
.long KB60
.long KB60
.long KB60
.long KB60
.long KB68
.long KB68
.long KB68
.long KB68
.long KB68
.long KB68
.long KB68
.long KB68
.long KB70
.long KB70
.long KB70
.long KB70
.long KB70
.long KB70
.long KB70
.long KB70
.long KB78
.long KB79
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long KB80
.long KB80
.long KB80
.long KB80
.long KB80
.long KB80
.long KB80
.long KB80
.long KB88
.long KB88
.long KB88
.long KB88
.long KB88
.long KB88
.long KB88
.long KB88
.long KB90
.long KB90
.long KB90
.long KB90
.long KB90
.long KB90
.long KB90
.long KB90
.long KB98
.long KB98
.long KB98
.long KB98
.long KB98
.long KB98
.long KB98
.long KB98
.long KBA0
.long KBA0
.long KBA0
.long KBA0
.long KBA0
.long KBA0
.long KBA0
.long KBA0
.long KBA8
.long KBA8
.long KBA8
.long KBA8
.long KBA8
.long KBA8
.long KBA8
.long KBA8
.long KBB0
.long KBB0
.long KBB0
.long KBB0
.long KBB0
.long KBB0
.long KBB0
.long KBB0
.long KBB8
.long KBB9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long KBC0
.long KBC0
.long KBC0
.long KBC0
.long KBC0
.long KBC0
.long KBC0
.long KBC0
.long KBC8
.long KBC8
.long KBC8
.long KBC8
.long KBC8
.long KBC8
.long KBC8
.long KBC8
.long KBD0
.long KBD0
.long KBD0
.long KBD0
.long KBD0
.long KBD0
.long KBD0
.long KBD0
.long KBD8
.long KBD8
.long KBD8
.long KBD8
.long KBD8
.long KBD8
.long KBD8
.long KBD8
.long KBE0
.long KBE0
.long KBE0
.long KBE0
.long KBE0
.long KBE0
.long KBE0
.long KBE0
.long KBE8
.long KBE8
.long KBE8
.long KBE8
.long KBE8
.long KBE8
.long KBE8
.long KBE8
.long KBF0
.long KBF0
.long KBF0
.long KBF0
.long KBF0
.long KBF0
.long KBF0
.long KBF0
.long KBF8
.long KBF9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long KC00
.long KC00
.long KC00
.long KC00
.long KC00
.long KC00
.long KC00
.long KC00
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long KC10
.long KC10
.long KC10
.long KC10
.long KC10
.long KC10
.long KC10
.long KC10
.long KC18
.long KC18
.long KC18
.long KC18
.long KC18
.long KC18
.long KC18
.long KC18
.long KC20
.long KC20
.long KC20
.long KC20
.long KC20
.long KC20
.long KC20
.long KC20
.long KC28
.long KC28
.long KC28
.long KC28
.long KC28
.long KC28
.long KC28
.long KC28
.long KC30
.long KC30
.long KC30
.long KC30
.long KC30
.long KC30
.long KC30
.long KC30
.long KC38
.long KC39
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long KC40
.long KC40
.long KC40
.long KC40
.long KC40
.long KC40
.long KC40
.long KC40
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long KC50
.long KC50
.long KC50
.long KC50
.long KC50
.long KC50
.long KC50
.long KC50
.long KC58
.long KC58
.long KC58
.long KC58
.long KC58
.long KC58
.long KC58
.long KC58
.long KC60
.long KC60
.long KC60
.long KC60
.long KC60
.long KC60
.long KC60
.long KC60
.long KC68
.long KC68
.long KC68
.long KC68
.long KC68
.long KC68
.long KC68
.long KC68
.long KC70
.long KC70
.long KC70
.long KC70
.long KC70
.long KC70
.long KC70
.long KC70
.long KC78
.long KC79
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long KC80
.long KC80
.long KC80
.long KC80
.long KC80
.long KC80
.long KC80
.long KC80
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long KC90
.long KC90
.long KC90
.long KC90
.long KC90
.long KC90
.long KC90
.long KC90
.long KC98
.long KC98
.long KC98
.long KC98
.long KC98
.long KC98
.long KC98
.long KC98
.long KCA0
.long KCA0
.long KCA0
.long KCA0
.long KCA0
.long KCA0
.long KCA0
.long KCA0
.long KCA8
.long KCA8
.long KCA8
.long KCA8
.long KCA8
.long KCA8
.long KCA8
.long KCA8
.long KCB0
.long KCB0
.long KCB0
.long KCB0
.long KCB0
.long KCB0
.long KCB0
.long KCB0
.long KCB8
.long KCB9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long KD00
.long KD00
.long KD00
.long KD00
.long KD00
.long KD00
.long KD00
.long KD00
.long KD08
.long KD08
.long KD08
.long KD08
.long KD08
.long KD08
.long KD08
.long KD08
.long KD10
.long KD10
.long KD10
.long KD10
.long KD10
.long KD10
.long KD10
.long KD10
.long KD18
.long KD18
.long KD18
.long KD18
.long KD18
.long KD18
.long KD18
.long KD18
.long KD20
.long KD20
.long KD20
.long KD20
.long KD20
.long KD20
.long KD20
.long KD20
.long KD28
.long KD28
.long KD28
.long KD28
.long KD28
.long KD28
.long KD28
.long KD28
.long KD30
.long KD30
.long KD30
.long KD30
.long KD30
.long KD30
.long KD30
.long KD30
.long KD38
.long KD39
.long KD3A
.long KD3B
.long KD3C
.long r_illegal
.long r_illegal
.long r_illegal
.long KD40
.long KD40
.long KD40
.long KD40
.long KD40
.long KD40
.long KD40
.long KD40
.long KD48
.long KD48
.long KD48
.long KD48
.long KD48
.long KD48
.long KD48
.long KD48
.long KD50
.long KD50
.long KD50
.long KD50
.long KD50
.long KD50
.long KD50
.long KD50
.long KD58
.long KD58
.long KD58
.long KD58
.long KD58
.long KD58
.long KD58
.long KD58
.long KD60
.long KD60
.long KD60
.long KD60
.long KD60
.long KD60
.long KD60
.long KD60
.long KD68
.long KD68
.long KD68
.long KD68
.long KD68
.long KD68
.long KD68
.long KD68
.long KD70
.long KD70
.long KD70
.long KD70
.long KD70
.long KD70
.long KD70
.long KD70
.long KD78
.long KD79
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long KD80
.long KD80
.long KD80
.long KD80
.long KD80
.long KD80
.long KD80
.long KD80
.long KD88
.long KD88
.long KD88
.long KD88
.long KD88
.long KD88
.long KD88
.long KD88
.long KD90
.long KD90
.long KD90
.long KD90
.long KD90
.long KD90
.long KD90
.long KD90
.long KD98
.long KD98
.long KD98
.long KD98
.long KD98
.long KD98
.long KD98
.long KD98
.long KDA0
.long KDA0
.long KDA0
.long KDA0
.long KDA0
.long KDA0
.long KDA0
.long KDA0
.long KDA8
.long KDA8
.long KDA8
.long KDA8
.long KDA8
.long KDA8
.long KDA8
.long KDA8
.long KDB0
.long KDB0
.long KDB0
.long KDB0
.long KDB0
.long KDB0
.long KDB0
.long KDB0
.long KDB8
.long KDB9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long KDC0
.long KDC0
.long KDC0
.long KDC0
.long KDC0
.long KDC0
.long KDC0
.long KDC0
.long KDC8
.long KDC8
.long KDC8
.long KDC8
.long KDC8
.long KDC8
.long KDC8
.long KDC8
.long KDD0
.long KDD0
.long KDD0
.long KDD0
.long KDD0
.long KDD0
.long KDD0
.long KDD0
.long KDD8
.long KDD8
.long KDD8
.long KDD8
.long KDD8
.long KDD8
.long KDD8
.long KDD8
.long KDE0
.long KDE0
.long KDE0
.long KDE0
.long KDE0
.long KDE0
.long KDE0
.long KDE0
.long KDE8
.long KDE8
.long KDE8
.long KDE8
.long KDE8
.long KDE8
.long KDE8
.long KDE8
.long KDF0
.long KDF0
.long KDF0
.long KDF0
.long KDF0
.long KDF0
.long KDF0
.long KDF0
.long KDF8
.long KDF9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long KF00
.long KF00
.long KF00
.long KF00
.long KF00
.long KF00
.long KF00
.long KF00
.long KF08
.long KF08
.long KF08
.long KF08
.long KF08
.long KF08
.long KF08
.long KF08
.long KF10
.long KF10
.long KF10
.long KF10
.long KF10
.long KF10
.long KF10
.long KF10
.long KF18
.long KF18
.long KF18
.long KF18
.long KF18
.long KF18
.long KF18
.long KF18
.long KF20
.long KF20
.long KF20
.long KF20
.long KF20
.long KF20
.long KF20
.long KF20
.long KF28
.long KF28
.long KF28
.long KF28
.long KF28
.long KF28
.long KF28
.long KF28
.long KF30
.long KF30
.long KF30
.long KF30
.long KF30
.long KF30
.long KF30
.long KF30
.long KF38
.long KF39
.long KF3A
.long KF3B
.long KF3C
.long r_illegal
.long r_illegal
.long r_illegal
.long KF40
.long KF40
.long KF40
.long KF40
.long KF40
.long KF40
.long KF40
.long KF40
.long KF48
.long KF48
.long KF48
.long KF48
.long KF48
.long KF48
.long KF48
.long KF48
.long KF50
.long KF50
.long KF50
.long KF50
.long KF50
.long KF50
.long KF50
.long KF50
.long KF58
.long KF58
.long KF58
.long KF58
.long KF58
.long KF58
.long KF58
.long KF58
.long KF60
.long KF60
.long KF60
.long KF60
.long KF60
.long KF60
.long KF60
.long KF60
.long KF68
.long KF68
.long KF68
.long KF68
.long KF68
.long KF68
.long KF68
.long KF68
.long KF70
.long KF70
.long KF70
.long KF70
.long KF70
.long KF70
.long KF70
.long KF70
.long KF78
.long KF79
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long KF80
.long KF80
.long KF80
.long KF80
.long KF80
.long KF80
.long KF80
.long KF80
.long KF88
.long KF88
.long KF88
.long KF88
.long KF88
.long KF88
.long KF88
.long KF88
.long KF90
.long KF90
.long KF90
.long KF90
.long KF90
.long KF90
.long KF90
.long KF90
.long KF98
.long KF98
.long KF98
.long KF98
.long KF98
.long KF98
.long KF98
.long KF98
.long KFA0
.long KFA0
.long KFA0
.long KFA0
.long KFA0
.long KFA0
.long KFA0
.long KFA0
.long KFA8
.long KFA8
.long KFA8
.long KFA8
.long KFA8
.long KFA8
.long KFA8
.long KFA8
.long KFB0
.long KFB0
.long KFB0
.long KFB0
.long KFB0
.long KFB0
.long KFB0
.long KFB0
.long KFB8
.long KFB9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long KFC0
.long KFC0
.long KFC0
.long KFC0
.long KFC0
.long KFC0
.long KFC0
.long KFC0
.long KFC8
.long KFC8
.long KFC8
.long KFC8
.long KFC8
.long KFC8
.long KFC8
.long KFC8
.long KFD0
.long KFD0
.long KFD0
.long KFD0
.long KFD0
.long KFD0
.long KFD0
.long KFD0
.long KFD8
.long KFD8
.long KFD8
.long KFD8
.long KFD8
.long KFD8
.long KFD8
.long KFD8
.long KFE0
.long KFE0
.long KFE0
.long KFE0
.long KFE0
.long KFE0
.long KFE0
.long KFE0
.long KFE8
.long KFE8
.long KFE8
.long KFE8
.long KFE8
.long KFE8
.long KFE8
.long KFE8
.long KFF0
.long KFF0
.long KFF0
.long KFF0
.long KFF0
.long KFF0
.long KFF0
.long KFF0
.long KFF8
.long KFF9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long L000
.long L000
.long L000
.long L000
.long L000
.long L000
.long L000
.long L000
.long L008
.long L008
.long L008
.long L008
.long L008
.long L008
.long L008
.long L008
.long L010
.long L010
.long L010
.long L010
.long L010
.long L010
.long L010
.long L010
.long L018
.long L018
.long L018
.long L018
.long L018
.long L018
.long L018
.long L018
.long L020
.long L020
.long L020
.long L020
.long L020
.long L020
.long L020
.long L020
.long L028
.long L028
.long L028
.long L028
.long L028
.long L028
.long L028
.long L028
.long L030
.long L030
.long L030
.long L030
.long L030
.long L030
.long L030
.long L030
.long L038
.long L039
.long L03A
.long L03B
.long L03C
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long L080
.long L080
.long L080
.long L080
.long L080
.long L080
.long L080
.long L080
.long L088
.long L088
.long L088
.long L088
.long L088
.long L088
.long L088
.long L088
.long L090
.long L090
.long L090
.long L090
.long L090
.long L090
.long L090
.long L090
.long L098
.long L098
.long L098
.long L098
.long L098
.long L098
.long L098
.long L098
.long L0A0
.long L0A0
.long L0A0
.long L0A0
.long L0A0
.long L0A0
.long L0A0
.long L0A0
.long L0A8
.long L0A8
.long L0A8
.long L0A8
.long L0A8
.long L0A8
.long L0A8
.long L0A8
.long L0B0
.long L0B0
.long L0B0
.long L0B0
.long L0B0
.long L0B0
.long L0B0
.long L0B0
.long L0B8
.long L0B9
.long L0BA
.long L0BB
.long L0BC
.long r_illegal
.long r_illegal
.long r_illegal
.long L0C0
.long L0C0
.long L0C0
.long L0C0
.long L0C0
.long L0C0
.long L0C0
.long L0C0
.long L0C8
.long L0C8
.long L0C8
.long L0C8
.long L0C8
.long L0C8
.long L0C8
.long L0C8
.long L0D0
.long L0D0
.long L0D0
.long L0D0
.long L0D0
.long L0D0
.long L0D0
.long L0D0
.long L0D8
.long L0D8
.long L0D8
.long L0D8
.long L0D8
.long L0D8
.long L0D8
.long L0D8
.long L0E0
.long L0E0
.long L0E0
.long L0E0
.long L0E0
.long L0E0
.long L0E0
.long L0E0
.long L0E8
.long L0E8
.long L0E8
.long L0E8
.long L0E8
.long L0E8
.long L0E8
.long L0E8
.long L0F0
.long L0F0
.long L0F0
.long L0F0
.long L0F0
.long L0F0
.long L0F0
.long L0F0
.long L0F8
.long L0F9
.long L0FA
.long L0FB
.long L0FC
.long r_illegal
.long r_illegal
.long r_illegal
.long L100
.long L100
.long L100
.long L100
.long L100
.long L100
.long L100
.long L100
.long L108
.long L108
.long L108
.long L108
.long L108
.long L108
.long L108
.long L108
.long L110
.long L110
.long L110
.long L110
.long L110
.long L110
.long L110
.long L110
.long L118
.long L118
.long L118
.long L118
.long L118
.long L118
.long L118
.long L118
.long L120
.long L120
.long L120
.long L120
.long L120
.long L120
.long L120
.long L120
.long L128
.long L128
.long L128
.long L128
.long L128
.long L128
.long L128
.long L128
.long L130
.long L130
.long L130
.long L130
.long L130
.long L130
.long L130
.long L130
.long L138
.long L139
.long L13A
.long L13B
.long L13C
.long r_illegal
.long r_illegal
.long r_illegal
.long L140
.long L140
.long L140
.long L140
.long L140
.long L140
.long L140
.long L140
.long L148
.long L148
.long L148
.long L148
.long L148
.long L148
.long L148
.long L148
.long L150
.long L150
.long L150
.long L150
.long L150
.long L150
.long L150
.long L150
.long L158
.long L158
.long L158
.long L158
.long L158
.long L158
.long L158
.long L158
.long L160
.long L160
.long L160
.long L160
.long L160
.long L160
.long L160
.long L160
.long L168
.long L168
.long L168
.long L168
.long L168
.long L168
.long L168
.long L168
.long L170
.long L170
.long L170
.long L170
.long L170
.long L170
.long L170
.long L170
.long L178
.long L179
.long L17A
.long L17B
.long L17C
.long r_illegal
.long r_illegal
.long r_illegal
.long L180
.long L180
.long L180
.long L180
.long L180
.long L180
.long L180
.long L180
.long L188
.long L188
.long L188
.long L188
.long L188
.long L188
.long L188
.long L188
.long L190
.long L190
.long L190
.long L190
.long L190
.long L190
.long L190
.long L190
.long L198
.long L198
.long L198
.long L198
.long L198
.long L198
.long L198
.long L198
.long L1A0
.long L1A0
.long L1A0
.long L1A0
.long L1A0
.long L1A0
.long L1A0
.long L1A0
.long L1A8
.long L1A8
.long L1A8
.long L1A8
.long L1A8
.long L1A8
.long L1A8
.long L1A8
.long L1B0
.long L1B0
.long L1B0
.long L1B0
.long L1B0
.long L1B0
.long L1B0
.long L1B0
.long L1B8
.long L1B9
.long L1BA
.long L1BB
.long L1BC
.long r_illegal
.long r_illegal
.long r_illegal
.long L1C0
.long L1C0
.long L1C0
.long L1C0
.long L1C0
.long L1C0
.long L1C0
.long L1C0
.long L1C8
.long L1C8
.long L1C8
.long L1C8
.long L1C8
.long L1C8
.long L1C8
.long L1C8
.long L1D0
.long L1D0
.long L1D0
.long L1D0
.long L1D0
.long L1D0
.long L1D0
.long L1D0
.long L1D8
.long L1D8
.long L1D8
.long L1D8
.long L1D8
.long L1D8
.long L1D8
.long L1D8
.long L1E0
.long L1E0
.long L1E0
.long L1E0
.long L1E0
.long L1E0
.long L1E0
.long L1E0
.long L1E8
.long L1E8
.long L1E8
.long L1E8
.long L1E8
.long L1E8
.long L1E8
.long L1E8
.long L1F0
.long L1F0
.long L1F0
.long L1F0
.long L1F0
.long L1F0
.long L1F0
.long L1F0
.long L1F8
.long L1F9
.long L1FA
.long L1FB
.long L1FC
.long r_illegal
.long r_illegal
.long r_illegal
.long L200
.long L200
.long L200
.long L200
.long L200
.long L200
.long L200
.long L200
.long L208
.long L208
.long L208
.long L208
.long L208
.long L208
.long L208
.long L208
.long L210
.long L210
.long L210
.long L210
.long L210
.long L210
.long L210
.long L210
.long L218
.long L218
.long L218
.long L218
.long L218
.long L218
.long L218
.long L218
.long L220
.long L220
.long L220
.long L220
.long L220
.long L220
.long L220
.long L220
.long L228
.long L228
.long L228
.long L228
.long L228
.long L228
.long L228
.long L228
.long L230
.long L230
.long L230
.long L230
.long L230
.long L230
.long L230
.long L230
.long L238
.long L239
.long L23A
.long L23B
.long L23C
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long L280
.long L280
.long L280
.long L280
.long L280
.long L280
.long L280
.long L280
.long L288
.long L288
.long L288
.long L288
.long L288
.long L288
.long L288
.long L288
.long L290
.long L290
.long L290
.long L290
.long L290
.long L290
.long L290
.long L290
.long L298
.long L298
.long L298
.long L298
.long L298
.long L298
.long L298
.long L298
.long L2A0
.long L2A0
.long L2A0
.long L2A0
.long L2A0
.long L2A0
.long L2A0
.long L2A0
.long L2A8
.long L2A8
.long L2A8
.long L2A8
.long L2A8
.long L2A8
.long L2A8
.long L2A8
.long L2B0
.long L2B0
.long L2B0
.long L2B0
.long L2B0
.long L2B0
.long L2B0
.long L2B0
.long L2B8
.long L2B9
.long L2BA
.long L2BB
.long L2BC
.long r_illegal
.long r_illegal
.long r_illegal
.long L2C0
.long L2C0
.long L2C0
.long L2C0
.long L2C0
.long L2C0
.long L2C0
.long L2C0
.long L2C8
.long L2C8
.long L2C8
.long L2C8
.long L2C8
.long L2C8
.long L2C8
.long L2C8
.long L2D0
.long L2D0
.long L2D0
.long L2D0
.long L2D0
.long L2D0
.long L2D0
.long L2D0
.long L2D8
.long L2D8
.long L2D8
.long L2D8
.long L2D8
.long L2D8
.long L2D8
.long L2D8
.long L2E0
.long L2E0
.long L2E0
.long L2E0
.long L2E0
.long L2E0
.long L2E0
.long L2E0
.long L2E8
.long L2E8
.long L2E8
.long L2E8
.long L2E8
.long L2E8
.long L2E8
.long L2E8
.long L2F0
.long L2F0
.long L2F0
.long L2F0
.long L2F0
.long L2F0
.long L2F0
.long L2F0
.long L2F8
.long L2F9
.long L2FA
.long L2FB
.long L2FC
.long r_illegal
.long r_illegal
.long r_illegal
.long L300
.long L300
.long L300
.long L300
.long L300
.long L300
.long L300
.long L300
.long L308
.long L308
.long L308
.long L308
.long L308
.long L308
.long L308
.long L308
.long L310
.long L310
.long L310
.long L310
.long L310
.long L310
.long L310
.long L310
.long L318
.long L318
.long L318
.long L318
.long L318
.long L318
.long L318
.long L318
.long L320
.long L320
.long L320
.long L320
.long L320
.long L320
.long L320
.long L320
.long L328
.long L328
.long L328
.long L328
.long L328
.long L328
.long L328
.long L328
.long L330
.long L330
.long L330
.long L330
.long L330
.long L330
.long L330
.long L330
.long L338
.long L339
.long L33A
.long L33B
.long L33C
.long r_illegal
.long r_illegal
.long r_illegal
.long L340
.long L340
.long L340
.long L340
.long L340
.long L340
.long L340
.long L340
.long L348
.long L348
.long L348
.long L348
.long L348
.long L348
.long L348
.long L348
.long L350
.long L350
.long L350
.long L350
.long L350
.long L350
.long L350
.long L350
.long L358
.long L358
.long L358
.long L358
.long L358
.long L358
.long L358
.long L358
.long L360
.long L360
.long L360
.long L360
.long L360
.long L360
.long L360
.long L360
.long L368
.long L368
.long L368
.long L368
.long L368
.long L368
.long L368
.long L368
.long L370
.long L370
.long L370
.long L370
.long L370
.long L370
.long L370
.long L370
.long L378
.long L379
.long L37A
.long L37B
.long L37C
.long r_illegal
.long r_illegal
.long r_illegal
.long L380
.long L380
.long L380
.long L380
.long L380
.long L380
.long L380
.long L380
.long L388
.long L388
.long L388
.long L388
.long L388
.long L388
.long L388
.long L388
.long L390
.long L390
.long L390
.long L390
.long L390
.long L390
.long L390
.long L390
.long L398
.long L398
.long L398
.long L398
.long L398
.long L398
.long L398
.long L398
.long L3A0
.long L3A0
.long L3A0
.long L3A0
.long L3A0
.long L3A0
.long L3A0
.long L3A0
.long L3A8
.long L3A8
.long L3A8
.long L3A8
.long L3A8
.long L3A8
.long L3A8
.long L3A8
.long L3B0
.long L3B0
.long L3B0
.long L3B0
.long L3B0
.long L3B0
.long L3B0
.long L3B0
.long L3B8
.long L3B9
.long L3BA
.long L3BB
.long L3BC
.long r_illegal
.long r_illegal
.long r_illegal
.long L3C0
.long L3C0
.long L3C0
.long L3C0
.long L3C0
.long L3C0
.long L3C0
.long L3C0
.long L3C8
.long L3C8
.long L3C8
.long L3C8
.long L3C8
.long L3C8
.long L3C8
.long L3C8
.long L3D0
.long L3D0
.long L3D0
.long L3D0
.long L3D0
.long L3D0
.long L3D0
.long L3D0
.long L3D8
.long L3D8
.long L3D8
.long L3D8
.long L3D8
.long L3D8
.long L3D8
.long L3D8
.long L3E0
.long L3E0
.long L3E0
.long L3E0
.long L3E0
.long L3E0
.long L3E0
.long L3E0
.long L3E8
.long L3E8
.long L3E8
.long L3E8
.long L3E8
.long L3E8
.long L3E8
.long L3E8
.long L3F0
.long L3F0
.long L3F0
.long L3F0
.long L3F0
.long L3F0
.long L3F0
.long L3F0
.long L3F8
.long L3F9
.long L3FA
.long L3FB
.long L3FC
.long r_illegal
.long r_illegal
.long r_illegal
.long L400
.long L400
.long L400
.long L400
.long L400
.long L400
.long L400
.long L400
.long L408
.long L408
.long L408
.long L408
.long L408
.long L408
.long L408
.long L408
.long L410
.long L410
.long L410
.long L410
.long L410
.long L410
.long L410
.long L410
.long L418
.long L418
.long L418
.long L418
.long L418
.long L418
.long L418
.long L418
.long L420
.long L420
.long L420
.long L420
.long L420
.long L420
.long L420
.long L420
.long L428
.long L428
.long L428
.long L428
.long L428
.long L428
.long L428
.long L428
.long L430
.long L430
.long L430
.long L430
.long L430
.long L430
.long L430
.long L430
.long L438
.long L439
.long L43A
.long L43B
.long L43C
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long L480
.long L480
.long L480
.long L480
.long L480
.long L480
.long L480
.long L480
.long L488
.long L488
.long L488
.long L488
.long L488
.long L488
.long L488
.long L488
.long L490
.long L490
.long L490
.long L490
.long L490
.long L490
.long L490
.long L490
.long L498
.long L498
.long L498
.long L498
.long L498
.long L498
.long L498
.long L498
.long L4A0
.long L4A0
.long L4A0
.long L4A0
.long L4A0
.long L4A0
.long L4A0
.long L4A0
.long L4A8
.long L4A8
.long L4A8
.long L4A8
.long L4A8
.long L4A8
.long L4A8
.long L4A8
.long L4B0
.long L4B0
.long L4B0
.long L4B0
.long L4B0
.long L4B0
.long L4B0
.long L4B0
.long L4B8
.long L4B9
.long L4BA
.long L4BB
.long L4BC
.long r_illegal
.long r_illegal
.long r_illegal
.long L4C0
.long L4C0
.long L4C0
.long L4C0
.long L4C0
.long L4C0
.long L4C0
.long L4C0
.long L4C8
.long L4C8
.long L4C8
.long L4C8
.long L4C8
.long L4C8
.long L4C8
.long L4C8
.long L4D0
.long L4D0
.long L4D0
.long L4D0
.long L4D0
.long L4D0
.long L4D0
.long L4D0
.long L4D8
.long L4D8
.long L4D8
.long L4D8
.long L4D8
.long L4D8
.long L4D8
.long L4D8
.long L4E0
.long L4E0
.long L4E0
.long L4E0
.long L4E0
.long L4E0
.long L4E0
.long L4E0
.long L4E8
.long L4E8
.long L4E8
.long L4E8
.long L4E8
.long L4E8
.long L4E8
.long L4E8
.long L4F0
.long L4F0
.long L4F0
.long L4F0
.long L4F0
.long L4F0
.long L4F0
.long L4F0
.long L4F8
.long L4F9
.long L4FA
.long L4FB
.long L4FC
.long r_illegal
.long r_illegal
.long r_illegal
.long L500
.long L500
.long L500
.long L500
.long L500
.long L500
.long L500
.long L500
.long L508
.long L508
.long L508
.long L508
.long L508
.long L508
.long L508
.long L508
.long L510
.long L510
.long L510
.long L510
.long L510
.long L510
.long L510
.long L510
.long L518
.long L518
.long L518
.long L518
.long L518
.long L518
.long L518
.long L518
.long L520
.long L520
.long L520
.long L520
.long L520
.long L520
.long L520
.long L520
.long L528
.long L528
.long L528
.long L528
.long L528
.long L528
.long L528
.long L528
.long L530
.long L530
.long L530
.long L530
.long L530
.long L530
.long L530
.long L530
.long L538
.long L539
.long L53A
.long L53B
.long L53C
.long r_illegal
.long r_illegal
.long r_illegal
.long L540
.long L540
.long L540
.long L540
.long L540
.long L540
.long L540
.long L540
.long L548
.long L548
.long L548
.long L548
.long L548
.long L548
.long L548
.long L548
.long L550
.long L550
.long L550
.long L550
.long L550
.long L550
.long L550
.long L550
.long L558
.long L558
.long L558
.long L558
.long L558
.long L558
.long L558
.long L558
.long L560
.long L560
.long L560
.long L560
.long L560
.long L560
.long L560
.long L560
.long L568
.long L568
.long L568
.long L568
.long L568
.long L568
.long L568
.long L568
.long L570
.long L570
.long L570
.long L570
.long L570
.long L570
.long L570
.long L570
.long L578
.long L579
.long L57A
.long L57B
.long L57C
.long r_illegal
.long r_illegal
.long r_illegal
.long L580
.long L580
.long L580
.long L580
.long L580
.long L580
.long L580
.long L580
.long L588
.long L588
.long L588
.long L588
.long L588
.long L588
.long L588
.long L588
.long L590
.long L590
.long L590
.long L590
.long L590
.long L590
.long L590
.long L590
.long L598
.long L598
.long L598
.long L598
.long L598
.long L598
.long L598
.long L598
.long L5A0
.long L5A0
.long L5A0
.long L5A0
.long L5A0
.long L5A0
.long L5A0
.long L5A0
.long L5A8
.long L5A8
.long L5A8
.long L5A8
.long L5A8
.long L5A8
.long L5A8
.long L5A8
.long L5B0
.long L5B0
.long L5B0
.long L5B0
.long L5B0
.long L5B0
.long L5B0
.long L5B0
.long L5B8
.long L5B9
.long L5BA
.long L5BB
.long L5BC
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long L600
.long L600
.long L600
.long L600
.long L600
.long L600
.long L600
.long L600
.long L608
.long L608
.long L608
.long L608
.long L608
.long L608
.long L608
.long L608
.long L610
.long L610
.long L610
.long L610
.long L610
.long L610
.long L610
.long L610
.long L618
.long L618
.long L618
.long L618
.long L618
.long L618
.long L618
.long L618
.long L620
.long L620
.long L620
.long L620
.long L620
.long L620
.long L620
.long L620
.long L628
.long L628
.long L628
.long L628
.long L628
.long L628
.long L628
.long L628
.long L630
.long L630
.long L630
.long L630
.long L630
.long L630
.long L630
.long L630
.long L638
.long L639
.long L63A
.long L63B
.long L63C
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long L680
.long L680
.long L680
.long L680
.long L680
.long L680
.long L680
.long L680
.long L688
.long L688
.long L688
.long L688
.long L688
.long L688
.long L688
.long L688
.long L690
.long L690
.long L690
.long L690
.long L690
.long L690
.long L690
.long L690
.long L698
.long L698
.long L698
.long L698
.long L698
.long L698
.long L698
.long L698
.long L6A0
.long L6A0
.long L6A0
.long L6A0
.long L6A0
.long L6A0
.long L6A0
.long L6A0
.long L6A8
.long L6A8
.long L6A8
.long L6A8
.long L6A8
.long L6A8
.long L6A8
.long L6A8
.long L6B0
.long L6B0
.long L6B0
.long L6B0
.long L6B0
.long L6B0
.long L6B0
.long L6B0
.long L6B8
.long L6B9
.long L6BA
.long L6BB
.long L6BC
.long r_illegal
.long r_illegal
.long r_illegal
.long L6C0
.long L6C0
.long L6C0
.long L6C0
.long L6C0
.long L6C0
.long L6C0
.long L6C0
.long L6C8
.long L6C8
.long L6C8
.long L6C8
.long L6C8
.long L6C8
.long L6C8
.long L6C8
.long L6D0
.long L6D0
.long L6D0
.long L6D0
.long L6D0
.long L6D0
.long L6D0
.long L6D0
.long L6D8
.long L6D8
.long L6D8
.long L6D8
.long L6D8
.long L6D8
.long L6D8
.long L6D8
.long L6E0
.long L6E0
.long L6E0
.long L6E0
.long L6E0
.long L6E0
.long L6E0
.long L6E0
.long L6E8
.long L6E8
.long L6E8
.long L6E8
.long L6E8
.long L6E8
.long L6E8
.long L6E8
.long L6F0
.long L6F0
.long L6F0
.long L6F0
.long L6F0
.long L6F0
.long L6F0
.long L6F0
.long L6F8
.long L6F9
.long L6FA
.long L6FB
.long L6FC
.long r_illegal
.long r_illegal
.long r_illegal
.long L700
.long L700
.long L700
.long L700
.long L700
.long L700
.long L700
.long L700
.long L708
.long L708
.long L708
.long L708
.long L708
.long L708
.long L708
.long L708
.long L710
.long L710
.long L710
.long L710
.long L710
.long L710
.long L710
.long L710
.long L718
.long L718
.long L718
.long L718
.long L718
.long L718
.long L718
.long L718
.long L720
.long L720
.long L720
.long L720
.long L720
.long L720
.long L720
.long L720
.long L728
.long L728
.long L728
.long L728
.long L728
.long L728
.long L728
.long L728
.long L730
.long L730
.long L730
.long L730
.long L730
.long L730
.long L730
.long L730
.long L738
.long L739
.long L73A
.long L73B
.long L73C
.long r_illegal
.long r_illegal
.long r_illegal
.long L740
.long L740
.long L740
.long L740
.long L740
.long L740
.long L740
.long L740
.long L748
.long L748
.long L748
.long L748
.long L748
.long L748
.long L748
.long L748
.long L750
.long L750
.long L750
.long L750
.long L750
.long L750
.long L750
.long L750
.long L758
.long L758
.long L758
.long L758
.long L758
.long L758
.long L758
.long L758
.long L760
.long L760
.long L760
.long L760
.long L760
.long L760
.long L760
.long L760
.long L768
.long L768
.long L768
.long L768
.long L768
.long L768
.long L768
.long L768
.long L770
.long L770
.long L770
.long L770
.long L770
.long L770
.long L770
.long L770
.long L778
.long L779
.long L77A
.long L77B
.long L77C
.long r_illegal
.long r_illegal
.long r_illegal
.long L780
.long L780
.long L780
.long L780
.long L780
.long L780
.long L780
.long L780
.long L788
.long L788
.long L788
.long L788
.long L788
.long L788
.long L788
.long L788
.long L790
.long L790
.long L790
.long L790
.long L790
.long L790
.long L790
.long L790
.long L798
.long L798
.long L798
.long L798
.long L798
.long L798
.long L798
.long L798
.long L7A0
.long L7A0
.long L7A0
.long L7A0
.long L7A0
.long L7A0
.long L7A0
.long L7A0
.long L7A8
.long L7A8
.long L7A8
.long L7A8
.long L7A8
.long L7A8
.long L7A8
.long L7A8
.long L7B0
.long L7B0
.long L7B0
.long L7B0
.long L7B0
.long L7B0
.long L7B0
.long L7B0
.long L7B8
.long L7B9
.long L7BA
.long L7BB
.long L7BC
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long L800
.long L800
.long L800
.long L800
.long L800
.long L800
.long L800
.long L800
.long L808
.long L808
.long L808
.long L808
.long L808
.long L808
.long L808
.long L808
.long L810
.long L810
.long L810
.long L810
.long L810
.long L810
.long L810
.long L810
.long L818
.long L818
.long L818
.long L818
.long L818
.long L818
.long L818
.long L818
.long L820
.long L820
.long L820
.long L820
.long L820
.long L820
.long L820
.long L820
.long L828
.long L828
.long L828
.long L828
.long L828
.long L828
.long L828
.long L828
.long L830
.long L830
.long L830
.long L830
.long L830
.long L830
.long L830
.long L830
.long L838
.long L839
.long L83A
.long L83B
.long L83C
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long L880
.long L880
.long L880
.long L880
.long L880
.long L880
.long L880
.long L880
.long L888
.long L888
.long L888
.long L888
.long L888
.long L888
.long L888
.long L888
.long L890
.long L890
.long L890
.long L890
.long L890
.long L890
.long L890
.long L890
.long L898
.long L898
.long L898
.long L898
.long L898
.long L898
.long L898
.long L898
.long L8A0
.long L8A0
.long L8A0
.long L8A0
.long L8A0
.long L8A0
.long L8A0
.long L8A0
.long L8A8
.long L8A8
.long L8A8
.long L8A8
.long L8A8
.long L8A8
.long L8A8
.long L8A8
.long L8B0
.long L8B0
.long L8B0
.long L8B0
.long L8B0
.long L8B0
.long L8B0
.long L8B0
.long L8B8
.long L8B9
.long L8BA
.long L8BB
.long L8BC
.long r_illegal
.long r_illegal
.long r_illegal
.long L8C0
.long L8C0
.long L8C0
.long L8C0
.long L8C0
.long L8C0
.long L8C0
.long L8C0
.long L8C8
.long L8C8
.long L8C8
.long L8C8
.long L8C8
.long L8C8
.long L8C8
.long L8C8
.long L8D0
.long L8D0
.long L8D0
.long L8D0
.long L8D0
.long L8D0
.long L8D0
.long L8D0
.long L8D8
.long L8D8
.long L8D8
.long L8D8
.long L8D8
.long L8D8
.long L8D8
.long L8D8
.long L8E0
.long L8E0
.long L8E0
.long L8E0
.long L8E0
.long L8E0
.long L8E0
.long L8E0
.long L8E8
.long L8E8
.long L8E8
.long L8E8
.long L8E8
.long L8E8
.long L8E8
.long L8E8
.long L8F0
.long L8F0
.long L8F0
.long L8F0
.long L8F0
.long L8F0
.long L8F0
.long L8F0
.long L8F8
.long L8F9
.long L8FA
.long L8FB
.long L8FC
.long r_illegal
.long r_illegal
.long r_illegal
.long L900
.long L900
.long L900
.long L900
.long L900
.long L900
.long L900
.long L900
.long L908
.long L908
.long L908
.long L908
.long L908
.long L908
.long L908
.long L908
.long L910
.long L910
.long L910
.long L910
.long L910
.long L910
.long L910
.long L910
.long L918
.long L918
.long L918
.long L918
.long L918
.long L918
.long L918
.long L918
.long L920
.long L920
.long L920
.long L920
.long L920
.long L920
.long L920
.long L920
.long L928
.long L928
.long L928
.long L928
.long L928
.long L928
.long L928
.long L928
.long L930
.long L930
.long L930
.long L930
.long L930
.long L930
.long L930
.long L930
.long L938
.long L939
.long L93A
.long L93B
.long L93C
.long r_illegal
.long r_illegal
.long r_illegal
.long L940
.long L940
.long L940
.long L940
.long L940
.long L940
.long L940
.long L940
.long L948
.long L948
.long L948
.long L948
.long L948
.long L948
.long L948
.long L948
.long L950
.long L950
.long L950
.long L950
.long L950
.long L950
.long L950
.long L950
.long L958
.long L958
.long L958
.long L958
.long L958
.long L958
.long L958
.long L958
.long L960
.long L960
.long L960
.long L960
.long L960
.long L960
.long L960
.long L960
.long L968
.long L968
.long L968
.long L968
.long L968
.long L968
.long L968
.long L968
.long L970
.long L970
.long L970
.long L970
.long L970
.long L970
.long L970
.long L970
.long L978
.long L979
.long L97A
.long L97B
.long L97C
.long r_illegal
.long r_illegal
.long r_illegal
.long L980
.long L980
.long L980
.long L980
.long L980
.long L980
.long L980
.long L980
.long L988
.long L988
.long L988
.long L988
.long L988
.long L988
.long L988
.long L988
.long L990
.long L990
.long L990
.long L990
.long L990
.long L990
.long L990
.long L990
.long L998
.long L998
.long L998
.long L998
.long L998
.long L998
.long L998
.long L998
.long L9A0
.long L9A0
.long L9A0
.long L9A0
.long L9A0
.long L9A0
.long L9A0
.long L9A0
.long L9A8
.long L9A8
.long L9A8
.long L9A8
.long L9A8
.long L9A8
.long L9A8
.long L9A8
.long L9B0
.long L9B0
.long L9B0
.long L9B0
.long L9B0
.long L9B0
.long L9B0
.long L9B0
.long L9B8
.long L9B9
.long L9BA
.long L9BB
.long L9BC
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long LA00
.long LA00
.long LA00
.long LA00
.long LA00
.long LA00
.long LA00
.long LA00
.long LA08
.long LA08
.long LA08
.long LA08
.long LA08
.long LA08
.long LA08
.long LA08
.long LA10
.long LA10
.long LA10
.long LA10
.long LA10
.long LA10
.long LA10
.long LA10
.long LA18
.long LA18
.long LA18
.long LA18
.long LA18
.long LA18
.long LA18
.long LA18
.long LA20
.long LA20
.long LA20
.long LA20
.long LA20
.long LA20
.long LA20
.long LA20
.long LA28
.long LA28
.long LA28
.long LA28
.long LA28
.long LA28
.long LA28
.long LA28
.long LA30
.long LA30
.long LA30
.long LA30
.long LA30
.long LA30
.long LA30
.long LA30
.long LA38
.long LA39
.long LA3A
.long LA3B
.long LA3C
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long LA80
.long LA80
.long LA80
.long LA80
.long LA80
.long LA80
.long LA80
.long LA80
.long LA88
.long LA88
.long LA88
.long LA88
.long LA88
.long LA88
.long LA88
.long LA88
.long LA90
.long LA90
.long LA90
.long LA90
.long LA90
.long LA90
.long LA90
.long LA90
.long LA98
.long LA98
.long LA98
.long LA98
.long LA98
.long LA98
.long LA98
.long LA98
.long LAA0
.long LAA0
.long LAA0
.long LAA0
.long LAA0
.long LAA0
.long LAA0
.long LAA0
.long LAA8
.long LAA8
.long LAA8
.long LAA8
.long LAA8
.long LAA8
.long LAA8
.long LAA8
.long LAB0
.long LAB0
.long LAB0
.long LAB0
.long LAB0
.long LAB0
.long LAB0
.long LAB0
.long LAB8
.long LAB9
.long LABA
.long LABB
.long LABC
.long r_illegal
.long r_illegal
.long r_illegal
.long LAC0
.long LAC0
.long LAC0
.long LAC0
.long LAC0
.long LAC0
.long LAC0
.long LAC0
.long LAC8
.long LAC8
.long LAC8
.long LAC8
.long LAC8
.long LAC8
.long LAC8
.long LAC8
.long LAD0
.long LAD0
.long LAD0
.long LAD0
.long LAD0
.long LAD0
.long LAD0
.long LAD0
.long LAD8
.long LAD8
.long LAD8
.long LAD8
.long LAD8
.long LAD8
.long LAD8
.long LAD8
.long LAE0
.long LAE0
.long LAE0
.long LAE0
.long LAE0
.long LAE0
.long LAE0
.long LAE0
.long LAE8
.long LAE8
.long LAE8
.long LAE8
.long LAE8
.long LAE8
.long LAE8
.long LAE8
.long LAF0
.long LAF0
.long LAF0
.long LAF0
.long LAF0
.long LAF0
.long LAF0
.long LAF0
.long LAF8
.long LAF9
.long LAFA
.long LAFB
.long LAFC
.long r_illegal
.long r_illegal
.long r_illegal
.long LB00
.long LB00
.long LB00
.long LB00
.long LB00
.long LB00
.long LB00
.long LB00
.long LB08
.long LB08
.long LB08
.long LB08
.long LB08
.long LB08
.long LB08
.long LB08
.long LB10
.long LB10
.long LB10
.long LB10
.long LB10
.long LB10
.long LB10
.long LB10
.long LB18
.long LB18
.long LB18
.long LB18
.long LB18
.long LB18
.long LB18
.long LB18
.long LB20
.long LB20
.long LB20
.long LB20
.long LB20
.long LB20
.long LB20
.long LB20
.long LB28
.long LB28
.long LB28
.long LB28
.long LB28
.long LB28
.long LB28
.long LB28
.long LB30
.long LB30
.long LB30
.long LB30
.long LB30
.long LB30
.long LB30
.long LB30
.long LB38
.long LB39
.long LB3A
.long LB3B
.long LB3C
.long r_illegal
.long r_illegal
.long r_illegal
.long LB40
.long LB40
.long LB40
.long LB40
.long LB40
.long LB40
.long LB40
.long LB40
.long LB48
.long LB48
.long LB48
.long LB48
.long LB48
.long LB48
.long LB48
.long LB48
.long LB50
.long LB50
.long LB50
.long LB50
.long LB50
.long LB50
.long LB50
.long LB50
.long LB58
.long LB58
.long LB58
.long LB58
.long LB58
.long LB58
.long LB58
.long LB58
.long LB60
.long LB60
.long LB60
.long LB60
.long LB60
.long LB60
.long LB60
.long LB60
.long LB68
.long LB68
.long LB68
.long LB68
.long LB68
.long LB68
.long LB68
.long LB68
.long LB70
.long LB70
.long LB70
.long LB70
.long LB70
.long LB70
.long LB70
.long LB70
.long LB78
.long LB79
.long LB7A
.long LB7B
.long LB7C
.long r_illegal
.long r_illegal
.long r_illegal
.long LB80
.long LB80
.long LB80
.long LB80
.long LB80
.long LB80
.long LB80
.long LB80
.long LB88
.long LB88
.long LB88
.long LB88
.long LB88
.long LB88
.long LB88
.long LB88
.long LB90
.long LB90
.long LB90
.long LB90
.long LB90
.long LB90
.long LB90
.long LB90
.long LB98
.long LB98
.long LB98
.long LB98
.long LB98
.long LB98
.long LB98
.long LB98
.long LBA0
.long LBA0
.long LBA0
.long LBA0
.long LBA0
.long LBA0
.long LBA0
.long LBA0
.long LBA8
.long LBA8
.long LBA8
.long LBA8
.long LBA8
.long LBA8
.long LBA8
.long LBA8
.long LBB0
.long LBB0
.long LBB0
.long LBB0
.long LBB0
.long LBB0
.long LBB0
.long LBB0
.long LBB8
.long LBB9
.long LBBA
.long LBBB
.long LBBC
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long LC00
.long LC00
.long LC00
.long LC00
.long LC00
.long LC00
.long LC00
.long LC00
.long LC08
.long LC08
.long LC08
.long LC08
.long LC08
.long LC08
.long LC08
.long LC08
.long LC10
.long LC10
.long LC10
.long LC10
.long LC10
.long LC10
.long LC10
.long LC10
.long LC18
.long LC18
.long LC18
.long LC18
.long LC18
.long LC18
.long LC18
.long LC18
.long LC20
.long LC20
.long LC20
.long LC20
.long LC20
.long LC20
.long LC20
.long LC20
.long LC28
.long LC28
.long LC28
.long LC28
.long LC28
.long LC28
.long LC28
.long LC28
.long LC30
.long LC30
.long LC30
.long LC30
.long LC30
.long LC30
.long LC30
.long LC30
.long LC38
.long LC39
.long LC3A
.long LC3B
.long LC3C
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long LC80
.long LC80
.long LC80
.long LC80
.long LC80
.long LC80
.long LC80
.long LC80
.long LC88
.long LC88
.long LC88
.long LC88
.long LC88
.long LC88
.long LC88
.long LC88
.long LC90
.long LC90
.long LC90
.long LC90
.long LC90
.long LC90
.long LC90
.long LC90
.long LC98
.long LC98
.long LC98
.long LC98
.long LC98
.long LC98
.long LC98
.long LC98
.long LCA0
.long LCA0
.long LCA0
.long LCA0
.long LCA0
.long LCA0
.long LCA0
.long LCA0
.long LCA8
.long LCA8
.long LCA8
.long LCA8
.long LCA8
.long LCA8
.long LCA8
.long LCA8
.long LCB0
.long LCB0
.long LCB0
.long LCB0
.long LCB0
.long LCB0
.long LCB0
.long LCB0
.long LCB8
.long LCB9
.long LCBA
.long LCBB
.long LCBC
.long r_illegal
.long r_illegal
.long r_illegal
.long LCC0
.long LCC0
.long LCC0
.long LCC0
.long LCC0
.long LCC0
.long LCC0
.long LCC0
.long LCC8
.long LCC8
.long LCC8
.long LCC8
.long LCC8
.long LCC8
.long LCC8
.long LCC8
.long LCD0
.long LCD0
.long LCD0
.long LCD0
.long LCD0
.long LCD0
.long LCD0
.long LCD0
.long LCD8
.long LCD8
.long LCD8
.long LCD8
.long LCD8
.long LCD8
.long LCD8
.long LCD8
.long LCE0
.long LCE0
.long LCE0
.long LCE0
.long LCE0
.long LCE0
.long LCE0
.long LCE0
.long LCE8
.long LCE8
.long LCE8
.long LCE8
.long LCE8
.long LCE8
.long LCE8
.long LCE8
.long LCF0
.long LCF0
.long LCF0
.long LCF0
.long LCF0
.long LCF0
.long LCF0
.long LCF0
.long LCF8
.long LCF9
.long LCFA
.long LCFB
.long LCFC
.long r_illegal
.long r_illegal
.long r_illegal
.long LD00
.long LD00
.long LD00
.long LD00
.long LD00
.long LD00
.long LD00
.long LD00
.long LD08
.long LD08
.long LD08
.long LD08
.long LD08
.long LD08
.long LD08
.long LD08
.long LD10
.long LD10
.long LD10
.long LD10
.long LD10
.long LD10
.long LD10
.long LD10
.long LD18
.long LD18
.long LD18
.long LD18
.long LD18
.long LD18
.long LD18
.long LD18
.long LD20
.long LD20
.long LD20
.long LD20
.long LD20
.long LD20
.long LD20
.long LD20
.long LD28
.long LD28
.long LD28
.long LD28
.long LD28
.long LD28
.long LD28
.long LD28
.long LD30
.long LD30
.long LD30
.long LD30
.long LD30
.long LD30
.long LD30
.long LD30
.long LD38
.long LD39
.long LD3A
.long LD3B
.long LD3C
.long r_illegal
.long r_illegal
.long r_illegal
.long LD40
.long LD40
.long LD40
.long LD40
.long LD40
.long LD40
.long LD40
.long LD40
.long LD48
.long LD48
.long LD48
.long LD48
.long LD48
.long LD48
.long LD48
.long LD48
.long LD50
.long LD50
.long LD50
.long LD50
.long LD50
.long LD50
.long LD50
.long LD50
.long LD58
.long LD58
.long LD58
.long LD58
.long LD58
.long LD58
.long LD58
.long LD58
.long LD60
.long LD60
.long LD60
.long LD60
.long LD60
.long LD60
.long LD60
.long LD60
.long LD68
.long LD68
.long LD68
.long LD68
.long LD68
.long LD68
.long LD68
.long LD68
.long LD70
.long LD70
.long LD70
.long LD70
.long LD70
.long LD70
.long LD70
.long LD70
.long LD78
.long LD79
.long LD7A
.long LD7B
.long LD7C
.long r_illegal
.long r_illegal
.long r_illegal
.long LD80
.long LD80
.long LD80
.long LD80
.long LD80
.long LD80
.long LD80
.long LD80
.long LD88
.long LD88
.long LD88
.long LD88
.long LD88
.long LD88
.long LD88
.long LD88
.long LD90
.long LD90
.long LD90
.long LD90
.long LD90
.long LD90
.long LD90
.long LD90
.long LD98
.long LD98
.long LD98
.long LD98
.long LD98
.long LD98
.long LD98
.long LD98
.long LDA0
.long LDA0
.long LDA0
.long LDA0
.long LDA0
.long LDA0
.long LDA0
.long LDA0
.long LDA8
.long LDA8
.long LDA8
.long LDA8
.long LDA8
.long LDA8
.long LDA8
.long LDA8
.long LDB0
.long LDB0
.long LDB0
.long LDB0
.long LDB0
.long LDB0
.long LDB0
.long LDB0
.long LDB8
.long LDB9
.long LDBA
.long LDBB
.long LDBC
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long LE00
.long LE00
.long LE00
.long LE00
.long LE00
.long LE00
.long LE00
.long LE00
.long LE08
.long LE08
.long LE08
.long LE08
.long LE08
.long LE08
.long LE08
.long LE08
.long LE10
.long LE10
.long LE10
.long LE10
.long LE10
.long LE10
.long LE10
.long LE10
.long LE18
.long LE18
.long LE18
.long LE18
.long LE18
.long LE18
.long LE18
.long LE18
.long LE20
.long LE20
.long LE20
.long LE20
.long LE20
.long LE20
.long LE20
.long LE20
.long LE28
.long LE28
.long LE28
.long LE28
.long LE28
.long LE28
.long LE28
.long LE28
.long LE30
.long LE30
.long LE30
.long LE30
.long LE30
.long LE30
.long LE30
.long LE30
.long LE38
.long LE39
.long LE3A
.long LE3B
.long LE3C
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long LE80
.long LE80
.long LE80
.long LE80
.long LE80
.long LE80
.long LE80
.long LE80
.long LE88
.long LE88
.long LE88
.long LE88
.long LE88
.long LE88
.long LE88
.long LE88
.long LE90
.long LE90
.long LE90
.long LE90
.long LE90
.long LE90
.long LE90
.long LE90
.long LE98
.long LE98
.long LE98
.long LE98
.long LE98
.long LE98
.long LE98
.long LE98
.long LEA0
.long LEA0
.long LEA0
.long LEA0
.long LEA0
.long LEA0
.long LEA0
.long LEA0
.long LEA8
.long LEA8
.long LEA8
.long LEA8
.long LEA8
.long LEA8
.long LEA8
.long LEA8
.long LEB0
.long LEB0
.long LEB0
.long LEB0
.long LEB0
.long LEB0
.long LEB0
.long LEB0
.long LEB8
.long LEB9
.long LEBA
.long LEBB
.long LEBC
.long r_illegal
.long r_illegal
.long r_illegal
.long LEC0
.long LEC0
.long LEC0
.long LEC0
.long LEC0
.long LEC0
.long LEC0
.long LEC0
.long LEC8
.long LEC8
.long LEC8
.long LEC8
.long LEC8
.long LEC8
.long LEC8
.long LEC8
.long LED0
.long LED0
.long LED0
.long LED0
.long LED0
.long LED0
.long LED0
.long LED0
.long LED8
.long LED8
.long LED8
.long LED8
.long LED8
.long LED8
.long LED8
.long LED8
.long LEE0
.long LEE0
.long LEE0
.long LEE0
.long LEE0
.long LEE0
.long LEE0
.long LEE0
.long LEE8
.long LEE8
.long LEE8
.long LEE8
.long LEE8
.long LEE8
.long LEE8
.long LEE8
.long LEF0
.long LEF0
.long LEF0
.long LEF0
.long LEF0
.long LEF0
.long LEF0
.long LEF0
.long LEF8
.long LEF9
.long LEFA
.long LEFB
.long LEFC
.long r_illegal
.long r_illegal
.long r_illegal
.long LF00
.long LF00
.long LF00
.long LF00
.long LF00
.long LF00
.long LF00
.long LF00
.long LF08
.long LF08
.long LF08
.long LF08
.long LF08
.long LF08
.long LF08
.long LF08
.long LF10
.long LF10
.long LF10
.long LF10
.long LF10
.long LF10
.long LF10
.long LF10
.long LF18
.long LF18
.long LF18
.long LF18
.long LF18
.long LF18
.long LF18
.long LF18
.long LF20
.long LF20
.long LF20
.long LF20
.long LF20
.long LF20
.long LF20
.long LF20
.long LF28
.long LF28
.long LF28
.long LF28
.long LF28
.long LF28
.long LF28
.long LF28
.long LF30
.long LF30
.long LF30
.long LF30
.long LF30
.long LF30
.long LF30
.long LF30
.long LF38
.long LF39
.long LF3A
.long LF3B
.long LF3C
.long r_illegal
.long r_illegal
.long r_illegal
.long LF40
.long LF40
.long LF40
.long LF40
.long LF40
.long LF40
.long LF40
.long LF40
.long LF48
.long LF48
.long LF48
.long LF48
.long LF48
.long LF48
.long LF48
.long LF48
.long LF50
.long LF50
.long LF50
.long LF50
.long LF50
.long LF50
.long LF50
.long LF50
.long LF58
.long LF58
.long LF58
.long LF58
.long LF58
.long LF58
.long LF58
.long LF58
.long LF60
.long LF60
.long LF60
.long LF60
.long LF60
.long LF60
.long LF60
.long LF60
.long LF68
.long LF68
.long LF68
.long LF68
.long LF68
.long LF68
.long LF68
.long LF68
.long LF70
.long LF70
.long LF70
.long LF70
.long LF70
.long LF70
.long LF70
.long LF70
.long LF78
.long LF79
.long LF7A
.long LF7B
.long LF7C
.long r_illegal
.long r_illegal
.long r_illegal
.long LF80
.long LF80
.long LF80
.long LF80
.long LF80
.long LF80
.long LF80
.long LF80
.long LF88
.long LF88
.long LF88
.long LF88
.long LF88
.long LF88
.long LF88
.long LF88
.long LF90
.long LF90
.long LF90
.long LF90
.long LF90
.long LF90
.long LF90
.long LF90
.long LF98
.long LF98
.long LF98
.long LF98
.long LF98
.long LF98
.long LF98
.long LF98
.long LFA0
.long LFA0
.long LFA0
.long LFA0
.long LFA0
.long LFA0
.long LFA0
.long LFA0
.long LFA8
.long LFA8
.long LFA8
.long LFA8
.long LFA8
.long LFA8
.long LFA8
.long LFA8
.long LFB0
.long LFB0
.long LFB0
.long LFB0
.long LFB0
.long LFB0
.long LFB0
.long LFB0
.long LFB8
.long LFB9
.long LFBA
.long LFBB
.long LFBC
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long M000
.long M000
.long M000
.long M000
.long M000
.long M000
.long M000
.long M000
.long M008
.long M008
.long M008
.long M008
.long M008
.long M008
.long M008
.long M008
.long M010
.long M010
.long M010
.long M010
.long M010
.long M010
.long M010
.long M010
.long M018
.long M018
.long M018
.long M018
.long M018
.long M018
.long M018
.long M018
.long M020
.long M020
.long M020
.long M020
.long M020
.long M020
.long M020
.long M020
.long M028
.long M028
.long M028
.long M028
.long M028
.long M028
.long M028
.long M028
.long M030
.long M030
.long M030
.long M030
.long M030
.long M030
.long M030
.long M030
.long M038
.long M039
.long M03A
.long M03B
.long M03C
.long r_illegal
.long r_illegal
.long r_illegal
.long M040
.long M040
.long M040
.long M040
.long M040
.long M040
.long M040
.long M040
.long M048
.long M048
.long M048
.long M048
.long M048
.long M048
.long M048
.long M048
.long M050
.long M050
.long M050
.long M050
.long M050
.long M050
.long M050
.long M050
.long M058
.long M058
.long M058
.long M058
.long M058
.long M058
.long M058
.long M058
.long M060
.long M060
.long M060
.long M060
.long M060
.long M060
.long M060
.long M060
.long M068
.long M068
.long M068
.long M068
.long M068
.long M068
.long M068
.long M068
.long M070
.long M070
.long M070
.long M070
.long M070
.long M070
.long M070
.long M070
.long M078
.long M079
.long M07A
.long M07B
.long M07C
.long r_illegal
.long r_illegal
.long r_illegal
.long M080
.long M080
.long M080
.long M080
.long M080
.long M080
.long M080
.long M080
.long M088
.long M088
.long M088
.long M088
.long M088
.long M088
.long M088
.long M088
.long M090
.long M090
.long M090
.long M090
.long M090
.long M090
.long M090
.long M090
.long M098
.long M098
.long M098
.long M098
.long M098
.long M098
.long M098
.long M098
.long M0A0
.long M0A0
.long M0A0
.long M0A0
.long M0A0
.long M0A0
.long M0A0
.long M0A0
.long M0A8
.long M0A8
.long M0A8
.long M0A8
.long M0A8
.long M0A8
.long M0A8
.long M0A8
.long M0B0
.long M0B0
.long M0B0
.long M0B0
.long M0B0
.long M0B0
.long M0B0
.long M0B0
.long M0B8
.long M0B9
.long M0BA
.long M0BB
.long M0BC
.long r_illegal
.long r_illegal
.long r_illegal
.long M0C0
.long M0C0
.long M0C0
.long M0C0
.long M0C0
.long M0C0
.long M0C0
.long M0C0
.long M0C8
.long M0C8
.long M0C8
.long M0C8
.long M0C8
.long M0C8
.long M0C8
.long M0C8
.long M0D0
.long M0D0
.long M0D0
.long M0D0
.long M0D0
.long M0D0
.long M0D0
.long M0D0
.long M0D8
.long M0D8
.long M0D8
.long M0D8
.long M0D8
.long M0D8
.long M0D8
.long M0D8
.long M0E0
.long M0E0
.long M0E0
.long M0E0
.long M0E0
.long M0E0
.long M0E0
.long M0E0
.long M0E8
.long M0E8
.long M0E8
.long M0E8
.long M0E8
.long M0E8
.long M0E8
.long M0E8
.long M0F0
.long M0F0
.long M0F0
.long M0F0
.long M0F0
.long M0F0
.long M0F0
.long M0F0
.long M0F8
.long M0F9
.long M0FA
.long M0FB
.long M0FC
.long r_illegal
.long r_illegal
.long r_illegal
.long M100
.long M100
.long M100
.long M100
.long M100
.long M100
.long M100
.long M100
.long M108
.long M108
.long M108
.long M108
.long M108
.long M108
.long M108
.long M108
.long M110
.long M110
.long M110
.long M110
.long M110
.long M110
.long M110
.long M110
.long M118
.long M118
.long M118
.long M118
.long M118
.long M118
.long M118
.long M118
.long M120
.long M120
.long M120
.long M120
.long M120
.long M120
.long M120
.long M120
.long M128
.long M128
.long M128
.long M128
.long M128
.long M128
.long M128
.long M128
.long M130
.long M130
.long M130
.long M130
.long M130
.long M130
.long M130
.long M130
.long M138
.long M139
.long M13A
.long M13B
.long M13C
.long r_illegal
.long r_illegal
.long r_illegal
.long M140
.long M140
.long M140
.long M140
.long M140
.long M140
.long M140
.long M140
.long M148
.long M148
.long M148
.long M148
.long M148
.long M148
.long M148
.long M148
.long M150
.long M150
.long M150
.long M150
.long M150
.long M150
.long M150
.long M150
.long M158
.long M158
.long M158
.long M158
.long M158
.long M158
.long M158
.long M158
.long M160
.long M160
.long M160
.long M160
.long M160
.long M160
.long M160
.long M160
.long M168
.long M168
.long M168
.long M168
.long M168
.long M168
.long M168
.long M168
.long M170
.long M170
.long M170
.long M170
.long M170
.long M170
.long M170
.long M170
.long M178
.long M179
.long M17A
.long M17B
.long M17C
.long r_illegal
.long r_illegal
.long r_illegal
.long M180
.long M180
.long M180
.long M180
.long M180
.long M180
.long M180
.long M180
.long M188
.long M188
.long M188
.long M188
.long M188
.long M188
.long M188
.long M188
.long M190
.long M190
.long M190
.long M190
.long M190
.long M190
.long M190
.long M190
.long M198
.long M198
.long M198
.long M198
.long M198
.long M198
.long M198
.long M198
.long M1A0
.long M1A0
.long M1A0
.long M1A0
.long M1A0
.long M1A0
.long M1A0
.long M1A0
.long M1A8
.long M1A8
.long M1A8
.long M1A8
.long M1A8
.long M1A8
.long M1A8
.long M1A8
.long M1B0
.long M1B0
.long M1B0
.long M1B0
.long M1B0
.long M1B0
.long M1B0
.long M1B0
.long M1B8
.long M1B9
.long M1BA
.long M1BB
.long M1BC
.long r_illegal
.long r_illegal
.long r_illegal
.long M1C0
.long M1C0
.long M1C0
.long M1C0
.long M1C0
.long M1C0
.long M1C0
.long M1C0
.long M1C8
.long M1C8
.long M1C8
.long M1C8
.long M1C8
.long M1C8
.long M1C8
.long M1C8
.long M1D0
.long M1D0
.long M1D0
.long M1D0
.long M1D0
.long M1D0
.long M1D0
.long M1D0
.long M1D8
.long M1D8
.long M1D8
.long M1D8
.long M1D8
.long M1D8
.long M1D8
.long M1D8
.long M1E0
.long M1E0
.long M1E0
.long M1E0
.long M1E0
.long M1E0
.long M1E0
.long M1E0
.long M1E8
.long M1E8
.long M1E8
.long M1E8
.long M1E8
.long M1E8
.long M1E8
.long M1E8
.long M1F0
.long M1F0
.long M1F0
.long M1F0
.long M1F0
.long M1F0
.long M1F0
.long M1F0
.long M1F8
.long M1F9
.long M1FA
.long M1FB
.long M1FC
.long r_illegal
.long r_illegal
.long r_illegal
.long M200
.long M200
.long M200
.long M200
.long M200
.long M200
.long M200
.long M200
.long M208
.long M208
.long M208
.long M208
.long M208
.long M208
.long M208
.long M208
.long M210
.long M210
.long M210
.long M210
.long M210
.long M210
.long M210
.long M210
.long M218
.long M218
.long M218
.long M218
.long M218
.long M218
.long M218
.long M218
.long M220
.long M220
.long M220
.long M220
.long M220
.long M220
.long M220
.long M220
.long M228
.long M228
.long M228
.long M228
.long M228
.long M228
.long M228
.long M228
.long M230
.long M230
.long M230
.long M230
.long M230
.long M230
.long M230
.long M230
.long M238
.long M239
.long M23A
.long M23B
.long M23C
.long r_illegal
.long r_illegal
.long r_illegal
.long M240
.long M240
.long M240
.long M240
.long M240
.long M240
.long M240
.long M240
.long M248
.long M248
.long M248
.long M248
.long M248
.long M248
.long M248
.long M248
.long M250
.long M250
.long M250
.long M250
.long M250
.long M250
.long M250
.long M250
.long M258
.long M258
.long M258
.long M258
.long M258
.long M258
.long M258
.long M258
.long M260
.long M260
.long M260
.long M260
.long M260
.long M260
.long M260
.long M260
.long M268
.long M268
.long M268
.long M268
.long M268
.long M268
.long M268
.long M268
.long M270
.long M270
.long M270
.long M270
.long M270
.long M270
.long M270
.long M270
.long M278
.long M279
.long M27A
.long M27B
.long M27C
.long r_illegal
.long r_illegal
.long r_illegal
.long M280
.long M280
.long M280
.long M280
.long M280
.long M280
.long M280
.long M280
.long M288
.long M288
.long M288
.long M288
.long M288
.long M288
.long M288
.long M288
.long M290
.long M290
.long M290
.long M290
.long M290
.long M290
.long M290
.long M290
.long M298
.long M298
.long M298
.long M298
.long M298
.long M298
.long M298
.long M298
.long M2A0
.long M2A0
.long M2A0
.long M2A0
.long M2A0
.long M2A0
.long M2A0
.long M2A0
.long M2A8
.long M2A8
.long M2A8
.long M2A8
.long M2A8
.long M2A8
.long M2A8
.long M2A8
.long M2B0
.long M2B0
.long M2B0
.long M2B0
.long M2B0
.long M2B0
.long M2B0
.long M2B0
.long M2B8
.long M2B9
.long M2BA
.long M2BB
.long M2BC
.long r_illegal
.long r_illegal
.long r_illegal
.long M2C0
.long M2C0
.long M2C0
.long M2C0
.long M2C0
.long M2C0
.long M2C0
.long M2C0
.long M2C8
.long M2C8
.long M2C8
.long M2C8
.long M2C8
.long M2C8
.long M2C8
.long M2C8
.long M2D0
.long M2D0
.long M2D0
.long M2D0
.long M2D0
.long M2D0
.long M2D0
.long M2D0
.long M2D8
.long M2D8
.long M2D8
.long M2D8
.long M2D8
.long M2D8
.long M2D8
.long M2D8
.long M2E0
.long M2E0
.long M2E0
.long M2E0
.long M2E0
.long M2E0
.long M2E0
.long M2E0
.long M2E8
.long M2E8
.long M2E8
.long M2E8
.long M2E8
.long M2E8
.long M2E8
.long M2E8
.long M2F0
.long M2F0
.long M2F0
.long M2F0
.long M2F0
.long M2F0
.long M2F0
.long M2F0
.long M2F8
.long M2F9
.long M2FA
.long M2FB
.long M2FC
.long r_illegal
.long r_illegal
.long r_illegal
.long M300
.long M300
.long M300
.long M300
.long M300
.long M300
.long M300
.long M300
.long M308
.long M308
.long M308
.long M308
.long M308
.long M308
.long M308
.long M308
.long M310
.long M310
.long M310
.long M310
.long M310
.long M310
.long M310
.long M310
.long M318
.long M318
.long M318
.long M318
.long M318
.long M318
.long M318
.long M318
.long M320
.long M320
.long M320
.long M320
.long M320
.long M320
.long M320
.long M320
.long M328
.long M328
.long M328
.long M328
.long M328
.long M328
.long M328
.long M328
.long M330
.long M330
.long M330
.long M330
.long M330
.long M330
.long M330
.long M330
.long M338
.long M339
.long M33A
.long M33B
.long M33C
.long r_illegal
.long r_illegal
.long r_illegal
.long M340
.long M340
.long M340
.long M340
.long M340
.long M340
.long M340
.long M340
.long M348
.long M348
.long M348
.long M348
.long M348
.long M348
.long M348
.long M348
.long M350
.long M350
.long M350
.long M350
.long M350
.long M350
.long M350
.long M350
.long M358
.long M358
.long M358
.long M358
.long M358
.long M358
.long M358
.long M358
.long M360
.long M360
.long M360
.long M360
.long M360
.long M360
.long M360
.long M360
.long M368
.long M368
.long M368
.long M368
.long M368
.long M368
.long M368
.long M368
.long M370
.long M370
.long M370
.long M370
.long M370
.long M370
.long M370
.long M370
.long M378
.long M379
.long M37A
.long M37B
.long M37C
.long r_illegal
.long r_illegal
.long r_illegal
.long M380
.long M380
.long M380
.long M380
.long M380
.long M380
.long M380
.long M380
.long M388
.long M388
.long M388
.long M388
.long M388
.long M388
.long M388
.long M388
.long M390
.long M390
.long M390
.long M390
.long M390
.long M390
.long M390
.long M390
.long M398
.long M398
.long M398
.long M398
.long M398
.long M398
.long M398
.long M398
.long M3A0
.long M3A0
.long M3A0
.long M3A0
.long M3A0
.long M3A0
.long M3A0
.long M3A0
.long M3A8
.long M3A8
.long M3A8
.long M3A8
.long M3A8
.long M3A8
.long M3A8
.long M3A8
.long M3B0
.long M3B0
.long M3B0
.long M3B0
.long M3B0
.long M3B0
.long M3B0
.long M3B0
.long M3B8
.long M3B9
.long M3BA
.long M3BB
.long M3BC
.long r_illegal
.long r_illegal
.long r_illegal
.long M3C0
.long M3C0
.long M3C0
.long M3C0
.long M3C0
.long M3C0
.long M3C0
.long M3C0
.long M3C8
.long M3C8
.long M3C8
.long M3C8
.long M3C8
.long M3C8
.long M3C8
.long M3C8
.long M3D0
.long M3D0
.long M3D0
.long M3D0
.long M3D0
.long M3D0
.long M3D0
.long M3D0
.long M3D8
.long M3D8
.long M3D8
.long M3D8
.long M3D8
.long M3D8
.long M3D8
.long M3D8
.long M3E0
.long M3E0
.long M3E0
.long M3E0
.long M3E0
.long M3E0
.long M3E0
.long M3E0
.long M3E8
.long M3E8
.long M3E8
.long M3E8
.long M3E8
.long M3E8
.long M3E8
.long M3E8
.long M3F0
.long M3F0
.long M3F0
.long M3F0
.long M3F0
.long M3F0
.long M3F0
.long M3F0
.long M3F8
.long M3F9
.long M3FA
.long M3FB
.long M3FC
.long r_illegal
.long r_illegal
.long r_illegal
.long M400
.long M400
.long M400
.long M400
.long M400
.long M400
.long M400
.long M400
.long M408
.long M408
.long M408
.long M408
.long M408
.long M408
.long M408
.long M408
.long M410
.long M410
.long M410
.long M410
.long M410
.long M410
.long M410
.long M410
.long M418
.long M418
.long M418
.long M418
.long M418
.long M418
.long M418
.long M418
.long M420
.long M420
.long M420
.long M420
.long M420
.long M420
.long M420
.long M420
.long M428
.long M428
.long M428
.long M428
.long M428
.long M428
.long M428
.long M428
.long M430
.long M430
.long M430
.long M430
.long M430
.long M430
.long M430
.long M430
.long M438
.long M439
.long M43A
.long M43B
.long M43C
.long r_illegal
.long r_illegal
.long r_illegal
.long M440
.long M440
.long M440
.long M440
.long M440
.long M440
.long M440
.long M440
.long M448
.long M448
.long M448
.long M448
.long M448
.long M448
.long M448
.long M448
.long M450
.long M450
.long M450
.long M450
.long M450
.long M450
.long M450
.long M450
.long M458
.long M458
.long M458
.long M458
.long M458
.long M458
.long M458
.long M458
.long M460
.long M460
.long M460
.long M460
.long M460
.long M460
.long M460
.long M460
.long M468
.long M468
.long M468
.long M468
.long M468
.long M468
.long M468
.long M468
.long M470
.long M470
.long M470
.long M470
.long M470
.long M470
.long M470
.long M470
.long M478
.long M479
.long M47A
.long M47B
.long M47C
.long r_illegal
.long r_illegal
.long r_illegal
.long M480
.long M480
.long M480
.long M480
.long M480
.long M480
.long M480
.long M480
.long M488
.long M488
.long M488
.long M488
.long M488
.long M488
.long M488
.long M488
.long M490
.long M490
.long M490
.long M490
.long M490
.long M490
.long M490
.long M490
.long M498
.long M498
.long M498
.long M498
.long M498
.long M498
.long M498
.long M498
.long M4A0
.long M4A0
.long M4A0
.long M4A0
.long M4A0
.long M4A0
.long M4A0
.long M4A0
.long M4A8
.long M4A8
.long M4A8
.long M4A8
.long M4A8
.long M4A8
.long M4A8
.long M4A8
.long M4B0
.long M4B0
.long M4B0
.long M4B0
.long M4B0
.long M4B0
.long M4B0
.long M4B0
.long M4B8
.long M4B9
.long M4BA
.long M4BB
.long M4BC
.long r_illegal
.long r_illegal
.long r_illegal
.long M4C0
.long M4C0
.long M4C0
.long M4C0
.long M4C0
.long M4C0
.long M4C0
.long M4C0
.long M4C8
.long M4C8
.long M4C8
.long M4C8
.long M4C8
.long M4C8
.long M4C8
.long M4C8
.long M4D0
.long M4D0
.long M4D0
.long M4D0
.long M4D0
.long M4D0
.long M4D0
.long M4D0
.long M4D8
.long M4D8
.long M4D8
.long M4D8
.long M4D8
.long M4D8
.long M4D8
.long M4D8
.long M4E0
.long M4E0
.long M4E0
.long M4E0
.long M4E0
.long M4E0
.long M4E0
.long M4E0
.long M4E8
.long M4E8
.long M4E8
.long M4E8
.long M4E8
.long M4E8
.long M4E8
.long M4E8
.long M4F0
.long M4F0
.long M4F0
.long M4F0
.long M4F0
.long M4F0
.long M4F0
.long M4F0
.long M4F8
.long M4F9
.long M4FA
.long M4FB
.long M4FC
.long r_illegal
.long r_illegal
.long r_illegal
.long M500
.long M500
.long M500
.long M500
.long M500
.long M500
.long M500
.long M500
.long M508
.long M508
.long M508
.long M508
.long M508
.long M508
.long M508
.long M508
.long M510
.long M510
.long M510
.long M510
.long M510
.long M510
.long M510
.long M510
.long M518
.long M518
.long M518
.long M518
.long M518
.long M518
.long M518
.long M518
.long M520
.long M520
.long M520
.long M520
.long M520
.long M520
.long M520
.long M520
.long M528
.long M528
.long M528
.long M528
.long M528
.long M528
.long M528
.long M528
.long M530
.long M530
.long M530
.long M530
.long M530
.long M530
.long M530
.long M530
.long M538
.long M539
.long M53A
.long M53B
.long M53C
.long r_illegal
.long r_illegal
.long r_illegal
.long M540
.long M540
.long M540
.long M540
.long M540
.long M540
.long M540
.long M540
.long M548
.long M548
.long M548
.long M548
.long M548
.long M548
.long M548
.long M548
.long M550
.long M550
.long M550
.long M550
.long M550
.long M550
.long M550
.long M550
.long M558
.long M558
.long M558
.long M558
.long M558
.long M558
.long M558
.long M558
.long M560
.long M560
.long M560
.long M560
.long M560
.long M560
.long M560
.long M560
.long M568
.long M568
.long M568
.long M568
.long M568
.long M568
.long M568
.long M568
.long M570
.long M570
.long M570
.long M570
.long M570
.long M570
.long M570
.long M570
.long M578
.long M579
.long M57A
.long M57B
.long M57C
.long r_illegal
.long r_illegal
.long r_illegal
.long M580
.long M580
.long M580
.long M580
.long M580
.long M580
.long M580
.long M580
.long M588
.long M588
.long M588
.long M588
.long M588
.long M588
.long M588
.long M588
.long M590
.long M590
.long M590
.long M590
.long M590
.long M590
.long M590
.long M590
.long M598
.long M598
.long M598
.long M598
.long M598
.long M598
.long M598
.long M598
.long M5A0
.long M5A0
.long M5A0
.long M5A0
.long M5A0
.long M5A0
.long M5A0
.long M5A0
.long M5A8
.long M5A8
.long M5A8
.long M5A8
.long M5A8
.long M5A8
.long M5A8
.long M5A8
.long M5B0
.long M5B0
.long M5B0
.long M5B0
.long M5B0
.long M5B0
.long M5B0
.long M5B0
.long M5B8
.long M5B9
.long M5BA
.long M5BB
.long M5BC
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long M600
.long M600
.long M600
.long M600
.long M600
.long M600
.long M600
.long M600
.long M608
.long M608
.long M608
.long M608
.long M608
.long M608
.long M608
.long M608
.long M610
.long M610
.long M610
.long M610
.long M610
.long M610
.long M610
.long M610
.long M618
.long M618
.long M618
.long M618
.long M618
.long M618
.long M618
.long M618
.long M620
.long M620
.long M620
.long M620
.long M620
.long M620
.long M620
.long M620
.long M628
.long M628
.long M628
.long M628
.long M628
.long M628
.long M628
.long M628
.long M630
.long M630
.long M630
.long M630
.long M630
.long M630
.long M630
.long M630
.long M638
.long M639
.long M63A
.long M63B
.long M63C
.long r_illegal
.long r_illegal
.long r_illegal
.long M640
.long M640
.long M640
.long M640
.long M640
.long M640
.long M640
.long M640
.long M648
.long M648
.long M648
.long M648
.long M648
.long M648
.long M648
.long M648
.long M650
.long M650
.long M650
.long M650
.long M650
.long M650
.long M650
.long M650
.long M658
.long M658
.long M658
.long M658
.long M658
.long M658
.long M658
.long M658
.long M660
.long M660
.long M660
.long M660
.long M660
.long M660
.long M660
.long M660
.long M668
.long M668
.long M668
.long M668
.long M668
.long M668
.long M668
.long M668
.long M670
.long M670
.long M670
.long M670
.long M670
.long M670
.long M670
.long M670
.long M678
.long M679
.long M67A
.long M67B
.long M67C
.long r_illegal
.long r_illegal
.long r_illegal
.long M680
.long M680
.long M680
.long M680
.long M680
.long M680
.long M680
.long M680
.long M688
.long M688
.long M688
.long M688
.long M688
.long M688
.long M688
.long M688
.long M690
.long M690
.long M690
.long M690
.long M690
.long M690
.long M690
.long M690
.long M698
.long M698
.long M698
.long M698
.long M698
.long M698
.long M698
.long M698
.long M6A0
.long M6A0
.long M6A0
.long M6A0
.long M6A0
.long M6A0
.long M6A0
.long M6A0
.long M6A8
.long M6A8
.long M6A8
.long M6A8
.long M6A8
.long M6A8
.long M6A8
.long M6A8
.long M6B0
.long M6B0
.long M6B0
.long M6B0
.long M6B0
.long M6B0
.long M6B0
.long M6B0
.long M6B8
.long M6B9
.long M6BA
.long M6BB
.long M6BC
.long r_illegal
.long r_illegal
.long r_illegal
.long M6C0
.long M6C0
.long M6C0
.long M6C0
.long M6C0
.long M6C0
.long M6C0
.long M6C0
.long M6C8
.long M6C8
.long M6C8
.long M6C8
.long M6C8
.long M6C8
.long M6C8
.long M6C8
.long M6D0
.long M6D0
.long M6D0
.long M6D0
.long M6D0
.long M6D0
.long M6D0
.long M6D0
.long M6D8
.long M6D8
.long M6D8
.long M6D8
.long M6D8
.long M6D8
.long M6D8
.long M6D8
.long M6E0
.long M6E0
.long M6E0
.long M6E0
.long M6E0
.long M6E0
.long M6E0
.long M6E0
.long M6E8
.long M6E8
.long M6E8
.long M6E8
.long M6E8
.long M6E8
.long M6E8
.long M6E8
.long M6F0
.long M6F0
.long M6F0
.long M6F0
.long M6F0
.long M6F0
.long M6F0
.long M6F0
.long M6F8
.long M6F9
.long M6FA
.long M6FB
.long M6FC
.long r_illegal
.long r_illegal
.long r_illegal
.long M700
.long M700
.long M700
.long M700
.long M700
.long M700
.long M700
.long M700
.long M708
.long M708
.long M708
.long M708
.long M708
.long M708
.long M708
.long M708
.long M710
.long M710
.long M710
.long M710
.long M710
.long M710
.long M710
.long M710
.long M718
.long M718
.long M718
.long M718
.long M718
.long M718
.long M718
.long M718
.long M720
.long M720
.long M720
.long M720
.long M720
.long M720
.long M720
.long M720
.long M728
.long M728
.long M728
.long M728
.long M728
.long M728
.long M728
.long M728
.long M730
.long M730
.long M730
.long M730
.long M730
.long M730
.long M730
.long M730
.long M738
.long M739
.long M73A
.long M73B
.long M73C
.long r_illegal
.long r_illegal
.long r_illegal
.long M740
.long M740
.long M740
.long M740
.long M740
.long M740
.long M740
.long M740
.long M748
.long M748
.long M748
.long M748
.long M748
.long M748
.long M748
.long M748
.long M750
.long M750
.long M750
.long M750
.long M750
.long M750
.long M750
.long M750
.long M758
.long M758
.long M758
.long M758
.long M758
.long M758
.long M758
.long M758
.long M760
.long M760
.long M760
.long M760
.long M760
.long M760
.long M760
.long M760
.long M768
.long M768
.long M768
.long M768
.long M768
.long M768
.long M768
.long M768
.long M770
.long M770
.long M770
.long M770
.long M770
.long M770
.long M770
.long M770
.long M778
.long M779
.long M77A
.long M77B
.long M77C
.long r_illegal
.long r_illegal
.long r_illegal
.long M780
.long M780
.long M780
.long M780
.long M780
.long M780
.long M780
.long M780
.long M788
.long M788
.long M788
.long M788
.long M788
.long M788
.long M788
.long M788
.long M790
.long M790
.long M790
.long M790
.long M790
.long M790
.long M790
.long M790
.long M798
.long M798
.long M798
.long M798
.long M798
.long M798
.long M798
.long M798
.long M7A0
.long M7A0
.long M7A0
.long M7A0
.long M7A0
.long M7A0
.long M7A0
.long M7A0
.long M7A8
.long M7A8
.long M7A8
.long M7A8
.long M7A8
.long M7A8
.long M7A8
.long M7A8
.long M7B0
.long M7B0
.long M7B0
.long M7B0
.long M7B0
.long M7B0
.long M7B0
.long M7B0
.long M7B8
.long M7B9
.long M7BA
.long M7BB
.long M7BC
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long M800
.long M800
.long M800
.long M800
.long M800
.long M800
.long M800
.long M800
.long M808
.long M808
.long M808
.long M808
.long M808
.long M808
.long M808
.long M808
.long M810
.long M810
.long M810
.long M810
.long M810
.long M810
.long M810
.long M810
.long M818
.long M818
.long M818
.long M818
.long M818
.long M818
.long M818
.long M818
.long M820
.long M820
.long M820
.long M820
.long M820
.long M820
.long M820
.long M820
.long M828
.long M828
.long M828
.long M828
.long M828
.long M828
.long M828
.long M828
.long M830
.long M830
.long M830
.long M830
.long M830
.long M830
.long M830
.long M830
.long M838
.long M839
.long M83A
.long M83B
.long M83C
.long r_illegal
.long r_illegal
.long r_illegal
.long M840
.long M840
.long M840
.long M840
.long M840
.long M840
.long M840
.long M840
.long M848
.long M848
.long M848
.long M848
.long M848
.long M848
.long M848
.long M848
.long M850
.long M850
.long M850
.long M850
.long M850
.long M850
.long M850
.long M850
.long M858
.long M858
.long M858
.long M858
.long M858
.long M858
.long M858
.long M858
.long M860
.long M860
.long M860
.long M860
.long M860
.long M860
.long M860
.long M860
.long M868
.long M868
.long M868
.long M868
.long M868
.long M868
.long M868
.long M868
.long M870
.long M870
.long M870
.long M870
.long M870
.long M870
.long M870
.long M870
.long M878
.long M879
.long M87A
.long M87B
.long M87C
.long r_illegal
.long r_illegal
.long r_illegal
.long M880
.long M880
.long M880
.long M880
.long M880
.long M880
.long M880
.long M880
.long M888
.long M888
.long M888
.long M888
.long M888
.long M888
.long M888
.long M888
.long M890
.long M890
.long M890
.long M890
.long M890
.long M890
.long M890
.long M890
.long M898
.long M898
.long M898
.long M898
.long M898
.long M898
.long M898
.long M898
.long M8A0
.long M8A0
.long M8A0
.long M8A0
.long M8A0
.long M8A0
.long M8A0
.long M8A0
.long M8A8
.long M8A8
.long M8A8
.long M8A8
.long M8A8
.long M8A8
.long M8A8
.long M8A8
.long M8B0
.long M8B0
.long M8B0
.long M8B0
.long M8B0
.long M8B0
.long M8B0
.long M8B0
.long M8B8
.long M8B9
.long M8BA
.long M8BB
.long M8BC
.long r_illegal
.long r_illegal
.long r_illegal
.long M8C0
.long M8C0
.long M8C0
.long M8C0
.long M8C0
.long M8C0
.long M8C0
.long M8C0
.long M8C8
.long M8C8
.long M8C8
.long M8C8
.long M8C8
.long M8C8
.long M8C8
.long M8C8
.long M8D0
.long M8D0
.long M8D0
.long M8D0
.long M8D0
.long M8D0
.long M8D0
.long M8D0
.long M8D8
.long M8D8
.long M8D8
.long M8D8
.long M8D8
.long M8D8
.long M8D8
.long M8D8
.long M8E0
.long M8E0
.long M8E0
.long M8E0
.long M8E0
.long M8E0
.long M8E0
.long M8E0
.long M8E8
.long M8E8
.long M8E8
.long M8E8
.long M8E8
.long M8E8
.long M8E8
.long M8E8
.long M8F0
.long M8F0
.long M8F0
.long M8F0
.long M8F0
.long M8F0
.long M8F0
.long M8F0
.long M8F8
.long M8F9
.long M8FA
.long M8FB
.long M8FC
.long r_illegal
.long r_illegal
.long r_illegal
.long M900
.long M900
.long M900
.long M900
.long M900
.long M900
.long M900
.long M900
.long M908
.long M908
.long M908
.long M908
.long M908
.long M908
.long M908
.long M908
.long M910
.long M910
.long M910
.long M910
.long M910
.long M910
.long M910
.long M910
.long M918
.long M918
.long M918
.long M918
.long M918
.long M918
.long M918
.long M918
.long M920
.long M920
.long M920
.long M920
.long M920
.long M920
.long M920
.long M920
.long M928
.long M928
.long M928
.long M928
.long M928
.long M928
.long M928
.long M928
.long M930
.long M930
.long M930
.long M930
.long M930
.long M930
.long M930
.long M930
.long M938
.long M939
.long M93A
.long M93B
.long M93C
.long r_illegal
.long r_illegal
.long r_illegal
.long M940
.long M940
.long M940
.long M940
.long M940
.long M940
.long M940
.long M940
.long M948
.long M948
.long M948
.long M948
.long M948
.long M948
.long M948
.long M948
.long M950
.long M950
.long M950
.long M950
.long M950
.long M950
.long M950
.long M950
.long M958
.long M958
.long M958
.long M958
.long M958
.long M958
.long M958
.long M958
.long M960
.long M960
.long M960
.long M960
.long M960
.long M960
.long M960
.long M960
.long M968
.long M968
.long M968
.long M968
.long M968
.long M968
.long M968
.long M968
.long M970
.long M970
.long M970
.long M970
.long M970
.long M970
.long M970
.long M970
.long M978
.long M979
.long M97A
.long M97B
.long M97C
.long r_illegal
.long r_illegal
.long r_illegal
.long M980
.long M980
.long M980
.long M980
.long M980
.long M980
.long M980
.long M980
.long M988
.long M988
.long M988
.long M988
.long M988
.long M988
.long M988
.long M988
.long M990
.long M990
.long M990
.long M990
.long M990
.long M990
.long M990
.long M990
.long M998
.long M998
.long M998
.long M998
.long M998
.long M998
.long M998
.long M998
.long M9A0
.long M9A0
.long M9A0
.long M9A0
.long M9A0
.long M9A0
.long M9A0
.long M9A0
.long M9A8
.long M9A8
.long M9A8
.long M9A8
.long M9A8
.long M9A8
.long M9A8
.long M9A8
.long M9B0
.long M9B0
.long M9B0
.long M9B0
.long M9B0
.long M9B0
.long M9B0
.long M9B0
.long M9B8
.long M9B9
.long M9BA
.long M9BB
.long M9BC
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long MA00
.long MA00
.long MA00
.long MA00
.long MA00
.long MA00
.long MA00
.long MA00
.long MA08
.long MA08
.long MA08
.long MA08
.long MA08
.long MA08
.long MA08
.long MA08
.long MA10
.long MA10
.long MA10
.long MA10
.long MA10
.long MA10
.long MA10
.long MA10
.long MA18
.long MA18
.long MA18
.long MA18
.long MA18
.long MA18
.long MA18
.long MA18
.long MA20
.long MA20
.long MA20
.long MA20
.long MA20
.long MA20
.long MA20
.long MA20
.long MA28
.long MA28
.long MA28
.long MA28
.long MA28
.long MA28
.long MA28
.long MA28
.long MA30
.long MA30
.long MA30
.long MA30
.long MA30
.long MA30
.long MA30
.long MA30
.long MA38
.long MA39
.long MA3A
.long MA3B
.long MA3C
.long r_illegal
.long r_illegal
.long r_illegal
.long MA40
.long MA40
.long MA40
.long MA40
.long MA40
.long MA40
.long MA40
.long MA40
.long MA48
.long MA48
.long MA48
.long MA48
.long MA48
.long MA48
.long MA48
.long MA48
.long MA50
.long MA50
.long MA50
.long MA50
.long MA50
.long MA50
.long MA50
.long MA50
.long MA58
.long MA58
.long MA58
.long MA58
.long MA58
.long MA58
.long MA58
.long MA58
.long MA60
.long MA60
.long MA60
.long MA60
.long MA60
.long MA60
.long MA60
.long MA60
.long MA68
.long MA68
.long MA68
.long MA68
.long MA68
.long MA68
.long MA68
.long MA68
.long MA70
.long MA70
.long MA70
.long MA70
.long MA70
.long MA70
.long MA70
.long MA70
.long MA78
.long MA79
.long MA7A
.long MA7B
.long MA7C
.long r_illegal
.long r_illegal
.long r_illegal
.long MA80
.long MA80
.long MA80
.long MA80
.long MA80
.long MA80
.long MA80
.long MA80
.long MA88
.long MA88
.long MA88
.long MA88
.long MA88
.long MA88
.long MA88
.long MA88
.long MA90
.long MA90
.long MA90
.long MA90
.long MA90
.long MA90
.long MA90
.long MA90
.long MA98
.long MA98
.long MA98
.long MA98
.long MA98
.long MA98
.long MA98
.long MA98
.long MAA0
.long MAA0
.long MAA0
.long MAA0
.long MAA0
.long MAA0
.long MAA0
.long MAA0
.long MAA8
.long MAA8
.long MAA8
.long MAA8
.long MAA8
.long MAA8
.long MAA8
.long MAA8
.long MAB0
.long MAB0
.long MAB0
.long MAB0
.long MAB0
.long MAB0
.long MAB0
.long MAB0
.long MAB8
.long MAB9
.long MABA
.long MABB
.long MABC
.long r_illegal
.long r_illegal
.long r_illegal
.long MAC0
.long MAC0
.long MAC0
.long MAC0
.long MAC0
.long MAC0
.long MAC0
.long MAC0
.long MAC8
.long MAC8
.long MAC8
.long MAC8
.long MAC8
.long MAC8
.long MAC8
.long MAC8
.long MAD0
.long MAD0
.long MAD0
.long MAD0
.long MAD0
.long MAD0
.long MAD0
.long MAD0
.long MAD8
.long MAD8
.long MAD8
.long MAD8
.long MAD8
.long MAD8
.long MAD8
.long MAD8
.long MAE0
.long MAE0
.long MAE0
.long MAE0
.long MAE0
.long MAE0
.long MAE0
.long MAE0
.long MAE8
.long MAE8
.long MAE8
.long MAE8
.long MAE8
.long MAE8
.long MAE8
.long MAE8
.long MAF0
.long MAF0
.long MAF0
.long MAF0
.long MAF0
.long MAF0
.long MAF0
.long MAF0
.long MAF8
.long MAF9
.long MAFA
.long MAFB
.long MAFC
.long r_illegal
.long r_illegal
.long r_illegal
.long MB00
.long MB00
.long MB00
.long MB00
.long MB00
.long MB00
.long MB00
.long MB00
.long MB08
.long MB08
.long MB08
.long MB08
.long MB08
.long MB08
.long MB08
.long MB08
.long MB10
.long MB10
.long MB10
.long MB10
.long MB10
.long MB10
.long MB10
.long MB10
.long MB18
.long MB18
.long MB18
.long MB18
.long MB18
.long MB18
.long MB18
.long MB18
.long MB20
.long MB20
.long MB20
.long MB20
.long MB20
.long MB20
.long MB20
.long MB20
.long MB28
.long MB28
.long MB28
.long MB28
.long MB28
.long MB28
.long MB28
.long MB28
.long MB30
.long MB30
.long MB30
.long MB30
.long MB30
.long MB30
.long MB30
.long MB30
.long MB38
.long MB39
.long MB3A
.long MB3B
.long MB3C
.long r_illegal
.long r_illegal
.long r_illegal
.long MB40
.long MB40
.long MB40
.long MB40
.long MB40
.long MB40
.long MB40
.long MB40
.long MB48
.long MB48
.long MB48
.long MB48
.long MB48
.long MB48
.long MB48
.long MB48
.long MB50
.long MB50
.long MB50
.long MB50
.long MB50
.long MB50
.long MB50
.long MB50
.long MB58
.long MB58
.long MB58
.long MB58
.long MB58
.long MB58
.long MB58
.long MB58
.long MB60
.long MB60
.long MB60
.long MB60
.long MB60
.long MB60
.long MB60
.long MB60
.long MB68
.long MB68
.long MB68
.long MB68
.long MB68
.long MB68
.long MB68
.long MB68
.long MB70
.long MB70
.long MB70
.long MB70
.long MB70
.long MB70
.long MB70
.long MB70
.long MB78
.long MB79
.long MB7A
.long MB7B
.long MB7C
.long r_illegal
.long r_illegal
.long r_illegal
.long MB80
.long MB80
.long MB80
.long MB80
.long MB80
.long MB80
.long MB80
.long MB80
.long MB88
.long MB88
.long MB88
.long MB88
.long MB88
.long MB88
.long MB88
.long MB88
.long MB90
.long MB90
.long MB90
.long MB90
.long MB90
.long MB90
.long MB90
.long MB90
.long MB98
.long MB98
.long MB98
.long MB98
.long MB98
.long MB98
.long MB98
.long MB98
.long MBA0
.long MBA0
.long MBA0
.long MBA0
.long MBA0
.long MBA0
.long MBA0
.long MBA0
.long MBA8
.long MBA8
.long MBA8
.long MBA8
.long MBA8
.long MBA8
.long MBA8
.long MBA8
.long MBB0
.long MBB0
.long MBB0
.long MBB0
.long MBB0
.long MBB0
.long MBB0
.long MBB0
.long MBB8
.long MBB9
.long MBBA
.long MBBB
.long MBBC
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long MC00
.long MC00
.long MC00
.long MC00
.long MC00
.long MC00
.long MC00
.long MC00
.long MC08
.long MC08
.long MC08
.long MC08
.long MC08
.long MC08
.long MC08
.long MC08
.long MC10
.long MC10
.long MC10
.long MC10
.long MC10
.long MC10
.long MC10
.long MC10
.long MC18
.long MC18
.long MC18
.long MC18
.long MC18
.long MC18
.long MC18
.long MC18
.long MC20
.long MC20
.long MC20
.long MC20
.long MC20
.long MC20
.long MC20
.long MC20
.long MC28
.long MC28
.long MC28
.long MC28
.long MC28
.long MC28
.long MC28
.long MC28
.long MC30
.long MC30
.long MC30
.long MC30
.long MC30
.long MC30
.long MC30
.long MC30
.long MC38
.long MC39
.long MC3A
.long MC3B
.long MC3C
.long r_illegal
.long r_illegal
.long r_illegal
.long MC40
.long MC40
.long MC40
.long MC40
.long MC40
.long MC40
.long MC40
.long MC40
.long MC48
.long MC48
.long MC48
.long MC48
.long MC48
.long MC48
.long MC48
.long MC48
.long MC50
.long MC50
.long MC50
.long MC50
.long MC50
.long MC50
.long MC50
.long MC50
.long MC58
.long MC58
.long MC58
.long MC58
.long MC58
.long MC58
.long MC58
.long MC58
.long MC60
.long MC60
.long MC60
.long MC60
.long MC60
.long MC60
.long MC60
.long MC60
.long MC68
.long MC68
.long MC68
.long MC68
.long MC68
.long MC68
.long MC68
.long MC68
.long MC70
.long MC70
.long MC70
.long MC70
.long MC70
.long MC70
.long MC70
.long MC70
.long MC78
.long MC79
.long MC7A
.long MC7B
.long MC7C
.long r_illegal
.long r_illegal
.long r_illegal
.long MC80
.long MC80
.long MC80
.long MC80
.long MC80
.long MC80
.long MC80
.long MC80
.long MC88
.long MC88
.long MC88
.long MC88
.long MC88
.long MC88
.long MC88
.long MC88
.long MC90
.long MC90
.long MC90
.long MC90
.long MC90
.long MC90
.long MC90
.long MC90
.long MC98
.long MC98
.long MC98
.long MC98
.long MC98
.long MC98
.long MC98
.long MC98
.long MCA0
.long MCA0
.long MCA0
.long MCA0
.long MCA0
.long MCA0
.long MCA0
.long MCA0
.long MCA8
.long MCA8
.long MCA8
.long MCA8
.long MCA8
.long MCA8
.long MCA8
.long MCA8
.long MCB0
.long MCB0
.long MCB0
.long MCB0
.long MCB0
.long MCB0
.long MCB0
.long MCB0
.long MCB8
.long MCB9
.long MCBA
.long MCBB
.long MCBC
.long r_illegal
.long r_illegal
.long r_illegal
.long MCC0
.long MCC0
.long MCC0
.long MCC0
.long MCC0
.long MCC0
.long MCC0
.long MCC0
.long MCC8
.long MCC8
.long MCC8
.long MCC8
.long MCC8
.long MCC8
.long MCC8
.long MCC8
.long MCD0
.long MCD0
.long MCD0
.long MCD0
.long MCD0
.long MCD0
.long MCD0
.long MCD0
.long MCD8
.long MCD8
.long MCD8
.long MCD8
.long MCD8
.long MCD8
.long MCD8
.long MCD8
.long MCE0
.long MCE0
.long MCE0
.long MCE0
.long MCE0
.long MCE0
.long MCE0
.long MCE0
.long MCE8
.long MCE8
.long MCE8
.long MCE8
.long MCE8
.long MCE8
.long MCE8
.long MCE8
.long MCF0
.long MCF0
.long MCF0
.long MCF0
.long MCF0
.long MCF0
.long MCF0
.long MCF0
.long MCF8
.long MCF9
.long MCFA
.long MCFB
.long MCFC
.long r_illegal
.long r_illegal
.long r_illegal
.long MD00
.long MD00
.long MD00
.long MD00
.long MD00
.long MD00
.long MD00
.long MD00
.long MD08
.long MD08
.long MD08
.long MD08
.long MD08
.long MD08
.long MD08
.long MD08
.long MD10
.long MD10
.long MD10
.long MD10
.long MD10
.long MD10
.long MD10
.long MD10
.long MD18
.long MD18
.long MD18
.long MD18
.long MD18
.long MD18
.long MD18
.long MD18
.long MD20
.long MD20
.long MD20
.long MD20
.long MD20
.long MD20
.long MD20
.long MD20
.long MD28
.long MD28
.long MD28
.long MD28
.long MD28
.long MD28
.long MD28
.long MD28
.long MD30
.long MD30
.long MD30
.long MD30
.long MD30
.long MD30
.long MD30
.long MD30
.long MD38
.long MD39
.long MD3A
.long MD3B
.long MD3C
.long r_illegal
.long r_illegal
.long r_illegal
.long MD40
.long MD40
.long MD40
.long MD40
.long MD40
.long MD40
.long MD40
.long MD40
.long MD48
.long MD48
.long MD48
.long MD48
.long MD48
.long MD48
.long MD48
.long MD48
.long MD50
.long MD50
.long MD50
.long MD50
.long MD50
.long MD50
.long MD50
.long MD50
.long MD58
.long MD58
.long MD58
.long MD58
.long MD58
.long MD58
.long MD58
.long MD58
.long MD60
.long MD60
.long MD60
.long MD60
.long MD60
.long MD60
.long MD60
.long MD60
.long MD68
.long MD68
.long MD68
.long MD68
.long MD68
.long MD68
.long MD68
.long MD68
.long MD70
.long MD70
.long MD70
.long MD70
.long MD70
.long MD70
.long MD70
.long MD70
.long MD78
.long MD79
.long MD7A
.long MD7B
.long MD7C
.long r_illegal
.long r_illegal
.long r_illegal
.long MD80
.long MD80
.long MD80
.long MD80
.long MD80
.long MD80
.long MD80
.long MD80
.long MD88
.long MD88
.long MD88
.long MD88
.long MD88
.long MD88
.long MD88
.long MD88
.long MD90
.long MD90
.long MD90
.long MD90
.long MD90
.long MD90
.long MD90
.long MD90
.long MD98
.long MD98
.long MD98
.long MD98
.long MD98
.long MD98
.long MD98
.long MD98
.long MDA0
.long MDA0
.long MDA0
.long MDA0
.long MDA0
.long MDA0
.long MDA0
.long MDA0
.long MDA8
.long MDA8
.long MDA8
.long MDA8
.long MDA8
.long MDA8
.long MDA8
.long MDA8
.long MDB0
.long MDB0
.long MDB0
.long MDB0
.long MDB0
.long MDB0
.long MDB0
.long MDB0
.long MDB8
.long MDB9
.long MDBA
.long MDBB
.long MDBC
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long ME00
.long ME00
.long ME00
.long ME00
.long ME00
.long ME00
.long ME00
.long ME00
.long ME08
.long ME08
.long ME08
.long ME08
.long ME08
.long ME08
.long ME08
.long ME08
.long ME10
.long ME10
.long ME10
.long ME10
.long ME10
.long ME10
.long ME10
.long ME10
.long ME18
.long ME18
.long ME18
.long ME18
.long ME18
.long ME18
.long ME18
.long ME18
.long ME20
.long ME20
.long ME20
.long ME20
.long ME20
.long ME20
.long ME20
.long ME20
.long ME28
.long ME28
.long ME28
.long ME28
.long ME28
.long ME28
.long ME28
.long ME28
.long ME30
.long ME30
.long ME30
.long ME30
.long ME30
.long ME30
.long ME30
.long ME30
.long ME38
.long ME39
.long ME3A
.long ME3B
.long ME3C
.long r_illegal
.long r_illegal
.long r_illegal
.long ME40
.long ME40
.long ME40
.long ME40
.long ME40
.long ME40
.long ME40
.long ME40
.long ME48
.long ME48
.long ME48
.long ME48
.long ME48
.long ME48
.long ME48
.long ME48
.long ME50
.long ME50
.long ME50
.long ME50
.long ME50
.long ME50
.long ME50
.long ME50
.long ME58
.long ME58
.long ME58
.long ME58
.long ME58
.long ME58
.long ME58
.long ME58
.long ME60
.long ME60
.long ME60
.long ME60
.long ME60
.long ME60
.long ME60
.long ME60
.long ME68
.long ME68
.long ME68
.long ME68
.long ME68
.long ME68
.long ME68
.long ME68
.long ME70
.long ME70
.long ME70
.long ME70
.long ME70
.long ME70
.long ME70
.long ME70
.long ME78
.long ME79
.long ME7A
.long ME7B
.long ME7C
.long r_illegal
.long r_illegal
.long r_illegal
.long ME80
.long ME80
.long ME80
.long ME80
.long ME80
.long ME80
.long ME80
.long ME80
.long ME88
.long ME88
.long ME88
.long ME88
.long ME88
.long ME88
.long ME88
.long ME88
.long ME90
.long ME90
.long ME90
.long ME90
.long ME90
.long ME90
.long ME90
.long ME90
.long ME98
.long ME98
.long ME98
.long ME98
.long ME98
.long ME98
.long ME98
.long ME98
.long MEA0
.long MEA0
.long MEA0
.long MEA0
.long MEA0
.long MEA0
.long MEA0
.long MEA0
.long MEA8
.long MEA8
.long MEA8
.long MEA8
.long MEA8
.long MEA8
.long MEA8
.long MEA8
.long MEB0
.long MEB0
.long MEB0
.long MEB0
.long MEB0
.long MEB0
.long MEB0
.long MEB0
.long MEB8
.long MEB9
.long MEBA
.long MEBB
.long MEBC
.long r_illegal
.long r_illegal
.long r_illegal
.long MEC0
.long MEC0
.long MEC0
.long MEC0
.long MEC0
.long MEC0
.long MEC0
.long MEC0
.long MEC8
.long MEC8
.long MEC8
.long MEC8
.long MEC8
.long MEC8
.long MEC8
.long MEC8
.long MED0
.long MED0
.long MED0
.long MED0
.long MED0
.long MED0
.long MED0
.long MED0
.long MED8
.long MED8
.long MED8
.long MED8
.long MED8
.long MED8
.long MED8
.long MED8
.long MEE0
.long MEE0
.long MEE0
.long MEE0
.long MEE0
.long MEE0
.long MEE0
.long MEE0
.long MEE8
.long MEE8
.long MEE8
.long MEE8
.long MEE8
.long MEE8
.long MEE8
.long MEE8
.long MEF0
.long MEF0
.long MEF0
.long MEF0
.long MEF0
.long MEF0
.long MEF0
.long MEF0
.long MEF8
.long MEF9
.long MEFA
.long MEFB
.long MEFC
.long r_illegal
.long r_illegal
.long r_illegal
.long MF00
.long MF00
.long MF00
.long MF00
.long MF00
.long MF00
.long MF00
.long MF00
.long MF08
.long MF08
.long MF08
.long MF08
.long MF08
.long MF08
.long MF08
.long MF08
.long MF10
.long MF10
.long MF10
.long MF10
.long MF10
.long MF10
.long MF10
.long MF10
.long MF18
.long MF18
.long MF18
.long MF18
.long MF18
.long MF18
.long MF18
.long MF18
.long MF20
.long MF20
.long MF20
.long MF20
.long MF20
.long MF20
.long MF20
.long MF20
.long MF28
.long MF28
.long MF28
.long MF28
.long MF28
.long MF28
.long MF28
.long MF28
.long MF30
.long MF30
.long MF30
.long MF30
.long MF30
.long MF30
.long MF30
.long MF30
.long MF38
.long MF39
.long MF3A
.long MF3B
.long MF3C
.long r_illegal
.long r_illegal
.long r_illegal
.long MF40
.long MF40
.long MF40
.long MF40
.long MF40
.long MF40
.long MF40
.long MF40
.long MF48
.long MF48
.long MF48
.long MF48
.long MF48
.long MF48
.long MF48
.long MF48
.long MF50
.long MF50
.long MF50
.long MF50
.long MF50
.long MF50
.long MF50
.long MF50
.long MF58
.long MF58
.long MF58
.long MF58
.long MF58
.long MF58
.long MF58
.long MF58
.long MF60
.long MF60
.long MF60
.long MF60
.long MF60
.long MF60
.long MF60
.long MF60
.long MF68
.long MF68
.long MF68
.long MF68
.long MF68
.long MF68
.long MF68
.long MF68
.long MF70
.long MF70
.long MF70
.long MF70
.long MF70
.long MF70
.long MF70
.long MF70
.long MF78
.long MF79
.long MF7A
.long MF7B
.long MF7C
.long r_illegal
.long r_illegal
.long r_illegal
.long MF80
.long MF80
.long MF80
.long MF80
.long MF80
.long MF80
.long MF80
.long MF80
.long MF88
.long MF88
.long MF88
.long MF88
.long MF88
.long MF88
.long MF88
.long MF88
.long MF90
.long MF90
.long MF90
.long MF90
.long MF90
.long MF90
.long MF90
.long MF90
.long MF98
.long MF98
.long MF98
.long MF98
.long MF98
.long MF98
.long MF98
.long MF98
.long MFA0
.long MFA0
.long MFA0
.long MFA0
.long MFA0
.long MFA0
.long MFA0
.long MFA0
.long MFA8
.long MFA8
.long MFA8
.long MFA8
.long MFA8
.long MFA8
.long MFA8
.long MFA8
.long MFB0
.long MFB0
.long MFB0
.long MFB0
.long MFB0
.long MFB0
.long MFB0
.long MFB0
.long MFB8
.long MFB9
.long MFBA
.long MFBB
.long MFBC
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long N000
.long N000
.long N000
.long N000
.long N000
.long N000
.long N000
.long N000
.long N008
.long N008
.long N008
.long N008
.long N008
.long N008
.long N008
.long N008
.long N010
.long N010
.long N010
.long N010
.long N010
.long N010
.long N010
.long N010
.long N018
.long N018
.long N018
.long N018
.long N018
.long N018
.long N018
.long N018
.long N020
.long N020
.long N020
.long N020
.long N020
.long N020
.long N020
.long N020
.long N028
.long N028
.long N028
.long N028
.long N028
.long N028
.long N028
.long N028
.long N030
.long N030
.long N030
.long N030
.long N030
.long N030
.long N030
.long N030
.long N038
.long N039
.long N03A
.long N03B
.long N03C
.long r_illegal
.long r_illegal
.long r_illegal
.long N040
.long N040
.long N040
.long N040
.long N040
.long N040
.long N040
.long N040
.long N048
.long N048
.long N048
.long N048
.long N048
.long N048
.long N048
.long N048
.long N050
.long N050
.long N050
.long N050
.long N050
.long N050
.long N050
.long N050
.long N058
.long N058
.long N058
.long N058
.long N058
.long N058
.long N058
.long N058
.long N060
.long N060
.long N060
.long N060
.long N060
.long N060
.long N060
.long N060
.long N068
.long N068
.long N068
.long N068
.long N068
.long N068
.long N068
.long N068
.long N070
.long N070
.long N070
.long N070
.long N070
.long N070
.long N070
.long N070
.long N078
.long N079
.long N07A
.long N07B
.long N07C
.long r_illegal
.long r_illegal
.long r_illegal
.long N080
.long N080
.long N080
.long N080
.long N080
.long N080
.long N080
.long N080
.long N088
.long N088
.long N088
.long N088
.long N088
.long N088
.long N088
.long N088
.long N090
.long N090
.long N090
.long N090
.long N090
.long N090
.long N090
.long N090
.long N098
.long N098
.long N098
.long N098
.long N098
.long N098
.long N098
.long N098
.long N0A0
.long N0A0
.long N0A0
.long N0A0
.long N0A0
.long N0A0
.long N0A0
.long N0A0
.long N0A8
.long N0A8
.long N0A8
.long N0A8
.long N0A8
.long N0A8
.long N0A8
.long N0A8
.long N0B0
.long N0B0
.long N0B0
.long N0B0
.long N0B0
.long N0B0
.long N0B0
.long N0B0
.long N0B8
.long N0B9
.long N0BA
.long N0BB
.long N0BC
.long r_illegal
.long r_illegal
.long r_illegal
.long N0C0
.long N0C0
.long N0C0
.long N0C0
.long N0C0
.long N0C0
.long N0C0
.long N0C0
.long N0C8
.long N0C8
.long N0C8
.long N0C8
.long N0C8
.long N0C8
.long N0C8
.long N0C8
.long N0D0
.long N0D0
.long N0D0
.long N0D0
.long N0D0
.long N0D0
.long N0D0
.long N0D0
.long N0D8
.long N0D8
.long N0D8
.long N0D8
.long N0D8
.long N0D8
.long N0D8
.long N0D8
.long N0E0
.long N0E0
.long N0E0
.long N0E0
.long N0E0
.long N0E0
.long N0E0
.long N0E0
.long N0E8
.long N0E8
.long N0E8
.long N0E8
.long N0E8
.long N0E8
.long N0E8
.long N0E8
.long N0F0
.long N0F0
.long N0F0
.long N0F0
.long N0F0
.long N0F0
.long N0F0
.long N0F0
.long N0F8
.long N0F9
.long N0FA
.long N0FB
.long N0FC
.long r_illegal
.long r_illegal
.long r_illegal
.long N100
.long N100
.long N100
.long N100
.long N100
.long N100
.long N100
.long N100
.long N108
.long N108
.long N108
.long N108
.long N108
.long N108
.long N108
.long N108
.long N110
.long N110
.long N110
.long N110
.long N110
.long N110
.long N110
.long N110
.long N118
.long N118
.long N118
.long N118
.long N118
.long N118
.long N118
.long N118
.long N120
.long N120
.long N120
.long N120
.long N120
.long N120
.long N120
.long N120
.long N128
.long N128
.long N128
.long N128
.long N128
.long N128
.long N128
.long N128
.long N130
.long N130
.long N130
.long N130
.long N130
.long N130
.long N130
.long N130
.long N138
.long N139
.long N13A
.long N13B
.long N13C
.long r_illegal
.long r_illegal
.long r_illegal
.long N140
.long N140
.long N140
.long N140
.long N140
.long N140
.long N140
.long N140
.long N148
.long N148
.long N148
.long N148
.long N148
.long N148
.long N148
.long N148
.long N150
.long N150
.long N150
.long N150
.long N150
.long N150
.long N150
.long N150
.long N158
.long N158
.long N158
.long N158
.long N158
.long N158
.long N158
.long N158
.long N160
.long N160
.long N160
.long N160
.long N160
.long N160
.long N160
.long N160
.long N168
.long N168
.long N168
.long N168
.long N168
.long N168
.long N168
.long N168
.long N170
.long N170
.long N170
.long N170
.long N170
.long N170
.long N170
.long N170
.long N178
.long N179
.long N17A
.long N17B
.long N17C
.long r_illegal
.long r_illegal
.long r_illegal
.long N180
.long N180
.long N180
.long N180
.long N180
.long N180
.long N180
.long N180
.long N188
.long N188
.long N188
.long N188
.long N188
.long N188
.long N188
.long N188
.long N190
.long N190
.long N190
.long N190
.long N190
.long N190
.long N190
.long N190
.long N198
.long N198
.long N198
.long N198
.long N198
.long N198
.long N198
.long N198
.long N1A0
.long N1A0
.long N1A0
.long N1A0
.long N1A0
.long N1A0
.long N1A0
.long N1A0
.long N1A8
.long N1A8
.long N1A8
.long N1A8
.long N1A8
.long N1A8
.long N1A8
.long N1A8
.long N1B0
.long N1B0
.long N1B0
.long N1B0
.long N1B0
.long N1B0
.long N1B0
.long N1B0
.long N1B8
.long N1B9
.long N1BA
.long N1BB
.long N1BC
.long r_illegal
.long r_illegal
.long r_illegal
.long N1C0
.long N1C0
.long N1C0
.long N1C0
.long N1C0
.long N1C0
.long N1C0
.long N1C0
.long N1C8
.long N1C8
.long N1C8
.long N1C8
.long N1C8
.long N1C8
.long N1C8
.long N1C8
.long N1D0
.long N1D0
.long N1D0
.long N1D0
.long N1D0
.long N1D0
.long N1D0
.long N1D0
.long N1D8
.long N1D8
.long N1D8
.long N1D8
.long N1D8
.long N1D8
.long N1D8
.long N1D8
.long N1E0
.long N1E0
.long N1E0
.long N1E0
.long N1E0
.long N1E0
.long N1E0
.long N1E0
.long N1E8
.long N1E8
.long N1E8
.long N1E8
.long N1E8
.long N1E8
.long N1E8
.long N1E8
.long N1F0
.long N1F0
.long N1F0
.long N1F0
.long N1F0
.long N1F0
.long N1F0
.long N1F0
.long N1F8
.long N1F9
.long N1FA
.long N1FB
.long N1FC
.long r_illegal
.long r_illegal
.long r_illegal
.long N200
.long N200
.long N200
.long N200
.long N200
.long N200
.long N200
.long N200
.long N208
.long N208
.long N208
.long N208
.long N208
.long N208
.long N208
.long N208
.long N210
.long N210
.long N210
.long N210
.long N210
.long N210
.long N210
.long N210
.long N218
.long N218
.long N218
.long N218
.long N218
.long N218
.long N218
.long N218
.long N220
.long N220
.long N220
.long N220
.long N220
.long N220
.long N220
.long N220
.long N228
.long N228
.long N228
.long N228
.long N228
.long N228
.long N228
.long N228
.long N230
.long N230
.long N230
.long N230
.long N230
.long N230
.long N230
.long N230
.long N238
.long N239
.long N23A
.long N23B
.long N23C
.long r_illegal
.long r_illegal
.long r_illegal
.long N240
.long N240
.long N240
.long N240
.long N240
.long N240
.long N240
.long N240
.long N248
.long N248
.long N248
.long N248
.long N248
.long N248
.long N248
.long N248
.long N250
.long N250
.long N250
.long N250
.long N250
.long N250
.long N250
.long N250
.long N258
.long N258
.long N258
.long N258
.long N258
.long N258
.long N258
.long N258
.long N260
.long N260
.long N260
.long N260
.long N260
.long N260
.long N260
.long N260
.long N268
.long N268
.long N268
.long N268
.long N268
.long N268
.long N268
.long N268
.long N270
.long N270
.long N270
.long N270
.long N270
.long N270
.long N270
.long N270
.long N278
.long N279
.long N27A
.long N27B
.long N27C
.long r_illegal
.long r_illegal
.long r_illegal
.long N280
.long N280
.long N280
.long N280
.long N280
.long N280
.long N280
.long N280
.long N288
.long N288
.long N288
.long N288
.long N288
.long N288
.long N288
.long N288
.long N290
.long N290
.long N290
.long N290
.long N290
.long N290
.long N290
.long N290
.long N298
.long N298
.long N298
.long N298
.long N298
.long N298
.long N298
.long N298
.long N2A0
.long N2A0
.long N2A0
.long N2A0
.long N2A0
.long N2A0
.long N2A0
.long N2A0
.long N2A8
.long N2A8
.long N2A8
.long N2A8
.long N2A8
.long N2A8
.long N2A8
.long N2A8
.long N2B0
.long N2B0
.long N2B0
.long N2B0
.long N2B0
.long N2B0
.long N2B0
.long N2B0
.long N2B8
.long N2B9
.long N2BA
.long N2BB
.long N2BC
.long r_illegal
.long r_illegal
.long r_illegal
.long N2C0
.long N2C0
.long N2C0
.long N2C0
.long N2C0
.long N2C0
.long N2C0
.long N2C0
.long N2C8
.long N2C8
.long N2C8
.long N2C8
.long N2C8
.long N2C8
.long N2C8
.long N2C8
.long N2D0
.long N2D0
.long N2D0
.long N2D0
.long N2D0
.long N2D0
.long N2D0
.long N2D0
.long N2D8
.long N2D8
.long N2D8
.long N2D8
.long N2D8
.long N2D8
.long N2D8
.long N2D8
.long N2E0
.long N2E0
.long N2E0
.long N2E0
.long N2E0
.long N2E0
.long N2E0
.long N2E0
.long N2E8
.long N2E8
.long N2E8
.long N2E8
.long N2E8
.long N2E8
.long N2E8
.long N2E8
.long N2F0
.long N2F0
.long N2F0
.long N2F0
.long N2F0
.long N2F0
.long N2F0
.long N2F0
.long N2F8
.long N2F9
.long N2FA
.long N2FB
.long N2FC
.long r_illegal
.long r_illegal
.long r_illegal
.long N300
.long N300
.long N300
.long N300
.long N300
.long N300
.long N300
.long N300
.long N308
.long N308
.long N308
.long N308
.long N308
.long N308
.long N308
.long N308
.long N310
.long N310
.long N310
.long N310
.long N310
.long N310
.long N310
.long N310
.long N318
.long N318
.long N318
.long N318
.long N318
.long N318
.long N318
.long N318
.long N320
.long N320
.long N320
.long N320
.long N320
.long N320
.long N320
.long N320
.long N328
.long N328
.long N328
.long N328
.long N328
.long N328
.long N328
.long N328
.long N330
.long N330
.long N330
.long N330
.long N330
.long N330
.long N330
.long N330
.long N338
.long N339
.long N33A
.long N33B
.long N33C
.long r_illegal
.long r_illegal
.long r_illegal
.long N340
.long N340
.long N340
.long N340
.long N340
.long N340
.long N340
.long N340
.long N348
.long N348
.long N348
.long N348
.long N348
.long N348
.long N348
.long N348
.long N350
.long N350
.long N350
.long N350
.long N350
.long N350
.long N350
.long N350
.long N358
.long N358
.long N358
.long N358
.long N358
.long N358
.long N358
.long N358
.long N360
.long N360
.long N360
.long N360
.long N360
.long N360
.long N360
.long N360
.long N368
.long N368
.long N368
.long N368
.long N368
.long N368
.long N368
.long N368
.long N370
.long N370
.long N370
.long N370
.long N370
.long N370
.long N370
.long N370
.long N378
.long N379
.long N37A
.long N37B
.long N37C
.long r_illegal
.long r_illegal
.long r_illegal
.long N380
.long N380
.long N380
.long N380
.long N380
.long N380
.long N380
.long N380
.long N388
.long N388
.long N388
.long N388
.long N388
.long N388
.long N388
.long N388
.long N390
.long N390
.long N390
.long N390
.long N390
.long N390
.long N390
.long N390
.long N398
.long N398
.long N398
.long N398
.long N398
.long N398
.long N398
.long N398
.long N3A0
.long N3A0
.long N3A0
.long N3A0
.long N3A0
.long N3A0
.long N3A0
.long N3A0
.long N3A8
.long N3A8
.long N3A8
.long N3A8
.long N3A8
.long N3A8
.long N3A8
.long N3A8
.long N3B0
.long N3B0
.long N3B0
.long N3B0
.long N3B0
.long N3B0
.long N3B0
.long N3B0
.long N3B8
.long N3B9
.long N3BA
.long N3BB
.long N3BC
.long r_illegal
.long r_illegal
.long r_illegal
.long N3C0
.long N3C0
.long N3C0
.long N3C0
.long N3C0
.long N3C0
.long N3C0
.long N3C0
.long N3C8
.long N3C8
.long N3C8
.long N3C8
.long N3C8
.long N3C8
.long N3C8
.long N3C8
.long N3D0
.long N3D0
.long N3D0
.long N3D0
.long N3D0
.long N3D0
.long N3D0
.long N3D0
.long N3D8
.long N3D8
.long N3D8
.long N3D8
.long N3D8
.long N3D8
.long N3D8
.long N3D8
.long N3E0
.long N3E0
.long N3E0
.long N3E0
.long N3E0
.long N3E0
.long N3E0
.long N3E0
.long N3E8
.long N3E8
.long N3E8
.long N3E8
.long N3E8
.long N3E8
.long N3E8
.long N3E8
.long N3F0
.long N3F0
.long N3F0
.long N3F0
.long N3F0
.long N3F0
.long N3F0
.long N3F0
.long N3F8
.long N3F9
.long N3FA
.long N3FB
.long N3FC
.long r_illegal
.long r_illegal
.long r_illegal
.long N400
.long N400
.long N400
.long N400
.long N400
.long N400
.long N400
.long N400
.long N408
.long N408
.long N408
.long N408
.long N408
.long N408
.long N408
.long N408
.long N410
.long N410
.long N410
.long N410
.long N410
.long N410
.long N410
.long N410
.long N418
.long N418
.long N418
.long N418
.long N418
.long N418
.long N418
.long N418
.long N420
.long N420
.long N420
.long N420
.long N420
.long N420
.long N420
.long N420
.long N428
.long N428
.long N428
.long N428
.long N428
.long N428
.long N428
.long N428
.long N430
.long N430
.long N430
.long N430
.long N430
.long N430
.long N430
.long N430
.long N438
.long N439
.long N43A
.long N43B
.long N43C
.long r_illegal
.long r_illegal
.long r_illegal
.long N440
.long N440
.long N440
.long N440
.long N440
.long N440
.long N440
.long N440
.long N448
.long N448
.long N448
.long N448
.long N448
.long N448
.long N448
.long N448
.long N450
.long N450
.long N450
.long N450
.long N450
.long N450
.long N450
.long N450
.long N458
.long N458
.long N458
.long N458
.long N458
.long N458
.long N458
.long N458
.long N460
.long N460
.long N460
.long N460
.long N460
.long N460
.long N460
.long N460
.long N468
.long N468
.long N468
.long N468
.long N468
.long N468
.long N468
.long N468
.long N470
.long N470
.long N470
.long N470
.long N470
.long N470
.long N470
.long N470
.long N478
.long N479
.long N47A
.long N47B
.long N47C
.long r_illegal
.long r_illegal
.long r_illegal
.long N480
.long N480
.long N480
.long N480
.long N480
.long N480
.long N480
.long N480
.long N488
.long N488
.long N488
.long N488
.long N488
.long N488
.long N488
.long N488
.long N490
.long N490
.long N490
.long N490
.long N490
.long N490
.long N490
.long N490
.long N498
.long N498
.long N498
.long N498
.long N498
.long N498
.long N498
.long N498
.long N4A0
.long N4A0
.long N4A0
.long N4A0
.long N4A0
.long N4A0
.long N4A0
.long N4A0
.long N4A8
.long N4A8
.long N4A8
.long N4A8
.long N4A8
.long N4A8
.long N4A8
.long N4A8
.long N4B0
.long N4B0
.long N4B0
.long N4B0
.long N4B0
.long N4B0
.long N4B0
.long N4B0
.long N4B8
.long N4B9
.long N4BA
.long N4BB
.long N4BC
.long r_illegal
.long r_illegal
.long r_illegal
.long N4C0
.long N4C0
.long N4C0
.long N4C0
.long N4C0
.long N4C0
.long N4C0
.long N4C0
.long N4C8
.long N4C8
.long N4C8
.long N4C8
.long N4C8
.long N4C8
.long N4C8
.long N4C8
.long N4D0
.long N4D0
.long N4D0
.long N4D0
.long N4D0
.long N4D0
.long N4D0
.long N4D0
.long N4D8
.long N4D8
.long N4D8
.long N4D8
.long N4D8
.long N4D8
.long N4D8
.long N4D8
.long N4E0
.long N4E0
.long N4E0
.long N4E0
.long N4E0
.long N4E0
.long N4E0
.long N4E0
.long N4E8
.long N4E8
.long N4E8
.long N4E8
.long N4E8
.long N4E8
.long N4E8
.long N4E8
.long N4F0
.long N4F0
.long N4F0
.long N4F0
.long N4F0
.long N4F0
.long N4F0
.long N4F0
.long N4F8
.long N4F9
.long N4FA
.long N4FB
.long N4FC
.long r_illegal
.long r_illegal
.long r_illegal
.long N500
.long N500
.long N500
.long N500
.long N500
.long N500
.long N500
.long N500
.long N508
.long N508
.long N508
.long N508
.long N508
.long N508
.long N508
.long N508
.long N510
.long N510
.long N510
.long N510
.long N510
.long N510
.long N510
.long N510
.long N518
.long N518
.long N518
.long N518
.long N518
.long N518
.long N518
.long N518
.long N520
.long N520
.long N520
.long N520
.long N520
.long N520
.long N520
.long N520
.long N528
.long N528
.long N528
.long N528
.long N528
.long N528
.long N528
.long N528
.long N530
.long N530
.long N530
.long N530
.long N530
.long N530
.long N530
.long N530
.long N538
.long N539
.long N53A
.long N53B
.long N53C
.long r_illegal
.long r_illegal
.long r_illegal
.long N540
.long N540
.long N540
.long N540
.long N540
.long N540
.long N540
.long N540
.long N548
.long N548
.long N548
.long N548
.long N548
.long N548
.long N548
.long N548
.long N550
.long N550
.long N550
.long N550
.long N550
.long N550
.long N550
.long N550
.long N558
.long N558
.long N558
.long N558
.long N558
.long N558
.long N558
.long N558
.long N560
.long N560
.long N560
.long N560
.long N560
.long N560
.long N560
.long N560
.long N568
.long N568
.long N568
.long N568
.long N568
.long N568
.long N568
.long N568
.long N570
.long N570
.long N570
.long N570
.long N570
.long N570
.long N570
.long N570
.long N578
.long N579
.long N57A
.long N57B
.long N57C
.long r_illegal
.long r_illegal
.long r_illegal
.long N580
.long N580
.long N580
.long N580
.long N580
.long N580
.long N580
.long N580
.long N588
.long N588
.long N588
.long N588
.long N588
.long N588
.long N588
.long N588
.long N590
.long N590
.long N590
.long N590
.long N590
.long N590
.long N590
.long N590
.long N598
.long N598
.long N598
.long N598
.long N598
.long N598
.long N598
.long N598
.long N5A0
.long N5A0
.long N5A0
.long N5A0
.long N5A0
.long N5A0
.long N5A0
.long N5A0
.long N5A8
.long N5A8
.long N5A8
.long N5A8
.long N5A8
.long N5A8
.long N5A8
.long N5A8
.long N5B0
.long N5B0
.long N5B0
.long N5B0
.long N5B0
.long N5B0
.long N5B0
.long N5B0
.long N5B8
.long N5B9
.long N5BA
.long N5BB
.long N5BC
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long N600
.long N600
.long N600
.long N600
.long N600
.long N600
.long N600
.long N600
.long N608
.long N608
.long N608
.long N608
.long N608
.long N608
.long N608
.long N608
.long N610
.long N610
.long N610
.long N610
.long N610
.long N610
.long N610
.long N610
.long N618
.long N618
.long N618
.long N618
.long N618
.long N618
.long N618
.long N618
.long N620
.long N620
.long N620
.long N620
.long N620
.long N620
.long N620
.long N620
.long N628
.long N628
.long N628
.long N628
.long N628
.long N628
.long N628
.long N628
.long N630
.long N630
.long N630
.long N630
.long N630
.long N630
.long N630
.long N630
.long N638
.long N639
.long N63A
.long N63B
.long N63C
.long r_illegal
.long r_illegal
.long r_illegal
.long N640
.long N640
.long N640
.long N640
.long N640
.long N640
.long N640
.long N640
.long N648
.long N648
.long N648
.long N648
.long N648
.long N648
.long N648
.long N648
.long N650
.long N650
.long N650
.long N650
.long N650
.long N650
.long N650
.long N650
.long N658
.long N658
.long N658
.long N658
.long N658
.long N658
.long N658
.long N658
.long N660
.long N660
.long N660
.long N660
.long N660
.long N660
.long N660
.long N660
.long N668
.long N668
.long N668
.long N668
.long N668
.long N668
.long N668
.long N668
.long N670
.long N670
.long N670
.long N670
.long N670
.long N670
.long N670
.long N670
.long N678
.long N679
.long N67A
.long N67B
.long N67C
.long r_illegal
.long r_illegal
.long r_illegal
.long N680
.long N680
.long N680
.long N680
.long N680
.long N680
.long N680
.long N680
.long N688
.long N688
.long N688
.long N688
.long N688
.long N688
.long N688
.long N688
.long N690
.long N690
.long N690
.long N690
.long N690
.long N690
.long N690
.long N690
.long N698
.long N698
.long N698
.long N698
.long N698
.long N698
.long N698
.long N698
.long N6A0
.long N6A0
.long N6A0
.long N6A0
.long N6A0
.long N6A0
.long N6A0
.long N6A0
.long N6A8
.long N6A8
.long N6A8
.long N6A8
.long N6A8
.long N6A8
.long N6A8
.long N6A8
.long N6B0
.long N6B0
.long N6B0
.long N6B0
.long N6B0
.long N6B0
.long N6B0
.long N6B0
.long N6B8
.long N6B9
.long N6BA
.long N6BB
.long N6BC
.long r_illegal
.long r_illegal
.long r_illegal
.long N6C0
.long N6C0
.long N6C0
.long N6C0
.long N6C0
.long N6C0
.long N6C0
.long N6C0
.long N6C8
.long N6C8
.long N6C8
.long N6C8
.long N6C8
.long N6C8
.long N6C8
.long N6C8
.long N6D0
.long N6D0
.long N6D0
.long N6D0
.long N6D0
.long N6D0
.long N6D0
.long N6D0
.long N6D8
.long N6D8
.long N6D8
.long N6D8
.long N6D8
.long N6D8
.long N6D8
.long N6D8
.long N6E0
.long N6E0
.long N6E0
.long N6E0
.long N6E0
.long N6E0
.long N6E0
.long N6E0
.long N6E8
.long N6E8
.long N6E8
.long N6E8
.long N6E8
.long N6E8
.long N6E8
.long N6E8
.long N6F0
.long N6F0
.long N6F0
.long N6F0
.long N6F0
.long N6F0
.long N6F0
.long N6F0
.long N6F8
.long N6F9
.long N6FA
.long N6FB
.long N6FC
.long r_illegal
.long r_illegal
.long r_illegal
.long N700
.long N700
.long N700
.long N700
.long N700
.long N700
.long N700
.long N700
.long N708
.long N708
.long N708
.long N708
.long N708
.long N708
.long N708
.long N708
.long N710
.long N710
.long N710
.long N710
.long N710
.long N710
.long N710
.long N710
.long N718
.long N718
.long N718
.long N718
.long N718
.long N718
.long N718
.long N718
.long N720
.long N720
.long N720
.long N720
.long N720
.long N720
.long N720
.long N720
.long N728
.long N728
.long N728
.long N728
.long N728
.long N728
.long N728
.long N728
.long N730
.long N730
.long N730
.long N730
.long N730
.long N730
.long N730
.long N730
.long N738
.long N739
.long N73A
.long N73B
.long N73C
.long r_illegal
.long r_illegal
.long r_illegal
.long N740
.long N740
.long N740
.long N740
.long N740
.long N740
.long N740
.long N740
.long N748
.long N748
.long N748
.long N748
.long N748
.long N748
.long N748
.long N748
.long N750
.long N750
.long N750
.long N750
.long N750
.long N750
.long N750
.long N750
.long N758
.long N758
.long N758
.long N758
.long N758
.long N758
.long N758
.long N758
.long N760
.long N760
.long N760
.long N760
.long N760
.long N760
.long N760
.long N760
.long N768
.long N768
.long N768
.long N768
.long N768
.long N768
.long N768
.long N768
.long N770
.long N770
.long N770
.long N770
.long N770
.long N770
.long N770
.long N770
.long N778
.long N779
.long N77A
.long N77B
.long N77C
.long r_illegal
.long r_illegal
.long r_illegal
.long N780
.long N780
.long N780
.long N780
.long N780
.long N780
.long N780
.long N780
.long N788
.long N788
.long N788
.long N788
.long N788
.long N788
.long N788
.long N788
.long N790
.long N790
.long N790
.long N790
.long N790
.long N790
.long N790
.long N790
.long N798
.long N798
.long N798
.long N798
.long N798
.long N798
.long N798
.long N798
.long N7A0
.long N7A0
.long N7A0
.long N7A0
.long N7A0
.long N7A0
.long N7A0
.long N7A0
.long N7A8
.long N7A8
.long N7A8
.long N7A8
.long N7A8
.long N7A8
.long N7A8
.long N7A8
.long N7B0
.long N7B0
.long N7B0
.long N7B0
.long N7B0
.long N7B0
.long N7B0
.long N7B0
.long N7B8
.long N7B9
.long N7BA
.long N7BB
.long N7BC
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long N800
.long N800
.long N800
.long N800
.long N800
.long N800
.long N800
.long N800
.long N808
.long N808
.long N808
.long N808
.long N808
.long N808
.long N808
.long N808
.long N810
.long N810
.long N810
.long N810
.long N810
.long N810
.long N810
.long N810
.long N818
.long N818
.long N818
.long N818
.long N818
.long N818
.long N818
.long N818
.long N820
.long N820
.long N820
.long N820
.long N820
.long N820
.long N820
.long N820
.long N828
.long N828
.long N828
.long N828
.long N828
.long N828
.long N828
.long N828
.long N830
.long N830
.long N830
.long N830
.long N830
.long N830
.long N830
.long N830
.long N838
.long N839
.long N83A
.long N83B
.long N83C
.long r_illegal
.long r_illegal
.long r_illegal
.long N840
.long N840
.long N840
.long N840
.long N840
.long N840
.long N840
.long N840
.long N848
.long N848
.long N848
.long N848
.long N848
.long N848
.long N848
.long N848
.long N850
.long N850
.long N850
.long N850
.long N850
.long N850
.long N850
.long N850
.long N858
.long N858
.long N858
.long N858
.long N858
.long N858
.long N858
.long N858
.long N860
.long N860
.long N860
.long N860
.long N860
.long N860
.long N860
.long N860
.long N868
.long N868
.long N868
.long N868
.long N868
.long N868
.long N868
.long N868
.long N870
.long N870
.long N870
.long N870
.long N870
.long N870
.long N870
.long N870
.long N878
.long N879
.long N87A
.long N87B
.long N87C
.long r_illegal
.long r_illegal
.long r_illegal
.long N880
.long N880
.long N880
.long N880
.long N880
.long N880
.long N880
.long N880
.long N888
.long N888
.long N888
.long N888
.long N888
.long N888
.long N888
.long N888
.long N890
.long N890
.long N890
.long N890
.long N890
.long N890
.long N890
.long N890
.long N898
.long N898
.long N898
.long N898
.long N898
.long N898
.long N898
.long N898
.long N8A0
.long N8A0
.long N8A0
.long N8A0
.long N8A0
.long N8A0
.long N8A0
.long N8A0
.long N8A8
.long N8A8
.long N8A8
.long N8A8
.long N8A8
.long N8A8
.long N8A8
.long N8A8
.long N8B0
.long N8B0
.long N8B0
.long N8B0
.long N8B0
.long N8B0
.long N8B0
.long N8B0
.long N8B8
.long N8B9
.long N8BA
.long N8BB
.long N8BC
.long r_illegal
.long r_illegal
.long r_illegal
.long N8C0
.long N8C0
.long N8C0
.long N8C0
.long N8C0
.long N8C0
.long N8C0
.long N8C0
.long N8C8
.long N8C8
.long N8C8
.long N8C8
.long N8C8
.long N8C8
.long N8C8
.long N8C8
.long N8D0
.long N8D0
.long N8D0
.long N8D0
.long N8D0
.long N8D0
.long N8D0
.long N8D0
.long N8D8
.long N8D8
.long N8D8
.long N8D8
.long N8D8
.long N8D8
.long N8D8
.long N8D8
.long N8E0
.long N8E0
.long N8E0
.long N8E0
.long N8E0
.long N8E0
.long N8E0
.long N8E0
.long N8E8
.long N8E8
.long N8E8
.long N8E8
.long N8E8
.long N8E8
.long N8E8
.long N8E8
.long N8F0
.long N8F0
.long N8F0
.long N8F0
.long N8F0
.long N8F0
.long N8F0
.long N8F0
.long N8F8
.long N8F9
.long N8FA
.long N8FB
.long N8FC
.long r_illegal
.long r_illegal
.long r_illegal
.long N900
.long N900
.long N900
.long N900
.long N900
.long N900
.long N900
.long N900
.long N908
.long N908
.long N908
.long N908
.long N908
.long N908
.long N908
.long N908
.long N910
.long N910
.long N910
.long N910
.long N910
.long N910
.long N910
.long N910
.long N918
.long N918
.long N918
.long N918
.long N918
.long N918
.long N918
.long N918
.long N920
.long N920
.long N920
.long N920
.long N920
.long N920
.long N920
.long N920
.long N928
.long N928
.long N928
.long N928
.long N928
.long N928
.long N928
.long N928
.long N930
.long N930
.long N930
.long N930
.long N930
.long N930
.long N930
.long N930
.long N938
.long N939
.long N93A
.long N93B
.long N93C
.long r_illegal
.long r_illegal
.long r_illegal
.long N940
.long N940
.long N940
.long N940
.long N940
.long N940
.long N940
.long N940
.long N948
.long N948
.long N948
.long N948
.long N948
.long N948
.long N948
.long N948
.long N950
.long N950
.long N950
.long N950
.long N950
.long N950
.long N950
.long N950
.long N958
.long N958
.long N958
.long N958
.long N958
.long N958
.long N958
.long N958
.long N960
.long N960
.long N960
.long N960
.long N960
.long N960
.long N960
.long N960
.long N968
.long N968
.long N968
.long N968
.long N968
.long N968
.long N968
.long N968
.long N970
.long N970
.long N970
.long N970
.long N970
.long N970
.long N970
.long N970
.long N978
.long N979
.long N97A
.long N97B
.long N97C
.long r_illegal
.long r_illegal
.long r_illegal
.long N980
.long N980
.long N980
.long N980
.long N980
.long N980
.long N980
.long N980
.long N988
.long N988
.long N988
.long N988
.long N988
.long N988
.long N988
.long N988
.long N990
.long N990
.long N990
.long N990
.long N990
.long N990
.long N990
.long N990
.long N998
.long N998
.long N998
.long N998
.long N998
.long N998
.long N998
.long N998
.long N9A0
.long N9A0
.long N9A0
.long N9A0
.long N9A0
.long N9A0
.long N9A0
.long N9A0
.long N9A8
.long N9A8
.long N9A8
.long N9A8
.long N9A8
.long N9A8
.long N9A8
.long N9A8
.long N9B0
.long N9B0
.long N9B0
.long N9B0
.long N9B0
.long N9B0
.long N9B0
.long N9B0
.long N9B8
.long N9B9
.long N9BA
.long N9BB
.long N9BC
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long NA00
.long NA00
.long NA00
.long NA00
.long NA00
.long NA00
.long NA00
.long NA00
.long NA08
.long NA08
.long NA08
.long NA08
.long NA08
.long NA08
.long NA08
.long NA08
.long NA10
.long NA10
.long NA10
.long NA10
.long NA10
.long NA10
.long NA10
.long NA10
.long NA18
.long NA18
.long NA18
.long NA18
.long NA18
.long NA18
.long NA18
.long NA18
.long NA20
.long NA20
.long NA20
.long NA20
.long NA20
.long NA20
.long NA20
.long NA20
.long NA28
.long NA28
.long NA28
.long NA28
.long NA28
.long NA28
.long NA28
.long NA28
.long NA30
.long NA30
.long NA30
.long NA30
.long NA30
.long NA30
.long NA30
.long NA30
.long NA38
.long NA39
.long NA3A
.long NA3B
.long NA3C
.long r_illegal
.long r_illegal
.long r_illegal
.long NA40
.long NA40
.long NA40
.long NA40
.long NA40
.long NA40
.long NA40
.long NA40
.long NA48
.long NA48
.long NA48
.long NA48
.long NA48
.long NA48
.long NA48
.long NA48
.long NA50
.long NA50
.long NA50
.long NA50
.long NA50
.long NA50
.long NA50
.long NA50
.long NA58
.long NA58
.long NA58
.long NA58
.long NA58
.long NA58
.long NA58
.long NA58
.long NA60
.long NA60
.long NA60
.long NA60
.long NA60
.long NA60
.long NA60
.long NA60
.long NA68
.long NA68
.long NA68
.long NA68
.long NA68
.long NA68
.long NA68
.long NA68
.long NA70
.long NA70
.long NA70
.long NA70
.long NA70
.long NA70
.long NA70
.long NA70
.long NA78
.long NA79
.long NA7A
.long NA7B
.long NA7C
.long r_illegal
.long r_illegal
.long r_illegal
.long NA80
.long NA80
.long NA80
.long NA80
.long NA80
.long NA80
.long NA80
.long NA80
.long NA88
.long NA88
.long NA88
.long NA88
.long NA88
.long NA88
.long NA88
.long NA88
.long NA90
.long NA90
.long NA90
.long NA90
.long NA90
.long NA90
.long NA90
.long NA90
.long NA98
.long NA98
.long NA98
.long NA98
.long NA98
.long NA98
.long NA98
.long NA98
.long NAA0
.long NAA0
.long NAA0
.long NAA0
.long NAA0
.long NAA0
.long NAA0
.long NAA0
.long NAA8
.long NAA8
.long NAA8
.long NAA8
.long NAA8
.long NAA8
.long NAA8
.long NAA8
.long NAB0
.long NAB0
.long NAB0
.long NAB0
.long NAB0
.long NAB0
.long NAB0
.long NAB0
.long NAB8
.long NAB9
.long NABA
.long NABB
.long NABC
.long r_illegal
.long r_illegal
.long r_illegal
.long NAC0
.long NAC0
.long NAC0
.long NAC0
.long NAC0
.long NAC0
.long NAC0
.long NAC0
.long NAC8
.long NAC8
.long NAC8
.long NAC8
.long NAC8
.long NAC8
.long NAC8
.long NAC8
.long NAD0
.long NAD0
.long NAD0
.long NAD0
.long NAD0
.long NAD0
.long NAD0
.long NAD0
.long NAD8
.long NAD8
.long NAD8
.long NAD8
.long NAD8
.long NAD8
.long NAD8
.long NAD8
.long NAE0
.long NAE0
.long NAE0
.long NAE0
.long NAE0
.long NAE0
.long NAE0
.long NAE0
.long NAE8
.long NAE8
.long NAE8
.long NAE8
.long NAE8
.long NAE8
.long NAE8
.long NAE8
.long NAF0
.long NAF0
.long NAF0
.long NAF0
.long NAF0
.long NAF0
.long NAF0
.long NAF0
.long NAF8
.long NAF9
.long NAFA
.long NAFB
.long NAFC
.long r_illegal
.long r_illegal
.long r_illegal
.long NB00
.long NB00
.long NB00
.long NB00
.long NB00
.long NB00
.long NB00
.long NB00
.long NB08
.long NB08
.long NB08
.long NB08
.long NB08
.long NB08
.long NB08
.long NB08
.long NB10
.long NB10
.long NB10
.long NB10
.long NB10
.long NB10
.long NB10
.long NB10
.long NB18
.long NB18
.long NB18
.long NB18
.long NB18
.long NB18
.long NB18
.long NB18
.long NB20
.long NB20
.long NB20
.long NB20
.long NB20
.long NB20
.long NB20
.long NB20
.long NB28
.long NB28
.long NB28
.long NB28
.long NB28
.long NB28
.long NB28
.long NB28
.long NB30
.long NB30
.long NB30
.long NB30
.long NB30
.long NB30
.long NB30
.long NB30
.long NB38
.long NB39
.long NB3A
.long NB3B
.long NB3C
.long r_illegal
.long r_illegal
.long r_illegal
.long NB40
.long NB40
.long NB40
.long NB40
.long NB40
.long NB40
.long NB40
.long NB40
.long NB48
.long NB48
.long NB48
.long NB48
.long NB48
.long NB48
.long NB48
.long NB48
.long NB50
.long NB50
.long NB50
.long NB50
.long NB50
.long NB50
.long NB50
.long NB50
.long NB58
.long NB58
.long NB58
.long NB58
.long NB58
.long NB58
.long NB58
.long NB58
.long NB60
.long NB60
.long NB60
.long NB60
.long NB60
.long NB60
.long NB60
.long NB60
.long NB68
.long NB68
.long NB68
.long NB68
.long NB68
.long NB68
.long NB68
.long NB68
.long NB70
.long NB70
.long NB70
.long NB70
.long NB70
.long NB70
.long NB70
.long NB70
.long NB78
.long NB79
.long NB7A
.long NB7B
.long NB7C
.long r_illegal
.long r_illegal
.long r_illegal
.long NB80
.long NB80
.long NB80
.long NB80
.long NB80
.long NB80
.long NB80
.long NB80
.long NB88
.long NB88
.long NB88
.long NB88
.long NB88
.long NB88
.long NB88
.long NB88
.long NB90
.long NB90
.long NB90
.long NB90
.long NB90
.long NB90
.long NB90
.long NB90
.long NB98
.long NB98
.long NB98
.long NB98
.long NB98
.long NB98
.long NB98
.long NB98
.long NBA0
.long NBA0
.long NBA0
.long NBA0
.long NBA0
.long NBA0
.long NBA0
.long NBA0
.long NBA8
.long NBA8
.long NBA8
.long NBA8
.long NBA8
.long NBA8
.long NBA8
.long NBA8
.long NBB0
.long NBB0
.long NBB0
.long NBB0
.long NBB0
.long NBB0
.long NBB0
.long NBB0
.long NBB8
.long NBB9
.long NBBA
.long NBBB
.long NBBC
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long NC00
.long NC00
.long NC00
.long NC00
.long NC00
.long NC00
.long NC00
.long NC00
.long NC08
.long NC08
.long NC08
.long NC08
.long NC08
.long NC08
.long NC08
.long NC08
.long NC10
.long NC10
.long NC10
.long NC10
.long NC10
.long NC10
.long NC10
.long NC10
.long NC18
.long NC18
.long NC18
.long NC18
.long NC18
.long NC18
.long NC18
.long NC18
.long NC20
.long NC20
.long NC20
.long NC20
.long NC20
.long NC20
.long NC20
.long NC20
.long NC28
.long NC28
.long NC28
.long NC28
.long NC28
.long NC28
.long NC28
.long NC28
.long NC30
.long NC30
.long NC30
.long NC30
.long NC30
.long NC30
.long NC30
.long NC30
.long NC38
.long NC39
.long NC3A
.long NC3B
.long NC3C
.long r_illegal
.long r_illegal
.long r_illegal
.long NC40
.long NC40
.long NC40
.long NC40
.long NC40
.long NC40
.long NC40
.long NC40
.long NC48
.long NC48
.long NC48
.long NC48
.long NC48
.long NC48
.long NC48
.long NC48
.long NC50
.long NC50
.long NC50
.long NC50
.long NC50
.long NC50
.long NC50
.long NC50
.long NC58
.long NC58
.long NC58
.long NC58
.long NC58
.long NC58
.long NC58
.long NC58
.long NC60
.long NC60
.long NC60
.long NC60
.long NC60
.long NC60
.long NC60
.long NC60
.long NC68
.long NC68
.long NC68
.long NC68
.long NC68
.long NC68
.long NC68
.long NC68
.long NC70
.long NC70
.long NC70
.long NC70
.long NC70
.long NC70
.long NC70
.long NC70
.long NC78
.long NC79
.long NC7A
.long NC7B
.long NC7C
.long r_illegal
.long r_illegal
.long r_illegal
.long NC80
.long NC80
.long NC80
.long NC80
.long NC80
.long NC80
.long NC80
.long NC80
.long NC88
.long NC88
.long NC88
.long NC88
.long NC88
.long NC88
.long NC88
.long NC88
.long NC90
.long NC90
.long NC90
.long NC90
.long NC90
.long NC90
.long NC90
.long NC90
.long NC98
.long NC98
.long NC98
.long NC98
.long NC98
.long NC98
.long NC98
.long NC98
.long NCA0
.long NCA0
.long NCA0
.long NCA0
.long NCA0
.long NCA0
.long NCA0
.long NCA0
.long NCA8
.long NCA8
.long NCA8
.long NCA8
.long NCA8
.long NCA8
.long NCA8
.long NCA8
.long NCB0
.long NCB0
.long NCB0
.long NCB0
.long NCB0
.long NCB0
.long NCB0
.long NCB0
.long NCB8
.long NCB9
.long NCBA
.long NCBB
.long NCBC
.long r_illegal
.long r_illegal
.long r_illegal
.long NCC0
.long NCC0
.long NCC0
.long NCC0
.long NCC0
.long NCC0
.long NCC0
.long NCC0
.long NCC8
.long NCC8
.long NCC8
.long NCC8
.long NCC8
.long NCC8
.long NCC8
.long NCC8
.long NCD0
.long NCD0
.long NCD0
.long NCD0
.long NCD0
.long NCD0
.long NCD0
.long NCD0
.long NCD8
.long NCD8
.long NCD8
.long NCD8
.long NCD8
.long NCD8
.long NCD8
.long NCD8
.long NCE0
.long NCE0
.long NCE0
.long NCE0
.long NCE0
.long NCE0
.long NCE0
.long NCE0
.long NCE8
.long NCE8
.long NCE8
.long NCE8
.long NCE8
.long NCE8
.long NCE8
.long NCE8
.long NCF0
.long NCF0
.long NCF0
.long NCF0
.long NCF0
.long NCF0
.long NCF0
.long NCF0
.long NCF8
.long NCF9
.long NCFA
.long NCFB
.long NCFC
.long r_illegal
.long r_illegal
.long r_illegal
.long ND00
.long ND00
.long ND00
.long ND00
.long ND00
.long ND00
.long ND00
.long ND00
.long ND08
.long ND08
.long ND08
.long ND08
.long ND08
.long ND08
.long ND08
.long ND08
.long ND10
.long ND10
.long ND10
.long ND10
.long ND10
.long ND10
.long ND10
.long ND10
.long ND18
.long ND18
.long ND18
.long ND18
.long ND18
.long ND18
.long ND18
.long ND18
.long ND20
.long ND20
.long ND20
.long ND20
.long ND20
.long ND20
.long ND20
.long ND20
.long ND28
.long ND28
.long ND28
.long ND28
.long ND28
.long ND28
.long ND28
.long ND28
.long ND30
.long ND30
.long ND30
.long ND30
.long ND30
.long ND30
.long ND30
.long ND30
.long ND38
.long ND39
.long ND3A
.long ND3B
.long ND3C
.long r_illegal
.long r_illegal
.long r_illegal
.long ND40
.long ND40
.long ND40
.long ND40
.long ND40
.long ND40
.long ND40
.long ND40
.long ND48
.long ND48
.long ND48
.long ND48
.long ND48
.long ND48
.long ND48
.long ND48
.long ND50
.long ND50
.long ND50
.long ND50
.long ND50
.long ND50
.long ND50
.long ND50
.long ND58
.long ND58
.long ND58
.long ND58
.long ND58
.long ND58
.long ND58
.long ND58
.long ND60
.long ND60
.long ND60
.long ND60
.long ND60
.long ND60
.long ND60
.long ND60
.long ND68
.long ND68
.long ND68
.long ND68
.long ND68
.long ND68
.long ND68
.long ND68
.long ND70
.long ND70
.long ND70
.long ND70
.long ND70
.long ND70
.long ND70
.long ND70
.long ND78
.long ND79
.long ND7A
.long ND7B
.long ND7C
.long r_illegal
.long r_illegal
.long r_illegal
.long ND80
.long ND80
.long ND80
.long ND80
.long ND80
.long ND80
.long ND80
.long ND80
.long ND88
.long ND88
.long ND88
.long ND88
.long ND88
.long ND88
.long ND88
.long ND88
.long ND90
.long ND90
.long ND90
.long ND90
.long ND90
.long ND90
.long ND90
.long ND90
.long ND98
.long ND98
.long ND98
.long ND98
.long ND98
.long ND98
.long ND98
.long ND98
.long NDA0
.long NDA0
.long NDA0
.long NDA0
.long NDA0
.long NDA0
.long NDA0
.long NDA0
.long NDA8
.long NDA8
.long NDA8
.long NDA8
.long NDA8
.long NDA8
.long NDA8
.long NDA8
.long NDB0
.long NDB0
.long NDB0
.long NDB0
.long NDB0
.long NDB0
.long NDB0
.long NDB0
.long NDB8
.long NDB9
.long NDBA
.long NDBB
.long NDBC
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long NE00
.long NE00
.long NE00
.long NE00
.long NE00
.long NE00
.long NE00
.long NE00
.long NE08
.long NE08
.long NE08
.long NE08
.long NE08
.long NE08
.long NE08
.long NE08
.long NE10
.long NE10
.long NE10
.long NE10
.long NE10
.long NE10
.long NE10
.long NE10
.long NE18
.long NE18
.long NE18
.long NE18
.long NE18
.long NE18
.long NE18
.long NE18
.long NE20
.long NE20
.long NE20
.long NE20
.long NE20
.long NE20
.long NE20
.long NE20
.long NE28
.long NE28
.long NE28
.long NE28
.long NE28
.long NE28
.long NE28
.long NE28
.long NE30
.long NE30
.long NE30
.long NE30
.long NE30
.long NE30
.long NE30
.long NE30
.long NE38
.long NE39
.long NE3A
.long NE3B
.long NE3C
.long r_illegal
.long r_illegal
.long r_illegal
.long NE40
.long NE40
.long NE40
.long NE40
.long NE40
.long NE40
.long NE40
.long NE40
.long NE48
.long NE48
.long NE48
.long NE48
.long NE48
.long NE48
.long NE48
.long NE48
.long NE50
.long NE50
.long NE50
.long NE50
.long NE50
.long NE50
.long NE50
.long NE50
.long NE58
.long NE58
.long NE58
.long NE58
.long NE58
.long NE58
.long NE58
.long NE58
.long NE60
.long NE60
.long NE60
.long NE60
.long NE60
.long NE60
.long NE60
.long NE60
.long NE68
.long NE68
.long NE68
.long NE68
.long NE68
.long NE68
.long NE68
.long NE68
.long NE70
.long NE70
.long NE70
.long NE70
.long NE70
.long NE70
.long NE70
.long NE70
.long NE78
.long NE79
.long NE7A
.long NE7B
.long NE7C
.long r_illegal
.long r_illegal
.long r_illegal
.long NE80
.long NE80
.long NE80
.long NE80
.long NE80
.long NE80
.long NE80
.long NE80
.long NE88
.long NE88
.long NE88
.long NE88
.long NE88
.long NE88
.long NE88
.long NE88
.long NE90
.long NE90
.long NE90
.long NE90
.long NE90
.long NE90
.long NE90
.long NE90
.long NE98
.long NE98
.long NE98
.long NE98
.long NE98
.long NE98
.long NE98
.long NE98
.long NEA0
.long NEA0
.long NEA0
.long NEA0
.long NEA0
.long NEA0
.long NEA0
.long NEA0
.long NEA8
.long NEA8
.long NEA8
.long NEA8
.long NEA8
.long NEA8
.long NEA8
.long NEA8
.long NEB0
.long NEB0
.long NEB0
.long NEB0
.long NEB0
.long NEB0
.long NEB0
.long NEB0
.long NEB8
.long NEB9
.long NEBA
.long NEBB
.long NEBC
.long r_illegal
.long r_illegal
.long r_illegal
.long NEC0
.long NEC0
.long NEC0
.long NEC0
.long NEC0
.long NEC0
.long NEC0
.long NEC0
.long NEC8
.long NEC8
.long NEC8
.long NEC8
.long NEC8
.long NEC8
.long NEC8
.long NEC8
.long NED0
.long NED0
.long NED0
.long NED0
.long NED0
.long NED0
.long NED0
.long NED0
.long NED8
.long NED8
.long NED8
.long NED8
.long NED8
.long NED8
.long NED8
.long NED8
.long NEE0
.long NEE0
.long NEE0
.long NEE0
.long NEE0
.long NEE0
.long NEE0
.long NEE0
.long NEE8
.long NEE8
.long NEE8
.long NEE8
.long NEE8
.long NEE8
.long NEE8
.long NEE8
.long NEF0
.long NEF0
.long NEF0
.long NEF0
.long NEF0
.long NEF0
.long NEF0
.long NEF0
.long NEF8
.long NEF9
.long NEFA
.long NEFB
.long NEFC
.long r_illegal
.long r_illegal
.long r_illegal
.long NF00
.long NF00
.long NF00
.long NF00
.long NF00
.long NF00
.long NF00
.long NF00
.long NF08
.long NF08
.long NF08
.long NF08
.long NF08
.long NF08
.long NF08
.long NF08
.long NF10
.long NF10
.long NF10
.long NF10
.long NF10
.long NF10
.long NF10
.long NF10
.long NF18
.long NF18
.long NF18
.long NF18
.long NF18
.long NF18
.long NF18
.long NF18
.long NF20
.long NF20
.long NF20
.long NF20
.long NF20
.long NF20
.long NF20
.long NF20
.long NF28
.long NF28
.long NF28
.long NF28
.long NF28
.long NF28
.long NF28
.long NF28
.long NF30
.long NF30
.long NF30
.long NF30
.long NF30
.long NF30
.long NF30
.long NF30
.long NF38
.long NF39
.long NF3A
.long NF3B
.long NF3C
.long r_illegal
.long r_illegal
.long r_illegal
.long NF40
.long NF40
.long NF40
.long NF40
.long NF40
.long NF40
.long NF40
.long NF40
.long NF48
.long NF48
.long NF48
.long NF48
.long NF48
.long NF48
.long NF48
.long NF48
.long NF50
.long NF50
.long NF50
.long NF50
.long NF50
.long NF50
.long NF50
.long NF50
.long NF58
.long NF58
.long NF58
.long NF58
.long NF58
.long NF58
.long NF58
.long NF58
.long NF60
.long NF60
.long NF60
.long NF60
.long NF60
.long NF60
.long NF60
.long NF60
.long NF68
.long NF68
.long NF68
.long NF68
.long NF68
.long NF68
.long NF68
.long NF68
.long NF70
.long NF70
.long NF70
.long NF70
.long NF70
.long NF70
.long NF70
.long NF70
.long NF78
.long NF79
.long NF7A
.long NF7B
.long NF7C
.long r_illegal
.long r_illegal
.long r_illegal
.long NF80
.long NF80
.long NF80
.long NF80
.long NF80
.long NF80
.long NF80
.long NF80
.long NF88
.long NF88
.long NF88
.long NF88
.long NF88
.long NF88
.long NF88
.long NF88
.long NF90
.long NF90
.long NF90
.long NF90
.long NF90
.long NF90
.long NF90
.long NF90
.long NF98
.long NF98
.long NF98
.long NF98
.long NF98
.long NF98
.long NF98
.long NF98
.long NFA0
.long NFA0
.long NFA0
.long NFA0
.long NFA0
.long NFA0
.long NFA0
.long NFA0
.long NFA8
.long NFA8
.long NFA8
.long NFA8
.long NFA8
.long NFA8
.long NFA8
.long NFA8
.long NFB0
.long NFB0
.long NFB0
.long NFB0
.long NFB0
.long NFB0
.long NFB0
.long NFB0
.long NFB8
.long NFB9
.long NFBA
.long NFBB
.long NFBC
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O000
.long O000
.long O000
.long O000
.long O000
.long O000
.long O000
.long O000
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O010
.long O010
.long O010
.long O010
.long O010
.long O010
.long O010
.long O010
.long O018
.long O018
.long O018
.long O018
.long O018
.long O018
.long O018
.long O018
.long O020
.long O020
.long O020
.long O020
.long O020
.long O020
.long O020
.long O020
.long O028
.long O028
.long O028
.long O028
.long O028
.long O028
.long O028
.long O028
.long O030
.long O030
.long O030
.long O030
.long O030
.long O030
.long O030
.long O030
.long O038
.long O039
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O040
.long O040
.long O040
.long O040
.long O040
.long O040
.long O040
.long O040
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O050
.long O050
.long O050
.long O050
.long O050
.long O050
.long O050
.long O050
.long O058
.long O058
.long O058
.long O058
.long O058
.long O058
.long O058
.long O058
.long O060
.long O060
.long O060
.long O060
.long O060
.long O060
.long O060
.long O060
.long O068
.long O068
.long O068
.long O068
.long O068
.long O068
.long O068
.long O068
.long O070
.long O070
.long O070
.long O070
.long O070
.long O070
.long O070
.long O070
.long O078
.long O079
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O080
.long O080
.long O080
.long O080
.long O080
.long O080
.long O080
.long O080
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O090
.long O090
.long O090
.long O090
.long O090
.long O090
.long O090
.long O090
.long O098
.long O098
.long O098
.long O098
.long O098
.long O098
.long O098
.long O098
.long O0A0
.long O0A0
.long O0A0
.long O0A0
.long O0A0
.long O0A0
.long O0A0
.long O0A0
.long O0A8
.long O0A8
.long O0A8
.long O0A8
.long O0A8
.long O0A8
.long O0A8
.long O0A8
.long O0B0
.long O0B0
.long O0B0
.long O0B0
.long O0B0
.long O0B0
.long O0B0
.long O0B0
.long O0B8
.long O0B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O0C0
.long O0C0
.long O0C0
.long O0C0
.long O0C0
.long O0C0
.long O0C0
.long O0C0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O0D0
.long O0D0
.long O0D0
.long O0D0
.long O0D0
.long O0D0
.long O0D0
.long O0D0
.long O0D8
.long O0D8
.long O0D8
.long O0D8
.long O0D8
.long O0D8
.long O0D8
.long O0D8
.long O0E0
.long O0E0
.long O0E0
.long O0E0
.long O0E0
.long O0E0
.long O0E0
.long O0E0
.long O0E8
.long O0E8
.long O0E8
.long O0E8
.long O0E8
.long O0E8
.long O0E8
.long O0E8
.long O0F0
.long O0F0
.long O0F0
.long O0F0
.long O0F0
.long O0F0
.long O0F0
.long O0F0
.long O0F8
.long O0F9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O180
.long O180
.long O180
.long O180
.long O180
.long O180
.long O180
.long O180
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O190
.long O190
.long O190
.long O190
.long O190
.long O190
.long O190
.long O190
.long O198
.long O198
.long O198
.long O198
.long O198
.long O198
.long O198
.long O198
.long O1A0
.long O1A0
.long O1A0
.long O1A0
.long O1A0
.long O1A0
.long O1A0
.long O1A0
.long O1A8
.long O1A8
.long O1A8
.long O1A8
.long O1A8
.long O1A8
.long O1A8
.long O1A8
.long O1B0
.long O1B0
.long O1B0
.long O1B0
.long O1B0
.long O1B0
.long O1B0
.long O1B0
.long O1B8
.long O1B9
.long O1BA
.long O1BB
.long O1BC
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O1D0
.long O1D0
.long O1D0
.long O1D0
.long O1D0
.long O1D0
.long O1D0
.long O1D0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O1E8
.long O1E8
.long O1E8
.long O1E8
.long O1E8
.long O1E8
.long O1E8
.long O1E8
.long O1F0
.long O1F0
.long O1F0
.long O1F0
.long O1F0
.long O1F0
.long O1F0
.long O1F0
.long O1F8
.long O1F9
.long O1FA
.long O1FB
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O200
.long O200
.long O200
.long O200
.long O200
.long O200
.long O200
.long O200
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O210
.long O210
.long O210
.long O210
.long O210
.long O210
.long O210
.long O210
.long O218
.long O218
.long O218
.long O218
.long O218
.long O218
.long O218
.long O218
.long O220
.long O220
.long O220
.long O220
.long O220
.long O220
.long O220
.long O220
.long O228
.long O228
.long O228
.long O228
.long O228
.long O228
.long O228
.long O228
.long O230
.long O230
.long O230
.long O230
.long O230
.long O230
.long O230
.long O230
.long O238
.long O239
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O240
.long O240
.long O240
.long O240
.long O240
.long O240
.long O240
.long O240
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O250
.long O250
.long O250
.long O250
.long O250
.long O250
.long O250
.long O250
.long O258
.long O258
.long O258
.long O258
.long O258
.long O258
.long O258
.long O258
.long O260
.long O260
.long O260
.long O260
.long O260
.long O260
.long O260
.long O260
.long O268
.long O268
.long O268
.long O268
.long O268
.long O268
.long O268
.long O268
.long O270
.long O270
.long O270
.long O270
.long O270
.long O270
.long O270
.long O270
.long O278
.long O279
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O280
.long O280
.long O280
.long O280
.long O280
.long O280
.long O280
.long O280
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O290
.long O290
.long O290
.long O290
.long O290
.long O290
.long O290
.long O290
.long O298
.long O298
.long O298
.long O298
.long O298
.long O298
.long O298
.long O298
.long O2A0
.long O2A0
.long O2A0
.long O2A0
.long O2A0
.long O2A0
.long O2A0
.long O2A0
.long O2A8
.long O2A8
.long O2A8
.long O2A8
.long O2A8
.long O2A8
.long O2A8
.long O2A8
.long O2B0
.long O2B0
.long O2B0
.long O2B0
.long O2B0
.long O2B0
.long O2B0
.long O2B0
.long O2B8
.long O2B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O380
.long O380
.long O380
.long O380
.long O380
.long O380
.long O380
.long O380
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O390
.long O390
.long O390
.long O390
.long O390
.long O390
.long O390
.long O390
.long O398
.long O398
.long O398
.long O398
.long O398
.long O398
.long O398
.long O398
.long O3A0
.long O3A0
.long O3A0
.long O3A0
.long O3A0
.long O3A0
.long O3A0
.long O3A0
.long O3A8
.long O3A8
.long O3A8
.long O3A8
.long O3A8
.long O3A8
.long O3A8
.long O3A8
.long O3B0
.long O3B0
.long O3B0
.long O3B0
.long O3B0
.long O3B0
.long O3B0
.long O3B0
.long O3B8
.long O3B9
.long O3BA
.long O3BB
.long O3BC
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O3D0
.long O3D0
.long O3D0
.long O3D0
.long O3D0
.long O3D0
.long O3D0
.long O3D0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O3E8
.long O3E8
.long O3E8
.long O3E8
.long O3E8
.long O3E8
.long O3E8
.long O3E8
.long O3F0
.long O3F0
.long O3F0
.long O3F0
.long O3F0
.long O3F0
.long O3F0
.long O3F0
.long O3F8
.long O3F9
.long O3FA
.long O3FB
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O400
.long O400
.long O400
.long O400
.long O400
.long O400
.long O400
.long O400
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O410
.long O410
.long O410
.long O410
.long O410
.long O410
.long O410
.long O410
.long O418
.long O418
.long O418
.long O418
.long O418
.long O418
.long O418
.long O418
.long O420
.long O420
.long O420
.long O420
.long O420
.long O420
.long O420
.long O420
.long O428
.long O428
.long O428
.long O428
.long O428
.long O428
.long O428
.long O428
.long O430
.long O430
.long O430
.long O430
.long O430
.long O430
.long O430
.long O430
.long O438
.long O439
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O440
.long O440
.long O440
.long O440
.long O440
.long O440
.long O440
.long O440
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O450
.long O450
.long O450
.long O450
.long O450
.long O450
.long O450
.long O450
.long O458
.long O458
.long O458
.long O458
.long O458
.long O458
.long O458
.long O458
.long O460
.long O460
.long O460
.long O460
.long O460
.long O460
.long O460
.long O460
.long O468
.long O468
.long O468
.long O468
.long O468
.long O468
.long O468
.long O468
.long O470
.long O470
.long O470
.long O470
.long O470
.long O470
.long O470
.long O470
.long O478
.long O479
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O480
.long O480
.long O480
.long O480
.long O480
.long O480
.long O480
.long O480
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O490
.long O490
.long O490
.long O490
.long O490
.long O490
.long O490
.long O490
.long O498
.long O498
.long O498
.long O498
.long O498
.long O498
.long O498
.long O498
.long O4A0
.long O4A0
.long O4A0
.long O4A0
.long O4A0
.long O4A0
.long O4A0
.long O4A0
.long O4A8
.long O4A8
.long O4A8
.long O4A8
.long O4A8
.long O4A8
.long O4A8
.long O4A8
.long O4B0
.long O4B0
.long O4B0
.long O4B0
.long O4B0
.long O4B0
.long O4B0
.long O4B0
.long O4B8
.long O4B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O4C0
.long O4C0
.long O4C0
.long O4C0
.long O4C0
.long O4C0
.long O4C0
.long O4C0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O4D0
.long O4D0
.long O4D0
.long O4D0
.long O4D0
.long O4D0
.long O4D0
.long O4D0
.long O4D8
.long O4D8
.long O4D8
.long O4D8
.long O4D8
.long O4D8
.long O4D8
.long O4D8
.long O4E0
.long O4E0
.long O4E0
.long O4E0
.long O4E0
.long O4E0
.long O4E0
.long O4E0
.long O4E8
.long O4E8
.long O4E8
.long O4E8
.long O4E8
.long O4E8
.long O4E8
.long O4E8
.long O4F0
.long O4F0
.long O4F0
.long O4F0
.long O4F0
.long O4F0
.long O4F0
.long O4F0
.long O4F8
.long O4F9
.long O4FA
.long O4FB
.long O4FC
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O580
.long O580
.long O580
.long O580
.long O580
.long O580
.long O580
.long O580
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O590
.long O590
.long O590
.long O590
.long O590
.long O590
.long O590
.long O590
.long O598
.long O598
.long O598
.long O598
.long O598
.long O598
.long O598
.long O598
.long O5A0
.long O5A0
.long O5A0
.long O5A0
.long O5A0
.long O5A0
.long O5A0
.long O5A0
.long O5A8
.long O5A8
.long O5A8
.long O5A8
.long O5A8
.long O5A8
.long O5A8
.long O5A8
.long O5B0
.long O5B0
.long O5B0
.long O5B0
.long O5B0
.long O5B0
.long O5B0
.long O5B0
.long O5B8
.long O5B9
.long O5BA
.long O5BB
.long O5BC
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O5D0
.long O5D0
.long O5D0
.long O5D0
.long O5D0
.long O5D0
.long O5D0
.long O5D0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O5E8
.long O5E8
.long O5E8
.long O5E8
.long O5E8
.long O5E8
.long O5E8
.long O5E8
.long O5F0
.long O5F0
.long O5F0
.long O5F0
.long O5F0
.long O5F0
.long O5F0
.long O5F0
.long O5F8
.long O5F9
.long O5FA
.long O5FB
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O600
.long O600
.long O600
.long O600
.long O600
.long O600
.long O600
.long O600
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O610
.long O610
.long O610
.long O610
.long O610
.long O610
.long O610
.long O610
.long O618
.long O618
.long O618
.long O618
.long O618
.long O618
.long O618
.long O618
.long O620
.long O620
.long O620
.long O620
.long O620
.long O620
.long O620
.long O620
.long O628
.long O628
.long O628
.long O628
.long O628
.long O628
.long O628
.long O628
.long O630
.long O630
.long O630
.long O630
.long O630
.long O630
.long O630
.long O630
.long O638
.long O639
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O640
.long O640
.long O640
.long O640
.long O640
.long O640
.long O640
.long O640
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O650
.long O650
.long O650
.long O650
.long O650
.long O650
.long O650
.long O650
.long O658
.long O658
.long O658
.long O658
.long O658
.long O658
.long O658
.long O658
.long O660
.long O660
.long O660
.long O660
.long O660
.long O660
.long O660
.long O660
.long O668
.long O668
.long O668
.long O668
.long O668
.long O668
.long O668
.long O668
.long O670
.long O670
.long O670
.long O670
.long O670
.long O670
.long O670
.long O670
.long O678
.long O679
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O680
.long O680
.long O680
.long O680
.long O680
.long O680
.long O680
.long O680
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O690
.long O690
.long O690
.long O690
.long O690
.long O690
.long O690
.long O690
.long O698
.long O698
.long O698
.long O698
.long O698
.long O698
.long O698
.long O698
.long O6A0
.long O6A0
.long O6A0
.long O6A0
.long O6A0
.long O6A0
.long O6A0
.long O6A0
.long O6A8
.long O6A8
.long O6A8
.long O6A8
.long O6A8
.long O6A8
.long O6A8
.long O6A8
.long O6B0
.long O6B0
.long O6B0
.long O6B0
.long O6B0
.long O6B0
.long O6B0
.long O6B0
.long O6B8
.long O6B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O6C0
.long O6C0
.long O6C0
.long O6C0
.long O6C0
.long O6C0
.long O6C0
.long O6C0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O6D0
.long O6D0
.long O6D0
.long O6D0
.long O6D0
.long O6D0
.long O6D0
.long O6D0
.long O6D8
.long O6D8
.long O6D8
.long O6D8
.long O6D8
.long O6D8
.long O6D8
.long O6D8
.long O6E0
.long O6E0
.long O6E0
.long O6E0
.long O6E0
.long O6E0
.long O6E0
.long O6E0
.long O6E8
.long O6E8
.long O6E8
.long O6E8
.long O6E8
.long O6E8
.long O6E8
.long O6E8
.long O6F0
.long O6F0
.long O6F0
.long O6F0
.long O6F0
.long O6F0
.long O6F0
.long O6F0
.long O6F8
.long O6F9
.long O6FA
.long O6FB
.long O6FC
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O780
.long O780
.long O780
.long O780
.long O780
.long O780
.long O780
.long O780
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O790
.long O790
.long O790
.long O790
.long O790
.long O790
.long O790
.long O790
.long O798
.long O798
.long O798
.long O798
.long O798
.long O798
.long O798
.long O798
.long O7A0
.long O7A0
.long O7A0
.long O7A0
.long O7A0
.long O7A0
.long O7A0
.long O7A0
.long O7A8
.long O7A8
.long O7A8
.long O7A8
.long O7A8
.long O7A8
.long O7A8
.long O7A8
.long O7B0
.long O7B0
.long O7B0
.long O7B0
.long O7B0
.long O7B0
.long O7B0
.long O7B0
.long O7B8
.long O7B9
.long O7BA
.long O7BB
.long O7BC
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O7D0
.long O7D0
.long O7D0
.long O7D0
.long O7D0
.long O7D0
.long O7D0
.long O7D0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O7E8
.long O7E8
.long O7E8
.long O7E8
.long O7E8
.long O7E8
.long O7E8
.long O7E8
.long O7F0
.long O7F0
.long O7F0
.long O7F0
.long O7F0
.long O7F0
.long O7F0
.long O7F0
.long O7F8
.long O7F9
.long O7FA
.long O7FB
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O800
.long O800
.long O800
.long O800
.long O800
.long O800
.long O800
.long O800
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O810
.long O810
.long O810
.long O810
.long O810
.long O810
.long O810
.long O810
.long O818
.long O818
.long O818
.long O818
.long O818
.long O818
.long O818
.long O818
.long O820
.long O820
.long O820
.long O820
.long O820
.long O820
.long O820
.long O820
.long O828
.long O828
.long O828
.long O828
.long O828
.long O828
.long O828
.long O828
.long O830
.long O830
.long O830
.long O830
.long O830
.long O830
.long O830
.long O830
.long O838
.long O839
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O840
.long O840
.long O840
.long O840
.long O840
.long O840
.long O840
.long O840
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O850
.long O850
.long O850
.long O850
.long O850
.long O850
.long O850
.long O850
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O868
.long O868
.long O868
.long O868
.long O868
.long O868
.long O868
.long O868
.long O870
.long O870
.long O870
.long O870
.long O870
.long O870
.long O870
.long O870
.long O878
.long O879
.long O87A
.long O87B
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O880
.long O880
.long O880
.long O880
.long O880
.long O880
.long O880
.long O880
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O890
.long O890
.long O890
.long O890
.long O890
.long O890
.long O890
.long O890
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O8A0
.long O8A0
.long O8A0
.long O8A0
.long O8A0
.long O8A0
.long O8A0
.long O8A0
.long O8A8
.long O8A8
.long O8A8
.long O8A8
.long O8A8
.long O8A8
.long O8A8
.long O8A8
.long O8B0
.long O8B0
.long O8B0
.long O8B0
.long O8B0
.long O8B0
.long O8B0
.long O8B0
.long O8B8
.long O8B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O8C0
.long O8C0
.long O8C0
.long O8C0
.long O8C0
.long O8C0
.long O8C0
.long O8C0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O8D0
.long O8D0
.long O8D0
.long O8D0
.long O8D0
.long O8D0
.long O8D0
.long O8D0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O8E0
.long O8E0
.long O8E0
.long O8E0
.long O8E0
.long O8E0
.long O8E0
.long O8E0
.long O8E8
.long O8E8
.long O8E8
.long O8E8
.long O8E8
.long O8E8
.long O8E8
.long O8E8
.long O8F0
.long O8F0
.long O8F0
.long O8F0
.long O8F0
.long O8F0
.long O8F0
.long O8F0
.long O8F8
.long O8F9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O980
.long O980
.long O980
.long O980
.long O980
.long O980
.long O980
.long O980
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O990
.long O990
.long O990
.long O990
.long O990
.long O990
.long O990
.long O990
.long O998
.long O998
.long O998
.long O998
.long O998
.long O998
.long O998
.long O998
.long O9A0
.long O9A0
.long O9A0
.long O9A0
.long O9A0
.long O9A0
.long O9A0
.long O9A0
.long O9A8
.long O9A8
.long O9A8
.long O9A8
.long O9A8
.long O9A8
.long O9A8
.long O9A8
.long O9B0
.long O9B0
.long O9B0
.long O9B0
.long O9B0
.long O9B0
.long O9B0
.long O9B0
.long O9B8
.long O9B9
.long O9BA
.long O9BB
.long O9BC
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O9D0
.long O9D0
.long O9D0
.long O9D0
.long O9D0
.long O9D0
.long O9D0
.long O9D0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long O9E8
.long O9E8
.long O9E8
.long O9E8
.long O9E8
.long O9E8
.long O9E8
.long O9E8
.long O9F0
.long O9F0
.long O9F0
.long O9F0
.long O9F0
.long O9F0
.long O9F0
.long O9F0
.long O9F8
.long O9F9
.long O9FA
.long O9FB
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long OA00
.long OA00
.long OA00
.long OA00
.long OA00
.long OA00
.long OA00
.long OA00
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long OA10
.long OA10
.long OA10
.long OA10
.long OA10
.long OA10
.long OA10
.long OA10
.long OA18
.long OA18
.long OA18
.long OA18
.long OA18
.long OA18
.long OA18
.long OA18
.long OA20
.long OA20
.long OA20
.long OA20
.long OA20
.long OA20
.long OA20
.long OA20
.long OA28
.long OA28
.long OA28
.long OA28
.long OA28
.long OA28
.long OA28
.long OA28
.long OA30
.long OA30
.long OA30
.long OA30
.long OA30
.long OA30
.long OA30
.long OA30
.long OA38
.long OA39
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long OA40
.long OA40
.long OA40
.long OA40
.long OA40
.long OA40
.long OA40
.long OA40
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long OA50
.long OA50
.long OA50
.long OA50
.long OA50
.long OA50
.long OA50
.long OA50
.long OA58
.long OA58
.long OA58
.long OA58
.long OA58
.long OA58
.long OA58
.long OA58
.long OA60
.long OA60
.long OA60
.long OA60
.long OA60
.long OA60
.long OA60
.long OA60
.long OA68
.long OA68
.long OA68
.long OA68
.long OA68
.long OA68
.long OA68
.long OA68
.long OA70
.long OA70
.long OA70
.long OA70
.long OA70
.long OA70
.long OA70
.long OA70
.long OA78
.long OA79
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long OA80
.long OA80
.long OA80
.long OA80
.long OA80
.long OA80
.long OA80
.long OA80
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long OA90
.long OA90
.long OA90
.long OA90
.long OA90
.long OA90
.long OA90
.long OA90
.long OA98
.long OA98
.long OA98
.long OA98
.long OA98
.long OA98
.long OA98
.long OA98
.long OAA0
.long OAA0
.long OAA0
.long OAA0
.long OAA0
.long OAA0
.long OAA0
.long OAA0
.long OAA8
.long OAA8
.long OAA8
.long OAA8
.long OAA8
.long OAA8
.long OAA8
.long OAA8
.long OAB0
.long OAB0
.long OAB0
.long OAB0
.long OAB0
.long OAB0
.long OAB0
.long OAB0
.long OAB8
.long OAB9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long OAC0
.long OAC0
.long OAC0
.long OAC0
.long OAC0
.long OAC0
.long OAC0
.long OAC0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long OAD0
.long OAD0
.long OAD0
.long OAD0
.long OAD0
.long OAD0
.long OAD0
.long OAD0
.long OAD8
.long OAD8
.long OAD8
.long OAD8
.long OAD8
.long OAD8
.long OAD8
.long OAD8
.long OAE0
.long OAE0
.long OAE0
.long OAE0
.long OAE0
.long OAE0
.long OAE0
.long OAE0
.long OAE8
.long OAE8
.long OAE8
.long OAE8
.long OAE8
.long OAE8
.long OAE8
.long OAE8
.long OAF0
.long OAF0
.long OAF0
.long OAF0
.long OAF0
.long OAF0
.long OAF0
.long OAF0
.long OAF8
.long OAF9
.long OAFA
.long OAFB
.long OAFC
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long OB80
.long OB80
.long OB80
.long OB80
.long OB80
.long OB80
.long OB80
.long OB80
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long OB90
.long OB90
.long OB90
.long OB90
.long OB90
.long OB90
.long OB90
.long OB90
.long OB98
.long OB98
.long OB98
.long OB98
.long OB98
.long OB98
.long OB98
.long OB98
.long OBA0
.long OBA0
.long OBA0
.long OBA0
.long OBA0
.long OBA0
.long OBA0
.long OBA0
.long OBA8
.long OBA8
.long OBA8
.long OBA8
.long OBA8
.long OBA8
.long OBA8
.long OBA8
.long OBB0
.long OBB0
.long OBB0
.long OBB0
.long OBB0
.long OBB0
.long OBB0
.long OBB0
.long OBB8
.long OBB9
.long OBBA
.long OBBB
.long OBBC
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long OBD0
.long OBD0
.long OBD0
.long OBD0
.long OBD0
.long OBD0
.long OBD0
.long OBD0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long OBE8
.long OBE8
.long OBE8
.long OBE8
.long OBE8
.long OBE8
.long OBE8
.long OBE8
.long OBF0
.long OBF0
.long OBF0
.long OBF0
.long OBF0
.long OBF0
.long OBF0
.long OBF0
.long OBF8
.long OBF9
.long OBFA
.long OBFB
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long OC90
.long OC90
.long OC90
.long OC90
.long OC90
.long OC90
.long OC90
.long OC90
.long OC98
.long OC98
.long OC98
.long OC98
.long OC98
.long OC98
.long OC98
.long OC98
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long OCA8
.long OCA8
.long OCA8
.long OCA8
.long OCA8
.long OCA8
.long OCA8
.long OCA8
.long OCB0
.long OCB0
.long OCB0
.long OCB0
.long OCB0
.long OCB0
.long OCB0
.long OCB0
.long OCB8
.long OCB9
.long OCBA
.long OCBB
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long OCD0
.long OCD0
.long OCD0
.long OCD0
.long OCD0
.long OCD0
.long OCD0
.long OCD0
.long OCD8
.long OCD8
.long OCD8
.long OCD8
.long OCD8
.long OCD8
.long OCD8
.long OCD8
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long OCE8
.long OCE8
.long OCE8
.long OCE8
.long OCE8
.long OCE8
.long OCE8
.long OCE8
.long OCF0
.long OCF0
.long OCF0
.long OCF0
.long OCF0
.long OCF0
.long OCF0
.long OCF0
.long OCF8
.long OCF9
.long OCFA
.long OCFB
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long OD80
.long OD80
.long OD80
.long OD80
.long OD80
.long OD80
.long OD80
.long OD80
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long OD90
.long OD90
.long OD90
.long OD90
.long OD90
.long OD90
.long OD90
.long OD90
.long OD98
.long OD98
.long OD98
.long OD98
.long OD98
.long OD98
.long OD98
.long OD98
.long ODA0
.long ODA0
.long ODA0
.long ODA0
.long ODA0
.long ODA0
.long ODA0
.long ODA0
.long ODA8
.long ODA8
.long ODA8
.long ODA8
.long ODA8
.long ODA8
.long ODA8
.long ODA8
.long ODB0
.long ODB0
.long ODB0
.long ODB0
.long ODB0
.long ODB0
.long ODB0
.long ODB0
.long ODB8
.long ODB9
.long ODBA
.long ODBB
.long ODBC
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long ODD0
.long ODD0
.long ODD0
.long ODD0
.long ODD0
.long ODD0
.long ODD0
.long ODD0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long ODE8
.long ODE8
.long ODE8
.long ODE8
.long ODE8
.long ODE8
.long ODE8
.long ODE8
.long ODF0
.long ODF0
.long ODF0
.long ODF0
.long ODF0
.long ODF0
.long ODF0
.long ODF0
.long ODF8
.long ODF9
.long ODFA
.long ODFB
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long OE40
.long OE40
.long OE40
.long OE40
.long OE40
.long OE40
.long OE40
.long OE40
.long OE40
.long OE40
.long OE40
.long OE40
.long OE40
.long OE40
.long OE40
.long OE40
.long OE50
.long OE50
.long OE50
.long OE50
.long OE50
.long OE50
.long OE50
.long OE50
.long OE58
.long OE58
.long OE58
.long OE58
.long OE58
.long OE58
.long OE58
.long OE58
.long OE60
.long OE60
.long OE60
.long OE60
.long OE60
.long OE60
.long OE60
.long OE60
.long OE68
.long OE68
.long OE68
.long OE68
.long OE68
.long OE68
.long OE68
.long OE68
.long OE70
.long OE71
.long OE72
.long OE73
.long r_illegal
.long OE75
.long OE76
.long OE77
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long OE90
.long OE90
.long OE90
.long OE90
.long OE90
.long OE90
.long OE90
.long OE90
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long OEA8
.long OEA8
.long OEA8
.long OEA8
.long OEA8
.long OEA8
.long OEA8
.long OEA8
.long OEB0
.long OEB0
.long OEB0
.long OEB0
.long OEB0
.long OEB0
.long OEB0
.long OEB0
.long OEB8
.long OEB9
.long OEBA
.long OEBB
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long OED0
.long OED0
.long OED0
.long OED0
.long OED0
.long OED0
.long OED0
.long OED0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long OEE8
.long OEE8
.long OEE8
.long OEE8
.long OEE8
.long OEE8
.long OEE8
.long OEE8
.long OEF0
.long OEF0
.long OEF0
.long OEF0
.long OEF0
.long OEF0
.long OEF0
.long OEF0
.long OEF8
.long OEF9
.long OEFA
.long OEFB
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long OF80
.long OF80
.long OF80
.long OF80
.long OF80
.long OF80
.long OF80
.long OF80
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long OF90
.long OF90
.long OF90
.long OF90
.long OF90
.long OF90
.long OF90
.long OF90
.long OF98
.long OF98
.long OF98
.long OF98
.long OF98
.long OF98
.long OF98
.long OF98
.long OFA0
.long OFA0
.long OFA0
.long OFA0
.long OFA0
.long OFA0
.long OFA0
.long OFA0
.long OFA8
.long OFA8
.long OFA8
.long OFA8
.long OFA8
.long OFA8
.long OFA8
.long OFA8
.long OFB0
.long OFB0
.long OFB0
.long OFB0
.long OFB0
.long OFB0
.long OFB0
.long OFB0
.long OFB8
.long OFB9
.long OFBA
.long OFBB
.long OFBC
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long OFD0
.long OFD0
.long OFD0
.long OFD0
.long OFD0
.long OFD0
.long OFD0
.long OFD0
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long OFE8
.long OFE8
.long OFE8
.long OFE8
.long OFE8
.long OFE8
.long OFE8
.long OFE8
.long OFF0
.long OFF0
.long OFF0
.long OFF0
.long OFF0
.long OFF0
.long OFF0
.long OFF0
.long OFF8
.long OFF9
.long OFFA
.long OFFB
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P000
.long P000
.long P000
.long P000
.long P000
.long P000
.long P000
.long P000
.long P008
.long P008
.long P008
.long P008
.long P008
.long P008
.long P008
.long P008
.long P010
.long P010
.long P010
.long P010
.long P010
.long P010
.long P010
.long P010
.long P018
.long P018
.long P018
.long P018
.long P018
.long P018
.long P018
.long P018
.long P020
.long P020
.long P020
.long P020
.long P020
.long P020
.long P020
.long P020
.long P028
.long P028
.long P028
.long P028
.long P028
.long P028
.long P028
.long P028
.long P030
.long P030
.long P030
.long P030
.long P030
.long P030
.long P030
.long P030
.long P038
.long P039
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P040
.long P040
.long P040
.long P040
.long P040
.long P040
.long P040
.long P040
.long P048
.long P048
.long P048
.long P048
.long P048
.long P048
.long P048
.long P048
.long P050
.long P050
.long P050
.long P050
.long P050
.long P050
.long P050
.long P050
.long P058
.long P058
.long P058
.long P058
.long P058
.long P058
.long P058
.long P058
.long P060
.long P060
.long P060
.long P060
.long P060
.long P060
.long P060
.long P060
.long P068
.long P068
.long P068
.long P068
.long P068
.long P068
.long P068
.long P068
.long P070
.long P070
.long P070
.long P070
.long P070
.long P070
.long P070
.long P070
.long P078
.long P079
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P080
.long P080
.long P080
.long P080
.long P080
.long P080
.long P080
.long P080
.long P088
.long P088
.long P088
.long P088
.long P088
.long P088
.long P088
.long P088
.long P090
.long P090
.long P090
.long P090
.long P090
.long P090
.long P090
.long P090
.long P098
.long P098
.long P098
.long P098
.long P098
.long P098
.long P098
.long P098
.long P0A0
.long P0A0
.long P0A0
.long P0A0
.long P0A0
.long P0A0
.long P0A0
.long P0A0
.long P0A8
.long P0A8
.long P0A8
.long P0A8
.long P0A8
.long P0A8
.long P0A8
.long P0A8
.long P0B0
.long P0B0
.long P0B0
.long P0B0
.long P0B0
.long P0B0
.long P0B0
.long P0B0
.long P0B8
.long P0B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P0C0
.long P0C0
.long P0C0
.long P0C0
.long P0C0
.long P0C0
.long P0C0
.long P0C0
.long P0C8
.long P0C8
.long P0C8
.long P0C8
.long P0C8
.long P0C8
.long P0C8
.long P0C8
.long P0D0
.long P0D0
.long P0D0
.long P0D0
.long P0D0
.long P0D0
.long P0D0
.long P0D0
.long P0D8
.long P0D8
.long P0D8
.long P0D8
.long P0D8
.long P0D8
.long P0D8
.long P0D8
.long P0E0
.long P0E0
.long P0E0
.long P0E0
.long P0E0
.long P0E0
.long P0E0
.long P0E0
.long P0E8
.long P0E8
.long P0E8
.long P0E8
.long P0E8
.long P0E8
.long P0E8
.long P0E8
.long P0F0
.long P0F0
.long P0F0
.long P0F0
.long P0F0
.long P0F0
.long P0F0
.long P0F0
.long P0F8
.long P0F9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P100
.long P100
.long P100
.long P100
.long P100
.long P100
.long P100
.long P100
.long P108
.long P108
.long P108
.long P108
.long P108
.long P108
.long P108
.long P108
.long P110
.long P110
.long P110
.long P110
.long P110
.long P110
.long P110
.long P110
.long P118
.long P118
.long P118
.long P118
.long P118
.long P118
.long P118
.long P118
.long P120
.long P120
.long P120
.long P120
.long P120
.long P120
.long P120
.long P120
.long P128
.long P128
.long P128
.long P128
.long P128
.long P128
.long P128
.long P128
.long P130
.long P130
.long P130
.long P130
.long P130
.long P130
.long P130
.long P130
.long P138
.long P139
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P140
.long P140
.long P140
.long P140
.long P140
.long P140
.long P140
.long P140
.long P148
.long P148
.long P148
.long P148
.long P148
.long P148
.long P148
.long P148
.long P150
.long P150
.long P150
.long P150
.long P150
.long P150
.long P150
.long P150
.long P158
.long P158
.long P158
.long P158
.long P158
.long P158
.long P158
.long P158
.long P160
.long P160
.long P160
.long P160
.long P160
.long P160
.long P160
.long P160
.long P168
.long P168
.long P168
.long P168
.long P168
.long P168
.long P168
.long P168
.long P170
.long P170
.long P170
.long P170
.long P170
.long P170
.long P170
.long P170
.long P178
.long P179
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P180
.long P180
.long P180
.long P180
.long P180
.long P180
.long P180
.long P180
.long P188
.long P188
.long P188
.long P188
.long P188
.long P188
.long P188
.long P188
.long P190
.long P190
.long P190
.long P190
.long P190
.long P190
.long P190
.long P190
.long P198
.long P198
.long P198
.long P198
.long P198
.long P198
.long P198
.long P198
.long P1A0
.long P1A0
.long P1A0
.long P1A0
.long P1A0
.long P1A0
.long P1A0
.long P1A0
.long P1A8
.long P1A8
.long P1A8
.long P1A8
.long P1A8
.long P1A8
.long P1A8
.long P1A8
.long P1B0
.long P1B0
.long P1B0
.long P1B0
.long P1B0
.long P1B0
.long P1B0
.long P1B0
.long P1B8
.long P1B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P1C0
.long P1C0
.long P1C0
.long P1C0
.long P1C0
.long P1C0
.long P1C0
.long P1C0
.long P1C8
.long P1C8
.long P1C8
.long P1C8
.long P1C8
.long P1C8
.long P1C8
.long P1C8
.long P1D0
.long P1D0
.long P1D0
.long P1D0
.long P1D0
.long P1D0
.long P1D0
.long P1D0
.long P1D8
.long P1D8
.long P1D8
.long P1D8
.long P1D8
.long P1D8
.long P1D8
.long P1D8
.long P1E0
.long P1E0
.long P1E0
.long P1E0
.long P1E0
.long P1E0
.long P1E0
.long P1E0
.long P1E8
.long P1E8
.long P1E8
.long P1E8
.long P1E8
.long P1E8
.long P1E8
.long P1E8
.long P1F0
.long P1F0
.long P1F0
.long P1F0
.long P1F0
.long P1F0
.long P1F0
.long P1F0
.long P1F8
.long P1F9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P200
.long P200
.long P200
.long P200
.long P200
.long P200
.long P200
.long P200
.long P208
.long P208
.long P208
.long P208
.long P208
.long P208
.long P208
.long P208
.long P210
.long P210
.long P210
.long P210
.long P210
.long P210
.long P210
.long P210
.long P218
.long P218
.long P218
.long P218
.long P218
.long P218
.long P218
.long P218
.long P220
.long P220
.long P220
.long P220
.long P220
.long P220
.long P220
.long P220
.long P228
.long P228
.long P228
.long P228
.long P228
.long P228
.long P228
.long P228
.long P230
.long P230
.long P230
.long P230
.long P230
.long P230
.long P230
.long P230
.long P238
.long P239
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P240
.long P240
.long P240
.long P240
.long P240
.long P240
.long P240
.long P240
.long P248
.long P248
.long P248
.long P248
.long P248
.long P248
.long P248
.long P248
.long P250
.long P250
.long P250
.long P250
.long P250
.long P250
.long P250
.long P250
.long P258
.long P258
.long P258
.long P258
.long P258
.long P258
.long P258
.long P258
.long P260
.long P260
.long P260
.long P260
.long P260
.long P260
.long P260
.long P260
.long P268
.long P268
.long P268
.long P268
.long P268
.long P268
.long P268
.long P268
.long P270
.long P270
.long P270
.long P270
.long P270
.long P270
.long P270
.long P270
.long P278
.long P279
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P280
.long P280
.long P280
.long P280
.long P280
.long P280
.long P280
.long P280
.long P288
.long P288
.long P288
.long P288
.long P288
.long P288
.long P288
.long P288
.long P290
.long P290
.long P290
.long P290
.long P290
.long P290
.long P290
.long P290
.long P298
.long P298
.long P298
.long P298
.long P298
.long P298
.long P298
.long P298
.long P2A0
.long P2A0
.long P2A0
.long P2A0
.long P2A0
.long P2A0
.long P2A0
.long P2A0
.long P2A8
.long P2A8
.long P2A8
.long P2A8
.long P2A8
.long P2A8
.long P2A8
.long P2A8
.long P2B0
.long P2B0
.long P2B0
.long P2B0
.long P2B0
.long P2B0
.long P2B0
.long P2B0
.long P2B8
.long P2B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P2C0
.long P2C0
.long P2C0
.long P2C0
.long P2C0
.long P2C0
.long P2C0
.long P2C0
.long P2C8
.long P2C8
.long P2C8
.long P2C8
.long P2C8
.long P2C8
.long P2C8
.long P2C8
.long P2D0
.long P2D0
.long P2D0
.long P2D0
.long P2D0
.long P2D0
.long P2D0
.long P2D0
.long P2D8
.long P2D8
.long P2D8
.long P2D8
.long P2D8
.long P2D8
.long P2D8
.long P2D8
.long P2E0
.long P2E0
.long P2E0
.long P2E0
.long P2E0
.long P2E0
.long P2E0
.long P2E0
.long P2E8
.long P2E8
.long P2E8
.long P2E8
.long P2E8
.long P2E8
.long P2E8
.long P2E8
.long P2F0
.long P2F0
.long P2F0
.long P2F0
.long P2F0
.long P2F0
.long P2F0
.long P2F0
.long P2F8
.long P2F9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P300
.long P300
.long P300
.long P300
.long P300
.long P300
.long P300
.long P300
.long P308
.long P308
.long P308
.long P308
.long P308
.long P308
.long P308
.long P308
.long P310
.long P310
.long P310
.long P310
.long P310
.long P310
.long P310
.long P310
.long P318
.long P318
.long P318
.long P318
.long P318
.long P318
.long P318
.long P318
.long P320
.long P320
.long P320
.long P320
.long P320
.long P320
.long P320
.long P320
.long P328
.long P328
.long P328
.long P328
.long P328
.long P328
.long P328
.long P328
.long P330
.long P330
.long P330
.long P330
.long P330
.long P330
.long P330
.long P330
.long P338
.long P339
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P340
.long P340
.long P340
.long P340
.long P340
.long P340
.long P340
.long P340
.long P348
.long P348
.long P348
.long P348
.long P348
.long P348
.long P348
.long P348
.long P350
.long P350
.long P350
.long P350
.long P350
.long P350
.long P350
.long P350
.long P358
.long P358
.long P358
.long P358
.long P358
.long P358
.long P358
.long P358
.long P360
.long P360
.long P360
.long P360
.long P360
.long P360
.long P360
.long P360
.long P368
.long P368
.long P368
.long P368
.long P368
.long P368
.long P368
.long P368
.long P370
.long P370
.long P370
.long P370
.long P370
.long P370
.long P370
.long P370
.long P378
.long P379
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P380
.long P380
.long P380
.long P380
.long P380
.long P380
.long P380
.long P380
.long P388
.long P388
.long P388
.long P388
.long P388
.long P388
.long P388
.long P388
.long P390
.long P390
.long P390
.long P390
.long P390
.long P390
.long P390
.long P390
.long P398
.long P398
.long P398
.long P398
.long P398
.long P398
.long P398
.long P398
.long P3A0
.long P3A0
.long P3A0
.long P3A0
.long P3A0
.long P3A0
.long P3A0
.long P3A0
.long P3A8
.long P3A8
.long P3A8
.long P3A8
.long P3A8
.long P3A8
.long P3A8
.long P3A8
.long P3B0
.long P3B0
.long P3B0
.long P3B0
.long P3B0
.long P3B0
.long P3B0
.long P3B0
.long P3B8
.long P3B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P3C0
.long P3C0
.long P3C0
.long P3C0
.long P3C0
.long P3C0
.long P3C0
.long P3C0
.long P3C8
.long P3C8
.long P3C8
.long P3C8
.long P3C8
.long P3C8
.long P3C8
.long P3C8
.long P3D0
.long P3D0
.long P3D0
.long P3D0
.long P3D0
.long P3D0
.long P3D0
.long P3D0
.long P3D8
.long P3D8
.long P3D8
.long P3D8
.long P3D8
.long P3D8
.long P3D8
.long P3D8
.long P3E0
.long P3E0
.long P3E0
.long P3E0
.long P3E0
.long P3E0
.long P3E0
.long P3E0
.long P3E8
.long P3E8
.long P3E8
.long P3E8
.long P3E8
.long P3E8
.long P3E8
.long P3E8
.long P3F0
.long P3F0
.long P3F0
.long P3F0
.long P3F0
.long P3F0
.long P3F0
.long P3F0
.long P3F8
.long P3F9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P400
.long P400
.long P400
.long P400
.long P400
.long P400
.long P400
.long P400
.long P408
.long P408
.long P408
.long P408
.long P408
.long P408
.long P408
.long P408
.long P410
.long P410
.long P410
.long P410
.long P410
.long P410
.long P410
.long P410
.long P418
.long P418
.long P418
.long P418
.long P418
.long P418
.long P418
.long P418
.long P420
.long P420
.long P420
.long P420
.long P420
.long P420
.long P420
.long P420
.long P428
.long P428
.long P428
.long P428
.long P428
.long P428
.long P428
.long P428
.long P430
.long P430
.long P430
.long P430
.long P430
.long P430
.long P430
.long P430
.long P438
.long P439
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P440
.long P440
.long P440
.long P440
.long P440
.long P440
.long P440
.long P440
.long P448
.long P448
.long P448
.long P448
.long P448
.long P448
.long P448
.long P448
.long P450
.long P450
.long P450
.long P450
.long P450
.long P450
.long P450
.long P450
.long P458
.long P458
.long P458
.long P458
.long P458
.long P458
.long P458
.long P458
.long P460
.long P460
.long P460
.long P460
.long P460
.long P460
.long P460
.long P460
.long P468
.long P468
.long P468
.long P468
.long P468
.long P468
.long P468
.long P468
.long P470
.long P470
.long P470
.long P470
.long P470
.long P470
.long P470
.long P470
.long P478
.long P479
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P480
.long P480
.long P480
.long P480
.long P480
.long P480
.long P480
.long P480
.long P488
.long P488
.long P488
.long P488
.long P488
.long P488
.long P488
.long P488
.long P490
.long P490
.long P490
.long P490
.long P490
.long P490
.long P490
.long P490
.long P498
.long P498
.long P498
.long P498
.long P498
.long P498
.long P498
.long P498
.long P4A0
.long P4A0
.long P4A0
.long P4A0
.long P4A0
.long P4A0
.long P4A0
.long P4A0
.long P4A8
.long P4A8
.long P4A8
.long P4A8
.long P4A8
.long P4A8
.long P4A8
.long P4A8
.long P4B0
.long P4B0
.long P4B0
.long P4B0
.long P4B0
.long P4B0
.long P4B0
.long P4B0
.long P4B8
.long P4B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P4C0
.long P4C0
.long P4C0
.long P4C0
.long P4C0
.long P4C0
.long P4C0
.long P4C0
.long P4C8
.long P4C8
.long P4C8
.long P4C8
.long P4C8
.long P4C8
.long P4C8
.long P4C8
.long P4D0
.long P4D0
.long P4D0
.long P4D0
.long P4D0
.long P4D0
.long P4D0
.long P4D0
.long P4D8
.long P4D8
.long P4D8
.long P4D8
.long P4D8
.long P4D8
.long P4D8
.long P4D8
.long P4E0
.long P4E0
.long P4E0
.long P4E0
.long P4E0
.long P4E0
.long P4E0
.long P4E0
.long P4E8
.long P4E8
.long P4E8
.long P4E8
.long P4E8
.long P4E8
.long P4E8
.long P4E8
.long P4F0
.long P4F0
.long P4F0
.long P4F0
.long P4F0
.long P4F0
.long P4F0
.long P4F0
.long P4F8
.long P4F9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P500
.long P500
.long P500
.long P500
.long P500
.long P500
.long P500
.long P500
.long P508
.long P508
.long P508
.long P508
.long P508
.long P508
.long P508
.long P508
.long P510
.long P510
.long P510
.long P510
.long P510
.long P510
.long P510
.long P510
.long P518
.long P518
.long P518
.long P518
.long P518
.long P518
.long P518
.long P518
.long P520
.long P520
.long P520
.long P520
.long P520
.long P520
.long P520
.long P520
.long P528
.long P528
.long P528
.long P528
.long P528
.long P528
.long P528
.long P528
.long P530
.long P530
.long P530
.long P530
.long P530
.long P530
.long P530
.long P530
.long P538
.long P539
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P540
.long P540
.long P540
.long P540
.long P540
.long P540
.long P540
.long P540
.long P548
.long P548
.long P548
.long P548
.long P548
.long P548
.long P548
.long P548
.long P550
.long P550
.long P550
.long P550
.long P550
.long P550
.long P550
.long P550
.long P558
.long P558
.long P558
.long P558
.long P558
.long P558
.long P558
.long P558
.long P560
.long P560
.long P560
.long P560
.long P560
.long P560
.long P560
.long P560
.long P568
.long P568
.long P568
.long P568
.long P568
.long P568
.long P568
.long P568
.long P570
.long P570
.long P570
.long P570
.long P570
.long P570
.long P570
.long P570
.long P578
.long P579
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P580
.long P580
.long P580
.long P580
.long P580
.long P580
.long P580
.long P580
.long P588
.long P588
.long P588
.long P588
.long P588
.long P588
.long P588
.long P588
.long P590
.long P590
.long P590
.long P590
.long P590
.long P590
.long P590
.long P590
.long P598
.long P598
.long P598
.long P598
.long P598
.long P598
.long P598
.long P598
.long P5A0
.long P5A0
.long P5A0
.long P5A0
.long P5A0
.long P5A0
.long P5A0
.long P5A0
.long P5A8
.long P5A8
.long P5A8
.long P5A8
.long P5A8
.long P5A8
.long P5A8
.long P5A8
.long P5B0
.long P5B0
.long P5B0
.long P5B0
.long P5B0
.long P5B0
.long P5B0
.long P5B0
.long P5B8
.long P5B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P5C0
.long P5C0
.long P5C0
.long P5C0
.long P5C0
.long P5C0
.long P5C0
.long P5C0
.long P5C8
.long P5C8
.long P5C8
.long P5C8
.long P5C8
.long P5C8
.long P5C8
.long P5C8
.long P5D0
.long P5D0
.long P5D0
.long P5D0
.long P5D0
.long P5D0
.long P5D0
.long P5D0
.long P5D8
.long P5D8
.long P5D8
.long P5D8
.long P5D8
.long P5D8
.long P5D8
.long P5D8
.long P5E0
.long P5E0
.long P5E0
.long P5E0
.long P5E0
.long P5E0
.long P5E0
.long P5E0
.long P5E8
.long P5E8
.long P5E8
.long P5E8
.long P5E8
.long P5E8
.long P5E8
.long P5E8
.long P5F0
.long P5F0
.long P5F0
.long P5F0
.long P5F0
.long P5F0
.long P5F0
.long P5F0
.long P5F8
.long P5F9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P600
.long P600
.long P600
.long P600
.long P600
.long P600
.long P600
.long P600
.long P608
.long P608
.long P608
.long P608
.long P608
.long P608
.long P608
.long P608
.long P610
.long P610
.long P610
.long P610
.long P610
.long P610
.long P610
.long P610
.long P618
.long P618
.long P618
.long P618
.long P618
.long P618
.long P618
.long P618
.long P620
.long P620
.long P620
.long P620
.long P620
.long P620
.long P620
.long P620
.long P628
.long P628
.long P628
.long P628
.long P628
.long P628
.long P628
.long P628
.long P630
.long P630
.long P630
.long P630
.long P630
.long P630
.long P630
.long P630
.long P638
.long P639
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P640
.long P640
.long P640
.long P640
.long P640
.long P640
.long P640
.long P640
.long P648
.long P648
.long P648
.long P648
.long P648
.long P648
.long P648
.long P648
.long P650
.long P650
.long P650
.long P650
.long P650
.long P650
.long P650
.long P650
.long P658
.long P658
.long P658
.long P658
.long P658
.long P658
.long P658
.long P658
.long P660
.long P660
.long P660
.long P660
.long P660
.long P660
.long P660
.long P660
.long P668
.long P668
.long P668
.long P668
.long P668
.long P668
.long P668
.long P668
.long P670
.long P670
.long P670
.long P670
.long P670
.long P670
.long P670
.long P670
.long P678
.long P679
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P680
.long P680
.long P680
.long P680
.long P680
.long P680
.long P680
.long P680
.long P688
.long P688
.long P688
.long P688
.long P688
.long P688
.long P688
.long P688
.long P690
.long P690
.long P690
.long P690
.long P690
.long P690
.long P690
.long P690
.long P698
.long P698
.long P698
.long P698
.long P698
.long P698
.long P698
.long P698
.long P6A0
.long P6A0
.long P6A0
.long P6A0
.long P6A0
.long P6A0
.long P6A0
.long P6A0
.long P6A8
.long P6A8
.long P6A8
.long P6A8
.long P6A8
.long P6A8
.long P6A8
.long P6A8
.long P6B0
.long P6B0
.long P6B0
.long P6B0
.long P6B0
.long P6B0
.long P6B0
.long P6B0
.long P6B8
.long P6B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P6C0
.long P6C0
.long P6C0
.long P6C0
.long P6C0
.long P6C0
.long P6C0
.long P6C0
.long P6C8
.long P6C8
.long P6C8
.long P6C8
.long P6C8
.long P6C8
.long P6C8
.long P6C8
.long P6D0
.long P6D0
.long P6D0
.long P6D0
.long P6D0
.long P6D0
.long P6D0
.long P6D0
.long P6D8
.long P6D8
.long P6D8
.long P6D8
.long P6D8
.long P6D8
.long P6D8
.long P6D8
.long P6E0
.long P6E0
.long P6E0
.long P6E0
.long P6E0
.long P6E0
.long P6E0
.long P6E0
.long P6E8
.long P6E8
.long P6E8
.long P6E8
.long P6E8
.long P6E8
.long P6E8
.long P6E8
.long P6F0
.long P6F0
.long P6F0
.long P6F0
.long P6F0
.long P6F0
.long P6F0
.long P6F0
.long P6F8
.long P6F9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P700
.long P700
.long P700
.long P700
.long P700
.long P700
.long P700
.long P700
.long P708
.long P708
.long P708
.long P708
.long P708
.long P708
.long P708
.long P708
.long P710
.long P710
.long P710
.long P710
.long P710
.long P710
.long P710
.long P710
.long P718
.long P718
.long P718
.long P718
.long P718
.long P718
.long P718
.long P718
.long P720
.long P720
.long P720
.long P720
.long P720
.long P720
.long P720
.long P720
.long P728
.long P728
.long P728
.long P728
.long P728
.long P728
.long P728
.long P728
.long P730
.long P730
.long P730
.long P730
.long P730
.long P730
.long P730
.long P730
.long P738
.long P739
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P740
.long P740
.long P740
.long P740
.long P740
.long P740
.long P740
.long P740
.long P748
.long P748
.long P748
.long P748
.long P748
.long P748
.long P748
.long P748
.long P750
.long P750
.long P750
.long P750
.long P750
.long P750
.long P750
.long P750
.long P758
.long P758
.long P758
.long P758
.long P758
.long P758
.long P758
.long P758
.long P760
.long P760
.long P760
.long P760
.long P760
.long P760
.long P760
.long P760
.long P768
.long P768
.long P768
.long P768
.long P768
.long P768
.long P768
.long P768
.long P770
.long P770
.long P770
.long P770
.long P770
.long P770
.long P770
.long P770
.long P778
.long P779
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P780
.long P780
.long P780
.long P780
.long P780
.long P780
.long P780
.long P780
.long P788
.long P788
.long P788
.long P788
.long P788
.long P788
.long P788
.long P788
.long P790
.long P790
.long P790
.long P790
.long P790
.long P790
.long P790
.long P790
.long P798
.long P798
.long P798
.long P798
.long P798
.long P798
.long P798
.long P798
.long P7A0
.long P7A0
.long P7A0
.long P7A0
.long P7A0
.long P7A0
.long P7A0
.long P7A0
.long P7A8
.long P7A8
.long P7A8
.long P7A8
.long P7A8
.long P7A8
.long P7A8
.long P7A8
.long P7B0
.long P7B0
.long P7B0
.long P7B0
.long P7B0
.long P7B0
.long P7B0
.long P7B0
.long P7B8
.long P7B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P7C0
.long P7C0
.long P7C0
.long P7C0
.long P7C0
.long P7C0
.long P7C0
.long P7C0
.long P7C8
.long P7C8
.long P7C8
.long P7C8
.long P7C8
.long P7C8
.long P7C8
.long P7C8
.long P7D0
.long P7D0
.long P7D0
.long P7D0
.long P7D0
.long P7D0
.long P7D0
.long P7D0
.long P7D8
.long P7D8
.long P7D8
.long P7D8
.long P7D8
.long P7D8
.long P7D8
.long P7D8
.long P7E0
.long P7E0
.long P7E0
.long P7E0
.long P7E0
.long P7E0
.long P7E0
.long P7E0
.long P7E8
.long P7E8
.long P7E8
.long P7E8
.long P7E8
.long P7E8
.long P7E8
.long P7E8
.long P7F0
.long P7F0
.long P7F0
.long P7F0
.long P7F0
.long P7F0
.long P7F0
.long P7F0
.long P7F8
.long P7F9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P800
.long P800
.long P800
.long P800
.long P800
.long P800
.long P800
.long P800
.long P808
.long P808
.long P808
.long P808
.long P808
.long P808
.long P808
.long P808
.long P810
.long P810
.long P810
.long P810
.long P810
.long P810
.long P810
.long P810
.long P818
.long P818
.long P818
.long P818
.long P818
.long P818
.long P818
.long P818
.long P820
.long P820
.long P820
.long P820
.long P820
.long P820
.long P820
.long P820
.long P828
.long P828
.long P828
.long P828
.long P828
.long P828
.long P828
.long P828
.long P830
.long P830
.long P830
.long P830
.long P830
.long P830
.long P830
.long P830
.long P838
.long P839
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P840
.long P840
.long P840
.long P840
.long P840
.long P840
.long P840
.long P840
.long P848
.long P848
.long P848
.long P848
.long P848
.long P848
.long P848
.long P848
.long P850
.long P850
.long P850
.long P850
.long P850
.long P850
.long P850
.long P850
.long P858
.long P858
.long P858
.long P858
.long P858
.long P858
.long P858
.long P858
.long P860
.long P860
.long P860
.long P860
.long P860
.long P860
.long P860
.long P860
.long P868
.long P868
.long P868
.long P868
.long P868
.long P868
.long P868
.long P868
.long P870
.long P870
.long P870
.long P870
.long P870
.long P870
.long P870
.long P870
.long P878
.long P879
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P880
.long P880
.long P880
.long P880
.long P880
.long P880
.long P880
.long P880
.long P888
.long P888
.long P888
.long P888
.long P888
.long P888
.long P888
.long P888
.long P890
.long P890
.long P890
.long P890
.long P890
.long P890
.long P890
.long P890
.long P898
.long P898
.long P898
.long P898
.long P898
.long P898
.long P898
.long P898
.long P8A0
.long P8A0
.long P8A0
.long P8A0
.long P8A0
.long P8A0
.long P8A0
.long P8A0
.long P8A8
.long P8A8
.long P8A8
.long P8A8
.long P8A8
.long P8A8
.long P8A8
.long P8A8
.long P8B0
.long P8B0
.long P8B0
.long P8B0
.long P8B0
.long P8B0
.long P8B0
.long P8B0
.long P8B8
.long P8B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P8C0
.long P8C0
.long P8C0
.long P8C0
.long P8C0
.long P8C0
.long P8C0
.long P8C0
.long P8C8
.long P8C8
.long P8C8
.long P8C8
.long P8C8
.long P8C8
.long P8C8
.long P8C8
.long P8D0
.long P8D0
.long P8D0
.long P8D0
.long P8D0
.long P8D0
.long P8D0
.long P8D0
.long P8D8
.long P8D8
.long P8D8
.long P8D8
.long P8D8
.long P8D8
.long P8D8
.long P8D8
.long P8E0
.long P8E0
.long P8E0
.long P8E0
.long P8E0
.long P8E0
.long P8E0
.long P8E0
.long P8E8
.long P8E8
.long P8E8
.long P8E8
.long P8E8
.long P8E8
.long P8E8
.long P8E8
.long P8F0
.long P8F0
.long P8F0
.long P8F0
.long P8F0
.long P8F0
.long P8F0
.long P8F0
.long P8F8
.long P8F9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P900
.long P900
.long P900
.long P900
.long P900
.long P900
.long P900
.long P900
.long P908
.long P908
.long P908
.long P908
.long P908
.long P908
.long P908
.long P908
.long P910
.long P910
.long P910
.long P910
.long P910
.long P910
.long P910
.long P910
.long P918
.long P918
.long P918
.long P918
.long P918
.long P918
.long P918
.long P918
.long P920
.long P920
.long P920
.long P920
.long P920
.long P920
.long P920
.long P920
.long P928
.long P928
.long P928
.long P928
.long P928
.long P928
.long P928
.long P928
.long P930
.long P930
.long P930
.long P930
.long P930
.long P930
.long P930
.long P930
.long P938
.long P939
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P940
.long P940
.long P940
.long P940
.long P940
.long P940
.long P940
.long P940
.long P948
.long P948
.long P948
.long P948
.long P948
.long P948
.long P948
.long P948
.long P950
.long P950
.long P950
.long P950
.long P950
.long P950
.long P950
.long P950
.long P958
.long P958
.long P958
.long P958
.long P958
.long P958
.long P958
.long P958
.long P960
.long P960
.long P960
.long P960
.long P960
.long P960
.long P960
.long P960
.long P968
.long P968
.long P968
.long P968
.long P968
.long P968
.long P968
.long P968
.long P970
.long P970
.long P970
.long P970
.long P970
.long P970
.long P970
.long P970
.long P978
.long P979
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P980
.long P980
.long P980
.long P980
.long P980
.long P980
.long P980
.long P980
.long P988
.long P988
.long P988
.long P988
.long P988
.long P988
.long P988
.long P988
.long P990
.long P990
.long P990
.long P990
.long P990
.long P990
.long P990
.long P990
.long P998
.long P998
.long P998
.long P998
.long P998
.long P998
.long P998
.long P998
.long P9A0
.long P9A0
.long P9A0
.long P9A0
.long P9A0
.long P9A0
.long P9A0
.long P9A0
.long P9A8
.long P9A8
.long P9A8
.long P9A8
.long P9A8
.long P9A8
.long P9A8
.long P9A8
.long P9B0
.long P9B0
.long P9B0
.long P9B0
.long P9B0
.long P9B0
.long P9B0
.long P9B0
.long P9B8
.long P9B9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long P9C0
.long P9C0
.long P9C0
.long P9C0
.long P9C0
.long P9C0
.long P9C0
.long P9C0
.long P9C8
.long P9C8
.long P9C8
.long P9C8
.long P9C8
.long P9C8
.long P9C8
.long P9C8
.long P9D0
.long P9D0
.long P9D0
.long P9D0
.long P9D0
.long P9D0
.long P9D0
.long P9D0
.long P9D8
.long P9D8
.long P9D8
.long P9D8
.long P9D8
.long P9D8
.long P9D8
.long P9D8
.long P9E0
.long P9E0
.long P9E0
.long P9E0
.long P9E0
.long P9E0
.long P9E0
.long P9E0
.long P9E8
.long P9E8
.long P9E8
.long P9E8
.long P9E8
.long P9E8
.long P9E8
.long P9E8
.long P9F0
.long P9F0
.long P9F0
.long P9F0
.long P9F0
.long P9F0
.long P9F0
.long P9F0
.long P9F8
.long P9F9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long PA00
.long PA00
.long PA00
.long PA00
.long PA00
.long PA00
.long PA00
.long PA00
.long PA08
.long PA08
.long PA08
.long PA08
.long PA08
.long PA08
.long PA08
.long PA08
.long PA10
.long PA10
.long PA10
.long PA10
.long PA10
.long PA10
.long PA10
.long PA10
.long PA18
.long PA18
.long PA18
.long PA18
.long PA18
.long PA18
.long PA18
.long PA18
.long PA20
.long PA20
.long PA20
.long PA20
.long PA20
.long PA20
.long PA20
.long PA20
.long PA28
.long PA28
.long PA28
.long PA28
.long PA28
.long PA28
.long PA28
.long PA28
.long PA30
.long PA30
.long PA30
.long PA30
.long PA30
.long PA30
.long PA30
.long PA30
.long PA38
.long PA39
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long PA40
.long PA40
.long PA40
.long PA40
.long PA40
.long PA40
.long PA40
.long PA40
.long PA48
.long PA48
.long PA48
.long PA48
.long PA48
.long PA48
.long PA48
.long PA48
.long PA50
.long PA50
.long PA50
.long PA50
.long PA50
.long PA50
.long PA50
.long PA50
.long PA58
.long PA58
.long PA58
.long PA58
.long PA58
.long PA58
.long PA58
.long PA58
.long PA60
.long PA60
.long PA60
.long PA60
.long PA60
.long PA60
.long PA60
.long PA60
.long PA68
.long PA68
.long PA68
.long PA68
.long PA68
.long PA68
.long PA68
.long PA68
.long PA70
.long PA70
.long PA70
.long PA70
.long PA70
.long PA70
.long PA70
.long PA70
.long PA78
.long PA79
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long PA80
.long PA80
.long PA80
.long PA80
.long PA80
.long PA80
.long PA80
.long PA80
.long PA88
.long PA88
.long PA88
.long PA88
.long PA88
.long PA88
.long PA88
.long PA88
.long PA90
.long PA90
.long PA90
.long PA90
.long PA90
.long PA90
.long PA90
.long PA90
.long PA98
.long PA98
.long PA98
.long PA98
.long PA98
.long PA98
.long PA98
.long PA98
.long PAA0
.long PAA0
.long PAA0
.long PAA0
.long PAA0
.long PAA0
.long PAA0
.long PAA0
.long PAA8
.long PAA8
.long PAA8
.long PAA8
.long PAA8
.long PAA8
.long PAA8
.long PAA8
.long PAB0
.long PAB0
.long PAB0
.long PAB0
.long PAB0
.long PAB0
.long PAB0
.long PAB0
.long PAB8
.long PAB9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long PAC0
.long PAC0
.long PAC0
.long PAC0
.long PAC0
.long PAC0
.long PAC0
.long PAC0
.long PAC8
.long PAC8
.long PAC8
.long PAC8
.long PAC8
.long PAC8
.long PAC8
.long PAC8
.long PAD0
.long PAD0
.long PAD0
.long PAD0
.long PAD0
.long PAD0
.long PAD0
.long PAD0
.long PAD8
.long PAD8
.long PAD8
.long PAD8
.long PAD8
.long PAD8
.long PAD8
.long PAD8
.long PAE0
.long PAE0
.long PAE0
.long PAE0
.long PAE0
.long PAE0
.long PAE0
.long PAE0
.long PAE8
.long PAE8
.long PAE8
.long PAE8
.long PAE8
.long PAE8
.long PAE8
.long PAE8
.long PAF0
.long PAF0
.long PAF0
.long PAF0
.long PAF0
.long PAF0
.long PAF0
.long PAF0
.long PAF8
.long PAF9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long PB00
.long PB00
.long PB00
.long PB00
.long PB00
.long PB00
.long PB00
.long PB00
.long PB08
.long PB08
.long PB08
.long PB08
.long PB08
.long PB08
.long PB08
.long PB08
.long PB10
.long PB10
.long PB10
.long PB10
.long PB10
.long PB10
.long PB10
.long PB10
.long PB18
.long PB18
.long PB18
.long PB18
.long PB18
.long PB18
.long PB18
.long PB18
.long PB20
.long PB20
.long PB20
.long PB20
.long PB20
.long PB20
.long PB20
.long PB20
.long PB28
.long PB28
.long PB28
.long PB28
.long PB28
.long PB28
.long PB28
.long PB28
.long PB30
.long PB30
.long PB30
.long PB30
.long PB30
.long PB30
.long PB30
.long PB30
.long PB38
.long PB39
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long PB40
.long PB40
.long PB40
.long PB40
.long PB40
.long PB40
.long PB40
.long PB40
.long PB48
.long PB48
.long PB48
.long PB48
.long PB48
.long PB48
.long PB48
.long PB48
.long PB50
.long PB50
.long PB50
.long PB50
.long PB50
.long PB50
.long PB50
.long PB50
.long PB58
.long PB58
.long PB58
.long PB58
.long PB58
.long PB58
.long PB58
.long PB58
.long PB60
.long PB60
.long PB60
.long PB60
.long PB60
.long PB60
.long PB60
.long PB60
.long PB68
.long PB68
.long PB68
.long PB68
.long PB68
.long PB68
.long PB68
.long PB68
.long PB70
.long PB70
.long PB70
.long PB70
.long PB70
.long PB70
.long PB70
.long PB70
.long PB78
.long PB79
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long PB80
.long PB80
.long PB80
.long PB80
.long PB80
.long PB80
.long PB80
.long PB80
.long PB88
.long PB88
.long PB88
.long PB88
.long PB88
.long PB88
.long PB88
.long PB88
.long PB90
.long PB90
.long PB90
.long PB90
.long PB90
.long PB90
.long PB90
.long PB90
.long PB98
.long PB98
.long PB98
.long PB98
.long PB98
.long PB98
.long PB98
.long PB98
.long PBA0
.long PBA0
.long PBA0
.long PBA0
.long PBA0
.long PBA0
.long PBA0
.long PBA0
.long PBA8
.long PBA8
.long PBA8
.long PBA8
.long PBA8
.long PBA8
.long PBA8
.long PBA8
.long PBB0
.long PBB0
.long PBB0
.long PBB0
.long PBB0
.long PBB0
.long PBB0
.long PBB0
.long PBB8
.long PBB9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long PBC0
.long PBC0
.long PBC0
.long PBC0
.long PBC0
.long PBC0
.long PBC0
.long PBC0
.long PBC8
.long PBC8
.long PBC8
.long PBC8
.long PBC8
.long PBC8
.long PBC8
.long PBC8
.long PBD0
.long PBD0
.long PBD0
.long PBD0
.long PBD0
.long PBD0
.long PBD0
.long PBD0
.long PBD8
.long PBD8
.long PBD8
.long PBD8
.long PBD8
.long PBD8
.long PBD8
.long PBD8
.long PBE0
.long PBE0
.long PBE0
.long PBE0
.long PBE0
.long PBE0
.long PBE0
.long PBE0
.long PBE8
.long PBE8
.long PBE8
.long PBE8
.long PBE8
.long PBE8
.long PBE8
.long PBE8
.long PBF0
.long PBF0
.long PBF0
.long PBF0
.long PBF0
.long PBF0
.long PBF0
.long PBF0
.long PBF8
.long PBF9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long PC00
.long PC00
.long PC00
.long PC00
.long PC00
.long PC00
.long PC00
.long PC00
.long PC08
.long PC08
.long PC08
.long PC08
.long PC08
.long PC08
.long PC08
.long PC08
.long PC10
.long PC10
.long PC10
.long PC10
.long PC10
.long PC10
.long PC10
.long PC10
.long PC18
.long PC18
.long PC18
.long PC18
.long PC18
.long PC18
.long PC18
.long PC18
.long PC20
.long PC20
.long PC20
.long PC20
.long PC20
.long PC20
.long PC20
.long PC20
.long PC28
.long PC28
.long PC28
.long PC28
.long PC28
.long PC28
.long PC28
.long PC28
.long PC30
.long PC30
.long PC30
.long PC30
.long PC30
.long PC30
.long PC30
.long PC30
.long PC38
.long PC39
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long PC40
.long PC40
.long PC40
.long PC40
.long PC40
.long PC40
.long PC40
.long PC40
.long PC48
.long PC48
.long PC48
.long PC48
.long PC48
.long PC48
.long PC48
.long PC48
.long PC50
.long PC50
.long PC50
.long PC50
.long PC50
.long PC50
.long PC50
.long PC50
.long PC58
.long PC58
.long PC58
.long PC58
.long PC58
.long PC58
.long PC58
.long PC58
.long PC60
.long PC60
.long PC60
.long PC60
.long PC60
.long PC60
.long PC60
.long PC60
.long PC68
.long PC68
.long PC68
.long PC68
.long PC68
.long PC68
.long PC68
.long PC68
.long PC70
.long PC70
.long PC70
.long PC70
.long PC70
.long PC70
.long PC70
.long PC70
.long PC78
.long PC79
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long PC80
.long PC80
.long PC80
.long PC80
.long PC80
.long PC80
.long PC80
.long PC80
.long PC88
.long PC88
.long PC88
.long PC88
.long PC88
.long PC88
.long PC88
.long PC88
.long PC90
.long PC90
.long PC90
.long PC90
.long PC90
.long PC90
.long PC90
.long PC90
.long PC98
.long PC98
.long PC98
.long PC98
.long PC98
.long PC98
.long PC98
.long PC98
.long PCA0
.long PCA0
.long PCA0
.long PCA0
.long PCA0
.long PCA0
.long PCA0
.long PCA0
.long PCA8
.long PCA8
.long PCA8
.long PCA8
.long PCA8
.long PCA8
.long PCA8
.long PCA8
.long PCB0
.long PCB0
.long PCB0
.long PCB0
.long PCB0
.long PCB0
.long PCB0
.long PCB0
.long PCB8
.long PCB9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long PCC0
.long PCC0
.long PCC0
.long PCC0
.long PCC0
.long PCC0
.long PCC0
.long PCC0
.long PCC8
.long PCC8
.long PCC8
.long PCC8
.long PCC8
.long PCC8
.long PCC8
.long PCC8
.long PCD0
.long PCD0
.long PCD0
.long PCD0
.long PCD0
.long PCD0
.long PCD0
.long PCD0
.long PCD8
.long PCD8
.long PCD8
.long PCD8
.long PCD8
.long PCD8
.long PCD8
.long PCD8
.long PCE0
.long PCE0
.long PCE0
.long PCE0
.long PCE0
.long PCE0
.long PCE0
.long PCE0
.long PCE8
.long PCE8
.long PCE8
.long PCE8
.long PCE8
.long PCE8
.long PCE8
.long PCE8
.long PCF0
.long PCF0
.long PCF0
.long PCF0
.long PCF0
.long PCF0
.long PCF0
.long PCF0
.long PCF8
.long PCF9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long PD00
.long PD00
.long PD00
.long PD00
.long PD00
.long PD00
.long PD00
.long PD00
.long PD08
.long PD08
.long PD08
.long PD08
.long PD08
.long PD08
.long PD08
.long PD08
.long PD10
.long PD10
.long PD10
.long PD10
.long PD10
.long PD10
.long PD10
.long PD10
.long PD18
.long PD18
.long PD18
.long PD18
.long PD18
.long PD18
.long PD18
.long PD18
.long PD20
.long PD20
.long PD20
.long PD20
.long PD20
.long PD20
.long PD20
.long PD20
.long PD28
.long PD28
.long PD28
.long PD28
.long PD28
.long PD28
.long PD28
.long PD28
.long PD30
.long PD30
.long PD30
.long PD30
.long PD30
.long PD30
.long PD30
.long PD30
.long PD38
.long PD39
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long PD40
.long PD40
.long PD40
.long PD40
.long PD40
.long PD40
.long PD40
.long PD40
.long PD48
.long PD48
.long PD48
.long PD48
.long PD48
.long PD48
.long PD48
.long PD48
.long PD50
.long PD50
.long PD50
.long PD50
.long PD50
.long PD50
.long PD50
.long PD50
.long PD58
.long PD58
.long PD58
.long PD58
.long PD58
.long PD58
.long PD58
.long PD58
.long PD60
.long PD60
.long PD60
.long PD60
.long PD60
.long PD60
.long PD60
.long PD60
.long PD68
.long PD68
.long PD68
.long PD68
.long PD68
.long PD68
.long PD68
.long PD68
.long PD70
.long PD70
.long PD70
.long PD70
.long PD70
.long PD70
.long PD70
.long PD70
.long PD78
.long PD79
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long PD80
.long PD80
.long PD80
.long PD80
.long PD80
.long PD80
.long PD80
.long PD80
.long PD88
.long PD88
.long PD88
.long PD88
.long PD88
.long PD88
.long PD88
.long PD88
.long PD90
.long PD90
.long PD90
.long PD90
.long PD90
.long PD90
.long PD90
.long PD90
.long PD98
.long PD98
.long PD98
.long PD98
.long PD98
.long PD98
.long PD98
.long PD98
.long PDA0
.long PDA0
.long PDA0
.long PDA0
.long PDA0
.long PDA0
.long PDA0
.long PDA0
.long PDA8
.long PDA8
.long PDA8
.long PDA8
.long PDA8
.long PDA8
.long PDA8
.long PDA8
.long PDB0
.long PDB0
.long PDB0
.long PDB0
.long PDB0
.long PDB0
.long PDB0
.long PDB0
.long PDB8
.long PDB9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long PDC0
.long PDC0
.long PDC0
.long PDC0
.long PDC0
.long PDC0
.long PDC0
.long PDC0
.long PDC8
.long PDC8
.long PDC8
.long PDC8
.long PDC8
.long PDC8
.long PDC8
.long PDC8
.long PDD0
.long PDD0
.long PDD0
.long PDD0
.long PDD0
.long PDD0
.long PDD0
.long PDD0
.long PDD8
.long PDD8
.long PDD8
.long PDD8
.long PDD8
.long PDD8
.long PDD8
.long PDD8
.long PDE0
.long PDE0
.long PDE0
.long PDE0
.long PDE0
.long PDE0
.long PDE0
.long PDE0
.long PDE8
.long PDE8
.long PDE8
.long PDE8
.long PDE8
.long PDE8
.long PDE8
.long PDE8
.long PDF0
.long PDF0
.long PDF0
.long PDF0
.long PDF0
.long PDF0
.long PDF0
.long PDF0
.long PDF8
.long PDF9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long PE00
.long PE00
.long PE00
.long PE00
.long PE00
.long PE00
.long PE00
.long PE00
.long PE08
.long PE08
.long PE08
.long PE08
.long PE08
.long PE08
.long PE08
.long PE08
.long PE10
.long PE10
.long PE10
.long PE10
.long PE10
.long PE10
.long PE10
.long PE10
.long PE18
.long PE18
.long PE18
.long PE18
.long PE18
.long PE18
.long PE18
.long PE18
.long PE20
.long PE20
.long PE20
.long PE20
.long PE20
.long PE20
.long PE20
.long PE20
.long PE28
.long PE28
.long PE28
.long PE28
.long PE28
.long PE28
.long PE28
.long PE28
.long PE30
.long PE30
.long PE30
.long PE30
.long PE30
.long PE30
.long PE30
.long PE30
.long PE38
.long PE39
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long PE40
.long PE40
.long PE40
.long PE40
.long PE40
.long PE40
.long PE40
.long PE40
.long PE48
.long PE48
.long PE48
.long PE48
.long PE48
.long PE48
.long PE48
.long PE48
.long PE50
.long PE50
.long PE50
.long PE50
.long PE50
.long PE50
.long PE50
.long PE50
.long PE58
.long PE58
.long PE58
.long PE58
.long PE58
.long PE58
.long PE58
.long PE58
.long PE60
.long PE60
.long PE60
.long PE60
.long PE60
.long PE60
.long PE60
.long PE60
.long PE68
.long PE68
.long PE68
.long PE68
.long PE68
.long PE68
.long PE68
.long PE68
.long PE70
.long PE70
.long PE70
.long PE70
.long PE70
.long PE70
.long PE70
.long PE70
.long PE78
.long PE79
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long PE80
.long PE80
.long PE80
.long PE80
.long PE80
.long PE80
.long PE80
.long PE80
.long PE88
.long PE88
.long PE88
.long PE88
.long PE88
.long PE88
.long PE88
.long PE88
.long PE90
.long PE90
.long PE90
.long PE90
.long PE90
.long PE90
.long PE90
.long PE90
.long PE98
.long PE98
.long PE98
.long PE98
.long PE98
.long PE98
.long PE98
.long PE98
.long PEA0
.long PEA0
.long PEA0
.long PEA0
.long PEA0
.long PEA0
.long PEA0
.long PEA0
.long PEA8
.long PEA8
.long PEA8
.long PEA8
.long PEA8
.long PEA8
.long PEA8
.long PEA8
.long PEB0
.long PEB0
.long PEB0
.long PEB0
.long PEB0
.long PEB0
.long PEB0
.long PEB0
.long PEB8
.long PEB9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long PEC0
.long PEC0
.long PEC0
.long PEC0
.long PEC0
.long PEC0
.long PEC0
.long PEC0
.long PEC8
.long PEC8
.long PEC8
.long PEC8
.long PEC8
.long PEC8
.long PEC8
.long PEC8
.long PED0
.long PED0
.long PED0
.long PED0
.long PED0
.long PED0
.long PED0
.long PED0
.long PED8
.long PED8
.long PED8
.long PED8
.long PED8
.long PED8
.long PED8
.long PED8
.long PEE0
.long PEE0
.long PEE0
.long PEE0
.long PEE0
.long PEE0
.long PEE0
.long PEE0
.long PEE8
.long PEE8
.long PEE8
.long PEE8
.long PEE8
.long PEE8
.long PEE8
.long PEE8
.long PEF0
.long PEF0
.long PEF0
.long PEF0
.long PEF0
.long PEF0
.long PEF0
.long PEF0
.long PEF8
.long PEF9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long PF00
.long PF00
.long PF00
.long PF00
.long PF00
.long PF00
.long PF00
.long PF00
.long PF08
.long PF08
.long PF08
.long PF08
.long PF08
.long PF08
.long PF08
.long PF08
.long PF10
.long PF10
.long PF10
.long PF10
.long PF10
.long PF10
.long PF10
.long PF10
.long PF18
.long PF18
.long PF18
.long PF18
.long PF18
.long PF18
.long PF18
.long PF18
.long PF20
.long PF20
.long PF20
.long PF20
.long PF20
.long PF20
.long PF20
.long PF20
.long PF28
.long PF28
.long PF28
.long PF28
.long PF28
.long PF28
.long PF28
.long PF28
.long PF30
.long PF30
.long PF30
.long PF30
.long PF30
.long PF30
.long PF30
.long PF30
.long PF38
.long PF39
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long PF40
.long PF40
.long PF40
.long PF40
.long PF40
.long PF40
.long PF40
.long PF40
.long PF48
.long PF48
.long PF48
.long PF48
.long PF48
.long PF48
.long PF48
.long PF48
.long PF50
.long PF50
.long PF50
.long PF50
.long PF50
.long PF50
.long PF50
.long PF50
.long PF58
.long PF58
.long PF58
.long PF58
.long PF58
.long PF58
.long PF58
.long PF58
.long PF60
.long PF60
.long PF60
.long PF60
.long PF60
.long PF60
.long PF60
.long PF60
.long PF68
.long PF68
.long PF68
.long PF68
.long PF68
.long PF68
.long PF68
.long PF68
.long PF70
.long PF70
.long PF70
.long PF70
.long PF70
.long PF70
.long PF70
.long PF70
.long PF78
.long PF79
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long PF80
.long PF80
.long PF80
.long PF80
.long PF80
.long PF80
.long PF80
.long PF80
.long PF88
.long PF88
.long PF88
.long PF88
.long PF88
.long PF88
.long PF88
.long PF88
.long PF90
.long PF90
.long PF90
.long PF90
.long PF90
.long PF90
.long PF90
.long PF90
.long PF98
.long PF98
.long PF98
.long PF98
.long PF98
.long PF98
.long PF98
.long PF98
.long PFA0
.long PFA0
.long PFA0
.long PFA0
.long PFA0
.long PFA0
.long PFA0
.long PFA0
.long PFA8
.long PFA8
.long PFA8
.long PFA8
.long PFA8
.long PFA8
.long PFA8
.long PFA8
.long PFB0
.long PFB0
.long PFB0
.long PFB0
.long PFB0
.long PFB0
.long PFB0
.long PFB0
.long PFB8
.long PFB9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long PFC0
.long PFC0
.long PFC0
.long PFC0
.long PFC0
.long PFC0
.long PFC0
.long PFC0
.long PFC8
.long PFC8
.long PFC8
.long PFC8
.long PFC8
.long PFC8
.long PFC8
.long PFC8
.long PFD0
.long PFD0
.long PFD0
.long PFD0
.long PFD0
.long PFD0
.long PFD0
.long PFD0
.long PFD8
.long PFD8
.long PFD8
.long PFD8
.long PFD8
.long PFD8
.long PFD8
.long PFD8
.long PFE0
.long PFE0
.long PFE0
.long PFE0
.long PFE0
.long PFE0
.long PFE0
.long PFE0
.long PFE8
.long PFE8
.long PFE8
.long PFE8
.long PFE8
.long PFE8
.long PFE8
.long PFE8
.long PFF0
.long PFF0
.long PFF0
.long PFF0
.long PFF0
.long PFF0
.long PFF0
.long PFF0
.long PFF8
.long PFF9
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long Q000
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q001
.long Q100
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q101
.long Q200
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q201
.long Q300
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q301
.long Q400
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q401
.long Q500
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q501
.long Q600
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q601
.long Q700
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q701
.long Q800
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q801
.long Q900
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long Q901
.long QA00
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QA01
.long QB00
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QB01
.long QC00
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QC01
.long QD00
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QD01
.long QE00
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QE01
.long QF00
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long QF01
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long R000
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long R200
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long R400
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long R600
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long R800
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long RA00
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long RC00
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long r_illegal
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
.long RE00
